#include "parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 1981
#define LARGE_STATE_COUNT 446
#define SYMBOL_COUNT 355
#define ALIAS_COUNT 3
#define TOKEN_COUNT 157
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 39
#define MAX_ALIAS_SEQUENCE_LENGTH 9
#define PRODUCTION_ID_COUNT 132

enum ts_symbol_identifiers {
  sym_identifier = 1,
  aux_sym_preproc_include_token1 = 2,
  aux_sym_preproc_include_token2 = 3,
  aux_sym_preproc_def_token1 = 4,
  anon_sym_LPAREN = 5,
  anon_sym_DOT_DOT_DOT = 6,
  anon_sym_COMMA = 7,
  anon_sym_RPAREN = 8,
  aux_sym_preproc_if_token1 = 9,
  anon_sym_LF = 10,
  aux_sym_preproc_if_token2 = 11,
  aux_sym_preproc_ifdef_token1 = 12,
  aux_sym_preproc_ifdef_token2 = 13,
  aux_sym_preproc_else_token1 = 14,
  aux_sym_preproc_elif_token1 = 15,
  aux_sym_preproc_elifdef_token1 = 16,
  aux_sym_preproc_elifdef_token2 = 17,
  sym_preproc_arg = 18,
  sym_preproc_directive = 19,
  anon_sym_LPAREN2 = 20,
  anon_sym_defined = 21,
  anon_sym_BANG = 22,
  anon_sym_TILDE = 23,
  anon_sym_DASH = 24,
  anon_sym_PLUS = 25,
  anon_sym_STAR = 26,
  anon_sym_SLASH = 27,
  anon_sym_PERCENT = 28,
  anon_sym_PIPE_PIPE = 29,
  anon_sym_AMP_AMP = 30,
  anon_sym_PIPE = 31,
  anon_sym_CARET = 32,
  anon_sym_AMP = 33,
  anon_sym_EQ_EQ = 34,
  anon_sym_BANG_EQ = 35,
  anon_sym_GT = 36,
  anon_sym_GT_EQ = 37,
  anon_sym_LT_EQ = 38,
  anon_sym_LT = 39,
  anon_sym_LT_LT = 40,
  anon_sym_GT_GT = 41,
  anon_sym_SEMI = 42,
  anon_sym___extension__ = 43,
  anon_sym_typedef = 44,
  anon_sym_extern = 45,
  anon_sym___attribute__ = 46,
  anon_sym_COLON_COLON = 47,
  anon_sym_LBRACK_LBRACK = 48,
  anon_sym_RBRACK_RBRACK = 49,
  anon_sym___declspec = 50,
  anon_sym___based = 51,
  anon_sym___cdecl = 52,
  anon_sym___clrcall = 53,
  anon_sym___stdcall = 54,
  anon_sym___fastcall = 55,
  anon_sym___thiscall = 56,
  anon_sym___vectorcall = 57,
  sym_ms_restrict_modifier = 58,
  sym_ms_unsigned_ptr_modifier = 59,
  sym_ms_signed_ptr_modifier = 60,
  anon_sym__unaligned = 61,
  anon_sym___unaligned = 62,
  anon_sym_LBRACE = 63,
  anon_sym_RBRACE = 64,
  anon_sym_signed = 65,
  anon_sym_unsigned = 66,
  anon_sym_long = 67,
  anon_sym_short = 68,
  anon_sym_LBRACK = 69,
  anon_sym_static = 70,
  anon_sym_RBRACK = 71,
  anon_sym_EQ = 72,
  anon_sym_auto = 73,
  anon_sym_register = 74,
  anon_sym_inline = 75,
  anon_sym___inline = 76,
  anon_sym___inline__ = 77,
  anon_sym___forceinline = 78,
  anon_sym_thread_local = 79,
  anon_sym___thread = 80,
  anon_sym_const = 81,
  anon_sym_constexpr = 82,
  anon_sym_volatile = 83,
  anon_sym_restrict = 84,
  anon_sym___restrict__ = 85,
  anon_sym__Atomic = 86,
  anon_sym__Noreturn = 87,
  anon_sym_noreturn = 88,
  anon_sym_alignas = 89,
  anon_sym__Alignas = 90,
  sym_primitive_type = 91,
  anon_sym_enum = 92,
  anon_sym_COLON = 93,
  anon_sym_struct = 94,
  anon_sym_union = 95,
  anon_sym_if = 96,
  anon_sym_else = 97,
  anon_sym_switch = 98,
  anon_sym_case = 99,
  anon_sym_default = 100,
  anon_sym_while = 101,
  anon_sym_do = 102,
  anon_sym_for = 103,
  anon_sym_return = 104,
  anon_sym_break = 105,
  anon_sym_continue = 106,
  anon_sym_goto = 107,
  anon_sym___try = 108,
  anon_sym___except = 109,
  anon_sym___finally = 110,
  anon_sym___leave = 111,
  anon_sym_QMARK = 112,
  anon_sym_STAR_EQ = 113,
  anon_sym_SLASH_EQ = 114,
  anon_sym_PERCENT_EQ = 115,
  anon_sym_PLUS_EQ = 116,
  anon_sym_DASH_EQ = 117,
  anon_sym_LT_LT_EQ = 118,
  anon_sym_GT_GT_EQ = 119,
  anon_sym_AMP_EQ = 120,
  anon_sym_CARET_EQ = 121,
  anon_sym_PIPE_EQ = 122,
  anon_sym_DASH_DASH = 123,
  anon_sym_PLUS_PLUS = 124,
  anon_sym_sizeof = 125,
  anon_sym___alignof__ = 126,
  anon_sym___alignof = 127,
  anon_sym__alignof = 128,
  anon_sym_alignof = 129,
  anon_sym__Alignof = 130,
  anon_sym_offsetof = 131,
  anon_sym__Generic = 132,
  anon_sym_asm = 133,
  anon_sym___asm__ = 134,
  anon_sym_DOT = 135,
  anon_sym_DASH_GT = 136,
  sym_number_literal = 137,
  anon_sym_L_SQUOTE = 138,
  anon_sym_u_SQUOTE = 139,
  anon_sym_U_SQUOTE = 140,
  anon_sym_u8_SQUOTE = 141,
  anon_sym_SQUOTE = 142,
  aux_sym_char_literal_token1 = 143,
  anon_sym_L_DQUOTE = 144,
  anon_sym_u_DQUOTE = 145,
  anon_sym_U_DQUOTE = 146,
  anon_sym_u8_DQUOTE = 147,
  anon_sym_DQUOTE = 148,
  aux_sym_string_literal_token1 = 149,
  sym_escape_sequence = 150,
  sym_system_lib_string = 151,
  sym_true = 152,
  sym_false = 153,
  anon_sym_NULL = 154,
  anon_sym_nullptr = 155,
  sym_comment = 156,
  sym_translation_unit = 157,
  sym__top_level_item = 158,
  sym__block_item = 159,
  sym_preproc_include = 160,
  sym_preproc_def = 161,
  sym_preproc_function_def = 162,
  sym_preproc_params = 163,
  sym_preproc_call = 164,
  sym_preproc_if = 165,
  sym_preproc_ifdef = 166,
  sym_preproc_else = 167,
  sym_preproc_elif = 168,
  sym_preproc_elifdef = 169,
  sym_preproc_if_in_field_declaration_list = 170,
  sym_preproc_ifdef_in_field_declaration_list = 171,
  sym_preproc_else_in_field_declaration_list = 172,
  sym_preproc_elif_in_field_declaration_list = 173,
  sym_preproc_elifdef_in_field_declaration_list = 174,
  sym_preproc_if_in_enumerator_list = 175,
  sym_preproc_ifdef_in_enumerator_list = 176,
  sym_preproc_else_in_enumerator_list = 177,
  sym_preproc_elif_in_enumerator_list = 178,
  sym_preproc_elifdef_in_enumerator_list = 179,
  sym_preproc_if_in_enumerator_list_no_comma = 180,
  sym_preproc_ifdef_in_enumerator_list_no_comma = 181,
  sym_preproc_else_in_enumerator_list_no_comma = 182,
  sym_preproc_elif_in_enumerator_list_no_comma = 183,
  sym_preproc_elifdef_in_enumerator_list_no_comma = 184,
  sym__preproc_expression = 185,
  sym_preproc_parenthesized_expression = 186,
  sym_preproc_defined = 187,
  sym_preproc_unary_expression = 188,
  sym_preproc_call_expression = 189,
  sym_preproc_argument_list = 190,
  sym_preproc_binary_expression = 191,
  sym_function_definition = 192,
  sym__old_style_function_definition = 193,
  sym_declaration = 194,
  sym_type_definition = 195,
  sym__type_definition_type = 196,
  sym__type_definition_declarators = 197,
  sym__declaration_modifiers = 198,
  sym__declaration_specifiers = 199,
  sym_linkage_specification = 200,
  sym_attribute_specifier = 201,
  sym_attribute = 202,
  sym_attribute_declaration = 203,
  sym_ms_declspec_modifier = 204,
  sym_ms_based_modifier = 205,
  sym_ms_call_modifier = 206,
  sym_ms_unaligned_ptr_modifier = 207,
  sym_ms_pointer_modifier = 208,
  sym_declaration_list = 209,
  sym__declarator = 210,
  sym__declaration_declarator = 211,
  sym__field_declarator = 212,
  sym__type_declarator = 213,
  sym__abstract_declarator = 214,
  sym_parenthesized_declarator = 215,
  sym_parenthesized_field_declarator = 216,
  sym_parenthesized_type_declarator = 217,
  sym_abstract_parenthesized_declarator = 218,
  sym_attributed_declarator = 219,
  sym_attributed_field_declarator = 220,
  sym_attributed_type_declarator = 221,
  sym_pointer_declarator = 222,
  sym_pointer_field_declarator = 223,
  sym_pointer_type_declarator = 224,
  sym_abstract_pointer_declarator = 225,
  sym_function_declarator = 226,
  sym__function_declaration_declarator = 227,
  sym_function_field_declarator = 228,
  sym_function_type_declarator = 229,
  sym_abstract_function_declarator = 230,
  sym__old_style_function_declarator = 231,
  sym_array_declarator = 232,
  sym_array_field_declarator = 233,
  sym_array_type_declarator = 234,
  sym_abstract_array_declarator = 235,
  sym_init_declarator = 236,
  sym_compound_statement = 237,
  sym_storage_class_specifier = 238,
  sym_type_qualifier = 239,
  sym_alignas_qualifier = 240,
  sym_type_specifier = 241,
  sym_sized_type_specifier = 242,
  sym_enum_specifier = 243,
  sym_enumerator_list = 244,
  sym_struct_specifier = 245,
  sym_union_specifier = 246,
  sym_field_declaration_list = 247,
  sym__field_declaration_list_item = 248,
  sym_field_declaration = 249,
  sym__field_declaration_declarator = 250,
  sym_bitfield_clause = 251,
  sym_enumerator = 252,
  sym_variadic_parameter = 253,
  sym_parameter_list = 254,
  sym__old_style_parameter_list = 255,
  sym_parameter_declaration = 256,
  sym_attributed_statement = 257,
  sym_statement = 258,
  sym__top_level_statement = 259,
  sym_labeled_statement = 260,
  sym__top_level_expression_statement = 261,
  sym_expression_statement = 262,
  sym_if_statement = 263,
  sym_else_clause = 264,
  sym_switch_statement = 265,
  sym_case_statement = 266,
  sym_while_statement = 267,
  sym_do_statement = 268,
  sym_for_statement = 269,
  sym__for_statement_body = 270,
  sym_return_statement = 271,
  sym_break_statement = 272,
  sym_continue_statement = 273,
  sym_goto_statement = 274,
  sym_seh_try_statement = 275,
  sym_seh_except_clause = 276,
  sym_seh_finally_clause = 277,
  sym_seh_leave_statement = 278,
  sym_expression = 279,
  sym__string = 280,
  sym_comma_expression = 281,
  sym_conditional_expression = 282,
  sym_assignment_expression = 283,
  sym_pointer_expression = 284,
  sym_unary_expression = 285,
  sym_binary_expression = 286,
  sym_update_expression = 287,
  sym_cast_expression = 288,
  sym_type_descriptor = 289,
  sym_sizeof_expression = 290,
  sym_alignof_expression = 291,
  sym_offsetof_expression = 292,
  sym_generic_expression = 293,
  sym_subscript_expression = 294,
  sym_call_expression = 295,
  sym_gnu_asm_expression = 296,
  sym_gnu_asm_qualifier = 297,
  sym_gnu_asm_output_operand_list = 298,
  sym_gnu_asm_output_operand = 299,
  sym_gnu_asm_input_operand_list = 300,
  sym_gnu_asm_input_operand = 301,
  sym_gnu_asm_clobber_list = 302,
  sym_gnu_asm_goto_list = 303,
  sym_argument_list = 304,
  sym_field_expression = 305,
  sym_compound_literal_expression = 306,
  sym_parenthesized_expression = 307,
  sym_initializer_list = 308,
  sym_initializer_pair = 309,
  sym_subscript_designator = 310,
  sym_subscript_range_designator = 311,
  sym_field_designator = 312,
  sym_char_literal = 313,
  sym_concatenated_string = 314,
  sym_string_literal = 315,
  sym_null = 316,
  sym__empty_declaration = 317,
  sym_macro_type_specifier = 318,
  aux_sym_translation_unit_repeat1 = 319,
  aux_sym_preproc_params_repeat1 = 320,
  aux_sym_preproc_if_repeat1 = 321,
  aux_sym_preproc_if_in_field_declaration_list_repeat1 = 322,
  aux_sym_preproc_if_in_enumerator_list_repeat1 = 323,
  aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1 = 324,
  aux_sym_preproc_argument_list_repeat1 = 325,
  aux_sym__old_style_function_definition_repeat1 = 326,
  aux_sym_declaration_repeat1 = 327,
  aux_sym_type_definition_repeat1 = 328,
  aux_sym__type_definition_type_repeat1 = 329,
  aux_sym__type_definition_declarators_repeat1 = 330,
  aux_sym__declaration_specifiers_repeat1 = 331,
  aux_sym_attribute_declaration_repeat1 = 332,
  aux_sym_attributed_declarator_repeat1 = 333,
  aux_sym_pointer_declarator_repeat1 = 334,
  aux_sym_function_declarator_repeat1 = 335,
  aux_sym_array_declarator_repeat1 = 336,
  aux_sym_sized_type_specifier_repeat1 = 337,
  aux_sym_enumerator_list_repeat1 = 338,
  aux_sym__field_declaration_declarator_repeat1 = 339,
  aux_sym_parameter_list_repeat1 = 340,
  aux_sym__old_style_parameter_list_repeat1 = 341,
  aux_sym_case_statement_repeat1 = 342,
  aux_sym_generic_expression_repeat1 = 343,
  aux_sym_gnu_asm_expression_repeat1 = 344,
  aux_sym_gnu_asm_output_operand_list_repeat1 = 345,
  aux_sym_gnu_asm_input_operand_list_repeat1 = 346,
  aux_sym_gnu_asm_clobber_list_repeat1 = 347,
  aux_sym_gnu_asm_goto_list_repeat1 = 348,
  aux_sym_argument_list_repeat1 = 349,
  aux_sym_initializer_list_repeat1 = 350,
  aux_sym_initializer_pair_repeat1 = 351,
  aux_sym_char_literal_repeat1 = 352,
  aux_sym_concatenated_string_repeat1 = 353,
  aux_sym_string_literal_repeat1 = 354,
  alias_sym_field_identifier = 355,
  alias_sym_statement_identifier = 356,
  alias_sym_type_identifier = 357,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [aux_sym_preproc_include_token1] = "#include",
  [aux_sym_preproc_include_token2] = "preproc_include_token2",
  [aux_sym_preproc_def_token1] = "#define",
  [anon_sym_LPAREN] = "(",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_COMMA] = ",",
  [anon_sym_RPAREN] = ")",
  [aux_sym_preproc_if_token1] = "#if",
  [anon_sym_LF] = "\n",
  [aux_sym_preproc_if_token2] = "#endif",
  [aux_sym_preproc_ifdef_token1] = "#ifdef",
  [aux_sym_preproc_ifdef_token2] = "#ifndef",
  [aux_sym_preproc_else_token1] = "#else",
  [aux_sym_preproc_elif_token1] = "#elif",
  [aux_sym_preproc_elifdef_token1] = "#elifdef",
  [aux_sym_preproc_elifdef_token2] = "#elifndef",
  [sym_preproc_arg] = "preproc_arg",
  [sym_preproc_directive] = "preproc_directive",
  [anon_sym_LPAREN2] = "(",
  [anon_sym_defined] = "defined",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_DASH] = "-",
  [anon_sym_PLUS] = "+",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE] = "|",
  [anon_sym_CARET] = "^",
  [anon_sym_AMP] = "&",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_LT] = "<",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_SEMI] = ";",
  [anon_sym___extension__] = "__extension__",
  [anon_sym_typedef] = "typedef",
  [anon_sym_extern] = "extern",
  [anon_sym___attribute__] = "__attribute__",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_LBRACK_LBRACK] = "[[",
  [anon_sym_RBRACK_RBRACK] = "]]",
  [anon_sym___declspec] = "__declspec",
  [anon_sym___based] = "__based",
  [anon_sym___cdecl] = "__cdecl",
  [anon_sym___clrcall] = "__clrcall",
  [anon_sym___stdcall] = "__stdcall",
  [anon_sym___fastcall] = "__fastcall",
  [anon_sym___thiscall] = "__thiscall",
  [anon_sym___vectorcall] = "__vectorcall",
  [sym_ms_restrict_modifier] = "ms_restrict_modifier",
  [sym_ms_unsigned_ptr_modifier] = "ms_unsigned_ptr_modifier",
  [sym_ms_signed_ptr_modifier] = "ms_signed_ptr_modifier",
  [anon_sym__unaligned] = "_unaligned",
  [anon_sym___unaligned] = "__unaligned",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_signed] = "signed",
  [anon_sym_unsigned] = "unsigned",
  [anon_sym_long] = "long",
  [anon_sym_short] = "short",
  [anon_sym_LBRACK] = "[",
  [anon_sym_static] = "static",
  [anon_sym_RBRACK] = "]",
  [anon_sym_EQ] = "=",
  [anon_sym_auto] = "auto",
  [anon_sym_register] = "register",
  [anon_sym_inline] = "inline",
  [anon_sym___inline] = "__inline",
  [anon_sym___inline__] = "__inline__",
  [anon_sym___forceinline] = "__forceinline",
  [anon_sym_thread_local] = "thread_local",
  [anon_sym___thread] = "__thread",
  [anon_sym_const] = "const",
  [anon_sym_constexpr] = "constexpr",
  [anon_sym_volatile] = "volatile",
  [anon_sym_restrict] = "restrict",
  [anon_sym___restrict__] = "__restrict__",
  [anon_sym__Atomic] = "_Atomic",
  [anon_sym__Noreturn] = "_Noreturn",
  [anon_sym_noreturn] = "noreturn",
  [anon_sym_alignas] = "alignas",
  [anon_sym__Alignas] = "_Alignas",
  [sym_primitive_type] = "primitive_type",
  [anon_sym_enum] = "enum",
  [anon_sym_COLON] = ":",
  [anon_sym_struct] = "struct",
  [anon_sym_union] = "union",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_switch] = "switch",
  [anon_sym_case] = "case",
  [anon_sym_default] = "default",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_for] = "for",
  [anon_sym_return] = "return",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_goto] = "goto",
  [anon_sym___try] = "__try",
  [anon_sym___except] = "__except",
  [anon_sym___finally] = "__finally",
  [anon_sym___leave] = "__leave",
  [anon_sym_QMARK] = "\?",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_sizeof] = "sizeof",
  [anon_sym___alignof__] = "__alignof__",
  [anon_sym___alignof] = "__alignof",
  [anon_sym__alignof] = "_alignof",
  [anon_sym_alignof] = "alignof",
  [anon_sym__Alignof] = "_Alignof",
  [anon_sym_offsetof] = "offsetof",
  [anon_sym__Generic] = "_Generic",
  [anon_sym_asm] = "asm",
  [anon_sym___asm__] = "__asm__",
  [anon_sym_DOT] = ".",
  [anon_sym_DASH_GT] = "->",
  [sym_number_literal] = "number_literal",
  [anon_sym_L_SQUOTE] = "L'",
  [anon_sym_u_SQUOTE] = "u'",
  [anon_sym_U_SQUOTE] = "U'",
  [anon_sym_u8_SQUOTE] = "u8'",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_char_literal_token1] = "character",
  [anon_sym_L_DQUOTE] = "L\"",
  [anon_sym_u_DQUOTE] = "u\"",
  [anon_sym_U_DQUOTE] = "U\"",
  [anon_sym_u8_DQUOTE] = "u8\"",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_literal_token1] = "string_content",
  [sym_escape_sequence] = "escape_sequence",
  [sym_system_lib_string] = "system_lib_string",
  [sym_true] = "true",
  [sym_false] = "false",
  [anon_sym_NULL] = "NULL",
  [anon_sym_nullptr] = "nullptr",
  [sym_comment] = "comment",
  [sym_translation_unit] = "translation_unit",
  [sym__top_level_item] = "_top_level_item",
  [sym__block_item] = "_block_item",
  [sym_preproc_include] = "preproc_include",
  [sym_preproc_def] = "preproc_def",
  [sym_preproc_function_def] = "preproc_function_def",
  [sym_preproc_params] = "preproc_params",
  [sym_preproc_call] = "preproc_call",
  [sym_preproc_if] = "preproc_if",
  [sym_preproc_ifdef] = "preproc_ifdef",
  [sym_preproc_else] = "preproc_else",
  [sym_preproc_elif] = "preproc_elif",
  [sym_preproc_elifdef] = "preproc_elifdef",
  [sym_preproc_if_in_field_declaration_list] = "preproc_if",
  [sym_preproc_ifdef_in_field_declaration_list] = "preproc_ifdef",
  [sym_preproc_else_in_field_declaration_list] = "preproc_else",
  [sym_preproc_elif_in_field_declaration_list] = "preproc_elif",
  [sym_preproc_elifdef_in_field_declaration_list] = "preproc_elifdef",
  [sym_preproc_if_in_enumerator_list] = "preproc_if",
  [sym_preproc_ifdef_in_enumerator_list] = "preproc_ifdef",
  [sym_preproc_else_in_enumerator_list] = "preproc_else",
  [sym_preproc_elif_in_enumerator_list] = "preproc_elif",
  [sym_preproc_elifdef_in_enumerator_list] = "preproc_elifdef",
  [sym_preproc_if_in_enumerator_list_no_comma] = "preproc_if",
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = "preproc_ifdef",
  [sym_preproc_else_in_enumerator_list_no_comma] = "preproc_else",
  [sym_preproc_elif_in_enumerator_list_no_comma] = "preproc_elif",
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = "preproc_elifdef",
  [sym__preproc_expression] = "_preproc_expression",
  [sym_preproc_parenthesized_expression] = "parenthesized_expression",
  [sym_preproc_defined] = "preproc_defined",
  [sym_preproc_unary_expression] = "unary_expression",
  [sym_preproc_call_expression] = "call_expression",
  [sym_preproc_argument_list] = "argument_list",
  [sym_preproc_binary_expression] = "binary_expression",
  [sym_function_definition] = "function_definition",
  [sym__old_style_function_definition] = "function_definition",
  [sym_declaration] = "declaration",
  [sym_type_definition] = "type_definition",
  [sym__type_definition_type] = "_type_definition_type",
  [sym__type_definition_declarators] = "_type_definition_declarators",
  [sym__declaration_modifiers] = "_declaration_modifiers",
  [sym__declaration_specifiers] = "_declaration_specifiers",
  [sym_linkage_specification] = "linkage_specification",
  [sym_attribute_specifier] = "attribute_specifier",
  [sym_attribute] = "attribute",
  [sym_attribute_declaration] = "attribute_declaration",
  [sym_ms_declspec_modifier] = "ms_declspec_modifier",
  [sym_ms_based_modifier] = "ms_based_modifier",
  [sym_ms_call_modifier] = "ms_call_modifier",
  [sym_ms_unaligned_ptr_modifier] = "ms_unaligned_ptr_modifier",
  [sym_ms_pointer_modifier] = "ms_pointer_modifier",
  [sym_declaration_list] = "declaration_list",
  [sym__declarator] = "_declarator",
  [sym__declaration_declarator] = "_declaration_declarator",
  [sym__field_declarator] = "_field_declarator",
  [sym__type_declarator] = "_type_declarator",
  [sym__abstract_declarator] = "_abstract_declarator",
  [sym_parenthesized_declarator] = "parenthesized_declarator",
  [sym_parenthesized_field_declarator] = "parenthesized_declarator",
  [sym_parenthesized_type_declarator] = "parenthesized_declarator",
  [sym_abstract_parenthesized_declarator] = "abstract_parenthesized_declarator",
  [sym_attributed_declarator] = "attributed_declarator",
  [sym_attributed_field_declarator] = "attributed_declarator",
  [sym_attributed_type_declarator] = "attributed_declarator",
  [sym_pointer_declarator] = "pointer_declarator",
  [sym_pointer_field_declarator] = "pointer_declarator",
  [sym_pointer_type_declarator] = "pointer_declarator",
  [sym_abstract_pointer_declarator] = "abstract_pointer_declarator",
  [sym_function_declarator] = "function_declarator",
  [sym__function_declaration_declarator] = "function_declarator",
  [sym_function_field_declarator] = "function_declarator",
  [sym_function_type_declarator] = "function_declarator",
  [sym_abstract_function_declarator] = "abstract_function_declarator",
  [sym__old_style_function_declarator] = "function_declarator",
  [sym_array_declarator] = "array_declarator",
  [sym_array_field_declarator] = "array_declarator",
  [sym_array_type_declarator] = "array_declarator",
  [sym_abstract_array_declarator] = "abstract_array_declarator",
  [sym_init_declarator] = "init_declarator",
  [sym_compound_statement] = "compound_statement",
  [sym_storage_class_specifier] = "storage_class_specifier",
  [sym_type_qualifier] = "type_qualifier",
  [sym_alignas_qualifier] = "alignas_qualifier",
  [sym_type_specifier] = "type_specifier",
  [sym_sized_type_specifier] = "sized_type_specifier",
  [sym_enum_specifier] = "enum_specifier",
  [sym_enumerator_list] = "enumerator_list",
  [sym_struct_specifier] = "struct_specifier",
  [sym_union_specifier] = "union_specifier",
  [sym_field_declaration_list] = "field_declaration_list",
  [sym__field_declaration_list_item] = "_field_declaration_list_item",
  [sym_field_declaration] = "field_declaration",
  [sym__field_declaration_declarator] = "_field_declaration_declarator",
  [sym_bitfield_clause] = "bitfield_clause",
  [sym_enumerator] = "enumerator",
  [sym_variadic_parameter] = "variadic_parameter",
  [sym_parameter_list] = "parameter_list",
  [sym__old_style_parameter_list] = "parameter_list",
  [sym_parameter_declaration] = "parameter_declaration",
  [sym_attributed_statement] = "attributed_statement",
  [sym_statement] = "statement",
  [sym__top_level_statement] = "_top_level_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym__top_level_expression_statement] = "expression_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_if_statement] = "if_statement",
  [sym_else_clause] = "else_clause",
  [sym_switch_statement] = "switch_statement",
  [sym_case_statement] = "case_statement",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_for_statement] = "for_statement",
  [sym__for_statement_body] = "_for_statement_body",
  [sym_return_statement] = "return_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_goto_statement] = "goto_statement",
  [sym_seh_try_statement] = "seh_try_statement",
  [sym_seh_except_clause] = "seh_except_clause",
  [sym_seh_finally_clause] = "seh_finally_clause",
  [sym_seh_leave_statement] = "seh_leave_statement",
  [sym_expression] = "expression",
  [sym__string] = "_string",
  [sym_comma_expression] = "comma_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_pointer_expression] = "pointer_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_update_expression] = "update_expression",
  [sym_cast_expression] = "cast_expression",
  [sym_type_descriptor] = "type_descriptor",
  [sym_sizeof_expression] = "sizeof_expression",
  [sym_alignof_expression] = "alignof_expression",
  [sym_offsetof_expression] = "offsetof_expression",
  [sym_generic_expression] = "generic_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_call_expression] = "call_expression",
  [sym_gnu_asm_expression] = "gnu_asm_expression",
  [sym_gnu_asm_qualifier] = "gnu_asm_qualifier",
  [sym_gnu_asm_output_operand_list] = "gnu_asm_output_operand_list",
  [sym_gnu_asm_output_operand] = "gnu_asm_output_operand",
  [sym_gnu_asm_input_operand_list] = "gnu_asm_input_operand_list",
  [sym_gnu_asm_input_operand] = "gnu_asm_input_operand",
  [sym_gnu_asm_clobber_list] = "gnu_asm_clobber_list",
  [sym_gnu_asm_goto_list] = "gnu_asm_goto_list",
  [sym_argument_list] = "argument_list",
  [sym_field_expression] = "field_expression",
  [sym_compound_literal_expression] = "compound_literal_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_initializer_list] = "initializer_list",
  [sym_initializer_pair] = "initializer_pair",
  [sym_subscript_designator] = "subscript_designator",
  [sym_subscript_range_designator] = "subscript_range_designator",
  [sym_field_designator] = "field_designator",
  [sym_char_literal] = "char_literal",
  [sym_concatenated_string] = "concatenated_string",
  [sym_string_literal] = "string_literal",
  [sym_null] = "null",
  [sym__empty_declaration] = "_empty_declaration",
  [sym_macro_type_specifier] = "macro_type_specifier",
  [aux_sym_translation_unit_repeat1] = "translation_unit_repeat1",
  [aux_sym_preproc_params_repeat1] = "preproc_params_repeat1",
  [aux_sym_preproc_if_repeat1] = "preproc_if_repeat1",
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = "preproc_if_in_field_declaration_list_repeat1",
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = "preproc_if_in_enumerator_list_repeat1",
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = "preproc_if_in_enumerator_list_no_comma_repeat1",
  [aux_sym_preproc_argument_list_repeat1] = "preproc_argument_list_repeat1",
  [aux_sym__old_style_function_definition_repeat1] = "_old_style_function_definition_repeat1",
  [aux_sym_declaration_repeat1] = "declaration_repeat1",
  [aux_sym_type_definition_repeat1] = "type_definition_repeat1",
  [aux_sym__type_definition_type_repeat1] = "_type_definition_type_repeat1",
  [aux_sym__type_definition_declarators_repeat1] = "_type_definition_declarators_repeat1",
  [aux_sym__declaration_specifiers_repeat1] = "_declaration_specifiers_repeat1",
  [aux_sym_attribute_declaration_repeat1] = "attribute_declaration_repeat1",
  [aux_sym_attributed_declarator_repeat1] = "attributed_declarator_repeat1",
  [aux_sym_pointer_declarator_repeat1] = "pointer_declarator_repeat1",
  [aux_sym_function_declarator_repeat1] = "function_declarator_repeat1",
  [aux_sym_array_declarator_repeat1] = "array_declarator_repeat1",
  [aux_sym_sized_type_specifier_repeat1] = "sized_type_specifier_repeat1",
  [aux_sym_enumerator_list_repeat1] = "enumerator_list_repeat1",
  [aux_sym__field_declaration_declarator_repeat1] = "_field_declaration_declarator_repeat1",
  [aux_sym_parameter_list_repeat1] = "parameter_list_repeat1",
  [aux_sym__old_style_parameter_list_repeat1] = "_old_style_parameter_list_repeat1",
  [aux_sym_case_statement_repeat1] = "case_statement_repeat1",
  [aux_sym_generic_expression_repeat1] = "generic_expression_repeat1",
  [aux_sym_gnu_asm_expression_repeat1] = "gnu_asm_expression_repeat1",
  [aux_sym_gnu_asm_output_operand_list_repeat1] = "gnu_asm_output_operand_list_repeat1",
  [aux_sym_gnu_asm_input_operand_list_repeat1] = "gnu_asm_input_operand_list_repeat1",
  [aux_sym_gnu_asm_clobber_list_repeat1] = "gnu_asm_clobber_list_repeat1",
  [aux_sym_gnu_asm_goto_list_repeat1] = "gnu_asm_goto_list_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_initializer_list_repeat1] = "initializer_list_repeat1",
  [aux_sym_initializer_pair_repeat1] = "initializer_pair_repeat1",
  [aux_sym_char_literal_repeat1] = "char_literal_repeat1",
  [aux_sym_concatenated_string_repeat1] = "concatenated_string_repeat1",
  [aux_sym_string_literal_repeat1] = "string_literal_repeat1",
  [alias_sym_field_identifier] = "field_identifier",
  [alias_sym_statement_identifier] = "statement_identifier",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [aux_sym_preproc_include_token1] = aux_sym_preproc_include_token1,
  [aux_sym_preproc_include_token2] = aux_sym_preproc_include_token2,
  [aux_sym_preproc_def_token1] = aux_sym_preproc_def_token1,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [aux_sym_preproc_if_token1] = aux_sym_preproc_if_token1,
  [anon_sym_LF] = anon_sym_LF,
  [aux_sym_preproc_if_token2] = aux_sym_preproc_if_token2,
  [aux_sym_preproc_ifdef_token1] = aux_sym_preproc_ifdef_token1,
  [aux_sym_preproc_ifdef_token2] = aux_sym_preproc_ifdef_token2,
  [aux_sym_preproc_else_token1] = aux_sym_preproc_else_token1,
  [aux_sym_preproc_elif_token1] = aux_sym_preproc_elif_token1,
  [aux_sym_preproc_elifdef_token1] = aux_sym_preproc_elifdef_token1,
  [aux_sym_preproc_elifdef_token2] = aux_sym_preproc_elifdef_token2,
  [sym_preproc_arg] = sym_preproc_arg,
  [sym_preproc_directive] = sym_preproc_directive,
  [anon_sym_LPAREN2] = anon_sym_LPAREN,
  [anon_sym_defined] = anon_sym_defined,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym___extension__] = anon_sym___extension__,
  [anon_sym_typedef] = anon_sym_typedef,
  [anon_sym_extern] = anon_sym_extern,
  [anon_sym___attribute__] = anon_sym___attribute__,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_LBRACK_LBRACK] = anon_sym_LBRACK_LBRACK,
  [anon_sym_RBRACK_RBRACK] = anon_sym_RBRACK_RBRACK,
  [anon_sym___declspec] = anon_sym___declspec,
  [anon_sym___based] = anon_sym___based,
  [anon_sym___cdecl] = anon_sym___cdecl,
  [anon_sym___clrcall] = anon_sym___clrcall,
  [anon_sym___stdcall] = anon_sym___stdcall,
  [anon_sym___fastcall] = anon_sym___fastcall,
  [anon_sym___thiscall] = anon_sym___thiscall,
  [anon_sym___vectorcall] = anon_sym___vectorcall,
  [sym_ms_restrict_modifier] = sym_ms_restrict_modifier,
  [sym_ms_unsigned_ptr_modifier] = sym_ms_unsigned_ptr_modifier,
  [sym_ms_signed_ptr_modifier] = sym_ms_signed_ptr_modifier,
  [anon_sym__unaligned] = anon_sym__unaligned,
  [anon_sym___unaligned] = anon_sym___unaligned,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_signed] = anon_sym_signed,
  [anon_sym_unsigned] = anon_sym_unsigned,
  [anon_sym_long] = anon_sym_long,
  [anon_sym_short] = anon_sym_short,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_auto] = anon_sym_auto,
  [anon_sym_register] = anon_sym_register,
  [anon_sym_inline] = anon_sym_inline,
  [anon_sym___inline] = anon_sym___inline,
  [anon_sym___inline__] = anon_sym___inline__,
  [anon_sym___forceinline] = anon_sym___forceinline,
  [anon_sym_thread_local] = anon_sym_thread_local,
  [anon_sym___thread] = anon_sym___thread,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_constexpr] = anon_sym_constexpr,
  [anon_sym_volatile] = anon_sym_volatile,
  [anon_sym_restrict] = anon_sym_restrict,
  [anon_sym___restrict__] = anon_sym___restrict__,
  [anon_sym__Atomic] = anon_sym__Atomic,
  [anon_sym__Noreturn] = anon_sym__Noreturn,
  [anon_sym_noreturn] = anon_sym_noreturn,
  [anon_sym_alignas] = anon_sym_alignas,
  [anon_sym__Alignas] = anon_sym__Alignas,
  [sym_primitive_type] = sym_primitive_type,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_union] = anon_sym_union,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_goto] = anon_sym_goto,
  [anon_sym___try] = anon_sym___try,
  [anon_sym___except] = anon_sym___except,
  [anon_sym___finally] = anon_sym___finally,
  [anon_sym___leave] = anon_sym___leave,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_sizeof] = anon_sym_sizeof,
  [anon_sym___alignof__] = anon_sym___alignof__,
  [anon_sym___alignof] = anon_sym___alignof,
  [anon_sym__alignof] = anon_sym__alignof,
  [anon_sym_alignof] = anon_sym_alignof,
  [anon_sym__Alignof] = anon_sym__Alignof,
  [anon_sym_offsetof] = anon_sym_offsetof,
  [anon_sym__Generic] = anon_sym__Generic,
  [anon_sym_asm] = anon_sym_asm,
  [anon_sym___asm__] = anon_sym___asm__,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [sym_number_literal] = sym_number_literal,
  [anon_sym_L_SQUOTE] = anon_sym_L_SQUOTE,
  [anon_sym_u_SQUOTE] = anon_sym_u_SQUOTE,
  [anon_sym_U_SQUOTE] = anon_sym_U_SQUOTE,
  [anon_sym_u8_SQUOTE] = anon_sym_u8_SQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_char_literal_token1] = aux_sym_char_literal_token1,
  [anon_sym_L_DQUOTE] = anon_sym_L_DQUOTE,
  [anon_sym_u_DQUOTE] = anon_sym_u_DQUOTE,
  [anon_sym_U_DQUOTE] = anon_sym_U_DQUOTE,
  [anon_sym_u8_DQUOTE] = anon_sym_u8_DQUOTE,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_literal_token1] = aux_sym_string_literal_token1,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_system_lib_string] = sym_system_lib_string,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [anon_sym_NULL] = anon_sym_NULL,
  [anon_sym_nullptr] = anon_sym_nullptr,
  [sym_comment] = sym_comment,
  [sym_translation_unit] = sym_translation_unit,
  [sym__top_level_item] = sym__top_level_item,
  [sym__block_item] = sym__block_item,
  [sym_preproc_include] = sym_preproc_include,
  [sym_preproc_def] = sym_preproc_def,
  [sym_preproc_function_def] = sym_preproc_function_def,
  [sym_preproc_params] = sym_preproc_params,
  [sym_preproc_call] = sym_preproc_call,
  [sym_preproc_if] = sym_preproc_if,
  [sym_preproc_ifdef] = sym_preproc_ifdef,
  [sym_preproc_else] = sym_preproc_else,
  [sym_preproc_elif] = sym_preproc_elif,
  [sym_preproc_elifdef] = sym_preproc_elifdef,
  [sym_preproc_if_in_field_declaration_list] = sym_preproc_if,
  [sym_preproc_ifdef_in_field_declaration_list] = sym_preproc_ifdef,
  [sym_preproc_else_in_field_declaration_list] = sym_preproc_else,
  [sym_preproc_elif_in_field_declaration_list] = sym_preproc_elif,
  [sym_preproc_elifdef_in_field_declaration_list] = sym_preproc_elifdef,
  [sym_preproc_if_in_enumerator_list] = sym_preproc_if,
  [sym_preproc_ifdef_in_enumerator_list] = sym_preproc_ifdef,
  [sym_preproc_else_in_enumerator_list] = sym_preproc_else,
  [sym_preproc_elif_in_enumerator_list] = sym_preproc_elif,
  [sym_preproc_elifdef_in_enumerator_list] = sym_preproc_elifdef,
  [sym_preproc_if_in_enumerator_list_no_comma] = sym_preproc_if,
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = sym_preproc_ifdef,
  [sym_preproc_else_in_enumerator_list_no_comma] = sym_preproc_else,
  [sym_preproc_elif_in_enumerator_list_no_comma] = sym_preproc_elif,
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = sym_preproc_elifdef,
  [sym__preproc_expression] = sym__preproc_expression,
  [sym_preproc_parenthesized_expression] = sym_parenthesized_expression,
  [sym_preproc_defined] = sym_preproc_defined,
  [sym_preproc_unary_expression] = sym_unary_expression,
  [sym_preproc_call_expression] = sym_call_expression,
  [sym_preproc_argument_list] = sym_argument_list,
  [sym_preproc_binary_expression] = sym_binary_expression,
  [sym_function_definition] = sym_function_definition,
  [sym__old_style_function_definition] = sym_function_definition,
  [sym_declaration] = sym_declaration,
  [sym_type_definition] = sym_type_definition,
  [sym__type_definition_type] = sym__type_definition_type,
  [sym__type_definition_declarators] = sym__type_definition_declarators,
  [sym__declaration_modifiers] = sym__declaration_modifiers,
  [sym__declaration_specifiers] = sym__declaration_specifiers,
  [sym_linkage_specification] = sym_linkage_specification,
  [sym_attribute_specifier] = sym_attribute_specifier,
  [sym_attribute] = sym_attribute,
  [sym_attribute_declaration] = sym_attribute_declaration,
  [sym_ms_declspec_modifier] = sym_ms_declspec_modifier,
  [sym_ms_based_modifier] = sym_ms_based_modifier,
  [sym_ms_call_modifier] = sym_ms_call_modifier,
  [sym_ms_unaligned_ptr_modifier] = sym_ms_unaligned_ptr_modifier,
  [sym_ms_pointer_modifier] = sym_ms_pointer_modifier,
  [sym_declaration_list] = sym_declaration_list,
  [sym__declarator] = sym__declarator,
  [sym__declaration_declarator] = sym__declaration_declarator,
  [sym__field_declarator] = sym__field_declarator,
  [sym__type_declarator] = sym__type_declarator,
  [sym__abstract_declarator] = sym__abstract_declarator,
  [sym_parenthesized_declarator] = sym_parenthesized_declarator,
  [sym_parenthesized_field_declarator] = sym_parenthesized_declarator,
  [sym_parenthesized_type_declarator] = sym_parenthesized_declarator,
  [sym_abstract_parenthesized_declarator] = sym_abstract_parenthesized_declarator,
  [sym_attributed_declarator] = sym_attributed_declarator,
  [sym_attributed_field_declarator] = sym_attributed_declarator,
  [sym_attributed_type_declarator] = sym_attributed_declarator,
  [sym_pointer_declarator] = sym_pointer_declarator,
  [sym_pointer_field_declarator] = sym_pointer_declarator,
  [sym_pointer_type_declarator] = sym_pointer_declarator,
  [sym_abstract_pointer_declarator] = sym_abstract_pointer_declarator,
  [sym_function_declarator] = sym_function_declarator,
  [sym__function_declaration_declarator] = sym_function_declarator,
  [sym_function_field_declarator] = sym_function_declarator,
  [sym_function_type_declarator] = sym_function_declarator,
  [sym_abstract_function_declarator] = sym_abstract_function_declarator,
  [sym__old_style_function_declarator] = sym_function_declarator,
  [sym_array_declarator] = sym_array_declarator,
  [sym_array_field_declarator] = sym_array_declarator,
  [sym_array_type_declarator] = sym_array_declarator,
  [sym_abstract_array_declarator] = sym_abstract_array_declarator,
  [sym_init_declarator] = sym_init_declarator,
  [sym_compound_statement] = sym_compound_statement,
  [sym_storage_class_specifier] = sym_storage_class_specifier,
  [sym_type_qualifier] = sym_type_qualifier,
  [sym_alignas_qualifier] = sym_alignas_qualifier,
  [sym_type_specifier] = sym_type_specifier,
  [sym_sized_type_specifier] = sym_sized_type_specifier,
  [sym_enum_specifier] = sym_enum_specifier,
  [sym_enumerator_list] = sym_enumerator_list,
  [sym_struct_specifier] = sym_struct_specifier,
  [sym_union_specifier] = sym_union_specifier,
  [sym_field_declaration_list] = sym_field_declaration_list,
  [sym__field_declaration_list_item] = sym__field_declaration_list_item,
  [sym_field_declaration] = sym_field_declaration,
  [sym__field_declaration_declarator] = sym__field_declaration_declarator,
  [sym_bitfield_clause] = sym_bitfield_clause,
  [sym_enumerator] = sym_enumerator,
  [sym_variadic_parameter] = sym_variadic_parameter,
  [sym_parameter_list] = sym_parameter_list,
  [sym__old_style_parameter_list] = sym_parameter_list,
  [sym_parameter_declaration] = sym_parameter_declaration,
  [sym_attributed_statement] = sym_attributed_statement,
  [sym_statement] = sym_statement,
  [sym__top_level_statement] = sym__top_level_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym__top_level_expression_statement] = sym_expression_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_else_clause] = sym_else_clause,
  [sym_switch_statement] = sym_switch_statement,
  [sym_case_statement] = sym_case_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_for_statement] = sym_for_statement,
  [sym__for_statement_body] = sym__for_statement_body,
  [sym_return_statement] = sym_return_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_goto_statement] = sym_goto_statement,
  [sym_seh_try_statement] = sym_seh_try_statement,
  [sym_seh_except_clause] = sym_seh_except_clause,
  [sym_seh_finally_clause] = sym_seh_finally_clause,
  [sym_seh_leave_statement] = sym_seh_leave_statement,
  [sym_expression] = sym_expression,
  [sym__string] = sym__string,
  [sym_comma_expression] = sym_comma_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_pointer_expression] = sym_pointer_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym_type_descriptor] = sym_type_descriptor,
  [sym_sizeof_expression] = sym_sizeof_expression,
  [sym_alignof_expression] = sym_alignof_expression,
  [sym_offsetof_expression] = sym_offsetof_expression,
  [sym_generic_expression] = sym_generic_expression,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_call_expression] = sym_call_expression,
  [sym_gnu_asm_expression] = sym_gnu_asm_expression,
  [sym_gnu_asm_qualifier] = sym_gnu_asm_qualifier,
  [sym_gnu_asm_output_operand_list] = sym_gnu_asm_output_operand_list,
  [sym_gnu_asm_output_operand] = sym_gnu_asm_output_operand,
  [sym_gnu_asm_input_operand_list] = sym_gnu_asm_input_operand_list,
  [sym_gnu_asm_input_operand] = sym_gnu_asm_input_operand,
  [sym_gnu_asm_clobber_list] = sym_gnu_asm_clobber_list,
  [sym_gnu_asm_goto_list] = sym_gnu_asm_goto_list,
  [sym_argument_list] = sym_argument_list,
  [sym_field_expression] = sym_field_expression,
  [sym_compound_literal_expression] = sym_compound_literal_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_initializer_list] = sym_initializer_list,
  [sym_initializer_pair] = sym_initializer_pair,
  [sym_subscript_designator] = sym_subscript_designator,
  [sym_subscript_range_designator] = sym_subscript_range_designator,
  [sym_field_designator] = sym_field_designator,
  [sym_char_literal] = sym_char_literal,
  [sym_concatenated_string] = sym_concatenated_string,
  [sym_string_literal] = sym_string_literal,
  [sym_null] = sym_null,
  [sym__empty_declaration] = sym__empty_declaration,
  [sym_macro_type_specifier] = sym_macro_type_specifier,
  [aux_sym_translation_unit_repeat1] = aux_sym_translation_unit_repeat1,
  [aux_sym_preproc_params_repeat1] = aux_sym_preproc_params_repeat1,
  [aux_sym_preproc_if_repeat1] = aux_sym_preproc_if_repeat1,
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = aux_sym_preproc_if_in_enumerator_list_repeat1,
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [aux_sym_preproc_argument_list_repeat1] = aux_sym_preproc_argument_list_repeat1,
  [aux_sym__old_style_function_definition_repeat1] = aux_sym__old_style_function_definition_repeat1,
  [aux_sym_declaration_repeat1] = aux_sym_declaration_repeat1,
  [aux_sym_type_definition_repeat1] = aux_sym_type_definition_repeat1,
  [aux_sym__type_definition_type_repeat1] = aux_sym__type_definition_type_repeat1,
  [aux_sym__type_definition_declarators_repeat1] = aux_sym__type_definition_declarators_repeat1,
  [aux_sym__declaration_specifiers_repeat1] = aux_sym__declaration_specifiers_repeat1,
  [aux_sym_attribute_declaration_repeat1] = aux_sym_attribute_declaration_repeat1,
  [aux_sym_attributed_declarator_repeat1] = aux_sym_attributed_declarator_repeat1,
  [aux_sym_pointer_declarator_repeat1] = aux_sym_pointer_declarator_repeat1,
  [aux_sym_function_declarator_repeat1] = aux_sym_function_declarator_repeat1,
  [aux_sym_array_declarator_repeat1] = aux_sym_array_declarator_repeat1,
  [aux_sym_sized_type_specifier_repeat1] = aux_sym_sized_type_specifier_repeat1,
  [aux_sym_enumerator_list_repeat1] = aux_sym_enumerator_list_repeat1,
  [aux_sym__field_declaration_declarator_repeat1] = aux_sym__field_declaration_declarator_repeat1,
  [aux_sym_parameter_list_repeat1] = aux_sym_parameter_list_repeat1,
  [aux_sym__old_style_parameter_list_repeat1] = aux_sym__old_style_parameter_list_repeat1,
  [aux_sym_case_statement_repeat1] = aux_sym_case_statement_repeat1,
  [aux_sym_generic_expression_repeat1] = aux_sym_generic_expression_repeat1,
  [aux_sym_gnu_asm_expression_repeat1] = aux_sym_gnu_asm_expression_repeat1,
  [aux_sym_gnu_asm_output_operand_list_repeat1] = aux_sym_gnu_asm_output_operand_list_repeat1,
  [aux_sym_gnu_asm_input_operand_list_repeat1] = aux_sym_gnu_asm_input_operand_list_repeat1,
  [aux_sym_gnu_asm_clobber_list_repeat1] = aux_sym_gnu_asm_clobber_list_repeat1,
  [aux_sym_gnu_asm_goto_list_repeat1] = aux_sym_gnu_asm_goto_list_repeat1,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym_initializer_list_repeat1] = aux_sym_initializer_list_repeat1,
  [aux_sym_initializer_pair_repeat1] = aux_sym_initializer_pair_repeat1,
  [aux_sym_char_literal_repeat1] = aux_sym_char_literal_repeat1,
  [aux_sym_concatenated_string_repeat1] = aux_sym_concatenated_string_repeat1,
  [aux_sym_string_literal_repeat1] = aux_sym_string_literal_repeat1,
  [alias_sym_field_identifier] = alias_sym_field_identifier,
  [alias_sym_statement_identifier] = alias_sym_statement_identifier,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_preproc_include_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_include_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_def_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_else_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elif_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [sym_preproc_arg] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_directive] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defined] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___extension__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typedef] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extern] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___attribute__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___declspec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___based] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___cdecl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___clrcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___stdcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___fastcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___thiscall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___vectorcall] = {
    .visible = true,
    .named = false,
  },
  [sym_ms_restrict_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_unsigned_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_signed_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym__unaligned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___unaligned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_signed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unsigned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_long] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_short] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_auto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_register] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___inline__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___forceinline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_thread_local] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___thread] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constexpr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_volatile] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_restrict] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___restrict__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Atomic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Noreturn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_noreturn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_alignas] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Alignas] = {
    .visible = true,
    .named = false,
  },
  [sym_primitive_type] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_union] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_goto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___except] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___leave] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sizeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___alignof__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_offsetof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Generic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_asm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___asm__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_number_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_L_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_U_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_char_literal_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_L_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_U_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_literal_token1] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_system_lib_string] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_NULL] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nullptr] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_translation_unit] = {
    .visible = true,
    .named = true,
  },
  [sym__top_level_item] = {
    .visible = false,
    .named = true,
  },
  [sym__block_item] = {
    .visible = false,
    .named = true,
  },
  [sym_preproc_include] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_function_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_params] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym__preproc_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_preproc_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_defined] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__old_style_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__type_definition_type] = {
    .visible = false,
    .named = true,
  },
  [sym__type_definition_declarators] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration_modifiers] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration_specifiers] = {
    .visible = false,
    .named = true,
  },
  [sym_linkage_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_declspec_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_based_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_call_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_unaligned_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_pointer_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__declaration_declarator] = {
    .visible = false,
    .named = true,
  },
  [sym__field_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__type_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__abstract_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_parenthesized_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_pointer_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym__function_declaration_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym__old_style_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_array_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_init_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_storage_class_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_type_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_alignas_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_type_specifier] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_sized_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_union_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__field_declaration_list_item] = {
    .visible = false,
    .named = true,
  },
  [sym_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__field_declaration_declarator] = {
    .visible = false,
    .named = true,
  },
  [sym_bitfield_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym__old_style_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__top_level_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__top_level_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_statement_body] = {
    .visible = false,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_except_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_leave_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__string] = {
    .visible = false,
    .named = true,
  },
  [sym_comma_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_descriptor] = {
    .visible = true,
    .named = true,
  },
  [sym_sizeof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_alignof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_offsetof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_output_operand_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_output_operand] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_input_operand_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_input_operand] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_clobber_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_goto_list] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_literal_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_list] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_range_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_field_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_char_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenated_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym__empty_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_macro_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_translation_unit_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_params_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__old_style_function_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_definition_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_definition_declarators_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__declaration_specifiers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attributed_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pointer_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_sized_type_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enumerator_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__field_declaration_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__old_style_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_generic_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_output_operand_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_input_operand_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_clobber_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_goto_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initializer_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initializer_pair_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_char_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenated_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alternative = 1,
  field_argument = 2,
  field_arguments = 3,
  field_assembly_code = 4,
  field_body = 5,
  field_clobbers = 6,
  field_condition = 7,
  field_consequence = 8,
  field_constraint = 9,
  field_declarator = 10,
  field_designator = 11,
  field_directive = 12,
  field_end = 13,
  field_field = 14,
  field_filter = 15,
  field_function = 16,
  field_goto_labels = 17,
  field_index = 18,
  field_initializer = 19,
  field_input_operands = 20,
  field_label = 21,
  field_left = 22,
  field_member = 23,
  field_name = 24,
  field_operand = 25,
  field_operator = 26,
  field_output_operands = 27,
  field_parameters = 28,
  field_path = 29,
  field_prefix = 30,
  field_register = 31,
  field_right = 32,
  field_size = 33,
  field_start = 34,
  field_symbol = 35,
  field_type = 36,
  field_underlying_type = 37,
  field_update = 38,
  field_value = 39,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_assembly_code] = "assembly_code",
  [field_body] = "body",
  [field_clobbers] = "clobbers",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constraint] = "constraint",
  [field_declarator] = "declarator",
  [field_designator] = "designator",
  [field_directive] = "directive",
  [field_end] = "end",
  [field_field] = "field",
  [field_filter] = "filter",
  [field_function] = "function",
  [field_goto_labels] = "goto_labels",
  [field_index] = "index",
  [field_initializer] = "initializer",
  [field_input_operands] = "input_operands",
  [field_label] = "label",
  [field_left] = "left",
  [field_member] = "member",
  [field_name] = "name",
  [field_operand] = "operand",
  [field_operator] = "operator",
  [field_output_operands] = "output_operands",
  [field_parameters] = "parameters",
  [field_path] = "path",
  [field_prefix] = "prefix",
  [field_register] = "register",
  [field_right] = "right",
  [field_size] = "size",
  [field_start] = "start",
  [field_symbol] = "symbol",
  [field_type] = "type",
  [field_underlying_type] = "underlying_type",
  [field_update] = "update",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 3},
  [3] = {.index = 3, .length = 1},
  [4] = {.index = 4, .length = 1},
  [5] = {.index = 5, .length = 2},
  [6] = {.index = 7, .length = 1},
  [7] = {.index = 8, .length = 1},
  [8] = {.index = 9, .length = 1},
  [9] = {.index = 10, .length = 1},
  [10] = {.index = 3, .length = 1},
  [11] = {.index = 11, .length = 2},
  [12] = {.index = 13, .length = 2},
  [13] = {.index = 15, .length = 2},
  [14] = {.index = 17, .length = 1},
  [15] = {.index = 17, .length = 1},
  [16] = {.index = 18, .length = 1},
  [17] = {.index = 8, .length = 1},
  [18] = {.index = 19, .length = 2},
  [19] = {.index = 21, .length = 2},
  [20] = {.index = 23, .length = 1},
  [22] = {.index = 24, .length = 1},
  [23] = {.index = 25, .length = 2},
  [24] = {.index = 27, .length = 2},
  [25] = {.index = 29, .length = 1},
  [26] = {.index = 30, .length = 1},
  [27] = {.index = 31, .length = 2},
  [28] = {.index = 33, .length = 2},
  [29] = {.index = 35, .length = 1},
  [30] = {.index = 36, .length = 3},
  [31] = {.index = 39, .length = 1},
  [32] = {.index = 40, .length = 1},
  [33] = {.index = 41, .length = 3},
  [34] = {.index = 44, .length = 2},
  [35] = {.index = 46, .length = 2},
  [36] = {.index = 48, .length = 5},
  [37] = {.index = 53, .length = 3},
  [38] = {.index = 56, .length = 2},
  [39] = {.index = 58, .length = 2},
  [40] = {.index = 60, .length = 1},
  [41] = {.index = 61, .length = 2},
  [42] = {.index = 63, .length = 1},
  [43] = {.index = 64, .length = 2},
  [44] = {.index = 66, .length = 2},
  [45] = {.index = 68, .length = 2},
  [46] = {.index = 70, .length = 2},
  [47] = {.index = 72, .length = 2},
  [48] = {.index = 74, .length = 2},
  [49] = {.index = 76, .length = 2},
  [50] = {.index = 78, .length = 2},
  [52] = {.index = 80, .length = 2},
  [53] = {.index = 82, .length = 1},
  [54] = {.index = 83, .length = 1},
  [55] = {.index = 84, .length = 3},
  [56] = {.index = 87, .length = 1},
  [57] = {.index = 88, .length = 1},
  [58] = {.index = 89, .length = 1},
  [59] = {.index = 90, .length = 2},
  [60] = {.index = 92, .length = 1},
  [61] = {.index = 93, .length = 3},
  [62] = {.index = 96, .length = 3},
  [63] = {.index = 99, .length = 2},
  [64] = {.index = 101, .length = 3},
  [65] = {.index = 104, .length = 2},
  [66] = {.index = 106, .length = 5},
  [67] = {.index = 111, .length = 3},
  [68] = {.index = 114, .length = 5},
  [69] = {.index = 119, .length = 2},
  [70] = {.index = 121, .length = 2},
  [71] = {.index = 123, .length = 3},
  [72] = {.index = 126, .length = 2},
  [73] = {.index = 128, .length = 2},
  [74] = {.index = 130, .length = 1},
  [75] = {.index = 131, .length = 2},
  [76] = {.index = 133, .length = 2},
  [77] = {.index = 135, .length = 2},
  [78] = {.index = 137, .length = 3},
  [79] = {.index = 140, .length = 2},
  [80] = {.index = 142, .length = 2},
  [81] = {.index = 144, .length = 2},
  [82] = {.index = 146, .length = 1},
  [83] = {.index = 147, .length = 2},
  [84] = {.index = 149, .length = 2},
  [85] = {.index = 151, .length = 4},
  [86] = {.index = 155, .length = 1},
  [87] = {.index = 156, .length = 2},
  [88] = {.index = 158, .length = 1},
  [89] = {.index = 159, .length = 1},
  [90] = {.index = 160, .length = 4},
  [91] = {.index = 164, .length = 4},
  [92] = {.index = 168, .length = 2},
  [93] = {.index = 170, .length = 2},
  [94] = {.index = 172, .length = 3},
  [95] = {.index = 175, .length = 5},
  [96] = {.index = 180, .length = 3},
  [97] = {.index = 183, .length = 2},
  [98] = {.index = 185, .length = 1},
  [100] = {.index = 186, .length = 2},
  [101] = {.index = 188, .length = 2},
  [102] = {.index = 190, .length = 2},
  [103] = {.index = 192, .length = 3},
  [104] = {.index = 195, .length = 2},
  [105] = {.index = 197, .length = 2},
  [106] = {.index = 199, .length = 2},
  [107] = {.index = 201, .length = 2},
  [108] = {.index = 203, .length = 3},
  [109] = {.index = 206, .length = 2},
  [110] = {.index = 208, .length = 1},
  [111] = {.index = 209, .length = 5},
  [112] = {.index = 214, .length = 2},
  [113] = {.index = 216, .length = 3},
  [114] = {.index = 219, .length = 2},
  [115] = {.index = 219, .length = 2},
  [116] = {.index = 221, .length = 3},
  [117] = {.index = 224, .length = 2},
  [118] = {.index = 226, .length = 1},
  [119] = {.index = 227, .length = 4},
  [120] = {.index = 231, .length = 3},
  [121] = {.index = 234, .length = 2},
  [122] = {.index = 236, .length = 2},
  [123] = {.index = 35, .length = 1},
  [124] = {.index = 238, .length = 5},
  [125] = {.index = 243, .length = 4},
  [126] = {.index = 247, .length = 2},
  [127] = {.index = 249, .length = 2},
  [128] = {.index = 251, .length = 2},
  [129] = {.index = 253, .length = 5},
  [130] = {.index = 258, .length = 2},
  [131] = {.index = 260, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_body, 0, .inherited = true},
    {field_declarator, 0, .inherited = true},
    {field_type, 0, .inherited = true},
  [3] =
    {field_type, 0},
  [4] =
    {field_directive, 0},
  [5] =
    {field_argument, 1},
    {field_operator, 0},
  [7] =
    {field_name, 0},
  [8] =
    {field_name, 1},
  [9] =
    {field_body, 1},
  [10] =
    {field_value, 1},
  [11] =
    {field_declarator, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
  [13] =
    {field_argument, 0},
    {field_operator, 1},
  [15] =
    {field_arguments, 1},
    {field_function, 0},
  [17] =
    {field_type, 1},
  [18] =
    {field_path, 1},
  [19] =
    {field_argument, 1},
    {field_directive, 0},
  [21] =
    {field_declarator, 1},
    {field_type, 0},
  [23] =
    {field_parameters, 0},
  [24] =
    {field_declarator, 0},
  [25] =
    {field_body, 2},
    {field_value, 1},
  [27] =
    {field_body, 2},
    {field_name, 1},
  [29] =
    {field_name, 2},
  [30] =
    {field_body, 2},
  [31] =
    {field_condition, 1},
    {field_consequence, 2},
  [33] =
    {field_body, 2},
    {field_condition, 1},
  [35] =
    {field_label, 1},
  [36] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [39] =
    {field_label, 0},
  [40] =
    {field_declarator, 1},
  [41] =
    {field_body, 2},
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
  [44] =
    {field_declarator, 0},
    {field_parameters, 1},
  [46] =
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
  [48] =
    {field_body, 2},
    {field_declarator, 1},
    {field_declarator, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_type, 0, .inherited = true},
  [53] =
    {field_argument, 0},
    {field_field, 2},
    {field_operator, 1},
  [56] =
    {field_name, 1},
    {field_value, 2},
  [58] =
    {field_name, 1},
    {field_parameters, 2},
  [60] =
    {field_condition, 1},
  [61] =
    {field_alternative, 2},
    {field_name, 1},
  [63] =
    {field_type, 0, .inherited = true},
  [64] =
    {field_declarator, 2},
    {field_type, 0},
  [66] =
    {field_left, 0},
    {field_right, 2},
  [68] =
    {field_type, 1},
    {field_value, 3},
  [70] =
    {field_declarator, 2},
    {field_type, 1},
  [72] =
    {field_declarator, 2, .inherited = true},
    {field_type, 1, .inherited = true},
  [74] =
    {field_declarator, 0},
    {field_declarator, 1, .inherited = true},
  [76] =
    {field_name, 2},
    {field_prefix, 0},
  [78] =
    {field_name, 1},
    {field_underlying_type, 3},
  [80] =
    {field_body, 3},
    {field_name, 2},
  [82] =
    {field_name, 3},
  [83] =
    {field_body, 3},
  [84] =
    {field_alternative, 3},
    {field_condition, 1},
    {field_consequence, 2},
  [87] =
    {field_initializer, 0},
  [88] =
    {field_type, 2},
  [89] =
    {field_assembly_code, 2},
  [90] =
    {field_name, 0},
    {field_type, 2},
  [92] =
    {field_declarator, 2},
  [93] =
    {field_body, 3},
    {field_declarator, 2},
    {field_type, 0, .inherited = true},
  [96] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_type, 0, .inherited = true},
  [99] =
    {field_declarator, 0},
    {field_value, 2},
  [101] =
    {field_declarator, 1},
    {field_declarator, 2, .inherited = true},
    {field_type, 0, .inherited = true},
  [104] =
    {field_declarator, 0, .inherited = true},
    {field_declarator, 1, .inherited = true},
  [106] =
    {field_body, 3},
    {field_declarator, 1},
    {field_declarator, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_type, 0, .inherited = true},
  [111] =
    {field_body, 3},
    {field_declarator, 2},
    {field_type, 1, .inherited = true},
  [114] =
    {field_body, 3},
    {field_declarator, 2},
    {field_declarator, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_type, 1, .inherited = true},
  [119] =
    {field_argument, 0},
    {field_index, 2},
  [121] =
    {field_alternative, 3},
    {field_condition, 0},
  [123] =
    {field_name, 1},
    {field_parameters, 2},
    {field_value, 3},
  [126] =
    {field_alternative, 3},
    {field_condition, 1},
  [128] =
    {field_alternative, 3},
    {field_name, 1},
  [130] =
    {field_size, 1},
  [131] =
    {field_declarator, 3},
    {field_type, 1},
  [133] =
    {field_declarator, 3, .inherited = true},
    {field_type, 2, .inherited = true},
  [135] =
    {field_name, 0},
    {field_value, 2},
  [137] =
    {field_body, 4},
    {field_name, 1},
    {field_underlying_type, 3},
  [140] =
    {field_declarator, 1, .inherited = true},
    {field_type, 0, .inherited = true},
  [142] =
    {field_body, 4},
    {field_name, 3},
  [144] =
    {field_body, 1},
    {field_condition, 3},
  [146] =
    {field_update, 2},
  [147] =
    {field_initializer, 0},
    {field_update, 2},
  [149] =
    {field_condition, 1},
    {field_initializer, 0},
  [151] =
    {field_body, 4},
    {field_condition, 2, .inherited = true},
    {field_initializer, 2, .inherited = true},
    {field_update, 2, .inherited = true},
  [155] =
    {field_operand, 1},
  [156] =
    {field_assembly_code, 2},
    {field_output_operands, 3},
  [158] =
    {field_assembly_code, 3},
  [159] =
    {field_declarator, 3},
  [160] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_declarator, 3},
    {field_type, 0, .inherited = true},
  [164] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_declarator, 3, .inherited = true},
    {field_type, 0, .inherited = true},
  [168] =
    {field_declarator, 0},
    {field_size, 2},
  [170] =
    {field_declarator, 1},
    {field_declarator, 2},
  [172] =
    {field_body, 4},
    {field_declarator, 3},
    {field_type, 1, .inherited = true},
  [175] =
    {field_body, 4},
    {field_declarator, 2},
    {field_declarator, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_type, 1, .inherited = true},
  [180] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [183] =
    {field_alternative, 4},
    {field_condition, 1},
  [185] =
    {field_size, 2},
  [186] =
    {field_body, 2},
    {field_filter, 1},
  [188] =
    {field_declarator, 0},
    {field_declarator, 2, .inherited = true},
  [190] =
    {field_condition, 1},
    {field_update, 3},
  [192] =
    {field_condition, 1},
    {field_initializer, 0},
    {field_update, 3},
  [195] =
    {field_initializer, 0},
    {field_update, 3},
  [197] =
    {field_condition, 2},
    {field_initializer, 0},
  [199] =
    {field_member, 4},
    {field_type, 2},
  [201] =
    {field_operand, 1},
    {field_operand, 2, .inherited = true},
  [203] =
    {field_assembly_code, 2},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [206] =
    {field_assembly_code, 3},
    {field_output_operands, 4},
  [208] =
    {field_declarator, 4},
  [209] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_declarator, 3},
    {field_declarator, 4, .inherited = true},
    {field_type, 0, .inherited = true},
  [214] =
    {field_declarator, 0},
    {field_size, 3},
  [216] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_declarator, 3},
  [219] =
    {field_designator, 0},
    {field_value, 2},
  [221] =
    {field_condition, 2},
    {field_initializer, 0},
    {field_update, 4},
  [224] =
    {field_operand, 0, .inherited = true},
    {field_operand, 1, .inherited = true},
  [226] =
    {field_register, 1},
  [227] =
    {field_assembly_code, 2},
    {field_clobbers, 5},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [231] =
    {field_assembly_code, 3},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [234] =
    {field_constraint, 0},
    {field_value, 2},
  [236] =
    {field_register, 1},
    {field_register, 2, .inherited = true},
  [238] =
    {field_assembly_code, 2},
    {field_clobbers, 5},
    {field_goto_labels, 6},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [243] =
    {field_assembly_code, 3},
    {field_clobbers, 6},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [247] =
    {field_end, 3},
    {field_start, 1},
  [249] =
    {field_register, 0, .inherited = true},
    {field_register, 1, .inherited = true},
  [251] =
    {field_label, 1},
    {field_label, 2, .inherited = true},
  [253] =
    {field_assembly_code, 3},
    {field_clobbers, 6},
    {field_goto_labels, 7},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [258] =
    {field_label, 0, .inherited = true},
    {field_label, 1, .inherited = true},
  [260] =
    {field_constraint, 3},
    {field_symbol, 1},
    {field_value, 5},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = alias_sym_type_identifier,
  },
  [7] = {
    [1] = alias_sym_type_identifier,
  },
  [10] = {
    [0] = alias_sym_type_identifier,
  },
  [15] = {
    [1] = alias_sym_type_identifier,
  },
  [21] = {
    [0] = sym_primitive_type,
  },
  [24] = {
    [1] = alias_sym_type_identifier,
  },
  [25] = {
    [2] = alias_sym_type_identifier,
  },
  [29] = {
    [1] = alias_sym_statement_identifier,
  },
  [31] = {
    [0] = alias_sym_statement_identifier,
  },
  [37] = {
    [2] = alias_sym_field_identifier,
  },
  [50] = {
    [1] = alias_sym_type_identifier,
  },
  [51] = {
    [0] = alias_sym_field_identifier,
  },
  [52] = {
    [2] = alias_sym_type_identifier,
  },
  [53] = {
    [3] = alias_sym_type_identifier,
  },
  [78] = {
    [1] = alias_sym_type_identifier,
  },
  [80] = {
    [3] = alias_sym_type_identifier,
  },
  [99] = {
    [1] = alias_sym_field_identifier,
  },
  [106] = {
    [4] = alias_sym_field_identifier,
  },
  [114] = {
    [0] = alias_sym_field_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 4,
  [7] = 7,
  [8] = 8,
  [9] = 8,
  [10] = 7,
  [11] = 2,
  [12] = 4,
  [13] = 7,
  [14] = 8,
  [15] = 8,
  [16] = 4,
  [17] = 2,
  [18] = 2,
  [19] = 19,
  [20] = 7,
  [21] = 21,
  [22] = 22,
  [23] = 23,
  [24] = 24,
  [25] = 25,
  [26] = 26,
  [27] = 23,
  [28] = 28,
  [29] = 28,
  [30] = 25,
  [31] = 22,
  [32] = 25,
  [33] = 28,
  [34] = 24,
  [35] = 23,
  [36] = 36,
  [37] = 24,
  [38] = 25,
  [39] = 24,
  [40] = 22,
  [41] = 23,
  [42] = 28,
  [43] = 43,
  [44] = 44,
  [45] = 45,
  [46] = 46,
  [47] = 47,
  [48] = 48,
  [49] = 49,
  [50] = 46,
  [51] = 47,
  [52] = 47,
  [53] = 48,
  [54] = 46,
  [55] = 49,
  [56] = 49,
  [57] = 45,
  [58] = 45,
  [59] = 46,
  [60] = 48,
  [61] = 47,
  [62] = 48,
  [63] = 49,
  [64] = 45,
  [65] = 49,
  [66] = 48,
  [67] = 46,
  [68] = 47,
  [69] = 45,
  [70] = 70,
  [71] = 70,
  [72] = 70,
  [73] = 70,
  [74] = 70,
  [75] = 75,
  [76] = 76,
  [77] = 77,
  [78] = 78,
  [79] = 79,
  [80] = 80,
  [81] = 81,
  [82] = 82,
  [83] = 83,
  [84] = 84,
  [85] = 85,
  [86] = 86,
  [87] = 87,
  [88] = 88,
  [89] = 89,
  [90] = 90,
  [91] = 91,
  [92] = 92,
  [93] = 93,
  [94] = 94,
  [95] = 95,
  [96] = 96,
  [97] = 97,
  [98] = 98,
  [99] = 99,
  [100] = 100,
  [101] = 101,
  [102] = 102,
  [103] = 103,
  [104] = 88,
  [105] = 105,
  [106] = 106,
  [107] = 107,
  [108] = 108,
  [109] = 109,
  [110] = 110,
  [111] = 77,
  [112] = 112,
  [113] = 113,
  [114] = 114,
  [115] = 115,
  [116] = 116,
  [117] = 117,
  [118] = 118,
  [119] = 119,
  [120] = 120,
  [121] = 121,
  [122] = 122,
  [123] = 123,
  [124] = 124,
  [125] = 125,
  [126] = 126,
  [127] = 127,
  [128] = 128,
  [129] = 129,
  [130] = 130,
  [131] = 131,
  [132] = 132,
  [133] = 133,
  [134] = 134,
  [135] = 135,
  [136] = 136,
  [137] = 137,
  [138] = 138,
  [139] = 139,
  [140] = 140,
  [141] = 141,
  [142] = 142,
  [143] = 75,
  [144] = 75,
  [145] = 75,
  [146] = 87,
  [147] = 94,
  [148] = 107,
  [149] = 108,
  [150] = 105,
  [151] = 106,
  [152] = 106,
  [153] = 91,
  [154] = 108,
  [155] = 91,
  [156] = 101,
  [157] = 103,
  [158] = 96,
  [159] = 112,
  [160] = 101,
  [161] = 89,
  [162] = 77,
  [163] = 102,
  [164] = 110,
  [165] = 99,
  [166] = 101,
  [167] = 78,
  [168] = 98,
  [169] = 78,
  [170] = 79,
  [171] = 97,
  [172] = 112,
  [173] = 80,
  [174] = 79,
  [175] = 80,
  [176] = 81,
  [177] = 110,
  [178] = 82,
  [179] = 89,
  [180] = 83,
  [181] = 84,
  [182] = 94,
  [183] = 85,
  [184] = 86,
  [185] = 113,
  [186] = 96,
  [187] = 100,
  [188] = 102,
  [189] = 97,
  [190] = 98,
  [191] = 99,
  [192] = 113,
  [193] = 100,
  [194] = 76,
  [195] = 93,
  [196] = 94,
  [197] = 86,
  [198] = 89,
  [199] = 90,
  [200] = 97,
  [201] = 98,
  [202] = 99,
  [203] = 88,
  [204] = 102,
  [205] = 92,
  [206] = 95,
  [207] = 85,
  [208] = 81,
  [209] = 82,
  [210] = 109,
  [211] = 103,
  [212] = 109,
  [213] = 83,
  [214] = 87,
  [215] = 95,
  [216] = 92,
  [217] = 84,
  [218] = 105,
  [219] = 84,
  [220] = 85,
  [221] = 107,
  [222] = 86,
  [223] = 93,
  [224] = 103,
  [225] = 78,
  [226] = 105,
  [227] = 110,
  [228] = 77,
  [229] = 112,
  [230] = 107,
  [231] = 91,
  [232] = 108,
  [233] = 106,
  [234] = 100,
  [235] = 79,
  [236] = 96,
  [237] = 80,
  [238] = 83,
  [239] = 82,
  [240] = 93,
  [241] = 76,
  [242] = 90,
  [243] = 113,
  [244] = 90,
  [245] = 88,
  [246] = 76,
  [247] = 95,
  [248] = 92,
  [249] = 81,
  [250] = 109,
  [251] = 87,
  [252] = 114,
  [253] = 140,
  [254] = 116,
  [255] = 120,
  [256] = 125,
  [257] = 136,
  [258] = 129,
  [259] = 115,
  [260] = 130,
  [261] = 133,
  [262] = 123,
  [263] = 132,
  [264] = 129,
  [265] = 130,
  [266] = 120,
  [267] = 123,
  [268] = 125,
  [269] = 136,
  [270] = 124,
  [271] = 140,
  [272] = 126,
  [273] = 122,
  [274] = 121,
  [275] = 119,
  [276] = 118,
  [277] = 128,
  [278] = 131,
  [279] = 134,
  [280] = 137,
  [281] = 139,
  [282] = 117,
  [283] = 135,
  [284] = 117,
  [285] = 126,
  [286] = 142,
  [287] = 127,
  [288] = 141,
  [289] = 122,
  [290] = 142,
  [291] = 141,
  [292] = 132,
  [293] = 135,
  [294] = 133,
  [295] = 114,
  [296] = 139,
  [297] = 138,
  [298] = 127,
  [299] = 119,
  [300] = 118,
  [301] = 137,
  [302] = 131,
  [303] = 121,
  [304] = 128,
  [305] = 138,
  [306] = 124,
  [307] = 134,
  [308] = 116,
  [309] = 115,
  [310] = 310,
  [311] = 119,
  [312] = 310,
  [313] = 135,
  [314] = 314,
  [315] = 315,
  [316] = 316,
  [317] = 314,
  [318] = 318,
  [319] = 319,
  [320] = 320,
  [321] = 315,
  [322] = 322,
  [323] = 320,
  [324] = 322,
  [325] = 325,
  [326] = 315,
  [327] = 320,
  [328] = 325,
  [329] = 319,
  [330] = 318,
  [331] = 319,
  [332] = 325,
  [333] = 320,
  [334] = 316,
  [335] = 322,
  [336] = 315,
  [337] = 318,
  [338] = 318,
  [339] = 316,
  [340] = 316,
  [341] = 322,
  [342] = 318,
  [343] = 319,
  [344] = 320,
  [345] = 319,
  [346] = 316,
  [347] = 314,
  [348] = 315,
  [349] = 314,
  [350] = 322,
  [351] = 325,
  [352] = 314,
  [353] = 142,
  [354] = 133,
  [355] = 128,
  [356] = 121,
  [357] = 132,
  [358] = 141,
  [359] = 359,
  [360] = 114,
  [361] = 131,
  [362] = 118,
  [363] = 363,
  [364] = 124,
  [365] = 127,
  [366] = 136,
  [367] = 134,
  [368] = 123,
  [369] = 139,
  [370] = 115,
  [371] = 138,
  [372] = 137,
  [373] = 129,
  [374] = 117,
  [375] = 125,
  [376] = 116,
  [377] = 126,
  [378] = 130,
  [379] = 120,
  [380] = 380,
  [381] = 310,
  [382] = 382,
  [383] = 382,
  [384] = 382,
  [385] = 385,
  [386] = 385,
  [387] = 382,
  [388] = 385,
  [389] = 382,
  [390] = 385,
  [391] = 382,
  [392] = 385,
  [393] = 385,
  [394] = 394,
  [395] = 394,
  [396] = 396,
  [397] = 397,
  [398] = 310,
  [399] = 310,
  [400] = 75,
  [401] = 401,
  [402] = 401,
  [403] = 401,
  [404] = 401,
  [405] = 405,
  [406] = 401,
  [407] = 401,
  [408] = 401,
  [409] = 401,
  [410] = 410,
  [411] = 411,
  [412] = 310,
  [413] = 413,
  [414] = 414,
  [415] = 415,
  [416] = 416,
  [417] = 417,
  [418] = 418,
  [419] = 419,
  [420] = 420,
  [421] = 421,
  [422] = 422,
  [423] = 423,
  [424] = 424,
  [425] = 425,
  [426] = 426,
  [427] = 427,
  [428] = 424,
  [429] = 429,
  [430] = 430,
  [431] = 431,
  [432] = 429,
  [433] = 425,
  [434] = 424,
  [435] = 435,
  [436] = 430,
  [437] = 430,
  [438] = 429,
  [439] = 425,
  [440] = 440,
  [441] = 441,
  [442] = 442,
  [443] = 443,
  [444] = 444,
  [445] = 445,
  [446] = 446,
  [447] = 447,
  [448] = 444,
  [449] = 449,
  [450] = 444,
  [451] = 451,
  [452] = 452,
  [453] = 452,
  [454] = 454,
  [455] = 455,
  [456] = 456,
  [457] = 457,
  [458] = 458,
  [459] = 459,
  [460] = 460,
  [461] = 457,
  [462] = 462,
  [463] = 459,
  [464] = 464,
  [465] = 458,
  [466] = 457,
  [467] = 467,
  [468] = 468,
  [469] = 459,
  [470] = 464,
  [471] = 464,
  [472] = 457,
  [473] = 473,
  [474] = 474,
  [475] = 458,
  [476] = 457,
  [477] = 477,
  [478] = 478,
  [479] = 458,
  [480] = 480,
  [481] = 459,
  [482] = 482,
  [483] = 459,
  [484] = 457,
  [485] = 411,
  [486] = 464,
  [487] = 459,
  [488] = 488,
  [489] = 489,
  [490] = 490,
  [491] = 491,
  [492] = 492,
  [493] = 493,
  [494] = 494,
  [495] = 495,
  [496] = 496,
  [497] = 497,
  [498] = 498,
  [499] = 499,
  [500] = 499,
  [501] = 501,
  [502] = 502,
  [503] = 503,
  [504] = 504,
  [505] = 505,
  [506] = 505,
  [507] = 507,
  [508] = 508,
  [509] = 509,
  [510] = 510,
  [511] = 511,
  [512] = 512,
  [513] = 503,
  [514] = 514,
  [515] = 508,
  [516] = 504,
  [517] = 517,
  [518] = 503,
  [519] = 519,
  [520] = 520,
  [521] = 510,
  [522] = 505,
  [523] = 523,
  [524] = 511,
  [525] = 517,
  [526] = 520,
  [527] = 508,
  [528] = 509,
  [529] = 512,
  [530] = 514,
  [531] = 514,
  [532] = 505,
  [533] = 533,
  [534] = 514,
  [535] = 535,
  [536] = 508,
  [537] = 504,
  [538] = 504,
  [539] = 539,
  [540] = 504,
  [541] = 501,
  [542] = 542,
  [543] = 505,
  [544] = 542,
  [545] = 512,
  [546] = 512,
  [547] = 509,
  [548] = 548,
  [549] = 520,
  [550] = 517,
  [551] = 507,
  [552] = 512,
  [553] = 535,
  [554] = 542,
  [555] = 542,
  [556] = 514,
  [557] = 517,
  [558] = 520,
  [559] = 520,
  [560] = 560,
  [561] = 517,
  [562] = 520,
  [563] = 563,
  [564] = 517,
  [565] = 512,
  [566] = 501,
  [567] = 510,
  [568] = 542,
  [569] = 508,
  [570] = 501,
  [571] = 560,
  [572] = 507,
  [573] = 523,
  [574] = 548,
  [575] = 504,
  [576] = 535,
  [577] = 507,
  [578] = 560,
  [579] = 501,
  [580] = 548,
  [581] = 523,
  [582] = 503,
  [583] = 510,
  [584] = 510,
  [585] = 585,
  [586] = 523,
  [587] = 587,
  [588] = 503,
  [589] = 503,
  [590] = 548,
  [591] = 505,
  [592] = 592,
  [593] = 593,
  [594] = 501,
  [595] = 507,
  [596] = 542,
  [597] = 597,
  [598] = 511,
  [599] = 508,
  [600] = 535,
  [601] = 523,
  [602] = 560,
  [603] = 539,
  [604] = 560,
  [605] = 535,
  [606] = 560,
  [607] = 535,
  [608] = 507,
  [609] = 510,
  [610] = 563,
  [611] = 548,
  [612] = 612,
  [613] = 613,
  [614] = 523,
  [615] = 548,
  [616] = 616,
  [617] = 617,
  [618] = 618,
  [619] = 619,
  [620] = 620,
  [621] = 621,
  [622] = 622,
  [623] = 623,
  [624] = 624,
  [625] = 625,
  [626] = 626,
  [627] = 627,
  [628] = 628,
  [629] = 629,
  [630] = 630,
  [631] = 631,
  [632] = 632,
  [633] = 633,
  [634] = 634,
  [635] = 635,
  [636] = 636,
  [637] = 636,
  [638] = 638,
  [639] = 636,
  [640] = 633,
  [641] = 636,
  [642] = 633,
  [643] = 635,
  [644] = 638,
  [645] = 635,
  [646] = 646,
  [647] = 635,
  [648] = 638,
  [649] = 638,
  [650] = 633,
  [651] = 651,
  [652] = 652,
  [653] = 653,
  [654] = 654,
  [655] = 654,
  [656] = 396,
  [657] = 657,
  [658] = 658,
  [659] = 659,
  [660] = 397,
  [661] = 661,
  [662] = 662,
  [663] = 663,
  [664] = 664,
  [665] = 665,
  [666] = 666,
  [667] = 667,
  [668] = 668,
  [669] = 669,
  [670] = 670,
  [671] = 671,
  [672] = 672,
  [673] = 673,
  [674] = 674,
  [675] = 675,
  [676] = 676,
  [677] = 677,
  [678] = 678,
  [679] = 659,
  [680] = 680,
  [681] = 681,
  [682] = 682,
  [683] = 619,
  [684] = 684,
  [685] = 685,
  [686] = 686,
  [687] = 687,
  [688] = 688,
  [689] = 689,
  [690] = 690,
  [691] = 687,
  [692] = 678,
  [693] = 678,
  [694] = 687,
  [695] = 695,
  [696] = 678,
  [697] = 687,
  [698] = 698,
  [699] = 699,
  [700] = 700,
  [701] = 619,
  [702] = 702,
  [703] = 703,
  [704] = 704,
  [705] = 705,
  [706] = 706,
  [707] = 699,
  [708] = 700,
  [709] = 709,
  [710] = 396,
  [711] = 397,
  [712] = 712,
  [713] = 713,
  [714] = 714,
  [715] = 715,
  [716] = 716,
  [717] = 717,
  [718] = 718,
  [719] = 719,
  [720] = 720,
  [721] = 721,
  [722] = 722,
  [723] = 723,
  [724] = 724,
  [725] = 720,
  [726] = 726,
  [727] = 720,
  [728] = 728,
  [729] = 729,
  [730] = 730,
  [731] = 720,
  [732] = 732,
  [733] = 720,
  [734] = 734,
  [735] = 735,
  [736] = 736,
  [737] = 737,
  [738] = 738,
  [739] = 619,
  [740] = 740,
  [741] = 741,
  [742] = 742,
  [743] = 743,
  [744] = 744,
  [745] = 745,
  [746] = 746,
  [747] = 747,
  [748] = 748,
  [749] = 749,
  [750] = 750,
  [751] = 751,
  [752] = 752,
  [753] = 753,
  [754] = 754,
  [755] = 755,
  [756] = 756,
  [757] = 757,
  [758] = 758,
  [759] = 759,
  [760] = 760,
  [761] = 761,
  [762] = 762,
  [763] = 763,
  [764] = 764,
  [765] = 765,
  [766] = 766,
  [767] = 767,
  [768] = 768,
  [769] = 769,
  [770] = 770,
  [771] = 771,
  [772] = 772,
  [773] = 773,
  [774] = 774,
  [775] = 775,
  [776] = 776,
  [777] = 777,
  [778] = 778,
  [779] = 779,
  [780] = 780,
  [781] = 781,
  [782] = 782,
  [783] = 783,
  [784] = 760,
  [785] = 785,
  [786] = 786,
  [787] = 785,
  [788] = 117,
  [789] = 785,
  [790] = 135,
  [791] = 785,
  [792] = 132,
  [793] = 668,
  [794] = 794,
  [795] = 795,
  [796] = 796,
  [797] = 745,
  [798] = 798,
  [799] = 138,
  [800] = 754,
  [801] = 748,
  [802] = 778,
  [803] = 119,
  [804] = 804,
  [805] = 116,
  [806] = 806,
  [807] = 807,
  [808] = 808,
  [809] = 757,
  [810] = 810,
  [811] = 758,
  [812] = 765,
  [813] = 766,
  [814] = 770,
  [815] = 775,
  [816] = 816,
  [817] = 817,
  [818] = 776,
  [819] = 819,
  [820] = 668,
  [821] = 821,
  [822] = 822,
  [823] = 823,
  [824] = 824,
  [825] = 825,
  [826] = 621,
  [827] = 620,
  [828] = 798,
  [829] = 796,
  [830] = 686,
  [831] = 754,
  [832] = 832,
  [833] = 138,
  [834] = 116,
  [835] = 135,
  [836] = 132,
  [837] = 745,
  [838] = 680,
  [839] = 778,
  [840] = 748,
  [841] = 685,
  [842] = 776,
  [843] = 775,
  [844] = 119,
  [845] = 770,
  [846] = 766,
  [847] = 798,
  [848] = 765,
  [849] = 760,
  [850] = 758,
  [851] = 817,
  [852] = 117,
  [853] = 816,
  [854] = 786,
  [855] = 808,
  [856] = 138,
  [857] = 810,
  [858] = 808,
  [859] = 807,
  [860] = 860,
  [861] = 806,
  [862] = 804,
  [863] = 135,
  [864] = 832,
  [865] = 832,
  [866] = 832,
  [867] = 795,
  [868] = 757,
  [869] = 794,
  [870] = 695,
  [871] = 689,
  [872] = 796,
  [873] = 117,
  [874] = 807,
  [875] = 132,
  [876] = 806,
  [877] = 116,
  [878] = 878,
  [879] = 810,
  [880] = 816,
  [881] = 795,
  [882] = 119,
  [883] = 786,
  [884] = 884,
  [885] = 817,
  [886] = 794,
  [887] = 804,
  [888] = 684,
  [889] = 688,
  [890] = 682,
  [891] = 668,
  [892] = 690,
  [893] = 681,
  [894] = 894,
  [895] = 895,
  [896] = 896,
  [897] = 897,
  [898] = 898,
  [899] = 899,
  [900] = 900,
  [901] = 98,
  [902] = 97,
  [903] = 100,
  [904] = 99,
  [905] = 78,
  [906] = 101,
  [907] = 113,
  [908] = 79,
  [909] = 909,
  [910] = 910,
  [911] = 80,
  [912] = 94,
  [913] = 100,
  [914] = 914,
  [915] = 113,
  [916] = 99,
  [917] = 98,
  [918] = 97,
  [919] = 919,
  [920] = 94,
  [921] = 921,
  [922] = 922,
  [923] = 923,
  [924] = 924,
  [925] = 101,
  [926] = 926,
  [927] = 926,
  [928] = 78,
  [929] = 79,
  [930] = 926,
  [931] = 931,
  [932] = 80,
  [933] = 926,
  [934] = 934,
  [935] = 935,
  [936] = 754,
  [937] = 937,
  [938] = 938,
  [939] = 939,
  [940] = 757,
  [941] = 745,
  [942] = 748,
  [943] = 943,
  [944] = 760,
  [945] = 776,
  [946] = 778,
  [947] = 775,
  [948] = 770,
  [949] = 758,
  [950] = 766,
  [951] = 765,
  [952] = 952,
  [953] = 953,
  [954] = 954,
  [955] = 778,
  [956] = 776,
  [957] = 758,
  [958] = 766,
  [959] = 754,
  [960] = 765,
  [961] = 745,
  [962] = 962,
  [963] = 748,
  [964] = 757,
  [965] = 770,
  [966] = 775,
  [967] = 760,
  [968] = 968,
  [969] = 969,
  [970] = 970,
  [971] = 971,
  [972] = 971,
  [973] = 973,
  [974] = 971,
  [975] = 971,
  [976] = 976,
  [977] = 976,
  [978] = 976,
  [979] = 976,
  [980] = 980,
  [981] = 981,
  [982] = 982,
  [983] = 983,
  [984] = 984,
  [985] = 985,
  [986] = 986,
  [987] = 987,
  [988] = 988,
  [989] = 989,
  [990] = 983,
  [991] = 991,
  [992] = 992,
  [993] = 993,
  [994] = 994,
  [995] = 995,
  [996] = 996,
  [997] = 995,
  [998] = 998,
  [999] = 999,
  [1000] = 1000,
  [1001] = 998,
  [1002] = 1002,
  [1003] = 825,
  [1004] = 1004,
  [1005] = 1005,
  [1006] = 754,
  [1007] = 1007,
  [1008] = 1008,
  [1009] = 819,
  [1010] = 1010,
  [1011] = 1011,
  [1012] = 778,
  [1013] = 1013,
  [1014] = 1004,
  [1015] = 1015,
  [1016] = 758,
  [1017] = 1013,
  [1018] = 1018,
  [1019] = 1004,
  [1020] = 1005,
  [1021] = 1021,
  [1022] = 1022,
  [1023] = 1005,
  [1024] = 1024,
  [1025] = 1025,
  [1026] = 770,
  [1027] = 1027,
  [1028] = 1028,
  [1029] = 1004,
  [1030] = 760,
  [1031] = 1031,
  [1032] = 1032,
  [1033] = 1013,
  [1034] = 1013,
  [1035] = 1005,
  [1036] = 939,
  [1037] = 765,
  [1038] = 1038,
  [1039] = 1039,
  [1040] = 776,
  [1041] = 1005,
  [1042] = 766,
  [1043] = 745,
  [1044] = 1021,
  [1045] = 757,
  [1046] = 1005,
  [1047] = 1047,
  [1048] = 775,
  [1049] = 1049,
  [1050] = 748,
  [1051] = 1051,
  [1052] = 1052,
  [1053] = 1053,
  [1054] = 1054,
  [1055] = 1055,
  [1056] = 1056,
  [1057] = 1057,
  [1058] = 1058,
  [1059] = 1059,
  [1060] = 1051,
  [1061] = 1061,
  [1062] = 1062,
  [1063] = 1063,
  [1064] = 1064,
  [1065] = 1057,
  [1066] = 1057,
  [1067] = 1067,
  [1068] = 1068,
  [1069] = 1057,
  [1070] = 1070,
  [1071] = 1057,
  [1072] = 1072,
  [1073] = 1073,
  [1074] = 1074,
  [1075] = 1075,
  [1076] = 1076,
  [1077] = 1077,
  [1078] = 1078,
  [1079] = 860,
  [1080] = 884,
  [1081] = 878,
  [1082] = 1082,
  [1083] = 1083,
  [1084] = 1084,
  [1085] = 1085,
  [1086] = 1086,
  [1087] = 1087,
  [1088] = 1088,
  [1089] = 1089,
  [1090] = 750,
  [1091] = 773,
  [1092] = 1092,
  [1093] = 1093,
  [1094] = 1094,
  [1095] = 1095,
  [1096] = 1096,
  [1097] = 1097,
  [1098] = 1098,
  [1099] = 1098,
  [1100] = 1098,
  [1101] = 1098,
  [1102] = 1102,
  [1103] = 1103,
  [1104] = 755,
  [1105] = 744,
  [1106] = 1106,
  [1107] = 1103,
  [1108] = 1108,
  [1109] = 1103,
  [1110] = 1108,
  [1111] = 1103,
  [1112] = 1112,
  [1113] = 1108,
  [1114] = 750,
  [1115] = 1103,
  [1116] = 1102,
  [1117] = 1097,
  [1118] = 1106,
  [1119] = 1103,
  [1120] = 1106,
  [1121] = 773,
  [1122] = 751,
  [1123] = 752,
  [1124] = 782,
  [1125] = 1106,
  [1126] = 783,
  [1127] = 774,
  [1128] = 769,
  [1129] = 1102,
  [1130] = 1130,
  [1131] = 1131,
  [1132] = 1132,
  [1133] = 1133,
  [1134] = 1134,
  [1135] = 1135,
  [1136] = 1136,
  [1137] = 1137,
  [1138] = 1138,
  [1139] = 1139,
  [1140] = 1140,
  [1141] = 1141,
  [1142] = 1142,
  [1143] = 1143,
  [1144] = 1144,
  [1145] = 1145,
  [1146] = 1146,
  [1147] = 1147,
  [1148] = 1148,
  [1149] = 1149,
  [1150] = 1150,
  [1151] = 1151,
  [1152] = 1152,
  [1153] = 1153,
  [1154] = 1154,
  [1155] = 1155,
  [1156] = 1156,
  [1157] = 1157,
  [1158] = 1158,
  [1159] = 1159,
  [1160] = 1160,
  [1161] = 1161,
  [1162] = 1156,
  [1163] = 1163,
  [1164] = 1164,
  [1165] = 1163,
  [1166] = 1159,
  [1167] = 1167,
  [1168] = 1155,
  [1169] = 1154,
  [1170] = 1149,
  [1171] = 1153,
  [1172] = 1167,
  [1173] = 1173,
  [1174] = 1174,
  [1175] = 1175,
  [1176] = 1164,
  [1177] = 1152,
  [1178] = 1151,
  [1179] = 1147,
  [1180] = 1164,
  [1181] = 1142,
  [1182] = 1148,
  [1183] = 675,
  [1184] = 1148,
  [1185] = 1148,
  [1186] = 1135,
  [1187] = 1136,
  [1188] = 991,
  [1189] = 984,
  [1190] = 1190,
  [1191] = 1145,
  [1192] = 1192,
  [1193] = 1193,
  [1194] = 1194,
  [1195] = 1173,
  [1196] = 1138,
  [1197] = 1144,
  [1198] = 1198,
  [1199] = 1143,
  [1200] = 675,
  [1201] = 1140,
  [1202] = 1202,
  [1203] = 1203,
  [1204] = 1194,
  [1205] = 981,
  [1206] = 1206,
  [1207] = 1161,
  [1208] = 1208,
  [1209] = 1134,
  [1210] = 1206,
  [1211] = 1211,
  [1212] = 1150,
  [1213] = 986,
  [1214] = 819,
  [1215] = 1194,
  [1216] = 1206,
  [1217] = 1206,
  [1218] = 1211,
  [1219] = 1211,
  [1220] = 1132,
  [1221] = 1141,
  [1222] = 1133,
  [1223] = 1203,
  [1224] = 1224,
  [1225] = 1211,
  [1226] = 1226,
  [1227] = 1226,
  [1228] = 1226,
  [1229] = 1226,
  [1230] = 1230,
  [1231] = 1231,
  [1232] = 1232,
  [1233] = 1233,
  [1234] = 1234,
  [1235] = 1233,
  [1236] = 1233,
  [1237] = 1233,
  [1238] = 1234,
  [1239] = 1234,
  [1240] = 1234,
  [1241] = 1241,
  [1242] = 1242,
  [1243] = 1243,
  [1244] = 1244,
  [1245] = 1245,
  [1246] = 1246,
  [1247] = 1247,
  [1248] = 1248,
  [1249] = 1249,
  [1250] = 1250,
  [1251] = 1251,
  [1252] = 1252,
  [1253] = 1247,
  [1254] = 1254,
  [1255] = 1255,
  [1256] = 1247,
  [1257] = 1257,
  [1258] = 1258,
  [1259] = 1259,
  [1260] = 1258,
  [1261] = 1261,
  [1262] = 1262,
  [1263] = 1263,
  [1264] = 1264,
  [1265] = 1265,
  [1266] = 1266,
  [1267] = 1266,
  [1268] = 1266,
  [1269] = 1266,
  [1270] = 1270,
  [1271] = 1258,
  [1272] = 1272,
  [1273] = 1273,
  [1274] = 1258,
  [1275] = 1258,
  [1276] = 1276,
  [1277] = 1258,
  [1278] = 1278,
  [1279] = 1279,
  [1280] = 1280,
  [1281] = 1281,
  [1282] = 1282,
  [1283] = 1281,
  [1284] = 1284,
  [1285] = 1285,
  [1286] = 1286,
  [1287] = 1287,
  [1288] = 1288,
  [1289] = 1289,
  [1290] = 1290,
  [1291] = 1291,
  [1292] = 1292,
  [1293] = 1293,
  [1294] = 1294,
  [1295] = 1295,
  [1296] = 1296,
  [1297] = 1297,
  [1298] = 1281,
  [1299] = 1281,
  [1300] = 1300,
  [1301] = 1301,
  [1302] = 1302,
  [1303] = 1303,
  [1304] = 1304,
  [1305] = 1305,
  [1306] = 1306,
  [1307] = 1307,
  [1308] = 1308,
  [1309] = 1309,
  [1310] = 1310,
  [1311] = 1311,
  [1312] = 1312,
  [1313] = 1313,
  [1314] = 1314,
  [1315] = 1315,
  [1316] = 1316,
  [1317] = 1317,
  [1318] = 1318,
  [1319] = 1318,
  [1320] = 1320,
  [1321] = 1321,
  [1322] = 1322,
  [1323] = 1323,
  [1324] = 1318,
  [1325] = 1325,
  [1326] = 1318,
  [1327] = 1327,
  [1328] = 1328,
  [1329] = 1329,
  [1330] = 1330,
  [1331] = 1329,
  [1332] = 1330,
  [1333] = 1329,
  [1334] = 1334,
  [1335] = 1334,
  [1336] = 1329,
  [1337] = 1337,
  [1338] = 1338,
  [1339] = 1334,
  [1340] = 1340,
  [1341] = 1341,
  [1342] = 1342,
  [1343] = 1330,
  [1344] = 1330,
  [1345] = 1345,
  [1346] = 1334,
  [1347] = 1347,
  [1348] = 1348,
  [1349] = 1349,
  [1350] = 1350,
  [1351] = 1348,
  [1352] = 1352,
  [1353] = 1353,
  [1354] = 1354,
  [1355] = 1355,
  [1356] = 1355,
  [1357] = 1357,
  [1358] = 1348,
  [1359] = 1359,
  [1360] = 1360,
  [1361] = 1361,
  [1362] = 1350,
  [1363] = 1363,
  [1364] = 1364,
  [1365] = 1348,
  [1366] = 1350,
  [1367] = 1367,
  [1368] = 1368,
  [1369] = 1369,
  [1370] = 1370,
  [1371] = 1355,
  [1372] = 1372,
  [1373] = 1355,
  [1374] = 1350,
  [1375] = 1375,
  [1376] = 1376,
  [1377] = 1377,
  [1378] = 1378,
  [1379] = 1379,
  [1380] = 1380,
  [1381] = 1381,
  [1382] = 1382,
  [1383] = 1383,
  [1384] = 1384,
  [1385] = 1385,
  [1386] = 1386,
  [1387] = 1387,
  [1388] = 1388,
  [1389] = 1389,
  [1390] = 1390,
  [1391] = 1391,
  [1392] = 1392,
  [1393] = 1393,
  [1394] = 1394,
  [1395] = 1395,
  [1396] = 1396,
  [1397] = 1397,
  [1398] = 1398,
  [1399] = 1399,
  [1400] = 1400,
  [1401] = 1400,
  [1402] = 1402,
  [1403] = 1403,
  [1404] = 1404,
  [1405] = 1405,
  [1406] = 1406,
  [1407] = 1407,
  [1408] = 1408,
  [1409] = 1409,
  [1410] = 1400,
  [1411] = 1411,
  [1412] = 1412,
  [1413] = 1413,
  [1414] = 1414,
  [1415] = 1415,
  [1416] = 1416,
  [1417] = 1417,
  [1418] = 1418,
  [1419] = 1419,
  [1420] = 1420,
  [1421] = 1400,
  [1422] = 1422,
  [1423] = 1418,
  [1424] = 1418,
  [1425] = 1425,
  [1426] = 1426,
  [1427] = 1418,
  [1428] = 1400,
  [1429] = 1418,
  [1430] = 1430,
  [1431] = 1400,
  [1432] = 1432,
  [1433] = 1433,
  [1434] = 1418,
  [1435] = 1435,
  [1436] = 1436,
  [1437] = 1437,
  [1438] = 1438,
  [1439] = 1439,
  [1440] = 1440,
  [1441] = 1441,
  [1442] = 1442,
  [1443] = 1443,
  [1444] = 1444,
  [1445] = 1445,
  [1446] = 1446,
  [1447] = 1447,
  [1448] = 1448,
  [1449] = 1449,
  [1450] = 1450,
  [1451] = 1451,
  [1452] = 1452,
  [1453] = 1453,
  [1454] = 1454,
  [1455] = 1455,
  [1456] = 1456,
  [1457] = 1457,
  [1458] = 1458,
  [1459] = 1459,
  [1460] = 1457,
  [1461] = 1461,
  [1462] = 1462,
  [1463] = 1463,
  [1464] = 1464,
  [1465] = 1465,
  [1466] = 1466,
  [1467] = 1467,
  [1468] = 1468,
  [1469] = 1461,
  [1470] = 1457,
  [1471] = 1471,
  [1472] = 1465,
  [1473] = 1473,
  [1474] = 1474,
  [1475] = 1462,
  [1476] = 1459,
  [1477] = 1477,
  [1478] = 1478,
  [1479] = 1473,
  [1480] = 1459,
  [1481] = 1462,
  [1482] = 1482,
  [1483] = 1461,
  [1484] = 1484,
  [1485] = 1485,
  [1486] = 1486,
  [1487] = 1457,
  [1488] = 1459,
  [1489] = 1489,
  [1490] = 1490,
  [1491] = 1462,
  [1492] = 1492,
  [1493] = 1493,
  [1494] = 1465,
  [1495] = 1495,
  [1496] = 1465,
  [1497] = 1473,
  [1498] = 1461,
  [1499] = 1499,
  [1500] = 1500,
  [1501] = 1473,
  [1502] = 1471,
  [1503] = 1471,
  [1504] = 1504,
  [1505] = 1505,
  [1506] = 1473,
  [1507] = 1507,
  [1508] = 1490,
  [1509] = 1490,
  [1510] = 1489,
  [1511] = 1511,
  [1512] = 1512,
  [1513] = 1513,
  [1514] = 1473,
  [1515] = 1515,
  [1516] = 1516,
  [1517] = 1517,
  [1518] = 1459,
  [1519] = 1473,
  [1520] = 1489,
  [1521] = 1521,
  [1522] = 1522,
  [1523] = 1523,
  [1524] = 1524,
  [1525] = 1525,
  [1526] = 1526,
  [1527] = 1527,
  [1528] = 1528,
  [1529] = 1529,
  [1530] = 1530,
  [1531] = 1531,
  [1532] = 1532,
  [1533] = 1533,
  [1534] = 1534,
  [1535] = 1535,
  [1536] = 1536,
  [1537] = 1537,
  [1538] = 1529,
  [1539] = 1539,
  [1540] = 1540,
  [1541] = 1541,
  [1542] = 1542,
  [1543] = 1543,
  [1544] = 1544,
  [1545] = 1528,
  [1546] = 1546,
  [1547] = 1546,
  [1548] = 1548,
  [1549] = 1549,
  [1550] = 1544,
  [1551] = 1551,
  [1552] = 1552,
  [1553] = 1548,
  [1554] = 1521,
  [1555] = 1551,
  [1556] = 1552,
  [1557] = 1529,
  [1558] = 1537,
  [1559] = 1559,
  [1560] = 1542,
  [1561] = 1561,
  [1562] = 1543,
  [1563] = 1546,
  [1564] = 1549,
  [1565] = 1544,
  [1566] = 1542,
  [1567] = 1548,
  [1568] = 1521,
  [1569] = 1551,
  [1570] = 1529,
  [1571] = 1537,
  [1572] = 1540,
  [1573] = 1573,
  [1574] = 1542,
  [1575] = 1552,
  [1576] = 1576,
  [1577] = 1577,
  [1578] = 1543,
  [1579] = 1546,
  [1580] = 1549,
  [1581] = 1543,
  [1582] = 1582,
  [1583] = 1583,
  [1584] = 1584,
  [1585] = 1585,
  [1586] = 1586,
  [1587] = 1587,
  [1588] = 1586,
  [1589] = 1543,
  [1590] = 1529,
  [1591] = 1549,
  [1592] = 1584,
  [1593] = 1546,
  [1594] = 1594,
  [1595] = 1548,
  [1596] = 1596,
  [1597] = 1521,
  [1598] = 1598,
  [1599] = 1549,
  [1600] = 1600,
  [1601] = 1551,
  [1602] = 1585,
  [1603] = 1603,
  [1604] = 1604,
  [1605] = 1605,
  [1606] = 1526,
  [1607] = 1544,
  [1608] = 1608,
  [1609] = 1609,
  [1610] = 1372,
  [1611] = 1551,
  [1612] = 1521,
  [1613] = 1549,
  [1614] = 1548,
  [1615] = 1546,
  [1616] = 1543,
  [1617] = 1551,
  [1618] = 1618,
  [1619] = 1521,
  [1620] = 1620,
  [1621] = 1621,
  [1622] = 1622,
  [1623] = 1548,
  [1624] = 1584,
  [1625] = 1540,
  [1626] = 1626,
  [1627] = 1627,
  [1628] = 1628,
  [1629] = 1561,
  [1630] = 1630,
  [1631] = 1631,
  [1632] = 1632,
  [1633] = 1633,
  [1634] = 1634,
  [1635] = 1542,
  [1636] = 1636,
  [1637] = 1542,
  [1638] = 1638,
  [1639] = 1639,
  [1640] = 1526,
  [1641] = 1529,
  [1642] = 1585,
  [1643] = 1643,
  [1644] = 1644,
  [1645] = 1645,
  [1646] = 1646,
  [1647] = 1647,
  [1648] = 1648,
  [1649] = 1649,
  [1650] = 1650,
  [1651] = 1651,
  [1652] = 1652,
  [1653] = 1653,
  [1654] = 1654,
  [1655] = 1655,
  [1656] = 1656,
  [1657] = 1657,
  [1658] = 1657,
  [1659] = 1659,
  [1660] = 1659,
  [1661] = 1650,
  [1662] = 1657,
  [1663] = 1655,
  [1664] = 1664,
  [1665] = 1665,
  [1666] = 1666,
  [1667] = 1651,
  [1668] = 1653,
  [1669] = 1659,
  [1670] = 1650,
  [1671] = 1655,
  [1672] = 1672,
  [1673] = 1653,
  [1674] = 1674,
  [1675] = 1654,
  [1676] = 1651,
  [1677] = 1649,
  [1678] = 1646,
  [1679] = 1679,
  [1680] = 1655,
  [1681] = 1681,
  [1682] = 1682,
  [1683] = 1659,
  [1684] = 1684,
  [1685] = 1659,
  [1686] = 1650,
  [1687] = 1687,
  [1688] = 1688,
  [1689] = 1656,
  [1690] = 1690,
  [1691] = 1691,
  [1692] = 1692,
  [1693] = 1645,
  [1694] = 1694,
  [1695] = 1695,
  [1696] = 1655,
  [1697] = 1697,
  [1698] = 1654,
  [1699] = 1674,
  [1700] = 1651,
  [1701] = 1649,
  [1702] = 1646,
  [1703] = 1666,
  [1704] = 1704,
  [1705] = 1674,
  [1706] = 1656,
  [1707] = 1707,
  [1708] = 1645,
  [1709] = 1645,
  [1710] = 1649,
  [1711] = 1711,
  [1712] = 1712,
  [1713] = 1654,
  [1714] = 1674,
  [1715] = 1715,
  [1716] = 1674,
  [1717] = 1645,
  [1718] = 1645,
  [1719] = 1653,
  [1720] = 1720,
  [1721] = 1674,
  [1722] = 1656,
  [1723] = 1657,
  [1724] = 1653,
  [1725] = 1725,
  [1726] = 1657,
  [1727] = 1645,
  [1728] = 1649,
  [1729] = 1674,
  [1730] = 1654,
  [1731] = 1731,
  [1732] = 1732,
  [1733] = 1733,
  [1734] = 1734,
  [1735] = 1734,
  [1736] = 1736,
  [1737] = 1737,
  [1738] = 1738,
  [1739] = 1739,
  [1740] = 1740,
  [1741] = 1741,
  [1742] = 1742,
  [1743] = 1743,
  [1744] = 1744,
  [1745] = 1745,
  [1746] = 1746,
  [1747] = 1747,
  [1748] = 1748,
  [1749] = 1740,
  [1750] = 1750,
  [1751] = 1751,
  [1752] = 1752,
  [1753] = 1753,
  [1754] = 1754,
  [1755] = 1739,
  [1756] = 1756,
  [1757] = 1757,
  [1758] = 1758,
  [1759] = 1759,
  [1760] = 1731,
  [1761] = 1761,
  [1762] = 1762,
  [1763] = 1747,
  [1764] = 1734,
  [1765] = 1765,
  [1766] = 1757,
  [1767] = 1767,
  [1768] = 1731,
  [1769] = 1743,
  [1770] = 1770,
  [1771] = 1771,
  [1772] = 1772,
  [1773] = 1773,
  [1774] = 1774,
  [1775] = 1731,
  [1776] = 1776,
  [1777] = 1774,
  [1778] = 1747,
  [1779] = 1779,
  [1780] = 1780,
  [1781] = 1772,
  [1782] = 1741,
  [1783] = 1757,
  [1784] = 1743,
  [1785] = 1747,
  [1786] = 1740,
  [1787] = 1771,
  [1788] = 1788,
  [1789] = 1752,
  [1790] = 986,
  [1791] = 1731,
  [1792] = 1747,
  [1793] = 991,
  [1794] = 1743,
  [1795] = 1795,
  [1796] = 1796,
  [1797] = 1797,
  [1798] = 1798,
  [1799] = 1759,
  [1800] = 1762,
  [1801] = 1767,
  [1802] = 1731,
  [1803] = 1803,
  [1804] = 1771,
  [1805] = 1805,
  [1806] = 1741,
  [1807] = 1743,
  [1808] = 1808,
  [1809] = 1809,
  [1810] = 1747,
  [1811] = 1767,
  [1812] = 1812,
  [1813] = 984,
  [1814] = 1814,
  [1815] = 1815,
  [1816] = 1816,
  [1817] = 1774,
  [1818] = 1818,
  [1819] = 1744,
  [1820] = 1820,
  [1821] = 1821,
  [1822] = 1822,
  [1823] = 1767,
  [1824] = 1824,
  [1825] = 1762,
  [1826] = 1759,
  [1827] = 1827,
  [1828] = 1772,
  [1829] = 1757,
  [1830] = 1830,
  [1831] = 1752,
  [1832] = 1740,
  [1833] = 1833,
  [1834] = 1746,
  [1835] = 1835,
  [1836] = 1836,
  [1837] = 1752,
  [1838] = 1798,
  [1839] = 1839,
  [1840] = 1840,
  [1841] = 1841,
  [1842] = 1842,
  [1843] = 1843,
  [1844] = 1844,
  [1845] = 1736,
  [1846] = 1734,
  [1847] = 1847,
  [1848] = 1848,
  [1849] = 1849,
  [1850] = 1850,
  [1851] = 1788,
  [1852] = 1852,
  [1853] = 1853,
  [1854] = 1854,
  [1855] = 1751,
  [1856] = 1856,
  [1857] = 1857,
  [1858] = 1858,
  [1859] = 1859,
  [1860] = 1759,
  [1861] = 1861,
  [1862] = 1762,
  [1863] = 1863,
  [1864] = 1864,
  [1865] = 1865,
  [1866] = 1866,
  [1867] = 1865,
  [1868] = 1865,
  [1869] = 1869,
  [1870] = 1795,
  [1871] = 1767,
  [1872] = 1872,
  [1873] = 1873,
  [1874] = 1788,
  [1875] = 1747,
  [1876] = 1876,
  [1877] = 1796,
  [1878] = 1797,
  [1879] = 1820,
  [1880] = 1880,
  [1881] = 1795,
  [1882] = 1882,
  [1883] = 1780,
  [1884] = 1780,
  [1885] = 1773,
  [1886] = 1805,
  [1887] = 1745,
  [1888] = 1773,
  [1889] = 1889,
  [1890] = 1890,
  [1891] = 981,
  [1892] = 1731,
  [1893] = 1741,
  [1894] = 1894,
  [1895] = 1895,
  [1896] = 1896,
  [1897] = 1843,
  [1898] = 1739,
  [1899] = 1736,
  [1900] = 1745,
  [1901] = 1901,
  [1902] = 1902,
  [1903] = 1903,
  [1904] = 1904,
  [1905] = 1905,
  [1906] = 1906,
  [1907] = 1796,
  [1908] = 1797,
  [1909] = 1909,
  [1910] = 1910,
  [1911] = 1911,
  [1912] = 1751,
  [1913] = 1805,
  [1914] = 1914,
  [1915] = 1739,
  [1916] = 1889,
  [1917] = 1857,
  [1918] = 1918,
  [1919] = 1919,
  [1920] = 1736,
  [1921] = 1921,
  [1922] = 1922,
  [1923] = 621,
  [1924] = 1924,
  [1925] = 1925,
  [1926] = 1926,
  [1927] = 1927,
  [1928] = 1796,
  [1929] = 1751,
  [1930] = 1734,
  [1931] = 1931,
  [1932] = 1796,
  [1933] = 1796,
  [1934] = 1857,
  [1935] = 1771,
  [1936] = 1936,
  [1937] = 1937,
  [1938] = 1938,
  [1939] = 1939,
  [1940] = 1940,
  [1941] = 1746,
  [1942] = 1918,
  [1943] = 1744,
  [1944] = 1746,
  [1945] = 1767,
  [1946] = 1946,
  [1947] = 1947,
  [1948] = 1743,
  [1949] = 1848,
  [1950] = 1950,
  [1951] = 1805,
  [1952] = 1774,
  [1953] = 1772,
  [1954] = 1744,
  [1955] = 1955,
  [1956] = 1788,
  [1957] = 1818,
  [1958] = 1940,
  [1959] = 1940,
  [1960] = 1960,
  [1961] = 1757,
  [1962] = 1848,
  [1963] = 1788,
  [1964] = 1843,
  [1965] = 1965,
  [1966] = 1736,
  [1967] = 1743,
  [1968] = 1788,
  [1969] = 1969,
  [1970] = 1848,
  [1971] = 1939,
  [1972] = 1972,
  [1973] = 1734,
  [1974] = 1974,
  [1975] = 1940,
  [1976] = 1976,
  [1977] = 1797,
  [1978] = 1940,
  [1979] = 620,
  [1980] = 1796,
};

static TSCharacterRange sym_number_literal_character_set_13[] = {
  {'0', '9'}, {'B', 'B'}, {'D', 'D'}, {'F', 'F'}, {'L', 'L'}, {'U', 'U'}, {'W', 'W'}, {'b', 'b'},
  {'d', 'd'}, {'f', 'f'}, {'l', 'l'}, {'u', 'u'}, {'w', 'w'},
};

static TSCharacterRange sym_identifier_character_set_1[] = {
  {'$', '$'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xba, 0xba},
  {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374},
  {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5},
  {0x3f7, 0x481}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a},
  {0x66e, 0x66f}, {0x671, 0x6d3}, {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710},
  {0x712, 0x72f}, {0x74d, 0x7a5}, {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a},
  {0x824, 0x824}, {0x828, 0x828}, {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939},
  {0x93d, 0x93d}, {0x950, 0x950}, {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0},
  {0x9b2, 0x9b2}, {0x9b6, 0x9b9}, {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc},
  {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c},
  {0xa5e, 0xa5e}, {0xa72, 0xa74}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9},
  {0xabd, 0xabd}, {0xad0, 0xad0}, {0xae0, 0xae1}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30},
  {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a},
  {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9},
  {0xbd0, 0xbd0}, {0xc05, 0xc0c}, {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d},
  {0xc60, 0xc61}, {0xc80, 0xc80}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd},
  {0xcdd, 0xcde}, {0xce0, 0xce1}, {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e},
  {0xd54, 0xd56}, {0xd5f, 0xd61}, {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6},
  {0xe01, 0xe30}, {0xe32, 0xe32}, {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5},
  {0xea7, 0xeb0}, {0xeb2, 0xeb2}, {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47},
  {0xf49, 0xf6c}, {0xf88, 0xf8c}, {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066},
  {0x106e, 0x1070}, {0x1075, 0x1081}, {0x108e, 0x108e}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248},
  {0x124a, 0x124d}, {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5},
  {0x12b8, 0x12be}, {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f},
  {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711},
  {0x171f, 0x1731}, {0x1740, 0x1751}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878},
  {0x1880, 0x18a8}, {0x18aa, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9},
  {0x1a00, 0x1a16}, {0x1a20, 0x1a54}, {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5},
  {0x1c00, 0x1c23}, {0x1c4d, 0x1c4f}, {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3},
  {0x1cf5, 0x1cf6}, {0x1cfa, 0x1cfa}, {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57},
  {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4},
  {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2071, 0x2071}, {0x207f, 0x207f},
  {0x2090, 0x209c}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126},
  {0x2128, 0x2128}, {0x212a, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cee},
  {0x2cf2, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d80, 0x2d96}, {0x2da0, 0x2da6},
  {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x3005, 0x3007},
  {0x3021, 0x3029}, {0x3031, 0x3035}, {0x3038, 0x303c}, {0x3041, 0x3096}, {0x309d, 0x309f}, {0x30a1, 0x30fa}, {0x30fc, 0x30ff}, {0x3105, 0x312f},
  {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f},
  {0xa62a, 0xa62b}, {0xa640, 0xa66e}, {0xa67f, 0xa69d}, {0xa6a0, 0xa6ef}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1},
  {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa801}, {0xa803, 0xa805}, {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa840, 0xa873}, {0xa882, 0xa8b3},
  {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa8fe}, {0xa90a, 0xa925}, {0xa930, 0xa946}, {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf},
  {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef}, {0xa9fa, 0xa9fe}, {0xaa00, 0xaa28}, {0xaa40, 0xaa42}, {0xaa44, 0xaa4b}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a},
  {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1}, {0xaab5, 0xaab6}, {0xaab9, 0xaabd}, {0xaac0, 0xaac0}, {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea},
  {0xaaf2, 0xaaf4}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69},
  {0xab70, 0xabe2}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17},
  {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1},
  {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77},
  {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b}, {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xff9d}, {0xffa0, 0xffbe},
  {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d},
  {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a},
  {0x10350, 0x10375}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb},
  {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1},
  {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba},
  {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e},
  {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a00}, {0x10a10, 0x10a13},
  {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae4}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55},
  {0x10b60, 0x10b72}, {0x10b80, 0x10b91}, {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d23}, {0x10e80, 0x10ea9}, {0x10eb0, 0x10eb1},
  {0x10f00, 0x10f1c}, {0x10f27, 0x10f27}, {0x10f30, 0x10f45}, {0x10f70, 0x10f81}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11003, 0x11037}, {0x11071, 0x11072},
  {0x11075, 0x11075}, {0x11083, 0x110af}, {0x110d0, 0x110e8}, {0x11103, 0x11126}, {0x11144, 0x11144}, {0x11147, 0x11147}, {0x11150, 0x11172}, {0x11176, 0x11176},
  {0x11183, 0x111b2}, {0x111c1, 0x111c4}, {0x111da, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x1122b}, {0x1123f, 0x11240}, {0x11280, 0x11286},
  {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112de}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328},
  {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133d, 0x1133d}, {0x11350, 0x11350}, {0x1135d, 0x11361}, {0x11400, 0x11434}, {0x11447, 0x1144a},
  {0x1145f, 0x11461}, {0x11480, 0x114af}, {0x114c4, 0x114c5}, {0x114c7, 0x114c7}, {0x11580, 0x115ae}, {0x115d8, 0x115db}, {0x11600, 0x1162f}, {0x11644, 0x11644},
  {0x11680, 0x116aa}, {0x116b8, 0x116b8}, {0x11700, 0x1171a}, {0x11740, 0x11746}, {0x11800, 0x1182b}, {0x118a0, 0x118df}, {0x118ff, 0x11906}, {0x11909, 0x11909},
  {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x1192f}, {0x1193f, 0x1193f}, {0x11941, 0x11941}, {0x119a0, 0x119a7}, {0x119aa, 0x119d0}, {0x119e1, 0x119e1},
  {0x119e3, 0x119e3}, {0x11a00, 0x11a00}, {0x11a0b, 0x11a32}, {0x11a3a, 0x11a3a}, {0x11a50, 0x11a50}, {0x11a5c, 0x11a89}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8},
  {0x11c00, 0x11c08}, {0x11c0a, 0x11c2e}, {0x11c40, 0x11c40}, {0x11c72, 0x11c8f}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d30}, {0x11d46, 0x11d46},
  {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d89}, {0x11d98, 0x11d98}, {0x11ee0, 0x11ef2}, {0x11f02, 0x11f02}, {0x11f04, 0x11f10}, {0x11f12, 0x11f33},
  {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e}, {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13441, 0x13446}, {0x14400, 0x14646},
  {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a70, 0x16abe}, {0x16ad0, 0x16aed}, {0x16b00, 0x16b2f}, {0x16b40, 0x16b43}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f},
  {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a}, {0x16f50, 0x16f50}, {0x16f93, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe3}, {0x17000, 0x187f7}, {0x18800, 0x18cd5},
  {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152}, {0x1b155, 0x1b155},
  {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c},
  {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505},
  {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550},
  {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e},
  {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e030, 0x1e06d}, {0x1e100, 0x1e12c},
  {0x1e137, 0x1e13d}, {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ad}, {0x1e2c0, 0x1e2eb}, {0x1e4d0, 0x1e4eb}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee},
  {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4}, {0x1e900, 0x1e943}, {0x1e94b, 0x1e94b}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24},
  {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49},
  {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d},
  {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e},
  {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x20000, 0x2a6df}, {0x2a700, 0x2b739}, {0x2b740, 0x2b81d},
  {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af},
};

static TSCharacterRange sym_identifier_character_set_2[] = {
  {'$', '$'}, {'0', '9'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5},
  {0xb7, 0xb7}, {0xba, 0xba}, {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec},
  {0x2ee, 0x2ee}, {0x300, 0x374}, {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1},
  {0x3a3, 0x3f5}, {0x3f7, 0x481}, {0x483, 0x487}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x591, 0x5bd},
  {0x5bf, 0x5bf}, {0x5c1, 0x5c2}, {0x5c4, 0x5c5}, {0x5c7, 0x5c7}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x610, 0x61a}, {0x620, 0x669},
  {0x66e, 0x6d3}, {0x6d5, 0x6dc}, {0x6df, 0x6e8}, {0x6ea, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x74a}, {0x74d, 0x7b1}, {0x7c0, 0x7f5},
  {0x7fa, 0x7fa}, {0x7fd, 0x7fd}, {0x800, 0x82d}, {0x840, 0x85b}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x898, 0x8e1},
  {0x8e3, 0x963}, {0x966, 0x96f}, {0x971, 0x983}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2},
  {0x9b6, 0x9b9}, {0x9bc, 0x9c4}, {0x9c7, 0x9c8}, {0x9cb, 0x9ce}, {0x9d7, 0x9d7}, {0x9dc, 0x9dd}, {0x9df, 0x9e3}, {0x9e6, 0x9f1},
  {0x9fc, 0x9fc}, {0x9fe, 0x9fe}, {0xa01, 0xa03}, {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33},
  {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa3c, 0xa3c}, {0xa3e, 0xa42}, {0xa47, 0xa48}, {0xa4b, 0xa4d}, {0xa51, 0xa51}, {0xa59, 0xa5c},
  {0xa5e, 0xa5e}, {0xa66, 0xa75}, {0xa81, 0xa83}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3},
  {0xab5, 0xab9}, {0xabc, 0xac5}, {0xac7, 0xac9}, {0xacb, 0xacd}, {0xad0, 0xad0}, {0xae0, 0xae3}, {0xae6, 0xaef}, {0xaf9, 0xaff},
  {0xb01, 0xb03}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3c, 0xb44},
  {0xb47, 0xb48}, {0xb4b, 0xb4d}, {0xb55, 0xb57}, {0xb5c, 0xb5d}, {0xb5f, 0xb63}, {0xb66, 0xb6f}, {0xb71, 0xb71}, {0xb82, 0xb83},
  {0xb85, 0xb8a}, {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa},
  {0xbae, 0xbb9}, {0xbbe, 0xbc2}, {0xbc6, 0xbc8}, {0xbca, 0xbcd}, {0xbd0, 0xbd0}, {0xbd7, 0xbd7}, {0xbe6, 0xbef}, {0xc00, 0xc0c},
  {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3c, 0xc44}, {0xc46, 0xc48}, {0xc4a, 0xc4d}, {0xc55, 0xc56}, {0xc58, 0xc5a},
  {0xc5d, 0xc5d}, {0xc60, 0xc63}, {0xc66, 0xc6f}, {0xc80, 0xc83}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3},
  {0xcb5, 0xcb9}, {0xcbc, 0xcc4}, {0xcc6, 0xcc8}, {0xcca, 0xccd}, {0xcd5, 0xcd6}, {0xcdd, 0xcde}, {0xce0, 0xce3}, {0xce6, 0xcef},
  {0xcf1, 0xcf3}, {0xd00, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd44}, {0xd46, 0xd48}, {0xd4a, 0xd4e}, {0xd54, 0xd57}, {0xd5f, 0xd63},
  {0xd66, 0xd6f}, {0xd7a, 0xd7f}, {0xd81, 0xd83}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6},
  {0xdca, 0xdca}, {0xdcf, 0xdd4}, {0xdd6, 0xdd6}, {0xdd8, 0xddf}, {0xde6, 0xdef}, {0xdf2, 0xdf3}, {0xe01, 0xe3a}, {0xe40, 0xe4e},
  {0xe50, 0xe59}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xebd}, {0xec0, 0xec4},
  {0xec6, 0xec6}, {0xec8, 0xece}, {0xed0, 0xed9}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf18, 0xf19}, {0xf20, 0xf29}, {0xf35, 0xf35},
  {0xf37, 0xf37}, {0xf39, 0xf39}, {0xf3e, 0xf47}, {0xf49, 0xf6c}, {0xf71, 0xf84}, {0xf86, 0xf97}, {0xf99, 0xfbc}, {0xfc6, 0xfc6},
  {0x1000, 0x1049}, {0x1050, 0x109d}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d},
  {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be},
  {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x135d, 0x135f}, {0x1369, 0x1371},
  {0x1380, 0x138f}, {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8},
  {0x1700, 0x1715}, {0x171f, 0x1734}, {0x1740, 0x1753}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1772, 0x1773}, {0x1780, 0x17d3}, {0x17d7, 0x17d7},
  {0x17dc, 0x17dd}, {0x17e0, 0x17e9}, {0x180b, 0x180d}, {0x180f, 0x1819}, {0x1820, 0x1878}, {0x1880, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e},
  {0x1920, 0x192b}, {0x1930, 0x193b}, {0x1946, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x19d0, 0x19da}, {0x1a00, 0x1a1b},
  {0x1a20, 0x1a5e}, {0x1a60, 0x1a7c}, {0x1a7f, 0x1a89}, {0x1a90, 0x1a99}, {0x1aa7, 0x1aa7}, {0x1ab0, 0x1abd}, {0x1abf, 0x1ace}, {0x1b00, 0x1b4c},
  {0x1b50, 0x1b59}, {0x1b6b, 0x1b73}, {0x1b80, 0x1bf3}, {0x1c00, 0x1c37}, {0x1c40, 0x1c49}, {0x1c4d, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba},
  {0x1cbd, 0x1cbf}, {0x1cd0, 0x1cd2}, {0x1cd4, 0x1cfa}, {0x1d00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57},
  {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4},
  {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x200c, 0x200d}, {0x203f, 0x2040},
  {0x2054, 0x2054}, {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c}, {0x20d0, 0x20dc}, {0x20e1, 0x20e1}, {0x20e5, 0x20f0}, {0x2102, 0x2102},
  {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139},
  {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27},
  {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d7f, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe},
  {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x2de0, 0x2dff}, {0x3005, 0x3007}, {0x3021, 0x302f}, {0x3031, 0x3035},
  {0x3038, 0x303c}, {0x3041, 0x3096}, {0x3099, 0x309a}, {0x309d, 0x309f}, {0x30a1, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf},
  {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa62b}, {0xa640, 0xa66f}, {0xa674, 0xa67d},
  {0xa67f, 0xa6f1}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa827},
  {0xa82c, 0xa82c}, {0xa840, 0xa873}, {0xa880, 0xa8c5}, {0xa8d0, 0xa8d9}, {0xa8e0, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa92d}, {0xa930, 0xa953},
  {0xa960, 0xa97c}, {0xa980, 0xa9c0}, {0xa9cf, 0xa9d9}, {0xa9e0, 0xa9fe}, {0xaa00, 0xaa36}, {0xaa40, 0xaa4d}, {0xaa50, 0xaa59}, {0xaa60, 0xaa76},
  {0xaa7a, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaef}, {0xaaf2, 0xaaf6}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26},
  {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabea}, {0xabec, 0xabed}, {0xabf0, 0xabf9}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6},
  {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c},
  {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7},
  {0xfdf0, 0xfdf9}, {0xfe00, 0xfe0f}, {0xfe20, 0xfe2f}, {0xfe33, 0xfe34}, {0xfe4d, 0xfe4f}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77},
  {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b}, {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff10, 0xff19}, {0xff21, 0xff3a}, {0xff3f, 0xff3f}, {0xff41, 0xff5a},
  {0xff65, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a},
  {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x101fd, 0x101fd}, {0x10280, 0x1029c}, {0x102a0, 0x102d0},
  {0x102e0, 0x102e0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x1037a}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5},
  {0x10400, 0x1049d}, {0x104a0, 0x104a9}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a},
  {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755},
  {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838},
  {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939},
  {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a03}, {0x10a05, 0x10a06}, {0x10a0c, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a38, 0x10a3a},
  {0x10a3f, 0x10a3f}, {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae6}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72},
  {0x10b80, 0x10b91}, {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d27}, {0x10d30, 0x10d39}, {0x10e80, 0x10ea9}, {0x10eab, 0x10eac},
  {0x10eb0, 0x10eb1}, {0x10efd, 0x10f1c}, {0x10f27, 0x10f27}, {0x10f30, 0x10f50}, {0x10f70, 0x10f85}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11000, 0x11046},
  {0x11066, 0x11075}, {0x1107f, 0x110ba}, {0x110c2, 0x110c2}, {0x110d0, 0x110e8}, {0x110f0, 0x110f9}, {0x11100, 0x11134}, {0x11136, 0x1113f}, {0x11144, 0x11147},
  {0x11150, 0x11173}, {0x11176, 0x11176}, {0x11180, 0x111c4}, {0x111c9, 0x111cc}, {0x111ce, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x11237},
  {0x1123e, 0x11241}, {0x11280, 0x11286}, {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112ea}, {0x112f0, 0x112f9},
  {0x11300, 0x11303}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133b, 0x11344},
  {0x11347, 0x11348}, {0x1134b, 0x1134d}, {0x11350, 0x11350}, {0x11357, 0x11357}, {0x1135d, 0x11363}, {0x11366, 0x1136c}, {0x11370, 0x11374}, {0x11400, 0x1144a},
  {0x11450, 0x11459}, {0x1145e, 0x11461}, {0x11480, 0x114c5}, {0x114c7, 0x114c7}, {0x114d0, 0x114d9}, {0x11580, 0x115b5}, {0x115b8, 0x115c0}, {0x115d8, 0x115dd},
  {0x11600, 0x11640}, {0x11644, 0x11644}, {0x11650, 0x11659}, {0x11680, 0x116b8}, {0x116c0, 0x116c9}, {0x11700, 0x1171a}, {0x1171d, 0x1172b}, {0x11730, 0x11739},
  {0x11740, 0x11746}, {0x11800, 0x1183a}, {0x118a0, 0x118e9}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x11935},
  {0x11937, 0x11938}, {0x1193b, 0x11943}, {0x11950, 0x11959}, {0x119a0, 0x119a7}, {0x119aa, 0x119d7}, {0x119da, 0x119e1}, {0x119e3, 0x119e4}, {0x11a00, 0x11a3e},
  {0x11a47, 0x11a47}, {0x11a50, 0x11a99}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c36}, {0x11c38, 0x11c40}, {0x11c50, 0x11c59},
  {0x11c72, 0x11c8f}, {0x11c92, 0x11ca7}, {0x11ca9, 0x11cb6}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d36}, {0x11d3a, 0x11d3a}, {0x11d3c, 0x11d3d},
  {0x11d3f, 0x11d47}, {0x11d50, 0x11d59}, {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d8e}, {0x11d90, 0x11d91}, {0x11d93, 0x11d98}, {0x11da0, 0x11da9},
  {0x11ee0, 0x11ef6}, {0x11f00, 0x11f10}, {0x11f12, 0x11f3a}, {0x11f3e, 0x11f42}, {0x11f50, 0x11f59}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e},
  {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13440, 0x13455}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a60, 0x16a69},
  {0x16a70, 0x16abe}, {0x16ac0, 0x16ac9}, {0x16ad0, 0x16aed}, {0x16af0, 0x16af4}, {0x16b00, 0x16b36}, {0x16b40, 0x16b43}, {0x16b50, 0x16b59}, {0x16b63, 0x16b77},
  {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a}, {0x16f4f, 0x16f87}, {0x16f8f, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe4}, {0x16ff0, 0x16ff1},
  {0x17000, 0x187f7}, {0x18800, 0x18cd5}, {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132},
  {0x1b150, 0x1b152}, {0x1b155, 0x1b155}, {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99},
  {0x1bc9d, 0x1bc9e}, {0x1cf00, 0x1cf2d}, {0x1cf30, 0x1cf46}, {0x1d165, 0x1d169}, {0x1d16d, 0x1d172}, {0x1d17b, 0x1d182}, {0x1d185, 0x1d18b}, {0x1d1aa, 0x1d1ad},
  {0x1d242, 0x1d244}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9},
  {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e},
  {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714},
  {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1d7ce, 0x1d7ff},
  {0x1da00, 0x1da36}, {0x1da3b, 0x1da6c}, {0x1da75, 0x1da75}, {0x1da84, 0x1da84}, {0x1da9b, 0x1da9f}, {0x1daa1, 0x1daaf}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a},
  {0x1e000, 0x1e006}, {0x1e008, 0x1e018}, {0x1e01b, 0x1e021}, {0x1e023, 0x1e024}, {0x1e026, 0x1e02a}, {0x1e030, 0x1e06d}, {0x1e08f, 0x1e08f}, {0x1e100, 0x1e12c},
  {0x1e130, 0x1e13d}, {0x1e140, 0x1e149}, {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ae}, {0x1e2c0, 0x1e2f9}, {0x1e4d0, 0x1e4f9}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb},
  {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4}, {0x1e8d0, 0x1e8d6}, {0x1e900, 0x1e94b}, {0x1e950, 0x1e959}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f},
  {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42},
  {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59},
  {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77},
  {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x1fbf0, 0x1fbf9},
  {0x20000, 0x2a6df}, {0x2a700, 0x2b739}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a},
  {0x31350, 0x323af}, {0xe0100, 0xe01ef},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(120);
      ADVANCE_MAP(
        '!', 187,
        '"', 286,
        '#', 75,
        '%', 204,
        '&', 213,
        '\'', 277,
        '(', 124,
        ')', 127,
        '*', 200,
        '+', 195,
        ',', 126,
        '-', 190,
        '.', 253,
        '/', 202,
        '0', 259,
        ':', 237,
        ';', 226,
        '<', 220,
        '=', 236,
        '>', 216,
        '?', 238,
        'L', 298,
        'U', 300,
        '[', 233,
        '\\', 2,
        ']', 234,
        '^', 210,
        'u', 302,
        '{', 230,
        '|', 207,
        '}', 231,
        '~', 188,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(118);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(261);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(310);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(43);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(43);
      if (lookahead == '\r') SKIP(1);
      if (lookahead == 'U') ADVANCE(115);
      if (lookahead == 'u') ADVANCE(107);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(46);
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(46);
      if (lookahead == '\r') SKIP(3);
      if (lookahead == 'U') ADVANCE(115);
      if (lookahead == 'u') ADVANCE(107);
      END_STATE();
    case 5:
      if (lookahead == '\n') SKIP(45);
      END_STATE();
    case 6:
      if (lookahead == '\n') SKIP(45);
      if (lookahead == '\r') SKIP(5);
      if (lookahead == 'U') ADVANCE(115);
      if (lookahead == 'u') ADVANCE(107);
      END_STATE();
    case 7:
      if (lookahead == '\n') SKIP(47);
      END_STATE();
    case 8:
      if (lookahead == '\n') SKIP(47);
      if (lookahead == '\r') SKIP(7);
      if (lookahead == 'U') ADVANCE(115);
      if (lookahead == 'u') ADVANCE(107);
      END_STATE();
    case 9:
      if (lookahead == '\n') SKIP(49);
      END_STATE();
    case 10:
      if (lookahead == '\n') SKIP(49);
      if (lookahead == '\r') SKIP(9);
      if (lookahead == 'U') ADVANCE(115);
      if (lookahead == 'u') ADVANCE(107);
      END_STATE();
    case 11:
      if (lookahead == '\n') SKIP(53);
      END_STATE();
    case 12:
      if (lookahead == '\n') SKIP(53);
      if (lookahead == '\r') SKIP(11);
      if (lookahead == 'U') ADVANCE(115);
      if (lookahead == 'u') ADVANCE(107);
      END_STATE();
    case 13:
      if (lookahead == '\n') SKIP(52);
      END_STATE();
    case 14:
      if (lookahead == '\n') SKIP(52);
      if (lookahead == '\r') SKIP(13);
      if (lookahead == 'U') ADVANCE(115);
      if (lookahead == 'u') ADVANCE(107);
      END_STATE();
    case 15:
      if (lookahead == '\n') SKIP(57);
      END_STATE();
    case 16:
      if (lookahead == '\n') SKIP(57);
      if (lookahead == '\r') SKIP(15);
      if (lookahead == 'U') ADVANCE(115);
      if (lookahead == 'u') ADVANCE(107);
      END_STATE();
    case 17:
      if (lookahead == '\n') SKIP(50);
      END_STATE();
    case 18:
      if (lookahead == '\n') SKIP(50);
      if (lookahead == '\r') SKIP(17);
      if (lookahead == 'U') ADVANCE(115);
      if (lookahead == 'u') ADVANCE(107);
      END_STATE();
    case 19:
      if (lookahead == '\n') SKIP(51);
      END_STATE();
    case 20:
      if (lookahead == '\n') SKIP(51);
      if (lookahead == '\r') SKIP(19);
      if (lookahead == 'U') ADVANCE(115);
      if (lookahead == 'u') ADVANCE(107);
      END_STATE();
    case 21:
      if (lookahead == '\n') SKIP(48);
      END_STATE();
    case 22:
      if (lookahead == '\n') SKIP(48);
      if (lookahead == '\r') SKIP(21);
      if (lookahead == 'U') ADVANCE(115);
      if (lookahead == 'u') ADVANCE(107);
      END_STATE();
    case 23:
      if (lookahead == '\n') SKIP(25);
      END_STATE();
    case 24:
      if (lookahead == '\n') SKIP(25);
      if (lookahead == '\r') SKIP(23);
      END_STATE();
    case 25:
      ADVANCE_MAP(
        '\n', 129,
        '!', 68,
        '%', 203,
        '&', 212,
        '(', 185,
        '*', 199,
        '+', 194,
        '-', 189,
        '/', 201,
        '<', 221,
        '=', 69,
        '>', 217,
      );
      if (lookahead == '\\') SKIP(24);
      if (lookahead == '^') ADVANCE(209);
      if (lookahead == '|') ADVANCE(208);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(25);
      END_STATE();
    case 26:
      if (lookahead == '\n') SKIP(56);
      END_STATE();
    case 27:
      if (lookahead == '\n') SKIP(56);
      if (lookahead == '\r') SKIP(26);
      if (lookahead == 'U') ADVANCE(115);
      if (lookahead == 'u') ADVANCE(107);
      END_STATE();
    case 28:
      if (lookahead == '\n') SKIP(54);
      END_STATE();
    case 29:
      if (lookahead == '\n') SKIP(54);
      if (lookahead == '\r') SKIP(28);
      if (lookahead == 'U') ADVANCE(115);
      if (lookahead == 'u') ADVANCE(107);
      END_STATE();
    case 30:
      if (lookahead == '\n') SKIP(55);
      if (lookahead == '"') ADVANCE(286);
      if (lookahead == '/') ADVANCE(287);
      if (lookahead == '\\') ADVANCE(31);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(290);
      if (lookahead != 0) ADVANCE(291);
      END_STATE();
    case 31:
      if (lookahead == '\n') ADVANCE(293);
      if (lookahead == '\r') ADVANCE(292);
      if (lookahead == 'U') ADVANCE(116);
      if (lookahead == 'u') ADVANCE(108);
      if (lookahead == 'x') ADVANCE(104);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(295);
      if (lookahead != 0) ADVANCE(292);
      END_STATE();
    case 32:
      if (lookahead == '\n') ADVANCE(122);
      if (lookahead == '\r') ADVANCE(36);
      if (lookahead == '(') ADVANCE(124);
      if (lookahead == '/') ADVANCE(150);
      if (lookahead == '\\') ADVANCE(145);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(66);
      if (lookahead != 0) ADVANCE(152);
      END_STATE();
    case 33:
      if (lookahead == '\n') ADVANCE(122);
      if (lookahead == '\r') ADVANCE(36);
      if (lookahead == '/') ADVANCE(150);
      if (lookahead == '\\') ADVANCE(145);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(66);
      if (lookahead != 0) ADVANCE(152);
      END_STATE();
    case 34:
      if (lookahead == '\n') ADVANCE(122);
      if (lookahead == '\r') ADVANCE(35);
      if (lookahead == '(') ADVANCE(185);
      if (lookahead == '/') ADVANCE(60);
      if (lookahead == '\\') SKIP(39);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(59);
      END_STATE();
    case 35:
      if (lookahead == '\n') ADVANCE(122);
      if (lookahead == '(') ADVANCE(185);
      if (lookahead == '/') ADVANCE(60);
      if (lookahead == '\\') SKIP(39);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(59);
      END_STATE();
    case 36:
      if (lookahead == '\n') ADVANCE(122);
      if (lookahead == '/') ADVANCE(150);
      if (lookahead == '\\') ADVANCE(145);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(66);
      if (lookahead != 0) ADVANCE(152);
      END_STATE();
    case 37:
      if (lookahead == '\n') SKIP(58);
      if (lookahead == '\'') ADVANCE(277);
      if (lookahead == '/') ADVANCE(280);
      if (lookahead == '\\') ADVANCE(279);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(281);
      if (lookahead != 0) ADVANCE(278);
      END_STATE();
    case 38:
      if (lookahead == '\n') SKIP(59);
      END_STATE();
    case 39:
      if (lookahead == '\n') SKIP(59);
      if (lookahead == '\r') SKIP(38);
      END_STATE();
    case 40:
      if (lookahead == '\n') SKIP(44);
      END_STATE();
    case 41:
      if (lookahead == '\n') SKIP(44);
      if (lookahead == '\r') SKIP(40);
      if (lookahead == 'U') ADVANCE(115);
      if (lookahead == 'u') ADVANCE(107);
      END_STATE();
    case 42:
      if (lookahead == '\r') ADVANCE(319);
      if (lookahead == '\\') ADVANCE(313);
      if (lookahead != 0) ADVANCE(318);
      END_STATE();
    case 43:
      ADVANCE_MAP(
        '!', 187,
        '"', 286,
        '#', 75,
        '%', 204,
        '&', 213,
        '\'', 277,
        '(', 185,
        ')', 127,
        '*', 200,
        '+', 195,
        ',', 126,
        '-', 190,
        '.', 253,
        '/', 202,
        '0', 259,
        ':', 237,
        ';', 226,
        '<', 220,
        '=', 236,
        '>', 216,
        '?', 238,
        'L', 298,
        'U', 300,
        '[', 233,
        '\\', 2,
        ']', 234,
        '^', 210,
        'u', 302,
        '{', 230,
        '|', 207,
        '}', 231,
        '~', 188,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(43);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(261);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(310);
      END_STATE();
    case 44:
      ADVANCE_MAP(
        '!', 187,
        '"', 286,
        '#', 83,
        '%', 204,
        '&', 213,
        '\'', 277,
        '(', 185,
        ')', 127,
        '*', 200,
        '+', 195,
        ',', 126,
        '-', 190,
        '.', 253,
        '/', 202,
        '0', 259,
        ':', 237,
        ';', 226,
        '<', 220,
        '=', 236,
        '>', 216,
        '?', 238,
        'L', 298,
        'U', 300,
        '[', 232,
        '\\', 41,
        ']', 234,
        '^', 210,
        'u', 302,
        '{', 230,
        '|', 207,
        '}', 231,
        '~', 188,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(44);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(261);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(310);
      END_STATE();
    case 45:
      ADVANCE_MAP(
        '!', 186,
        '"', 286,
        '#', 75,
        '&', 211,
        '\'', 277,
        '(', 185,
        '*', 199,
        '+', 196,
        ',', 126,
        '-', 191,
        '.', 96,
        '/', 60,
        '0', 259,
        ':', 67,
        ';', 226,
        'L', 298,
        'U', 300,
        '[', 73,
        '\\', 6,
        ']', 74,
        'u', 302,
        '{', 230,
        '~', 188,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(45);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(261);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(310);
      END_STATE();
    case 46:
      ADVANCE_MAP(
        '!', 186,
        '"', 286,
        '#', 79,
        '&', 211,
        '\'', 277,
        '(', 185,
        ')', 127,
        '*', 199,
        '+', 196,
        ',', 126,
        '-', 191,
        '.', 254,
        '/', 60,
        '0', 259,
        ':', 237,
        ';', 226,
        '=', 235,
        'L', 298,
        'U', 300,
        '[', 233,
        '\\', 4,
        ']', 234,
        'u', 302,
        '{', 230,
        '}', 231,
        '~', 188,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(46);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(261);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(310);
      END_STATE();
    case 47:
      ADVANCE_MAP(
        '!', 186,
        '"', 286,
        '#', 77,
        '&', 211,
        '\'', 277,
        '(', 185,
        '*', 199,
        '+', 196,
        '-', 191,
        '.', 96,
        '/', 60,
        '0', 259,
        ';', 226,
        'L', 298,
        'U', 300,
        '[', 73,
        '\\', 8,
        'u', 302,
        '{', 230,
        '~', 188,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(47);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(261);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(310);
      END_STATE();
    case 48:
      ADVANCE_MAP(
        '!', 186,
        '\'', 277,
        '(', 185,
        ')', 127,
        '+', 198,
        '-', 193,
        '.', 96,
        '/', 60,
        '0', 259,
        'L', 306,
        'U', 307,
        '\\', 22,
        'u', 308,
        '~', 188,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(48);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(261);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(310);
      END_STATE();
    case 49:
      ADVANCE_MAP(
        '!', 68,
        '"', 286,
        '#', 83,
        '%', 204,
        '&', 213,
        '(', 185,
        ')', 127,
        '*', 200,
        '+', 197,
        ',', 126,
        '-', 192,
        '.', 252,
        '/', 202,
        ':', 237,
        ';', 226,
        '<', 220,
        '=', 236,
        '>', 216,
        '?', 238,
        'L', 299,
        'U', 301,
        '[', 233,
        '\\', 10,
        ']', 234,
        '^', 210,
        'u', 303,
        '|', 207,
        '}', 231,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(49);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(310);
      END_STATE();
    case 50:
      ADVANCE_MAP(
        '!', 68,
        '#', 83,
        '%', 204,
        '&', 213,
        '(', 185,
        ')', 127,
        '*', 200,
        '+', 197,
        ',', 126,
        '-', 192,
        '.', 252,
        '/', 202,
        ':', 237,
        ';', 226,
        '<', 220,
        '=', 236,
        '>', 216,
        '?', 238,
        '[', 233,
        '\\', 18,
        ']', 234,
        '^', 210,
        '{', 230,
        '|', 207,
        '}', 231,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(50);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(310);
      END_STATE();
    case 51:
      ADVANCE_MAP(
        '!', 68,
        '#', 83,
        '%', 204,
        '&', 213,
        '(', 185,
        ')', 127,
        '*', 200,
        '+', 197,
        ',', 126,
        '-', 192,
        '.', 251,
        '/', 202,
        ':', 237,
        ';', 226,
        '<', 220,
        '=', 236,
        '>', 216,
        '?', 238,
        '[', 232,
        '\\', 20,
        ']', 74,
        '^', 210,
        '|', 207,
        '}', 231,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(51);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(310);
      END_STATE();
    case 52:
      ADVANCE_MAP(
        '!', 68,
        '#', 80,
        '%', 203,
        '&', 212,
        '(', 185,
        ')', 127,
        '*', 199,
        '+', 194,
        ',', 126,
        '-', 189,
        '/', 201,
        ';', 226,
        '<', 221,
        '=', 236,
        '>', 217,
        '[', 233,
        '\\', 14,
        '^', 209,
        '{', 230,
        '|', 208,
        '}', 231,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(52);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(310);
      END_STATE();
    case 53:
      ADVANCE_MAP(
        '!', 68,
        '#', 76,
        '%', 204,
        '&', 213,
        '(', 185,
        ')', 127,
        '*', 200,
        '+', 197,
        ',', 126,
        '-', 192,
        '.', 252,
        '/', 202,
        ':', 237,
        ';', 226,
        '<', 220,
        '=', 236,
        '>', 216,
        '?', 238,
        '[', 233,
        '\\', 12,
        '^', 210,
        '{', 230,
        '|', 207,
        '}', 231,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(53);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(310);
      END_STATE();
    case 54:
      if (lookahead == '"') ADVANCE(286);
      if (lookahead == '/') ADVANCE(60);
      if (lookahead == '<') ADVANCE(70);
      if (lookahead == 'L') ADVANCE(299);
      if (lookahead == 'U') ADVANCE(301);
      if (lookahead == '\\') ADVANCE(29);
      if (lookahead == 'u') ADVANCE(303);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(54);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(310);
      END_STATE();
    case 55:
      if (lookahead == '"') ADVANCE(286);
      if (lookahead == '/') ADVANCE(60);
      if (lookahead == '\\') ADVANCE(31);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(55);
      END_STATE();
    case 56:
      if (lookahead == '#') ADVANCE(93);
      if (lookahead == '/') ADVANCE(60);
      if (lookahead == '\\') ADVANCE(27);
      if (lookahead == '}') ADVANCE(231);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(56);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(310);
      END_STATE();
    case 57:
      if (lookahead == '#') ADVANCE(78);
      if (lookahead == '/') ADVANCE(60);
      if (lookahead == '[') ADVANCE(73);
      if (lookahead == '\\') ADVANCE(16);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(57);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(310);
      END_STATE();
    case 58:
      if (lookahead == '\'') ADVANCE(277);
      if (lookahead == '/') ADVANCE(60);
      if (lookahead == '\\') ADVANCE(31);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(58);
      END_STATE();
    case 59:
      if (lookahead == '(') ADVANCE(185);
      if (lookahead == '/') ADVANCE(60);
      if (lookahead == '\\') SKIP(39);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(59);
      END_STATE();
    case 60:
      if (lookahead == '*') ADVANCE(62);
      if (lookahead == '/') ADVANCE(318);
      END_STATE();
    case 61:
      if (lookahead == '*') ADVANCE(61);
      if (lookahead == '/') ADVANCE(311);
      if (lookahead != 0) ADVANCE(62);
      END_STATE();
    case 62:
      if (lookahead == '*') ADVANCE(61);
      if (lookahead != 0) ADVANCE(62);
      END_STATE();
    case 63:
      if (lookahead == '*') ADVANCE(61);
      if (lookahead != 0) ADVANCE(143);
      END_STATE();
    case 64:
      if (lookahead == '.') ADVANCE(96);
      if (lookahead == '0') ADVANCE(257);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(258);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(267);
      END_STATE();
    case 65:
      if (lookahead == '.') ADVANCE(125);
      END_STATE();
    case 66:
      if (lookahead == '/') ADVANCE(150);
      if (lookahead == '\\') ADVANCE(145);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(66);
      if (lookahead != 0) ADVANCE(152);
      END_STATE();
    case 67:
      if (lookahead == ':') ADVANCE(227);
      END_STATE();
    case 68:
      if (lookahead == '=') ADVANCE(215);
      END_STATE();
    case 69:
      if (lookahead == '=') ADVANCE(214);
      END_STATE();
    case 70:
      if (lookahead == '>') ADVANCE(296);
      if (lookahead == '\\') ADVANCE(71);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(70);
      END_STATE();
    case 71:
      if (lookahead == '>') ADVANCE(297);
      if (lookahead == '\\') ADVANCE(71);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(70);
      END_STATE();
    case 72:
      if (lookahead == 'U') ADVANCE(115);
      if (lookahead == 'u') ADVANCE(107);
      END_STATE();
    case 73:
      if (lookahead == '[') ADVANCE(228);
      END_STATE();
    case 74:
      if (lookahead == ']') ADVANCE(229);
      END_STATE();
    case 75:
      if (lookahead == 'd') ADVANCE(159);
      if (lookahead == 'e') ADVANCE(179);
      if (lookahead == 'i') ADVANCE(167);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(75);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 76:
      if (lookahead == 'd') ADVANCE(159);
      if (lookahead == 'e') ADVANCE(179);
      if (lookahead == 'i') ADVANCE(168);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(76);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 77:
      if (lookahead == 'd') ADVANCE(159);
      if (lookahead == 'e') ADVANCE(181);
      if (lookahead == 'i') ADVANCE(167);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 78:
      if (lookahead == 'd') ADVANCE(159);
      if (lookahead == 'e') ADVANCE(181);
      if (lookahead == 'i') ADVANCE(168);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(78);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 79:
      if (lookahead == 'd') ADVANCE(159);
      if (lookahead == 'i') ADVANCE(167);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(79);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 80:
      if (lookahead == 'd') ADVANCE(159);
      if (lookahead == 'i') ADVANCE(168);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(80);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 81:
      if (lookahead == 'd') ADVANCE(92);
      END_STATE();
    case 82:
      if (lookahead == 'd') ADVANCE(86);
      END_STATE();
    case 83:
      if (lookahead == 'e') ADVANCE(94);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(83);
      END_STATE();
    case 84:
      if (lookahead == 'e') ADVANCE(134);
      END_STATE();
    case 85:
      if (lookahead == 'e') ADVANCE(89);
      END_STATE();
    case 86:
      if (lookahead == 'e') ADVANCE(90);
      END_STATE();
    case 87:
      if (lookahead == 'f') ADVANCE(136);
      END_STATE();
    case 88:
      if (lookahead == 'f') ADVANCE(130);
      END_STATE();
    case 89:
      if (lookahead == 'f') ADVANCE(138);
      END_STATE();
    case 90:
      if (lookahead == 'f') ADVANCE(140);
      END_STATE();
    case 91:
      if (lookahead == 'i') ADVANCE(87);
      if (lookahead == 's') ADVANCE(84);
      END_STATE();
    case 92:
      if (lookahead == 'i') ADVANCE(88);
      END_STATE();
    case 93:
      if (lookahead == 'i') ADVANCE(168);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(93);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 94:
      if (lookahead == 'l') ADVANCE(91);
      if (lookahead == 'n') ADVANCE(81);
      END_STATE();
    case 95:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(261);
      END_STATE();
    case 96:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(256);
      END_STATE();
    case 97:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(258);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(267);
      END_STATE();
    case 98:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(310);
      END_STATE();
    case 99:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(264);
      END_STATE();
    case 100:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(267);
      END_STATE();
    case 101:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(262);
      END_STATE();
    case 102:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(292);
      END_STATE();
    case 103:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(98);
      END_STATE();
    case 104:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(102);
      END_STATE();
    case 105:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(103);
      END_STATE();
    case 106:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(104);
      END_STATE();
    case 107:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(105);
      END_STATE();
    case 108:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(106);
      END_STATE();
    case 109:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(107);
      END_STATE();
    case 110:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(108);
      END_STATE();
    case 111:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(109);
      END_STATE();
    case 112:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(110);
      END_STATE();
    case 113:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(111);
      END_STATE();
    case 114:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(112);
      END_STATE();
    case 115:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(113);
      END_STATE();
    case 116:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(114);
      END_STATE();
    case 117:
      if (lookahead != 0 &&
          lookahead != '*') ADVANCE(152);
      END_STATE();
    case 118:
      if (eof) ADVANCE(120);
      ADVANCE_MAP(
        '!', 187,
        '"', 286,
        '#', 75,
        '%', 204,
        '&', 213,
        '\'', 277,
        '(', 185,
        ')', 127,
        '*', 200,
        '+', 195,
        ',', 126,
        '-', 190,
        '.', 253,
        '/', 202,
        '0', 259,
        ':', 237,
        ';', 226,
        '<', 220,
        '=', 236,
        '>', 216,
        '?', 238,
        'L', 298,
        'U', 300,
        '[', 233,
        '\\', 2,
        ']', 234,
        '^', 210,
        'u', 302,
        '{', 230,
        '|', 207,
        '}', 231,
        '~', 188,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(118);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(261);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(310);
      END_STATE();
    case 119:
      if (eof) ADVANCE(120);
      ADVANCE_MAP(
        '!', 186,
        '"', 286,
        '#', 79,
        '&', 211,
        '\'', 277,
        '(', 185,
        ')', 127,
        '*', 199,
        '+', 196,
        ',', 126,
        '-', 191,
        '.', 254,
        '/', 60,
        '0', 259,
        ':', 237,
        ';', 226,
        '=', 235,
        'L', 298,
        'U', 300,
        '[', 233,
        '\\', 4,
        ']', 234,
        'u', 302,
        '{', 230,
        '}', 231,
        '~', 188,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(119);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(261);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(310);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(aux_sym_preproc_include_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(aux_sym_preproc_include_token2);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(aux_sym_preproc_def_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(aux_sym_preproc_if_token1);
      if (lookahead == 'd') ADVANCE(163);
      if (lookahead == 'n') ADVANCE(157);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(129);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(85);
      if (lookahead == 'n') ADVANCE(82);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(165);
      if (lookahead == 'n') ADVANCE(158);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token1);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token2);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(62);
      if (lookahead == '*') ADVANCE(142);
      if (lookahead == '/') ADVANCE(311);
      if (lookahead == '\\') ADVANCE(148);
      if (lookahead != 0) ADVANCE(143);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(62);
      if (lookahead == '*') ADVANCE(142);
      if (lookahead == '/') ADVANCE(63);
      if (lookahead == '\\') ADVANCE(148);
      if (lookahead != 0) ADVANCE(143);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(318);
      if (lookahead == '\r') ADVANCE(312);
      if (lookahead == '/') ADVANCE(315);
      if (lookahead == '\\') ADVANCE(314);
      if (lookahead != 0) ADVANCE(316);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(66);
      if (lookahead == '\r') ADVANCE(146);
      if (lookahead == '/') ADVANCE(117);
      if (lookahead == '\\') ADVANCE(147);
      if (lookahead != 0) ADVANCE(152);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(66);
      if (lookahead == '/') ADVANCE(117);
      if (lookahead == '\\') ADVANCE(147);
      if (lookahead != 0) ADVANCE(152);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\r') ADVANCE(153);
      if (lookahead == '/') ADVANCE(117);
      if (lookahead == '\\') ADVANCE(147);
      if (lookahead != 0) ADVANCE(152);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\r') ADVANCE(151);
      if (lookahead == '*') ADVANCE(142);
      if (lookahead == '/') ADVANCE(63);
      if (lookahead == '\\') ADVANCE(148);
      if (lookahead != 0) ADVANCE(143);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\r') ADVANCE(317);
      if (lookahead == '/') ADVANCE(315);
      if (lookahead == '\\') ADVANCE(314);
      if (lookahead != 0) ADVANCE(316);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '*') ADVANCE(143);
      if (lookahead == '/') ADVANCE(315);
      if (lookahead == '\\') ADVANCE(147);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(152);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '*') ADVANCE(142);
      if (lookahead == '/') ADVANCE(63);
      if (lookahead == '\\') ADVANCE(148);
      if (lookahead != 0) ADVANCE(143);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(117);
      if (lookahead == '\\') ADVANCE(147);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(152);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(117);
      if (lookahead == '\\') ADVANCE(147);
      if (lookahead != 0) ADVANCE(152);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'c') ADVANCE(180);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(178);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(162);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(164);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(166);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(169);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(135);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(123);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(121);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(172);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(173);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(174);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(175);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(128);
      if (lookahead == 'n') ADVANCE(154);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(128);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(176);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(137);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(131);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(132);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(133);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(139);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(141);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(182);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(170);
      if (lookahead == 's') ADVANCE(160);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(171);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(177);
      if (lookahead == 'n') ADVANCE(155);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(183);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(155);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(161);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'u') ADVANCE(156);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(184);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_LPAREN2);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(215);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(249);
      if (lookahead == '.') ADVANCE(96);
      if (lookahead == '0') ADVANCE(259);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '>') ADVANCE(255);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(261);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(249);
      if (lookahead == '.') ADVANCE(96);
      if (lookahead == '0') ADVANCE(259);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(261);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(249);
      if (lookahead == '=') ADVANCE(243);
      if (lookahead == '>') ADVANCE(255);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '.') ADVANCE(96);
      if (lookahead == '0') ADVANCE(259);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(261);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(250);
      if (lookahead == '.') ADVANCE(96);
      if (lookahead == '0') ADVANCE(259);
      if (lookahead == '=') ADVANCE(242);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(261);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(250);
      if (lookahead == '.') ADVANCE(96);
      if (lookahead == '0') ADVANCE(259);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(261);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(250);
      if (lookahead == '=') ADVANCE(242);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '.') ADVANCE(96);
      if (lookahead == '0') ADVANCE(259);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(261);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(239);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(62);
      if (lookahead == '/') ADVANCE(318);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(62);
      if (lookahead == '/') ADVANCE(318);
      if (lookahead == '=') ADVANCE(240);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(241);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(248);
      if (lookahead == '|') ADVANCE(205);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(205);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(247);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(206);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(206);
      if (lookahead == '=') ADVANCE(246);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(218);
      if (lookahead == '>') ADVANCE(225);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(218);
      if (lookahead == '>') ADVANCE(224);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(223);
      if (lookahead == '=') ADVANCE(219);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(222);
      if (lookahead == '=') ADVANCE(219);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(244);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(245);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(anon_sym_LBRACK_LBRACK);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(anon_sym_RBRACK_RBRACK);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '[') ADVANCE(228);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(214);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(65);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(65);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(256);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(256);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(96);
      if (lookahead == 'E' ||
          lookahead == 'P' ||
          lookahead == 'e' ||
          lookahead == 'p') ADVANCE(269);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(256);
      if (set_contains(sym_number_literal_character_set_13, 13, lookahead)) ADVANCE(272);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 97,
        '.', 270,
        'B', 266,
        'b', 266,
        'E', 265,
        'e', 265,
        'P', 269,
        'p', 269,
        'X', 100,
        'x', 100,
        'A', 267,
        'C', 267,
        'a', 267,
        'c', 267,
        'D', 267,
        'F', 267,
        'd', 267,
        'f', 267,
        'L', 272,
        'U', 272,
        'W', 272,
        'l', 272,
        'u', 272,
        'w', 272,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(258);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 97,
        '.', 270,
        'E', 265,
        'e', 265,
        'P', 269,
        'p', 269,
        'A', 267,
        'C', 267,
        'a', 267,
        'c', 267,
        'B', 267,
        'D', 267,
        'F', 267,
        'b', 267,
        'd', 267,
        'f', 267,
        'L', 272,
        'U', 272,
        'W', 272,
        'l', 272,
        'u', 272,
        'w', 272,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(258);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 95,
        '.', 270,
        'B', 268,
        'b', 268,
        'X', 64,
        'x', 64,
        'E', 269,
        'P', 269,
        'e', 269,
        'p', 269,
        'D', 272,
        'F', 272,
        'L', 272,
        'U', 272,
        'W', 272,
        'd', 272,
        'f', 272,
        'l', 272,
        'u', 272,
        'w', 272,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(261);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 95,
        '.', 270,
        'B', 271,
        'b', 271,
        'X', 100,
        'x', 100,
        'E', 269,
        'P', 269,
        'e', 269,
        'p', 269,
        'D', 272,
        'F', 272,
        'L', 272,
        'U', 272,
        'W', 272,
        'd', 272,
        'f', 272,
        'l', 272,
        'u', 272,
        'w', 272,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(261);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(95);
      if (lookahead == '.') ADVANCE(270);
      if (lookahead == 'E' ||
          lookahead == 'P' ||
          lookahead == 'e' ||
          lookahead == 'p') ADVANCE(269);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(261);
      if (set_contains(sym_number_literal_character_set_13, 13, lookahead)) ADVANCE(272);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 101,
        'B', 262,
        'D', 262,
        'F', 262,
        'b', 262,
        'd', 262,
        'f', 262,
        'L', 272,
        'U', 272,
        'W', 272,
        'l', 272,
        'u', 272,
        'w', 272,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'E') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(262);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 99,
        '+', 101,
        '-', 101,
        'E', 263,
        'e', 263,
        'P', 269,
        'p', 269,
        'B', 264,
        'D', 264,
        'F', 264,
        'b', 264,
        'd', 264,
        'f', 264,
        'L', 272,
        'U', 272,
        'W', 272,
        'l', 272,
        'u', 272,
        'w', 272,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(264);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 99,
        'E', 263,
        'e', 263,
        'P', 269,
        'p', 269,
        'B', 264,
        'D', 264,
        'F', 264,
        'b', 264,
        'd', 264,
        'f', 264,
        'L', 272,
        'U', 272,
        'W', 272,
        'l', 272,
        'u', 272,
        'w', 272,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(264);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 100,
        '.', 270,
        '+', 101,
        '-', 101,
        'E', 265,
        'e', 265,
        'P', 269,
        'p', 269,
        'B', 267,
        'D', 267,
        'F', 267,
        'b', 267,
        'd', 267,
        'f', 267,
        'L', 272,
        'U', 272,
        'W', 272,
        'l', 272,
        'u', 272,
        'w', 272,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(267);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 100,
        '.', 270,
        'E', 265,
        'e', 265,
        'P', 269,
        'p', 269,
        'A', 267,
        'C', 267,
        'a', 267,
        'c', 267,
        'B', 267,
        'D', 267,
        'F', 267,
        'b', 267,
        'd', 267,
        'f', 267,
        'L', 272,
        'U', 272,
        'W', 272,
        'l', 272,
        'u', 272,
        'w', 272,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(258);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 100,
        '.', 270,
        'E', 265,
        'e', 265,
        'P', 269,
        'p', 269,
        'B', 267,
        'D', 267,
        'F', 267,
        'b', 267,
        'd', 267,
        'f', 267,
        'L', 272,
        'U', 272,
        'W', 272,
        'l', 272,
        'u', 272,
        'w', 272,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(267);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '.') ADVANCE(96);
      if (lookahead == '0') ADVANCE(260);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(261);
      if (set_contains(sym_number_literal_character_set_13, 13, lookahead)) ADVANCE(272);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '+', 101,
        '-', 101,
        'B', 262,
        'D', 262,
        'F', 262,
        'b', 262,
        'd', 262,
        'f', 262,
        'L', 272,
        'U', 272,
        'W', 272,
        'l', 272,
        'u', 272,
        'w', 272,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'E') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(262);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        'E', 263,
        'e', 263,
        'P', 269,
        'p', 269,
        'B', 264,
        'D', 264,
        'F', 264,
        'b', 264,
        'd', 264,
        'f', 264,
        'L', 272,
        'U', 272,
        'W', 272,
        'l', 272,
        'u', 272,
        'w', 272,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(264);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(sym_number_literal);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(261);
      if (set_contains(sym_number_literal_character_set_13, 13, lookahead)) ADVANCE(272);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        'B', 272,
        'D', 272,
        'F', 272,
        'L', 272,
        'U', 272,
        'W', 272,
        'b', 272,
        'd', 272,
        'f', 272,
        'l', 272,
        'u', 272,
        'w', 272,
      );
      END_STATE();
    case 273:
      ACCEPT_TOKEN(anon_sym_L_SQUOTE);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(anon_sym_u_SQUOTE);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(anon_sym_U_SQUOTE);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(anon_sym_u8_SQUOTE);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '\n') ADVANCE(293);
      if (lookahead == '\r') ADVANCE(292);
      if (lookahead == 'U') ADVANCE(116);
      if (lookahead == 'u') ADVANCE(108);
      if (lookahead == 'x') ADVANCE(104);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(295);
      if (lookahead != 0) ADVANCE(292);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '*') ADVANCE(62);
      if (lookahead == '/') ADVANCE(318);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '\\') ADVANCE(31);
      END_STATE();
    case 282:
      ACCEPT_TOKEN(anon_sym_L_DQUOTE);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(anon_sym_u_DQUOTE);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(anon_sym_U_DQUOTE);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(anon_sym_u8_DQUOTE);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(289);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(291);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(288);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(289);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(288);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(289);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '/') ADVANCE(287);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(290);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(291);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(291);
      END_STATE();
    case 292:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(31);
      END_STATE();
    case 294:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(292);
      END_STATE();
    case 295:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(294);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(sym_system_lib_string);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(sym_system_lib_string);
      if (lookahead == '>') ADVANCE(296);
      if (lookahead == '\\') ADVANCE(71);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(70);
      END_STATE();
    case 298:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(282);
      if (lookahead == '\'') ADVANCE(273);
      if (lookahead == '\\') ADVANCE(72);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(310);
      END_STATE();
    case 299:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(282);
      if (lookahead == '\\') ADVANCE(72);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(310);
      END_STATE();
    case 300:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(284);
      if (lookahead == '\'') ADVANCE(275);
      if (lookahead == '\\') ADVANCE(72);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(310);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(284);
      if (lookahead == '\\') ADVANCE(72);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(310);
      END_STATE();
    case 302:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(283);
      if (lookahead == '\'') ADVANCE(274);
      if (lookahead == '8') ADVANCE(304);
      if (lookahead == '\\') ADVANCE(72);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(310);
      END_STATE();
    case 303:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(283);
      if (lookahead == '8') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(72);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(310);
      END_STATE();
    case 304:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(285);
      if (lookahead == '\'') ADVANCE(276);
      if (lookahead == '\\') ADVANCE(72);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(310);
      END_STATE();
    case 305:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(285);
      if (lookahead == '\\') ADVANCE(72);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(310);
      END_STATE();
    case 306:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(273);
      if (lookahead == '\\') ADVANCE(72);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(310);
      END_STATE();
    case 307:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(275);
      if (lookahead == '\\') ADVANCE(72);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(310);
      END_STATE();
    case 308:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(274);
      if (lookahead == '8') ADVANCE(309);
      if (lookahead == '\\') ADVANCE(72);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(310);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(276);
      if (lookahead == '\\') ADVANCE(72);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(310);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(72);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(310);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 312:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n') ADVANCE(318);
      if (lookahead == '/') ADVANCE(315);
      if (lookahead == '\\') ADVANCE(149);
      if (lookahead != 0) ADVANCE(316);
      END_STATE();
    case 313:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\r') ADVANCE(319);
      if (lookahead == '\\') ADVANCE(313);
      if (lookahead != 0) ADVANCE(318);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\r') ADVANCE(317);
      if (lookahead == '/') ADVANCE(315);
      if (lookahead == '\\') ADVANCE(314);
      if (lookahead != 0) ADVANCE(316);
      END_STATE();
    case 315:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '*') ADVANCE(318);
      if (lookahead == '\\') ADVANCE(144);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(316);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '/') ADVANCE(315);
      if (lookahead == '\\') ADVANCE(149);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(316);
      END_STATE();
    case 317:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '/') ADVANCE(315);
      if (lookahead == '\\') ADVANCE(149);
      if (lookahead != 0) ADVANCE(316);
      END_STATE();
    case 318:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(42);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(318);
      END_STATE();
    case 319:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(42);
      if (lookahead != 0) ADVANCE(318);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'F') ADVANCE(1);
      if (lookahead == 'N') ADVANCE(2);
      if (lookahead == 'T') ADVANCE(3);
      if (lookahead == '\\') SKIP(4);
      if (lookahead == '_') ADVANCE(5);
      if (lookahead == 'a') ADVANCE(6);
      if (lookahead == 'b') ADVANCE(7);
      if (lookahead == 'c') ADVANCE(8);
      if (lookahead == 'd') ADVANCE(9);
      if (lookahead == 'e') ADVANCE(10);
      if (lookahead == 'f') ADVANCE(11);
      if (lookahead == 'g') ADVANCE(12);
      if (lookahead == 'i') ADVANCE(13);
      if (lookahead == 'l') ADVANCE(14);
      if (lookahead == 'm') ADVANCE(15);
      if (lookahead == 'n') ADVANCE(16);
      if (lookahead == 'o') ADVANCE(17);
      if (lookahead == 'p') ADVANCE(18);
      if (lookahead == 'r') ADVANCE(19);
      if (lookahead == 's') ADVANCE(20);
      if (lookahead == 't') ADVANCE(21);
      if (lookahead == 'u') ADVANCE(22);
      if (lookahead == 'v') ADVANCE(23);
      if (lookahead == 'w') ADVANCE(24);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'A') ADVANCE(25);
      END_STATE();
    case 2:
      if (lookahead == 'U') ADVANCE(26);
      END_STATE();
    case 3:
      if (lookahead == 'R') ADVANCE(27);
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(0);
      if (lookahead == '\r') SKIP(28);
      END_STATE();
    case 5:
      if (lookahead == 'A') ADVANCE(29);
      if (lookahead == 'G') ADVANCE(30);
      if (lookahead == 'N') ADVANCE(31);
      if (lookahead == '_') ADVANCE(32);
      if (lookahead == 'a') ADVANCE(33);
      if (lookahead == 'u') ADVANCE(34);
      END_STATE();
    case 6:
      if (lookahead == 'l') ADVANCE(35);
      if (lookahead == 's') ADVANCE(36);
      if (lookahead == 'u') ADVANCE(37);
      END_STATE();
    case 7:
      if (lookahead == 'o') ADVANCE(38);
      if (lookahead == 'r') ADVANCE(39);
      END_STATE();
    case 8:
      if (lookahead == 'a') ADVANCE(40);
      if (lookahead == 'h') ADVANCE(41);
      if (lookahead == 'o') ADVANCE(42);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(43);
      if (lookahead == 'o') ADVANCE(44);
      END_STATE();
    case 10:
      if (lookahead == 'l') ADVANCE(45);
      if (lookahead == 'n') ADVANCE(46);
      if (lookahead == 'x') ADVANCE(47);
      END_STATE();
    case 11:
      if (lookahead == 'a') ADVANCE(48);
      if (lookahead == 'l') ADVANCE(49);
      if (lookahead == 'o') ADVANCE(50);
      END_STATE();
    case 12:
      if (lookahead == 'o') ADVANCE(51);
      END_STATE();
    case 13:
      if (lookahead == 'f') ADVANCE(52);
      if (lookahead == 'n') ADVANCE(53);
      END_STATE();
    case 14:
      if (lookahead == 'o') ADVANCE(54);
      END_STATE();
    case 15:
      if (lookahead == 'a') ADVANCE(55);
      END_STATE();
    case 16:
      if (lookahead == 'o') ADVANCE(56);
      if (lookahead == 'u') ADVANCE(57);
      END_STATE();
    case 17:
      if (lookahead == 'f') ADVANCE(58);
      END_STATE();
    case 18:
      if (lookahead == 't') ADVANCE(59);
      END_STATE();
    case 19:
      if (lookahead == 'e') ADVANCE(60);
      END_STATE();
    case 20:
      if (lookahead == 'h') ADVANCE(61);
      if (lookahead == 'i') ADVANCE(62);
      if (lookahead == 's') ADVANCE(63);
      if (lookahead == 't') ADVANCE(64);
      if (lookahead == 'w') ADVANCE(65);
      END_STATE();
    case 21:
      if (lookahead == 'h') ADVANCE(66);
      if (lookahead == 'r') ADVANCE(67);
      if (lookahead == 'y') ADVANCE(68);
      END_STATE();
    case 22:
      if (lookahead == 'i') ADVANCE(69);
      if (lookahead == 'n') ADVANCE(70);
      END_STATE();
    case 23:
      if (lookahead == 'o') ADVANCE(71);
      END_STATE();
    case 24:
      if (lookahead == 'h') ADVANCE(72);
      END_STATE();
    case 25:
      if (lookahead == 'L') ADVANCE(73);
      END_STATE();
    case 26:
      if (lookahead == 'L') ADVANCE(74);
      END_STATE();
    case 27:
      if (lookahead == 'U') ADVANCE(75);
      END_STATE();
    case 28:
      if (lookahead == '\n') SKIP(0);
      END_STATE();
    case 29:
      if (lookahead == 'l') ADVANCE(76);
      if (lookahead == 't') ADVANCE(77);
      END_STATE();
    case 30:
      if (lookahead == 'e') ADVANCE(78);
      END_STATE();
    case 31:
      if (lookahead == 'o') ADVANCE(79);
      END_STATE();
    case 32:
      ADVANCE_MAP(
        'a', 80,
        'b', 81,
        'c', 82,
        'd', 83,
        'e', 84,
        'f', 85,
        'i', 86,
        'l', 87,
        'r', 88,
        's', 89,
        't', 90,
        'u', 91,
        'v', 92,
      );
      END_STATE();
    case 33:
      if (lookahead == 'l') ADVANCE(93);
      END_STATE();
    case 34:
      if (lookahead == 'n') ADVANCE(94);
      END_STATE();
    case 35:
      if (lookahead == 'i') ADVANCE(95);
      END_STATE();
    case 36:
      if (lookahead == 'm') ADVANCE(96);
      END_STATE();
    case 37:
      if (lookahead == 't') ADVANCE(97);
      END_STATE();
    case 38:
      if (lookahead == 'o') ADVANCE(98);
      END_STATE();
    case 39:
      if (lookahead == 'e') ADVANCE(99);
      END_STATE();
    case 40:
      if (lookahead == 's') ADVANCE(100);
      END_STATE();
    case 41:
      if (lookahead == 'a') ADVANCE(101);
      END_STATE();
    case 42:
      if (lookahead == 'n') ADVANCE(102);
      END_STATE();
    case 43:
      if (lookahead == 'f') ADVANCE(103);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_do);
      if (lookahead == 'u') ADVANCE(104);
      END_STATE();
    case 45:
      if (lookahead == 's') ADVANCE(105);
      END_STATE();
    case 46:
      if (lookahead == 'u') ADVANCE(106);
      END_STATE();
    case 47:
      if (lookahead == 't') ADVANCE(107);
      END_STATE();
    case 48:
      if (lookahead == 'l') ADVANCE(108);
      END_STATE();
    case 49:
      if (lookahead == 'o') ADVANCE(109);
      END_STATE();
    case 50:
      if (lookahead == 'r') ADVANCE(110);
      END_STATE();
    case 51:
      if (lookahead == 't') ADVANCE(111);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 53:
      if (lookahead == 'l') ADVANCE(112);
      if (lookahead == 't') ADVANCE(113);
      END_STATE();
    case 54:
      if (lookahead == 'n') ADVANCE(114);
      END_STATE();
    case 55:
      if (lookahead == 'x') ADVANCE(115);
      END_STATE();
    case 56:
      if (lookahead == 'r') ADVANCE(116);
      END_STATE();
    case 57:
      if (lookahead == 'l') ADVANCE(117);
      END_STATE();
    case 58:
      if (lookahead == 'f') ADVANCE(118);
      END_STATE();
    case 59:
      if (lookahead == 'r') ADVANCE(119);
      END_STATE();
    case 60:
      if (lookahead == 'g') ADVANCE(120);
      if (lookahead == 's') ADVANCE(121);
      if (lookahead == 't') ADVANCE(122);
      END_STATE();
    case 61:
      if (lookahead == 'o') ADVANCE(123);
      END_STATE();
    case 62:
      if (lookahead == 'g') ADVANCE(124);
      if (lookahead == 'z') ADVANCE(125);
      END_STATE();
    case 63:
      if (lookahead == 'i') ADVANCE(126);
      END_STATE();
    case 64:
      if (lookahead == 'a') ADVANCE(127);
      if (lookahead == 'r') ADVANCE(128);
      END_STATE();
    case 65:
      if (lookahead == 'i') ADVANCE(129);
      END_STATE();
    case 66:
      if (lookahead == 'r') ADVANCE(130);
      END_STATE();
    case 67:
      if (lookahead == 'u') ADVANCE(131);
      END_STATE();
    case 68:
      if (lookahead == 'p') ADVANCE(132);
      END_STATE();
    case 69:
      if (lookahead == 'n') ADVANCE(133);
      END_STATE();
    case 70:
      if (lookahead == 'i') ADVANCE(134);
      if (lookahead == 's') ADVANCE(135);
      END_STATE();
    case 71:
      if (lookahead == 'i') ADVANCE(136);
      if (lookahead == 'l') ADVANCE(137);
      END_STATE();
    case 72:
      if (lookahead == 'i') ADVANCE(138);
      END_STATE();
    case 73:
      if (lookahead == 'S') ADVANCE(139);
      END_STATE();
    case 74:
      if (lookahead == 'L') ADVANCE(140);
      END_STATE();
    case 75:
      if (lookahead == 'E') ADVANCE(141);
      END_STATE();
    case 76:
      if (lookahead == 'i') ADVANCE(142);
      END_STATE();
    case 77:
      if (lookahead == 'o') ADVANCE(143);
      END_STATE();
    case 78:
      if (lookahead == 'n') ADVANCE(144);
      END_STATE();
    case 79:
      if (lookahead == 'r') ADVANCE(145);
      END_STATE();
    case 80:
      if (lookahead == 'l') ADVANCE(146);
      if (lookahead == 's') ADVANCE(147);
      if (lookahead == 't') ADVANCE(148);
      END_STATE();
    case 81:
      if (lookahead == 'a') ADVANCE(149);
      END_STATE();
    case 82:
      if (lookahead == 'd') ADVANCE(150);
      if (lookahead == 'l') ADVANCE(151);
      END_STATE();
    case 83:
      if (lookahead == 'e') ADVANCE(152);
      END_STATE();
    case 84:
      if (lookahead == 'x') ADVANCE(153);
      END_STATE();
    case 85:
      if (lookahead == 'a') ADVANCE(154);
      if (lookahead == 'i') ADVANCE(155);
      if (lookahead == 'o') ADVANCE(156);
      END_STATE();
    case 86:
      if (lookahead == 'n') ADVANCE(157);
      END_STATE();
    case 87:
      if (lookahead == 'e') ADVANCE(158);
      END_STATE();
    case 88:
      if (lookahead == 'e') ADVANCE(159);
      END_STATE();
    case 89:
      if (lookahead == 'p') ADVANCE(160);
      if (lookahead == 't') ADVANCE(161);
      END_STATE();
    case 90:
      if (lookahead == 'h') ADVANCE(162);
      if (lookahead == 'r') ADVANCE(163);
      END_STATE();
    case 91:
      if (lookahead == 'n') ADVANCE(164);
      if (lookahead == 'p') ADVANCE(165);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(166);
      END_STATE();
    case 93:
      if (lookahead == 'i') ADVANCE(167);
      END_STATE();
    case 94:
      if (lookahead == 'a') ADVANCE(168);
      END_STATE();
    case 95:
      if (lookahead == 'g') ADVANCE(169);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_asm);
      END_STATE();
    case 97:
      if (lookahead == 'o') ADVANCE(170);
      END_STATE();
    case 98:
      if (lookahead == 'l') ADVANCE(171);
      END_STATE();
    case 99:
      if (lookahead == 'a') ADVANCE(172);
      END_STATE();
    case 100:
      if (lookahead == 'e') ADVANCE(173);
      END_STATE();
    case 101:
      if (lookahead == 'r') ADVANCE(174);
      END_STATE();
    case 102:
      if (lookahead == 's') ADVANCE(175);
      if (lookahead == 't') ADVANCE(176);
      END_STATE();
    case 103:
      if (lookahead == 'a') ADVANCE(177);
      if (lookahead == 'i') ADVANCE(178);
      END_STATE();
    case 104:
      if (lookahead == 'b') ADVANCE(179);
      END_STATE();
    case 105:
      if (lookahead == 'e') ADVANCE(180);
      END_STATE();
    case 106:
      if (lookahead == 'm') ADVANCE(181);
      END_STATE();
    case 107:
      if (lookahead == 'e') ADVANCE(182);
      END_STATE();
    case 108:
      if (lookahead == 's') ADVANCE(183);
      END_STATE();
    case 109:
      if (lookahead == 'a') ADVANCE(184);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 111:
      if (lookahead == 'o') ADVANCE(185);
      END_STATE();
    case 112:
      if (lookahead == 'i') ADVANCE(186);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(sym_primitive_type);
      if (lookahead == '1') ADVANCE(187);
      if (lookahead == '3') ADVANCE(188);
      if (lookahead == '6') ADVANCE(189);
      if (lookahead == '8') ADVANCE(190);
      if (lookahead == 'p') ADVANCE(191);
      END_STATE();
    case 114:
      if (lookahead == 'g') ADVANCE(192);
      END_STATE();
    case 115:
      if (lookahead == '_') ADVANCE(193);
      END_STATE();
    case 116:
      if (lookahead == 'e') ADVANCE(194);
      END_STATE();
    case 117:
      if (lookahead == 'l') ADVANCE(195);
      END_STATE();
    case 118:
      if (lookahead == 's') ADVANCE(196);
      END_STATE();
    case 119:
      if (lookahead == 'd') ADVANCE(197);
      END_STATE();
    case 120:
      if (lookahead == 'i') ADVANCE(198);
      END_STATE();
    case 121:
      if (lookahead == 't') ADVANCE(199);
      END_STATE();
    case 122:
      if (lookahead == 'u') ADVANCE(200);
      END_STATE();
    case 123:
      if (lookahead == 'r') ADVANCE(201);
      END_STATE();
    case 124:
      if (lookahead == 'n') ADVANCE(202);
      END_STATE();
    case 125:
      if (lookahead == 'e') ADVANCE(203);
      END_STATE();
    case 126:
      if (lookahead == 'z') ADVANCE(204);
      END_STATE();
    case 127:
      if (lookahead == 't') ADVANCE(205);
      END_STATE();
    case 128:
      if (lookahead == 'u') ADVANCE(206);
      END_STATE();
    case 129:
      if (lookahead == 't') ADVANCE(207);
      END_STATE();
    case 130:
      if (lookahead == 'e') ADVANCE(208);
      END_STATE();
    case 131:
      if (lookahead == 'e') ADVANCE(141);
      END_STATE();
    case 132:
      if (lookahead == 'e') ADVANCE(209);
      END_STATE();
    case 133:
      if (lookahead == 't') ADVANCE(210);
      END_STATE();
    case 134:
      if (lookahead == 'o') ADVANCE(211);
      END_STATE();
    case 135:
      if (lookahead == 'i') ADVANCE(212);
      END_STATE();
    case 136:
      if (lookahead == 'd') ADVANCE(171);
      END_STATE();
    case 137:
      if (lookahead == 'a') ADVANCE(213);
      END_STATE();
    case 138:
      if (lookahead == 'l') ADVANCE(214);
      END_STATE();
    case 139:
      if (lookahead == 'E') ADVANCE(215);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_NULL);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 142:
      if (lookahead == 'g') ADVANCE(216);
      END_STATE();
    case 143:
      if (lookahead == 'm') ADVANCE(217);
      END_STATE();
    case 144:
      if (lookahead == 'e') ADVANCE(218);
      END_STATE();
    case 145:
      if (lookahead == 'e') ADVANCE(219);
      END_STATE();
    case 146:
      if (lookahead == 'i') ADVANCE(220);
      END_STATE();
    case 147:
      if (lookahead == 'm') ADVANCE(221);
      END_STATE();
    case 148:
      if (lookahead == 't') ADVANCE(222);
      END_STATE();
    case 149:
      if (lookahead == 's') ADVANCE(223);
      END_STATE();
    case 150:
      if (lookahead == 'e') ADVANCE(224);
      END_STATE();
    case 151:
      if (lookahead == 'r') ADVANCE(225);
      END_STATE();
    case 152:
      if (lookahead == 'c') ADVANCE(226);
      END_STATE();
    case 153:
      if (lookahead == 'c') ADVANCE(227);
      if (lookahead == 't') ADVANCE(228);
      END_STATE();
    case 154:
      if (lookahead == 's') ADVANCE(229);
      END_STATE();
    case 155:
      if (lookahead == 'n') ADVANCE(230);
      END_STATE();
    case 156:
      if (lookahead == 'r') ADVANCE(231);
      END_STATE();
    case 157:
      if (lookahead == 'l') ADVANCE(232);
      END_STATE();
    case 158:
      if (lookahead == 'a') ADVANCE(233);
      END_STATE();
    case 159:
      if (lookahead == 's') ADVANCE(234);
      END_STATE();
    case 160:
      if (lookahead == 't') ADVANCE(235);
      END_STATE();
    case 161:
      if (lookahead == 'd') ADVANCE(236);
      END_STATE();
    case 162:
      if (lookahead == 'i') ADVANCE(237);
      if (lookahead == 'r') ADVANCE(238);
      END_STATE();
    case 163:
      if (lookahead == 'y') ADVANCE(239);
      END_STATE();
    case 164:
      if (lookahead == 'a') ADVANCE(240);
      END_STATE();
    case 165:
      if (lookahead == 't') ADVANCE(241);
      END_STATE();
    case 166:
      if (lookahead == 'c') ADVANCE(242);
      END_STATE();
    case 167:
      if (lookahead == 'g') ADVANCE(243);
      END_STATE();
    case 168:
      if (lookahead == 'l') ADVANCE(244);
      END_STATE();
    case 169:
      if (lookahead == 'n') ADVANCE(245);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_auto);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(sym_primitive_type);
      END_STATE();
    case 172:
      if (lookahead == 'k') ADVANCE(246);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(sym_primitive_type);
      if (lookahead == '1') ADVANCE(247);
      if (lookahead == '3') ADVANCE(248);
      if (lookahead == '6') ADVANCE(249);
      if (lookahead == '8') ADVANCE(250);
      if (lookahead == 'p') ADVANCE(251);
      END_STATE();
    case 175:
      if (lookahead == 't') ADVANCE(252);
      END_STATE();
    case 176:
      if (lookahead == 'i') ADVANCE(253);
      END_STATE();
    case 177:
      if (lookahead == 'u') ADVANCE(254);
      END_STATE();
    case 178:
      if (lookahead == 'n') ADVANCE(255);
      END_STATE();
    case 179:
      if (lookahead == 'l') ADVANCE(256);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 182:
      if (lookahead == 'r') ADVANCE(257);
      END_STATE();
    case 183:
      if (lookahead == 'e') ADVANCE(215);
      END_STATE();
    case 184:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_goto);
      END_STATE();
    case 186:
      if (lookahead == 'n') ADVANCE(258);
      END_STATE();
    case 187:
      if (lookahead == '6') ADVANCE(259);
      END_STATE();
    case 188:
      if (lookahead == '2') ADVANCE(260);
      END_STATE();
    case 189:
      if (lookahead == '4') ADVANCE(261);
      END_STATE();
    case 190:
      if (lookahead == '_') ADVANCE(262);
      END_STATE();
    case 191:
      if (lookahead == 't') ADVANCE(263);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_long);
      END_STATE();
    case 193:
      if (lookahead == 'a') ADVANCE(264);
      END_STATE();
    case 194:
      if (lookahead == 't') ADVANCE(265);
      END_STATE();
    case 195:
      if (lookahead == 'p') ADVANCE(266);
      END_STATE();
    case 196:
      if (lookahead == 'e') ADVANCE(267);
      END_STATE();
    case 197:
      if (lookahead == 'i') ADVANCE(268);
      END_STATE();
    case 198:
      if (lookahead == 's') ADVANCE(269);
      END_STATE();
    case 199:
      if (lookahead == 'r') ADVANCE(270);
      END_STATE();
    case 200:
      if (lookahead == 'r') ADVANCE(271);
      END_STATE();
    case 201:
      if (lookahead == 't') ADVANCE(272);
      END_STATE();
    case 202:
      if (lookahead == 'e') ADVANCE(273);
      END_STATE();
    case 203:
      if (lookahead == '_') ADVANCE(274);
      if (lookahead == 'o') ADVANCE(275);
      END_STATE();
    case 204:
      if (lookahead == 'e') ADVANCE(276);
      END_STATE();
    case 205:
      if (lookahead == 'i') ADVANCE(277);
      END_STATE();
    case 206:
      if (lookahead == 'c') ADVANCE(278);
      END_STATE();
    case 207:
      if (lookahead == 'c') ADVANCE(279);
      END_STATE();
    case 208:
      if (lookahead == 'a') ADVANCE(280);
      END_STATE();
    case 209:
      if (lookahead == 'd') ADVANCE(281);
      END_STATE();
    case 210:
      if (lookahead == '1') ADVANCE(282);
      if (lookahead == '3') ADVANCE(283);
      if (lookahead == '6') ADVANCE(284);
      if (lookahead == '8') ADVANCE(285);
      if (lookahead == 'p') ADVANCE(286);
      END_STATE();
    case 211:
      if (lookahead == 'n') ADVANCE(287);
      END_STATE();
    case 212:
      if (lookahead == 'g') ADVANCE(288);
      END_STATE();
    case 213:
      if (lookahead == 't') ADVANCE(289);
      END_STATE();
    case 214:
      if (lookahead == 'e') ADVANCE(290);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 216:
      if (lookahead == 'n') ADVANCE(291);
      END_STATE();
    case 217:
      if (lookahead == 'i') ADVANCE(292);
      END_STATE();
    case 218:
      if (lookahead == 'r') ADVANCE(293);
      END_STATE();
    case 219:
      if (lookahead == 't') ADVANCE(294);
      END_STATE();
    case 220:
      if (lookahead == 'g') ADVANCE(295);
      END_STATE();
    case 221:
      if (lookahead == '_') ADVANCE(296);
      END_STATE();
    case 222:
      if (lookahead == 'r') ADVANCE(297);
      END_STATE();
    case 223:
      if (lookahead == 'e') ADVANCE(298);
      END_STATE();
    case 224:
      if (lookahead == 'c') ADVANCE(299);
      END_STATE();
    case 225:
      if (lookahead == 'c') ADVANCE(300);
      END_STATE();
    case 226:
      if (lookahead == 'l') ADVANCE(301);
      END_STATE();
    case 227:
      if (lookahead == 'e') ADVANCE(302);
      END_STATE();
    case 228:
      if (lookahead == 'e') ADVANCE(303);
      END_STATE();
    case 229:
      if (lookahead == 't') ADVANCE(304);
      END_STATE();
    case 230:
      if (lookahead == 'a') ADVANCE(305);
      END_STATE();
    case 231:
      if (lookahead == 'c') ADVANCE(306);
      END_STATE();
    case 232:
      if (lookahead == 'i') ADVANCE(307);
      END_STATE();
    case 233:
      if (lookahead == 'v') ADVANCE(308);
      END_STATE();
    case 234:
      if (lookahead == 't') ADVANCE(309);
      END_STATE();
    case 235:
      if (lookahead == 'r') ADVANCE(310);
      END_STATE();
    case 236:
      if (lookahead == 'c') ADVANCE(311);
      END_STATE();
    case 237:
      if (lookahead == 's') ADVANCE(312);
      END_STATE();
    case 238:
      if (lookahead == 'e') ADVANCE(313);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(anon_sym___try);
      END_STATE();
    case 240:
      if (lookahead == 'l') ADVANCE(314);
      END_STATE();
    case 241:
      if (lookahead == 'r') ADVANCE(315);
      END_STATE();
    case 242:
      if (lookahead == 't') ADVANCE(316);
      END_STATE();
    case 243:
      if (lookahead == 'n') ADVANCE(317);
      END_STATE();
    case 244:
      if (lookahead == 'i') ADVANCE(318);
      END_STATE();
    case 245:
      if (lookahead == 'a') ADVANCE(319);
      if (lookahead == 'o') ADVANCE(320);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 247:
      if (lookahead == '6') ADVANCE(321);
      END_STATE();
    case 248:
      if (lookahead == '2') ADVANCE(322);
      END_STATE();
    case 249:
      if (lookahead == '4') ADVANCE(323);
      END_STATE();
    case 250:
      if (lookahead == '_') ADVANCE(324);
      END_STATE();
    case 251:
      if (lookahead == 't') ADVANCE(325);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(anon_sym_const);
      if (lookahead == 'e') ADVANCE(326);
      END_STATE();
    case 253:
      if (lookahead == 'n') ADVANCE(327);
      END_STATE();
    case 254:
      if (lookahead == 'l') ADVANCE(328);
      END_STATE();
    case 255:
      if (lookahead == 'e') ADVANCE(329);
      END_STATE();
    case 256:
      if (lookahead == 'e') ADVANCE(171);
      END_STATE();
    case 257:
      if (lookahead == 'n') ADVANCE(330);
      END_STATE();
    case 258:
      if (lookahead == 'e') ADVANCE(331);
      END_STATE();
    case 259:
      if (lookahead == '_') ADVANCE(332);
      END_STATE();
    case 260:
      if (lookahead == '_') ADVANCE(333);
      END_STATE();
    case 261:
      if (lookahead == '_') ADVANCE(334);
      END_STATE();
    case 262:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 263:
      if (lookahead == 'r') ADVANCE(335);
      END_STATE();
    case 264:
      if (lookahead == 'l') ADVANCE(336);
      END_STATE();
    case 265:
      if (lookahead == 'u') ADVANCE(337);
      END_STATE();
    case 266:
      if (lookahead == 't') ADVANCE(338);
      END_STATE();
    case 267:
      if (lookahead == 't') ADVANCE(339);
      END_STATE();
    case 268:
      if (lookahead == 'f') ADVANCE(340);
      END_STATE();
    case 269:
      if (lookahead == 't') ADVANCE(341);
      END_STATE();
    case 270:
      if (lookahead == 'i') ADVANCE(342);
      END_STATE();
    case 271:
      if (lookahead == 'n') ADVANCE(343);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(anon_sym_short);
      END_STATE();
    case 273:
      if (lookahead == 'd') ADVANCE(344);
      END_STATE();
    case 274:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 275:
      if (lookahead == 'f') ADVANCE(345);
      END_STATE();
    case 276:
      if (lookahead == '_') ADVANCE(346);
      END_STATE();
    case 277:
      if (lookahead == 'c') ADVANCE(347);
      END_STATE();
    case 278:
      if (lookahead == 't') ADVANCE(348);
      END_STATE();
    case 279:
      if (lookahead == 'h') ADVANCE(349);
      END_STATE();
    case 280:
      if (lookahead == 'd') ADVANCE(350);
      END_STATE();
    case 281:
      if (lookahead == 'e') ADVANCE(351);
      END_STATE();
    case 282:
      if (lookahead == '6') ADVANCE(352);
      END_STATE();
    case 283:
      if (lookahead == '2') ADVANCE(353);
      END_STATE();
    case 284:
      if (lookahead == '4') ADVANCE(354);
      END_STATE();
    case 285:
      if (lookahead == '_') ADVANCE(355);
      END_STATE();
    case 286:
      if (lookahead == 't') ADVANCE(356);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(anon_sym_union);
      END_STATE();
    case 288:
      if (lookahead == 'n') ADVANCE(357);
      END_STATE();
    case 289:
      if (lookahead == 'i') ADVANCE(358);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 291:
      if (lookahead == 'a') ADVANCE(359);
      if (lookahead == 'o') ADVANCE(360);
      END_STATE();
    case 292:
      if (lookahead == 'c') ADVANCE(361);
      END_STATE();
    case 293:
      if (lookahead == 'i') ADVANCE(362);
      END_STATE();
    case 294:
      if (lookahead == 'u') ADVANCE(363);
      END_STATE();
    case 295:
      if (lookahead == 'n') ADVANCE(364);
      END_STATE();
    case 296:
      if (lookahead == '_') ADVANCE(365);
      END_STATE();
    case 297:
      if (lookahead == 'i') ADVANCE(366);
      END_STATE();
    case 298:
      if (lookahead == 'd') ADVANCE(367);
      END_STATE();
    case 299:
      if (lookahead == 'l') ADVANCE(368);
      END_STATE();
    case 300:
      if (lookahead == 'a') ADVANCE(369);
      END_STATE();
    case 301:
      if (lookahead == 's') ADVANCE(370);
      END_STATE();
    case 302:
      if (lookahead == 'p') ADVANCE(371);
      END_STATE();
    case 303:
      if (lookahead == 'n') ADVANCE(372);
      END_STATE();
    case 304:
      if (lookahead == 'c') ADVANCE(373);
      END_STATE();
    case 305:
      if (lookahead == 'l') ADVANCE(374);
      END_STATE();
    case 306:
      if (lookahead == 'e') ADVANCE(375);
      END_STATE();
    case 307:
      if (lookahead == 'n') ADVANCE(376);
      END_STATE();
    case 308:
      if (lookahead == 'e') ADVANCE(377);
      END_STATE();
    case 309:
      if (lookahead == 'r') ADVANCE(378);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(sym_ms_signed_ptr_modifier);
      END_STATE();
    case 311:
      if (lookahead == 'a') ADVANCE(379);
      END_STATE();
    case 312:
      if (lookahead == 'c') ADVANCE(380);
      END_STATE();
    case 313:
      if (lookahead == 'a') ADVANCE(381);
      END_STATE();
    case 314:
      if (lookahead == 'i') ADVANCE(382);
      END_STATE();
    case 315:
      ACCEPT_TOKEN(sym_ms_unsigned_ptr_modifier);
      END_STATE();
    case 316:
      if (lookahead == 'o') ADVANCE(383);
      END_STATE();
    case 317:
      if (lookahead == 'o') ADVANCE(384);
      END_STATE();
    case 318:
      if (lookahead == 'g') ADVANCE(385);
      END_STATE();
    case 319:
      if (lookahead == 's') ADVANCE(386);
      END_STATE();
    case 320:
      if (lookahead == 'f') ADVANCE(387);
      END_STATE();
    case 321:
      if (lookahead == '_') ADVANCE(388);
      END_STATE();
    case 322:
      if (lookahead == '_') ADVANCE(389);
      END_STATE();
    case 323:
      if (lookahead == '_') ADVANCE(390);
      END_STATE();
    case 324:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 325:
      if (lookahead == 'r') ADVANCE(391);
      END_STATE();
    case 326:
      if (lookahead == 'x') ADVANCE(392);
      END_STATE();
    case 327:
      if (lookahead == 'u') ADVANCE(393);
      END_STATE();
    case 328:
      if (lookahead == 't') ADVANCE(394);
      END_STATE();
    case 329:
      if (lookahead == 'd') ADVANCE(395);
      END_STATE();
    case 330:
      ACCEPT_TOKEN(anon_sym_extern);
      END_STATE();
    case 331:
      ACCEPT_TOKEN(anon_sym_inline);
      END_STATE();
    case 332:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 333:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 334:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 335:
      if (lookahead == '_') ADVANCE(396);
      END_STATE();
    case 336:
      if (lookahead == 'i') ADVANCE(397);
      END_STATE();
    case 337:
      if (lookahead == 'r') ADVANCE(398);
      END_STATE();
    case 338:
      if (lookahead == 'r') ADVANCE(399);
      END_STATE();
    case 339:
      if (lookahead == 'o') ADVANCE(400);
      END_STATE();
    case 340:
      if (lookahead == 'f') ADVANCE(401);
      END_STATE();
    case 341:
      if (lookahead == 'e') ADVANCE(402);
      END_STATE();
    case 342:
      if (lookahead == 'c') ADVANCE(403);
      END_STATE();
    case 343:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(anon_sym_signed);
      END_STATE();
    case 345:
      ACCEPT_TOKEN(anon_sym_sizeof);
      END_STATE();
    case 346:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 349:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 350:
      if (lookahead == '_') ADVANCE(404);
      END_STATE();
    case 351:
      if (lookahead == 'f') ADVANCE(405);
      END_STATE();
    case 352:
      if (lookahead == '_') ADVANCE(406);
      END_STATE();
    case 353:
      if (lookahead == '_') ADVANCE(407);
      END_STATE();
    case 354:
      if (lookahead == '_') ADVANCE(408);
      END_STATE();
    case 355:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 356:
      if (lookahead == 'r') ADVANCE(409);
      END_STATE();
    case 357:
      if (lookahead == 'e') ADVANCE(410);
      END_STATE();
    case 358:
      if (lookahead == 'l') ADVANCE(411);
      END_STATE();
    case 359:
      if (lookahead == 's') ADVANCE(412);
      END_STATE();
    case 360:
      if (lookahead == 'f') ADVANCE(413);
      END_STATE();
    case 361:
      ACCEPT_TOKEN(anon_sym__Atomic);
      END_STATE();
    case 362:
      if (lookahead == 'c') ADVANCE(414);
      END_STATE();
    case 363:
      if (lookahead == 'r') ADVANCE(415);
      END_STATE();
    case 364:
      if (lookahead == 'o') ADVANCE(416);
      END_STATE();
    case 365:
      ACCEPT_TOKEN(anon_sym___asm__);
      END_STATE();
    case 366:
      if (lookahead == 'b') ADVANCE(417);
      END_STATE();
    case 367:
      ACCEPT_TOKEN(anon_sym___based);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(anon_sym___cdecl);
      END_STATE();
    case 369:
      if (lookahead == 'l') ADVANCE(418);
      END_STATE();
    case 370:
      if (lookahead == 'p') ADVANCE(419);
      END_STATE();
    case 371:
      if (lookahead == 't') ADVANCE(420);
      END_STATE();
    case 372:
      if (lookahead == 's') ADVANCE(421);
      END_STATE();
    case 373:
      if (lookahead == 'a') ADVANCE(422);
      END_STATE();
    case 374:
      if (lookahead == 'l') ADVANCE(423);
      END_STATE();
    case 375:
      if (lookahead == 'i') ADVANCE(424);
      END_STATE();
    case 376:
      if (lookahead == 'e') ADVANCE(425);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(anon_sym___leave);
      END_STATE();
    case 378:
      if (lookahead == 'i') ADVANCE(426);
      END_STATE();
    case 379:
      if (lookahead == 'l') ADVANCE(427);
      END_STATE();
    case 380:
      if (lookahead == 'a') ADVANCE(428);
      END_STATE();
    case 381:
      if (lookahead == 'd') ADVANCE(429);
      END_STATE();
    case 382:
      if (lookahead == 'g') ADVANCE(430);
      END_STATE();
    case 383:
      if (lookahead == 'r') ADVANCE(431);
      END_STATE();
    case 384:
      if (lookahead == 'f') ADVANCE(432);
      END_STATE();
    case 385:
      if (lookahead == 'n') ADVANCE(433);
      END_STATE();
    case 386:
      ACCEPT_TOKEN(anon_sym_alignas);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(anon_sym_alignof);
      END_STATE();
    case 388:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 389:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 390:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 391:
      if (lookahead == '_') ADVANCE(434);
      END_STATE();
    case 392:
      if (lookahead == 'p') ADVANCE(435);
      END_STATE();
    case 393:
      if (lookahead == 'e') ADVANCE(436);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 395:
      ACCEPT_TOKEN(anon_sym_defined);
      END_STATE();
    case 396:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 397:
      if (lookahead == 'g') ADVANCE(437);
      END_STATE();
    case 398:
      if (lookahead == 'n') ADVANCE(438);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(anon_sym_nullptr);
      if (lookahead == '_') ADVANCE(439);
      END_STATE();
    case 400:
      if (lookahead == 'f') ADVANCE(440);
      END_STATE();
    case 401:
      if (lookahead == '_') ADVANCE(441);
      END_STATE();
    case 402:
      if (lookahead == 'r') ADVANCE(442);
      END_STATE();
    case 403:
      if (lookahead == 't') ADVANCE(443);
      END_STATE();
    case 404:
      if (lookahead == 'l') ADVANCE(444);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(anon_sym_typedef);
      END_STATE();
    case 406:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 407:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 408:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 409:
      if (lookahead == '_') ADVANCE(445);
      END_STATE();
    case 410:
      if (lookahead == 'd') ADVANCE(446);
      END_STATE();
    case 411:
      if (lookahead == 'e') ADVANCE(447);
      END_STATE();
    case 412:
      ACCEPT_TOKEN(anon_sym__Alignas);
      END_STATE();
    case 413:
      ACCEPT_TOKEN(anon_sym__Alignof);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(anon_sym__Generic);
      END_STATE();
    case 415:
      if (lookahead == 'n') ADVANCE(448);
      END_STATE();
    case 416:
      if (lookahead == 'f') ADVANCE(449);
      END_STATE();
    case 417:
      if (lookahead == 'u') ADVANCE(450);
      END_STATE();
    case 418:
      if (lookahead == 'l') ADVANCE(451);
      END_STATE();
    case 419:
      if (lookahead == 'e') ADVANCE(452);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(anon_sym___except);
      END_STATE();
    case 421:
      if (lookahead == 'i') ADVANCE(453);
      END_STATE();
    case 422:
      if (lookahead == 'l') ADVANCE(454);
      END_STATE();
    case 423:
      if (lookahead == 'y') ADVANCE(455);
      END_STATE();
    case 424:
      if (lookahead == 'n') ADVANCE(456);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(anon_sym___inline);
      if (lookahead == '_') ADVANCE(457);
      END_STATE();
    case 426:
      if (lookahead == 'c') ADVANCE(458);
      END_STATE();
    case 427:
      if (lookahead == 'l') ADVANCE(459);
      END_STATE();
    case 428:
      if (lookahead == 'l') ADVANCE(460);
      END_STATE();
    case 429:
      ACCEPT_TOKEN(anon_sym___thread);
      END_STATE();
    case 430:
      if (lookahead == 'n') ADVANCE(461);
      END_STATE();
    case 431:
      if (lookahead == 'c') ADVANCE(462);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(anon_sym__alignof);
      END_STATE();
    case 433:
      if (lookahead == 'e') ADVANCE(463);
      END_STATE();
    case 434:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 435:
      if (lookahead == 'r') ADVANCE(464);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 437:
      if (lookahead == 'n') ADVANCE(465);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(anon_sym_noreturn);
      END_STATE();
    case 439:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(anon_sym_offsetof);
      END_STATE();
    case 441:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(anon_sym_register);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(anon_sym_restrict);
      END_STATE();
    case 444:
      if (lookahead == 'o') ADVANCE(466);
      END_STATE();
    case 445:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(anon_sym_unsigned);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(anon_sym_volatile);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(anon_sym__Noreturn);
      END_STATE();
    case 449:
      ACCEPT_TOKEN(anon_sym___alignof);
      if (lookahead == '_') ADVANCE(467);
      END_STATE();
    case 450:
      if (lookahead == 't') ADVANCE(468);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(anon_sym___clrcall);
      END_STATE();
    case 452:
      if (lookahead == 'c') ADVANCE(469);
      END_STATE();
    case 453:
      if (lookahead == 'o') ADVANCE(470);
      END_STATE();
    case 454:
      if (lookahead == 'l') ADVANCE(471);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(anon_sym___finally);
      END_STATE();
    case 456:
      if (lookahead == 'l') ADVANCE(472);
      END_STATE();
    case 457:
      if (lookahead == '_') ADVANCE(473);
      END_STATE();
    case 458:
      if (lookahead == 't') ADVANCE(474);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(anon_sym___stdcall);
      END_STATE();
    case 460:
      if (lookahead == 'l') ADVANCE(475);
      END_STATE();
    case 461:
      if (lookahead == 'e') ADVANCE(476);
      END_STATE();
    case 462:
      if (lookahead == 'a') ADVANCE(477);
      END_STATE();
    case 463:
      if (lookahead == 'd') ADVANCE(478);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(anon_sym_constexpr);
      END_STATE();
    case 465:
      if (lookahead == '_') ADVANCE(479);
      END_STATE();
    case 466:
      if (lookahead == 'c') ADVANCE(480);
      END_STATE();
    case 467:
      if (lookahead == '_') ADVANCE(481);
      END_STATE();
    case 468:
      if (lookahead == 'e') ADVANCE(482);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(anon_sym___declspec);
      END_STATE();
    case 470:
      if (lookahead == 'n') ADVANCE(483);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(anon_sym___fastcall);
      END_STATE();
    case 472:
      if (lookahead == 'i') ADVANCE(484);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(anon_sym___inline__);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(sym_ms_restrict_modifier);
      if (lookahead == '_') ADVANCE(485);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(anon_sym___thiscall);
      END_STATE();
    case 476:
      if (lookahead == 'd') ADVANCE(486);
      END_STATE();
    case 477:
      if (lookahead == 'l') ADVANCE(487);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(anon_sym__unaligned);
      END_STATE();
    case 479:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 480:
      if (lookahead == 'a') ADVANCE(488);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(anon_sym___alignof__);
      END_STATE();
    case 482:
      if (lookahead == '_') ADVANCE(489);
      END_STATE();
    case 483:
      if (lookahead == '_') ADVANCE(490);
      END_STATE();
    case 484:
      if (lookahead == 'n') ADVANCE(491);
      END_STATE();
    case 485:
      if (lookahead == '_') ADVANCE(492);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(anon_sym___unaligned);
      END_STATE();
    case 487:
      if (lookahead == 'l') ADVANCE(493);
      END_STATE();
    case 488:
      if (lookahead == 'l') ADVANCE(494);
      END_STATE();
    case 489:
      if (lookahead == '_') ADVANCE(495);
      END_STATE();
    case 490:
      if (lookahead == '_') ADVANCE(496);
      END_STATE();
    case 491:
      if (lookahead == 'e') ADVANCE(497);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(anon_sym___restrict__);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(anon_sym___vectorcall);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(anon_sym_thread_local);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(anon_sym___attribute__);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(anon_sym___extension__);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(anon_sym___forceinline);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 119},
  [2] = {.lex_state = 45},
  [3] = {.lex_state = 45},
  [4] = {.lex_state = 45},
  [5] = {.lex_state = 45},
  [6] = {.lex_state = 45},
  [7] = {.lex_state = 45},
  [8] = {.lex_state = 45},
  [9] = {.lex_state = 45},
  [10] = {.lex_state = 45},
  [11] = {.lex_state = 45},
  [12] = {.lex_state = 45},
  [13] = {.lex_state = 45},
  [14] = {.lex_state = 45},
  [15] = {.lex_state = 45},
  [16] = {.lex_state = 45},
  [17] = {.lex_state = 45},
  [18] = {.lex_state = 45},
  [19] = {.lex_state = 45},
  [20] = {.lex_state = 45},
  [21] = {.lex_state = 45},
  [22] = {.lex_state = 45},
  [23] = {.lex_state = 119},
  [24] = {.lex_state = 119},
  [25] = {.lex_state = 119},
  [26] = {.lex_state = 47},
  [27] = {.lex_state = 119},
  [28] = {.lex_state = 119},
  [29] = {.lex_state = 119},
  [30] = {.lex_state = 119},
  [31] = {.lex_state = 47},
  [32] = {.lex_state = 119},
  [33] = {.lex_state = 119},
  [34] = {.lex_state = 119},
  [35] = {.lex_state = 119},
  [36] = {.lex_state = 47},
  [37] = {.lex_state = 119},
  [38] = {.lex_state = 119},
  [39] = {.lex_state = 119},
  [40] = {.lex_state = 119},
  [41] = {.lex_state = 119},
  [42] = {.lex_state = 119},
  [43] = {.lex_state = 119},
  [44] = {.lex_state = 119},
  [45] = {.lex_state = 45},
  [46] = {.lex_state = 45},
  [47] = {.lex_state = 45},
  [48] = {.lex_state = 45},
  [49] = {.lex_state = 45},
  [50] = {.lex_state = 47},
  [51] = {.lex_state = 47},
  [52] = {.lex_state = 119},
  [53] = {.lex_state = 47},
  [54] = {.lex_state = 119},
  [55] = {.lex_state = 47},
  [56] = {.lex_state = 119},
  [57] = {.lex_state = 119},
  [58] = {.lex_state = 47},
  [59] = {.lex_state = 119},
  [60] = {.lex_state = 119},
  [61] = {.lex_state = 119},
  [62] = {.lex_state = 119},
  [63] = {.lex_state = 119},
  [64] = {.lex_state = 119},
  [65] = {.lex_state = 119},
  [66] = {.lex_state = 119},
  [67] = {.lex_state = 119},
  [68] = {.lex_state = 119},
  [69] = {.lex_state = 119},
  [70] = {.lex_state = 119},
  [71] = {.lex_state = 119},
  [72] = {.lex_state = 119},
  [73] = {.lex_state = 119},
  [74] = {.lex_state = 119},
  [75] = {.lex_state = 45},
  [76] = {.lex_state = 45},
  [77] = {.lex_state = 119},
  [78] = {.lex_state = 45},
  [79] = {.lex_state = 45},
  [80] = {.lex_state = 45},
  [81] = {.lex_state = 45},
  [82] = {.lex_state = 45},
  [83] = {.lex_state = 45},
  [84] = {.lex_state = 45},
  [85] = {.lex_state = 45},
  [86] = {.lex_state = 45},
  [87] = {.lex_state = 45},
  [88] = {.lex_state = 45},
  [89] = {.lex_state = 45},
  [90] = {.lex_state = 45},
  [91] = {.lex_state = 45},
  [92] = {.lex_state = 45},
  [93] = {.lex_state = 45},
  [94] = {.lex_state = 45},
  [95] = {.lex_state = 45},
  [96] = {.lex_state = 45},
  [97] = {.lex_state = 45},
  [98] = {.lex_state = 45},
  [99] = {.lex_state = 45},
  [100] = {.lex_state = 45},
  [101] = {.lex_state = 45},
  [102] = {.lex_state = 45},
  [103] = {.lex_state = 45},
  [104] = {.lex_state = 119},
  [105] = {.lex_state = 45},
  [106] = {.lex_state = 45},
  [107] = {.lex_state = 45},
  [108] = {.lex_state = 45},
  [109] = {.lex_state = 45},
  [110] = {.lex_state = 45},
  [111] = {.lex_state = 45},
  [112] = {.lex_state = 45},
  [113] = {.lex_state = 45},
  [114] = {.lex_state = 45},
  [115] = {.lex_state = 45},
  [116] = {.lex_state = 45},
  [117] = {.lex_state = 45},
  [118] = {.lex_state = 45},
  [119] = {.lex_state = 45},
  [120] = {.lex_state = 45},
  [121] = {.lex_state = 45},
  [122] = {.lex_state = 45},
  [123] = {.lex_state = 45},
  [124] = {.lex_state = 45},
  [125] = {.lex_state = 45},
  [126] = {.lex_state = 45},
  [127] = {.lex_state = 45},
  [128] = {.lex_state = 45},
  [129] = {.lex_state = 45},
  [130] = {.lex_state = 45},
  [131] = {.lex_state = 45},
  [132] = {.lex_state = 45},
  [133] = {.lex_state = 45},
  [134] = {.lex_state = 45},
  [135] = {.lex_state = 45},
  [136] = {.lex_state = 45},
  [137] = {.lex_state = 45},
  [138] = {.lex_state = 45},
  [139] = {.lex_state = 45},
  [140] = {.lex_state = 45},
  [141] = {.lex_state = 45},
  [142] = {.lex_state = 45},
  [143] = {.lex_state = 47},
  [144] = {.lex_state = 119},
  [145] = {.lex_state = 119},
  [146] = {.lex_state = 119},
  [147] = {.lex_state = 47},
  [148] = {.lex_state = 119},
  [149] = {.lex_state = 119},
  [150] = {.lex_state = 119},
  [151] = {.lex_state = 119},
  [152] = {.lex_state = 119},
  [153] = {.lex_state = 119},
  [154] = {.lex_state = 119},
  [155] = {.lex_state = 119},
  [156] = {.lex_state = 119},
  [157] = {.lex_state = 119},
  [158] = {.lex_state = 119},
  [159] = {.lex_state = 119},
  [160] = {.lex_state = 119},
  [161] = {.lex_state = 119},
  [162] = {.lex_state = 119},
  [163] = {.lex_state = 119},
  [164] = {.lex_state = 119},
  [165] = {.lex_state = 119},
  [166] = {.lex_state = 47},
  [167] = {.lex_state = 47},
  [168] = {.lex_state = 119},
  [169] = {.lex_state = 119},
  [170] = {.lex_state = 47},
  [171] = {.lex_state = 119},
  [172] = {.lex_state = 119},
  [173] = {.lex_state = 47},
  [174] = {.lex_state = 119},
  [175] = {.lex_state = 119},
  [176] = {.lex_state = 119},
  [177] = {.lex_state = 119},
  [178] = {.lex_state = 119},
  [179] = {.lex_state = 119},
  [180] = {.lex_state = 119},
  [181] = {.lex_state = 119},
  [182] = {.lex_state = 119},
  [183] = {.lex_state = 119},
  [184] = {.lex_state = 119},
  [185] = {.lex_state = 119},
  [186] = {.lex_state = 119},
  [187] = {.lex_state = 119},
  [188] = {.lex_state = 119},
  [189] = {.lex_state = 47},
  [190] = {.lex_state = 47},
  [191] = {.lex_state = 47},
  [192] = {.lex_state = 47},
  [193] = {.lex_state = 47},
  [194] = {.lex_state = 119},
  [195] = {.lex_state = 119},
  [196] = {.lex_state = 119},
  [197] = {.lex_state = 119},
  [198] = {.lex_state = 47},
  [199] = {.lex_state = 119},
  [200] = {.lex_state = 119},
  [201] = {.lex_state = 119},
  [202] = {.lex_state = 119},
  [203] = {.lex_state = 119},
  [204] = {.lex_state = 47},
  [205] = {.lex_state = 119},
  [206] = {.lex_state = 119},
  [207] = {.lex_state = 119},
  [208] = {.lex_state = 47},
  [209] = {.lex_state = 47},
  [210] = {.lex_state = 119},
  [211] = {.lex_state = 119},
  [212] = {.lex_state = 119},
  [213] = {.lex_state = 47},
  [214] = {.lex_state = 119},
  [215] = {.lex_state = 119},
  [216] = {.lex_state = 119},
  [217] = {.lex_state = 47},
  [218] = {.lex_state = 119},
  [219] = {.lex_state = 119},
  [220] = {.lex_state = 47},
  [221] = {.lex_state = 119},
  [222] = {.lex_state = 47},
  [223] = {.lex_state = 119},
  [224] = {.lex_state = 47},
  [225] = {.lex_state = 119},
  [226] = {.lex_state = 47},
  [227] = {.lex_state = 47},
  [228] = {.lex_state = 47},
  [229] = {.lex_state = 47},
  [230] = {.lex_state = 47},
  [231] = {.lex_state = 47},
  [232] = {.lex_state = 47},
  [233] = {.lex_state = 47},
  [234] = {.lex_state = 119},
  [235] = {.lex_state = 119},
  [236] = {.lex_state = 47},
  [237] = {.lex_state = 119},
  [238] = {.lex_state = 119},
  [239] = {.lex_state = 119},
  [240] = {.lex_state = 47},
  [241] = {.lex_state = 47},
  [242] = {.lex_state = 47},
  [243] = {.lex_state = 119},
  [244] = {.lex_state = 119},
  [245] = {.lex_state = 47},
  [246] = {.lex_state = 119},
  [247] = {.lex_state = 47},
  [248] = {.lex_state = 47},
  [249] = {.lex_state = 119},
  [250] = {.lex_state = 47},
  [251] = {.lex_state = 47},
  [252] = {.lex_state = 47},
  [253] = {.lex_state = 119},
  [254] = {.lex_state = 119},
  [255] = {.lex_state = 119},
  [256] = {.lex_state = 119},
  [257] = {.lex_state = 119},
  [258] = {.lex_state = 119},
  [259] = {.lex_state = 47},
  [260] = {.lex_state = 47},
  [261] = {.lex_state = 47},
  [262] = {.lex_state = 47},
  [263] = {.lex_state = 119},
  [264] = {.lex_state = 47},
  [265] = {.lex_state = 119},
  [266] = {.lex_state = 47},
  [267] = {.lex_state = 119},
  [268] = {.lex_state = 47},
  [269] = {.lex_state = 47},
  [270] = {.lex_state = 47},
  [271] = {.lex_state = 47},
  [272] = {.lex_state = 47},
  [273] = {.lex_state = 47},
  [274] = {.lex_state = 119},
  [275] = {.lex_state = 119},
  [276] = {.lex_state = 119},
  [277] = {.lex_state = 47},
  [278] = {.lex_state = 47},
  [279] = {.lex_state = 47},
  [280] = {.lex_state = 47},
  [281] = {.lex_state = 47},
  [282] = {.lex_state = 119},
  [283] = {.lex_state = 47},
  [284] = {.lex_state = 47},
  [285] = {.lex_state = 119},
  [286] = {.lex_state = 47},
  [287] = {.lex_state = 119},
  [288] = {.lex_state = 47},
  [289] = {.lex_state = 119},
  [290] = {.lex_state = 119},
  [291] = {.lex_state = 119},
  [292] = {.lex_state = 47},
  [293] = {.lex_state = 119},
  [294] = {.lex_state = 119},
  [295] = {.lex_state = 119},
  [296] = {.lex_state = 119},
  [297] = {.lex_state = 119},
  [298] = {.lex_state = 47},
  [299] = {.lex_state = 47},
  [300] = {.lex_state = 47},
  [301] = {.lex_state = 119},
  [302] = {.lex_state = 119},
  [303] = {.lex_state = 47},
  [304] = {.lex_state = 119},
  [305] = {.lex_state = 47},
  [306] = {.lex_state = 119},
  [307] = {.lex_state = 119},
  [308] = {.lex_state = 47},
  [309] = {.lex_state = 119},
  [310] = {.lex_state = 44},
  [311] = {.lex_state = 119},
  [312] = {.lex_state = 44},
  [313] = {.lex_state = 119},
  [314] = {.lex_state = 119},
  [315] = {.lex_state = 119},
  [316] = {.lex_state = 119},
  [317] = {.lex_state = 119},
  [318] = {.lex_state = 119},
  [319] = {.lex_state = 119},
  [320] = {.lex_state = 119},
  [321] = {.lex_state = 119},
  [322] = {.lex_state = 119},
  [323] = {.lex_state = 119},
  [324] = {.lex_state = 119},
  [325] = {.lex_state = 119},
  [326] = {.lex_state = 119},
  [327] = {.lex_state = 119},
  [328] = {.lex_state = 119},
  [329] = {.lex_state = 119},
  [330] = {.lex_state = 119},
  [331] = {.lex_state = 119},
  [332] = {.lex_state = 119},
  [333] = {.lex_state = 119},
  [334] = {.lex_state = 119},
  [335] = {.lex_state = 119},
  [336] = {.lex_state = 119},
  [337] = {.lex_state = 119},
  [338] = {.lex_state = 119},
  [339] = {.lex_state = 119},
  [340] = {.lex_state = 119},
  [341] = {.lex_state = 119},
  [342] = {.lex_state = 119},
  [343] = {.lex_state = 119},
  [344] = {.lex_state = 119},
  [345] = {.lex_state = 119},
  [346] = {.lex_state = 119},
  [347] = {.lex_state = 119},
  [348] = {.lex_state = 119},
  [349] = {.lex_state = 119},
  [350] = {.lex_state = 119},
  [351] = {.lex_state = 119},
  [352] = {.lex_state = 119},
  [353] = {.lex_state = 119},
  [354] = {.lex_state = 119},
  [355] = {.lex_state = 119},
  [356] = {.lex_state = 119},
  [357] = {.lex_state = 119},
  [358] = {.lex_state = 119},
  [359] = {.lex_state = 119},
  [360] = {.lex_state = 119},
  [361] = {.lex_state = 119},
  [362] = {.lex_state = 119},
  [363] = {.lex_state = 119},
  [364] = {.lex_state = 119},
  [365] = {.lex_state = 119},
  [366] = {.lex_state = 119},
  [367] = {.lex_state = 119},
  [368] = {.lex_state = 119},
  [369] = {.lex_state = 119},
  [370] = {.lex_state = 119},
  [371] = {.lex_state = 119},
  [372] = {.lex_state = 119},
  [373] = {.lex_state = 119},
  [374] = {.lex_state = 119},
  [375] = {.lex_state = 119},
  [376] = {.lex_state = 119},
  [377] = {.lex_state = 119},
  [378] = {.lex_state = 119},
  [379] = {.lex_state = 119},
  [380] = {.lex_state = 119},
  [381] = {.lex_state = 44},
  [382] = {.lex_state = 119},
  [383] = {.lex_state = 119},
  [384] = {.lex_state = 119},
  [385] = {.lex_state = 119},
  [386] = {.lex_state = 119},
  [387] = {.lex_state = 119},
  [388] = {.lex_state = 119},
  [389] = {.lex_state = 119},
  [390] = {.lex_state = 119},
  [391] = {.lex_state = 119},
  [392] = {.lex_state = 119},
  [393] = {.lex_state = 119},
  [394] = {.lex_state = 119},
  [395] = {.lex_state = 119},
  [396] = {.lex_state = 119},
  [397] = {.lex_state = 119},
  [398] = {.lex_state = 44},
  [399] = {.lex_state = 44},
  [400] = {.lex_state = 119},
  [401] = {.lex_state = 49},
  [402] = {.lex_state = 49},
  [403] = {.lex_state = 49},
  [404] = {.lex_state = 49},
  [405] = {.lex_state = 119},
  [406] = {.lex_state = 49},
  [407] = {.lex_state = 49},
  [408] = {.lex_state = 49},
  [409] = {.lex_state = 49},
  [410] = {.lex_state = 49},
  [411] = {.lex_state = 49},
  [412] = {.lex_state = 44},
  [413] = {.lex_state = 53},
  [414] = {.lex_state = 119},
  [415] = {.lex_state = 119},
  [416] = {.lex_state = 119},
  [417] = {.lex_state = 119},
  [418] = {.lex_state = 119},
  [419] = {.lex_state = 119},
  [420] = {.lex_state = 119},
  [421] = {.lex_state = 119},
  [422] = {.lex_state = 119},
  [423] = {.lex_state = 119},
  [424] = {.lex_state = 53},
  [425] = {.lex_state = 53},
  [426] = {.lex_state = 53},
  [427] = {.lex_state = 53},
  [428] = {.lex_state = 53},
  [429] = {.lex_state = 53},
  [430] = {.lex_state = 53},
  [431] = {.lex_state = 53},
  [432] = {.lex_state = 53},
  [433] = {.lex_state = 53},
  [434] = {.lex_state = 53},
  [435] = {.lex_state = 53},
  [436] = {.lex_state = 53},
  [437] = {.lex_state = 53},
  [438] = {.lex_state = 53},
  [439] = {.lex_state = 53},
  [440] = {.lex_state = 119},
  [441] = {.lex_state = 53},
  [442] = {.lex_state = 119},
  [443] = {.lex_state = 119},
  [444] = {.lex_state = 53},
  [445] = {.lex_state = 119},
  [446] = {.lex_state = 52},
  [447] = {.lex_state = 57},
  [448] = {.lex_state = 57},
  [449] = {.lex_state = 57},
  [450] = {.lex_state = 52},
  [451] = {.lex_state = 52},
  [452] = {.lex_state = 119},
  [453] = {.lex_state = 119},
  [454] = {.lex_state = 119},
  [455] = {.lex_state = 119},
  [456] = {.lex_state = 119},
  [457] = {.lex_state = 119},
  [458] = {.lex_state = 119},
  [459] = {.lex_state = 119},
  [460] = {.lex_state = 119},
  [461] = {.lex_state = 119},
  [462] = {.lex_state = 119},
  [463] = {.lex_state = 119},
  [464] = {.lex_state = 53},
  [465] = {.lex_state = 119},
  [466] = {.lex_state = 119},
  [467] = {.lex_state = 119},
  [468] = {.lex_state = 119},
  [469] = {.lex_state = 119},
  [470] = {.lex_state = 53},
  [471] = {.lex_state = 53},
  [472] = {.lex_state = 119},
  [473] = {.lex_state = 119},
  [474] = {.lex_state = 119},
  [475] = {.lex_state = 119},
  [476] = {.lex_state = 119},
  [477] = {.lex_state = 119},
  [478] = {.lex_state = 119},
  [479] = {.lex_state = 119},
  [480] = {.lex_state = 119},
  [481] = {.lex_state = 119},
  [482] = {.lex_state = 119},
  [483] = {.lex_state = 119},
  [484] = {.lex_state = 119},
  [485] = {.lex_state = 49},
  [486] = {.lex_state = 53},
  [487] = {.lex_state = 119},
  [488] = {.lex_state = 119},
  [489] = {.lex_state = 119},
  [490] = {.lex_state = 119},
  [491] = {.lex_state = 119},
  [492] = {.lex_state = 119},
  [493] = {.lex_state = 119},
  [494] = {.lex_state = 119},
  [495] = {.lex_state = 119},
  [496] = {.lex_state = 119},
  [497] = {.lex_state = 119},
  [498] = {.lex_state = 119},
  [499] = {.lex_state = 119},
  [500] = {.lex_state = 119},
  [501] = {.lex_state = 119},
  [502] = {.lex_state = 119},
  [503] = {.lex_state = 119},
  [504] = {.lex_state = 119},
  [505] = {.lex_state = 119},
  [506] = {.lex_state = 119},
  [507] = {.lex_state = 119},
  [508] = {.lex_state = 119},
  [509] = {.lex_state = 119},
  [510] = {.lex_state = 119},
  [511] = {.lex_state = 119},
  [512] = {.lex_state = 119},
  [513] = {.lex_state = 119},
  [514] = {.lex_state = 119},
  [515] = {.lex_state = 119},
  [516] = {.lex_state = 119},
  [517] = {.lex_state = 119},
  [518] = {.lex_state = 119},
  [519] = {.lex_state = 119},
  [520] = {.lex_state = 119},
  [521] = {.lex_state = 119},
  [522] = {.lex_state = 119},
  [523] = {.lex_state = 119},
  [524] = {.lex_state = 119},
  [525] = {.lex_state = 119},
  [526] = {.lex_state = 119},
  [527] = {.lex_state = 119},
  [528] = {.lex_state = 119},
  [529] = {.lex_state = 119},
  [530] = {.lex_state = 119},
  [531] = {.lex_state = 119},
  [532] = {.lex_state = 119},
  [533] = {.lex_state = 119},
  [534] = {.lex_state = 119},
  [535] = {.lex_state = 119},
  [536] = {.lex_state = 119},
  [537] = {.lex_state = 119},
  [538] = {.lex_state = 119},
  [539] = {.lex_state = 119},
  [540] = {.lex_state = 119},
  [541] = {.lex_state = 119},
  [542] = {.lex_state = 119},
  [543] = {.lex_state = 119},
  [544] = {.lex_state = 119},
  [545] = {.lex_state = 119},
  [546] = {.lex_state = 119},
  [547] = {.lex_state = 119},
  [548] = {.lex_state = 119},
  [549] = {.lex_state = 119},
  [550] = {.lex_state = 119},
  [551] = {.lex_state = 119},
  [552] = {.lex_state = 119},
  [553] = {.lex_state = 119},
  [554] = {.lex_state = 119},
  [555] = {.lex_state = 119},
  [556] = {.lex_state = 119},
  [557] = {.lex_state = 119},
  [558] = {.lex_state = 119},
  [559] = {.lex_state = 119},
  [560] = {.lex_state = 119},
  [561] = {.lex_state = 119},
  [562] = {.lex_state = 119},
  [563] = {.lex_state = 119},
  [564] = {.lex_state = 119},
  [565] = {.lex_state = 119},
  [566] = {.lex_state = 119},
  [567] = {.lex_state = 119},
  [568] = {.lex_state = 119},
  [569] = {.lex_state = 119},
  [570] = {.lex_state = 119},
  [571] = {.lex_state = 119},
  [572] = {.lex_state = 119},
  [573] = {.lex_state = 119},
  [574] = {.lex_state = 119},
  [575] = {.lex_state = 119},
  [576] = {.lex_state = 119},
  [577] = {.lex_state = 119},
  [578] = {.lex_state = 119},
  [579] = {.lex_state = 119},
  [580] = {.lex_state = 119},
  [581] = {.lex_state = 119},
  [582] = {.lex_state = 119},
  [583] = {.lex_state = 119},
  [584] = {.lex_state = 119},
  [585] = {.lex_state = 119},
  [586] = {.lex_state = 119},
  [587] = {.lex_state = 119},
  [588] = {.lex_state = 119},
  [589] = {.lex_state = 119},
  [590] = {.lex_state = 119},
  [591] = {.lex_state = 119},
  [592] = {.lex_state = 119},
  [593] = {.lex_state = 119},
  [594] = {.lex_state = 119},
  [595] = {.lex_state = 119},
  [596] = {.lex_state = 119},
  [597] = {.lex_state = 119},
  [598] = {.lex_state = 119},
  [599] = {.lex_state = 119},
  [600] = {.lex_state = 119},
  [601] = {.lex_state = 119},
  [602] = {.lex_state = 119},
  [603] = {.lex_state = 119},
  [604] = {.lex_state = 119},
  [605] = {.lex_state = 119},
  [606] = {.lex_state = 119},
  [607] = {.lex_state = 119},
  [608] = {.lex_state = 119},
  [609] = {.lex_state = 119},
  [610] = {.lex_state = 119},
  [611] = {.lex_state = 119},
  [612] = {.lex_state = 119},
  [613] = {.lex_state = 119},
  [614] = {.lex_state = 119},
  [615] = {.lex_state = 119},
  [616] = {.lex_state = 49},
  [617] = {.lex_state = 49},
  [618] = {.lex_state = 49},
  [619] = {.lex_state = 49},
  [620] = {.lex_state = 49},
  [621] = {.lex_state = 49},
  [622] = {.lex_state = 50},
  [623] = {.lex_state = 50},
  [624] = {.lex_state = 50},
  [625] = {.lex_state = 50},
  [626] = {.lex_state = 53},
  [627] = {.lex_state = 50},
  [628] = {.lex_state = 50},
  [629] = {.lex_state = 50},
  [630] = {.lex_state = 50},
  [631] = {.lex_state = 50},
  [632] = {.lex_state = 50},
  [633] = {.lex_state = 53},
  [634] = {.lex_state = 53},
  [635] = {.lex_state = 53},
  [636] = {.lex_state = 53},
  [637] = {.lex_state = 53},
  [638] = {.lex_state = 53},
  [639] = {.lex_state = 53},
  [640] = {.lex_state = 53},
  [641] = {.lex_state = 53},
  [642] = {.lex_state = 53},
  [643] = {.lex_state = 53},
  [644] = {.lex_state = 53},
  [645] = {.lex_state = 53},
  [646] = {.lex_state = 53},
  [647] = {.lex_state = 53},
  [648] = {.lex_state = 53},
  [649] = {.lex_state = 53},
  [650] = {.lex_state = 53},
  [651] = {.lex_state = 53},
  [652] = {.lex_state = 53},
  [653] = {.lex_state = 53},
  [654] = {.lex_state = 119},
  [655] = {.lex_state = 50},
  [656] = {.lex_state = 119},
  [657] = {.lex_state = 53},
  [658] = {.lex_state = 119},
  [659] = {.lex_state = 49},
  [660] = {.lex_state = 119},
  [661] = {.lex_state = 50},
  [662] = {.lex_state = 50},
  [663] = {.lex_state = 50},
  [664] = {.lex_state = 50},
  [665] = {.lex_state = 50},
  [666] = {.lex_state = 50},
  [667] = {.lex_state = 50},
  [668] = {.lex_state = 50},
  [669] = {.lex_state = 50},
  [670] = {.lex_state = 50},
  [671] = {.lex_state = 50},
  [672] = {.lex_state = 50},
  [673] = {.lex_state = 50},
  [674] = {.lex_state = 50},
  [675] = {.lex_state = 50},
  [676] = {.lex_state = 50},
  [677] = {.lex_state = 50},
  [678] = {.lex_state = 53},
  [679] = {.lex_state = 49},
  [680] = {.lex_state = 50},
  [681] = {.lex_state = 51},
  [682] = {.lex_state = 51},
  [683] = {.lex_state = 49},
  [684] = {.lex_state = 50},
  [685] = {.lex_state = 50},
  [686] = {.lex_state = 50},
  [687] = {.lex_state = 53},
  [688] = {.lex_state = 51},
  [689] = {.lex_state = 50},
  [690] = {.lex_state = 51},
  [691] = {.lex_state = 53},
  [692] = {.lex_state = 53},
  [693] = {.lex_state = 53},
  [694] = {.lex_state = 53},
  [695] = {.lex_state = 50},
  [696] = {.lex_state = 53},
  [697] = {.lex_state = 53},
  [698] = {.lex_state = 53},
  [699] = {.lex_state = 119},
  [700] = {.lex_state = 119},
  [701] = {.lex_state = 49},
  [702] = {.lex_state = 53},
  [703] = {.lex_state = 53},
  [704] = {.lex_state = 53},
  [705] = {.lex_state = 53},
  [706] = {.lex_state = 53},
  [707] = {.lex_state = 53},
  [708] = {.lex_state = 53},
  [709] = {.lex_state = 53},
  [710] = {.lex_state = 53},
  [711] = {.lex_state = 53},
  [712] = {.lex_state = 53},
  [713] = {.lex_state = 53},
  [714] = {.lex_state = 53},
  [715] = {.lex_state = 53},
  [716] = {.lex_state = 53},
  [717] = {.lex_state = 53},
  [718] = {.lex_state = 53},
  [719] = {.lex_state = 53},
  [720] = {.lex_state = 49},
  [721] = {.lex_state = 53},
  [722] = {.lex_state = 53},
  [723] = {.lex_state = 53},
  [724] = {.lex_state = 53},
  [725] = {.lex_state = 49},
  [726] = {.lex_state = 53},
  [727] = {.lex_state = 49},
  [728] = {.lex_state = 53},
  [729] = {.lex_state = 49},
  [730] = {.lex_state = 53},
  [731] = {.lex_state = 49},
  [732] = {.lex_state = 53},
  [733] = {.lex_state = 49},
  [734] = {.lex_state = 53},
  [735] = {.lex_state = 53},
  [736] = {.lex_state = 53},
  [737] = {.lex_state = 53},
  [738] = {.lex_state = 53},
  [739] = {.lex_state = 49},
  [740] = {.lex_state = 53},
  [741] = {.lex_state = 53},
  [742] = {.lex_state = 53},
  [743] = {.lex_state = 53},
  [744] = {.lex_state = 53},
  [745] = {.lex_state = 50},
  [746] = {.lex_state = 53},
  [747] = {.lex_state = 53},
  [748] = {.lex_state = 50},
  [749] = {.lex_state = 53},
  [750] = {.lex_state = 53},
  [751] = {.lex_state = 53},
  [752] = {.lex_state = 53},
  [753] = {.lex_state = 53},
  [754] = {.lex_state = 50},
  [755] = {.lex_state = 53},
  [756] = {.lex_state = 53},
  [757] = {.lex_state = 50},
  [758] = {.lex_state = 50},
  [759] = {.lex_state = 53},
  [760] = {.lex_state = 50},
  [761] = {.lex_state = 53},
  [762] = {.lex_state = 53},
  [763] = {.lex_state = 53},
  [764] = {.lex_state = 53},
  [765] = {.lex_state = 50},
  [766] = {.lex_state = 50},
  [767] = {.lex_state = 53},
  [768] = {.lex_state = 53},
  [769] = {.lex_state = 53},
  [770] = {.lex_state = 50},
  [771] = {.lex_state = 53},
  [772] = {.lex_state = 53},
  [773] = {.lex_state = 53},
  [774] = {.lex_state = 53},
  [775] = {.lex_state = 50},
  [776] = {.lex_state = 50},
  [777] = {.lex_state = 53},
  [778] = {.lex_state = 50},
  [779] = {.lex_state = 53},
  [780] = {.lex_state = 53},
  [781] = {.lex_state = 53},
  [782] = {.lex_state = 53},
  [783] = {.lex_state = 53},
  [784] = {.lex_state = 53},
  [785] = {.lex_state = 53},
  [786] = {.lex_state = 53},
  [787] = {.lex_state = 53},
  [788] = {.lex_state = 53},
  [789] = {.lex_state = 53},
  [790] = {.lex_state = 53},
  [791] = {.lex_state = 53},
  [792] = {.lex_state = 53},
  [793] = {.lex_state = 50},
  [794] = {.lex_state = 53},
  [795] = {.lex_state = 53},
  [796] = {.lex_state = 53},
  [797] = {.lex_state = 53},
  [798] = {.lex_state = 53},
  [799] = {.lex_state = 53},
  [800] = {.lex_state = 53},
  [801] = {.lex_state = 53},
  [802] = {.lex_state = 53},
  [803] = {.lex_state = 53},
  [804] = {.lex_state = 53},
  [805] = {.lex_state = 53},
  [806] = {.lex_state = 53},
  [807] = {.lex_state = 53},
  [808] = {.lex_state = 53},
  [809] = {.lex_state = 53},
  [810] = {.lex_state = 53},
  [811] = {.lex_state = 53},
  [812] = {.lex_state = 53},
  [813] = {.lex_state = 53},
  [814] = {.lex_state = 53},
  [815] = {.lex_state = 53},
  [816] = {.lex_state = 53},
  [817] = {.lex_state = 53},
  [818] = {.lex_state = 53},
  [819] = {.lex_state = 53},
  [820] = {.lex_state = 53},
  [821] = {.lex_state = 53},
  [822] = {.lex_state = 53},
  [823] = {.lex_state = 53},
  [824] = {.lex_state = 53},
  [825] = {.lex_state = 53},
  [826] = {.lex_state = 53},
  [827] = {.lex_state = 53},
  [828] = {.lex_state = 52},
  [829] = {.lex_state = 57},
  [830] = {.lex_state = 49},
  [831] = {.lex_state = 49},
  [832] = {.lex_state = 49},
  [833] = {.lex_state = 57},
  [834] = {.lex_state = 57},
  [835] = {.lex_state = 52},
  [836] = {.lex_state = 52},
  [837] = {.lex_state = 49},
  [838] = {.lex_state = 49},
  [839] = {.lex_state = 49},
  [840] = {.lex_state = 49},
  [841] = {.lex_state = 49},
  [842] = {.lex_state = 49},
  [843] = {.lex_state = 49},
  [844] = {.lex_state = 52},
  [845] = {.lex_state = 49},
  [846] = {.lex_state = 49},
  [847] = {.lex_state = 57},
  [848] = {.lex_state = 49},
  [849] = {.lex_state = 49},
  [850] = {.lex_state = 49},
  [851] = {.lex_state = 57},
  [852] = {.lex_state = 57},
  [853] = {.lex_state = 57},
  [854] = {.lex_state = 52},
  [855] = {.lex_state = 52},
  [856] = {.lex_state = 52},
  [857] = {.lex_state = 57},
  [858] = {.lex_state = 57},
  [859] = {.lex_state = 57},
  [860] = {.lex_state = 53},
  [861] = {.lex_state = 57},
  [862] = {.lex_state = 57},
  [863] = {.lex_state = 57},
  [864] = {.lex_state = 49},
  [865] = {.lex_state = 49},
  [866] = {.lex_state = 49},
  [867] = {.lex_state = 57},
  [868] = {.lex_state = 49},
  [869] = {.lex_state = 57},
  [870] = {.lex_state = 49},
  [871] = {.lex_state = 49},
  [872] = {.lex_state = 52},
  [873] = {.lex_state = 52},
  [874] = {.lex_state = 52},
  [875] = {.lex_state = 57},
  [876] = {.lex_state = 52},
  [877] = {.lex_state = 52},
  [878] = {.lex_state = 53},
  [879] = {.lex_state = 52},
  [880] = {.lex_state = 52},
  [881] = {.lex_state = 52},
  [882] = {.lex_state = 57},
  [883] = {.lex_state = 57},
  [884] = {.lex_state = 53},
  [885] = {.lex_state = 52},
  [886] = {.lex_state = 52},
  [887] = {.lex_state = 52},
  [888] = {.lex_state = 49},
  [889] = {.lex_state = 49},
  [890] = {.lex_state = 49},
  [891] = {.lex_state = 49},
  [892] = {.lex_state = 49},
  [893] = {.lex_state = 49},
  [894] = {.lex_state = 53},
  [895] = {.lex_state = 53},
  [896] = {.lex_state = 53},
  [897] = {.lex_state = 53},
  [898] = {.lex_state = 49},
  [899] = {.lex_state = 53},
  [900] = {.lex_state = 53},
  [901] = {.lex_state = 119},
  [902] = {.lex_state = 119},
  [903] = {.lex_state = 119},
  [904] = {.lex_state = 119},
  [905] = {.lex_state = 119},
  [906] = {.lex_state = 119},
  [907] = {.lex_state = 119},
  [908] = {.lex_state = 119},
  [909] = {.lex_state = 53},
  [910] = {.lex_state = 53},
  [911] = {.lex_state = 119},
  [912] = {.lex_state = 119},
  [913] = {.lex_state = 53},
  [914] = {.lex_state = 53},
  [915] = {.lex_state = 53},
  [916] = {.lex_state = 53},
  [917] = {.lex_state = 53},
  [918] = {.lex_state = 53},
  [919] = {.lex_state = 53},
  [920] = {.lex_state = 53},
  [921] = {.lex_state = 53},
  [922] = {.lex_state = 53},
  [923] = {.lex_state = 53},
  [924] = {.lex_state = 53},
  [925] = {.lex_state = 53},
  [926] = {.lex_state = 53},
  [927] = {.lex_state = 53},
  [928] = {.lex_state = 53},
  [929] = {.lex_state = 53},
  [930] = {.lex_state = 53},
  [931] = {.lex_state = 53},
  [932] = {.lex_state = 53},
  [933] = {.lex_state = 53},
  [934] = {.lex_state = 53},
  [935] = {.lex_state = 53},
  [936] = {.lex_state = 50},
  [937] = {.lex_state = 53},
  [938] = {.lex_state = 53},
  [939] = {.lex_state = 50},
  [940] = {.lex_state = 50},
  [941] = {.lex_state = 50},
  [942] = {.lex_state = 50},
  [943] = {.lex_state = 53},
  [944] = {.lex_state = 50},
  [945] = {.lex_state = 50},
  [946] = {.lex_state = 50},
  [947] = {.lex_state = 50},
  [948] = {.lex_state = 50},
  [949] = {.lex_state = 50},
  [950] = {.lex_state = 50},
  [951] = {.lex_state = 50},
  [952] = {.lex_state = 53},
  [953] = {.lex_state = 53},
  [954] = {.lex_state = 53},
  [955] = {.lex_state = 53},
  [956] = {.lex_state = 53},
  [957] = {.lex_state = 53},
  [958] = {.lex_state = 53},
  [959] = {.lex_state = 53},
  [960] = {.lex_state = 53},
  [961] = {.lex_state = 53},
  [962] = {.lex_state = 53},
  [963] = {.lex_state = 53},
  [964] = {.lex_state = 53},
  [965] = {.lex_state = 53},
  [966] = {.lex_state = 53},
  [967] = {.lex_state = 53},
  [968] = {.lex_state = 53},
  [969] = {.lex_state = 53},
  [970] = {.lex_state = 53},
  [971] = {.lex_state = 53},
  [972] = {.lex_state = 53},
  [973] = {.lex_state = 53},
  [974] = {.lex_state = 53},
  [975] = {.lex_state = 53},
  [976] = {.lex_state = 53},
  [977] = {.lex_state = 53},
  [978] = {.lex_state = 53},
  [979] = {.lex_state = 53},
  [980] = {.lex_state = 53},
  [981] = {.lex_state = 52},
  [982] = {.lex_state = 53},
  [983] = {.lex_state = 53},
  [984] = {.lex_state = 52},
  [985] = {.lex_state = 53},
  [986] = {.lex_state = 52},
  [987] = {.lex_state = 53},
  [988] = {.lex_state = 53},
  [989] = {.lex_state = 53},
  [990] = {.lex_state = 53},
  [991] = {.lex_state = 52},
  [992] = {.lex_state = 49},
  [993] = {.lex_state = 49},
  [994] = {.lex_state = 53},
  [995] = {.lex_state = 49},
  [996] = {.lex_state = 49},
  [997] = {.lex_state = 49},
  [998] = {.lex_state = 49},
  [999] = {.lex_state = 53},
  [1000] = {.lex_state = 53},
  [1001] = {.lex_state = 49},
  [1002] = {.lex_state = 49},
  [1003] = {.lex_state = 53},
  [1004] = {.lex_state = 49},
  [1005] = {.lex_state = 49},
  [1006] = {.lex_state = 49},
  [1007] = {.lex_state = 49},
  [1008] = {.lex_state = 49},
  [1009] = {.lex_state = 53},
  [1010] = {.lex_state = 49},
  [1011] = {.lex_state = 49},
  [1012] = {.lex_state = 49},
  [1013] = {.lex_state = 49},
  [1014] = {.lex_state = 49},
  [1015] = {.lex_state = 49},
  [1016] = {.lex_state = 49},
  [1017] = {.lex_state = 49},
  [1018] = {.lex_state = 49},
  [1019] = {.lex_state = 49},
  [1020] = {.lex_state = 49},
  [1021] = {.lex_state = 49},
  [1022] = {.lex_state = 49},
  [1023] = {.lex_state = 49},
  [1024] = {.lex_state = 49},
  [1025] = {.lex_state = 49},
  [1026] = {.lex_state = 49},
  [1027] = {.lex_state = 49},
  [1028] = {.lex_state = 49},
  [1029] = {.lex_state = 49},
  [1030] = {.lex_state = 49},
  [1031] = {.lex_state = 49},
  [1032] = {.lex_state = 49},
  [1033] = {.lex_state = 49},
  [1034] = {.lex_state = 49},
  [1035] = {.lex_state = 49},
  [1036] = {.lex_state = 49},
  [1037] = {.lex_state = 49},
  [1038] = {.lex_state = 49},
  [1039] = {.lex_state = 49},
  [1040] = {.lex_state = 49},
  [1041] = {.lex_state = 49},
  [1042] = {.lex_state = 49},
  [1043] = {.lex_state = 49},
  [1044] = {.lex_state = 49},
  [1045] = {.lex_state = 49},
  [1046] = {.lex_state = 49},
  [1047] = {.lex_state = 49},
  [1048] = {.lex_state = 49},
  [1049] = {.lex_state = 49},
  [1050] = {.lex_state = 49},
  [1051] = {.lex_state = 49},
  [1052] = {.lex_state = 49},
  [1053] = {.lex_state = 49},
  [1054] = {.lex_state = 49},
  [1055] = {.lex_state = 49},
  [1056] = {.lex_state = 49},
  [1057] = {.lex_state = 49},
  [1058] = {.lex_state = 49},
  [1059] = {.lex_state = 49},
  [1060] = {.lex_state = 49},
  [1061] = {.lex_state = 49},
  [1062] = {.lex_state = 49},
  [1063] = {.lex_state = 49},
  [1064] = {.lex_state = 49},
  [1065] = {.lex_state = 49},
  [1066] = {.lex_state = 49},
  [1067] = {.lex_state = 49},
  [1068] = {.lex_state = 49},
  [1069] = {.lex_state = 49},
  [1070] = {.lex_state = 49},
  [1071] = {.lex_state = 49},
  [1072] = {.lex_state = 49},
  [1073] = {.lex_state = 53},
  [1074] = {.lex_state = 53},
  [1075] = {.lex_state = 53},
  [1076] = {.lex_state = 49},
  [1077] = {.lex_state = 53},
  [1078] = {.lex_state = 49},
  [1079] = {.lex_state = 53},
  [1080] = {.lex_state = 53},
  [1081] = {.lex_state = 53},
  [1082] = {.lex_state = 53},
  [1083] = {.lex_state = 53},
  [1084] = {.lex_state = 53},
  [1085] = {.lex_state = 53},
  [1086] = {.lex_state = 53},
  [1087] = {.lex_state = 53},
  [1088] = {.lex_state = 53},
  [1089] = {.lex_state = 53},
  [1090] = {.lex_state = 53},
  [1091] = {.lex_state = 53},
  [1092] = {.lex_state = 53},
  [1093] = {.lex_state = 53},
  [1094] = {.lex_state = 53},
  [1095] = {.lex_state = 53},
  [1096] = {.lex_state = 53},
  [1097] = {.lex_state = 52},
  [1098] = {.lex_state = 53},
  [1099] = {.lex_state = 53},
  [1100] = {.lex_state = 53},
  [1101] = {.lex_state = 53},
  [1102] = {.lex_state = 52},
  [1103] = {.lex_state = 53},
  [1104] = {.lex_state = 53},
  [1105] = {.lex_state = 53},
  [1106] = {.lex_state = 53},
  [1107] = {.lex_state = 53},
  [1108] = {.lex_state = 48},
  [1109] = {.lex_state = 53},
  [1110] = {.lex_state = 48},
  [1111] = {.lex_state = 53},
  [1112] = {.lex_state = 53},
  [1113] = {.lex_state = 48},
  [1114] = {.lex_state = 53},
  [1115] = {.lex_state = 53},
  [1116] = {.lex_state = 52},
  [1117] = {.lex_state = 25},
  [1118] = {.lex_state = 53},
  [1119] = {.lex_state = 53},
  [1120] = {.lex_state = 53},
  [1121] = {.lex_state = 53},
  [1122] = {.lex_state = 53},
  [1123] = {.lex_state = 53},
  [1124] = {.lex_state = 53},
  [1125] = {.lex_state = 53},
  [1126] = {.lex_state = 53},
  [1127] = {.lex_state = 53},
  [1128] = {.lex_state = 53},
  [1129] = {.lex_state = 52},
  [1130] = {.lex_state = 48},
  [1131] = {.lex_state = 48},
  [1132] = {.lex_state = 52},
  [1133] = {.lex_state = 52},
  [1134] = {.lex_state = 52},
  [1135] = {.lex_state = 52},
  [1136] = {.lex_state = 52},
  [1137] = {.lex_state = 48},
  [1138] = {.lex_state = 52},
  [1139] = {.lex_state = 53},
  [1140] = {.lex_state = 52},
  [1141] = {.lex_state = 52},
  [1142] = {.lex_state = 48},
  [1143] = {.lex_state = 52},
  [1144] = {.lex_state = 52},
  [1145] = {.lex_state = 52},
  [1146] = {.lex_state = 52},
  [1147] = {.lex_state = 48},
  [1148] = {.lex_state = 48},
  [1149] = {.lex_state = 48},
  [1150] = {.lex_state = 52},
  [1151] = {.lex_state = 48},
  [1152] = {.lex_state = 48},
  [1153] = {.lex_state = 48},
  [1154] = {.lex_state = 48},
  [1155] = {.lex_state = 48},
  [1156] = {.lex_state = 48},
  [1157] = {.lex_state = 48},
  [1158] = {.lex_state = 48},
  [1159] = {.lex_state = 48},
  [1160] = {.lex_state = 48},
  [1161] = {.lex_state = 52},
  [1162] = {.lex_state = 48},
  [1163] = {.lex_state = 48},
  [1164] = {.lex_state = 48},
  [1165] = {.lex_state = 48},
  [1166] = {.lex_state = 48},
  [1167] = {.lex_state = 48},
  [1168] = {.lex_state = 48},
  [1169] = {.lex_state = 48},
  [1170] = {.lex_state = 48},
  [1171] = {.lex_state = 48},
  [1172] = {.lex_state = 48},
  [1173] = {.lex_state = 52},
  [1174] = {.lex_state = 48},
  [1175] = {.lex_state = 48},
  [1176] = {.lex_state = 48},
  [1177] = {.lex_state = 48},
  [1178] = {.lex_state = 48},
  [1179] = {.lex_state = 48},
  [1180] = {.lex_state = 48},
  [1181] = {.lex_state = 48},
  [1182] = {.lex_state = 48},
  [1183] = {.lex_state = 52},
  [1184] = {.lex_state = 48},
  [1185] = {.lex_state = 48},
  [1186] = {.lex_state = 25},
  [1187] = {.lex_state = 25},
  [1188] = {.lex_state = 25},
  [1189] = {.lex_state = 25},
  [1190] = {.lex_state = 25},
  [1191] = {.lex_state = 25},
  [1192] = {.lex_state = 25},
  [1193] = {.lex_state = 25},
  [1194] = {.lex_state = 25},
  [1195] = {.lex_state = 25},
  [1196] = {.lex_state = 25},
  [1197] = {.lex_state = 25},
  [1198] = {.lex_state = 25},
  [1199] = {.lex_state = 25},
  [1200] = {.lex_state = 25},
  [1201] = {.lex_state = 25},
  [1202] = {.lex_state = 25},
  [1203] = {.lex_state = 52},
  [1204] = {.lex_state = 25},
  [1205] = {.lex_state = 25},
  [1206] = {.lex_state = 25},
  [1207] = {.lex_state = 25},
  [1208] = {.lex_state = 25},
  [1209] = {.lex_state = 25},
  [1210] = {.lex_state = 25},
  [1211] = {.lex_state = 53},
  [1212] = {.lex_state = 25},
  [1213] = {.lex_state = 25},
  [1214] = {.lex_state = 53},
  [1215] = {.lex_state = 25},
  [1216] = {.lex_state = 25},
  [1217] = {.lex_state = 25},
  [1218] = {.lex_state = 53},
  [1219] = {.lex_state = 53},
  [1220] = {.lex_state = 25},
  [1221] = {.lex_state = 25},
  [1222] = {.lex_state = 25},
  [1223] = {.lex_state = 52},
  [1224] = {.lex_state = 25},
  [1225] = {.lex_state = 53},
  [1226] = {.lex_state = 53},
  [1227] = {.lex_state = 53},
  [1228] = {.lex_state = 53},
  [1229] = {.lex_state = 53},
  [1230] = {.lex_state = 53},
  [1231] = {.lex_state = 53},
  [1232] = {.lex_state = 53},
  [1233] = {.lex_state = 53},
  [1234] = {.lex_state = 53},
  [1235] = {.lex_state = 53},
  [1236] = {.lex_state = 53},
  [1237] = {.lex_state = 53},
  [1238] = {.lex_state = 53},
  [1239] = {.lex_state = 53},
  [1240] = {.lex_state = 53},
  [1241] = {.lex_state = 53},
  [1242] = {.lex_state = 53},
  [1243] = {.lex_state = 53},
  [1244] = {.lex_state = 53},
  [1245] = {.lex_state = 53},
  [1246] = {.lex_state = 53},
  [1247] = {.lex_state = 53},
  [1248] = {.lex_state = 53},
  [1249] = {.lex_state = 53},
  [1250] = {.lex_state = 50},
  [1251] = {.lex_state = 50},
  [1252] = {.lex_state = 50},
  [1253] = {.lex_state = 53},
  [1254] = {.lex_state = 50},
  [1255] = {.lex_state = 53},
  [1256] = {.lex_state = 53},
  [1257] = {.lex_state = 53},
  [1258] = {.lex_state = 53},
  [1259] = {.lex_state = 53},
  [1260] = {.lex_state = 53},
  [1261] = {.lex_state = 53},
  [1262] = {.lex_state = 56},
  [1263] = {.lex_state = 53},
  [1264] = {.lex_state = 53},
  [1265] = {.lex_state = 53},
  [1266] = {.lex_state = 53},
  [1267] = {.lex_state = 53},
  [1268] = {.lex_state = 53},
  [1269] = {.lex_state = 53},
  [1270] = {.lex_state = 53},
  [1271] = {.lex_state = 53},
  [1272] = {.lex_state = 53},
  [1273] = {.lex_state = 53},
  [1274] = {.lex_state = 53},
  [1275] = {.lex_state = 53},
  [1276] = {.lex_state = 56},
  [1277] = {.lex_state = 53},
  [1278] = {.lex_state = 53},
  [1279] = {.lex_state = 53},
  [1280] = {.lex_state = 53},
  [1281] = {.lex_state = 53},
  [1282] = {.lex_state = 50},
  [1283] = {.lex_state = 53},
  [1284] = {.lex_state = 56},
  [1285] = {.lex_state = 53},
  [1286] = {.lex_state = 50},
  [1287] = {.lex_state = 50},
  [1288] = {.lex_state = 53},
  [1289] = {.lex_state = 53},
  [1290] = {.lex_state = 53},
  [1291] = {.lex_state = 53},
  [1292] = {.lex_state = 50},
  [1293] = {.lex_state = 53},
  [1294] = {.lex_state = 50},
  [1295] = {.lex_state = 53},
  [1296] = {.lex_state = 50},
  [1297] = {.lex_state = 53},
  [1298] = {.lex_state = 53},
  [1299] = {.lex_state = 53},
  [1300] = {.lex_state = 50},
  [1301] = {.lex_state = 50},
  [1302] = {.lex_state = 50},
  [1303] = {.lex_state = 53},
  [1304] = {.lex_state = 50},
  [1305] = {.lex_state = 50},
  [1306] = {.lex_state = 50},
  [1307] = {.lex_state = 50},
  [1308] = {.lex_state = 50},
  [1309] = {.lex_state = 49},
  [1310] = {.lex_state = 53},
  [1311] = {.lex_state = 0},
  [1312] = {.lex_state = 53},
  [1313] = {.lex_state = 53},
  [1314] = {.lex_state = 53},
  [1315] = {.lex_state = 53},
  [1316] = {.lex_state = 53},
  [1317] = {.lex_state = 53},
  [1318] = {.lex_state = 119},
  [1319] = {.lex_state = 119},
  [1320] = {.lex_state = 53},
  [1321] = {.lex_state = 53},
  [1322] = {.lex_state = 53},
  [1323] = {.lex_state = 53},
  [1324] = {.lex_state = 119},
  [1325] = {.lex_state = 53},
  [1326] = {.lex_state = 119},
  [1327] = {.lex_state = 0},
  [1328] = {.lex_state = 53},
  [1329] = {.lex_state = 54},
  [1330] = {.lex_state = 119},
  [1331] = {.lex_state = 54},
  [1332] = {.lex_state = 119},
  [1333] = {.lex_state = 54},
  [1334] = {.lex_state = 119},
  [1335] = {.lex_state = 119},
  [1336] = {.lex_state = 54},
  [1337] = {.lex_state = 49},
  [1338] = {.lex_state = 49},
  [1339] = {.lex_state = 119},
  [1340] = {.lex_state = 119},
  [1341] = {.lex_state = 53},
  [1342] = {.lex_state = 49},
  [1343] = {.lex_state = 119},
  [1344] = {.lex_state = 119},
  [1345] = {.lex_state = 53},
  [1346] = {.lex_state = 119},
  [1347] = {.lex_state = 53},
  [1348] = {.lex_state = 119},
  [1349] = {.lex_state = 53},
  [1350] = {.lex_state = 119},
  [1351] = {.lex_state = 119},
  [1352] = {.lex_state = 53},
  [1353] = {.lex_state = 53},
  [1354] = {.lex_state = 50},
  [1355] = {.lex_state = 119},
  [1356] = {.lex_state = 119},
  [1357] = {.lex_state = 53},
  [1358] = {.lex_state = 119},
  [1359] = {.lex_state = 0},
  [1360] = {.lex_state = 50},
  [1361] = {.lex_state = 53},
  [1362] = {.lex_state = 119},
  [1363] = {.lex_state = 119},
  [1364] = {.lex_state = 53},
  [1365] = {.lex_state = 119},
  [1366] = {.lex_state = 119},
  [1367] = {.lex_state = 53},
  [1368] = {.lex_state = 0},
  [1369] = {.lex_state = 53},
  [1370] = {.lex_state = 53},
  [1371] = {.lex_state = 119},
  [1372] = {.lex_state = 50},
  [1373] = {.lex_state = 119},
  [1374] = {.lex_state = 119},
  [1375] = {.lex_state = 53},
  [1376] = {.lex_state = 119},
  [1377] = {.lex_state = 53},
  [1378] = {.lex_state = 53},
  [1379] = {.lex_state = 53},
  [1380] = {.lex_state = 53},
  [1381] = {.lex_state = 119},
  [1382] = {.lex_state = 53},
  [1383] = {.lex_state = 53},
  [1384] = {.lex_state = 0},
  [1385] = {.lex_state = 53},
  [1386] = {.lex_state = 119},
  [1387] = {.lex_state = 0},
  [1388] = {.lex_state = 50},
  [1389] = {.lex_state = 119},
  [1390] = {.lex_state = 53},
  [1391] = {.lex_state = 53},
  [1392] = {.lex_state = 53},
  [1393] = {.lex_state = 119},
  [1394] = {.lex_state = 119},
  [1395] = {.lex_state = 53},
  [1396] = {.lex_state = 53},
  [1397] = {.lex_state = 119},
  [1398] = {.lex_state = 53},
  [1399] = {.lex_state = 56},
  [1400] = {.lex_state = 53},
  [1401] = {.lex_state = 53},
  [1402] = {.lex_state = 119},
  [1403] = {.lex_state = 53},
  [1404] = {.lex_state = 0},
  [1405] = {.lex_state = 56},
  [1406] = {.lex_state = 0},
  [1407] = {.lex_state = 56},
  [1408] = {.lex_state = 53},
  [1409] = {.lex_state = 0},
  [1410] = {.lex_state = 53},
  [1411] = {.lex_state = 56},
  [1412] = {.lex_state = 119},
  [1413] = {.lex_state = 119},
  [1414] = {.lex_state = 119},
  [1415] = {.lex_state = 56},
  [1416] = {.lex_state = 56},
  [1417] = {.lex_state = 53},
  [1418] = {.lex_state = 53},
  [1419] = {.lex_state = 119},
  [1420] = {.lex_state = 56},
  [1421] = {.lex_state = 53},
  [1422] = {.lex_state = 119},
  [1423] = {.lex_state = 53},
  [1424] = {.lex_state = 53},
  [1425] = {.lex_state = 119},
  [1426] = {.lex_state = 56},
  [1427] = {.lex_state = 53},
  [1428] = {.lex_state = 53},
  [1429] = {.lex_state = 53},
  [1430] = {.lex_state = 119},
  [1431] = {.lex_state = 53},
  [1432] = {.lex_state = 56},
  [1433] = {.lex_state = 50},
  [1434] = {.lex_state = 53},
  [1435] = {.lex_state = 56},
  [1436] = {.lex_state = 56},
  [1437] = {.lex_state = 119},
  [1438] = {.lex_state = 119},
  [1439] = {.lex_state = 119},
  [1440] = {.lex_state = 119},
  [1441] = {.lex_state = 53},
  [1442] = {.lex_state = 119},
  [1443] = {.lex_state = 119},
  [1444] = {.lex_state = 53},
  [1445] = {.lex_state = 119},
  [1446] = {.lex_state = 119},
  [1447] = {.lex_state = 119},
  [1448] = {.lex_state = 119},
  [1449] = {.lex_state = 53},
  [1450] = {.lex_state = 50},
  [1451] = {.lex_state = 45},
  [1452] = {.lex_state = 119},
  [1453] = {.lex_state = 53},
  [1454] = {.lex_state = 119},
  [1455] = {.lex_state = 119},
  [1456] = {.lex_state = 119},
  [1457] = {.lex_state = 53},
  [1458] = {.lex_state = 53},
  [1459] = {.lex_state = 53},
  [1460] = {.lex_state = 53},
  [1461] = {.lex_state = 53},
  [1462] = {.lex_state = 53},
  [1463] = {.lex_state = 53},
  [1464] = {.lex_state = 0},
  [1465] = {.lex_state = 53},
  [1466] = {.lex_state = 45},
  [1467] = {.lex_state = 53},
  [1468] = {.lex_state = 53},
  [1469] = {.lex_state = 53},
  [1470] = {.lex_state = 53},
  [1471] = {.lex_state = 30},
  [1472] = {.lex_state = 53},
  [1473] = {.lex_state = 32},
  [1474] = {.lex_state = 0},
  [1475] = {.lex_state = 53},
  [1476] = {.lex_state = 53},
  [1477] = {.lex_state = 119},
  [1478] = {.lex_state = 53},
  [1479] = {.lex_state = 32},
  [1480] = {.lex_state = 53},
  [1481] = {.lex_state = 53},
  [1482] = {.lex_state = 0},
  [1483] = {.lex_state = 53},
  [1484] = {.lex_state = 37},
  [1485] = {.lex_state = 30},
  [1486] = {.lex_state = 0},
  [1487] = {.lex_state = 53},
  [1488] = {.lex_state = 53},
  [1489] = {.lex_state = 30},
  [1490] = {.lex_state = 37},
  [1491] = {.lex_state = 53},
  [1492] = {.lex_state = 50},
  [1493] = {.lex_state = 50},
  [1494] = {.lex_state = 53},
  [1495] = {.lex_state = 50},
  [1496] = {.lex_state = 53},
  [1497] = {.lex_state = 32},
  [1498] = {.lex_state = 53},
  [1499] = {.lex_state = 50},
  [1500] = {.lex_state = 0},
  [1501] = {.lex_state = 32},
  [1502] = {.lex_state = 30},
  [1503] = {.lex_state = 30},
  [1504] = {.lex_state = 0},
  [1505] = {.lex_state = 0},
  [1506] = {.lex_state = 32},
  [1507] = {.lex_state = 0},
  [1508] = {.lex_state = 37},
  [1509] = {.lex_state = 37},
  [1510] = {.lex_state = 30},
  [1511] = {.lex_state = 53},
  [1512] = {.lex_state = 53},
  [1513] = {.lex_state = 0},
  [1514] = {.lex_state = 32},
  [1515] = {.lex_state = 53},
  [1516] = {.lex_state = 0},
  [1517] = {.lex_state = 119},
  [1518] = {.lex_state = 53},
  [1519] = {.lex_state = 32},
  [1520] = {.lex_state = 30},
  [1521] = {.lex_state = 0},
  [1522] = {.lex_state = 0},
  [1523] = {.lex_state = 0},
  [1524] = {.lex_state = 53},
  [1525] = {.lex_state = 0},
  [1526] = {.lex_state = 53},
  [1527] = {.lex_state = 0},
  [1528] = {.lex_state = 0},
  [1529] = {.lex_state = 0},
  [1530] = {.lex_state = 0},
  [1531] = {.lex_state = 0},
  [1532] = {.lex_state = 0},
  [1533] = {.lex_state = 0},
  [1534] = {.lex_state = 0},
  [1535] = {.lex_state = 0},
  [1536] = {.lex_state = 0},
  [1537] = {.lex_state = 45},
  [1538] = {.lex_state = 0},
  [1539] = {.lex_state = 53},
  [1540] = {.lex_state = 37},
  [1541] = {.lex_state = 0},
  [1542] = {.lex_state = 0},
  [1543] = {.lex_state = 0},
  [1544] = {.lex_state = 34},
  [1545] = {.lex_state = 0},
  [1546] = {.lex_state = 0},
  [1547] = {.lex_state = 0},
  [1548] = {.lex_state = 0},
  [1549] = {.lex_state = 0},
  [1550] = {.lex_state = 34},
  [1551] = {.lex_state = 0},
  [1552] = {.lex_state = 53},
  [1553] = {.lex_state = 0},
  [1554] = {.lex_state = 0},
  [1555] = {.lex_state = 0},
  [1556] = {.lex_state = 53},
  [1557] = {.lex_state = 0},
  [1558] = {.lex_state = 45},
  [1559] = {.lex_state = 53},
  [1560] = {.lex_state = 0},
  [1561] = {.lex_state = 0},
  [1562] = {.lex_state = 0},
  [1563] = {.lex_state = 0},
  [1564] = {.lex_state = 0},
  [1565] = {.lex_state = 34},
  [1566] = {.lex_state = 0},
  [1567] = {.lex_state = 0},
  [1568] = {.lex_state = 0},
  [1569] = {.lex_state = 0},
  [1570] = {.lex_state = 0},
  [1571] = {.lex_state = 45},
  [1572] = {.lex_state = 37},
  [1573] = {.lex_state = 0},
  [1574] = {.lex_state = 0},
  [1575] = {.lex_state = 53},
  [1576] = {.lex_state = 0},
  [1577] = {.lex_state = 0},
  [1578] = {.lex_state = 0},
  [1579] = {.lex_state = 0},
  [1580] = {.lex_state = 0},
  [1581] = {.lex_state = 0},
  [1582] = {.lex_state = 53},
  [1583] = {.lex_state = 0},
  [1584] = {.lex_state = 0},
  [1585] = {.lex_state = 45},
  [1586] = {.lex_state = 0},
  [1587] = {.lex_state = 0},
  [1588] = {.lex_state = 0},
  [1589] = {.lex_state = 0},
  [1590] = {.lex_state = 0},
  [1591] = {.lex_state = 0},
  [1592] = {.lex_state = 0},
  [1593] = {.lex_state = 0},
  [1594] = {.lex_state = 0},
  [1595] = {.lex_state = 0},
  [1596] = {.lex_state = 0},
  [1597] = {.lex_state = 0},
  [1598] = {.lex_state = 0},
  [1599] = {.lex_state = 0},
  [1600] = {.lex_state = 0},
  [1601] = {.lex_state = 0},
  [1602] = {.lex_state = 45},
  [1603] = {.lex_state = 0},
  [1604] = {.lex_state = 0},
  [1605] = {.lex_state = 0},
  [1606] = {.lex_state = 53},
  [1607] = {.lex_state = 34},
  [1608] = {.lex_state = 0},
  [1609] = {.lex_state = 0},
  [1610] = {.lex_state = 0},
  [1611] = {.lex_state = 0},
  [1612] = {.lex_state = 0},
  [1613] = {.lex_state = 0},
  [1614] = {.lex_state = 0},
  [1615] = {.lex_state = 0},
  [1616] = {.lex_state = 0},
  [1617] = {.lex_state = 0},
  [1618] = {.lex_state = 0},
  [1619] = {.lex_state = 0},
  [1620] = {.lex_state = 0},
  [1621] = {.lex_state = 0},
  [1622] = {.lex_state = 53},
  [1623] = {.lex_state = 0},
  [1624] = {.lex_state = 0},
  [1625] = {.lex_state = 37},
  [1626] = {.lex_state = 0},
  [1627] = {.lex_state = 0},
  [1628] = {.lex_state = 0},
  [1629] = {.lex_state = 0},
  [1630] = {.lex_state = 0},
  [1631] = {.lex_state = 0},
  [1632] = {.lex_state = 0},
  [1633] = {.lex_state = 0},
  [1634] = {.lex_state = 0},
  [1635] = {.lex_state = 0},
  [1636] = {.lex_state = 45},
  [1637] = {.lex_state = 0},
  [1638] = {.lex_state = 53},
  [1639] = {.lex_state = 0},
  [1640] = {.lex_state = 53},
  [1641] = {.lex_state = 0},
  [1642] = {.lex_state = 45},
  [1643] = {.lex_state = 0},
  [1644] = {.lex_state = 0},
  [1645] = {.lex_state = 33},
  [1646] = {.lex_state = 53},
  [1647] = {.lex_state = 45},
  [1648] = {.lex_state = 0},
  [1649] = {.lex_state = 119},
  [1650] = {.lex_state = 119},
  [1651] = {.lex_state = 119},
  [1652] = {.lex_state = 45},
  [1653] = {.lex_state = 0},
  [1654] = {.lex_state = 119},
  [1655] = {.lex_state = 0},
  [1656] = {.lex_state = 0},
  [1657] = {.lex_state = 0},
  [1658] = {.lex_state = 0},
  [1659] = {.lex_state = 119},
  [1660] = {.lex_state = 119},
  [1661] = {.lex_state = 119},
  [1662] = {.lex_state = 0},
  [1663] = {.lex_state = 0},
  [1664] = {.lex_state = 0},
  [1665] = {.lex_state = 0},
  [1666] = {.lex_state = 53},
  [1667] = {.lex_state = 119},
  [1668] = {.lex_state = 0},
  [1669] = {.lex_state = 119},
  [1670] = {.lex_state = 119},
  [1671] = {.lex_state = 0},
  [1672] = {.lex_state = 53},
  [1673] = {.lex_state = 0},
  [1674] = {.lex_state = 33},
  [1675] = {.lex_state = 119},
  [1676] = {.lex_state = 119},
  [1677] = {.lex_state = 119},
  [1678] = {.lex_state = 53},
  [1679] = {.lex_state = 119},
  [1680] = {.lex_state = 0},
  [1681] = {.lex_state = 53},
  [1682] = {.lex_state = 45},
  [1683] = {.lex_state = 119},
  [1684] = {.lex_state = 0},
  [1685] = {.lex_state = 119},
  [1686] = {.lex_state = 119},
  [1687] = {.lex_state = 0},
  [1688] = {.lex_state = 0},
  [1689] = {.lex_state = 0},
  [1690] = {.lex_state = 0},
  [1691] = {.lex_state = 0},
  [1692] = {.lex_state = 33},
  [1693] = {.lex_state = 33},
  [1694] = {.lex_state = 119},
  [1695] = {.lex_state = 0},
  [1696] = {.lex_state = 0},
  [1697] = {.lex_state = 33},
  [1698] = {.lex_state = 119},
  [1699] = {.lex_state = 33},
  [1700] = {.lex_state = 119},
  [1701] = {.lex_state = 119},
  [1702] = {.lex_state = 53},
  [1703] = {.lex_state = 53},
  [1704] = {.lex_state = 0},
  [1705] = {.lex_state = 33},
  [1706] = {.lex_state = 0},
  [1707] = {.lex_state = 0},
  [1708] = {.lex_state = 33},
  [1709] = {.lex_state = 33},
  [1710] = {.lex_state = 119},
  [1711] = {.lex_state = 0},
  [1712] = {.lex_state = 33},
  [1713] = {.lex_state = 119},
  [1714] = {.lex_state = 33},
  [1715] = {.lex_state = 53},
  [1716] = {.lex_state = 33},
  [1717] = {.lex_state = 33},
  [1718] = {.lex_state = 33},
  [1719] = {.lex_state = 0},
  [1720] = {.lex_state = 0},
  [1721] = {.lex_state = 33},
  [1722] = {.lex_state = 0},
  [1723] = {.lex_state = 0},
  [1724] = {.lex_state = 0},
  [1725] = {.lex_state = 0},
  [1726] = {.lex_state = 0},
  [1727] = {.lex_state = 33},
  [1728] = {.lex_state = 119},
  [1729] = {.lex_state = 33},
  [1730] = {.lex_state = 119},
  [1731] = {.lex_state = 34},
  [1732] = {.lex_state = 0},
  [1733] = {.lex_state = 44},
  [1734] = {.lex_state = 0},
  [1735] = {.lex_state = 0},
  [1736] = {.lex_state = 0},
  [1737] = {.lex_state = 0},
  [1738] = {.lex_state = 44},
  [1739] = {.lex_state = 44},
  [1740] = {.lex_state = 0},
  [1741] = {.lex_state = 44},
  [1742] = {.lex_state = 44},
  [1743] = {.lex_state = 34},
  [1744] = {.lex_state = 44},
  [1745] = {.lex_state = 44},
  [1746] = {.lex_state = 44},
  [1747] = {.lex_state = 34},
  [1748] = {.lex_state = 0},
  [1749] = {.lex_state = 0},
  [1750] = {.lex_state = 44},
  [1751] = {.lex_state = 0},
  [1752] = {.lex_state = 0},
  [1753] = {.lex_state = 0},
  [1754] = {.lex_state = 53},
  [1755] = {.lex_state = 44},
  [1756] = {.lex_state = 44},
  [1757] = {.lex_state = 0},
  [1758] = {.lex_state = 0},
  [1759] = {.lex_state = 0},
  [1760] = {.lex_state = 34},
  [1761] = {.lex_state = 0},
  [1762] = {.lex_state = 0},
  [1763] = {.lex_state = 34},
  [1764] = {.lex_state = 0},
  [1765] = {.lex_state = 53},
  [1766] = {.lex_state = 0},
  [1767] = {.lex_state = 0},
  [1768] = {.lex_state = 34},
  [1769] = {.lex_state = 34},
  [1770] = {.lex_state = 0},
  [1771] = {.lex_state = 34},
  [1772] = {.lex_state = 0},
  [1773] = {.lex_state = 0},
  [1774] = {.lex_state = 0},
  [1775] = {.lex_state = 34},
  [1776] = {.lex_state = 44},
  [1777] = {.lex_state = 0},
  [1778] = {.lex_state = 34},
  [1779] = {.lex_state = 44},
  [1780] = {.lex_state = 44},
  [1781] = {.lex_state = 0},
  [1782] = {.lex_state = 44},
  [1783] = {.lex_state = 0},
  [1784] = {.lex_state = 34},
  [1785] = {.lex_state = 34},
  [1786] = {.lex_state = 0},
  [1787] = {.lex_state = 34},
  [1788] = {.lex_state = 0},
  [1789] = {.lex_state = 0},
  [1790] = {.lex_state = 34},
  [1791] = {.lex_state = 34},
  [1792] = {.lex_state = 34},
  [1793] = {.lex_state = 34},
  [1794] = {.lex_state = 34},
  [1795] = {.lex_state = 44},
  [1796] = {.lex_state = 53},
  [1797] = {.lex_state = 53},
  [1798] = {.lex_state = 53},
  [1799] = {.lex_state = 0},
  [1800] = {.lex_state = 0},
  [1801] = {.lex_state = 0},
  [1802] = {.lex_state = 34},
  [1803] = {.lex_state = 53},
  [1804] = {.lex_state = 34},
  [1805] = {.lex_state = 53},
  [1806] = {.lex_state = 44},
  [1807] = {.lex_state = 34},
  [1808] = {.lex_state = 0},
  [1809] = {.lex_state = 0},
  [1810] = {.lex_state = 34},
  [1811] = {.lex_state = 0},
  [1812] = {.lex_state = 0},
  [1813] = {.lex_state = 34},
  [1814] = {.lex_state = 0},
  [1815] = {.lex_state = 53},
  [1816] = {.lex_state = 0},
  [1817] = {.lex_state = 0},
  [1818] = {.lex_state = 0},
  [1819] = {.lex_state = 44},
  [1820] = {.lex_state = 0},
  [1821] = {.lex_state = 53},
  [1822] = {.lex_state = 53},
  [1823] = {.lex_state = 0},
  [1824] = {.lex_state = 119},
  [1825] = {.lex_state = 0},
  [1826] = {.lex_state = 0},
  [1827] = {.lex_state = 0},
  [1828] = {.lex_state = 0},
  [1829] = {.lex_state = 0},
  [1830] = {.lex_state = 119},
  [1831] = {.lex_state = 0},
  [1832] = {.lex_state = 0},
  [1833] = {.lex_state = 53},
  [1834] = {.lex_state = 44},
  [1835] = {.lex_state = 0},
  [1836] = {.lex_state = 0},
  [1837] = {.lex_state = 0},
  [1838] = {.lex_state = 53},
  [1839] = {.lex_state = 44},
  [1840] = {.lex_state = 0},
  [1841] = {.lex_state = 53},
  [1842] = {.lex_state = 0},
  [1843] = {.lex_state = 53},
  [1844] = {.lex_state = 0},
  [1845] = {.lex_state = 0},
  [1846] = {.lex_state = 0},
  [1847] = {.lex_state = 0},
  [1848] = {.lex_state = 53},
  [1849] = {.lex_state = 0},
  [1850] = {.lex_state = 0},
  [1851] = {.lex_state = 0},
  [1852] = {.lex_state = 0},
  [1853] = {.lex_state = 0},
  [1854] = {.lex_state = 44},
  [1855] = {.lex_state = 0},
  [1856] = {.lex_state = 0},
  [1857] = {.lex_state = 0},
  [1858] = {.lex_state = 44},
  [1859] = {.lex_state = 44},
  [1860] = {.lex_state = 0},
  [1861] = {.lex_state = 44},
  [1862] = {.lex_state = 0},
  [1863] = {.lex_state = 53},
  [1864] = {.lex_state = 53},
  [1865] = {.lex_state = 44},
  [1866] = {.lex_state = 0},
  [1867] = {.lex_state = 44},
  [1868] = {.lex_state = 44},
  [1869] = {.lex_state = 44},
  [1870] = {.lex_state = 44},
  [1871] = {.lex_state = 0},
  [1872] = {.lex_state = 0},
  [1873] = {.lex_state = 0},
  [1874] = {.lex_state = 0},
  [1875] = {.lex_state = 34},
  [1876] = {.lex_state = 0},
  [1877] = {.lex_state = 53},
  [1878] = {.lex_state = 53},
  [1879] = {.lex_state = 0},
  [1880] = {.lex_state = 0},
  [1881] = {.lex_state = 44},
  [1882] = {.lex_state = 0},
  [1883] = {.lex_state = 44},
  [1884] = {.lex_state = 44},
  [1885] = {.lex_state = 0},
  [1886] = {.lex_state = 53},
  [1887] = {.lex_state = 44},
  [1888] = {.lex_state = 0},
  [1889] = {.lex_state = 0},
  [1890] = {.lex_state = 0},
  [1891] = {.lex_state = 34},
  [1892] = {.lex_state = 34},
  [1893] = {.lex_state = 44},
  [1894] = {.lex_state = 0},
  [1895] = {.lex_state = 44},
  [1896] = {.lex_state = 44},
  [1897] = {.lex_state = 53},
  [1898] = {.lex_state = 44},
  [1899] = {.lex_state = 0},
  [1900] = {.lex_state = 44},
  [1901] = {.lex_state = 44},
  [1902] = {.lex_state = 53},
  [1903] = {.lex_state = 44},
  [1904] = {.lex_state = 44},
  [1905] = {.lex_state = 44},
  [1906] = {.lex_state = 0},
  [1907] = {.lex_state = 53},
  [1908] = {.lex_state = 53},
  [1909] = {.lex_state = 119},
  [1910] = {.lex_state = 53},
  [1911] = {.lex_state = 0},
  [1912] = {.lex_state = 0},
  [1913] = {.lex_state = 53},
  [1914] = {.lex_state = 53},
  [1915] = {.lex_state = 44},
  [1916] = {.lex_state = 0},
  [1917] = {.lex_state = 0},
  [1918] = {.lex_state = 53},
  [1919] = {.lex_state = 0},
  [1920] = {.lex_state = 0},
  [1921] = {.lex_state = 44},
  [1922] = {.lex_state = 0},
  [1923] = {.lex_state = 34},
  [1924] = {.lex_state = 44},
  [1925] = {.lex_state = 44},
  [1926] = {.lex_state = 44},
  [1927] = {.lex_state = 0},
  [1928] = {.lex_state = 53},
  [1929] = {.lex_state = 0},
  [1930] = {.lex_state = 0},
  [1931] = {.lex_state = 44},
  [1932] = {.lex_state = 53},
  [1933] = {.lex_state = 53},
  [1934] = {.lex_state = 0},
  [1935] = {.lex_state = 34},
  [1936] = {.lex_state = 53},
  [1937] = {.lex_state = 119},
  [1938] = {.lex_state = 0},
  [1939] = {.lex_state = 119},
  [1940] = {.lex_state = 119},
  [1941] = {.lex_state = 44},
  [1942] = {.lex_state = 53},
  [1943] = {.lex_state = 44},
  [1944] = {.lex_state = 44},
  [1945] = {.lex_state = 0},
  [1946] = {.lex_state = 119},
  [1947] = {.lex_state = 119},
  [1948] = {.lex_state = 34},
  [1949] = {.lex_state = 53},
  [1950] = {.lex_state = 119},
  [1951] = {.lex_state = 53},
  [1952] = {.lex_state = 0},
  [1953] = {.lex_state = 0},
  [1954] = {.lex_state = 44},
  [1955] = {.lex_state = 53},
  [1956] = {.lex_state = 0},
  [1957] = {.lex_state = 0},
  [1958] = {.lex_state = 119},
  [1959] = {.lex_state = 119},
  [1960] = {.lex_state = 53},
  [1961] = {.lex_state = 0},
  [1962] = {.lex_state = 53},
  [1963] = {.lex_state = 0},
  [1964] = {.lex_state = 53},
  [1965] = {.lex_state = 0},
  [1966] = {.lex_state = 0},
  [1967] = {.lex_state = 34},
  [1968] = {.lex_state = 0},
  [1969] = {.lex_state = 0},
  [1970] = {.lex_state = 53},
  [1971] = {.lex_state = 119},
  [1972] = {.lex_state = 119},
  [1973] = {.lex_state = 0},
  [1974] = {.lex_state = 119},
  [1975] = {.lex_state = 119},
  [1976] = {.lex_state = 53},
  [1977] = {.lex_state = 53},
  [1978] = {.lex_state = 119},
  [1979] = {.lex_state = 34},
  [1980] = {.lex_state = 53},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [aux_sym_preproc_include_token1] = ACTIONS(1),
    [aux_sym_preproc_def_token1] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [aux_sym_preproc_if_token1] = ACTIONS(1),
    [aux_sym_preproc_if_token2] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1),
    [aux_sym_preproc_else_token1] = ACTIONS(1),
    [aux_sym_preproc_elif_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1),
    [sym_preproc_directive] = ACTIONS(1),
    [anon_sym_LPAREN2] = ACTIONS(1),
    [anon_sym_defined] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym___extension__] = ACTIONS(1),
    [anon_sym_typedef] = ACTIONS(1),
    [anon_sym_extern] = ACTIONS(1),
    [anon_sym___attribute__] = ACTIONS(1),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1),
    [anon_sym___declspec] = ACTIONS(1),
    [anon_sym___based] = ACTIONS(1),
    [anon_sym___cdecl] = ACTIONS(1),
    [anon_sym___clrcall] = ACTIONS(1),
    [anon_sym___stdcall] = ACTIONS(1),
    [anon_sym___fastcall] = ACTIONS(1),
    [anon_sym___thiscall] = ACTIONS(1),
    [anon_sym___vectorcall] = ACTIONS(1),
    [sym_ms_restrict_modifier] = ACTIONS(1),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(1),
    [sym_ms_signed_ptr_modifier] = ACTIONS(1),
    [anon_sym__unaligned] = ACTIONS(1),
    [anon_sym___unaligned] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_signed] = ACTIONS(1),
    [anon_sym_unsigned] = ACTIONS(1),
    [anon_sym_long] = ACTIONS(1),
    [anon_sym_short] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_auto] = ACTIONS(1),
    [anon_sym_register] = ACTIONS(1),
    [anon_sym_inline] = ACTIONS(1),
    [anon_sym___inline] = ACTIONS(1),
    [anon_sym___inline__] = ACTIONS(1),
    [anon_sym___forceinline] = ACTIONS(1),
    [anon_sym_thread_local] = ACTIONS(1),
    [anon_sym___thread] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_constexpr] = ACTIONS(1),
    [anon_sym_volatile] = ACTIONS(1),
    [anon_sym_restrict] = ACTIONS(1),
    [anon_sym___restrict__] = ACTIONS(1),
    [anon_sym__Atomic] = ACTIONS(1),
    [anon_sym__Noreturn] = ACTIONS(1),
    [anon_sym_noreturn] = ACTIONS(1),
    [anon_sym_alignas] = ACTIONS(1),
    [anon_sym__Alignas] = ACTIONS(1),
    [sym_primitive_type] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_union] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_goto] = ACTIONS(1),
    [anon_sym___try] = ACTIONS(1),
    [anon_sym___except] = ACTIONS(1),
    [anon_sym___finally] = ACTIONS(1),
    [anon_sym___leave] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_sizeof] = ACTIONS(1),
    [anon_sym___alignof__] = ACTIONS(1),
    [anon_sym___alignof] = ACTIONS(1),
    [anon_sym__alignof] = ACTIONS(1),
    [anon_sym_alignof] = ACTIONS(1),
    [anon_sym__Alignof] = ACTIONS(1),
    [anon_sym_offsetof] = ACTIONS(1),
    [anon_sym__Generic] = ACTIONS(1),
    [anon_sym_asm] = ACTIONS(1),
    [anon_sym___asm__] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [sym_number_literal] = ACTIONS(1),
    [anon_sym_L_SQUOTE] = ACTIONS(1),
    [anon_sym_u_SQUOTE] = ACTIONS(1),
    [anon_sym_U_SQUOTE] = ACTIONS(1),
    [anon_sym_u8_SQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_L_DQUOTE] = ACTIONS(1),
    [anon_sym_u_DQUOTE] = ACTIONS(1),
    [anon_sym_U_DQUOTE] = ACTIONS(1),
    [anon_sym_u8_DQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [anon_sym_NULL] = ACTIONS(1),
    [anon_sym_nullptr] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
  },
  [1] = {
    [sym_translation_unit] = STATE(1938),
    [sym__top_level_item] = STATE(43),
    [sym_preproc_include] = STATE(43),
    [sym_preproc_def] = STATE(43),
    [sym_preproc_function_def] = STATE(43),
    [sym_preproc_call] = STATE(43),
    [sym_preproc_if] = STATE(43),
    [sym_preproc_ifdef] = STATE(43),
    [sym_function_definition] = STATE(43),
    [sym__old_style_function_definition] = STATE(359),
    [sym_declaration] = STATE(43),
    [sym_type_definition] = STATE(43),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1101),
    [sym_linkage_specification] = STATE(43),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_ms_call_modifier] = STATE(697),
    [sym_compound_statement] = STATE(43),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(785),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(380),
    [sym__top_level_statement] = STATE(43),
    [sym_labeled_statement] = STATE(43),
    [sym__top_level_expression_statement] = STATE(43),
    [sym_if_statement] = STATE(43),
    [sym_switch_statement] = STATE(43),
    [sym_case_statement] = STATE(43),
    [sym_while_statement] = STATE(43),
    [sym_do_statement] = STATE(43),
    [sym_for_statement] = STATE(43),
    [sym_return_statement] = STATE(43),
    [sym_break_statement] = STATE(43),
    [sym_continue_statement] = STATE(43),
    [sym_goto_statement] = STATE(43),
    [sym_expression] = STATE(1078),
    [sym__string] = STATE(1076),
    [sym_conditional_expression] = STATE(1076),
    [sym_assignment_expression] = STATE(1076),
    [sym_pointer_expression] = STATE(898),
    [sym_unary_expression] = STATE(1076),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(1076),
    [sym_cast_expression] = STATE(1076),
    [sym_sizeof_expression] = STATE(1076),
    [sym_alignof_expression] = STATE(1076),
    [sym_offsetof_expression] = STATE(1076),
    [sym_generic_expression] = STATE(1076),
    [sym_subscript_expression] = STATE(898),
    [sym_call_expression] = STATE(898),
    [sym_gnu_asm_expression] = STATE(1076),
    [sym_field_expression] = STATE(898),
    [sym_compound_literal_expression] = STATE(1076),
    [sym_parenthesized_expression] = STATE(898),
    [sym_char_literal] = STATE(1076),
    [sym_concatenated_string] = STATE(1076),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(1076),
    [sym__empty_declaration] = STATE(43),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym_translation_unit_repeat1] = STATE(43),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(347),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [aux_sym_preproc_include_token1] = ACTIONS(9),
    [aux_sym_preproc_def_token1] = ACTIONS(11),
    [aux_sym_preproc_if_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(15),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(27),
    [anon_sym_typedef] = ACTIONS(29),
    [anon_sym_extern] = ACTIONS(31),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(63),
    [anon_sym_default] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_do] = ACTIONS(69),
    [anon_sym_for] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(93),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(99),
    [sym_false] = ACTIONS(99),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [2] = {
    [sym__block_item] = STATE(22),
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_preproc_else] = STATE(1834),
    [sym_preproc_elif] = STATE(1834),
    [sym_preproc_elifdef] = STATE(1834),
    [sym_function_definition] = STATE(22),
    [sym__old_style_function_definition] = STATE(122),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1098),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_ms_call_modifier] = STATE(687),
    [sym_compound_statement] = STATE(112),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(789),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(140),
    [sym_statement] = STATE(22),
    [sym_labeled_statement] = STATE(112),
    [sym_expression_statement] = STATE(112),
    [sym_if_statement] = STATE(112),
    [sym_switch_statement] = STATE(112),
    [sym_case_statement] = STATE(112),
    [sym_while_statement] = STATE(112),
    [sym_do_statement] = STATE(112),
    [sym_for_statement] = STATE(112),
    [sym_return_statement] = STATE(112),
    [sym_break_statement] = STATE(112),
    [sym_continue_statement] = STATE(112),
    [sym_goto_statement] = STATE(112),
    [sym_seh_try_statement] = STATE(112),
    [sym_seh_leave_statement] = STATE(112),
    [sym_expression] = STATE(1029),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1759),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym__empty_declaration] = STATE(22),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(349),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(103),
    [aux_sym_preproc_include_token1] = ACTIONS(105),
    [aux_sym_preproc_def_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token1] = ACTIONS(109),
    [aux_sym_preproc_if_token2] = ACTIONS(111),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(113),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(113),
    [aux_sym_preproc_else_token1] = ACTIONS(115),
    [aux_sym_preproc_elif_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(119),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(119),
    [sym_preproc_directive] = ACTIONS(121),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym___extension__] = ACTIONS(125),
    [anon_sym_typedef] = ACTIONS(127),
    [anon_sym_extern] = ACTIONS(129),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_case] = ACTIONS(137),
    [anon_sym_default] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_return] = ACTIONS(147),
    [anon_sym_break] = ACTIONS(149),
    [anon_sym_continue] = ACTIONS(151),
    [anon_sym_goto] = ACTIONS(153),
    [anon_sym___try] = ACTIONS(155),
    [anon_sym___leave] = ACTIONS(157),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [3] = {
    [sym__block_item] = STATE(21),
    [sym_preproc_include] = STATE(21),
    [sym_preproc_def] = STATE(21),
    [sym_preproc_function_def] = STATE(21),
    [sym_preproc_call] = STATE(21),
    [sym_preproc_if] = STATE(21),
    [sym_preproc_ifdef] = STATE(21),
    [sym_preproc_else] = STATE(1738),
    [sym_preproc_elif] = STATE(1738),
    [sym_preproc_elifdef] = STATE(1738),
    [sym_function_definition] = STATE(21),
    [sym__old_style_function_definition] = STATE(122),
    [sym_declaration] = STATE(21),
    [sym_type_definition] = STATE(21),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1098),
    [sym_linkage_specification] = STATE(21),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_ms_call_modifier] = STATE(687),
    [sym_compound_statement] = STATE(112),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(789),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(140),
    [sym_statement] = STATE(21),
    [sym_labeled_statement] = STATE(112),
    [sym_expression_statement] = STATE(112),
    [sym_if_statement] = STATE(112),
    [sym_switch_statement] = STATE(112),
    [sym_case_statement] = STATE(112),
    [sym_while_statement] = STATE(112),
    [sym_do_statement] = STATE(112),
    [sym_for_statement] = STATE(112),
    [sym_return_statement] = STATE(112),
    [sym_break_statement] = STATE(112),
    [sym_continue_statement] = STATE(112),
    [sym_goto_statement] = STATE(112),
    [sym_seh_try_statement] = STATE(112),
    [sym_seh_leave_statement] = STATE(112),
    [sym_expression] = STATE(1029),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1759),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym__empty_declaration] = STATE(21),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym_preproc_if_repeat1] = STATE(21),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(349),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(103),
    [aux_sym_preproc_include_token1] = ACTIONS(105),
    [aux_sym_preproc_def_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token1] = ACTIONS(109),
    [aux_sym_preproc_if_token2] = ACTIONS(163),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(113),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(113),
    [aux_sym_preproc_else_token1] = ACTIONS(115),
    [aux_sym_preproc_elif_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(119),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(119),
    [sym_preproc_directive] = ACTIONS(121),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym___extension__] = ACTIONS(125),
    [anon_sym_typedef] = ACTIONS(127),
    [anon_sym_extern] = ACTIONS(129),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_case] = ACTIONS(137),
    [anon_sym_default] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_return] = ACTIONS(147),
    [anon_sym_break] = ACTIONS(149),
    [anon_sym_continue] = ACTIONS(151),
    [anon_sym_goto] = ACTIONS(153),
    [anon_sym___try] = ACTIONS(155),
    [anon_sym___leave] = ACTIONS(157),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [4] = {
    [sym__block_item] = STATE(15),
    [sym_preproc_include] = STATE(15),
    [sym_preproc_def] = STATE(15),
    [sym_preproc_function_def] = STATE(15),
    [sym_preproc_call] = STATE(15),
    [sym_preproc_if] = STATE(15),
    [sym_preproc_ifdef] = STATE(15),
    [sym_preproc_else] = STATE(1744),
    [sym_preproc_elif] = STATE(1744),
    [sym_preproc_elifdef] = STATE(1744),
    [sym_function_definition] = STATE(15),
    [sym__old_style_function_definition] = STATE(122),
    [sym_declaration] = STATE(15),
    [sym_type_definition] = STATE(15),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1098),
    [sym_linkage_specification] = STATE(15),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_ms_call_modifier] = STATE(687),
    [sym_compound_statement] = STATE(112),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(789),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(140),
    [sym_statement] = STATE(15),
    [sym_labeled_statement] = STATE(112),
    [sym_expression_statement] = STATE(112),
    [sym_if_statement] = STATE(112),
    [sym_switch_statement] = STATE(112),
    [sym_case_statement] = STATE(112),
    [sym_while_statement] = STATE(112),
    [sym_do_statement] = STATE(112),
    [sym_for_statement] = STATE(112),
    [sym_return_statement] = STATE(112),
    [sym_break_statement] = STATE(112),
    [sym_continue_statement] = STATE(112),
    [sym_goto_statement] = STATE(112),
    [sym_seh_try_statement] = STATE(112),
    [sym_seh_leave_statement] = STATE(112),
    [sym_expression] = STATE(1029),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1759),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym__empty_declaration] = STATE(15),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym_preproc_if_repeat1] = STATE(15),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(349),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(103),
    [aux_sym_preproc_include_token1] = ACTIONS(105),
    [aux_sym_preproc_def_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token1] = ACTIONS(109),
    [aux_sym_preproc_if_token2] = ACTIONS(165),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(113),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(113),
    [aux_sym_preproc_else_token1] = ACTIONS(115),
    [aux_sym_preproc_elif_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(119),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(119),
    [sym_preproc_directive] = ACTIONS(121),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym___extension__] = ACTIONS(125),
    [anon_sym_typedef] = ACTIONS(127),
    [anon_sym_extern] = ACTIONS(129),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_case] = ACTIONS(137),
    [anon_sym_default] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_return] = ACTIONS(147),
    [anon_sym_break] = ACTIONS(149),
    [anon_sym_continue] = ACTIONS(151),
    [anon_sym_goto] = ACTIONS(153),
    [anon_sym___try] = ACTIONS(155),
    [anon_sym___leave] = ACTIONS(157),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [5] = {
    [sym__block_item] = STATE(22),
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_preproc_else] = STATE(1839),
    [sym_preproc_elif] = STATE(1839),
    [sym_preproc_elifdef] = STATE(1839),
    [sym_function_definition] = STATE(22),
    [sym__old_style_function_definition] = STATE(122),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1098),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_ms_call_modifier] = STATE(687),
    [sym_compound_statement] = STATE(112),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(789),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(140),
    [sym_statement] = STATE(22),
    [sym_labeled_statement] = STATE(112),
    [sym_expression_statement] = STATE(112),
    [sym_if_statement] = STATE(112),
    [sym_switch_statement] = STATE(112),
    [sym_case_statement] = STATE(112),
    [sym_while_statement] = STATE(112),
    [sym_do_statement] = STATE(112),
    [sym_for_statement] = STATE(112),
    [sym_return_statement] = STATE(112),
    [sym_break_statement] = STATE(112),
    [sym_continue_statement] = STATE(112),
    [sym_goto_statement] = STATE(112),
    [sym_seh_try_statement] = STATE(112),
    [sym_seh_leave_statement] = STATE(112),
    [sym_expression] = STATE(1029),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1759),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym__empty_declaration] = STATE(22),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(349),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(103),
    [aux_sym_preproc_include_token1] = ACTIONS(105),
    [aux_sym_preproc_def_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token1] = ACTIONS(109),
    [aux_sym_preproc_if_token2] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(113),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(113),
    [aux_sym_preproc_else_token1] = ACTIONS(115),
    [aux_sym_preproc_elif_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(119),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(119),
    [sym_preproc_directive] = ACTIONS(121),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym___extension__] = ACTIONS(125),
    [anon_sym_typedef] = ACTIONS(127),
    [anon_sym_extern] = ACTIONS(129),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_case] = ACTIONS(137),
    [anon_sym_default] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_return] = ACTIONS(147),
    [anon_sym_break] = ACTIONS(149),
    [anon_sym_continue] = ACTIONS(151),
    [anon_sym_goto] = ACTIONS(153),
    [anon_sym___try] = ACTIONS(155),
    [anon_sym___leave] = ACTIONS(157),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [6] = {
    [sym__block_item] = STATE(9),
    [sym_preproc_include] = STATE(9),
    [sym_preproc_def] = STATE(9),
    [sym_preproc_function_def] = STATE(9),
    [sym_preproc_call] = STATE(9),
    [sym_preproc_if] = STATE(9),
    [sym_preproc_ifdef] = STATE(9),
    [sym_preproc_else] = STATE(1819),
    [sym_preproc_elif] = STATE(1819),
    [sym_preproc_elifdef] = STATE(1819),
    [sym_function_definition] = STATE(9),
    [sym__old_style_function_definition] = STATE(122),
    [sym_declaration] = STATE(9),
    [sym_type_definition] = STATE(9),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1098),
    [sym_linkage_specification] = STATE(9),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_ms_call_modifier] = STATE(687),
    [sym_compound_statement] = STATE(112),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(789),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(140),
    [sym_statement] = STATE(9),
    [sym_labeled_statement] = STATE(112),
    [sym_expression_statement] = STATE(112),
    [sym_if_statement] = STATE(112),
    [sym_switch_statement] = STATE(112),
    [sym_case_statement] = STATE(112),
    [sym_while_statement] = STATE(112),
    [sym_do_statement] = STATE(112),
    [sym_for_statement] = STATE(112),
    [sym_return_statement] = STATE(112),
    [sym_break_statement] = STATE(112),
    [sym_continue_statement] = STATE(112),
    [sym_goto_statement] = STATE(112),
    [sym_seh_try_statement] = STATE(112),
    [sym_seh_leave_statement] = STATE(112),
    [sym_expression] = STATE(1029),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1759),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym__empty_declaration] = STATE(9),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym_preproc_if_repeat1] = STATE(9),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(349),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(103),
    [aux_sym_preproc_include_token1] = ACTIONS(105),
    [aux_sym_preproc_def_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token1] = ACTIONS(109),
    [aux_sym_preproc_if_token2] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(113),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(113),
    [aux_sym_preproc_else_token1] = ACTIONS(115),
    [aux_sym_preproc_elif_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(119),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(119),
    [sym_preproc_directive] = ACTIONS(121),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym___extension__] = ACTIONS(125),
    [anon_sym_typedef] = ACTIONS(127),
    [anon_sym_extern] = ACTIONS(129),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_case] = ACTIONS(137),
    [anon_sym_default] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_return] = ACTIONS(147),
    [anon_sym_break] = ACTIONS(149),
    [anon_sym_continue] = ACTIONS(151),
    [anon_sym_goto] = ACTIONS(153),
    [anon_sym___try] = ACTIONS(155),
    [anon_sym___leave] = ACTIONS(157),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [7] = {
    [sym__block_item] = STATE(17),
    [sym_preproc_include] = STATE(17),
    [sym_preproc_def] = STATE(17),
    [sym_preproc_function_def] = STATE(17),
    [sym_preproc_call] = STATE(17),
    [sym_preproc_if] = STATE(17),
    [sym_preproc_ifdef] = STATE(17),
    [sym_preproc_else] = STATE(1782),
    [sym_preproc_elif] = STATE(1782),
    [sym_preproc_elifdef] = STATE(1782),
    [sym_function_definition] = STATE(17),
    [sym__old_style_function_definition] = STATE(122),
    [sym_declaration] = STATE(17),
    [sym_type_definition] = STATE(17),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1098),
    [sym_linkage_specification] = STATE(17),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_ms_call_modifier] = STATE(687),
    [sym_compound_statement] = STATE(112),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(789),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(140),
    [sym_statement] = STATE(17),
    [sym_labeled_statement] = STATE(112),
    [sym_expression_statement] = STATE(112),
    [sym_if_statement] = STATE(112),
    [sym_switch_statement] = STATE(112),
    [sym_case_statement] = STATE(112),
    [sym_while_statement] = STATE(112),
    [sym_do_statement] = STATE(112),
    [sym_for_statement] = STATE(112),
    [sym_return_statement] = STATE(112),
    [sym_break_statement] = STATE(112),
    [sym_continue_statement] = STATE(112),
    [sym_goto_statement] = STATE(112),
    [sym_seh_try_statement] = STATE(112),
    [sym_seh_leave_statement] = STATE(112),
    [sym_expression] = STATE(1029),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1759),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym__empty_declaration] = STATE(17),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym_preproc_if_repeat1] = STATE(17),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(349),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(103),
    [aux_sym_preproc_include_token1] = ACTIONS(105),
    [aux_sym_preproc_def_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token1] = ACTIONS(109),
    [aux_sym_preproc_if_token2] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(113),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(113),
    [aux_sym_preproc_else_token1] = ACTIONS(115),
    [aux_sym_preproc_elif_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(119),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(119),
    [sym_preproc_directive] = ACTIONS(121),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym___extension__] = ACTIONS(125),
    [anon_sym_typedef] = ACTIONS(127),
    [anon_sym_extern] = ACTIONS(129),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_case] = ACTIONS(137),
    [anon_sym_default] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_return] = ACTIONS(147),
    [anon_sym_break] = ACTIONS(149),
    [anon_sym_continue] = ACTIONS(151),
    [anon_sym_goto] = ACTIONS(153),
    [anon_sym___try] = ACTIONS(155),
    [anon_sym___leave] = ACTIONS(157),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [8] = {
    [sym__block_item] = STATE(22),
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_preproc_else] = STATE(1915),
    [sym_preproc_elif] = STATE(1915),
    [sym_preproc_elifdef] = STATE(1915),
    [sym_function_definition] = STATE(22),
    [sym__old_style_function_definition] = STATE(122),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1098),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_ms_call_modifier] = STATE(687),
    [sym_compound_statement] = STATE(112),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(789),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(140),
    [sym_statement] = STATE(22),
    [sym_labeled_statement] = STATE(112),
    [sym_expression_statement] = STATE(112),
    [sym_if_statement] = STATE(112),
    [sym_switch_statement] = STATE(112),
    [sym_case_statement] = STATE(112),
    [sym_while_statement] = STATE(112),
    [sym_do_statement] = STATE(112),
    [sym_for_statement] = STATE(112),
    [sym_return_statement] = STATE(112),
    [sym_break_statement] = STATE(112),
    [sym_continue_statement] = STATE(112),
    [sym_goto_statement] = STATE(112),
    [sym_seh_try_statement] = STATE(112),
    [sym_seh_leave_statement] = STATE(112),
    [sym_expression] = STATE(1029),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1759),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym__empty_declaration] = STATE(22),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(349),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(103),
    [aux_sym_preproc_include_token1] = ACTIONS(105),
    [aux_sym_preproc_def_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token1] = ACTIONS(109),
    [aux_sym_preproc_if_token2] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(113),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(113),
    [aux_sym_preproc_else_token1] = ACTIONS(115),
    [aux_sym_preproc_elif_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(119),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(119),
    [sym_preproc_directive] = ACTIONS(121),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym___extension__] = ACTIONS(125),
    [anon_sym_typedef] = ACTIONS(127),
    [anon_sym_extern] = ACTIONS(129),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_case] = ACTIONS(137),
    [anon_sym_default] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_return] = ACTIONS(147),
    [anon_sym_break] = ACTIONS(149),
    [anon_sym_continue] = ACTIONS(151),
    [anon_sym_goto] = ACTIONS(153),
    [anon_sym___try] = ACTIONS(155),
    [anon_sym___leave] = ACTIONS(157),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [9] = {
    [sym__block_item] = STATE(22),
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_preproc_else] = STATE(1739),
    [sym_preproc_elif] = STATE(1739),
    [sym_preproc_elifdef] = STATE(1739),
    [sym_function_definition] = STATE(22),
    [sym__old_style_function_definition] = STATE(122),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1098),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_ms_call_modifier] = STATE(687),
    [sym_compound_statement] = STATE(112),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(789),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(140),
    [sym_statement] = STATE(22),
    [sym_labeled_statement] = STATE(112),
    [sym_expression_statement] = STATE(112),
    [sym_if_statement] = STATE(112),
    [sym_switch_statement] = STATE(112),
    [sym_case_statement] = STATE(112),
    [sym_while_statement] = STATE(112),
    [sym_do_statement] = STATE(112),
    [sym_for_statement] = STATE(112),
    [sym_return_statement] = STATE(112),
    [sym_break_statement] = STATE(112),
    [sym_continue_statement] = STATE(112),
    [sym_goto_statement] = STATE(112),
    [sym_seh_try_statement] = STATE(112),
    [sym_seh_leave_statement] = STATE(112),
    [sym_expression] = STATE(1029),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1759),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym__empty_declaration] = STATE(22),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(349),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(103),
    [aux_sym_preproc_include_token1] = ACTIONS(105),
    [aux_sym_preproc_def_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token1] = ACTIONS(109),
    [aux_sym_preproc_if_token2] = ACTIONS(175),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(113),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(113),
    [aux_sym_preproc_else_token1] = ACTIONS(115),
    [aux_sym_preproc_elif_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(119),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(119),
    [sym_preproc_directive] = ACTIONS(121),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym___extension__] = ACTIONS(125),
    [anon_sym_typedef] = ACTIONS(127),
    [anon_sym_extern] = ACTIONS(129),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_case] = ACTIONS(137),
    [anon_sym_default] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_return] = ACTIONS(147),
    [anon_sym_break] = ACTIONS(149),
    [anon_sym_continue] = ACTIONS(151),
    [anon_sym_goto] = ACTIONS(153),
    [anon_sym___try] = ACTIONS(155),
    [anon_sym___leave] = ACTIONS(157),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [10] = {
    [sym__block_item] = STATE(11),
    [sym_preproc_include] = STATE(11),
    [sym_preproc_def] = STATE(11),
    [sym_preproc_function_def] = STATE(11),
    [sym_preproc_call] = STATE(11),
    [sym_preproc_if] = STATE(11),
    [sym_preproc_ifdef] = STATE(11),
    [sym_preproc_else] = STATE(1893),
    [sym_preproc_elif] = STATE(1893),
    [sym_preproc_elifdef] = STATE(1893),
    [sym_function_definition] = STATE(11),
    [sym__old_style_function_definition] = STATE(122),
    [sym_declaration] = STATE(11),
    [sym_type_definition] = STATE(11),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1098),
    [sym_linkage_specification] = STATE(11),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_ms_call_modifier] = STATE(687),
    [sym_compound_statement] = STATE(112),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(789),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(140),
    [sym_statement] = STATE(11),
    [sym_labeled_statement] = STATE(112),
    [sym_expression_statement] = STATE(112),
    [sym_if_statement] = STATE(112),
    [sym_switch_statement] = STATE(112),
    [sym_case_statement] = STATE(112),
    [sym_while_statement] = STATE(112),
    [sym_do_statement] = STATE(112),
    [sym_for_statement] = STATE(112),
    [sym_return_statement] = STATE(112),
    [sym_break_statement] = STATE(112),
    [sym_continue_statement] = STATE(112),
    [sym_goto_statement] = STATE(112),
    [sym_seh_try_statement] = STATE(112),
    [sym_seh_leave_statement] = STATE(112),
    [sym_expression] = STATE(1029),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1759),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym__empty_declaration] = STATE(11),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym_preproc_if_repeat1] = STATE(11),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(349),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(103),
    [aux_sym_preproc_include_token1] = ACTIONS(105),
    [aux_sym_preproc_def_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token1] = ACTIONS(109),
    [aux_sym_preproc_if_token2] = ACTIONS(177),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(113),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(113),
    [aux_sym_preproc_else_token1] = ACTIONS(115),
    [aux_sym_preproc_elif_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(119),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(119),
    [sym_preproc_directive] = ACTIONS(121),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym___extension__] = ACTIONS(125),
    [anon_sym_typedef] = ACTIONS(127),
    [anon_sym_extern] = ACTIONS(129),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_case] = ACTIONS(137),
    [anon_sym_default] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_return] = ACTIONS(147),
    [anon_sym_break] = ACTIONS(149),
    [anon_sym_continue] = ACTIONS(151),
    [anon_sym_goto] = ACTIONS(153),
    [anon_sym___try] = ACTIONS(155),
    [anon_sym___leave] = ACTIONS(157),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [11] = {
    [sym__block_item] = STATE(22),
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_preproc_else] = STATE(1944),
    [sym_preproc_elif] = STATE(1944),
    [sym_preproc_elifdef] = STATE(1944),
    [sym_function_definition] = STATE(22),
    [sym__old_style_function_definition] = STATE(122),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1098),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_ms_call_modifier] = STATE(687),
    [sym_compound_statement] = STATE(112),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(789),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(140),
    [sym_statement] = STATE(22),
    [sym_labeled_statement] = STATE(112),
    [sym_expression_statement] = STATE(112),
    [sym_if_statement] = STATE(112),
    [sym_switch_statement] = STATE(112),
    [sym_case_statement] = STATE(112),
    [sym_while_statement] = STATE(112),
    [sym_do_statement] = STATE(112),
    [sym_for_statement] = STATE(112),
    [sym_return_statement] = STATE(112),
    [sym_break_statement] = STATE(112),
    [sym_continue_statement] = STATE(112),
    [sym_goto_statement] = STATE(112),
    [sym_seh_try_statement] = STATE(112),
    [sym_seh_leave_statement] = STATE(112),
    [sym_expression] = STATE(1029),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1759),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym__empty_declaration] = STATE(22),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(349),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(103),
    [aux_sym_preproc_include_token1] = ACTIONS(105),
    [aux_sym_preproc_def_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token1] = ACTIONS(109),
    [aux_sym_preproc_if_token2] = ACTIONS(179),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(113),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(113),
    [aux_sym_preproc_else_token1] = ACTIONS(115),
    [aux_sym_preproc_elif_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(119),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(119),
    [sym_preproc_directive] = ACTIONS(121),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym___extension__] = ACTIONS(125),
    [anon_sym_typedef] = ACTIONS(127),
    [anon_sym_extern] = ACTIONS(129),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_case] = ACTIONS(137),
    [anon_sym_default] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_return] = ACTIONS(147),
    [anon_sym_break] = ACTIONS(149),
    [anon_sym_continue] = ACTIONS(151),
    [anon_sym_goto] = ACTIONS(153),
    [anon_sym___try] = ACTIONS(155),
    [anon_sym___leave] = ACTIONS(157),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [12] = {
    [sym__block_item] = STATE(8),
    [sym_preproc_include] = STATE(8),
    [sym_preproc_def] = STATE(8),
    [sym_preproc_function_def] = STATE(8),
    [sym_preproc_call] = STATE(8),
    [sym_preproc_if] = STATE(8),
    [sym_preproc_ifdef] = STATE(8),
    [sym_preproc_else] = STATE(1954),
    [sym_preproc_elif] = STATE(1954),
    [sym_preproc_elifdef] = STATE(1954),
    [sym_function_definition] = STATE(8),
    [sym__old_style_function_definition] = STATE(122),
    [sym_declaration] = STATE(8),
    [sym_type_definition] = STATE(8),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1098),
    [sym_linkage_specification] = STATE(8),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_ms_call_modifier] = STATE(687),
    [sym_compound_statement] = STATE(112),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(789),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(140),
    [sym_statement] = STATE(8),
    [sym_labeled_statement] = STATE(112),
    [sym_expression_statement] = STATE(112),
    [sym_if_statement] = STATE(112),
    [sym_switch_statement] = STATE(112),
    [sym_case_statement] = STATE(112),
    [sym_while_statement] = STATE(112),
    [sym_do_statement] = STATE(112),
    [sym_for_statement] = STATE(112),
    [sym_return_statement] = STATE(112),
    [sym_break_statement] = STATE(112),
    [sym_continue_statement] = STATE(112),
    [sym_goto_statement] = STATE(112),
    [sym_seh_try_statement] = STATE(112),
    [sym_seh_leave_statement] = STATE(112),
    [sym_expression] = STATE(1029),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1759),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym__empty_declaration] = STATE(8),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym_preproc_if_repeat1] = STATE(8),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(349),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(103),
    [aux_sym_preproc_include_token1] = ACTIONS(105),
    [aux_sym_preproc_def_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token1] = ACTIONS(109),
    [aux_sym_preproc_if_token2] = ACTIONS(181),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(113),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(113),
    [aux_sym_preproc_else_token1] = ACTIONS(115),
    [aux_sym_preproc_elif_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(119),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(119),
    [sym_preproc_directive] = ACTIONS(121),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym___extension__] = ACTIONS(125),
    [anon_sym_typedef] = ACTIONS(127),
    [anon_sym_extern] = ACTIONS(129),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_case] = ACTIONS(137),
    [anon_sym_default] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_return] = ACTIONS(147),
    [anon_sym_break] = ACTIONS(149),
    [anon_sym_continue] = ACTIONS(151),
    [anon_sym_goto] = ACTIONS(153),
    [anon_sym___try] = ACTIONS(155),
    [anon_sym___leave] = ACTIONS(157),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [13] = {
    [sym__block_item] = STATE(2),
    [sym_preproc_include] = STATE(2),
    [sym_preproc_def] = STATE(2),
    [sym_preproc_function_def] = STATE(2),
    [sym_preproc_call] = STATE(2),
    [sym_preproc_if] = STATE(2),
    [sym_preproc_ifdef] = STATE(2),
    [sym_preproc_else] = STATE(1806),
    [sym_preproc_elif] = STATE(1806),
    [sym_preproc_elifdef] = STATE(1806),
    [sym_function_definition] = STATE(2),
    [sym__old_style_function_definition] = STATE(122),
    [sym_declaration] = STATE(2),
    [sym_type_definition] = STATE(2),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1098),
    [sym_linkage_specification] = STATE(2),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_ms_call_modifier] = STATE(687),
    [sym_compound_statement] = STATE(112),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(789),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(140),
    [sym_statement] = STATE(2),
    [sym_labeled_statement] = STATE(112),
    [sym_expression_statement] = STATE(112),
    [sym_if_statement] = STATE(112),
    [sym_switch_statement] = STATE(112),
    [sym_case_statement] = STATE(112),
    [sym_while_statement] = STATE(112),
    [sym_do_statement] = STATE(112),
    [sym_for_statement] = STATE(112),
    [sym_return_statement] = STATE(112),
    [sym_break_statement] = STATE(112),
    [sym_continue_statement] = STATE(112),
    [sym_goto_statement] = STATE(112),
    [sym_seh_try_statement] = STATE(112),
    [sym_seh_leave_statement] = STATE(112),
    [sym_expression] = STATE(1029),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1759),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym__empty_declaration] = STATE(2),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym_preproc_if_repeat1] = STATE(2),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(349),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(103),
    [aux_sym_preproc_include_token1] = ACTIONS(105),
    [aux_sym_preproc_def_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token1] = ACTIONS(109),
    [aux_sym_preproc_if_token2] = ACTIONS(183),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(113),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(113),
    [aux_sym_preproc_else_token1] = ACTIONS(115),
    [aux_sym_preproc_elif_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(119),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(119),
    [sym_preproc_directive] = ACTIONS(121),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym___extension__] = ACTIONS(125),
    [anon_sym_typedef] = ACTIONS(127),
    [anon_sym_extern] = ACTIONS(129),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_case] = ACTIONS(137),
    [anon_sym_default] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_return] = ACTIONS(147),
    [anon_sym_break] = ACTIONS(149),
    [anon_sym_continue] = ACTIONS(151),
    [anon_sym_goto] = ACTIONS(153),
    [anon_sym___try] = ACTIONS(155),
    [anon_sym___leave] = ACTIONS(157),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [14] = {
    [sym__block_item] = STATE(22),
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_preproc_else] = STATE(1898),
    [sym_preproc_elif] = STATE(1898),
    [sym_preproc_elifdef] = STATE(1898),
    [sym_function_definition] = STATE(22),
    [sym__old_style_function_definition] = STATE(122),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1098),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_ms_call_modifier] = STATE(687),
    [sym_compound_statement] = STATE(112),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(789),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(140),
    [sym_statement] = STATE(22),
    [sym_labeled_statement] = STATE(112),
    [sym_expression_statement] = STATE(112),
    [sym_if_statement] = STATE(112),
    [sym_switch_statement] = STATE(112),
    [sym_case_statement] = STATE(112),
    [sym_while_statement] = STATE(112),
    [sym_do_statement] = STATE(112),
    [sym_for_statement] = STATE(112),
    [sym_return_statement] = STATE(112),
    [sym_break_statement] = STATE(112),
    [sym_continue_statement] = STATE(112),
    [sym_goto_statement] = STATE(112),
    [sym_seh_try_statement] = STATE(112),
    [sym_seh_leave_statement] = STATE(112),
    [sym_expression] = STATE(1029),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1759),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym__empty_declaration] = STATE(22),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(349),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(103),
    [aux_sym_preproc_include_token1] = ACTIONS(105),
    [aux_sym_preproc_def_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token1] = ACTIONS(109),
    [aux_sym_preproc_if_token2] = ACTIONS(185),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(113),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(113),
    [aux_sym_preproc_else_token1] = ACTIONS(115),
    [aux_sym_preproc_elif_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(119),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(119),
    [sym_preproc_directive] = ACTIONS(121),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym___extension__] = ACTIONS(125),
    [anon_sym_typedef] = ACTIONS(127),
    [anon_sym_extern] = ACTIONS(129),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_case] = ACTIONS(137),
    [anon_sym_default] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_return] = ACTIONS(147),
    [anon_sym_break] = ACTIONS(149),
    [anon_sym_continue] = ACTIONS(151),
    [anon_sym_goto] = ACTIONS(153),
    [anon_sym___try] = ACTIONS(155),
    [anon_sym___leave] = ACTIONS(157),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [15] = {
    [sym__block_item] = STATE(22),
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_preproc_else] = STATE(1755),
    [sym_preproc_elif] = STATE(1755),
    [sym_preproc_elifdef] = STATE(1755),
    [sym_function_definition] = STATE(22),
    [sym__old_style_function_definition] = STATE(122),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1098),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_ms_call_modifier] = STATE(687),
    [sym_compound_statement] = STATE(112),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(789),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(140),
    [sym_statement] = STATE(22),
    [sym_labeled_statement] = STATE(112),
    [sym_expression_statement] = STATE(112),
    [sym_if_statement] = STATE(112),
    [sym_switch_statement] = STATE(112),
    [sym_case_statement] = STATE(112),
    [sym_while_statement] = STATE(112),
    [sym_do_statement] = STATE(112),
    [sym_for_statement] = STATE(112),
    [sym_return_statement] = STATE(112),
    [sym_break_statement] = STATE(112),
    [sym_continue_statement] = STATE(112),
    [sym_goto_statement] = STATE(112),
    [sym_seh_try_statement] = STATE(112),
    [sym_seh_leave_statement] = STATE(112),
    [sym_expression] = STATE(1029),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1759),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym__empty_declaration] = STATE(22),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(349),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(103),
    [aux_sym_preproc_include_token1] = ACTIONS(105),
    [aux_sym_preproc_def_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token1] = ACTIONS(109),
    [aux_sym_preproc_if_token2] = ACTIONS(187),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(113),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(113),
    [aux_sym_preproc_else_token1] = ACTIONS(115),
    [aux_sym_preproc_elif_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(119),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(119),
    [sym_preproc_directive] = ACTIONS(121),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym___extension__] = ACTIONS(125),
    [anon_sym_typedef] = ACTIONS(127),
    [anon_sym_extern] = ACTIONS(129),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_case] = ACTIONS(137),
    [anon_sym_default] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_return] = ACTIONS(147),
    [anon_sym_break] = ACTIONS(149),
    [anon_sym_continue] = ACTIONS(151),
    [anon_sym_goto] = ACTIONS(153),
    [anon_sym___try] = ACTIONS(155),
    [anon_sym___leave] = ACTIONS(157),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [16] = {
    [sym__block_item] = STATE(14),
    [sym_preproc_include] = STATE(14),
    [sym_preproc_def] = STATE(14),
    [sym_preproc_function_def] = STATE(14),
    [sym_preproc_call] = STATE(14),
    [sym_preproc_if] = STATE(14),
    [sym_preproc_ifdef] = STATE(14),
    [sym_preproc_else] = STATE(1943),
    [sym_preproc_elif] = STATE(1943),
    [sym_preproc_elifdef] = STATE(1943),
    [sym_function_definition] = STATE(14),
    [sym__old_style_function_definition] = STATE(122),
    [sym_declaration] = STATE(14),
    [sym_type_definition] = STATE(14),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1098),
    [sym_linkage_specification] = STATE(14),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_ms_call_modifier] = STATE(687),
    [sym_compound_statement] = STATE(112),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(789),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(140),
    [sym_statement] = STATE(14),
    [sym_labeled_statement] = STATE(112),
    [sym_expression_statement] = STATE(112),
    [sym_if_statement] = STATE(112),
    [sym_switch_statement] = STATE(112),
    [sym_case_statement] = STATE(112),
    [sym_while_statement] = STATE(112),
    [sym_do_statement] = STATE(112),
    [sym_for_statement] = STATE(112),
    [sym_return_statement] = STATE(112),
    [sym_break_statement] = STATE(112),
    [sym_continue_statement] = STATE(112),
    [sym_goto_statement] = STATE(112),
    [sym_seh_try_statement] = STATE(112),
    [sym_seh_leave_statement] = STATE(112),
    [sym_expression] = STATE(1029),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1759),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym__empty_declaration] = STATE(14),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym_preproc_if_repeat1] = STATE(14),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(349),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(103),
    [aux_sym_preproc_include_token1] = ACTIONS(105),
    [aux_sym_preproc_def_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token1] = ACTIONS(109),
    [aux_sym_preproc_if_token2] = ACTIONS(189),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(113),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(113),
    [aux_sym_preproc_else_token1] = ACTIONS(115),
    [aux_sym_preproc_elif_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(119),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(119),
    [sym_preproc_directive] = ACTIONS(121),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym___extension__] = ACTIONS(125),
    [anon_sym_typedef] = ACTIONS(127),
    [anon_sym_extern] = ACTIONS(129),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_case] = ACTIONS(137),
    [anon_sym_default] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_return] = ACTIONS(147),
    [anon_sym_break] = ACTIONS(149),
    [anon_sym_continue] = ACTIONS(151),
    [anon_sym_goto] = ACTIONS(153),
    [anon_sym___try] = ACTIONS(155),
    [anon_sym___leave] = ACTIONS(157),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [17] = {
    [sym__block_item] = STATE(22),
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_preproc_else] = STATE(1746),
    [sym_preproc_elif] = STATE(1746),
    [sym_preproc_elifdef] = STATE(1746),
    [sym_function_definition] = STATE(22),
    [sym__old_style_function_definition] = STATE(122),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1098),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_ms_call_modifier] = STATE(687),
    [sym_compound_statement] = STATE(112),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(789),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(140),
    [sym_statement] = STATE(22),
    [sym_labeled_statement] = STATE(112),
    [sym_expression_statement] = STATE(112),
    [sym_if_statement] = STATE(112),
    [sym_switch_statement] = STATE(112),
    [sym_case_statement] = STATE(112),
    [sym_while_statement] = STATE(112),
    [sym_do_statement] = STATE(112),
    [sym_for_statement] = STATE(112),
    [sym_return_statement] = STATE(112),
    [sym_break_statement] = STATE(112),
    [sym_continue_statement] = STATE(112),
    [sym_goto_statement] = STATE(112),
    [sym_seh_try_statement] = STATE(112),
    [sym_seh_leave_statement] = STATE(112),
    [sym_expression] = STATE(1029),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1759),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym__empty_declaration] = STATE(22),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(349),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(103),
    [aux_sym_preproc_include_token1] = ACTIONS(105),
    [aux_sym_preproc_def_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token1] = ACTIONS(109),
    [aux_sym_preproc_if_token2] = ACTIONS(191),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(113),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(113),
    [aux_sym_preproc_else_token1] = ACTIONS(115),
    [aux_sym_preproc_elif_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(119),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(119),
    [sym_preproc_directive] = ACTIONS(121),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym___extension__] = ACTIONS(125),
    [anon_sym_typedef] = ACTIONS(127),
    [anon_sym_extern] = ACTIONS(129),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_case] = ACTIONS(137),
    [anon_sym_default] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_return] = ACTIONS(147),
    [anon_sym_break] = ACTIONS(149),
    [anon_sym_continue] = ACTIONS(151),
    [anon_sym_goto] = ACTIONS(153),
    [anon_sym___try] = ACTIONS(155),
    [anon_sym___leave] = ACTIONS(157),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [18] = {
    [sym__block_item] = STATE(22),
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_preproc_else] = STATE(1941),
    [sym_preproc_elif] = STATE(1941),
    [sym_preproc_elifdef] = STATE(1941),
    [sym_function_definition] = STATE(22),
    [sym__old_style_function_definition] = STATE(122),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1098),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_ms_call_modifier] = STATE(687),
    [sym_compound_statement] = STATE(112),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(789),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(140),
    [sym_statement] = STATE(22),
    [sym_labeled_statement] = STATE(112),
    [sym_expression_statement] = STATE(112),
    [sym_if_statement] = STATE(112),
    [sym_switch_statement] = STATE(112),
    [sym_case_statement] = STATE(112),
    [sym_while_statement] = STATE(112),
    [sym_do_statement] = STATE(112),
    [sym_for_statement] = STATE(112),
    [sym_return_statement] = STATE(112),
    [sym_break_statement] = STATE(112),
    [sym_continue_statement] = STATE(112),
    [sym_goto_statement] = STATE(112),
    [sym_seh_try_statement] = STATE(112),
    [sym_seh_leave_statement] = STATE(112),
    [sym_expression] = STATE(1029),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1759),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym__empty_declaration] = STATE(22),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(349),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(103),
    [aux_sym_preproc_include_token1] = ACTIONS(105),
    [aux_sym_preproc_def_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token1] = ACTIONS(109),
    [aux_sym_preproc_if_token2] = ACTIONS(193),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(113),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(113),
    [aux_sym_preproc_else_token1] = ACTIONS(115),
    [aux_sym_preproc_elif_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(119),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(119),
    [sym_preproc_directive] = ACTIONS(121),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym___extension__] = ACTIONS(125),
    [anon_sym_typedef] = ACTIONS(127),
    [anon_sym_extern] = ACTIONS(129),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_case] = ACTIONS(137),
    [anon_sym_default] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_return] = ACTIONS(147),
    [anon_sym_break] = ACTIONS(149),
    [anon_sym_continue] = ACTIONS(151),
    [anon_sym_goto] = ACTIONS(153),
    [anon_sym___try] = ACTIONS(155),
    [anon_sym___leave] = ACTIONS(157),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [19] = {
    [sym__block_item] = STATE(5),
    [sym_preproc_include] = STATE(5),
    [sym_preproc_def] = STATE(5),
    [sym_preproc_function_def] = STATE(5),
    [sym_preproc_call] = STATE(5),
    [sym_preproc_if] = STATE(5),
    [sym_preproc_ifdef] = STATE(5),
    [sym_preproc_else] = STATE(1779),
    [sym_preproc_elif] = STATE(1779),
    [sym_preproc_elifdef] = STATE(1779),
    [sym_function_definition] = STATE(5),
    [sym__old_style_function_definition] = STATE(122),
    [sym_declaration] = STATE(5),
    [sym_type_definition] = STATE(5),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1098),
    [sym_linkage_specification] = STATE(5),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_ms_call_modifier] = STATE(687),
    [sym_compound_statement] = STATE(112),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(789),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(140),
    [sym_statement] = STATE(5),
    [sym_labeled_statement] = STATE(112),
    [sym_expression_statement] = STATE(112),
    [sym_if_statement] = STATE(112),
    [sym_switch_statement] = STATE(112),
    [sym_case_statement] = STATE(112),
    [sym_while_statement] = STATE(112),
    [sym_do_statement] = STATE(112),
    [sym_for_statement] = STATE(112),
    [sym_return_statement] = STATE(112),
    [sym_break_statement] = STATE(112),
    [sym_continue_statement] = STATE(112),
    [sym_goto_statement] = STATE(112),
    [sym_seh_try_statement] = STATE(112),
    [sym_seh_leave_statement] = STATE(112),
    [sym_expression] = STATE(1029),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1759),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym__empty_declaration] = STATE(5),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym_preproc_if_repeat1] = STATE(5),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(349),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(103),
    [aux_sym_preproc_include_token1] = ACTIONS(105),
    [aux_sym_preproc_def_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token1] = ACTIONS(109),
    [aux_sym_preproc_if_token2] = ACTIONS(195),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(113),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(113),
    [aux_sym_preproc_else_token1] = ACTIONS(115),
    [aux_sym_preproc_elif_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(119),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(119),
    [sym_preproc_directive] = ACTIONS(121),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym___extension__] = ACTIONS(125),
    [anon_sym_typedef] = ACTIONS(127),
    [anon_sym_extern] = ACTIONS(129),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_case] = ACTIONS(137),
    [anon_sym_default] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_return] = ACTIONS(147),
    [anon_sym_break] = ACTIONS(149),
    [anon_sym_continue] = ACTIONS(151),
    [anon_sym_goto] = ACTIONS(153),
    [anon_sym___try] = ACTIONS(155),
    [anon_sym___leave] = ACTIONS(157),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [20] = {
    [sym__block_item] = STATE(18),
    [sym_preproc_include] = STATE(18),
    [sym_preproc_def] = STATE(18),
    [sym_preproc_function_def] = STATE(18),
    [sym_preproc_call] = STATE(18),
    [sym_preproc_if] = STATE(18),
    [sym_preproc_ifdef] = STATE(18),
    [sym_preproc_else] = STATE(1741),
    [sym_preproc_elif] = STATE(1741),
    [sym_preproc_elifdef] = STATE(1741),
    [sym_function_definition] = STATE(18),
    [sym__old_style_function_definition] = STATE(122),
    [sym_declaration] = STATE(18),
    [sym_type_definition] = STATE(18),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1098),
    [sym_linkage_specification] = STATE(18),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_ms_call_modifier] = STATE(687),
    [sym_compound_statement] = STATE(112),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(789),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(140),
    [sym_statement] = STATE(18),
    [sym_labeled_statement] = STATE(112),
    [sym_expression_statement] = STATE(112),
    [sym_if_statement] = STATE(112),
    [sym_switch_statement] = STATE(112),
    [sym_case_statement] = STATE(112),
    [sym_while_statement] = STATE(112),
    [sym_do_statement] = STATE(112),
    [sym_for_statement] = STATE(112),
    [sym_return_statement] = STATE(112),
    [sym_break_statement] = STATE(112),
    [sym_continue_statement] = STATE(112),
    [sym_goto_statement] = STATE(112),
    [sym_seh_try_statement] = STATE(112),
    [sym_seh_leave_statement] = STATE(112),
    [sym_expression] = STATE(1029),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1759),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym__empty_declaration] = STATE(18),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym_preproc_if_repeat1] = STATE(18),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(349),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(103),
    [aux_sym_preproc_include_token1] = ACTIONS(105),
    [aux_sym_preproc_def_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token1] = ACTIONS(109),
    [aux_sym_preproc_if_token2] = ACTIONS(197),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(113),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(113),
    [aux_sym_preproc_else_token1] = ACTIONS(115),
    [aux_sym_preproc_elif_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(119),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(119),
    [sym_preproc_directive] = ACTIONS(121),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym___extension__] = ACTIONS(125),
    [anon_sym_typedef] = ACTIONS(127),
    [anon_sym_extern] = ACTIONS(129),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_case] = ACTIONS(137),
    [anon_sym_default] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_return] = ACTIONS(147),
    [anon_sym_break] = ACTIONS(149),
    [anon_sym_continue] = ACTIONS(151),
    [anon_sym_goto] = ACTIONS(153),
    [anon_sym___try] = ACTIONS(155),
    [anon_sym___leave] = ACTIONS(157),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [21] = {
    [sym__block_item] = STATE(22),
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_preproc_else] = STATE(1733),
    [sym_preproc_elif] = STATE(1733),
    [sym_preproc_elifdef] = STATE(1733),
    [sym_function_definition] = STATE(22),
    [sym__old_style_function_definition] = STATE(122),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1098),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_ms_call_modifier] = STATE(687),
    [sym_compound_statement] = STATE(112),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(789),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(140),
    [sym_statement] = STATE(22),
    [sym_labeled_statement] = STATE(112),
    [sym_expression_statement] = STATE(112),
    [sym_if_statement] = STATE(112),
    [sym_switch_statement] = STATE(112),
    [sym_case_statement] = STATE(112),
    [sym_while_statement] = STATE(112),
    [sym_do_statement] = STATE(112),
    [sym_for_statement] = STATE(112),
    [sym_return_statement] = STATE(112),
    [sym_break_statement] = STATE(112),
    [sym_continue_statement] = STATE(112),
    [sym_goto_statement] = STATE(112),
    [sym_seh_try_statement] = STATE(112),
    [sym_seh_leave_statement] = STATE(112),
    [sym_expression] = STATE(1029),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1759),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym__empty_declaration] = STATE(22),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(349),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(103),
    [aux_sym_preproc_include_token1] = ACTIONS(105),
    [aux_sym_preproc_def_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token1] = ACTIONS(109),
    [aux_sym_preproc_if_token2] = ACTIONS(199),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(113),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(113),
    [aux_sym_preproc_else_token1] = ACTIONS(115),
    [aux_sym_preproc_elif_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(119),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(119),
    [sym_preproc_directive] = ACTIONS(121),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym___extension__] = ACTIONS(125),
    [anon_sym_typedef] = ACTIONS(127),
    [anon_sym_extern] = ACTIONS(129),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_case] = ACTIONS(137),
    [anon_sym_default] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_return] = ACTIONS(147),
    [anon_sym_break] = ACTIONS(149),
    [anon_sym_continue] = ACTIONS(151),
    [anon_sym_goto] = ACTIONS(153),
    [anon_sym___try] = ACTIONS(155),
    [anon_sym___leave] = ACTIONS(157),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [22] = {
    [sym__block_item] = STATE(22),
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_function_definition] = STATE(22),
    [sym__old_style_function_definition] = STATE(122),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1098),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_ms_call_modifier] = STATE(687),
    [sym_compound_statement] = STATE(112),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(789),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(140),
    [sym_statement] = STATE(22),
    [sym_labeled_statement] = STATE(112),
    [sym_expression_statement] = STATE(112),
    [sym_if_statement] = STATE(112),
    [sym_switch_statement] = STATE(112),
    [sym_case_statement] = STATE(112),
    [sym_while_statement] = STATE(112),
    [sym_do_statement] = STATE(112),
    [sym_for_statement] = STATE(112),
    [sym_return_statement] = STATE(112),
    [sym_break_statement] = STATE(112),
    [sym_continue_statement] = STATE(112),
    [sym_goto_statement] = STATE(112),
    [sym_seh_try_statement] = STATE(112),
    [sym_seh_leave_statement] = STATE(112),
    [sym_expression] = STATE(1029),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1759),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym__empty_declaration] = STATE(22),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(349),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(201),
    [aux_sym_preproc_include_token1] = ACTIONS(204),
    [aux_sym_preproc_def_token1] = ACTIONS(207),
    [aux_sym_preproc_if_token1] = ACTIONS(210),
    [aux_sym_preproc_if_token2] = ACTIONS(213),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(215),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(215),
    [aux_sym_preproc_else_token1] = ACTIONS(213),
    [aux_sym_preproc_elif_token1] = ACTIONS(213),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(213),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(213),
    [sym_preproc_directive] = ACTIONS(218),
    [anon_sym_LPAREN2] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(224),
    [anon_sym_TILDE] = ACTIONS(224),
    [anon_sym_DASH] = ACTIONS(227),
    [anon_sym_PLUS] = ACTIONS(227),
    [anon_sym_STAR] = ACTIONS(230),
    [anon_sym_AMP] = ACTIONS(230),
    [anon_sym_SEMI] = ACTIONS(233),
    [anon_sym___extension__] = ACTIONS(236),
    [anon_sym_typedef] = ACTIONS(239),
    [anon_sym_extern] = ACTIONS(242),
    [anon_sym___attribute__] = ACTIONS(245),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(248),
    [anon_sym___declspec] = ACTIONS(251),
    [anon_sym___cdecl] = ACTIONS(254),
    [anon_sym___clrcall] = ACTIONS(254),
    [anon_sym___stdcall] = ACTIONS(254),
    [anon_sym___fastcall] = ACTIONS(254),
    [anon_sym___thiscall] = ACTIONS(254),
    [anon_sym___vectorcall] = ACTIONS(254),
    [anon_sym_LBRACE] = ACTIONS(257),
    [anon_sym_signed] = ACTIONS(260),
    [anon_sym_unsigned] = ACTIONS(260),
    [anon_sym_long] = ACTIONS(260),
    [anon_sym_short] = ACTIONS(260),
    [anon_sym_static] = ACTIONS(263),
    [anon_sym_auto] = ACTIONS(263),
    [anon_sym_register] = ACTIONS(263),
    [anon_sym_inline] = ACTIONS(263),
    [anon_sym___inline] = ACTIONS(263),
    [anon_sym___inline__] = ACTIONS(263),
    [anon_sym___forceinline] = ACTIONS(263),
    [anon_sym_thread_local] = ACTIONS(263),
    [anon_sym___thread] = ACTIONS(263),
    [anon_sym_const] = ACTIONS(266),
    [anon_sym_constexpr] = ACTIONS(266),
    [anon_sym_volatile] = ACTIONS(266),
    [anon_sym_restrict] = ACTIONS(266),
    [anon_sym___restrict__] = ACTIONS(266),
    [anon_sym__Atomic] = ACTIONS(266),
    [anon_sym__Noreturn] = ACTIONS(266),
    [anon_sym_noreturn] = ACTIONS(266),
    [anon_sym_alignas] = ACTIONS(269),
    [anon_sym__Alignas] = ACTIONS(269),
    [sym_primitive_type] = ACTIONS(272),
    [anon_sym_enum] = ACTIONS(275),
    [anon_sym_struct] = ACTIONS(278),
    [anon_sym_union] = ACTIONS(281),
    [anon_sym_if] = ACTIONS(284),
    [anon_sym_switch] = ACTIONS(287),
    [anon_sym_case] = ACTIONS(290),
    [anon_sym_default] = ACTIONS(293),
    [anon_sym_while] = ACTIONS(296),
    [anon_sym_do] = ACTIONS(299),
    [anon_sym_for] = ACTIONS(302),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_break] = ACTIONS(308),
    [anon_sym_continue] = ACTIONS(311),
    [anon_sym_goto] = ACTIONS(314),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(320),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_sizeof] = ACTIONS(326),
    [anon_sym___alignof__] = ACTIONS(329),
    [anon_sym___alignof] = ACTIONS(329),
    [anon_sym__alignof] = ACTIONS(329),
    [anon_sym_alignof] = ACTIONS(329),
    [anon_sym__Alignof] = ACTIONS(329),
    [anon_sym_offsetof] = ACTIONS(332),
    [anon_sym__Generic] = ACTIONS(335),
    [anon_sym_asm] = ACTIONS(338),
    [anon_sym___asm__] = ACTIONS(338),
    [sym_number_literal] = ACTIONS(341),
    [anon_sym_L_SQUOTE] = ACTIONS(344),
    [anon_sym_u_SQUOTE] = ACTIONS(344),
    [anon_sym_U_SQUOTE] = ACTIONS(344),
    [anon_sym_u8_SQUOTE] = ACTIONS(344),
    [anon_sym_SQUOTE] = ACTIONS(344),
    [anon_sym_L_DQUOTE] = ACTIONS(347),
    [anon_sym_u_DQUOTE] = ACTIONS(347),
    [anon_sym_U_DQUOTE] = ACTIONS(347),
    [anon_sym_u8_DQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_true] = ACTIONS(350),
    [sym_false] = ACTIONS(350),
    [anon_sym_NULL] = ACTIONS(353),
    [anon_sym_nullptr] = ACTIONS(353),
    [sym_comment] = ACTIONS(3),
  },
  [23] = {
    [sym__block_item] = STATE(40),
    [sym_preproc_include] = STATE(40),
    [sym_preproc_def] = STATE(40),
    [sym_preproc_function_def] = STATE(40),
    [sym_preproc_call] = STATE(40),
    [sym_preproc_if] = STATE(40),
    [sym_preproc_ifdef] = STATE(40),
    [sym_function_definition] = STATE(40),
    [sym__old_style_function_definition] = STATE(289),
    [sym_declaration] = STATE(40),
    [sym_type_definition] = STATE(40),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1100),
    [sym_linkage_specification] = STATE(40),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_ms_call_modifier] = STATE(694),
    [sym_compound_statement] = STATE(172),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(791),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(253),
    [sym_statement] = STATE(40),
    [sym_labeled_statement] = STATE(172),
    [sym_expression_statement] = STATE(172),
    [sym_if_statement] = STATE(172),
    [sym_switch_statement] = STATE(172),
    [sym_case_statement] = STATE(172),
    [sym_while_statement] = STATE(172),
    [sym_do_statement] = STATE(172),
    [sym_for_statement] = STATE(172),
    [sym_return_statement] = STATE(172),
    [sym_break_statement] = STATE(172),
    [sym_continue_statement] = STATE(172),
    [sym_goto_statement] = STATE(172),
    [sym_seh_try_statement] = STATE(172),
    [sym_seh_leave_statement] = STATE(172),
    [sym_expression] = STATE(1014),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1860),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym__empty_declaration] = STATE(40),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym_preproc_if_repeat1] = STATE(40),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(352),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(356),
    [aux_sym_preproc_include_token1] = ACTIONS(358),
    [aux_sym_preproc_def_token1] = ACTIONS(360),
    [aux_sym_preproc_if_token1] = ACTIONS(362),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(364),
    [sym_preproc_directive] = ACTIONS(366),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym___extension__] = ACTIONS(370),
    [anon_sym_typedef] = ACTIONS(372),
    [anon_sym_extern] = ACTIONS(374),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(376),
    [anon_sym_RBRACE] = ACTIONS(378),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(380),
    [anon_sym_switch] = ACTIONS(382),
    [anon_sym_case] = ACTIONS(384),
    [anon_sym_default] = ACTIONS(386),
    [anon_sym_while] = ACTIONS(388),
    [anon_sym_do] = ACTIONS(390),
    [anon_sym_for] = ACTIONS(392),
    [anon_sym_return] = ACTIONS(394),
    [anon_sym_break] = ACTIONS(396),
    [anon_sym_continue] = ACTIONS(398),
    [anon_sym_goto] = ACTIONS(400),
    [anon_sym___try] = ACTIONS(402),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [24] = {
    [sym__block_item] = STATE(27),
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_function_definition] = STATE(27),
    [sym__old_style_function_definition] = STATE(289),
    [sym_declaration] = STATE(27),
    [sym_type_definition] = STATE(27),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1100),
    [sym_linkage_specification] = STATE(27),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_ms_call_modifier] = STATE(694),
    [sym_compound_statement] = STATE(172),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(791),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(253),
    [sym_statement] = STATE(27),
    [sym_labeled_statement] = STATE(172),
    [sym_expression_statement] = STATE(172),
    [sym_if_statement] = STATE(172),
    [sym_switch_statement] = STATE(172),
    [sym_case_statement] = STATE(172),
    [sym_while_statement] = STATE(172),
    [sym_do_statement] = STATE(172),
    [sym_for_statement] = STATE(172),
    [sym_return_statement] = STATE(172),
    [sym_break_statement] = STATE(172),
    [sym_continue_statement] = STATE(172),
    [sym_goto_statement] = STATE(172),
    [sym_seh_try_statement] = STATE(172),
    [sym_seh_leave_statement] = STATE(172),
    [sym_expression] = STATE(1014),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1860),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym__empty_declaration] = STATE(27),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym_preproc_if_repeat1] = STATE(27),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(352),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(356),
    [aux_sym_preproc_include_token1] = ACTIONS(358),
    [aux_sym_preproc_def_token1] = ACTIONS(360),
    [aux_sym_preproc_if_token1] = ACTIONS(362),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(364),
    [sym_preproc_directive] = ACTIONS(366),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym___extension__] = ACTIONS(370),
    [anon_sym_typedef] = ACTIONS(372),
    [anon_sym_extern] = ACTIONS(374),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(376),
    [anon_sym_RBRACE] = ACTIONS(406),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(380),
    [anon_sym_switch] = ACTIONS(382),
    [anon_sym_case] = ACTIONS(384),
    [anon_sym_default] = ACTIONS(386),
    [anon_sym_while] = ACTIONS(388),
    [anon_sym_do] = ACTIONS(390),
    [anon_sym_for] = ACTIONS(392),
    [anon_sym_return] = ACTIONS(394),
    [anon_sym_break] = ACTIONS(396),
    [anon_sym_continue] = ACTIONS(398),
    [anon_sym_goto] = ACTIONS(400),
    [anon_sym___try] = ACTIONS(402),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [25] = {
    [sym__block_item] = STATE(42),
    [sym_preproc_include] = STATE(42),
    [sym_preproc_def] = STATE(42),
    [sym_preproc_function_def] = STATE(42),
    [sym_preproc_call] = STATE(42),
    [sym_preproc_if] = STATE(42),
    [sym_preproc_ifdef] = STATE(42),
    [sym_function_definition] = STATE(42),
    [sym__old_style_function_definition] = STATE(289),
    [sym_declaration] = STATE(42),
    [sym_type_definition] = STATE(42),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1100),
    [sym_linkage_specification] = STATE(42),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_ms_call_modifier] = STATE(694),
    [sym_compound_statement] = STATE(172),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(791),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(253),
    [sym_statement] = STATE(42),
    [sym_labeled_statement] = STATE(172),
    [sym_expression_statement] = STATE(172),
    [sym_if_statement] = STATE(172),
    [sym_switch_statement] = STATE(172),
    [sym_case_statement] = STATE(172),
    [sym_while_statement] = STATE(172),
    [sym_do_statement] = STATE(172),
    [sym_for_statement] = STATE(172),
    [sym_return_statement] = STATE(172),
    [sym_break_statement] = STATE(172),
    [sym_continue_statement] = STATE(172),
    [sym_goto_statement] = STATE(172),
    [sym_seh_try_statement] = STATE(172),
    [sym_seh_leave_statement] = STATE(172),
    [sym_expression] = STATE(1014),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1860),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym__empty_declaration] = STATE(42),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym_preproc_if_repeat1] = STATE(42),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(352),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(356),
    [aux_sym_preproc_include_token1] = ACTIONS(358),
    [aux_sym_preproc_def_token1] = ACTIONS(360),
    [aux_sym_preproc_if_token1] = ACTIONS(362),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(364),
    [sym_preproc_directive] = ACTIONS(366),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym___extension__] = ACTIONS(370),
    [anon_sym_typedef] = ACTIONS(372),
    [anon_sym_extern] = ACTIONS(374),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(376),
    [anon_sym_RBRACE] = ACTIONS(408),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(380),
    [anon_sym_switch] = ACTIONS(382),
    [anon_sym_case] = ACTIONS(384),
    [anon_sym_default] = ACTIONS(386),
    [anon_sym_while] = ACTIONS(388),
    [anon_sym_do] = ACTIONS(390),
    [anon_sym_for] = ACTIONS(392),
    [anon_sym_return] = ACTIONS(394),
    [anon_sym_break] = ACTIONS(396),
    [anon_sym_continue] = ACTIONS(398),
    [anon_sym_goto] = ACTIONS(400),
    [anon_sym___try] = ACTIONS(402),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [26] = {
    [sym__block_item] = STATE(31),
    [sym_preproc_include] = STATE(31),
    [sym_preproc_def] = STATE(31),
    [sym_preproc_function_def] = STATE(31),
    [sym_preproc_call] = STATE(31),
    [sym_preproc_if] = STATE(31),
    [sym_preproc_ifdef] = STATE(31),
    [sym_function_definition] = STATE(31),
    [sym__old_style_function_definition] = STATE(273),
    [sym_declaration] = STATE(31),
    [sym_type_definition] = STATE(31),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1099),
    [sym_linkage_specification] = STATE(31),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_ms_call_modifier] = STATE(691),
    [sym_compound_statement] = STATE(229),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(787),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(271),
    [sym_statement] = STATE(31),
    [sym_labeled_statement] = STATE(229),
    [sym_expression_statement] = STATE(229),
    [sym_if_statement] = STATE(229),
    [sym_switch_statement] = STATE(229),
    [sym_case_statement] = STATE(229),
    [sym_while_statement] = STATE(229),
    [sym_do_statement] = STATE(229),
    [sym_for_statement] = STATE(229),
    [sym_return_statement] = STATE(229),
    [sym_break_statement] = STATE(229),
    [sym_continue_statement] = STATE(229),
    [sym_goto_statement] = STATE(229),
    [sym_seh_try_statement] = STATE(229),
    [sym_seh_leave_statement] = STATE(229),
    [sym_expression] = STATE(1004),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1799),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym__empty_declaration] = STATE(31),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym_preproc_if_repeat1] = STATE(31),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(317),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(410),
    [aux_sym_preproc_include_token1] = ACTIONS(412),
    [aux_sym_preproc_def_token1] = ACTIONS(414),
    [aux_sym_preproc_if_token1] = ACTIONS(416),
    [aux_sym_preproc_if_token2] = ACTIONS(418),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(420),
    [sym_preproc_directive] = ACTIONS(422),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(424),
    [anon_sym___extension__] = ACTIONS(426),
    [anon_sym_typedef] = ACTIONS(428),
    [anon_sym_extern] = ACTIONS(430),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(432),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(434),
    [anon_sym_switch] = ACTIONS(436),
    [anon_sym_case] = ACTIONS(438),
    [anon_sym_default] = ACTIONS(440),
    [anon_sym_while] = ACTIONS(442),
    [anon_sym_do] = ACTIONS(444),
    [anon_sym_for] = ACTIONS(446),
    [anon_sym_return] = ACTIONS(448),
    [anon_sym_break] = ACTIONS(450),
    [anon_sym_continue] = ACTIONS(452),
    [anon_sym_goto] = ACTIONS(454),
    [anon_sym___try] = ACTIONS(456),
    [anon_sym___leave] = ACTIONS(458),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [27] = {
    [sym__block_item] = STATE(40),
    [sym_preproc_include] = STATE(40),
    [sym_preproc_def] = STATE(40),
    [sym_preproc_function_def] = STATE(40),
    [sym_preproc_call] = STATE(40),
    [sym_preproc_if] = STATE(40),
    [sym_preproc_ifdef] = STATE(40),
    [sym_function_definition] = STATE(40),
    [sym__old_style_function_definition] = STATE(289),
    [sym_declaration] = STATE(40),
    [sym_type_definition] = STATE(40),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1100),
    [sym_linkage_specification] = STATE(40),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_ms_call_modifier] = STATE(694),
    [sym_compound_statement] = STATE(172),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(791),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(253),
    [sym_statement] = STATE(40),
    [sym_labeled_statement] = STATE(172),
    [sym_expression_statement] = STATE(172),
    [sym_if_statement] = STATE(172),
    [sym_switch_statement] = STATE(172),
    [sym_case_statement] = STATE(172),
    [sym_while_statement] = STATE(172),
    [sym_do_statement] = STATE(172),
    [sym_for_statement] = STATE(172),
    [sym_return_statement] = STATE(172),
    [sym_break_statement] = STATE(172),
    [sym_continue_statement] = STATE(172),
    [sym_goto_statement] = STATE(172),
    [sym_seh_try_statement] = STATE(172),
    [sym_seh_leave_statement] = STATE(172),
    [sym_expression] = STATE(1014),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1860),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym__empty_declaration] = STATE(40),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym_preproc_if_repeat1] = STATE(40),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(352),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(356),
    [aux_sym_preproc_include_token1] = ACTIONS(358),
    [aux_sym_preproc_def_token1] = ACTIONS(360),
    [aux_sym_preproc_if_token1] = ACTIONS(362),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(364),
    [sym_preproc_directive] = ACTIONS(366),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym___extension__] = ACTIONS(370),
    [anon_sym_typedef] = ACTIONS(372),
    [anon_sym_extern] = ACTIONS(374),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(376),
    [anon_sym_RBRACE] = ACTIONS(460),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(380),
    [anon_sym_switch] = ACTIONS(382),
    [anon_sym_case] = ACTIONS(384),
    [anon_sym_default] = ACTIONS(386),
    [anon_sym_while] = ACTIONS(388),
    [anon_sym_do] = ACTIONS(390),
    [anon_sym_for] = ACTIONS(392),
    [anon_sym_return] = ACTIONS(394),
    [anon_sym_break] = ACTIONS(396),
    [anon_sym_continue] = ACTIONS(398),
    [anon_sym_goto] = ACTIONS(400),
    [anon_sym___try] = ACTIONS(402),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [28] = {
    [sym__block_item] = STATE(40),
    [sym_preproc_include] = STATE(40),
    [sym_preproc_def] = STATE(40),
    [sym_preproc_function_def] = STATE(40),
    [sym_preproc_call] = STATE(40),
    [sym_preproc_if] = STATE(40),
    [sym_preproc_ifdef] = STATE(40),
    [sym_function_definition] = STATE(40),
    [sym__old_style_function_definition] = STATE(289),
    [sym_declaration] = STATE(40),
    [sym_type_definition] = STATE(40),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1100),
    [sym_linkage_specification] = STATE(40),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_ms_call_modifier] = STATE(694),
    [sym_compound_statement] = STATE(172),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(791),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(253),
    [sym_statement] = STATE(40),
    [sym_labeled_statement] = STATE(172),
    [sym_expression_statement] = STATE(172),
    [sym_if_statement] = STATE(172),
    [sym_switch_statement] = STATE(172),
    [sym_case_statement] = STATE(172),
    [sym_while_statement] = STATE(172),
    [sym_do_statement] = STATE(172),
    [sym_for_statement] = STATE(172),
    [sym_return_statement] = STATE(172),
    [sym_break_statement] = STATE(172),
    [sym_continue_statement] = STATE(172),
    [sym_goto_statement] = STATE(172),
    [sym_seh_try_statement] = STATE(172),
    [sym_seh_leave_statement] = STATE(172),
    [sym_expression] = STATE(1014),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1860),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym__empty_declaration] = STATE(40),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym_preproc_if_repeat1] = STATE(40),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(352),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(356),
    [aux_sym_preproc_include_token1] = ACTIONS(358),
    [aux_sym_preproc_def_token1] = ACTIONS(360),
    [aux_sym_preproc_if_token1] = ACTIONS(362),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(364),
    [sym_preproc_directive] = ACTIONS(366),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym___extension__] = ACTIONS(370),
    [anon_sym_typedef] = ACTIONS(372),
    [anon_sym_extern] = ACTIONS(374),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(376),
    [anon_sym_RBRACE] = ACTIONS(462),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(380),
    [anon_sym_switch] = ACTIONS(382),
    [anon_sym_case] = ACTIONS(384),
    [anon_sym_default] = ACTIONS(386),
    [anon_sym_while] = ACTIONS(388),
    [anon_sym_do] = ACTIONS(390),
    [anon_sym_for] = ACTIONS(392),
    [anon_sym_return] = ACTIONS(394),
    [anon_sym_break] = ACTIONS(396),
    [anon_sym_continue] = ACTIONS(398),
    [anon_sym_goto] = ACTIONS(400),
    [anon_sym___try] = ACTIONS(402),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [29] = {
    [sym__block_item] = STATE(40),
    [sym_preproc_include] = STATE(40),
    [sym_preproc_def] = STATE(40),
    [sym_preproc_function_def] = STATE(40),
    [sym_preproc_call] = STATE(40),
    [sym_preproc_if] = STATE(40),
    [sym_preproc_ifdef] = STATE(40),
    [sym_function_definition] = STATE(40),
    [sym__old_style_function_definition] = STATE(289),
    [sym_declaration] = STATE(40),
    [sym_type_definition] = STATE(40),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1100),
    [sym_linkage_specification] = STATE(40),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_ms_call_modifier] = STATE(694),
    [sym_compound_statement] = STATE(172),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(791),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(253),
    [sym_statement] = STATE(40),
    [sym_labeled_statement] = STATE(172),
    [sym_expression_statement] = STATE(172),
    [sym_if_statement] = STATE(172),
    [sym_switch_statement] = STATE(172),
    [sym_case_statement] = STATE(172),
    [sym_while_statement] = STATE(172),
    [sym_do_statement] = STATE(172),
    [sym_for_statement] = STATE(172),
    [sym_return_statement] = STATE(172),
    [sym_break_statement] = STATE(172),
    [sym_continue_statement] = STATE(172),
    [sym_goto_statement] = STATE(172),
    [sym_seh_try_statement] = STATE(172),
    [sym_seh_leave_statement] = STATE(172),
    [sym_expression] = STATE(1014),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1860),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym__empty_declaration] = STATE(40),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym_preproc_if_repeat1] = STATE(40),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(352),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(356),
    [aux_sym_preproc_include_token1] = ACTIONS(358),
    [aux_sym_preproc_def_token1] = ACTIONS(360),
    [aux_sym_preproc_if_token1] = ACTIONS(362),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(364),
    [sym_preproc_directive] = ACTIONS(366),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym___extension__] = ACTIONS(370),
    [anon_sym_typedef] = ACTIONS(372),
    [anon_sym_extern] = ACTIONS(374),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(376),
    [anon_sym_RBRACE] = ACTIONS(464),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(380),
    [anon_sym_switch] = ACTIONS(382),
    [anon_sym_case] = ACTIONS(384),
    [anon_sym_default] = ACTIONS(386),
    [anon_sym_while] = ACTIONS(388),
    [anon_sym_do] = ACTIONS(390),
    [anon_sym_for] = ACTIONS(392),
    [anon_sym_return] = ACTIONS(394),
    [anon_sym_break] = ACTIONS(396),
    [anon_sym_continue] = ACTIONS(398),
    [anon_sym_goto] = ACTIONS(400),
    [anon_sym___try] = ACTIONS(402),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [30] = {
    [sym__block_item] = STATE(28),
    [sym_preproc_include] = STATE(28),
    [sym_preproc_def] = STATE(28),
    [sym_preproc_function_def] = STATE(28),
    [sym_preproc_call] = STATE(28),
    [sym_preproc_if] = STATE(28),
    [sym_preproc_ifdef] = STATE(28),
    [sym_function_definition] = STATE(28),
    [sym__old_style_function_definition] = STATE(289),
    [sym_declaration] = STATE(28),
    [sym_type_definition] = STATE(28),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1100),
    [sym_linkage_specification] = STATE(28),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_ms_call_modifier] = STATE(694),
    [sym_compound_statement] = STATE(172),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(791),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(253),
    [sym_statement] = STATE(28),
    [sym_labeled_statement] = STATE(172),
    [sym_expression_statement] = STATE(172),
    [sym_if_statement] = STATE(172),
    [sym_switch_statement] = STATE(172),
    [sym_case_statement] = STATE(172),
    [sym_while_statement] = STATE(172),
    [sym_do_statement] = STATE(172),
    [sym_for_statement] = STATE(172),
    [sym_return_statement] = STATE(172),
    [sym_break_statement] = STATE(172),
    [sym_continue_statement] = STATE(172),
    [sym_goto_statement] = STATE(172),
    [sym_seh_try_statement] = STATE(172),
    [sym_seh_leave_statement] = STATE(172),
    [sym_expression] = STATE(1014),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1860),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym__empty_declaration] = STATE(28),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym_preproc_if_repeat1] = STATE(28),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(352),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(356),
    [aux_sym_preproc_include_token1] = ACTIONS(358),
    [aux_sym_preproc_def_token1] = ACTIONS(360),
    [aux_sym_preproc_if_token1] = ACTIONS(362),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(364),
    [sym_preproc_directive] = ACTIONS(366),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym___extension__] = ACTIONS(370),
    [anon_sym_typedef] = ACTIONS(372),
    [anon_sym_extern] = ACTIONS(374),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(376),
    [anon_sym_RBRACE] = ACTIONS(466),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(380),
    [anon_sym_switch] = ACTIONS(382),
    [anon_sym_case] = ACTIONS(384),
    [anon_sym_default] = ACTIONS(386),
    [anon_sym_while] = ACTIONS(388),
    [anon_sym_do] = ACTIONS(390),
    [anon_sym_for] = ACTIONS(392),
    [anon_sym_return] = ACTIONS(394),
    [anon_sym_break] = ACTIONS(396),
    [anon_sym_continue] = ACTIONS(398),
    [anon_sym_goto] = ACTIONS(400),
    [anon_sym___try] = ACTIONS(402),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [31] = {
    [sym__block_item] = STATE(31),
    [sym_preproc_include] = STATE(31),
    [sym_preproc_def] = STATE(31),
    [sym_preproc_function_def] = STATE(31),
    [sym_preproc_call] = STATE(31),
    [sym_preproc_if] = STATE(31),
    [sym_preproc_ifdef] = STATE(31),
    [sym_function_definition] = STATE(31),
    [sym__old_style_function_definition] = STATE(273),
    [sym_declaration] = STATE(31),
    [sym_type_definition] = STATE(31),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1099),
    [sym_linkage_specification] = STATE(31),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_ms_call_modifier] = STATE(691),
    [sym_compound_statement] = STATE(229),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(787),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(271),
    [sym_statement] = STATE(31),
    [sym_labeled_statement] = STATE(229),
    [sym_expression_statement] = STATE(229),
    [sym_if_statement] = STATE(229),
    [sym_switch_statement] = STATE(229),
    [sym_case_statement] = STATE(229),
    [sym_while_statement] = STATE(229),
    [sym_do_statement] = STATE(229),
    [sym_for_statement] = STATE(229),
    [sym_return_statement] = STATE(229),
    [sym_break_statement] = STATE(229),
    [sym_continue_statement] = STATE(229),
    [sym_goto_statement] = STATE(229),
    [sym_seh_try_statement] = STATE(229),
    [sym_seh_leave_statement] = STATE(229),
    [sym_expression] = STATE(1004),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1799),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym__empty_declaration] = STATE(31),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym_preproc_if_repeat1] = STATE(31),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(317),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(468),
    [aux_sym_preproc_include_token1] = ACTIONS(471),
    [aux_sym_preproc_def_token1] = ACTIONS(474),
    [aux_sym_preproc_if_token1] = ACTIONS(477),
    [aux_sym_preproc_if_token2] = ACTIONS(213),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(480),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(480),
    [sym_preproc_directive] = ACTIONS(483),
    [anon_sym_LPAREN2] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(224),
    [anon_sym_TILDE] = ACTIONS(224),
    [anon_sym_DASH] = ACTIONS(227),
    [anon_sym_PLUS] = ACTIONS(227),
    [anon_sym_STAR] = ACTIONS(230),
    [anon_sym_AMP] = ACTIONS(230),
    [anon_sym_SEMI] = ACTIONS(486),
    [anon_sym___extension__] = ACTIONS(489),
    [anon_sym_typedef] = ACTIONS(492),
    [anon_sym_extern] = ACTIONS(495),
    [anon_sym___attribute__] = ACTIONS(245),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(248),
    [anon_sym___declspec] = ACTIONS(251),
    [anon_sym___cdecl] = ACTIONS(254),
    [anon_sym___clrcall] = ACTIONS(254),
    [anon_sym___stdcall] = ACTIONS(254),
    [anon_sym___fastcall] = ACTIONS(254),
    [anon_sym___thiscall] = ACTIONS(254),
    [anon_sym___vectorcall] = ACTIONS(254),
    [anon_sym_LBRACE] = ACTIONS(498),
    [anon_sym_signed] = ACTIONS(260),
    [anon_sym_unsigned] = ACTIONS(260),
    [anon_sym_long] = ACTIONS(260),
    [anon_sym_short] = ACTIONS(260),
    [anon_sym_static] = ACTIONS(263),
    [anon_sym_auto] = ACTIONS(263),
    [anon_sym_register] = ACTIONS(263),
    [anon_sym_inline] = ACTIONS(263),
    [anon_sym___inline] = ACTIONS(263),
    [anon_sym___inline__] = ACTIONS(263),
    [anon_sym___forceinline] = ACTIONS(263),
    [anon_sym_thread_local] = ACTIONS(263),
    [anon_sym___thread] = ACTIONS(263),
    [anon_sym_const] = ACTIONS(266),
    [anon_sym_constexpr] = ACTIONS(266),
    [anon_sym_volatile] = ACTIONS(266),
    [anon_sym_restrict] = ACTIONS(266),
    [anon_sym___restrict__] = ACTIONS(266),
    [anon_sym__Atomic] = ACTIONS(266),
    [anon_sym__Noreturn] = ACTIONS(266),
    [anon_sym_noreturn] = ACTIONS(266),
    [anon_sym_alignas] = ACTIONS(269),
    [anon_sym__Alignas] = ACTIONS(269),
    [sym_primitive_type] = ACTIONS(272),
    [anon_sym_enum] = ACTIONS(275),
    [anon_sym_struct] = ACTIONS(278),
    [anon_sym_union] = ACTIONS(281),
    [anon_sym_if] = ACTIONS(501),
    [anon_sym_switch] = ACTIONS(504),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(510),
    [anon_sym_while] = ACTIONS(513),
    [anon_sym_do] = ACTIONS(516),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_return] = ACTIONS(522),
    [anon_sym_break] = ACTIONS(525),
    [anon_sym_continue] = ACTIONS(528),
    [anon_sym_goto] = ACTIONS(531),
    [anon_sym___try] = ACTIONS(534),
    [anon_sym___leave] = ACTIONS(537),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_sizeof] = ACTIONS(326),
    [anon_sym___alignof__] = ACTIONS(329),
    [anon_sym___alignof] = ACTIONS(329),
    [anon_sym__alignof] = ACTIONS(329),
    [anon_sym_alignof] = ACTIONS(329),
    [anon_sym__Alignof] = ACTIONS(329),
    [anon_sym_offsetof] = ACTIONS(332),
    [anon_sym__Generic] = ACTIONS(335),
    [anon_sym_asm] = ACTIONS(338),
    [anon_sym___asm__] = ACTIONS(338),
    [sym_number_literal] = ACTIONS(341),
    [anon_sym_L_SQUOTE] = ACTIONS(344),
    [anon_sym_u_SQUOTE] = ACTIONS(344),
    [anon_sym_U_SQUOTE] = ACTIONS(344),
    [anon_sym_u8_SQUOTE] = ACTIONS(344),
    [anon_sym_SQUOTE] = ACTIONS(344),
    [anon_sym_L_DQUOTE] = ACTIONS(347),
    [anon_sym_u_DQUOTE] = ACTIONS(347),
    [anon_sym_U_DQUOTE] = ACTIONS(347),
    [anon_sym_u8_DQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_true] = ACTIONS(350),
    [sym_false] = ACTIONS(350),
    [anon_sym_NULL] = ACTIONS(353),
    [anon_sym_nullptr] = ACTIONS(353),
    [sym_comment] = ACTIONS(3),
  },
  [32] = {
    [sym__block_item] = STATE(33),
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_function_definition] = STATE(33),
    [sym__old_style_function_definition] = STATE(289),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1100),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_ms_call_modifier] = STATE(694),
    [sym_compound_statement] = STATE(172),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(791),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(253),
    [sym_statement] = STATE(33),
    [sym_labeled_statement] = STATE(172),
    [sym_expression_statement] = STATE(172),
    [sym_if_statement] = STATE(172),
    [sym_switch_statement] = STATE(172),
    [sym_case_statement] = STATE(172),
    [sym_while_statement] = STATE(172),
    [sym_do_statement] = STATE(172),
    [sym_for_statement] = STATE(172),
    [sym_return_statement] = STATE(172),
    [sym_break_statement] = STATE(172),
    [sym_continue_statement] = STATE(172),
    [sym_goto_statement] = STATE(172),
    [sym_seh_try_statement] = STATE(172),
    [sym_seh_leave_statement] = STATE(172),
    [sym_expression] = STATE(1014),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1860),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym__empty_declaration] = STATE(33),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(352),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(356),
    [aux_sym_preproc_include_token1] = ACTIONS(358),
    [aux_sym_preproc_def_token1] = ACTIONS(360),
    [aux_sym_preproc_if_token1] = ACTIONS(362),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(364),
    [sym_preproc_directive] = ACTIONS(366),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym___extension__] = ACTIONS(370),
    [anon_sym_typedef] = ACTIONS(372),
    [anon_sym_extern] = ACTIONS(374),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(376),
    [anon_sym_RBRACE] = ACTIONS(540),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(380),
    [anon_sym_switch] = ACTIONS(382),
    [anon_sym_case] = ACTIONS(384),
    [anon_sym_default] = ACTIONS(386),
    [anon_sym_while] = ACTIONS(388),
    [anon_sym_do] = ACTIONS(390),
    [anon_sym_for] = ACTIONS(392),
    [anon_sym_return] = ACTIONS(394),
    [anon_sym_break] = ACTIONS(396),
    [anon_sym_continue] = ACTIONS(398),
    [anon_sym_goto] = ACTIONS(400),
    [anon_sym___try] = ACTIONS(402),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [33] = {
    [sym__block_item] = STATE(40),
    [sym_preproc_include] = STATE(40),
    [sym_preproc_def] = STATE(40),
    [sym_preproc_function_def] = STATE(40),
    [sym_preproc_call] = STATE(40),
    [sym_preproc_if] = STATE(40),
    [sym_preproc_ifdef] = STATE(40),
    [sym_function_definition] = STATE(40),
    [sym__old_style_function_definition] = STATE(289),
    [sym_declaration] = STATE(40),
    [sym_type_definition] = STATE(40),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1100),
    [sym_linkage_specification] = STATE(40),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_ms_call_modifier] = STATE(694),
    [sym_compound_statement] = STATE(172),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(791),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(253),
    [sym_statement] = STATE(40),
    [sym_labeled_statement] = STATE(172),
    [sym_expression_statement] = STATE(172),
    [sym_if_statement] = STATE(172),
    [sym_switch_statement] = STATE(172),
    [sym_case_statement] = STATE(172),
    [sym_while_statement] = STATE(172),
    [sym_do_statement] = STATE(172),
    [sym_for_statement] = STATE(172),
    [sym_return_statement] = STATE(172),
    [sym_break_statement] = STATE(172),
    [sym_continue_statement] = STATE(172),
    [sym_goto_statement] = STATE(172),
    [sym_seh_try_statement] = STATE(172),
    [sym_seh_leave_statement] = STATE(172),
    [sym_expression] = STATE(1014),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1860),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym__empty_declaration] = STATE(40),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym_preproc_if_repeat1] = STATE(40),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(352),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(356),
    [aux_sym_preproc_include_token1] = ACTIONS(358),
    [aux_sym_preproc_def_token1] = ACTIONS(360),
    [aux_sym_preproc_if_token1] = ACTIONS(362),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(364),
    [sym_preproc_directive] = ACTIONS(366),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym___extension__] = ACTIONS(370),
    [anon_sym_typedef] = ACTIONS(372),
    [anon_sym_extern] = ACTIONS(374),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(376),
    [anon_sym_RBRACE] = ACTIONS(542),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(380),
    [anon_sym_switch] = ACTIONS(382),
    [anon_sym_case] = ACTIONS(384),
    [anon_sym_default] = ACTIONS(386),
    [anon_sym_while] = ACTIONS(388),
    [anon_sym_do] = ACTIONS(390),
    [anon_sym_for] = ACTIONS(392),
    [anon_sym_return] = ACTIONS(394),
    [anon_sym_break] = ACTIONS(396),
    [anon_sym_continue] = ACTIONS(398),
    [anon_sym_goto] = ACTIONS(400),
    [anon_sym___try] = ACTIONS(402),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [34] = {
    [sym__block_item] = STATE(41),
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_function_definition] = STATE(41),
    [sym__old_style_function_definition] = STATE(289),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1100),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_ms_call_modifier] = STATE(694),
    [sym_compound_statement] = STATE(172),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(791),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(253),
    [sym_statement] = STATE(41),
    [sym_labeled_statement] = STATE(172),
    [sym_expression_statement] = STATE(172),
    [sym_if_statement] = STATE(172),
    [sym_switch_statement] = STATE(172),
    [sym_case_statement] = STATE(172),
    [sym_while_statement] = STATE(172),
    [sym_do_statement] = STATE(172),
    [sym_for_statement] = STATE(172),
    [sym_return_statement] = STATE(172),
    [sym_break_statement] = STATE(172),
    [sym_continue_statement] = STATE(172),
    [sym_goto_statement] = STATE(172),
    [sym_seh_try_statement] = STATE(172),
    [sym_seh_leave_statement] = STATE(172),
    [sym_expression] = STATE(1014),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1860),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym__empty_declaration] = STATE(41),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(352),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(356),
    [aux_sym_preproc_include_token1] = ACTIONS(358),
    [aux_sym_preproc_def_token1] = ACTIONS(360),
    [aux_sym_preproc_if_token1] = ACTIONS(362),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(364),
    [sym_preproc_directive] = ACTIONS(366),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym___extension__] = ACTIONS(370),
    [anon_sym_typedef] = ACTIONS(372),
    [anon_sym_extern] = ACTIONS(374),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(376),
    [anon_sym_RBRACE] = ACTIONS(544),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(380),
    [anon_sym_switch] = ACTIONS(382),
    [anon_sym_case] = ACTIONS(384),
    [anon_sym_default] = ACTIONS(386),
    [anon_sym_while] = ACTIONS(388),
    [anon_sym_do] = ACTIONS(390),
    [anon_sym_for] = ACTIONS(392),
    [anon_sym_return] = ACTIONS(394),
    [anon_sym_break] = ACTIONS(396),
    [anon_sym_continue] = ACTIONS(398),
    [anon_sym_goto] = ACTIONS(400),
    [anon_sym___try] = ACTIONS(402),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [35] = {
    [sym__block_item] = STATE(40),
    [sym_preproc_include] = STATE(40),
    [sym_preproc_def] = STATE(40),
    [sym_preproc_function_def] = STATE(40),
    [sym_preproc_call] = STATE(40),
    [sym_preproc_if] = STATE(40),
    [sym_preproc_ifdef] = STATE(40),
    [sym_function_definition] = STATE(40),
    [sym__old_style_function_definition] = STATE(289),
    [sym_declaration] = STATE(40),
    [sym_type_definition] = STATE(40),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1100),
    [sym_linkage_specification] = STATE(40),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_ms_call_modifier] = STATE(694),
    [sym_compound_statement] = STATE(172),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(791),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(253),
    [sym_statement] = STATE(40),
    [sym_labeled_statement] = STATE(172),
    [sym_expression_statement] = STATE(172),
    [sym_if_statement] = STATE(172),
    [sym_switch_statement] = STATE(172),
    [sym_case_statement] = STATE(172),
    [sym_while_statement] = STATE(172),
    [sym_do_statement] = STATE(172),
    [sym_for_statement] = STATE(172),
    [sym_return_statement] = STATE(172),
    [sym_break_statement] = STATE(172),
    [sym_continue_statement] = STATE(172),
    [sym_goto_statement] = STATE(172),
    [sym_seh_try_statement] = STATE(172),
    [sym_seh_leave_statement] = STATE(172),
    [sym_expression] = STATE(1014),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1860),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym__empty_declaration] = STATE(40),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym_preproc_if_repeat1] = STATE(40),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(352),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(356),
    [aux_sym_preproc_include_token1] = ACTIONS(358),
    [aux_sym_preproc_def_token1] = ACTIONS(360),
    [aux_sym_preproc_if_token1] = ACTIONS(362),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(364),
    [sym_preproc_directive] = ACTIONS(366),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym___extension__] = ACTIONS(370),
    [anon_sym_typedef] = ACTIONS(372),
    [anon_sym_extern] = ACTIONS(374),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(376),
    [anon_sym_RBRACE] = ACTIONS(546),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(380),
    [anon_sym_switch] = ACTIONS(382),
    [anon_sym_case] = ACTIONS(384),
    [anon_sym_default] = ACTIONS(386),
    [anon_sym_while] = ACTIONS(388),
    [anon_sym_do] = ACTIONS(390),
    [anon_sym_for] = ACTIONS(392),
    [anon_sym_return] = ACTIONS(394),
    [anon_sym_break] = ACTIONS(396),
    [anon_sym_continue] = ACTIONS(398),
    [anon_sym_goto] = ACTIONS(400),
    [anon_sym___try] = ACTIONS(402),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [36] = {
    [sym__block_item] = STATE(26),
    [sym_preproc_include] = STATE(26),
    [sym_preproc_def] = STATE(26),
    [sym_preproc_function_def] = STATE(26),
    [sym_preproc_call] = STATE(26),
    [sym_preproc_if] = STATE(26),
    [sym_preproc_ifdef] = STATE(26),
    [sym_function_definition] = STATE(26),
    [sym__old_style_function_definition] = STATE(273),
    [sym_declaration] = STATE(26),
    [sym_type_definition] = STATE(26),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1099),
    [sym_linkage_specification] = STATE(26),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_ms_call_modifier] = STATE(691),
    [sym_compound_statement] = STATE(229),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(787),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(271),
    [sym_statement] = STATE(26),
    [sym_labeled_statement] = STATE(229),
    [sym_expression_statement] = STATE(229),
    [sym_if_statement] = STATE(229),
    [sym_switch_statement] = STATE(229),
    [sym_case_statement] = STATE(229),
    [sym_while_statement] = STATE(229),
    [sym_do_statement] = STATE(229),
    [sym_for_statement] = STATE(229),
    [sym_return_statement] = STATE(229),
    [sym_break_statement] = STATE(229),
    [sym_continue_statement] = STATE(229),
    [sym_goto_statement] = STATE(229),
    [sym_seh_try_statement] = STATE(229),
    [sym_seh_leave_statement] = STATE(229),
    [sym_expression] = STATE(1004),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1799),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym__empty_declaration] = STATE(26),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym_preproc_if_repeat1] = STATE(26),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(317),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(410),
    [aux_sym_preproc_include_token1] = ACTIONS(412),
    [aux_sym_preproc_def_token1] = ACTIONS(414),
    [aux_sym_preproc_if_token1] = ACTIONS(416),
    [aux_sym_preproc_if_token2] = ACTIONS(548),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(420),
    [sym_preproc_directive] = ACTIONS(422),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(424),
    [anon_sym___extension__] = ACTIONS(426),
    [anon_sym_typedef] = ACTIONS(428),
    [anon_sym_extern] = ACTIONS(430),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(432),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(434),
    [anon_sym_switch] = ACTIONS(436),
    [anon_sym_case] = ACTIONS(438),
    [anon_sym_default] = ACTIONS(440),
    [anon_sym_while] = ACTIONS(442),
    [anon_sym_do] = ACTIONS(444),
    [anon_sym_for] = ACTIONS(446),
    [anon_sym_return] = ACTIONS(448),
    [anon_sym_break] = ACTIONS(450),
    [anon_sym_continue] = ACTIONS(452),
    [anon_sym_goto] = ACTIONS(454),
    [anon_sym___try] = ACTIONS(456),
    [anon_sym___leave] = ACTIONS(458),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [37] = {
    [sym__block_item] = STATE(23),
    [sym_preproc_include] = STATE(23),
    [sym_preproc_def] = STATE(23),
    [sym_preproc_function_def] = STATE(23),
    [sym_preproc_call] = STATE(23),
    [sym_preproc_if] = STATE(23),
    [sym_preproc_ifdef] = STATE(23),
    [sym_function_definition] = STATE(23),
    [sym__old_style_function_definition] = STATE(289),
    [sym_declaration] = STATE(23),
    [sym_type_definition] = STATE(23),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1100),
    [sym_linkage_specification] = STATE(23),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_ms_call_modifier] = STATE(694),
    [sym_compound_statement] = STATE(172),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(791),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(253),
    [sym_statement] = STATE(23),
    [sym_labeled_statement] = STATE(172),
    [sym_expression_statement] = STATE(172),
    [sym_if_statement] = STATE(172),
    [sym_switch_statement] = STATE(172),
    [sym_case_statement] = STATE(172),
    [sym_while_statement] = STATE(172),
    [sym_do_statement] = STATE(172),
    [sym_for_statement] = STATE(172),
    [sym_return_statement] = STATE(172),
    [sym_break_statement] = STATE(172),
    [sym_continue_statement] = STATE(172),
    [sym_goto_statement] = STATE(172),
    [sym_seh_try_statement] = STATE(172),
    [sym_seh_leave_statement] = STATE(172),
    [sym_expression] = STATE(1014),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1860),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym__empty_declaration] = STATE(23),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym_preproc_if_repeat1] = STATE(23),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(352),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(356),
    [aux_sym_preproc_include_token1] = ACTIONS(358),
    [aux_sym_preproc_def_token1] = ACTIONS(360),
    [aux_sym_preproc_if_token1] = ACTIONS(362),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(364),
    [sym_preproc_directive] = ACTIONS(366),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym___extension__] = ACTIONS(370),
    [anon_sym_typedef] = ACTIONS(372),
    [anon_sym_extern] = ACTIONS(374),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(376),
    [anon_sym_RBRACE] = ACTIONS(550),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(380),
    [anon_sym_switch] = ACTIONS(382),
    [anon_sym_case] = ACTIONS(384),
    [anon_sym_default] = ACTIONS(386),
    [anon_sym_while] = ACTIONS(388),
    [anon_sym_do] = ACTIONS(390),
    [anon_sym_for] = ACTIONS(392),
    [anon_sym_return] = ACTIONS(394),
    [anon_sym_break] = ACTIONS(396),
    [anon_sym_continue] = ACTIONS(398),
    [anon_sym_goto] = ACTIONS(400),
    [anon_sym___try] = ACTIONS(402),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [38] = {
    [sym__block_item] = STATE(29),
    [sym_preproc_include] = STATE(29),
    [sym_preproc_def] = STATE(29),
    [sym_preproc_function_def] = STATE(29),
    [sym_preproc_call] = STATE(29),
    [sym_preproc_if] = STATE(29),
    [sym_preproc_ifdef] = STATE(29),
    [sym_function_definition] = STATE(29),
    [sym__old_style_function_definition] = STATE(289),
    [sym_declaration] = STATE(29),
    [sym_type_definition] = STATE(29),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1100),
    [sym_linkage_specification] = STATE(29),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_ms_call_modifier] = STATE(694),
    [sym_compound_statement] = STATE(172),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(791),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(253),
    [sym_statement] = STATE(29),
    [sym_labeled_statement] = STATE(172),
    [sym_expression_statement] = STATE(172),
    [sym_if_statement] = STATE(172),
    [sym_switch_statement] = STATE(172),
    [sym_case_statement] = STATE(172),
    [sym_while_statement] = STATE(172),
    [sym_do_statement] = STATE(172),
    [sym_for_statement] = STATE(172),
    [sym_return_statement] = STATE(172),
    [sym_break_statement] = STATE(172),
    [sym_continue_statement] = STATE(172),
    [sym_goto_statement] = STATE(172),
    [sym_seh_try_statement] = STATE(172),
    [sym_seh_leave_statement] = STATE(172),
    [sym_expression] = STATE(1014),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1860),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym__empty_declaration] = STATE(29),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym_preproc_if_repeat1] = STATE(29),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(352),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(356),
    [aux_sym_preproc_include_token1] = ACTIONS(358),
    [aux_sym_preproc_def_token1] = ACTIONS(360),
    [aux_sym_preproc_if_token1] = ACTIONS(362),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(364),
    [sym_preproc_directive] = ACTIONS(366),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym___extension__] = ACTIONS(370),
    [anon_sym_typedef] = ACTIONS(372),
    [anon_sym_extern] = ACTIONS(374),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(376),
    [anon_sym_RBRACE] = ACTIONS(552),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(380),
    [anon_sym_switch] = ACTIONS(382),
    [anon_sym_case] = ACTIONS(384),
    [anon_sym_default] = ACTIONS(386),
    [anon_sym_while] = ACTIONS(388),
    [anon_sym_do] = ACTIONS(390),
    [anon_sym_for] = ACTIONS(392),
    [anon_sym_return] = ACTIONS(394),
    [anon_sym_break] = ACTIONS(396),
    [anon_sym_continue] = ACTIONS(398),
    [anon_sym_goto] = ACTIONS(400),
    [anon_sym___try] = ACTIONS(402),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [39] = {
    [sym__block_item] = STATE(35),
    [sym_preproc_include] = STATE(35),
    [sym_preproc_def] = STATE(35),
    [sym_preproc_function_def] = STATE(35),
    [sym_preproc_call] = STATE(35),
    [sym_preproc_if] = STATE(35),
    [sym_preproc_ifdef] = STATE(35),
    [sym_function_definition] = STATE(35),
    [sym__old_style_function_definition] = STATE(289),
    [sym_declaration] = STATE(35),
    [sym_type_definition] = STATE(35),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1100),
    [sym_linkage_specification] = STATE(35),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_ms_call_modifier] = STATE(694),
    [sym_compound_statement] = STATE(172),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(791),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(253),
    [sym_statement] = STATE(35),
    [sym_labeled_statement] = STATE(172),
    [sym_expression_statement] = STATE(172),
    [sym_if_statement] = STATE(172),
    [sym_switch_statement] = STATE(172),
    [sym_case_statement] = STATE(172),
    [sym_while_statement] = STATE(172),
    [sym_do_statement] = STATE(172),
    [sym_for_statement] = STATE(172),
    [sym_return_statement] = STATE(172),
    [sym_break_statement] = STATE(172),
    [sym_continue_statement] = STATE(172),
    [sym_goto_statement] = STATE(172),
    [sym_seh_try_statement] = STATE(172),
    [sym_seh_leave_statement] = STATE(172),
    [sym_expression] = STATE(1014),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1860),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym__empty_declaration] = STATE(35),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym_preproc_if_repeat1] = STATE(35),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(352),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(356),
    [aux_sym_preproc_include_token1] = ACTIONS(358),
    [aux_sym_preproc_def_token1] = ACTIONS(360),
    [aux_sym_preproc_if_token1] = ACTIONS(362),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(364),
    [sym_preproc_directive] = ACTIONS(366),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym___extension__] = ACTIONS(370),
    [anon_sym_typedef] = ACTIONS(372),
    [anon_sym_extern] = ACTIONS(374),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(376),
    [anon_sym_RBRACE] = ACTIONS(554),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(380),
    [anon_sym_switch] = ACTIONS(382),
    [anon_sym_case] = ACTIONS(384),
    [anon_sym_default] = ACTIONS(386),
    [anon_sym_while] = ACTIONS(388),
    [anon_sym_do] = ACTIONS(390),
    [anon_sym_for] = ACTIONS(392),
    [anon_sym_return] = ACTIONS(394),
    [anon_sym_break] = ACTIONS(396),
    [anon_sym_continue] = ACTIONS(398),
    [anon_sym_goto] = ACTIONS(400),
    [anon_sym___try] = ACTIONS(402),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [40] = {
    [sym__block_item] = STATE(40),
    [sym_preproc_include] = STATE(40),
    [sym_preproc_def] = STATE(40),
    [sym_preproc_function_def] = STATE(40),
    [sym_preproc_call] = STATE(40),
    [sym_preproc_if] = STATE(40),
    [sym_preproc_ifdef] = STATE(40),
    [sym_function_definition] = STATE(40),
    [sym__old_style_function_definition] = STATE(289),
    [sym_declaration] = STATE(40),
    [sym_type_definition] = STATE(40),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1100),
    [sym_linkage_specification] = STATE(40),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_ms_call_modifier] = STATE(694),
    [sym_compound_statement] = STATE(172),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(791),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(253),
    [sym_statement] = STATE(40),
    [sym_labeled_statement] = STATE(172),
    [sym_expression_statement] = STATE(172),
    [sym_if_statement] = STATE(172),
    [sym_switch_statement] = STATE(172),
    [sym_case_statement] = STATE(172),
    [sym_while_statement] = STATE(172),
    [sym_do_statement] = STATE(172),
    [sym_for_statement] = STATE(172),
    [sym_return_statement] = STATE(172),
    [sym_break_statement] = STATE(172),
    [sym_continue_statement] = STATE(172),
    [sym_goto_statement] = STATE(172),
    [sym_seh_try_statement] = STATE(172),
    [sym_seh_leave_statement] = STATE(172),
    [sym_expression] = STATE(1014),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1860),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym__empty_declaration] = STATE(40),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym_preproc_if_repeat1] = STATE(40),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(352),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(556),
    [aux_sym_preproc_include_token1] = ACTIONS(559),
    [aux_sym_preproc_def_token1] = ACTIONS(562),
    [aux_sym_preproc_if_token1] = ACTIONS(565),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(568),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(568),
    [sym_preproc_directive] = ACTIONS(571),
    [anon_sym_LPAREN2] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(224),
    [anon_sym_TILDE] = ACTIONS(224),
    [anon_sym_DASH] = ACTIONS(227),
    [anon_sym_PLUS] = ACTIONS(227),
    [anon_sym_STAR] = ACTIONS(230),
    [anon_sym_AMP] = ACTIONS(230),
    [anon_sym_SEMI] = ACTIONS(574),
    [anon_sym___extension__] = ACTIONS(577),
    [anon_sym_typedef] = ACTIONS(580),
    [anon_sym_extern] = ACTIONS(583),
    [anon_sym___attribute__] = ACTIONS(245),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(248),
    [anon_sym___declspec] = ACTIONS(251),
    [anon_sym___cdecl] = ACTIONS(254),
    [anon_sym___clrcall] = ACTIONS(254),
    [anon_sym___stdcall] = ACTIONS(254),
    [anon_sym___fastcall] = ACTIONS(254),
    [anon_sym___thiscall] = ACTIONS(254),
    [anon_sym___vectorcall] = ACTIONS(254),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_RBRACE] = ACTIONS(589),
    [anon_sym_signed] = ACTIONS(260),
    [anon_sym_unsigned] = ACTIONS(260),
    [anon_sym_long] = ACTIONS(260),
    [anon_sym_short] = ACTIONS(260),
    [anon_sym_static] = ACTIONS(263),
    [anon_sym_auto] = ACTIONS(263),
    [anon_sym_register] = ACTIONS(263),
    [anon_sym_inline] = ACTIONS(263),
    [anon_sym___inline] = ACTIONS(263),
    [anon_sym___inline__] = ACTIONS(263),
    [anon_sym___forceinline] = ACTIONS(263),
    [anon_sym_thread_local] = ACTIONS(263),
    [anon_sym___thread] = ACTIONS(263),
    [anon_sym_const] = ACTIONS(266),
    [anon_sym_constexpr] = ACTIONS(266),
    [anon_sym_volatile] = ACTIONS(266),
    [anon_sym_restrict] = ACTIONS(266),
    [anon_sym___restrict__] = ACTIONS(266),
    [anon_sym__Atomic] = ACTIONS(266),
    [anon_sym__Noreturn] = ACTIONS(266),
    [anon_sym_noreturn] = ACTIONS(266),
    [anon_sym_alignas] = ACTIONS(269),
    [anon_sym__Alignas] = ACTIONS(269),
    [sym_primitive_type] = ACTIONS(272),
    [anon_sym_enum] = ACTIONS(275),
    [anon_sym_struct] = ACTIONS(278),
    [anon_sym_union] = ACTIONS(281),
    [anon_sym_if] = ACTIONS(591),
    [anon_sym_switch] = ACTIONS(594),
    [anon_sym_case] = ACTIONS(597),
    [anon_sym_default] = ACTIONS(600),
    [anon_sym_while] = ACTIONS(603),
    [anon_sym_do] = ACTIONS(606),
    [anon_sym_for] = ACTIONS(609),
    [anon_sym_return] = ACTIONS(612),
    [anon_sym_break] = ACTIONS(615),
    [anon_sym_continue] = ACTIONS(618),
    [anon_sym_goto] = ACTIONS(621),
    [anon_sym___try] = ACTIONS(624),
    [anon_sym___leave] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(323),
    [anon_sym_PLUS_PLUS] = ACTIONS(323),
    [anon_sym_sizeof] = ACTIONS(326),
    [anon_sym___alignof__] = ACTIONS(329),
    [anon_sym___alignof] = ACTIONS(329),
    [anon_sym__alignof] = ACTIONS(329),
    [anon_sym_alignof] = ACTIONS(329),
    [anon_sym__Alignof] = ACTIONS(329),
    [anon_sym_offsetof] = ACTIONS(332),
    [anon_sym__Generic] = ACTIONS(335),
    [anon_sym_asm] = ACTIONS(338),
    [anon_sym___asm__] = ACTIONS(338),
    [sym_number_literal] = ACTIONS(341),
    [anon_sym_L_SQUOTE] = ACTIONS(344),
    [anon_sym_u_SQUOTE] = ACTIONS(344),
    [anon_sym_U_SQUOTE] = ACTIONS(344),
    [anon_sym_u8_SQUOTE] = ACTIONS(344),
    [anon_sym_SQUOTE] = ACTIONS(344),
    [anon_sym_L_DQUOTE] = ACTIONS(347),
    [anon_sym_u_DQUOTE] = ACTIONS(347),
    [anon_sym_U_DQUOTE] = ACTIONS(347),
    [anon_sym_u8_DQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(347),
    [sym_true] = ACTIONS(350),
    [sym_false] = ACTIONS(350),
    [anon_sym_NULL] = ACTIONS(353),
    [anon_sym_nullptr] = ACTIONS(353),
    [sym_comment] = ACTIONS(3),
  },
  [41] = {
    [sym__block_item] = STATE(40),
    [sym_preproc_include] = STATE(40),
    [sym_preproc_def] = STATE(40),
    [sym_preproc_function_def] = STATE(40),
    [sym_preproc_call] = STATE(40),
    [sym_preproc_if] = STATE(40),
    [sym_preproc_ifdef] = STATE(40),
    [sym_function_definition] = STATE(40),
    [sym__old_style_function_definition] = STATE(289),
    [sym_declaration] = STATE(40),
    [sym_type_definition] = STATE(40),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1100),
    [sym_linkage_specification] = STATE(40),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_ms_call_modifier] = STATE(694),
    [sym_compound_statement] = STATE(172),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(791),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(253),
    [sym_statement] = STATE(40),
    [sym_labeled_statement] = STATE(172),
    [sym_expression_statement] = STATE(172),
    [sym_if_statement] = STATE(172),
    [sym_switch_statement] = STATE(172),
    [sym_case_statement] = STATE(172),
    [sym_while_statement] = STATE(172),
    [sym_do_statement] = STATE(172),
    [sym_for_statement] = STATE(172),
    [sym_return_statement] = STATE(172),
    [sym_break_statement] = STATE(172),
    [sym_continue_statement] = STATE(172),
    [sym_goto_statement] = STATE(172),
    [sym_seh_try_statement] = STATE(172),
    [sym_seh_leave_statement] = STATE(172),
    [sym_expression] = STATE(1014),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1860),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym__empty_declaration] = STATE(40),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym_preproc_if_repeat1] = STATE(40),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(352),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(356),
    [aux_sym_preproc_include_token1] = ACTIONS(358),
    [aux_sym_preproc_def_token1] = ACTIONS(360),
    [aux_sym_preproc_if_token1] = ACTIONS(362),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(364),
    [sym_preproc_directive] = ACTIONS(366),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym___extension__] = ACTIONS(370),
    [anon_sym_typedef] = ACTIONS(372),
    [anon_sym_extern] = ACTIONS(374),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(376),
    [anon_sym_RBRACE] = ACTIONS(630),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(380),
    [anon_sym_switch] = ACTIONS(382),
    [anon_sym_case] = ACTIONS(384),
    [anon_sym_default] = ACTIONS(386),
    [anon_sym_while] = ACTIONS(388),
    [anon_sym_do] = ACTIONS(390),
    [anon_sym_for] = ACTIONS(392),
    [anon_sym_return] = ACTIONS(394),
    [anon_sym_break] = ACTIONS(396),
    [anon_sym_continue] = ACTIONS(398),
    [anon_sym_goto] = ACTIONS(400),
    [anon_sym___try] = ACTIONS(402),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [42] = {
    [sym__block_item] = STATE(40),
    [sym_preproc_include] = STATE(40),
    [sym_preproc_def] = STATE(40),
    [sym_preproc_function_def] = STATE(40),
    [sym_preproc_call] = STATE(40),
    [sym_preproc_if] = STATE(40),
    [sym_preproc_ifdef] = STATE(40),
    [sym_function_definition] = STATE(40),
    [sym__old_style_function_definition] = STATE(289),
    [sym_declaration] = STATE(40),
    [sym_type_definition] = STATE(40),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1100),
    [sym_linkage_specification] = STATE(40),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_ms_call_modifier] = STATE(694),
    [sym_compound_statement] = STATE(172),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(791),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(253),
    [sym_statement] = STATE(40),
    [sym_labeled_statement] = STATE(172),
    [sym_expression_statement] = STATE(172),
    [sym_if_statement] = STATE(172),
    [sym_switch_statement] = STATE(172),
    [sym_case_statement] = STATE(172),
    [sym_while_statement] = STATE(172),
    [sym_do_statement] = STATE(172),
    [sym_for_statement] = STATE(172),
    [sym_return_statement] = STATE(172),
    [sym_break_statement] = STATE(172),
    [sym_continue_statement] = STATE(172),
    [sym_goto_statement] = STATE(172),
    [sym_seh_try_statement] = STATE(172),
    [sym_seh_leave_statement] = STATE(172),
    [sym_expression] = STATE(1014),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1860),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym__empty_declaration] = STATE(40),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym_preproc_if_repeat1] = STATE(40),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(352),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(356),
    [aux_sym_preproc_include_token1] = ACTIONS(358),
    [aux_sym_preproc_def_token1] = ACTIONS(360),
    [aux_sym_preproc_if_token1] = ACTIONS(362),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(364),
    [sym_preproc_directive] = ACTIONS(366),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym___extension__] = ACTIONS(370),
    [anon_sym_typedef] = ACTIONS(372),
    [anon_sym_extern] = ACTIONS(374),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(376),
    [anon_sym_RBRACE] = ACTIONS(632),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(380),
    [anon_sym_switch] = ACTIONS(382),
    [anon_sym_case] = ACTIONS(384),
    [anon_sym_default] = ACTIONS(386),
    [anon_sym_while] = ACTIONS(388),
    [anon_sym_do] = ACTIONS(390),
    [anon_sym_for] = ACTIONS(392),
    [anon_sym_return] = ACTIONS(394),
    [anon_sym_break] = ACTIONS(396),
    [anon_sym_continue] = ACTIONS(398),
    [anon_sym_goto] = ACTIONS(400),
    [anon_sym___try] = ACTIONS(402),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [43] = {
    [sym__top_level_item] = STATE(44),
    [sym_preproc_include] = STATE(44),
    [sym_preproc_def] = STATE(44),
    [sym_preproc_function_def] = STATE(44),
    [sym_preproc_call] = STATE(44),
    [sym_preproc_if] = STATE(44),
    [sym_preproc_ifdef] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym__old_style_function_definition] = STATE(359),
    [sym_declaration] = STATE(44),
    [sym_type_definition] = STATE(44),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1101),
    [sym_linkage_specification] = STATE(44),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_ms_call_modifier] = STATE(697),
    [sym_compound_statement] = STATE(44),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(785),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(380),
    [sym__top_level_statement] = STATE(44),
    [sym_labeled_statement] = STATE(44),
    [sym__top_level_expression_statement] = STATE(44),
    [sym_if_statement] = STATE(44),
    [sym_switch_statement] = STATE(44),
    [sym_case_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_do_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_return_statement] = STATE(44),
    [sym_break_statement] = STATE(44),
    [sym_continue_statement] = STATE(44),
    [sym_goto_statement] = STATE(44),
    [sym_expression] = STATE(1078),
    [sym__string] = STATE(1076),
    [sym_conditional_expression] = STATE(1076),
    [sym_assignment_expression] = STATE(1076),
    [sym_pointer_expression] = STATE(898),
    [sym_unary_expression] = STATE(1076),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(1076),
    [sym_cast_expression] = STATE(1076),
    [sym_sizeof_expression] = STATE(1076),
    [sym_alignof_expression] = STATE(1076),
    [sym_offsetof_expression] = STATE(1076),
    [sym_generic_expression] = STATE(1076),
    [sym_subscript_expression] = STATE(898),
    [sym_call_expression] = STATE(898),
    [sym_gnu_asm_expression] = STATE(1076),
    [sym_field_expression] = STATE(898),
    [sym_compound_literal_expression] = STATE(1076),
    [sym_parenthesized_expression] = STATE(898),
    [sym_char_literal] = STATE(1076),
    [sym_concatenated_string] = STATE(1076),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(1076),
    [sym__empty_declaration] = STATE(44),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym_translation_unit_repeat1] = STATE(44),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(347),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [ts_builtin_sym_end] = ACTIONS(634),
    [sym_identifier] = ACTIONS(7),
    [aux_sym_preproc_include_token1] = ACTIONS(9),
    [aux_sym_preproc_def_token1] = ACTIONS(11),
    [aux_sym_preproc_if_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(15),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(27),
    [anon_sym_typedef] = ACTIONS(29),
    [anon_sym_extern] = ACTIONS(31),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(63),
    [anon_sym_default] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_do] = ACTIONS(69),
    [anon_sym_for] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(93),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(99),
    [sym_false] = ACTIONS(99),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [44] = {
    [sym__top_level_item] = STATE(44),
    [sym_preproc_include] = STATE(44),
    [sym_preproc_def] = STATE(44),
    [sym_preproc_function_def] = STATE(44),
    [sym_preproc_call] = STATE(44),
    [sym_preproc_if] = STATE(44),
    [sym_preproc_ifdef] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym__old_style_function_definition] = STATE(359),
    [sym_declaration] = STATE(44),
    [sym_type_definition] = STATE(44),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1101),
    [sym_linkage_specification] = STATE(44),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_ms_call_modifier] = STATE(697),
    [sym_compound_statement] = STATE(44),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(785),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(380),
    [sym__top_level_statement] = STATE(44),
    [sym_labeled_statement] = STATE(44),
    [sym__top_level_expression_statement] = STATE(44),
    [sym_if_statement] = STATE(44),
    [sym_switch_statement] = STATE(44),
    [sym_case_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_do_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_return_statement] = STATE(44),
    [sym_break_statement] = STATE(44),
    [sym_continue_statement] = STATE(44),
    [sym_goto_statement] = STATE(44),
    [sym_expression] = STATE(1078),
    [sym__string] = STATE(1076),
    [sym_conditional_expression] = STATE(1076),
    [sym_assignment_expression] = STATE(1076),
    [sym_pointer_expression] = STATE(898),
    [sym_unary_expression] = STATE(1076),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(1076),
    [sym_cast_expression] = STATE(1076),
    [sym_sizeof_expression] = STATE(1076),
    [sym_alignof_expression] = STATE(1076),
    [sym_offsetof_expression] = STATE(1076),
    [sym_generic_expression] = STATE(1076),
    [sym_subscript_expression] = STATE(898),
    [sym_call_expression] = STATE(898),
    [sym_gnu_asm_expression] = STATE(1076),
    [sym_field_expression] = STATE(898),
    [sym_compound_literal_expression] = STATE(1076),
    [sym_parenthesized_expression] = STATE(898),
    [sym_char_literal] = STATE(1076),
    [sym_concatenated_string] = STATE(1076),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(1076),
    [sym__empty_declaration] = STATE(44),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym_translation_unit_repeat1] = STATE(44),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(347),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [ts_builtin_sym_end] = ACTIONS(636),
    [sym_identifier] = ACTIONS(638),
    [aux_sym_preproc_include_token1] = ACTIONS(641),
    [aux_sym_preproc_def_token1] = ACTIONS(644),
    [aux_sym_preproc_if_token1] = ACTIONS(647),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(650),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(650),
    [sym_preproc_directive] = ACTIONS(653),
    [anon_sym_LPAREN2] = ACTIONS(656),
    [anon_sym_BANG] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(662),
    [anon_sym_PLUS] = ACTIONS(662),
    [anon_sym_STAR] = ACTIONS(665),
    [anon_sym_AMP] = ACTIONS(665),
    [anon_sym___extension__] = ACTIONS(668),
    [anon_sym_typedef] = ACTIONS(671),
    [anon_sym_extern] = ACTIONS(674),
    [anon_sym___attribute__] = ACTIONS(677),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(680),
    [anon_sym___declspec] = ACTIONS(683),
    [anon_sym___cdecl] = ACTIONS(686),
    [anon_sym___clrcall] = ACTIONS(686),
    [anon_sym___stdcall] = ACTIONS(686),
    [anon_sym___fastcall] = ACTIONS(686),
    [anon_sym___thiscall] = ACTIONS(686),
    [anon_sym___vectorcall] = ACTIONS(686),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_signed] = ACTIONS(692),
    [anon_sym_unsigned] = ACTIONS(692),
    [anon_sym_long] = ACTIONS(692),
    [anon_sym_short] = ACTIONS(692),
    [anon_sym_static] = ACTIONS(695),
    [anon_sym_auto] = ACTIONS(695),
    [anon_sym_register] = ACTIONS(695),
    [anon_sym_inline] = ACTIONS(695),
    [anon_sym___inline] = ACTIONS(695),
    [anon_sym___inline__] = ACTIONS(695),
    [anon_sym___forceinline] = ACTIONS(695),
    [anon_sym_thread_local] = ACTIONS(695),
    [anon_sym___thread] = ACTIONS(695),
    [anon_sym_const] = ACTIONS(698),
    [anon_sym_constexpr] = ACTIONS(698),
    [anon_sym_volatile] = ACTIONS(698),
    [anon_sym_restrict] = ACTIONS(698),
    [anon_sym___restrict__] = ACTIONS(698),
    [anon_sym__Atomic] = ACTIONS(698),
    [anon_sym__Noreturn] = ACTIONS(698),
    [anon_sym_noreturn] = ACTIONS(698),
    [anon_sym_alignas] = ACTIONS(701),
    [anon_sym__Alignas] = ACTIONS(701),
    [sym_primitive_type] = ACTIONS(704),
    [anon_sym_enum] = ACTIONS(707),
    [anon_sym_struct] = ACTIONS(710),
    [anon_sym_union] = ACTIONS(713),
    [anon_sym_if] = ACTIONS(716),
    [anon_sym_switch] = ACTIONS(719),
    [anon_sym_case] = ACTIONS(722),
    [anon_sym_default] = ACTIONS(725),
    [anon_sym_while] = ACTIONS(728),
    [anon_sym_do] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(734),
    [anon_sym_return] = ACTIONS(737),
    [anon_sym_break] = ACTIONS(740),
    [anon_sym_continue] = ACTIONS(743),
    [anon_sym_goto] = ACTIONS(746),
    [anon_sym_DASH_DASH] = ACTIONS(749),
    [anon_sym_PLUS_PLUS] = ACTIONS(749),
    [anon_sym_sizeof] = ACTIONS(752),
    [anon_sym___alignof__] = ACTIONS(755),
    [anon_sym___alignof] = ACTIONS(755),
    [anon_sym__alignof] = ACTIONS(755),
    [anon_sym_alignof] = ACTIONS(755),
    [anon_sym__Alignof] = ACTIONS(755),
    [anon_sym_offsetof] = ACTIONS(758),
    [anon_sym__Generic] = ACTIONS(761),
    [anon_sym_asm] = ACTIONS(764),
    [anon_sym___asm__] = ACTIONS(764),
    [sym_number_literal] = ACTIONS(767),
    [anon_sym_L_SQUOTE] = ACTIONS(770),
    [anon_sym_u_SQUOTE] = ACTIONS(770),
    [anon_sym_U_SQUOTE] = ACTIONS(770),
    [anon_sym_u8_SQUOTE] = ACTIONS(770),
    [anon_sym_SQUOTE] = ACTIONS(770),
    [anon_sym_L_DQUOTE] = ACTIONS(773),
    [anon_sym_u_DQUOTE] = ACTIONS(773),
    [anon_sym_U_DQUOTE] = ACTIONS(773),
    [anon_sym_u8_DQUOTE] = ACTIONS(773),
    [anon_sym_DQUOTE] = ACTIONS(773),
    [sym_true] = ACTIONS(776),
    [sym_false] = ACTIONS(776),
    [anon_sym_NULL] = ACTIONS(779),
    [anon_sym_nullptr] = ACTIONS(779),
    [sym_comment] = ACTIONS(3),
  },
  [45] = {
    [sym_declaration] = STATE(45),
    [sym_type_definition] = STATE(45),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1119),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_compound_statement] = STATE(45),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(716),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(45),
    [sym_labeled_statement] = STATE(45),
    [sym_expression_statement] = STATE(45),
    [sym_if_statement] = STATE(45),
    [sym_switch_statement] = STATE(45),
    [sym_while_statement] = STATE(45),
    [sym_do_statement] = STATE(45),
    [sym_for_statement] = STATE(45),
    [sym_return_statement] = STATE(45),
    [sym_break_statement] = STATE(45),
    [sym_continue_statement] = STATE(45),
    [sym_goto_statement] = STATE(45),
    [sym_seh_try_statement] = STATE(45),
    [sym_seh_leave_statement] = STATE(45),
    [sym_expression] = STATE(1029),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1759),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(349),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [aux_sym_case_statement_repeat1] = STATE(45),
    [sym_identifier] = ACTIONS(782),
    [aux_sym_preproc_include_token1] = ACTIONS(785),
    [aux_sym_preproc_def_token1] = ACTIONS(785),
    [aux_sym_preproc_if_token1] = ACTIONS(785),
    [aux_sym_preproc_if_token2] = ACTIONS(785),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(785),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(785),
    [aux_sym_preproc_else_token1] = ACTIONS(785),
    [aux_sym_preproc_elif_token1] = ACTIONS(785),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(785),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(785),
    [sym_preproc_directive] = ACTIONS(785),
    [anon_sym_LPAREN2] = ACTIONS(787),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(796),
    [anon_sym_AMP] = ACTIONS(796),
    [anon_sym_SEMI] = ACTIONS(799),
    [anon_sym___extension__] = ACTIONS(802),
    [anon_sym_typedef] = ACTIONS(805),
    [anon_sym_extern] = ACTIONS(808),
    [anon_sym___attribute__] = ACTIONS(811),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(814),
    [anon_sym___declspec] = ACTIONS(817),
    [anon_sym___cdecl] = ACTIONS(785),
    [anon_sym___clrcall] = ACTIONS(785),
    [anon_sym___stdcall] = ACTIONS(785),
    [anon_sym___fastcall] = ACTIONS(785),
    [anon_sym___thiscall] = ACTIONS(785),
    [anon_sym___vectorcall] = ACTIONS(785),
    [anon_sym_LBRACE] = ACTIONS(820),
    [anon_sym_signed] = ACTIONS(823),
    [anon_sym_unsigned] = ACTIONS(823),
    [anon_sym_long] = ACTIONS(823),
    [anon_sym_short] = ACTIONS(823),
    [anon_sym_static] = ACTIONS(808),
    [anon_sym_auto] = ACTIONS(808),
    [anon_sym_register] = ACTIONS(808),
    [anon_sym_inline] = ACTIONS(808),
    [anon_sym___inline] = ACTIONS(808),
    [anon_sym___inline__] = ACTIONS(808),
    [anon_sym___forceinline] = ACTIONS(808),
    [anon_sym_thread_local] = ACTIONS(808),
    [anon_sym___thread] = ACTIONS(808),
    [anon_sym_const] = ACTIONS(826),
    [anon_sym_constexpr] = ACTIONS(826),
    [anon_sym_volatile] = ACTIONS(826),
    [anon_sym_restrict] = ACTIONS(826),
    [anon_sym___restrict__] = ACTIONS(826),
    [anon_sym__Atomic] = ACTIONS(826),
    [anon_sym__Noreturn] = ACTIONS(826),
    [anon_sym_noreturn] = ACTIONS(826),
    [anon_sym_alignas] = ACTIONS(829),
    [anon_sym__Alignas] = ACTIONS(829),
    [sym_primitive_type] = ACTIONS(832),
    [anon_sym_enum] = ACTIONS(835),
    [anon_sym_struct] = ACTIONS(838),
    [anon_sym_union] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(844),
    [anon_sym_else] = ACTIONS(785),
    [anon_sym_switch] = ACTIONS(847),
    [anon_sym_case] = ACTIONS(785),
    [anon_sym_default] = ACTIONS(785),
    [anon_sym_while] = ACTIONS(850),
    [anon_sym_do] = ACTIONS(853),
    [anon_sym_for] = ACTIONS(856),
    [anon_sym_return] = ACTIONS(859),
    [anon_sym_break] = ACTIONS(862),
    [anon_sym_continue] = ACTIONS(865),
    [anon_sym_goto] = ACTIONS(868),
    [anon_sym___try] = ACTIONS(871),
    [anon_sym___leave] = ACTIONS(874),
    [anon_sym_DASH_DASH] = ACTIONS(877),
    [anon_sym_PLUS_PLUS] = ACTIONS(877),
    [anon_sym_sizeof] = ACTIONS(880),
    [anon_sym___alignof__] = ACTIONS(883),
    [anon_sym___alignof] = ACTIONS(883),
    [anon_sym__alignof] = ACTIONS(883),
    [anon_sym_alignof] = ACTIONS(883),
    [anon_sym__Alignof] = ACTIONS(883),
    [anon_sym_offsetof] = ACTIONS(886),
    [anon_sym__Generic] = ACTIONS(889),
    [anon_sym_asm] = ACTIONS(892),
    [anon_sym___asm__] = ACTIONS(892),
    [sym_number_literal] = ACTIONS(895),
    [anon_sym_L_SQUOTE] = ACTIONS(898),
    [anon_sym_u_SQUOTE] = ACTIONS(898),
    [anon_sym_U_SQUOTE] = ACTIONS(898),
    [anon_sym_u8_SQUOTE] = ACTIONS(898),
    [anon_sym_SQUOTE] = ACTIONS(898),
    [anon_sym_L_DQUOTE] = ACTIONS(901),
    [anon_sym_u_DQUOTE] = ACTIONS(901),
    [anon_sym_U_DQUOTE] = ACTIONS(901),
    [anon_sym_u8_DQUOTE] = ACTIONS(901),
    [anon_sym_DQUOTE] = ACTIONS(901),
    [sym_true] = ACTIONS(904),
    [sym_false] = ACTIONS(904),
    [anon_sym_NULL] = ACTIONS(907),
    [anon_sym_nullptr] = ACTIONS(907),
    [sym_comment] = ACTIONS(3),
  },
  [46] = {
    [sym_declaration] = STATE(45),
    [sym_type_definition] = STATE(45),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1119),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_compound_statement] = STATE(45),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(716),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(45),
    [sym_labeled_statement] = STATE(45),
    [sym_expression_statement] = STATE(45),
    [sym_if_statement] = STATE(45),
    [sym_switch_statement] = STATE(45),
    [sym_while_statement] = STATE(45),
    [sym_do_statement] = STATE(45),
    [sym_for_statement] = STATE(45),
    [sym_return_statement] = STATE(45),
    [sym_break_statement] = STATE(45),
    [sym_continue_statement] = STATE(45),
    [sym_goto_statement] = STATE(45),
    [sym_seh_try_statement] = STATE(45),
    [sym_seh_leave_statement] = STATE(45),
    [sym_expression] = STATE(1029),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1759),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(349),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [aux_sym_case_statement_repeat1] = STATE(45),
    [sym_identifier] = ACTIONS(910),
    [aux_sym_preproc_include_token1] = ACTIONS(912),
    [aux_sym_preproc_def_token1] = ACTIONS(912),
    [aux_sym_preproc_if_token1] = ACTIONS(912),
    [aux_sym_preproc_if_token2] = ACTIONS(912),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(912),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(912),
    [aux_sym_preproc_else_token1] = ACTIONS(912),
    [aux_sym_preproc_elif_token1] = ACTIONS(912),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(912),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(912),
    [sym_preproc_directive] = ACTIONS(912),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym___extension__] = ACTIONS(125),
    [anon_sym_typedef] = ACTIONS(127),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(912),
    [anon_sym___clrcall] = ACTIONS(912),
    [anon_sym___stdcall] = ACTIONS(912),
    [anon_sym___fastcall] = ACTIONS(912),
    [anon_sym___thiscall] = ACTIONS(912),
    [anon_sym___vectorcall] = ACTIONS(912),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_else] = ACTIONS(912),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_case] = ACTIONS(912),
    [anon_sym_default] = ACTIONS(912),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_return] = ACTIONS(147),
    [anon_sym_break] = ACTIONS(149),
    [anon_sym_continue] = ACTIONS(151),
    [anon_sym_goto] = ACTIONS(153),
    [anon_sym___try] = ACTIONS(155),
    [anon_sym___leave] = ACTIONS(157),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [47] = {
    [sym_declaration] = STATE(49),
    [sym_type_definition] = STATE(49),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1119),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_compound_statement] = STATE(49),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(716),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(49),
    [sym_labeled_statement] = STATE(49),
    [sym_expression_statement] = STATE(49),
    [sym_if_statement] = STATE(49),
    [sym_switch_statement] = STATE(49),
    [sym_while_statement] = STATE(49),
    [sym_do_statement] = STATE(49),
    [sym_for_statement] = STATE(49),
    [sym_return_statement] = STATE(49),
    [sym_break_statement] = STATE(49),
    [sym_continue_statement] = STATE(49),
    [sym_goto_statement] = STATE(49),
    [sym_seh_try_statement] = STATE(49),
    [sym_seh_leave_statement] = STATE(49),
    [sym_expression] = STATE(1029),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1759),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(349),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [aux_sym_case_statement_repeat1] = STATE(49),
    [sym_identifier] = ACTIONS(910),
    [aux_sym_preproc_include_token1] = ACTIONS(914),
    [aux_sym_preproc_def_token1] = ACTIONS(914),
    [aux_sym_preproc_if_token1] = ACTIONS(914),
    [aux_sym_preproc_if_token2] = ACTIONS(914),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(914),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(914),
    [aux_sym_preproc_else_token1] = ACTIONS(914),
    [aux_sym_preproc_elif_token1] = ACTIONS(914),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(914),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(914),
    [sym_preproc_directive] = ACTIONS(914),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym___extension__] = ACTIONS(125),
    [anon_sym_typedef] = ACTIONS(127),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(914),
    [anon_sym___clrcall] = ACTIONS(914),
    [anon_sym___stdcall] = ACTIONS(914),
    [anon_sym___fastcall] = ACTIONS(914),
    [anon_sym___thiscall] = ACTIONS(914),
    [anon_sym___vectorcall] = ACTIONS(914),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_else] = ACTIONS(914),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_case] = ACTIONS(914),
    [anon_sym_default] = ACTIONS(914),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_return] = ACTIONS(147),
    [anon_sym_break] = ACTIONS(149),
    [anon_sym_continue] = ACTIONS(151),
    [anon_sym_goto] = ACTIONS(153),
    [anon_sym___try] = ACTIONS(155),
    [anon_sym___leave] = ACTIONS(157),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [48] = {
    [sym_declaration] = STATE(46),
    [sym_type_definition] = STATE(46),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1119),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_compound_statement] = STATE(46),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(716),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(46),
    [sym_labeled_statement] = STATE(46),
    [sym_expression_statement] = STATE(46),
    [sym_if_statement] = STATE(46),
    [sym_switch_statement] = STATE(46),
    [sym_while_statement] = STATE(46),
    [sym_do_statement] = STATE(46),
    [sym_for_statement] = STATE(46),
    [sym_return_statement] = STATE(46),
    [sym_break_statement] = STATE(46),
    [sym_continue_statement] = STATE(46),
    [sym_goto_statement] = STATE(46),
    [sym_seh_try_statement] = STATE(46),
    [sym_seh_leave_statement] = STATE(46),
    [sym_expression] = STATE(1029),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1759),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(349),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [aux_sym_case_statement_repeat1] = STATE(46),
    [sym_identifier] = ACTIONS(910),
    [aux_sym_preproc_include_token1] = ACTIONS(916),
    [aux_sym_preproc_def_token1] = ACTIONS(916),
    [aux_sym_preproc_if_token1] = ACTIONS(916),
    [aux_sym_preproc_if_token2] = ACTIONS(916),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(916),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(916),
    [aux_sym_preproc_else_token1] = ACTIONS(916),
    [aux_sym_preproc_elif_token1] = ACTIONS(916),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(916),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(916),
    [sym_preproc_directive] = ACTIONS(916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym___extension__] = ACTIONS(125),
    [anon_sym_typedef] = ACTIONS(127),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(916),
    [anon_sym___clrcall] = ACTIONS(916),
    [anon_sym___stdcall] = ACTIONS(916),
    [anon_sym___fastcall] = ACTIONS(916),
    [anon_sym___thiscall] = ACTIONS(916),
    [anon_sym___vectorcall] = ACTIONS(916),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_else] = ACTIONS(916),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_case] = ACTIONS(916),
    [anon_sym_default] = ACTIONS(916),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_return] = ACTIONS(147),
    [anon_sym_break] = ACTIONS(149),
    [anon_sym_continue] = ACTIONS(151),
    [anon_sym_goto] = ACTIONS(153),
    [anon_sym___try] = ACTIONS(155),
    [anon_sym___leave] = ACTIONS(157),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [49] = {
    [sym_declaration] = STATE(45),
    [sym_type_definition] = STATE(45),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1119),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_compound_statement] = STATE(45),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(716),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(45),
    [sym_labeled_statement] = STATE(45),
    [sym_expression_statement] = STATE(45),
    [sym_if_statement] = STATE(45),
    [sym_switch_statement] = STATE(45),
    [sym_while_statement] = STATE(45),
    [sym_do_statement] = STATE(45),
    [sym_for_statement] = STATE(45),
    [sym_return_statement] = STATE(45),
    [sym_break_statement] = STATE(45),
    [sym_continue_statement] = STATE(45),
    [sym_goto_statement] = STATE(45),
    [sym_seh_try_statement] = STATE(45),
    [sym_seh_leave_statement] = STATE(45),
    [sym_expression] = STATE(1029),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1759),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(349),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [aux_sym_case_statement_repeat1] = STATE(45),
    [sym_identifier] = ACTIONS(910),
    [aux_sym_preproc_include_token1] = ACTIONS(918),
    [aux_sym_preproc_def_token1] = ACTIONS(918),
    [aux_sym_preproc_if_token1] = ACTIONS(918),
    [aux_sym_preproc_if_token2] = ACTIONS(918),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(918),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(918),
    [aux_sym_preproc_else_token1] = ACTIONS(918),
    [aux_sym_preproc_elif_token1] = ACTIONS(918),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(918),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(918),
    [sym_preproc_directive] = ACTIONS(918),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym___extension__] = ACTIONS(125),
    [anon_sym_typedef] = ACTIONS(127),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(918),
    [anon_sym___clrcall] = ACTIONS(918),
    [anon_sym___stdcall] = ACTIONS(918),
    [anon_sym___fastcall] = ACTIONS(918),
    [anon_sym___thiscall] = ACTIONS(918),
    [anon_sym___vectorcall] = ACTIONS(918),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_else] = ACTIONS(918),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_case] = ACTIONS(918),
    [anon_sym_default] = ACTIONS(918),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_return] = ACTIONS(147),
    [anon_sym_break] = ACTIONS(149),
    [anon_sym_continue] = ACTIONS(151),
    [anon_sym_goto] = ACTIONS(153),
    [anon_sym___try] = ACTIONS(155),
    [anon_sym___leave] = ACTIONS(157),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [50] = {
    [sym_declaration] = STATE(58),
    [sym_type_definition] = STATE(58),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1107),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_compound_statement] = STATE(58),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(716),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(58),
    [sym_labeled_statement] = STATE(58),
    [sym_expression_statement] = STATE(58),
    [sym_if_statement] = STATE(58),
    [sym_switch_statement] = STATE(58),
    [sym_while_statement] = STATE(58),
    [sym_do_statement] = STATE(58),
    [sym_for_statement] = STATE(58),
    [sym_return_statement] = STATE(58),
    [sym_break_statement] = STATE(58),
    [sym_continue_statement] = STATE(58),
    [sym_goto_statement] = STATE(58),
    [sym_seh_try_statement] = STATE(58),
    [sym_seh_leave_statement] = STATE(58),
    [sym_expression] = STATE(1004),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1799),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(317),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [aux_sym_case_statement_repeat1] = STATE(58),
    [sym_identifier] = ACTIONS(920),
    [aux_sym_preproc_include_token1] = ACTIONS(912),
    [aux_sym_preproc_def_token1] = ACTIONS(912),
    [aux_sym_preproc_if_token1] = ACTIONS(912),
    [aux_sym_preproc_if_token2] = ACTIONS(912),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(912),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(912),
    [sym_preproc_directive] = ACTIONS(912),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(424),
    [anon_sym___extension__] = ACTIONS(426),
    [anon_sym_typedef] = ACTIONS(428),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(912),
    [anon_sym___clrcall] = ACTIONS(912),
    [anon_sym___stdcall] = ACTIONS(912),
    [anon_sym___fastcall] = ACTIONS(912),
    [anon_sym___thiscall] = ACTIONS(912),
    [anon_sym___vectorcall] = ACTIONS(912),
    [anon_sym_LBRACE] = ACTIONS(432),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(434),
    [anon_sym_else] = ACTIONS(912),
    [anon_sym_switch] = ACTIONS(436),
    [anon_sym_case] = ACTIONS(912),
    [anon_sym_default] = ACTIONS(912),
    [anon_sym_while] = ACTIONS(442),
    [anon_sym_do] = ACTIONS(444),
    [anon_sym_for] = ACTIONS(446),
    [anon_sym_return] = ACTIONS(448),
    [anon_sym_break] = ACTIONS(450),
    [anon_sym_continue] = ACTIONS(452),
    [anon_sym_goto] = ACTIONS(454),
    [anon_sym___try] = ACTIONS(456),
    [anon_sym___leave] = ACTIONS(458),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [51] = {
    [sym_declaration] = STATE(55),
    [sym_type_definition] = STATE(55),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1107),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_compound_statement] = STATE(55),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(716),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(55),
    [sym_labeled_statement] = STATE(55),
    [sym_expression_statement] = STATE(55),
    [sym_if_statement] = STATE(55),
    [sym_switch_statement] = STATE(55),
    [sym_while_statement] = STATE(55),
    [sym_do_statement] = STATE(55),
    [sym_for_statement] = STATE(55),
    [sym_return_statement] = STATE(55),
    [sym_break_statement] = STATE(55),
    [sym_continue_statement] = STATE(55),
    [sym_goto_statement] = STATE(55),
    [sym_seh_try_statement] = STATE(55),
    [sym_seh_leave_statement] = STATE(55),
    [sym_expression] = STATE(1004),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1799),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(317),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [aux_sym_case_statement_repeat1] = STATE(55),
    [sym_identifier] = ACTIONS(920),
    [aux_sym_preproc_include_token1] = ACTIONS(914),
    [aux_sym_preproc_def_token1] = ACTIONS(914),
    [aux_sym_preproc_if_token1] = ACTIONS(914),
    [aux_sym_preproc_if_token2] = ACTIONS(914),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(914),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(914),
    [sym_preproc_directive] = ACTIONS(914),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(424),
    [anon_sym___extension__] = ACTIONS(426),
    [anon_sym_typedef] = ACTIONS(428),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(914),
    [anon_sym___clrcall] = ACTIONS(914),
    [anon_sym___stdcall] = ACTIONS(914),
    [anon_sym___fastcall] = ACTIONS(914),
    [anon_sym___thiscall] = ACTIONS(914),
    [anon_sym___vectorcall] = ACTIONS(914),
    [anon_sym_LBRACE] = ACTIONS(432),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(434),
    [anon_sym_else] = ACTIONS(914),
    [anon_sym_switch] = ACTIONS(436),
    [anon_sym_case] = ACTIONS(914),
    [anon_sym_default] = ACTIONS(914),
    [anon_sym_while] = ACTIONS(442),
    [anon_sym_do] = ACTIONS(444),
    [anon_sym_for] = ACTIONS(446),
    [anon_sym_return] = ACTIONS(448),
    [anon_sym_break] = ACTIONS(450),
    [anon_sym_continue] = ACTIONS(452),
    [anon_sym_goto] = ACTIONS(454),
    [anon_sym___try] = ACTIONS(456),
    [anon_sym___leave] = ACTIONS(458),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [52] = {
    [sym_declaration] = STATE(63),
    [sym_type_definition] = STATE(63),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1109),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_compound_statement] = STATE(63),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(716),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(63),
    [sym_labeled_statement] = STATE(63),
    [sym_expression_statement] = STATE(63),
    [sym_if_statement] = STATE(63),
    [sym_switch_statement] = STATE(63),
    [sym_while_statement] = STATE(63),
    [sym_do_statement] = STATE(63),
    [sym_for_statement] = STATE(63),
    [sym_return_statement] = STATE(63),
    [sym_break_statement] = STATE(63),
    [sym_continue_statement] = STATE(63),
    [sym_goto_statement] = STATE(63),
    [sym_seh_try_statement] = STATE(63),
    [sym_seh_leave_statement] = STATE(63),
    [sym_expression] = STATE(1014),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1860),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(352),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [aux_sym_case_statement_repeat1] = STATE(63),
    [sym_identifier] = ACTIONS(922),
    [aux_sym_preproc_include_token1] = ACTIONS(914),
    [aux_sym_preproc_def_token1] = ACTIONS(914),
    [aux_sym_preproc_if_token1] = ACTIONS(914),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(914),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(914),
    [sym_preproc_directive] = ACTIONS(914),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym___extension__] = ACTIONS(370),
    [anon_sym_typedef] = ACTIONS(372),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(914),
    [anon_sym___clrcall] = ACTIONS(914),
    [anon_sym___stdcall] = ACTIONS(914),
    [anon_sym___fastcall] = ACTIONS(914),
    [anon_sym___thiscall] = ACTIONS(914),
    [anon_sym___vectorcall] = ACTIONS(914),
    [anon_sym_LBRACE] = ACTIONS(376),
    [anon_sym_RBRACE] = ACTIONS(924),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(380),
    [anon_sym_else] = ACTIONS(914),
    [anon_sym_switch] = ACTIONS(382),
    [anon_sym_case] = ACTIONS(914),
    [anon_sym_default] = ACTIONS(914),
    [anon_sym_while] = ACTIONS(388),
    [anon_sym_do] = ACTIONS(390),
    [anon_sym_for] = ACTIONS(392),
    [anon_sym_return] = ACTIONS(394),
    [anon_sym_break] = ACTIONS(396),
    [anon_sym_continue] = ACTIONS(398),
    [anon_sym_goto] = ACTIONS(400),
    [anon_sym___try] = ACTIONS(402),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [53] = {
    [sym_declaration] = STATE(50),
    [sym_type_definition] = STATE(50),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1107),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_compound_statement] = STATE(50),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(716),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(50),
    [sym_labeled_statement] = STATE(50),
    [sym_expression_statement] = STATE(50),
    [sym_if_statement] = STATE(50),
    [sym_switch_statement] = STATE(50),
    [sym_while_statement] = STATE(50),
    [sym_do_statement] = STATE(50),
    [sym_for_statement] = STATE(50),
    [sym_return_statement] = STATE(50),
    [sym_break_statement] = STATE(50),
    [sym_continue_statement] = STATE(50),
    [sym_goto_statement] = STATE(50),
    [sym_seh_try_statement] = STATE(50),
    [sym_seh_leave_statement] = STATE(50),
    [sym_expression] = STATE(1004),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1799),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(317),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [aux_sym_case_statement_repeat1] = STATE(50),
    [sym_identifier] = ACTIONS(920),
    [aux_sym_preproc_include_token1] = ACTIONS(916),
    [aux_sym_preproc_def_token1] = ACTIONS(916),
    [aux_sym_preproc_if_token1] = ACTIONS(916),
    [aux_sym_preproc_if_token2] = ACTIONS(916),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(916),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(916),
    [sym_preproc_directive] = ACTIONS(916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(424),
    [anon_sym___extension__] = ACTIONS(426),
    [anon_sym_typedef] = ACTIONS(428),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(916),
    [anon_sym___clrcall] = ACTIONS(916),
    [anon_sym___stdcall] = ACTIONS(916),
    [anon_sym___fastcall] = ACTIONS(916),
    [anon_sym___thiscall] = ACTIONS(916),
    [anon_sym___vectorcall] = ACTIONS(916),
    [anon_sym_LBRACE] = ACTIONS(432),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(434),
    [anon_sym_else] = ACTIONS(916),
    [anon_sym_switch] = ACTIONS(436),
    [anon_sym_case] = ACTIONS(916),
    [anon_sym_default] = ACTIONS(916),
    [anon_sym_while] = ACTIONS(442),
    [anon_sym_do] = ACTIONS(444),
    [anon_sym_for] = ACTIONS(446),
    [anon_sym_return] = ACTIONS(448),
    [anon_sym_break] = ACTIONS(450),
    [anon_sym_continue] = ACTIONS(452),
    [anon_sym_goto] = ACTIONS(454),
    [anon_sym___try] = ACTIONS(456),
    [anon_sym___leave] = ACTIONS(458),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [54] = {
    [sym_declaration] = STATE(57),
    [sym_type_definition] = STATE(57),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1115),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_compound_statement] = STATE(57),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(716),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(57),
    [sym_labeled_statement] = STATE(57),
    [sym_expression_statement] = STATE(57),
    [sym_if_statement] = STATE(57),
    [sym_switch_statement] = STATE(57),
    [sym_while_statement] = STATE(57),
    [sym_do_statement] = STATE(57),
    [sym_for_statement] = STATE(57),
    [sym_return_statement] = STATE(57),
    [sym_break_statement] = STATE(57),
    [sym_continue_statement] = STATE(57),
    [sym_goto_statement] = STATE(57),
    [sym_seh_try_statement] = STATE(57),
    [sym_seh_leave_statement] = STATE(57),
    [sym_expression] = STATE(1019),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1826),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(347),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [aux_sym_case_statement_repeat1] = STATE(57),
    [ts_builtin_sym_end] = ACTIONS(926),
    [sym_identifier] = ACTIONS(928),
    [aux_sym_preproc_include_token1] = ACTIONS(912),
    [aux_sym_preproc_def_token1] = ACTIONS(912),
    [aux_sym_preproc_if_token1] = ACTIONS(912),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(912),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(912),
    [sym_preproc_directive] = ACTIONS(912),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(930),
    [anon_sym___extension__] = ACTIONS(27),
    [anon_sym_typedef] = ACTIONS(29),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(912),
    [anon_sym___clrcall] = ACTIONS(912),
    [anon_sym___stdcall] = ACTIONS(912),
    [anon_sym___fastcall] = ACTIONS(912),
    [anon_sym___thiscall] = ACTIONS(912),
    [anon_sym___vectorcall] = ACTIONS(912),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_else] = ACTIONS(912),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(912),
    [anon_sym_default] = ACTIONS(912),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_do] = ACTIONS(69),
    [anon_sym_for] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym___try] = ACTIONS(932),
    [anon_sym___leave] = ACTIONS(934),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [55] = {
    [sym_declaration] = STATE(58),
    [sym_type_definition] = STATE(58),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1107),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_compound_statement] = STATE(58),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(716),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(58),
    [sym_labeled_statement] = STATE(58),
    [sym_expression_statement] = STATE(58),
    [sym_if_statement] = STATE(58),
    [sym_switch_statement] = STATE(58),
    [sym_while_statement] = STATE(58),
    [sym_do_statement] = STATE(58),
    [sym_for_statement] = STATE(58),
    [sym_return_statement] = STATE(58),
    [sym_break_statement] = STATE(58),
    [sym_continue_statement] = STATE(58),
    [sym_goto_statement] = STATE(58),
    [sym_seh_try_statement] = STATE(58),
    [sym_seh_leave_statement] = STATE(58),
    [sym_expression] = STATE(1004),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1799),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(317),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [aux_sym_case_statement_repeat1] = STATE(58),
    [sym_identifier] = ACTIONS(920),
    [aux_sym_preproc_include_token1] = ACTIONS(918),
    [aux_sym_preproc_def_token1] = ACTIONS(918),
    [aux_sym_preproc_if_token1] = ACTIONS(918),
    [aux_sym_preproc_if_token2] = ACTIONS(918),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(918),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(918),
    [sym_preproc_directive] = ACTIONS(918),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(424),
    [anon_sym___extension__] = ACTIONS(426),
    [anon_sym_typedef] = ACTIONS(428),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(918),
    [anon_sym___clrcall] = ACTIONS(918),
    [anon_sym___stdcall] = ACTIONS(918),
    [anon_sym___fastcall] = ACTIONS(918),
    [anon_sym___thiscall] = ACTIONS(918),
    [anon_sym___vectorcall] = ACTIONS(918),
    [anon_sym_LBRACE] = ACTIONS(432),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(434),
    [anon_sym_else] = ACTIONS(918),
    [anon_sym_switch] = ACTIONS(436),
    [anon_sym_case] = ACTIONS(918),
    [anon_sym_default] = ACTIONS(918),
    [anon_sym_while] = ACTIONS(442),
    [anon_sym_do] = ACTIONS(444),
    [anon_sym_for] = ACTIONS(446),
    [anon_sym_return] = ACTIONS(448),
    [anon_sym_break] = ACTIONS(450),
    [anon_sym_continue] = ACTIONS(452),
    [anon_sym_goto] = ACTIONS(454),
    [anon_sym___try] = ACTIONS(456),
    [anon_sym___leave] = ACTIONS(458),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [56] = {
    [sym_declaration] = STATE(57),
    [sym_type_definition] = STATE(57),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1115),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_compound_statement] = STATE(57),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(716),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(57),
    [sym_labeled_statement] = STATE(57),
    [sym_expression_statement] = STATE(57),
    [sym_if_statement] = STATE(57),
    [sym_switch_statement] = STATE(57),
    [sym_while_statement] = STATE(57),
    [sym_do_statement] = STATE(57),
    [sym_for_statement] = STATE(57),
    [sym_return_statement] = STATE(57),
    [sym_break_statement] = STATE(57),
    [sym_continue_statement] = STATE(57),
    [sym_goto_statement] = STATE(57),
    [sym_seh_try_statement] = STATE(57),
    [sym_seh_leave_statement] = STATE(57),
    [sym_expression] = STATE(1019),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1826),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(347),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [aux_sym_case_statement_repeat1] = STATE(57),
    [ts_builtin_sym_end] = ACTIONS(936),
    [sym_identifier] = ACTIONS(928),
    [aux_sym_preproc_include_token1] = ACTIONS(918),
    [aux_sym_preproc_def_token1] = ACTIONS(918),
    [aux_sym_preproc_if_token1] = ACTIONS(918),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(918),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(918),
    [sym_preproc_directive] = ACTIONS(918),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(930),
    [anon_sym___extension__] = ACTIONS(27),
    [anon_sym_typedef] = ACTIONS(29),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(918),
    [anon_sym___clrcall] = ACTIONS(918),
    [anon_sym___stdcall] = ACTIONS(918),
    [anon_sym___fastcall] = ACTIONS(918),
    [anon_sym___thiscall] = ACTIONS(918),
    [anon_sym___vectorcall] = ACTIONS(918),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_else] = ACTIONS(918),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(918),
    [anon_sym_default] = ACTIONS(918),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_do] = ACTIONS(69),
    [anon_sym_for] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym___try] = ACTIONS(932),
    [anon_sym___leave] = ACTIONS(934),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [57] = {
    [sym_declaration] = STATE(57),
    [sym_type_definition] = STATE(57),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1115),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_compound_statement] = STATE(57),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(716),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(57),
    [sym_labeled_statement] = STATE(57),
    [sym_expression_statement] = STATE(57),
    [sym_if_statement] = STATE(57),
    [sym_switch_statement] = STATE(57),
    [sym_while_statement] = STATE(57),
    [sym_do_statement] = STATE(57),
    [sym_for_statement] = STATE(57),
    [sym_return_statement] = STATE(57),
    [sym_break_statement] = STATE(57),
    [sym_continue_statement] = STATE(57),
    [sym_goto_statement] = STATE(57),
    [sym_seh_try_statement] = STATE(57),
    [sym_seh_leave_statement] = STATE(57),
    [sym_expression] = STATE(1019),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1826),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(347),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [aux_sym_case_statement_repeat1] = STATE(57),
    [ts_builtin_sym_end] = ACTIONS(938),
    [sym_identifier] = ACTIONS(940),
    [aux_sym_preproc_include_token1] = ACTIONS(785),
    [aux_sym_preproc_def_token1] = ACTIONS(785),
    [aux_sym_preproc_if_token1] = ACTIONS(785),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(785),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(785),
    [sym_preproc_directive] = ACTIONS(785),
    [anon_sym_LPAREN2] = ACTIONS(787),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(796),
    [anon_sym_AMP] = ACTIONS(796),
    [anon_sym_SEMI] = ACTIONS(943),
    [anon_sym___extension__] = ACTIONS(946),
    [anon_sym_typedef] = ACTIONS(949),
    [anon_sym_extern] = ACTIONS(808),
    [anon_sym___attribute__] = ACTIONS(811),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(814),
    [anon_sym___declspec] = ACTIONS(817),
    [anon_sym___cdecl] = ACTIONS(785),
    [anon_sym___clrcall] = ACTIONS(785),
    [anon_sym___stdcall] = ACTIONS(785),
    [anon_sym___fastcall] = ACTIONS(785),
    [anon_sym___thiscall] = ACTIONS(785),
    [anon_sym___vectorcall] = ACTIONS(785),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym_signed] = ACTIONS(823),
    [anon_sym_unsigned] = ACTIONS(823),
    [anon_sym_long] = ACTIONS(823),
    [anon_sym_short] = ACTIONS(823),
    [anon_sym_static] = ACTIONS(808),
    [anon_sym_auto] = ACTIONS(808),
    [anon_sym_register] = ACTIONS(808),
    [anon_sym_inline] = ACTIONS(808),
    [anon_sym___inline] = ACTIONS(808),
    [anon_sym___inline__] = ACTIONS(808),
    [anon_sym___forceinline] = ACTIONS(808),
    [anon_sym_thread_local] = ACTIONS(808),
    [anon_sym___thread] = ACTIONS(808),
    [anon_sym_const] = ACTIONS(826),
    [anon_sym_constexpr] = ACTIONS(826),
    [anon_sym_volatile] = ACTIONS(826),
    [anon_sym_restrict] = ACTIONS(826),
    [anon_sym___restrict__] = ACTIONS(826),
    [anon_sym__Atomic] = ACTIONS(826),
    [anon_sym__Noreturn] = ACTIONS(826),
    [anon_sym_noreturn] = ACTIONS(826),
    [anon_sym_alignas] = ACTIONS(829),
    [anon_sym__Alignas] = ACTIONS(829),
    [sym_primitive_type] = ACTIONS(832),
    [anon_sym_enum] = ACTIONS(835),
    [anon_sym_struct] = ACTIONS(838),
    [anon_sym_union] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_else] = ACTIONS(785),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_case] = ACTIONS(785),
    [anon_sym_default] = ACTIONS(785),
    [anon_sym_while] = ACTIONS(961),
    [anon_sym_do] = ACTIONS(964),
    [anon_sym_for] = ACTIONS(967),
    [anon_sym_return] = ACTIONS(970),
    [anon_sym_break] = ACTIONS(973),
    [anon_sym_continue] = ACTIONS(976),
    [anon_sym_goto] = ACTIONS(979),
    [anon_sym___try] = ACTIONS(982),
    [anon_sym___leave] = ACTIONS(985),
    [anon_sym_DASH_DASH] = ACTIONS(877),
    [anon_sym_PLUS_PLUS] = ACTIONS(877),
    [anon_sym_sizeof] = ACTIONS(880),
    [anon_sym___alignof__] = ACTIONS(883),
    [anon_sym___alignof] = ACTIONS(883),
    [anon_sym__alignof] = ACTIONS(883),
    [anon_sym_alignof] = ACTIONS(883),
    [anon_sym__Alignof] = ACTIONS(883),
    [anon_sym_offsetof] = ACTIONS(886),
    [anon_sym__Generic] = ACTIONS(889),
    [anon_sym_asm] = ACTIONS(892),
    [anon_sym___asm__] = ACTIONS(892),
    [sym_number_literal] = ACTIONS(895),
    [anon_sym_L_SQUOTE] = ACTIONS(898),
    [anon_sym_u_SQUOTE] = ACTIONS(898),
    [anon_sym_U_SQUOTE] = ACTIONS(898),
    [anon_sym_u8_SQUOTE] = ACTIONS(898),
    [anon_sym_SQUOTE] = ACTIONS(898),
    [anon_sym_L_DQUOTE] = ACTIONS(901),
    [anon_sym_u_DQUOTE] = ACTIONS(901),
    [anon_sym_U_DQUOTE] = ACTIONS(901),
    [anon_sym_u8_DQUOTE] = ACTIONS(901),
    [anon_sym_DQUOTE] = ACTIONS(901),
    [sym_true] = ACTIONS(904),
    [sym_false] = ACTIONS(904),
    [anon_sym_NULL] = ACTIONS(907),
    [anon_sym_nullptr] = ACTIONS(907),
    [sym_comment] = ACTIONS(3),
  },
  [58] = {
    [sym_declaration] = STATE(58),
    [sym_type_definition] = STATE(58),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1107),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_compound_statement] = STATE(58),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(716),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(58),
    [sym_labeled_statement] = STATE(58),
    [sym_expression_statement] = STATE(58),
    [sym_if_statement] = STATE(58),
    [sym_switch_statement] = STATE(58),
    [sym_while_statement] = STATE(58),
    [sym_do_statement] = STATE(58),
    [sym_for_statement] = STATE(58),
    [sym_return_statement] = STATE(58),
    [sym_break_statement] = STATE(58),
    [sym_continue_statement] = STATE(58),
    [sym_goto_statement] = STATE(58),
    [sym_seh_try_statement] = STATE(58),
    [sym_seh_leave_statement] = STATE(58),
    [sym_expression] = STATE(1004),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1799),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(317),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [aux_sym_case_statement_repeat1] = STATE(58),
    [sym_identifier] = ACTIONS(988),
    [aux_sym_preproc_include_token1] = ACTIONS(785),
    [aux_sym_preproc_def_token1] = ACTIONS(785),
    [aux_sym_preproc_if_token1] = ACTIONS(785),
    [aux_sym_preproc_if_token2] = ACTIONS(785),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(785),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(785),
    [sym_preproc_directive] = ACTIONS(785),
    [anon_sym_LPAREN2] = ACTIONS(787),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(796),
    [anon_sym_AMP] = ACTIONS(796),
    [anon_sym_SEMI] = ACTIONS(991),
    [anon_sym___extension__] = ACTIONS(994),
    [anon_sym_typedef] = ACTIONS(997),
    [anon_sym_extern] = ACTIONS(808),
    [anon_sym___attribute__] = ACTIONS(811),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(814),
    [anon_sym___declspec] = ACTIONS(817),
    [anon_sym___cdecl] = ACTIONS(785),
    [anon_sym___clrcall] = ACTIONS(785),
    [anon_sym___stdcall] = ACTIONS(785),
    [anon_sym___fastcall] = ACTIONS(785),
    [anon_sym___thiscall] = ACTIONS(785),
    [anon_sym___vectorcall] = ACTIONS(785),
    [anon_sym_LBRACE] = ACTIONS(1000),
    [anon_sym_signed] = ACTIONS(823),
    [anon_sym_unsigned] = ACTIONS(823),
    [anon_sym_long] = ACTIONS(823),
    [anon_sym_short] = ACTIONS(823),
    [anon_sym_static] = ACTIONS(808),
    [anon_sym_auto] = ACTIONS(808),
    [anon_sym_register] = ACTIONS(808),
    [anon_sym_inline] = ACTIONS(808),
    [anon_sym___inline] = ACTIONS(808),
    [anon_sym___inline__] = ACTIONS(808),
    [anon_sym___forceinline] = ACTIONS(808),
    [anon_sym_thread_local] = ACTIONS(808),
    [anon_sym___thread] = ACTIONS(808),
    [anon_sym_const] = ACTIONS(826),
    [anon_sym_constexpr] = ACTIONS(826),
    [anon_sym_volatile] = ACTIONS(826),
    [anon_sym_restrict] = ACTIONS(826),
    [anon_sym___restrict__] = ACTIONS(826),
    [anon_sym__Atomic] = ACTIONS(826),
    [anon_sym__Noreturn] = ACTIONS(826),
    [anon_sym_noreturn] = ACTIONS(826),
    [anon_sym_alignas] = ACTIONS(829),
    [anon_sym__Alignas] = ACTIONS(829),
    [sym_primitive_type] = ACTIONS(832),
    [anon_sym_enum] = ACTIONS(835),
    [anon_sym_struct] = ACTIONS(838),
    [anon_sym_union] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(1003),
    [anon_sym_else] = ACTIONS(785),
    [anon_sym_switch] = ACTIONS(1006),
    [anon_sym_case] = ACTIONS(785),
    [anon_sym_default] = ACTIONS(785),
    [anon_sym_while] = ACTIONS(1009),
    [anon_sym_do] = ACTIONS(1012),
    [anon_sym_for] = ACTIONS(1015),
    [anon_sym_return] = ACTIONS(1018),
    [anon_sym_break] = ACTIONS(1021),
    [anon_sym_continue] = ACTIONS(1024),
    [anon_sym_goto] = ACTIONS(1027),
    [anon_sym___try] = ACTIONS(1030),
    [anon_sym___leave] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(877),
    [anon_sym_PLUS_PLUS] = ACTIONS(877),
    [anon_sym_sizeof] = ACTIONS(880),
    [anon_sym___alignof__] = ACTIONS(883),
    [anon_sym___alignof] = ACTIONS(883),
    [anon_sym__alignof] = ACTIONS(883),
    [anon_sym_alignof] = ACTIONS(883),
    [anon_sym__Alignof] = ACTIONS(883),
    [anon_sym_offsetof] = ACTIONS(886),
    [anon_sym__Generic] = ACTIONS(889),
    [anon_sym_asm] = ACTIONS(892),
    [anon_sym___asm__] = ACTIONS(892),
    [sym_number_literal] = ACTIONS(895),
    [anon_sym_L_SQUOTE] = ACTIONS(898),
    [anon_sym_u_SQUOTE] = ACTIONS(898),
    [anon_sym_U_SQUOTE] = ACTIONS(898),
    [anon_sym_u8_SQUOTE] = ACTIONS(898),
    [anon_sym_SQUOTE] = ACTIONS(898),
    [anon_sym_L_DQUOTE] = ACTIONS(901),
    [anon_sym_u_DQUOTE] = ACTIONS(901),
    [anon_sym_U_DQUOTE] = ACTIONS(901),
    [anon_sym_u8_DQUOTE] = ACTIONS(901),
    [anon_sym_DQUOTE] = ACTIONS(901),
    [sym_true] = ACTIONS(904),
    [sym_false] = ACTIONS(904),
    [anon_sym_NULL] = ACTIONS(907),
    [anon_sym_nullptr] = ACTIONS(907),
    [sym_comment] = ACTIONS(3),
  },
  [59] = {
    [sym_declaration] = STATE(64),
    [sym_type_definition] = STATE(64),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1109),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_compound_statement] = STATE(64),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(716),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(64),
    [sym_labeled_statement] = STATE(64),
    [sym_expression_statement] = STATE(64),
    [sym_if_statement] = STATE(64),
    [sym_switch_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_do_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_return_statement] = STATE(64),
    [sym_break_statement] = STATE(64),
    [sym_continue_statement] = STATE(64),
    [sym_goto_statement] = STATE(64),
    [sym_seh_try_statement] = STATE(64),
    [sym_seh_leave_statement] = STATE(64),
    [sym_expression] = STATE(1014),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1860),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(352),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [aux_sym_case_statement_repeat1] = STATE(64),
    [sym_identifier] = ACTIONS(922),
    [aux_sym_preproc_include_token1] = ACTIONS(912),
    [aux_sym_preproc_def_token1] = ACTIONS(912),
    [aux_sym_preproc_if_token1] = ACTIONS(912),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(912),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(912),
    [sym_preproc_directive] = ACTIONS(912),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym___extension__] = ACTIONS(370),
    [anon_sym_typedef] = ACTIONS(372),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(912),
    [anon_sym___clrcall] = ACTIONS(912),
    [anon_sym___stdcall] = ACTIONS(912),
    [anon_sym___fastcall] = ACTIONS(912),
    [anon_sym___thiscall] = ACTIONS(912),
    [anon_sym___vectorcall] = ACTIONS(912),
    [anon_sym_LBRACE] = ACTIONS(376),
    [anon_sym_RBRACE] = ACTIONS(926),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(380),
    [anon_sym_else] = ACTIONS(912),
    [anon_sym_switch] = ACTIONS(382),
    [anon_sym_case] = ACTIONS(912),
    [anon_sym_default] = ACTIONS(912),
    [anon_sym_while] = ACTIONS(388),
    [anon_sym_do] = ACTIONS(390),
    [anon_sym_for] = ACTIONS(392),
    [anon_sym_return] = ACTIONS(394),
    [anon_sym_break] = ACTIONS(396),
    [anon_sym_continue] = ACTIONS(398),
    [anon_sym_goto] = ACTIONS(400),
    [anon_sym___try] = ACTIONS(402),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [60] = {
    [sym_declaration] = STATE(54),
    [sym_type_definition] = STATE(54),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1115),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_compound_statement] = STATE(54),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(716),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(54),
    [sym_labeled_statement] = STATE(54),
    [sym_expression_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_return_statement] = STATE(54),
    [sym_break_statement] = STATE(54),
    [sym_continue_statement] = STATE(54),
    [sym_goto_statement] = STATE(54),
    [sym_seh_try_statement] = STATE(54),
    [sym_seh_leave_statement] = STATE(54),
    [sym_expression] = STATE(1019),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1826),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(347),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [aux_sym_case_statement_repeat1] = STATE(54),
    [ts_builtin_sym_end] = ACTIONS(1036),
    [sym_identifier] = ACTIONS(928),
    [aux_sym_preproc_include_token1] = ACTIONS(916),
    [aux_sym_preproc_def_token1] = ACTIONS(916),
    [aux_sym_preproc_if_token1] = ACTIONS(916),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(916),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(916),
    [sym_preproc_directive] = ACTIONS(916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(930),
    [anon_sym___extension__] = ACTIONS(27),
    [anon_sym_typedef] = ACTIONS(29),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(916),
    [anon_sym___clrcall] = ACTIONS(916),
    [anon_sym___stdcall] = ACTIONS(916),
    [anon_sym___fastcall] = ACTIONS(916),
    [anon_sym___thiscall] = ACTIONS(916),
    [anon_sym___vectorcall] = ACTIONS(916),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_else] = ACTIONS(916),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(916),
    [anon_sym_default] = ACTIONS(916),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_do] = ACTIONS(69),
    [anon_sym_for] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym___try] = ACTIONS(932),
    [anon_sym___leave] = ACTIONS(934),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [61] = {
    [sym_declaration] = STATE(56),
    [sym_type_definition] = STATE(56),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1115),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_compound_statement] = STATE(56),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(716),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(56),
    [sym_labeled_statement] = STATE(56),
    [sym_expression_statement] = STATE(56),
    [sym_if_statement] = STATE(56),
    [sym_switch_statement] = STATE(56),
    [sym_while_statement] = STATE(56),
    [sym_do_statement] = STATE(56),
    [sym_for_statement] = STATE(56),
    [sym_return_statement] = STATE(56),
    [sym_break_statement] = STATE(56),
    [sym_continue_statement] = STATE(56),
    [sym_goto_statement] = STATE(56),
    [sym_seh_try_statement] = STATE(56),
    [sym_seh_leave_statement] = STATE(56),
    [sym_expression] = STATE(1019),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1826),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(347),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [aux_sym_case_statement_repeat1] = STATE(56),
    [ts_builtin_sym_end] = ACTIONS(924),
    [sym_identifier] = ACTIONS(928),
    [aux_sym_preproc_include_token1] = ACTIONS(914),
    [aux_sym_preproc_def_token1] = ACTIONS(914),
    [aux_sym_preproc_if_token1] = ACTIONS(914),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(914),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(914),
    [sym_preproc_directive] = ACTIONS(914),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(930),
    [anon_sym___extension__] = ACTIONS(27),
    [anon_sym_typedef] = ACTIONS(29),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(914),
    [anon_sym___clrcall] = ACTIONS(914),
    [anon_sym___stdcall] = ACTIONS(914),
    [anon_sym___fastcall] = ACTIONS(914),
    [anon_sym___thiscall] = ACTIONS(914),
    [anon_sym___vectorcall] = ACTIONS(914),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_else] = ACTIONS(914),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(914),
    [anon_sym_default] = ACTIONS(914),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_do] = ACTIONS(69),
    [anon_sym_for] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym___try] = ACTIONS(932),
    [anon_sym___leave] = ACTIONS(934),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [62] = {
    [sym_declaration] = STATE(59),
    [sym_type_definition] = STATE(59),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1109),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_compound_statement] = STATE(59),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(716),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(59),
    [sym_labeled_statement] = STATE(59),
    [sym_expression_statement] = STATE(59),
    [sym_if_statement] = STATE(59),
    [sym_switch_statement] = STATE(59),
    [sym_while_statement] = STATE(59),
    [sym_do_statement] = STATE(59),
    [sym_for_statement] = STATE(59),
    [sym_return_statement] = STATE(59),
    [sym_break_statement] = STATE(59),
    [sym_continue_statement] = STATE(59),
    [sym_goto_statement] = STATE(59),
    [sym_seh_try_statement] = STATE(59),
    [sym_seh_leave_statement] = STATE(59),
    [sym_expression] = STATE(1014),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1860),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(352),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [aux_sym_case_statement_repeat1] = STATE(59),
    [sym_identifier] = ACTIONS(922),
    [aux_sym_preproc_include_token1] = ACTIONS(916),
    [aux_sym_preproc_def_token1] = ACTIONS(916),
    [aux_sym_preproc_if_token1] = ACTIONS(916),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(916),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(916),
    [sym_preproc_directive] = ACTIONS(916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym___extension__] = ACTIONS(370),
    [anon_sym_typedef] = ACTIONS(372),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(916),
    [anon_sym___clrcall] = ACTIONS(916),
    [anon_sym___stdcall] = ACTIONS(916),
    [anon_sym___fastcall] = ACTIONS(916),
    [anon_sym___thiscall] = ACTIONS(916),
    [anon_sym___vectorcall] = ACTIONS(916),
    [anon_sym_LBRACE] = ACTIONS(376),
    [anon_sym_RBRACE] = ACTIONS(1036),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(380),
    [anon_sym_else] = ACTIONS(916),
    [anon_sym_switch] = ACTIONS(382),
    [anon_sym_case] = ACTIONS(916),
    [anon_sym_default] = ACTIONS(916),
    [anon_sym_while] = ACTIONS(388),
    [anon_sym_do] = ACTIONS(390),
    [anon_sym_for] = ACTIONS(392),
    [anon_sym_return] = ACTIONS(394),
    [anon_sym_break] = ACTIONS(396),
    [anon_sym_continue] = ACTIONS(398),
    [anon_sym_goto] = ACTIONS(400),
    [anon_sym___try] = ACTIONS(402),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [63] = {
    [sym_declaration] = STATE(64),
    [sym_type_definition] = STATE(64),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1109),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_compound_statement] = STATE(64),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(716),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(64),
    [sym_labeled_statement] = STATE(64),
    [sym_expression_statement] = STATE(64),
    [sym_if_statement] = STATE(64),
    [sym_switch_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_do_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_return_statement] = STATE(64),
    [sym_break_statement] = STATE(64),
    [sym_continue_statement] = STATE(64),
    [sym_goto_statement] = STATE(64),
    [sym_seh_try_statement] = STATE(64),
    [sym_seh_leave_statement] = STATE(64),
    [sym_expression] = STATE(1014),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1860),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(352),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [aux_sym_case_statement_repeat1] = STATE(64),
    [sym_identifier] = ACTIONS(922),
    [aux_sym_preproc_include_token1] = ACTIONS(918),
    [aux_sym_preproc_def_token1] = ACTIONS(918),
    [aux_sym_preproc_if_token1] = ACTIONS(918),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(918),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(918),
    [sym_preproc_directive] = ACTIONS(918),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym___extension__] = ACTIONS(370),
    [anon_sym_typedef] = ACTIONS(372),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(918),
    [anon_sym___clrcall] = ACTIONS(918),
    [anon_sym___stdcall] = ACTIONS(918),
    [anon_sym___fastcall] = ACTIONS(918),
    [anon_sym___thiscall] = ACTIONS(918),
    [anon_sym___vectorcall] = ACTIONS(918),
    [anon_sym_LBRACE] = ACTIONS(376),
    [anon_sym_RBRACE] = ACTIONS(936),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(380),
    [anon_sym_else] = ACTIONS(918),
    [anon_sym_switch] = ACTIONS(382),
    [anon_sym_case] = ACTIONS(918),
    [anon_sym_default] = ACTIONS(918),
    [anon_sym_while] = ACTIONS(388),
    [anon_sym_do] = ACTIONS(390),
    [anon_sym_for] = ACTIONS(392),
    [anon_sym_return] = ACTIONS(394),
    [anon_sym_break] = ACTIONS(396),
    [anon_sym_continue] = ACTIONS(398),
    [anon_sym_goto] = ACTIONS(400),
    [anon_sym___try] = ACTIONS(402),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [64] = {
    [sym_declaration] = STATE(64),
    [sym_type_definition] = STATE(64),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1109),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_compound_statement] = STATE(64),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(716),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(64),
    [sym_labeled_statement] = STATE(64),
    [sym_expression_statement] = STATE(64),
    [sym_if_statement] = STATE(64),
    [sym_switch_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_do_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_return_statement] = STATE(64),
    [sym_break_statement] = STATE(64),
    [sym_continue_statement] = STATE(64),
    [sym_goto_statement] = STATE(64),
    [sym_seh_try_statement] = STATE(64),
    [sym_seh_leave_statement] = STATE(64),
    [sym_expression] = STATE(1014),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1860),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(352),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [aux_sym_case_statement_repeat1] = STATE(64),
    [sym_identifier] = ACTIONS(1038),
    [aux_sym_preproc_include_token1] = ACTIONS(785),
    [aux_sym_preproc_def_token1] = ACTIONS(785),
    [aux_sym_preproc_if_token1] = ACTIONS(785),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(785),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(785),
    [sym_preproc_directive] = ACTIONS(785),
    [anon_sym_LPAREN2] = ACTIONS(787),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(796),
    [anon_sym_AMP] = ACTIONS(796),
    [anon_sym_SEMI] = ACTIONS(1041),
    [anon_sym___extension__] = ACTIONS(1044),
    [anon_sym_typedef] = ACTIONS(1047),
    [anon_sym_extern] = ACTIONS(808),
    [anon_sym___attribute__] = ACTIONS(811),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(814),
    [anon_sym___declspec] = ACTIONS(817),
    [anon_sym___cdecl] = ACTIONS(785),
    [anon_sym___clrcall] = ACTIONS(785),
    [anon_sym___stdcall] = ACTIONS(785),
    [anon_sym___fastcall] = ACTIONS(785),
    [anon_sym___thiscall] = ACTIONS(785),
    [anon_sym___vectorcall] = ACTIONS(785),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_RBRACE] = ACTIONS(938),
    [anon_sym_signed] = ACTIONS(823),
    [anon_sym_unsigned] = ACTIONS(823),
    [anon_sym_long] = ACTIONS(823),
    [anon_sym_short] = ACTIONS(823),
    [anon_sym_static] = ACTIONS(808),
    [anon_sym_auto] = ACTIONS(808),
    [anon_sym_register] = ACTIONS(808),
    [anon_sym_inline] = ACTIONS(808),
    [anon_sym___inline] = ACTIONS(808),
    [anon_sym___inline__] = ACTIONS(808),
    [anon_sym___forceinline] = ACTIONS(808),
    [anon_sym_thread_local] = ACTIONS(808),
    [anon_sym___thread] = ACTIONS(808),
    [anon_sym_const] = ACTIONS(826),
    [anon_sym_constexpr] = ACTIONS(826),
    [anon_sym_volatile] = ACTIONS(826),
    [anon_sym_restrict] = ACTIONS(826),
    [anon_sym___restrict__] = ACTIONS(826),
    [anon_sym__Atomic] = ACTIONS(826),
    [anon_sym__Noreturn] = ACTIONS(826),
    [anon_sym_noreturn] = ACTIONS(826),
    [anon_sym_alignas] = ACTIONS(829),
    [anon_sym__Alignas] = ACTIONS(829),
    [sym_primitive_type] = ACTIONS(832),
    [anon_sym_enum] = ACTIONS(835),
    [anon_sym_struct] = ACTIONS(838),
    [anon_sym_union] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(1053),
    [anon_sym_else] = ACTIONS(785),
    [anon_sym_switch] = ACTIONS(1056),
    [anon_sym_case] = ACTIONS(785),
    [anon_sym_default] = ACTIONS(785),
    [anon_sym_while] = ACTIONS(1059),
    [anon_sym_do] = ACTIONS(1062),
    [anon_sym_for] = ACTIONS(1065),
    [anon_sym_return] = ACTIONS(1068),
    [anon_sym_break] = ACTIONS(1071),
    [anon_sym_continue] = ACTIONS(1074),
    [anon_sym_goto] = ACTIONS(1077),
    [anon_sym___try] = ACTIONS(1080),
    [anon_sym___leave] = ACTIONS(1083),
    [anon_sym_DASH_DASH] = ACTIONS(877),
    [anon_sym_PLUS_PLUS] = ACTIONS(877),
    [anon_sym_sizeof] = ACTIONS(880),
    [anon_sym___alignof__] = ACTIONS(883),
    [anon_sym___alignof] = ACTIONS(883),
    [anon_sym__alignof] = ACTIONS(883),
    [anon_sym_alignof] = ACTIONS(883),
    [anon_sym__Alignof] = ACTIONS(883),
    [anon_sym_offsetof] = ACTIONS(886),
    [anon_sym__Generic] = ACTIONS(889),
    [anon_sym_asm] = ACTIONS(892),
    [anon_sym___asm__] = ACTIONS(892),
    [sym_number_literal] = ACTIONS(895),
    [anon_sym_L_SQUOTE] = ACTIONS(898),
    [anon_sym_u_SQUOTE] = ACTIONS(898),
    [anon_sym_U_SQUOTE] = ACTIONS(898),
    [anon_sym_u8_SQUOTE] = ACTIONS(898),
    [anon_sym_SQUOTE] = ACTIONS(898),
    [anon_sym_L_DQUOTE] = ACTIONS(901),
    [anon_sym_u_DQUOTE] = ACTIONS(901),
    [anon_sym_U_DQUOTE] = ACTIONS(901),
    [anon_sym_u8_DQUOTE] = ACTIONS(901),
    [anon_sym_DQUOTE] = ACTIONS(901),
    [sym_true] = ACTIONS(904),
    [sym_false] = ACTIONS(904),
    [anon_sym_NULL] = ACTIONS(907),
    [anon_sym_nullptr] = ACTIONS(907),
    [sym_comment] = ACTIONS(3),
  },
  [65] = {
    [sym_declaration] = STATE(69),
    [sym_type_definition] = STATE(69),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1115),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_compound_statement] = STATE(69),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(716),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(69),
    [sym_labeled_statement] = STATE(69),
    [sym_expression_statement] = STATE(69),
    [sym_if_statement] = STATE(69),
    [sym_switch_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_do_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_return_statement] = STATE(69),
    [sym_break_statement] = STATE(69),
    [sym_continue_statement] = STATE(69),
    [sym_goto_statement] = STATE(69),
    [sym_seh_try_statement] = STATE(69),
    [sym_seh_leave_statement] = STATE(69),
    [sym_expression] = STATE(1014),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1860),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(314),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [aux_sym_case_statement_repeat1] = STATE(69),
    [sym_identifier] = ACTIONS(1086),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym___extension__] = ACTIONS(27),
    [anon_sym_typedef] = ACTIONS(29),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(1088),
    [anon_sym_else] = ACTIONS(918),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(1090),
    [anon_sym_do] = ACTIONS(69),
    [anon_sym_for] = ACTIONS(1092),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym___try] = ACTIONS(1094),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [66] = {
    [sym_declaration] = STATE(67),
    [sym_type_definition] = STATE(67),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1115),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_compound_statement] = STATE(67),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(716),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(67),
    [sym_labeled_statement] = STATE(67),
    [sym_expression_statement] = STATE(67),
    [sym_if_statement] = STATE(67),
    [sym_switch_statement] = STATE(67),
    [sym_while_statement] = STATE(67),
    [sym_do_statement] = STATE(67),
    [sym_for_statement] = STATE(67),
    [sym_return_statement] = STATE(67),
    [sym_break_statement] = STATE(67),
    [sym_continue_statement] = STATE(67),
    [sym_goto_statement] = STATE(67),
    [sym_seh_try_statement] = STATE(67),
    [sym_seh_leave_statement] = STATE(67),
    [sym_expression] = STATE(1014),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1860),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(314),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [aux_sym_case_statement_repeat1] = STATE(67),
    [sym_identifier] = ACTIONS(1086),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym___extension__] = ACTIONS(27),
    [anon_sym_typedef] = ACTIONS(29),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(1088),
    [anon_sym_else] = ACTIONS(916),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(1090),
    [anon_sym_do] = ACTIONS(69),
    [anon_sym_for] = ACTIONS(1092),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym___try] = ACTIONS(1094),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [67] = {
    [sym_declaration] = STATE(69),
    [sym_type_definition] = STATE(69),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1115),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_compound_statement] = STATE(69),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(716),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(69),
    [sym_labeled_statement] = STATE(69),
    [sym_expression_statement] = STATE(69),
    [sym_if_statement] = STATE(69),
    [sym_switch_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_do_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_return_statement] = STATE(69),
    [sym_break_statement] = STATE(69),
    [sym_continue_statement] = STATE(69),
    [sym_goto_statement] = STATE(69),
    [sym_seh_try_statement] = STATE(69),
    [sym_seh_leave_statement] = STATE(69),
    [sym_expression] = STATE(1014),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1860),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(314),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [aux_sym_case_statement_repeat1] = STATE(69),
    [sym_identifier] = ACTIONS(1086),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym___extension__] = ACTIONS(27),
    [anon_sym_typedef] = ACTIONS(29),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(1088),
    [anon_sym_else] = ACTIONS(912),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(1090),
    [anon_sym_do] = ACTIONS(69),
    [anon_sym_for] = ACTIONS(1092),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym___try] = ACTIONS(1094),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [68] = {
    [sym_declaration] = STATE(65),
    [sym_type_definition] = STATE(65),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1115),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_compound_statement] = STATE(65),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(716),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(65),
    [sym_labeled_statement] = STATE(65),
    [sym_expression_statement] = STATE(65),
    [sym_if_statement] = STATE(65),
    [sym_switch_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_do_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_return_statement] = STATE(65),
    [sym_break_statement] = STATE(65),
    [sym_continue_statement] = STATE(65),
    [sym_goto_statement] = STATE(65),
    [sym_seh_try_statement] = STATE(65),
    [sym_seh_leave_statement] = STATE(65),
    [sym_expression] = STATE(1014),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1860),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(314),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [aux_sym_case_statement_repeat1] = STATE(65),
    [sym_identifier] = ACTIONS(1086),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym___extension__] = ACTIONS(27),
    [anon_sym_typedef] = ACTIONS(29),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(1088),
    [anon_sym_else] = ACTIONS(914),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(1090),
    [anon_sym_do] = ACTIONS(69),
    [anon_sym_for] = ACTIONS(1092),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym___try] = ACTIONS(1094),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [69] = {
    [sym_declaration] = STATE(69),
    [sym_type_definition] = STATE(69),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1115),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(405),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_compound_statement] = STATE(69),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(716),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_attributed_statement] = STATE(69),
    [sym_labeled_statement] = STATE(69),
    [sym_expression_statement] = STATE(69),
    [sym_if_statement] = STATE(69),
    [sym_switch_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_do_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_return_statement] = STATE(69),
    [sym_break_statement] = STATE(69),
    [sym_continue_statement] = STATE(69),
    [sym_goto_statement] = STATE(69),
    [sym_seh_try_statement] = STATE(69),
    [sym_seh_leave_statement] = STATE(69),
    [sym_expression] = STATE(1014),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1860),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_attributed_declarator_repeat1] = STATE(314),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [aux_sym_case_statement_repeat1] = STATE(69),
    [sym_identifier] = ACTIONS(1096),
    [anon_sym_LPAREN2] = ACTIONS(787),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(796),
    [anon_sym_AMP] = ACTIONS(796),
    [anon_sym_SEMI] = ACTIONS(1041),
    [anon_sym___extension__] = ACTIONS(946),
    [anon_sym_typedef] = ACTIONS(949),
    [anon_sym_extern] = ACTIONS(808),
    [anon_sym___attribute__] = ACTIONS(811),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(814),
    [anon_sym___declspec] = ACTIONS(817),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym_signed] = ACTIONS(823),
    [anon_sym_unsigned] = ACTIONS(823),
    [anon_sym_long] = ACTIONS(823),
    [anon_sym_short] = ACTIONS(823),
    [anon_sym_static] = ACTIONS(808),
    [anon_sym_auto] = ACTIONS(808),
    [anon_sym_register] = ACTIONS(808),
    [anon_sym_inline] = ACTIONS(808),
    [anon_sym___inline] = ACTIONS(808),
    [anon_sym___inline__] = ACTIONS(808),
    [anon_sym___forceinline] = ACTIONS(808),
    [anon_sym_thread_local] = ACTIONS(808),
    [anon_sym___thread] = ACTIONS(808),
    [anon_sym_const] = ACTIONS(826),
    [anon_sym_constexpr] = ACTIONS(826),
    [anon_sym_volatile] = ACTIONS(826),
    [anon_sym_restrict] = ACTIONS(826),
    [anon_sym___restrict__] = ACTIONS(826),
    [anon_sym__Atomic] = ACTIONS(826),
    [anon_sym__Noreturn] = ACTIONS(826),
    [anon_sym_noreturn] = ACTIONS(826),
    [anon_sym_alignas] = ACTIONS(829),
    [anon_sym__Alignas] = ACTIONS(829),
    [sym_primitive_type] = ACTIONS(832),
    [anon_sym_enum] = ACTIONS(835),
    [anon_sym_struct] = ACTIONS(838),
    [anon_sym_union] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(1099),
    [anon_sym_else] = ACTIONS(785),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_while] = ACTIONS(1102),
    [anon_sym_do] = ACTIONS(964),
    [anon_sym_for] = ACTIONS(1105),
    [anon_sym_return] = ACTIONS(970),
    [anon_sym_break] = ACTIONS(973),
    [anon_sym_continue] = ACTIONS(976),
    [anon_sym_goto] = ACTIONS(979),
    [anon_sym___try] = ACTIONS(1108),
    [anon_sym___leave] = ACTIONS(1083),
    [anon_sym_DASH_DASH] = ACTIONS(877),
    [anon_sym_PLUS_PLUS] = ACTIONS(877),
    [anon_sym_sizeof] = ACTIONS(880),
    [anon_sym___alignof__] = ACTIONS(883),
    [anon_sym___alignof] = ACTIONS(883),
    [anon_sym__alignof] = ACTIONS(883),
    [anon_sym_alignof] = ACTIONS(883),
    [anon_sym__Alignof] = ACTIONS(883),
    [anon_sym_offsetof] = ACTIONS(886),
    [anon_sym__Generic] = ACTIONS(889),
    [anon_sym_asm] = ACTIONS(892),
    [anon_sym___asm__] = ACTIONS(892),
    [sym_number_literal] = ACTIONS(895),
    [anon_sym_L_SQUOTE] = ACTIONS(898),
    [anon_sym_u_SQUOTE] = ACTIONS(898),
    [anon_sym_U_SQUOTE] = ACTIONS(898),
    [anon_sym_u8_SQUOTE] = ACTIONS(898),
    [anon_sym_SQUOTE] = ACTIONS(898),
    [anon_sym_L_DQUOTE] = ACTIONS(901),
    [anon_sym_u_DQUOTE] = ACTIONS(901),
    [anon_sym_U_DQUOTE] = ACTIONS(901),
    [anon_sym_u8_DQUOTE] = ACTIONS(901),
    [anon_sym_DQUOTE] = ACTIONS(901),
    [sym_true] = ACTIONS(904),
    [sym_false] = ACTIONS(904),
    [anon_sym_NULL] = ACTIONS(907),
    [anon_sym_nullptr] = ACTIONS(907),
    [sym_comment] = ACTIONS(3),
  },
  [70] = {
    [sym_declaration] = STATE(456),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1111),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(698),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(716),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym__for_statement_body] = STATE(1845),
    [sym_expression] = STATE(1049),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1969),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(1111),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1113),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1115),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [71] = {
    [sym_declaration] = STATE(456),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1111),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(698),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(716),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym__for_statement_body] = STATE(1920),
    [sym_expression] = STATE(1049),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1969),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(1111),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1113),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1115),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [72] = {
    [sym_declaration] = STATE(456),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1111),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(698),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(716),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym__for_statement_body] = STATE(1966),
    [sym_expression] = STATE(1049),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1969),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(1111),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1113),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1115),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [73] = {
    [sym_declaration] = STATE(456),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1111),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(698),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(716),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym__for_statement_body] = STATE(1899),
    [sym_expression] = STATE(1049),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1969),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(1111),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1113),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1115),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [74] = {
    [sym_declaration] = STATE(456),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1111),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(698),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(716),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym__for_statement_body] = STATE(1736),
    [sym_expression] = STATE(1049),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1969),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(1111),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1113),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1115),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [75] = {
    [sym_else_clause] = STATE(103),
    [sym_identifier] = ACTIONS(1117),
    [aux_sym_preproc_include_token1] = ACTIONS(1117),
    [aux_sym_preproc_def_token1] = ACTIONS(1117),
    [aux_sym_preproc_if_token1] = ACTIONS(1117),
    [aux_sym_preproc_if_token2] = ACTIONS(1117),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1117),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1117),
    [aux_sym_preproc_else_token1] = ACTIONS(1117),
    [aux_sym_preproc_elif_token1] = ACTIONS(1117),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1117),
    [sym_preproc_directive] = ACTIONS(1117),
    [anon_sym_LPAREN2] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1117),
    [anon_sym_PLUS] = ACTIONS(1117),
    [anon_sym_STAR] = ACTIONS(1119),
    [anon_sym_AMP] = ACTIONS(1119),
    [anon_sym_SEMI] = ACTIONS(1119),
    [anon_sym___extension__] = ACTIONS(1117),
    [anon_sym_typedef] = ACTIONS(1117),
    [anon_sym_extern] = ACTIONS(1117),
    [anon_sym___attribute__] = ACTIONS(1117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1119),
    [anon_sym___declspec] = ACTIONS(1117),
    [anon_sym___cdecl] = ACTIONS(1117),
    [anon_sym___clrcall] = ACTIONS(1117),
    [anon_sym___stdcall] = ACTIONS(1117),
    [anon_sym___fastcall] = ACTIONS(1117),
    [anon_sym___thiscall] = ACTIONS(1117),
    [anon_sym___vectorcall] = ACTIONS(1117),
    [anon_sym_LBRACE] = ACTIONS(1119),
    [anon_sym_signed] = ACTIONS(1117),
    [anon_sym_unsigned] = ACTIONS(1117),
    [anon_sym_long] = ACTIONS(1117),
    [anon_sym_short] = ACTIONS(1117),
    [anon_sym_static] = ACTIONS(1117),
    [anon_sym_auto] = ACTIONS(1117),
    [anon_sym_register] = ACTIONS(1117),
    [anon_sym_inline] = ACTIONS(1117),
    [anon_sym___inline] = ACTIONS(1117),
    [anon_sym___inline__] = ACTIONS(1117),
    [anon_sym___forceinline] = ACTIONS(1117),
    [anon_sym_thread_local] = ACTIONS(1117),
    [anon_sym___thread] = ACTIONS(1117),
    [anon_sym_const] = ACTIONS(1117),
    [anon_sym_constexpr] = ACTIONS(1117),
    [anon_sym_volatile] = ACTIONS(1117),
    [anon_sym_restrict] = ACTIONS(1117),
    [anon_sym___restrict__] = ACTIONS(1117),
    [anon_sym__Atomic] = ACTIONS(1117),
    [anon_sym__Noreturn] = ACTIONS(1117),
    [anon_sym_noreturn] = ACTIONS(1117),
    [anon_sym_alignas] = ACTIONS(1117),
    [anon_sym__Alignas] = ACTIONS(1117),
    [sym_primitive_type] = ACTIONS(1117),
    [anon_sym_enum] = ACTIONS(1117),
    [anon_sym_struct] = ACTIONS(1117),
    [anon_sym_union] = ACTIONS(1117),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_else] = ACTIONS(1121),
    [anon_sym_switch] = ACTIONS(1117),
    [anon_sym_case] = ACTIONS(1117),
    [anon_sym_default] = ACTIONS(1117),
    [anon_sym_while] = ACTIONS(1117),
    [anon_sym_do] = ACTIONS(1117),
    [anon_sym_for] = ACTIONS(1117),
    [anon_sym_return] = ACTIONS(1117),
    [anon_sym_break] = ACTIONS(1117),
    [anon_sym_continue] = ACTIONS(1117),
    [anon_sym_goto] = ACTIONS(1117),
    [anon_sym___try] = ACTIONS(1117),
    [anon_sym___leave] = ACTIONS(1117),
    [anon_sym_DASH_DASH] = ACTIONS(1119),
    [anon_sym_PLUS_PLUS] = ACTIONS(1119),
    [anon_sym_sizeof] = ACTIONS(1117),
    [anon_sym___alignof__] = ACTIONS(1117),
    [anon_sym___alignof] = ACTIONS(1117),
    [anon_sym__alignof] = ACTIONS(1117),
    [anon_sym_alignof] = ACTIONS(1117),
    [anon_sym__Alignof] = ACTIONS(1117),
    [anon_sym_offsetof] = ACTIONS(1117),
    [anon_sym__Generic] = ACTIONS(1117),
    [anon_sym_asm] = ACTIONS(1117),
    [anon_sym___asm__] = ACTIONS(1117),
    [sym_number_literal] = ACTIONS(1119),
    [anon_sym_L_SQUOTE] = ACTIONS(1119),
    [anon_sym_u_SQUOTE] = ACTIONS(1119),
    [anon_sym_U_SQUOTE] = ACTIONS(1119),
    [anon_sym_u8_SQUOTE] = ACTIONS(1119),
    [anon_sym_SQUOTE] = ACTIONS(1119),
    [anon_sym_L_DQUOTE] = ACTIONS(1119),
    [anon_sym_u_DQUOTE] = ACTIONS(1119),
    [anon_sym_U_DQUOTE] = ACTIONS(1119),
    [anon_sym_u8_DQUOTE] = ACTIONS(1119),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_true] = ACTIONS(1117),
    [sym_false] = ACTIONS(1117),
    [anon_sym_NULL] = ACTIONS(1117),
    [anon_sym_nullptr] = ACTIONS(1117),
    [sym_comment] = ACTIONS(3),
  },
  [76] = {
    [sym_identifier] = ACTIONS(1123),
    [aux_sym_preproc_include_token1] = ACTIONS(1123),
    [aux_sym_preproc_def_token1] = ACTIONS(1123),
    [aux_sym_preproc_if_token1] = ACTIONS(1123),
    [aux_sym_preproc_if_token2] = ACTIONS(1123),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1123),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1123),
    [aux_sym_preproc_else_token1] = ACTIONS(1123),
    [aux_sym_preproc_elif_token1] = ACTIONS(1123),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1123),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1123),
    [sym_preproc_directive] = ACTIONS(1123),
    [anon_sym_LPAREN2] = ACTIONS(1125),
    [anon_sym_BANG] = ACTIONS(1125),
    [anon_sym_TILDE] = ACTIONS(1125),
    [anon_sym_DASH] = ACTIONS(1123),
    [anon_sym_PLUS] = ACTIONS(1123),
    [anon_sym_STAR] = ACTIONS(1125),
    [anon_sym_AMP] = ACTIONS(1125),
    [anon_sym_SEMI] = ACTIONS(1125),
    [anon_sym___extension__] = ACTIONS(1123),
    [anon_sym_typedef] = ACTIONS(1123),
    [anon_sym_extern] = ACTIONS(1123),
    [anon_sym___attribute__] = ACTIONS(1123),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1125),
    [anon_sym___declspec] = ACTIONS(1123),
    [anon_sym___cdecl] = ACTIONS(1123),
    [anon_sym___clrcall] = ACTIONS(1123),
    [anon_sym___stdcall] = ACTIONS(1123),
    [anon_sym___fastcall] = ACTIONS(1123),
    [anon_sym___thiscall] = ACTIONS(1123),
    [anon_sym___vectorcall] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_signed] = ACTIONS(1123),
    [anon_sym_unsigned] = ACTIONS(1123),
    [anon_sym_long] = ACTIONS(1123),
    [anon_sym_short] = ACTIONS(1123),
    [anon_sym_static] = ACTIONS(1123),
    [anon_sym_auto] = ACTIONS(1123),
    [anon_sym_register] = ACTIONS(1123),
    [anon_sym_inline] = ACTIONS(1123),
    [anon_sym___inline] = ACTIONS(1123),
    [anon_sym___inline__] = ACTIONS(1123),
    [anon_sym___forceinline] = ACTIONS(1123),
    [anon_sym_thread_local] = ACTIONS(1123),
    [anon_sym___thread] = ACTIONS(1123),
    [anon_sym_const] = ACTIONS(1123),
    [anon_sym_constexpr] = ACTIONS(1123),
    [anon_sym_volatile] = ACTIONS(1123),
    [anon_sym_restrict] = ACTIONS(1123),
    [anon_sym___restrict__] = ACTIONS(1123),
    [anon_sym__Atomic] = ACTIONS(1123),
    [anon_sym__Noreturn] = ACTIONS(1123),
    [anon_sym_noreturn] = ACTIONS(1123),
    [anon_sym_alignas] = ACTIONS(1123),
    [anon_sym__Alignas] = ACTIONS(1123),
    [sym_primitive_type] = ACTIONS(1123),
    [anon_sym_enum] = ACTIONS(1123),
    [anon_sym_struct] = ACTIONS(1123),
    [anon_sym_union] = ACTIONS(1123),
    [anon_sym_if] = ACTIONS(1123),
    [anon_sym_else] = ACTIONS(1123),
    [anon_sym_switch] = ACTIONS(1123),
    [anon_sym_case] = ACTIONS(1123),
    [anon_sym_default] = ACTIONS(1123),
    [anon_sym_while] = ACTIONS(1123),
    [anon_sym_do] = ACTIONS(1123),
    [anon_sym_for] = ACTIONS(1123),
    [anon_sym_return] = ACTIONS(1123),
    [anon_sym_break] = ACTIONS(1123),
    [anon_sym_continue] = ACTIONS(1123),
    [anon_sym_goto] = ACTIONS(1123),
    [anon_sym___try] = ACTIONS(1123),
    [anon_sym___leave] = ACTIONS(1123),
    [anon_sym_DASH_DASH] = ACTIONS(1125),
    [anon_sym_PLUS_PLUS] = ACTIONS(1125),
    [anon_sym_sizeof] = ACTIONS(1123),
    [anon_sym___alignof__] = ACTIONS(1123),
    [anon_sym___alignof] = ACTIONS(1123),
    [anon_sym__alignof] = ACTIONS(1123),
    [anon_sym_alignof] = ACTIONS(1123),
    [anon_sym__Alignof] = ACTIONS(1123),
    [anon_sym_offsetof] = ACTIONS(1123),
    [anon_sym__Generic] = ACTIONS(1123),
    [anon_sym_asm] = ACTIONS(1123),
    [anon_sym___asm__] = ACTIONS(1123),
    [sym_number_literal] = ACTIONS(1125),
    [anon_sym_L_SQUOTE] = ACTIONS(1125),
    [anon_sym_u_SQUOTE] = ACTIONS(1125),
    [anon_sym_U_SQUOTE] = ACTIONS(1125),
    [anon_sym_u8_SQUOTE] = ACTIONS(1125),
    [anon_sym_SQUOTE] = ACTIONS(1125),
    [anon_sym_L_DQUOTE] = ACTIONS(1125),
    [anon_sym_u_DQUOTE] = ACTIONS(1125),
    [anon_sym_U_DQUOTE] = ACTIONS(1125),
    [anon_sym_u8_DQUOTE] = ACTIONS(1125),
    [anon_sym_DQUOTE] = ACTIONS(1125),
    [sym_true] = ACTIONS(1123),
    [sym_false] = ACTIONS(1123),
    [anon_sym_NULL] = ACTIONS(1123),
    [anon_sym_nullptr] = ACTIONS(1123),
    [sym_comment] = ACTIONS(3),
  },
  [77] = {
    [ts_builtin_sym_end] = ACTIONS(1127),
    [sym_identifier] = ACTIONS(1129),
    [aux_sym_preproc_include_token1] = ACTIONS(1129),
    [aux_sym_preproc_def_token1] = ACTIONS(1129),
    [anon_sym_COMMA] = ACTIONS(1127),
    [anon_sym_RPAREN] = ACTIONS(1127),
    [aux_sym_preproc_if_token1] = ACTIONS(1129),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1129),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1129),
    [sym_preproc_directive] = ACTIONS(1129),
    [anon_sym_LPAREN2] = ACTIONS(1127),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_SEMI] = ACTIONS(1127),
    [anon_sym___extension__] = ACTIONS(1129),
    [anon_sym_typedef] = ACTIONS(1129),
    [anon_sym_extern] = ACTIONS(1129),
    [anon_sym___attribute__] = ACTIONS(1129),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1127),
    [anon_sym___declspec] = ACTIONS(1129),
    [anon_sym___cdecl] = ACTIONS(1129),
    [anon_sym___clrcall] = ACTIONS(1129),
    [anon_sym___stdcall] = ACTIONS(1129),
    [anon_sym___fastcall] = ACTIONS(1129),
    [anon_sym___thiscall] = ACTIONS(1129),
    [anon_sym___vectorcall] = ACTIONS(1129),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_signed] = ACTIONS(1129),
    [anon_sym_unsigned] = ACTIONS(1129),
    [anon_sym_long] = ACTIONS(1129),
    [anon_sym_short] = ACTIONS(1129),
    [anon_sym_static] = ACTIONS(1129),
    [anon_sym_auto] = ACTIONS(1129),
    [anon_sym_register] = ACTIONS(1129),
    [anon_sym_inline] = ACTIONS(1129),
    [anon_sym___inline] = ACTIONS(1129),
    [anon_sym___inline__] = ACTIONS(1129),
    [anon_sym___forceinline] = ACTIONS(1129),
    [anon_sym_thread_local] = ACTIONS(1129),
    [anon_sym___thread] = ACTIONS(1129),
    [anon_sym_const] = ACTIONS(1129),
    [anon_sym_constexpr] = ACTIONS(1129),
    [anon_sym_volatile] = ACTIONS(1129),
    [anon_sym_restrict] = ACTIONS(1129),
    [anon_sym___restrict__] = ACTIONS(1129),
    [anon_sym__Atomic] = ACTIONS(1129),
    [anon_sym__Noreturn] = ACTIONS(1129),
    [anon_sym_noreturn] = ACTIONS(1129),
    [anon_sym_alignas] = ACTIONS(1129),
    [anon_sym__Alignas] = ACTIONS(1129),
    [sym_primitive_type] = ACTIONS(1129),
    [anon_sym_enum] = ACTIONS(1129),
    [anon_sym_struct] = ACTIONS(1129),
    [anon_sym_union] = ACTIONS(1129),
    [anon_sym_if] = ACTIONS(1129),
    [anon_sym_else] = ACTIONS(1129),
    [anon_sym_switch] = ACTIONS(1129),
    [anon_sym_case] = ACTIONS(1129),
    [anon_sym_default] = ACTIONS(1129),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_do] = ACTIONS(1129),
    [anon_sym_for] = ACTIONS(1129),
    [anon_sym_return] = ACTIONS(1129),
    [anon_sym_break] = ACTIONS(1129),
    [anon_sym_continue] = ACTIONS(1129),
    [anon_sym_goto] = ACTIONS(1129),
    [anon_sym___try] = ACTIONS(1129),
    [anon_sym___except] = ACTIONS(1129),
    [anon_sym___finally] = ACTIONS(1129),
    [anon_sym___leave] = ACTIONS(1129),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_sizeof] = ACTIONS(1129),
    [anon_sym___alignof__] = ACTIONS(1129),
    [anon_sym___alignof] = ACTIONS(1129),
    [anon_sym__alignof] = ACTIONS(1129),
    [anon_sym_alignof] = ACTIONS(1129),
    [anon_sym__Alignof] = ACTIONS(1129),
    [anon_sym_offsetof] = ACTIONS(1129),
    [anon_sym__Generic] = ACTIONS(1129),
    [anon_sym_asm] = ACTIONS(1129),
    [anon_sym___asm__] = ACTIONS(1129),
    [sym_number_literal] = ACTIONS(1127),
    [anon_sym_L_SQUOTE] = ACTIONS(1127),
    [anon_sym_u_SQUOTE] = ACTIONS(1127),
    [anon_sym_U_SQUOTE] = ACTIONS(1127),
    [anon_sym_u8_SQUOTE] = ACTIONS(1127),
    [anon_sym_SQUOTE] = ACTIONS(1127),
    [anon_sym_L_DQUOTE] = ACTIONS(1127),
    [anon_sym_u_DQUOTE] = ACTIONS(1127),
    [anon_sym_U_DQUOTE] = ACTIONS(1127),
    [anon_sym_u8_DQUOTE] = ACTIONS(1127),
    [anon_sym_DQUOTE] = ACTIONS(1127),
    [sym_true] = ACTIONS(1129),
    [sym_false] = ACTIONS(1129),
    [anon_sym_NULL] = ACTIONS(1129),
    [anon_sym_nullptr] = ACTIONS(1129),
    [sym_comment] = ACTIONS(3),
  },
  [78] = {
    [sym_identifier] = ACTIONS(1131),
    [aux_sym_preproc_include_token1] = ACTIONS(1131),
    [aux_sym_preproc_def_token1] = ACTIONS(1131),
    [aux_sym_preproc_if_token1] = ACTIONS(1131),
    [aux_sym_preproc_if_token2] = ACTIONS(1131),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1131),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1131),
    [aux_sym_preproc_else_token1] = ACTIONS(1131),
    [aux_sym_preproc_elif_token1] = ACTIONS(1131),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1131),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1131),
    [sym_preproc_directive] = ACTIONS(1131),
    [anon_sym_LPAREN2] = ACTIONS(1133),
    [anon_sym_BANG] = ACTIONS(1133),
    [anon_sym_TILDE] = ACTIONS(1133),
    [anon_sym_DASH] = ACTIONS(1131),
    [anon_sym_PLUS] = ACTIONS(1131),
    [anon_sym_STAR] = ACTIONS(1133),
    [anon_sym_AMP] = ACTIONS(1133),
    [anon_sym_SEMI] = ACTIONS(1133),
    [anon_sym___extension__] = ACTIONS(1131),
    [anon_sym_typedef] = ACTIONS(1131),
    [anon_sym_extern] = ACTIONS(1131),
    [anon_sym___attribute__] = ACTIONS(1131),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1133),
    [anon_sym___declspec] = ACTIONS(1131),
    [anon_sym___cdecl] = ACTIONS(1131),
    [anon_sym___clrcall] = ACTIONS(1131),
    [anon_sym___stdcall] = ACTIONS(1131),
    [anon_sym___fastcall] = ACTIONS(1131),
    [anon_sym___thiscall] = ACTIONS(1131),
    [anon_sym___vectorcall] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_signed] = ACTIONS(1131),
    [anon_sym_unsigned] = ACTIONS(1131),
    [anon_sym_long] = ACTIONS(1131),
    [anon_sym_short] = ACTIONS(1131),
    [anon_sym_static] = ACTIONS(1131),
    [anon_sym_auto] = ACTIONS(1131),
    [anon_sym_register] = ACTIONS(1131),
    [anon_sym_inline] = ACTIONS(1131),
    [anon_sym___inline] = ACTIONS(1131),
    [anon_sym___inline__] = ACTIONS(1131),
    [anon_sym___forceinline] = ACTIONS(1131),
    [anon_sym_thread_local] = ACTIONS(1131),
    [anon_sym___thread] = ACTIONS(1131),
    [anon_sym_const] = ACTIONS(1131),
    [anon_sym_constexpr] = ACTIONS(1131),
    [anon_sym_volatile] = ACTIONS(1131),
    [anon_sym_restrict] = ACTIONS(1131),
    [anon_sym___restrict__] = ACTIONS(1131),
    [anon_sym__Atomic] = ACTIONS(1131),
    [anon_sym__Noreturn] = ACTIONS(1131),
    [anon_sym_noreturn] = ACTIONS(1131),
    [anon_sym_alignas] = ACTIONS(1131),
    [anon_sym__Alignas] = ACTIONS(1131),
    [sym_primitive_type] = ACTIONS(1131),
    [anon_sym_enum] = ACTIONS(1131),
    [anon_sym_struct] = ACTIONS(1131),
    [anon_sym_union] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1131),
    [anon_sym_else] = ACTIONS(1131),
    [anon_sym_switch] = ACTIONS(1131),
    [anon_sym_case] = ACTIONS(1131),
    [anon_sym_default] = ACTIONS(1131),
    [anon_sym_while] = ACTIONS(1131),
    [anon_sym_do] = ACTIONS(1131),
    [anon_sym_for] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1131),
    [anon_sym_break] = ACTIONS(1131),
    [anon_sym_continue] = ACTIONS(1131),
    [anon_sym_goto] = ACTIONS(1131),
    [anon_sym___try] = ACTIONS(1131),
    [anon_sym___leave] = ACTIONS(1131),
    [anon_sym_DASH_DASH] = ACTIONS(1133),
    [anon_sym_PLUS_PLUS] = ACTIONS(1133),
    [anon_sym_sizeof] = ACTIONS(1131),
    [anon_sym___alignof__] = ACTIONS(1131),
    [anon_sym___alignof] = ACTIONS(1131),
    [anon_sym__alignof] = ACTIONS(1131),
    [anon_sym_alignof] = ACTIONS(1131),
    [anon_sym__Alignof] = ACTIONS(1131),
    [anon_sym_offsetof] = ACTIONS(1131),
    [anon_sym__Generic] = ACTIONS(1131),
    [anon_sym_asm] = ACTIONS(1131),
    [anon_sym___asm__] = ACTIONS(1131),
    [sym_number_literal] = ACTIONS(1133),
    [anon_sym_L_SQUOTE] = ACTIONS(1133),
    [anon_sym_u_SQUOTE] = ACTIONS(1133),
    [anon_sym_U_SQUOTE] = ACTIONS(1133),
    [anon_sym_u8_SQUOTE] = ACTIONS(1133),
    [anon_sym_SQUOTE] = ACTIONS(1133),
    [anon_sym_L_DQUOTE] = ACTIONS(1133),
    [anon_sym_u_DQUOTE] = ACTIONS(1133),
    [anon_sym_U_DQUOTE] = ACTIONS(1133),
    [anon_sym_u8_DQUOTE] = ACTIONS(1133),
    [anon_sym_DQUOTE] = ACTIONS(1133),
    [sym_true] = ACTIONS(1131),
    [sym_false] = ACTIONS(1131),
    [anon_sym_NULL] = ACTIONS(1131),
    [anon_sym_nullptr] = ACTIONS(1131),
    [sym_comment] = ACTIONS(3),
  },
  [79] = {
    [sym_identifier] = ACTIONS(1131),
    [aux_sym_preproc_include_token1] = ACTIONS(1131),
    [aux_sym_preproc_def_token1] = ACTIONS(1131),
    [aux_sym_preproc_if_token1] = ACTIONS(1131),
    [aux_sym_preproc_if_token2] = ACTIONS(1131),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1131),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1131),
    [aux_sym_preproc_else_token1] = ACTIONS(1131),
    [aux_sym_preproc_elif_token1] = ACTIONS(1131),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1131),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1131),
    [sym_preproc_directive] = ACTIONS(1131),
    [anon_sym_LPAREN2] = ACTIONS(1133),
    [anon_sym_BANG] = ACTIONS(1133),
    [anon_sym_TILDE] = ACTIONS(1133),
    [anon_sym_DASH] = ACTIONS(1131),
    [anon_sym_PLUS] = ACTIONS(1131),
    [anon_sym_STAR] = ACTIONS(1133),
    [anon_sym_AMP] = ACTIONS(1133),
    [anon_sym_SEMI] = ACTIONS(1133),
    [anon_sym___extension__] = ACTIONS(1131),
    [anon_sym_typedef] = ACTIONS(1131),
    [anon_sym_extern] = ACTIONS(1131),
    [anon_sym___attribute__] = ACTIONS(1131),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1133),
    [anon_sym___declspec] = ACTIONS(1131),
    [anon_sym___cdecl] = ACTIONS(1131),
    [anon_sym___clrcall] = ACTIONS(1131),
    [anon_sym___stdcall] = ACTIONS(1131),
    [anon_sym___fastcall] = ACTIONS(1131),
    [anon_sym___thiscall] = ACTIONS(1131),
    [anon_sym___vectorcall] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_signed] = ACTIONS(1131),
    [anon_sym_unsigned] = ACTIONS(1131),
    [anon_sym_long] = ACTIONS(1131),
    [anon_sym_short] = ACTIONS(1131),
    [anon_sym_static] = ACTIONS(1131),
    [anon_sym_auto] = ACTIONS(1131),
    [anon_sym_register] = ACTIONS(1131),
    [anon_sym_inline] = ACTIONS(1131),
    [anon_sym___inline] = ACTIONS(1131),
    [anon_sym___inline__] = ACTIONS(1131),
    [anon_sym___forceinline] = ACTIONS(1131),
    [anon_sym_thread_local] = ACTIONS(1131),
    [anon_sym___thread] = ACTIONS(1131),
    [anon_sym_const] = ACTIONS(1131),
    [anon_sym_constexpr] = ACTIONS(1131),
    [anon_sym_volatile] = ACTIONS(1131),
    [anon_sym_restrict] = ACTIONS(1131),
    [anon_sym___restrict__] = ACTIONS(1131),
    [anon_sym__Atomic] = ACTIONS(1131),
    [anon_sym__Noreturn] = ACTIONS(1131),
    [anon_sym_noreturn] = ACTIONS(1131),
    [anon_sym_alignas] = ACTIONS(1131),
    [anon_sym__Alignas] = ACTIONS(1131),
    [sym_primitive_type] = ACTIONS(1131),
    [anon_sym_enum] = ACTIONS(1131),
    [anon_sym_struct] = ACTIONS(1131),
    [anon_sym_union] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1131),
    [anon_sym_else] = ACTIONS(1131),
    [anon_sym_switch] = ACTIONS(1131),
    [anon_sym_case] = ACTIONS(1131),
    [anon_sym_default] = ACTIONS(1131),
    [anon_sym_while] = ACTIONS(1131),
    [anon_sym_do] = ACTIONS(1131),
    [anon_sym_for] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1131),
    [anon_sym_break] = ACTIONS(1131),
    [anon_sym_continue] = ACTIONS(1131),
    [anon_sym_goto] = ACTIONS(1131),
    [anon_sym___try] = ACTIONS(1131),
    [anon_sym___leave] = ACTIONS(1131),
    [anon_sym_DASH_DASH] = ACTIONS(1133),
    [anon_sym_PLUS_PLUS] = ACTIONS(1133),
    [anon_sym_sizeof] = ACTIONS(1131),
    [anon_sym___alignof__] = ACTIONS(1131),
    [anon_sym___alignof] = ACTIONS(1131),
    [anon_sym__alignof] = ACTIONS(1131),
    [anon_sym_alignof] = ACTIONS(1131),
    [anon_sym__Alignof] = ACTIONS(1131),
    [anon_sym_offsetof] = ACTIONS(1131),
    [anon_sym__Generic] = ACTIONS(1131),
    [anon_sym_asm] = ACTIONS(1131),
    [anon_sym___asm__] = ACTIONS(1131),
    [sym_number_literal] = ACTIONS(1133),
    [anon_sym_L_SQUOTE] = ACTIONS(1133),
    [anon_sym_u_SQUOTE] = ACTIONS(1133),
    [anon_sym_U_SQUOTE] = ACTIONS(1133),
    [anon_sym_u8_SQUOTE] = ACTIONS(1133),
    [anon_sym_SQUOTE] = ACTIONS(1133),
    [anon_sym_L_DQUOTE] = ACTIONS(1133),
    [anon_sym_u_DQUOTE] = ACTIONS(1133),
    [anon_sym_U_DQUOTE] = ACTIONS(1133),
    [anon_sym_u8_DQUOTE] = ACTIONS(1133),
    [anon_sym_DQUOTE] = ACTIONS(1133),
    [sym_true] = ACTIONS(1131),
    [sym_false] = ACTIONS(1131),
    [anon_sym_NULL] = ACTIONS(1131),
    [anon_sym_nullptr] = ACTIONS(1131),
    [sym_comment] = ACTIONS(3),
  },
  [80] = {
    [sym_identifier] = ACTIONS(1135),
    [aux_sym_preproc_include_token1] = ACTIONS(1135),
    [aux_sym_preproc_def_token1] = ACTIONS(1135),
    [aux_sym_preproc_if_token1] = ACTIONS(1135),
    [aux_sym_preproc_if_token2] = ACTIONS(1135),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1135),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1135),
    [aux_sym_preproc_else_token1] = ACTIONS(1135),
    [aux_sym_preproc_elif_token1] = ACTIONS(1135),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1135),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1135),
    [sym_preproc_directive] = ACTIONS(1135),
    [anon_sym_LPAREN2] = ACTIONS(1137),
    [anon_sym_BANG] = ACTIONS(1137),
    [anon_sym_TILDE] = ACTIONS(1137),
    [anon_sym_DASH] = ACTIONS(1135),
    [anon_sym_PLUS] = ACTIONS(1135),
    [anon_sym_STAR] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(1137),
    [anon_sym_SEMI] = ACTIONS(1137),
    [anon_sym___extension__] = ACTIONS(1135),
    [anon_sym_typedef] = ACTIONS(1135),
    [anon_sym_extern] = ACTIONS(1135),
    [anon_sym___attribute__] = ACTIONS(1135),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1137),
    [anon_sym___declspec] = ACTIONS(1135),
    [anon_sym___cdecl] = ACTIONS(1135),
    [anon_sym___clrcall] = ACTIONS(1135),
    [anon_sym___stdcall] = ACTIONS(1135),
    [anon_sym___fastcall] = ACTIONS(1135),
    [anon_sym___thiscall] = ACTIONS(1135),
    [anon_sym___vectorcall] = ACTIONS(1135),
    [anon_sym_LBRACE] = ACTIONS(1137),
    [anon_sym_signed] = ACTIONS(1135),
    [anon_sym_unsigned] = ACTIONS(1135),
    [anon_sym_long] = ACTIONS(1135),
    [anon_sym_short] = ACTIONS(1135),
    [anon_sym_static] = ACTIONS(1135),
    [anon_sym_auto] = ACTIONS(1135),
    [anon_sym_register] = ACTIONS(1135),
    [anon_sym_inline] = ACTIONS(1135),
    [anon_sym___inline] = ACTIONS(1135),
    [anon_sym___inline__] = ACTIONS(1135),
    [anon_sym___forceinline] = ACTIONS(1135),
    [anon_sym_thread_local] = ACTIONS(1135),
    [anon_sym___thread] = ACTIONS(1135),
    [anon_sym_const] = ACTIONS(1135),
    [anon_sym_constexpr] = ACTIONS(1135),
    [anon_sym_volatile] = ACTIONS(1135),
    [anon_sym_restrict] = ACTIONS(1135),
    [anon_sym___restrict__] = ACTIONS(1135),
    [anon_sym__Atomic] = ACTIONS(1135),
    [anon_sym__Noreturn] = ACTIONS(1135),
    [anon_sym_noreturn] = ACTIONS(1135),
    [anon_sym_alignas] = ACTIONS(1135),
    [anon_sym__Alignas] = ACTIONS(1135),
    [sym_primitive_type] = ACTIONS(1135),
    [anon_sym_enum] = ACTIONS(1135),
    [anon_sym_struct] = ACTIONS(1135),
    [anon_sym_union] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(1135),
    [anon_sym_else] = ACTIONS(1135),
    [anon_sym_switch] = ACTIONS(1135),
    [anon_sym_case] = ACTIONS(1135),
    [anon_sym_default] = ACTIONS(1135),
    [anon_sym_while] = ACTIONS(1135),
    [anon_sym_do] = ACTIONS(1135),
    [anon_sym_for] = ACTIONS(1135),
    [anon_sym_return] = ACTIONS(1135),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [anon_sym_goto] = ACTIONS(1135),
    [anon_sym___try] = ACTIONS(1135),
    [anon_sym___leave] = ACTIONS(1135),
    [anon_sym_DASH_DASH] = ACTIONS(1137),
    [anon_sym_PLUS_PLUS] = ACTIONS(1137),
    [anon_sym_sizeof] = ACTIONS(1135),
    [anon_sym___alignof__] = ACTIONS(1135),
    [anon_sym___alignof] = ACTIONS(1135),
    [anon_sym__alignof] = ACTIONS(1135),
    [anon_sym_alignof] = ACTIONS(1135),
    [anon_sym__Alignof] = ACTIONS(1135),
    [anon_sym_offsetof] = ACTIONS(1135),
    [anon_sym__Generic] = ACTIONS(1135),
    [anon_sym_asm] = ACTIONS(1135),
    [anon_sym___asm__] = ACTIONS(1135),
    [sym_number_literal] = ACTIONS(1137),
    [anon_sym_L_SQUOTE] = ACTIONS(1137),
    [anon_sym_u_SQUOTE] = ACTIONS(1137),
    [anon_sym_U_SQUOTE] = ACTIONS(1137),
    [anon_sym_u8_SQUOTE] = ACTIONS(1137),
    [anon_sym_SQUOTE] = ACTIONS(1137),
    [anon_sym_L_DQUOTE] = ACTIONS(1137),
    [anon_sym_u_DQUOTE] = ACTIONS(1137),
    [anon_sym_U_DQUOTE] = ACTIONS(1137),
    [anon_sym_u8_DQUOTE] = ACTIONS(1137),
    [anon_sym_DQUOTE] = ACTIONS(1137),
    [sym_true] = ACTIONS(1135),
    [sym_false] = ACTIONS(1135),
    [anon_sym_NULL] = ACTIONS(1135),
    [anon_sym_nullptr] = ACTIONS(1135),
    [sym_comment] = ACTIONS(3),
  },
  [81] = {
    [sym_identifier] = ACTIONS(1139),
    [aux_sym_preproc_include_token1] = ACTIONS(1139),
    [aux_sym_preproc_def_token1] = ACTIONS(1139),
    [aux_sym_preproc_if_token1] = ACTIONS(1139),
    [aux_sym_preproc_if_token2] = ACTIONS(1139),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1139),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1139),
    [aux_sym_preproc_else_token1] = ACTIONS(1139),
    [aux_sym_preproc_elif_token1] = ACTIONS(1139),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1139),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1139),
    [sym_preproc_directive] = ACTIONS(1139),
    [anon_sym_LPAREN2] = ACTIONS(1141),
    [anon_sym_BANG] = ACTIONS(1141),
    [anon_sym_TILDE] = ACTIONS(1141),
    [anon_sym_DASH] = ACTIONS(1139),
    [anon_sym_PLUS] = ACTIONS(1139),
    [anon_sym_STAR] = ACTIONS(1141),
    [anon_sym_AMP] = ACTIONS(1141),
    [anon_sym_SEMI] = ACTIONS(1141),
    [anon_sym___extension__] = ACTIONS(1139),
    [anon_sym_typedef] = ACTIONS(1139),
    [anon_sym_extern] = ACTIONS(1139),
    [anon_sym___attribute__] = ACTIONS(1139),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1141),
    [anon_sym___declspec] = ACTIONS(1139),
    [anon_sym___cdecl] = ACTIONS(1139),
    [anon_sym___clrcall] = ACTIONS(1139),
    [anon_sym___stdcall] = ACTIONS(1139),
    [anon_sym___fastcall] = ACTIONS(1139),
    [anon_sym___thiscall] = ACTIONS(1139),
    [anon_sym___vectorcall] = ACTIONS(1139),
    [anon_sym_LBRACE] = ACTIONS(1141),
    [anon_sym_signed] = ACTIONS(1139),
    [anon_sym_unsigned] = ACTIONS(1139),
    [anon_sym_long] = ACTIONS(1139),
    [anon_sym_short] = ACTIONS(1139),
    [anon_sym_static] = ACTIONS(1139),
    [anon_sym_auto] = ACTIONS(1139),
    [anon_sym_register] = ACTIONS(1139),
    [anon_sym_inline] = ACTIONS(1139),
    [anon_sym___inline] = ACTIONS(1139),
    [anon_sym___inline__] = ACTIONS(1139),
    [anon_sym___forceinline] = ACTIONS(1139),
    [anon_sym_thread_local] = ACTIONS(1139),
    [anon_sym___thread] = ACTIONS(1139),
    [anon_sym_const] = ACTIONS(1139),
    [anon_sym_constexpr] = ACTIONS(1139),
    [anon_sym_volatile] = ACTIONS(1139),
    [anon_sym_restrict] = ACTIONS(1139),
    [anon_sym___restrict__] = ACTIONS(1139),
    [anon_sym__Atomic] = ACTIONS(1139),
    [anon_sym__Noreturn] = ACTIONS(1139),
    [anon_sym_noreturn] = ACTIONS(1139),
    [anon_sym_alignas] = ACTIONS(1139),
    [anon_sym__Alignas] = ACTIONS(1139),
    [sym_primitive_type] = ACTIONS(1139),
    [anon_sym_enum] = ACTIONS(1139),
    [anon_sym_struct] = ACTIONS(1139),
    [anon_sym_union] = ACTIONS(1139),
    [anon_sym_if] = ACTIONS(1139),
    [anon_sym_else] = ACTIONS(1139),
    [anon_sym_switch] = ACTIONS(1139),
    [anon_sym_case] = ACTIONS(1139),
    [anon_sym_default] = ACTIONS(1139),
    [anon_sym_while] = ACTIONS(1139),
    [anon_sym_do] = ACTIONS(1139),
    [anon_sym_for] = ACTIONS(1139),
    [anon_sym_return] = ACTIONS(1139),
    [anon_sym_break] = ACTIONS(1139),
    [anon_sym_continue] = ACTIONS(1139),
    [anon_sym_goto] = ACTIONS(1139),
    [anon_sym___try] = ACTIONS(1139),
    [anon_sym___leave] = ACTIONS(1139),
    [anon_sym_DASH_DASH] = ACTIONS(1141),
    [anon_sym_PLUS_PLUS] = ACTIONS(1141),
    [anon_sym_sizeof] = ACTIONS(1139),
    [anon_sym___alignof__] = ACTIONS(1139),
    [anon_sym___alignof] = ACTIONS(1139),
    [anon_sym__alignof] = ACTIONS(1139),
    [anon_sym_alignof] = ACTIONS(1139),
    [anon_sym__Alignof] = ACTIONS(1139),
    [anon_sym_offsetof] = ACTIONS(1139),
    [anon_sym__Generic] = ACTIONS(1139),
    [anon_sym_asm] = ACTIONS(1139),
    [anon_sym___asm__] = ACTIONS(1139),
    [sym_number_literal] = ACTIONS(1141),
    [anon_sym_L_SQUOTE] = ACTIONS(1141),
    [anon_sym_u_SQUOTE] = ACTIONS(1141),
    [anon_sym_U_SQUOTE] = ACTIONS(1141),
    [anon_sym_u8_SQUOTE] = ACTIONS(1141),
    [anon_sym_SQUOTE] = ACTIONS(1141),
    [anon_sym_L_DQUOTE] = ACTIONS(1141),
    [anon_sym_u_DQUOTE] = ACTIONS(1141),
    [anon_sym_U_DQUOTE] = ACTIONS(1141),
    [anon_sym_u8_DQUOTE] = ACTIONS(1141),
    [anon_sym_DQUOTE] = ACTIONS(1141),
    [sym_true] = ACTIONS(1139),
    [sym_false] = ACTIONS(1139),
    [anon_sym_NULL] = ACTIONS(1139),
    [anon_sym_nullptr] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
  },
  [82] = {
    [sym_identifier] = ACTIONS(1143),
    [aux_sym_preproc_include_token1] = ACTIONS(1143),
    [aux_sym_preproc_def_token1] = ACTIONS(1143),
    [aux_sym_preproc_if_token1] = ACTIONS(1143),
    [aux_sym_preproc_if_token2] = ACTIONS(1143),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1143),
    [aux_sym_preproc_else_token1] = ACTIONS(1143),
    [aux_sym_preproc_elif_token1] = ACTIONS(1143),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1143),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1143),
    [sym_preproc_directive] = ACTIONS(1143),
    [anon_sym_LPAREN2] = ACTIONS(1145),
    [anon_sym_BANG] = ACTIONS(1145),
    [anon_sym_TILDE] = ACTIONS(1145),
    [anon_sym_DASH] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1143),
    [anon_sym_STAR] = ACTIONS(1145),
    [anon_sym_AMP] = ACTIONS(1145),
    [anon_sym_SEMI] = ACTIONS(1145),
    [anon_sym___extension__] = ACTIONS(1143),
    [anon_sym_typedef] = ACTIONS(1143),
    [anon_sym_extern] = ACTIONS(1143),
    [anon_sym___attribute__] = ACTIONS(1143),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1145),
    [anon_sym___declspec] = ACTIONS(1143),
    [anon_sym___cdecl] = ACTIONS(1143),
    [anon_sym___clrcall] = ACTIONS(1143),
    [anon_sym___stdcall] = ACTIONS(1143),
    [anon_sym___fastcall] = ACTIONS(1143),
    [anon_sym___thiscall] = ACTIONS(1143),
    [anon_sym___vectorcall] = ACTIONS(1143),
    [anon_sym_LBRACE] = ACTIONS(1145),
    [anon_sym_signed] = ACTIONS(1143),
    [anon_sym_unsigned] = ACTIONS(1143),
    [anon_sym_long] = ACTIONS(1143),
    [anon_sym_short] = ACTIONS(1143),
    [anon_sym_static] = ACTIONS(1143),
    [anon_sym_auto] = ACTIONS(1143),
    [anon_sym_register] = ACTIONS(1143),
    [anon_sym_inline] = ACTIONS(1143),
    [anon_sym___inline] = ACTIONS(1143),
    [anon_sym___inline__] = ACTIONS(1143),
    [anon_sym___forceinline] = ACTIONS(1143),
    [anon_sym_thread_local] = ACTIONS(1143),
    [anon_sym___thread] = ACTIONS(1143),
    [anon_sym_const] = ACTIONS(1143),
    [anon_sym_constexpr] = ACTIONS(1143),
    [anon_sym_volatile] = ACTIONS(1143),
    [anon_sym_restrict] = ACTIONS(1143),
    [anon_sym___restrict__] = ACTIONS(1143),
    [anon_sym__Atomic] = ACTIONS(1143),
    [anon_sym__Noreturn] = ACTIONS(1143),
    [anon_sym_noreturn] = ACTIONS(1143),
    [anon_sym_alignas] = ACTIONS(1143),
    [anon_sym__Alignas] = ACTIONS(1143),
    [sym_primitive_type] = ACTIONS(1143),
    [anon_sym_enum] = ACTIONS(1143),
    [anon_sym_struct] = ACTIONS(1143),
    [anon_sym_union] = ACTIONS(1143),
    [anon_sym_if] = ACTIONS(1143),
    [anon_sym_else] = ACTIONS(1143),
    [anon_sym_switch] = ACTIONS(1143),
    [anon_sym_case] = ACTIONS(1143),
    [anon_sym_default] = ACTIONS(1143),
    [anon_sym_while] = ACTIONS(1143),
    [anon_sym_do] = ACTIONS(1143),
    [anon_sym_for] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(1143),
    [anon_sym_break] = ACTIONS(1143),
    [anon_sym_continue] = ACTIONS(1143),
    [anon_sym_goto] = ACTIONS(1143),
    [anon_sym___try] = ACTIONS(1143),
    [anon_sym___leave] = ACTIONS(1143),
    [anon_sym_DASH_DASH] = ACTIONS(1145),
    [anon_sym_PLUS_PLUS] = ACTIONS(1145),
    [anon_sym_sizeof] = ACTIONS(1143),
    [anon_sym___alignof__] = ACTIONS(1143),
    [anon_sym___alignof] = ACTIONS(1143),
    [anon_sym__alignof] = ACTIONS(1143),
    [anon_sym_alignof] = ACTIONS(1143),
    [anon_sym__Alignof] = ACTIONS(1143),
    [anon_sym_offsetof] = ACTIONS(1143),
    [anon_sym__Generic] = ACTIONS(1143),
    [anon_sym_asm] = ACTIONS(1143),
    [anon_sym___asm__] = ACTIONS(1143),
    [sym_number_literal] = ACTIONS(1145),
    [anon_sym_L_SQUOTE] = ACTIONS(1145),
    [anon_sym_u_SQUOTE] = ACTIONS(1145),
    [anon_sym_U_SQUOTE] = ACTIONS(1145),
    [anon_sym_u8_SQUOTE] = ACTIONS(1145),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [anon_sym_L_DQUOTE] = ACTIONS(1145),
    [anon_sym_u_DQUOTE] = ACTIONS(1145),
    [anon_sym_U_DQUOTE] = ACTIONS(1145),
    [anon_sym_u8_DQUOTE] = ACTIONS(1145),
    [anon_sym_DQUOTE] = ACTIONS(1145),
    [sym_true] = ACTIONS(1143),
    [sym_false] = ACTIONS(1143),
    [anon_sym_NULL] = ACTIONS(1143),
    [anon_sym_nullptr] = ACTIONS(1143),
    [sym_comment] = ACTIONS(3),
  },
  [83] = {
    [sym_identifier] = ACTIONS(1147),
    [aux_sym_preproc_include_token1] = ACTIONS(1147),
    [aux_sym_preproc_def_token1] = ACTIONS(1147),
    [aux_sym_preproc_if_token1] = ACTIONS(1147),
    [aux_sym_preproc_if_token2] = ACTIONS(1147),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1147),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1147),
    [aux_sym_preproc_else_token1] = ACTIONS(1147),
    [aux_sym_preproc_elif_token1] = ACTIONS(1147),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1147),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1147),
    [sym_preproc_directive] = ACTIONS(1147),
    [anon_sym_LPAREN2] = ACTIONS(1149),
    [anon_sym_BANG] = ACTIONS(1149),
    [anon_sym_TILDE] = ACTIONS(1149),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_STAR] = ACTIONS(1149),
    [anon_sym_AMP] = ACTIONS(1149),
    [anon_sym_SEMI] = ACTIONS(1149),
    [anon_sym___extension__] = ACTIONS(1147),
    [anon_sym_typedef] = ACTIONS(1147),
    [anon_sym_extern] = ACTIONS(1147),
    [anon_sym___attribute__] = ACTIONS(1147),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1149),
    [anon_sym___declspec] = ACTIONS(1147),
    [anon_sym___cdecl] = ACTIONS(1147),
    [anon_sym___clrcall] = ACTIONS(1147),
    [anon_sym___stdcall] = ACTIONS(1147),
    [anon_sym___fastcall] = ACTIONS(1147),
    [anon_sym___thiscall] = ACTIONS(1147),
    [anon_sym___vectorcall] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1149),
    [anon_sym_signed] = ACTIONS(1147),
    [anon_sym_unsigned] = ACTIONS(1147),
    [anon_sym_long] = ACTIONS(1147),
    [anon_sym_short] = ACTIONS(1147),
    [anon_sym_static] = ACTIONS(1147),
    [anon_sym_auto] = ACTIONS(1147),
    [anon_sym_register] = ACTIONS(1147),
    [anon_sym_inline] = ACTIONS(1147),
    [anon_sym___inline] = ACTIONS(1147),
    [anon_sym___inline__] = ACTIONS(1147),
    [anon_sym___forceinline] = ACTIONS(1147),
    [anon_sym_thread_local] = ACTIONS(1147),
    [anon_sym___thread] = ACTIONS(1147),
    [anon_sym_const] = ACTIONS(1147),
    [anon_sym_constexpr] = ACTIONS(1147),
    [anon_sym_volatile] = ACTIONS(1147),
    [anon_sym_restrict] = ACTIONS(1147),
    [anon_sym___restrict__] = ACTIONS(1147),
    [anon_sym__Atomic] = ACTIONS(1147),
    [anon_sym__Noreturn] = ACTIONS(1147),
    [anon_sym_noreturn] = ACTIONS(1147),
    [anon_sym_alignas] = ACTIONS(1147),
    [anon_sym__Alignas] = ACTIONS(1147),
    [sym_primitive_type] = ACTIONS(1147),
    [anon_sym_enum] = ACTIONS(1147),
    [anon_sym_struct] = ACTIONS(1147),
    [anon_sym_union] = ACTIONS(1147),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_else] = ACTIONS(1147),
    [anon_sym_switch] = ACTIONS(1147),
    [anon_sym_case] = ACTIONS(1147),
    [anon_sym_default] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(1147),
    [anon_sym_do] = ACTIONS(1147),
    [anon_sym_for] = ACTIONS(1147),
    [anon_sym_return] = ACTIONS(1147),
    [anon_sym_break] = ACTIONS(1147),
    [anon_sym_continue] = ACTIONS(1147),
    [anon_sym_goto] = ACTIONS(1147),
    [anon_sym___try] = ACTIONS(1147),
    [anon_sym___leave] = ACTIONS(1147),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_sizeof] = ACTIONS(1147),
    [anon_sym___alignof__] = ACTIONS(1147),
    [anon_sym___alignof] = ACTIONS(1147),
    [anon_sym__alignof] = ACTIONS(1147),
    [anon_sym_alignof] = ACTIONS(1147),
    [anon_sym__Alignof] = ACTIONS(1147),
    [anon_sym_offsetof] = ACTIONS(1147),
    [anon_sym__Generic] = ACTIONS(1147),
    [anon_sym_asm] = ACTIONS(1147),
    [anon_sym___asm__] = ACTIONS(1147),
    [sym_number_literal] = ACTIONS(1149),
    [anon_sym_L_SQUOTE] = ACTIONS(1149),
    [anon_sym_u_SQUOTE] = ACTIONS(1149),
    [anon_sym_U_SQUOTE] = ACTIONS(1149),
    [anon_sym_u8_SQUOTE] = ACTIONS(1149),
    [anon_sym_SQUOTE] = ACTIONS(1149),
    [anon_sym_L_DQUOTE] = ACTIONS(1149),
    [anon_sym_u_DQUOTE] = ACTIONS(1149),
    [anon_sym_U_DQUOTE] = ACTIONS(1149),
    [anon_sym_u8_DQUOTE] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(1149),
    [sym_true] = ACTIONS(1147),
    [sym_false] = ACTIONS(1147),
    [anon_sym_NULL] = ACTIONS(1147),
    [anon_sym_nullptr] = ACTIONS(1147),
    [sym_comment] = ACTIONS(3),
  },
  [84] = {
    [sym_identifier] = ACTIONS(1151),
    [aux_sym_preproc_include_token1] = ACTIONS(1151),
    [aux_sym_preproc_def_token1] = ACTIONS(1151),
    [aux_sym_preproc_if_token1] = ACTIONS(1151),
    [aux_sym_preproc_if_token2] = ACTIONS(1151),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1151),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1151),
    [aux_sym_preproc_else_token1] = ACTIONS(1151),
    [aux_sym_preproc_elif_token1] = ACTIONS(1151),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1151),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1151),
    [sym_preproc_directive] = ACTIONS(1151),
    [anon_sym_LPAREN2] = ACTIONS(1153),
    [anon_sym_BANG] = ACTIONS(1153),
    [anon_sym_TILDE] = ACTIONS(1153),
    [anon_sym_DASH] = ACTIONS(1151),
    [anon_sym_PLUS] = ACTIONS(1151),
    [anon_sym_STAR] = ACTIONS(1153),
    [anon_sym_AMP] = ACTIONS(1153),
    [anon_sym_SEMI] = ACTIONS(1153),
    [anon_sym___extension__] = ACTIONS(1151),
    [anon_sym_typedef] = ACTIONS(1151),
    [anon_sym_extern] = ACTIONS(1151),
    [anon_sym___attribute__] = ACTIONS(1151),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1153),
    [anon_sym___declspec] = ACTIONS(1151),
    [anon_sym___cdecl] = ACTIONS(1151),
    [anon_sym___clrcall] = ACTIONS(1151),
    [anon_sym___stdcall] = ACTIONS(1151),
    [anon_sym___fastcall] = ACTIONS(1151),
    [anon_sym___thiscall] = ACTIONS(1151),
    [anon_sym___vectorcall] = ACTIONS(1151),
    [anon_sym_LBRACE] = ACTIONS(1153),
    [anon_sym_signed] = ACTIONS(1151),
    [anon_sym_unsigned] = ACTIONS(1151),
    [anon_sym_long] = ACTIONS(1151),
    [anon_sym_short] = ACTIONS(1151),
    [anon_sym_static] = ACTIONS(1151),
    [anon_sym_auto] = ACTIONS(1151),
    [anon_sym_register] = ACTIONS(1151),
    [anon_sym_inline] = ACTIONS(1151),
    [anon_sym___inline] = ACTIONS(1151),
    [anon_sym___inline__] = ACTIONS(1151),
    [anon_sym___forceinline] = ACTIONS(1151),
    [anon_sym_thread_local] = ACTIONS(1151),
    [anon_sym___thread] = ACTIONS(1151),
    [anon_sym_const] = ACTIONS(1151),
    [anon_sym_constexpr] = ACTIONS(1151),
    [anon_sym_volatile] = ACTIONS(1151),
    [anon_sym_restrict] = ACTIONS(1151),
    [anon_sym___restrict__] = ACTIONS(1151),
    [anon_sym__Atomic] = ACTIONS(1151),
    [anon_sym__Noreturn] = ACTIONS(1151),
    [anon_sym_noreturn] = ACTIONS(1151),
    [anon_sym_alignas] = ACTIONS(1151),
    [anon_sym__Alignas] = ACTIONS(1151),
    [sym_primitive_type] = ACTIONS(1151),
    [anon_sym_enum] = ACTIONS(1151),
    [anon_sym_struct] = ACTIONS(1151),
    [anon_sym_union] = ACTIONS(1151),
    [anon_sym_if] = ACTIONS(1151),
    [anon_sym_else] = ACTIONS(1151),
    [anon_sym_switch] = ACTIONS(1151),
    [anon_sym_case] = ACTIONS(1151),
    [anon_sym_default] = ACTIONS(1151),
    [anon_sym_while] = ACTIONS(1151),
    [anon_sym_do] = ACTIONS(1151),
    [anon_sym_for] = ACTIONS(1151),
    [anon_sym_return] = ACTIONS(1151),
    [anon_sym_break] = ACTIONS(1151),
    [anon_sym_continue] = ACTIONS(1151),
    [anon_sym_goto] = ACTIONS(1151),
    [anon_sym___try] = ACTIONS(1151),
    [anon_sym___leave] = ACTIONS(1151),
    [anon_sym_DASH_DASH] = ACTIONS(1153),
    [anon_sym_PLUS_PLUS] = ACTIONS(1153),
    [anon_sym_sizeof] = ACTIONS(1151),
    [anon_sym___alignof__] = ACTIONS(1151),
    [anon_sym___alignof] = ACTIONS(1151),
    [anon_sym__alignof] = ACTIONS(1151),
    [anon_sym_alignof] = ACTIONS(1151),
    [anon_sym__Alignof] = ACTIONS(1151),
    [anon_sym_offsetof] = ACTIONS(1151),
    [anon_sym__Generic] = ACTIONS(1151),
    [anon_sym_asm] = ACTIONS(1151),
    [anon_sym___asm__] = ACTIONS(1151),
    [sym_number_literal] = ACTIONS(1153),
    [anon_sym_L_SQUOTE] = ACTIONS(1153),
    [anon_sym_u_SQUOTE] = ACTIONS(1153),
    [anon_sym_U_SQUOTE] = ACTIONS(1153),
    [anon_sym_u8_SQUOTE] = ACTIONS(1153),
    [anon_sym_SQUOTE] = ACTIONS(1153),
    [anon_sym_L_DQUOTE] = ACTIONS(1153),
    [anon_sym_u_DQUOTE] = ACTIONS(1153),
    [anon_sym_U_DQUOTE] = ACTIONS(1153),
    [anon_sym_u8_DQUOTE] = ACTIONS(1153),
    [anon_sym_DQUOTE] = ACTIONS(1153),
    [sym_true] = ACTIONS(1151),
    [sym_false] = ACTIONS(1151),
    [anon_sym_NULL] = ACTIONS(1151),
    [anon_sym_nullptr] = ACTIONS(1151),
    [sym_comment] = ACTIONS(3),
  },
  [85] = {
    [sym_identifier] = ACTIONS(1155),
    [aux_sym_preproc_include_token1] = ACTIONS(1155),
    [aux_sym_preproc_def_token1] = ACTIONS(1155),
    [aux_sym_preproc_if_token1] = ACTIONS(1155),
    [aux_sym_preproc_if_token2] = ACTIONS(1155),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1155),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1155),
    [aux_sym_preproc_else_token1] = ACTIONS(1155),
    [aux_sym_preproc_elif_token1] = ACTIONS(1155),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1155),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1155),
    [sym_preproc_directive] = ACTIONS(1155),
    [anon_sym_LPAREN2] = ACTIONS(1157),
    [anon_sym_BANG] = ACTIONS(1157),
    [anon_sym_TILDE] = ACTIONS(1157),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_STAR] = ACTIONS(1157),
    [anon_sym_AMP] = ACTIONS(1157),
    [anon_sym_SEMI] = ACTIONS(1157),
    [anon_sym___extension__] = ACTIONS(1155),
    [anon_sym_typedef] = ACTIONS(1155),
    [anon_sym_extern] = ACTIONS(1155),
    [anon_sym___attribute__] = ACTIONS(1155),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1157),
    [anon_sym___declspec] = ACTIONS(1155),
    [anon_sym___cdecl] = ACTIONS(1155),
    [anon_sym___clrcall] = ACTIONS(1155),
    [anon_sym___stdcall] = ACTIONS(1155),
    [anon_sym___fastcall] = ACTIONS(1155),
    [anon_sym___thiscall] = ACTIONS(1155),
    [anon_sym___vectorcall] = ACTIONS(1155),
    [anon_sym_LBRACE] = ACTIONS(1157),
    [anon_sym_signed] = ACTIONS(1155),
    [anon_sym_unsigned] = ACTIONS(1155),
    [anon_sym_long] = ACTIONS(1155),
    [anon_sym_short] = ACTIONS(1155),
    [anon_sym_static] = ACTIONS(1155),
    [anon_sym_auto] = ACTIONS(1155),
    [anon_sym_register] = ACTIONS(1155),
    [anon_sym_inline] = ACTIONS(1155),
    [anon_sym___inline] = ACTIONS(1155),
    [anon_sym___inline__] = ACTIONS(1155),
    [anon_sym___forceinline] = ACTIONS(1155),
    [anon_sym_thread_local] = ACTIONS(1155),
    [anon_sym___thread] = ACTIONS(1155),
    [anon_sym_const] = ACTIONS(1155),
    [anon_sym_constexpr] = ACTIONS(1155),
    [anon_sym_volatile] = ACTIONS(1155),
    [anon_sym_restrict] = ACTIONS(1155),
    [anon_sym___restrict__] = ACTIONS(1155),
    [anon_sym__Atomic] = ACTIONS(1155),
    [anon_sym__Noreturn] = ACTIONS(1155),
    [anon_sym_noreturn] = ACTIONS(1155),
    [anon_sym_alignas] = ACTIONS(1155),
    [anon_sym__Alignas] = ACTIONS(1155),
    [sym_primitive_type] = ACTIONS(1155),
    [anon_sym_enum] = ACTIONS(1155),
    [anon_sym_struct] = ACTIONS(1155),
    [anon_sym_union] = ACTIONS(1155),
    [anon_sym_if] = ACTIONS(1155),
    [anon_sym_else] = ACTIONS(1155),
    [anon_sym_switch] = ACTIONS(1155),
    [anon_sym_case] = ACTIONS(1155),
    [anon_sym_default] = ACTIONS(1155),
    [anon_sym_while] = ACTIONS(1155),
    [anon_sym_do] = ACTIONS(1155),
    [anon_sym_for] = ACTIONS(1155),
    [anon_sym_return] = ACTIONS(1155),
    [anon_sym_break] = ACTIONS(1155),
    [anon_sym_continue] = ACTIONS(1155),
    [anon_sym_goto] = ACTIONS(1155),
    [anon_sym___try] = ACTIONS(1155),
    [anon_sym___leave] = ACTIONS(1155),
    [anon_sym_DASH_DASH] = ACTIONS(1157),
    [anon_sym_PLUS_PLUS] = ACTIONS(1157),
    [anon_sym_sizeof] = ACTIONS(1155),
    [anon_sym___alignof__] = ACTIONS(1155),
    [anon_sym___alignof] = ACTIONS(1155),
    [anon_sym__alignof] = ACTIONS(1155),
    [anon_sym_alignof] = ACTIONS(1155),
    [anon_sym__Alignof] = ACTIONS(1155),
    [anon_sym_offsetof] = ACTIONS(1155),
    [anon_sym__Generic] = ACTIONS(1155),
    [anon_sym_asm] = ACTIONS(1155),
    [anon_sym___asm__] = ACTIONS(1155),
    [sym_number_literal] = ACTIONS(1157),
    [anon_sym_L_SQUOTE] = ACTIONS(1157),
    [anon_sym_u_SQUOTE] = ACTIONS(1157),
    [anon_sym_U_SQUOTE] = ACTIONS(1157),
    [anon_sym_u8_SQUOTE] = ACTIONS(1157),
    [anon_sym_SQUOTE] = ACTIONS(1157),
    [anon_sym_L_DQUOTE] = ACTIONS(1157),
    [anon_sym_u_DQUOTE] = ACTIONS(1157),
    [anon_sym_U_DQUOTE] = ACTIONS(1157),
    [anon_sym_u8_DQUOTE] = ACTIONS(1157),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_true] = ACTIONS(1155),
    [sym_false] = ACTIONS(1155),
    [anon_sym_NULL] = ACTIONS(1155),
    [anon_sym_nullptr] = ACTIONS(1155),
    [sym_comment] = ACTIONS(3),
  },
  [86] = {
    [sym_identifier] = ACTIONS(1159),
    [aux_sym_preproc_include_token1] = ACTIONS(1159),
    [aux_sym_preproc_def_token1] = ACTIONS(1159),
    [aux_sym_preproc_if_token1] = ACTIONS(1159),
    [aux_sym_preproc_if_token2] = ACTIONS(1159),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1159),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1159),
    [aux_sym_preproc_else_token1] = ACTIONS(1159),
    [aux_sym_preproc_elif_token1] = ACTIONS(1159),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1159),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1159),
    [sym_preproc_directive] = ACTIONS(1159),
    [anon_sym_LPAREN2] = ACTIONS(1161),
    [anon_sym_BANG] = ACTIONS(1161),
    [anon_sym_TILDE] = ACTIONS(1161),
    [anon_sym_DASH] = ACTIONS(1159),
    [anon_sym_PLUS] = ACTIONS(1159),
    [anon_sym_STAR] = ACTIONS(1161),
    [anon_sym_AMP] = ACTIONS(1161),
    [anon_sym_SEMI] = ACTIONS(1161),
    [anon_sym___extension__] = ACTIONS(1159),
    [anon_sym_typedef] = ACTIONS(1159),
    [anon_sym_extern] = ACTIONS(1159),
    [anon_sym___attribute__] = ACTIONS(1159),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1161),
    [anon_sym___declspec] = ACTIONS(1159),
    [anon_sym___cdecl] = ACTIONS(1159),
    [anon_sym___clrcall] = ACTIONS(1159),
    [anon_sym___stdcall] = ACTIONS(1159),
    [anon_sym___fastcall] = ACTIONS(1159),
    [anon_sym___thiscall] = ACTIONS(1159),
    [anon_sym___vectorcall] = ACTIONS(1159),
    [anon_sym_LBRACE] = ACTIONS(1161),
    [anon_sym_signed] = ACTIONS(1159),
    [anon_sym_unsigned] = ACTIONS(1159),
    [anon_sym_long] = ACTIONS(1159),
    [anon_sym_short] = ACTIONS(1159),
    [anon_sym_static] = ACTIONS(1159),
    [anon_sym_auto] = ACTIONS(1159),
    [anon_sym_register] = ACTIONS(1159),
    [anon_sym_inline] = ACTIONS(1159),
    [anon_sym___inline] = ACTIONS(1159),
    [anon_sym___inline__] = ACTIONS(1159),
    [anon_sym___forceinline] = ACTIONS(1159),
    [anon_sym_thread_local] = ACTIONS(1159),
    [anon_sym___thread] = ACTIONS(1159),
    [anon_sym_const] = ACTIONS(1159),
    [anon_sym_constexpr] = ACTIONS(1159),
    [anon_sym_volatile] = ACTIONS(1159),
    [anon_sym_restrict] = ACTIONS(1159),
    [anon_sym___restrict__] = ACTIONS(1159),
    [anon_sym__Atomic] = ACTIONS(1159),
    [anon_sym__Noreturn] = ACTIONS(1159),
    [anon_sym_noreturn] = ACTIONS(1159),
    [anon_sym_alignas] = ACTIONS(1159),
    [anon_sym__Alignas] = ACTIONS(1159),
    [sym_primitive_type] = ACTIONS(1159),
    [anon_sym_enum] = ACTIONS(1159),
    [anon_sym_struct] = ACTIONS(1159),
    [anon_sym_union] = ACTIONS(1159),
    [anon_sym_if] = ACTIONS(1159),
    [anon_sym_else] = ACTIONS(1159),
    [anon_sym_switch] = ACTIONS(1159),
    [anon_sym_case] = ACTIONS(1159),
    [anon_sym_default] = ACTIONS(1159),
    [anon_sym_while] = ACTIONS(1159),
    [anon_sym_do] = ACTIONS(1159),
    [anon_sym_for] = ACTIONS(1159),
    [anon_sym_return] = ACTIONS(1159),
    [anon_sym_break] = ACTIONS(1159),
    [anon_sym_continue] = ACTIONS(1159),
    [anon_sym_goto] = ACTIONS(1159),
    [anon_sym___try] = ACTIONS(1159),
    [anon_sym___leave] = ACTIONS(1159),
    [anon_sym_DASH_DASH] = ACTIONS(1161),
    [anon_sym_PLUS_PLUS] = ACTIONS(1161),
    [anon_sym_sizeof] = ACTIONS(1159),
    [anon_sym___alignof__] = ACTIONS(1159),
    [anon_sym___alignof] = ACTIONS(1159),
    [anon_sym__alignof] = ACTIONS(1159),
    [anon_sym_alignof] = ACTIONS(1159),
    [anon_sym__Alignof] = ACTIONS(1159),
    [anon_sym_offsetof] = ACTIONS(1159),
    [anon_sym__Generic] = ACTIONS(1159),
    [anon_sym_asm] = ACTIONS(1159),
    [anon_sym___asm__] = ACTIONS(1159),
    [sym_number_literal] = ACTIONS(1161),
    [anon_sym_L_SQUOTE] = ACTIONS(1161),
    [anon_sym_u_SQUOTE] = ACTIONS(1161),
    [anon_sym_U_SQUOTE] = ACTIONS(1161),
    [anon_sym_u8_SQUOTE] = ACTIONS(1161),
    [anon_sym_SQUOTE] = ACTIONS(1161),
    [anon_sym_L_DQUOTE] = ACTIONS(1161),
    [anon_sym_u_DQUOTE] = ACTIONS(1161),
    [anon_sym_U_DQUOTE] = ACTIONS(1161),
    [anon_sym_u8_DQUOTE] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_true] = ACTIONS(1159),
    [sym_false] = ACTIONS(1159),
    [anon_sym_NULL] = ACTIONS(1159),
    [anon_sym_nullptr] = ACTIONS(1159),
    [sym_comment] = ACTIONS(3),
  },
  [87] = {
    [sym_identifier] = ACTIONS(1163),
    [aux_sym_preproc_include_token1] = ACTIONS(1163),
    [aux_sym_preproc_def_token1] = ACTIONS(1163),
    [aux_sym_preproc_if_token1] = ACTIONS(1163),
    [aux_sym_preproc_if_token2] = ACTIONS(1163),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1163),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1163),
    [aux_sym_preproc_else_token1] = ACTIONS(1163),
    [aux_sym_preproc_elif_token1] = ACTIONS(1163),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1163),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1163),
    [sym_preproc_directive] = ACTIONS(1163),
    [anon_sym_LPAREN2] = ACTIONS(1165),
    [anon_sym_BANG] = ACTIONS(1165),
    [anon_sym_TILDE] = ACTIONS(1165),
    [anon_sym_DASH] = ACTIONS(1163),
    [anon_sym_PLUS] = ACTIONS(1163),
    [anon_sym_STAR] = ACTIONS(1165),
    [anon_sym_AMP] = ACTIONS(1165),
    [anon_sym_SEMI] = ACTIONS(1165),
    [anon_sym___extension__] = ACTIONS(1163),
    [anon_sym_typedef] = ACTIONS(1163),
    [anon_sym_extern] = ACTIONS(1163),
    [anon_sym___attribute__] = ACTIONS(1163),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1165),
    [anon_sym___declspec] = ACTIONS(1163),
    [anon_sym___cdecl] = ACTIONS(1163),
    [anon_sym___clrcall] = ACTIONS(1163),
    [anon_sym___stdcall] = ACTIONS(1163),
    [anon_sym___fastcall] = ACTIONS(1163),
    [anon_sym___thiscall] = ACTIONS(1163),
    [anon_sym___vectorcall] = ACTIONS(1163),
    [anon_sym_LBRACE] = ACTIONS(1165),
    [anon_sym_signed] = ACTIONS(1163),
    [anon_sym_unsigned] = ACTIONS(1163),
    [anon_sym_long] = ACTIONS(1163),
    [anon_sym_short] = ACTIONS(1163),
    [anon_sym_static] = ACTIONS(1163),
    [anon_sym_auto] = ACTIONS(1163),
    [anon_sym_register] = ACTIONS(1163),
    [anon_sym_inline] = ACTIONS(1163),
    [anon_sym___inline] = ACTIONS(1163),
    [anon_sym___inline__] = ACTIONS(1163),
    [anon_sym___forceinline] = ACTIONS(1163),
    [anon_sym_thread_local] = ACTIONS(1163),
    [anon_sym___thread] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1163),
    [anon_sym_constexpr] = ACTIONS(1163),
    [anon_sym_volatile] = ACTIONS(1163),
    [anon_sym_restrict] = ACTIONS(1163),
    [anon_sym___restrict__] = ACTIONS(1163),
    [anon_sym__Atomic] = ACTIONS(1163),
    [anon_sym__Noreturn] = ACTIONS(1163),
    [anon_sym_noreturn] = ACTIONS(1163),
    [anon_sym_alignas] = ACTIONS(1163),
    [anon_sym__Alignas] = ACTIONS(1163),
    [sym_primitive_type] = ACTIONS(1163),
    [anon_sym_enum] = ACTIONS(1163),
    [anon_sym_struct] = ACTIONS(1163),
    [anon_sym_union] = ACTIONS(1163),
    [anon_sym_if] = ACTIONS(1163),
    [anon_sym_else] = ACTIONS(1163),
    [anon_sym_switch] = ACTIONS(1163),
    [anon_sym_case] = ACTIONS(1163),
    [anon_sym_default] = ACTIONS(1163),
    [anon_sym_while] = ACTIONS(1163),
    [anon_sym_do] = ACTIONS(1163),
    [anon_sym_for] = ACTIONS(1163),
    [anon_sym_return] = ACTIONS(1163),
    [anon_sym_break] = ACTIONS(1163),
    [anon_sym_continue] = ACTIONS(1163),
    [anon_sym_goto] = ACTIONS(1163),
    [anon_sym___try] = ACTIONS(1163),
    [anon_sym___leave] = ACTIONS(1163),
    [anon_sym_DASH_DASH] = ACTIONS(1165),
    [anon_sym_PLUS_PLUS] = ACTIONS(1165),
    [anon_sym_sizeof] = ACTIONS(1163),
    [anon_sym___alignof__] = ACTIONS(1163),
    [anon_sym___alignof] = ACTIONS(1163),
    [anon_sym__alignof] = ACTIONS(1163),
    [anon_sym_alignof] = ACTIONS(1163),
    [anon_sym__Alignof] = ACTIONS(1163),
    [anon_sym_offsetof] = ACTIONS(1163),
    [anon_sym__Generic] = ACTIONS(1163),
    [anon_sym_asm] = ACTIONS(1163),
    [anon_sym___asm__] = ACTIONS(1163),
    [sym_number_literal] = ACTIONS(1165),
    [anon_sym_L_SQUOTE] = ACTIONS(1165),
    [anon_sym_u_SQUOTE] = ACTIONS(1165),
    [anon_sym_U_SQUOTE] = ACTIONS(1165),
    [anon_sym_u8_SQUOTE] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1165),
    [anon_sym_L_DQUOTE] = ACTIONS(1165),
    [anon_sym_u_DQUOTE] = ACTIONS(1165),
    [anon_sym_U_DQUOTE] = ACTIONS(1165),
    [anon_sym_u8_DQUOTE] = ACTIONS(1165),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [sym_true] = ACTIONS(1163),
    [sym_false] = ACTIONS(1163),
    [anon_sym_NULL] = ACTIONS(1163),
    [anon_sym_nullptr] = ACTIONS(1163),
    [sym_comment] = ACTIONS(3),
  },
  [88] = {
    [sym_identifier] = ACTIONS(1167),
    [aux_sym_preproc_include_token1] = ACTIONS(1167),
    [aux_sym_preproc_def_token1] = ACTIONS(1167),
    [aux_sym_preproc_if_token1] = ACTIONS(1167),
    [aux_sym_preproc_if_token2] = ACTIONS(1167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1167),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1167),
    [aux_sym_preproc_else_token1] = ACTIONS(1167),
    [aux_sym_preproc_elif_token1] = ACTIONS(1167),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1167),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1167),
    [sym_preproc_directive] = ACTIONS(1167),
    [anon_sym_LPAREN2] = ACTIONS(1169),
    [anon_sym_BANG] = ACTIONS(1169),
    [anon_sym_TILDE] = ACTIONS(1169),
    [anon_sym_DASH] = ACTIONS(1167),
    [anon_sym_PLUS] = ACTIONS(1167),
    [anon_sym_STAR] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(1169),
    [anon_sym_SEMI] = ACTIONS(1169),
    [anon_sym___extension__] = ACTIONS(1167),
    [anon_sym_typedef] = ACTIONS(1167),
    [anon_sym_extern] = ACTIONS(1167),
    [anon_sym___attribute__] = ACTIONS(1167),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1169),
    [anon_sym___declspec] = ACTIONS(1167),
    [anon_sym___cdecl] = ACTIONS(1167),
    [anon_sym___clrcall] = ACTIONS(1167),
    [anon_sym___stdcall] = ACTIONS(1167),
    [anon_sym___fastcall] = ACTIONS(1167),
    [anon_sym___thiscall] = ACTIONS(1167),
    [anon_sym___vectorcall] = ACTIONS(1167),
    [anon_sym_LBRACE] = ACTIONS(1169),
    [anon_sym_signed] = ACTIONS(1167),
    [anon_sym_unsigned] = ACTIONS(1167),
    [anon_sym_long] = ACTIONS(1167),
    [anon_sym_short] = ACTIONS(1167),
    [anon_sym_static] = ACTIONS(1167),
    [anon_sym_auto] = ACTIONS(1167),
    [anon_sym_register] = ACTIONS(1167),
    [anon_sym_inline] = ACTIONS(1167),
    [anon_sym___inline] = ACTIONS(1167),
    [anon_sym___inline__] = ACTIONS(1167),
    [anon_sym___forceinline] = ACTIONS(1167),
    [anon_sym_thread_local] = ACTIONS(1167),
    [anon_sym___thread] = ACTIONS(1167),
    [anon_sym_const] = ACTIONS(1167),
    [anon_sym_constexpr] = ACTIONS(1167),
    [anon_sym_volatile] = ACTIONS(1167),
    [anon_sym_restrict] = ACTIONS(1167),
    [anon_sym___restrict__] = ACTIONS(1167),
    [anon_sym__Atomic] = ACTIONS(1167),
    [anon_sym__Noreturn] = ACTIONS(1167),
    [anon_sym_noreturn] = ACTIONS(1167),
    [anon_sym_alignas] = ACTIONS(1167),
    [anon_sym__Alignas] = ACTIONS(1167),
    [sym_primitive_type] = ACTIONS(1167),
    [anon_sym_enum] = ACTIONS(1167),
    [anon_sym_struct] = ACTIONS(1167),
    [anon_sym_union] = ACTIONS(1167),
    [anon_sym_if] = ACTIONS(1167),
    [anon_sym_else] = ACTIONS(1167),
    [anon_sym_switch] = ACTIONS(1167),
    [anon_sym_case] = ACTIONS(1167),
    [anon_sym_default] = ACTIONS(1167),
    [anon_sym_while] = ACTIONS(1167),
    [anon_sym_do] = ACTIONS(1167),
    [anon_sym_for] = ACTIONS(1167),
    [anon_sym_return] = ACTIONS(1167),
    [anon_sym_break] = ACTIONS(1167),
    [anon_sym_continue] = ACTIONS(1167),
    [anon_sym_goto] = ACTIONS(1167),
    [anon_sym___try] = ACTIONS(1167),
    [anon_sym___leave] = ACTIONS(1167),
    [anon_sym_DASH_DASH] = ACTIONS(1169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1169),
    [anon_sym_sizeof] = ACTIONS(1167),
    [anon_sym___alignof__] = ACTIONS(1167),
    [anon_sym___alignof] = ACTIONS(1167),
    [anon_sym__alignof] = ACTIONS(1167),
    [anon_sym_alignof] = ACTIONS(1167),
    [anon_sym__Alignof] = ACTIONS(1167),
    [anon_sym_offsetof] = ACTIONS(1167),
    [anon_sym__Generic] = ACTIONS(1167),
    [anon_sym_asm] = ACTIONS(1167),
    [anon_sym___asm__] = ACTIONS(1167),
    [sym_number_literal] = ACTIONS(1169),
    [anon_sym_L_SQUOTE] = ACTIONS(1169),
    [anon_sym_u_SQUOTE] = ACTIONS(1169),
    [anon_sym_U_SQUOTE] = ACTIONS(1169),
    [anon_sym_u8_SQUOTE] = ACTIONS(1169),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_L_DQUOTE] = ACTIONS(1169),
    [anon_sym_u_DQUOTE] = ACTIONS(1169),
    [anon_sym_U_DQUOTE] = ACTIONS(1169),
    [anon_sym_u8_DQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1169),
    [sym_true] = ACTIONS(1167),
    [sym_false] = ACTIONS(1167),
    [anon_sym_NULL] = ACTIONS(1167),
    [anon_sym_nullptr] = ACTIONS(1167),
    [sym_comment] = ACTIONS(3),
  },
  [89] = {
    [sym_identifier] = ACTIONS(1171),
    [aux_sym_preproc_include_token1] = ACTIONS(1171),
    [aux_sym_preproc_def_token1] = ACTIONS(1171),
    [aux_sym_preproc_if_token1] = ACTIONS(1171),
    [aux_sym_preproc_if_token2] = ACTIONS(1171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1171),
    [aux_sym_preproc_else_token1] = ACTIONS(1171),
    [aux_sym_preproc_elif_token1] = ACTIONS(1171),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1171),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1171),
    [sym_preproc_directive] = ACTIONS(1171),
    [anon_sym_LPAREN2] = ACTIONS(1173),
    [anon_sym_BANG] = ACTIONS(1173),
    [anon_sym_TILDE] = ACTIONS(1173),
    [anon_sym_DASH] = ACTIONS(1171),
    [anon_sym_PLUS] = ACTIONS(1171),
    [anon_sym_STAR] = ACTIONS(1173),
    [anon_sym_AMP] = ACTIONS(1173),
    [anon_sym_SEMI] = ACTIONS(1173),
    [anon_sym___extension__] = ACTIONS(1171),
    [anon_sym_typedef] = ACTIONS(1171),
    [anon_sym_extern] = ACTIONS(1171),
    [anon_sym___attribute__] = ACTIONS(1171),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1173),
    [anon_sym___declspec] = ACTIONS(1171),
    [anon_sym___cdecl] = ACTIONS(1171),
    [anon_sym___clrcall] = ACTIONS(1171),
    [anon_sym___stdcall] = ACTIONS(1171),
    [anon_sym___fastcall] = ACTIONS(1171),
    [anon_sym___thiscall] = ACTIONS(1171),
    [anon_sym___vectorcall] = ACTIONS(1171),
    [anon_sym_LBRACE] = ACTIONS(1173),
    [anon_sym_signed] = ACTIONS(1171),
    [anon_sym_unsigned] = ACTIONS(1171),
    [anon_sym_long] = ACTIONS(1171),
    [anon_sym_short] = ACTIONS(1171),
    [anon_sym_static] = ACTIONS(1171),
    [anon_sym_auto] = ACTIONS(1171),
    [anon_sym_register] = ACTIONS(1171),
    [anon_sym_inline] = ACTIONS(1171),
    [anon_sym___inline] = ACTIONS(1171),
    [anon_sym___inline__] = ACTIONS(1171),
    [anon_sym___forceinline] = ACTIONS(1171),
    [anon_sym_thread_local] = ACTIONS(1171),
    [anon_sym___thread] = ACTIONS(1171),
    [anon_sym_const] = ACTIONS(1171),
    [anon_sym_constexpr] = ACTIONS(1171),
    [anon_sym_volatile] = ACTIONS(1171),
    [anon_sym_restrict] = ACTIONS(1171),
    [anon_sym___restrict__] = ACTIONS(1171),
    [anon_sym__Atomic] = ACTIONS(1171),
    [anon_sym__Noreturn] = ACTIONS(1171),
    [anon_sym_noreturn] = ACTIONS(1171),
    [anon_sym_alignas] = ACTIONS(1171),
    [anon_sym__Alignas] = ACTIONS(1171),
    [sym_primitive_type] = ACTIONS(1171),
    [anon_sym_enum] = ACTIONS(1171),
    [anon_sym_struct] = ACTIONS(1171),
    [anon_sym_union] = ACTIONS(1171),
    [anon_sym_if] = ACTIONS(1171),
    [anon_sym_else] = ACTIONS(1171),
    [anon_sym_switch] = ACTIONS(1171),
    [anon_sym_case] = ACTIONS(1171),
    [anon_sym_default] = ACTIONS(1171),
    [anon_sym_while] = ACTIONS(1171),
    [anon_sym_do] = ACTIONS(1171),
    [anon_sym_for] = ACTIONS(1171),
    [anon_sym_return] = ACTIONS(1171),
    [anon_sym_break] = ACTIONS(1171),
    [anon_sym_continue] = ACTIONS(1171),
    [anon_sym_goto] = ACTIONS(1171),
    [anon_sym___try] = ACTIONS(1171),
    [anon_sym___leave] = ACTIONS(1171),
    [anon_sym_DASH_DASH] = ACTIONS(1173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1173),
    [anon_sym_sizeof] = ACTIONS(1171),
    [anon_sym___alignof__] = ACTIONS(1171),
    [anon_sym___alignof] = ACTIONS(1171),
    [anon_sym__alignof] = ACTIONS(1171),
    [anon_sym_alignof] = ACTIONS(1171),
    [anon_sym__Alignof] = ACTIONS(1171),
    [anon_sym_offsetof] = ACTIONS(1171),
    [anon_sym__Generic] = ACTIONS(1171),
    [anon_sym_asm] = ACTIONS(1171),
    [anon_sym___asm__] = ACTIONS(1171),
    [sym_number_literal] = ACTIONS(1173),
    [anon_sym_L_SQUOTE] = ACTIONS(1173),
    [anon_sym_u_SQUOTE] = ACTIONS(1173),
    [anon_sym_U_SQUOTE] = ACTIONS(1173),
    [anon_sym_u8_SQUOTE] = ACTIONS(1173),
    [anon_sym_SQUOTE] = ACTIONS(1173),
    [anon_sym_L_DQUOTE] = ACTIONS(1173),
    [anon_sym_u_DQUOTE] = ACTIONS(1173),
    [anon_sym_U_DQUOTE] = ACTIONS(1173),
    [anon_sym_u8_DQUOTE] = ACTIONS(1173),
    [anon_sym_DQUOTE] = ACTIONS(1173),
    [sym_true] = ACTIONS(1171),
    [sym_false] = ACTIONS(1171),
    [anon_sym_NULL] = ACTIONS(1171),
    [anon_sym_nullptr] = ACTIONS(1171),
    [sym_comment] = ACTIONS(3),
  },
  [90] = {
    [sym_identifier] = ACTIONS(1175),
    [aux_sym_preproc_include_token1] = ACTIONS(1175),
    [aux_sym_preproc_def_token1] = ACTIONS(1175),
    [aux_sym_preproc_if_token1] = ACTIONS(1175),
    [aux_sym_preproc_if_token2] = ACTIONS(1175),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1175),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1175),
    [aux_sym_preproc_else_token1] = ACTIONS(1175),
    [aux_sym_preproc_elif_token1] = ACTIONS(1175),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1175),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1175),
    [sym_preproc_directive] = ACTIONS(1175),
    [anon_sym_LPAREN2] = ACTIONS(1177),
    [anon_sym_BANG] = ACTIONS(1177),
    [anon_sym_TILDE] = ACTIONS(1177),
    [anon_sym_DASH] = ACTIONS(1175),
    [anon_sym_PLUS] = ACTIONS(1175),
    [anon_sym_STAR] = ACTIONS(1177),
    [anon_sym_AMP] = ACTIONS(1177),
    [anon_sym_SEMI] = ACTIONS(1177),
    [anon_sym___extension__] = ACTIONS(1175),
    [anon_sym_typedef] = ACTIONS(1175),
    [anon_sym_extern] = ACTIONS(1175),
    [anon_sym___attribute__] = ACTIONS(1175),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1177),
    [anon_sym___declspec] = ACTIONS(1175),
    [anon_sym___cdecl] = ACTIONS(1175),
    [anon_sym___clrcall] = ACTIONS(1175),
    [anon_sym___stdcall] = ACTIONS(1175),
    [anon_sym___fastcall] = ACTIONS(1175),
    [anon_sym___thiscall] = ACTIONS(1175),
    [anon_sym___vectorcall] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_signed] = ACTIONS(1175),
    [anon_sym_unsigned] = ACTIONS(1175),
    [anon_sym_long] = ACTIONS(1175),
    [anon_sym_short] = ACTIONS(1175),
    [anon_sym_static] = ACTIONS(1175),
    [anon_sym_auto] = ACTIONS(1175),
    [anon_sym_register] = ACTIONS(1175),
    [anon_sym_inline] = ACTIONS(1175),
    [anon_sym___inline] = ACTIONS(1175),
    [anon_sym___inline__] = ACTIONS(1175),
    [anon_sym___forceinline] = ACTIONS(1175),
    [anon_sym_thread_local] = ACTIONS(1175),
    [anon_sym___thread] = ACTIONS(1175),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_constexpr] = ACTIONS(1175),
    [anon_sym_volatile] = ACTIONS(1175),
    [anon_sym_restrict] = ACTIONS(1175),
    [anon_sym___restrict__] = ACTIONS(1175),
    [anon_sym__Atomic] = ACTIONS(1175),
    [anon_sym__Noreturn] = ACTIONS(1175),
    [anon_sym_noreturn] = ACTIONS(1175),
    [anon_sym_alignas] = ACTIONS(1175),
    [anon_sym__Alignas] = ACTIONS(1175),
    [sym_primitive_type] = ACTIONS(1175),
    [anon_sym_enum] = ACTIONS(1175),
    [anon_sym_struct] = ACTIONS(1175),
    [anon_sym_union] = ACTIONS(1175),
    [anon_sym_if] = ACTIONS(1175),
    [anon_sym_else] = ACTIONS(1175),
    [anon_sym_switch] = ACTIONS(1175),
    [anon_sym_case] = ACTIONS(1175),
    [anon_sym_default] = ACTIONS(1175),
    [anon_sym_while] = ACTIONS(1175),
    [anon_sym_do] = ACTIONS(1175),
    [anon_sym_for] = ACTIONS(1175),
    [anon_sym_return] = ACTIONS(1175),
    [anon_sym_break] = ACTIONS(1175),
    [anon_sym_continue] = ACTIONS(1175),
    [anon_sym_goto] = ACTIONS(1175),
    [anon_sym___try] = ACTIONS(1175),
    [anon_sym___leave] = ACTIONS(1175),
    [anon_sym_DASH_DASH] = ACTIONS(1177),
    [anon_sym_PLUS_PLUS] = ACTIONS(1177),
    [anon_sym_sizeof] = ACTIONS(1175),
    [anon_sym___alignof__] = ACTIONS(1175),
    [anon_sym___alignof] = ACTIONS(1175),
    [anon_sym__alignof] = ACTIONS(1175),
    [anon_sym_alignof] = ACTIONS(1175),
    [anon_sym__Alignof] = ACTIONS(1175),
    [anon_sym_offsetof] = ACTIONS(1175),
    [anon_sym__Generic] = ACTIONS(1175),
    [anon_sym_asm] = ACTIONS(1175),
    [anon_sym___asm__] = ACTIONS(1175),
    [sym_number_literal] = ACTIONS(1177),
    [anon_sym_L_SQUOTE] = ACTIONS(1177),
    [anon_sym_u_SQUOTE] = ACTIONS(1177),
    [anon_sym_U_SQUOTE] = ACTIONS(1177),
    [anon_sym_u8_SQUOTE] = ACTIONS(1177),
    [anon_sym_SQUOTE] = ACTIONS(1177),
    [anon_sym_L_DQUOTE] = ACTIONS(1177),
    [anon_sym_u_DQUOTE] = ACTIONS(1177),
    [anon_sym_U_DQUOTE] = ACTIONS(1177),
    [anon_sym_u8_DQUOTE] = ACTIONS(1177),
    [anon_sym_DQUOTE] = ACTIONS(1177),
    [sym_true] = ACTIONS(1175),
    [sym_false] = ACTIONS(1175),
    [anon_sym_NULL] = ACTIONS(1175),
    [anon_sym_nullptr] = ACTIONS(1175),
    [sym_comment] = ACTIONS(3),
  },
  [91] = {
    [sym_identifier] = ACTIONS(1179),
    [aux_sym_preproc_include_token1] = ACTIONS(1179),
    [aux_sym_preproc_def_token1] = ACTIONS(1179),
    [aux_sym_preproc_if_token1] = ACTIONS(1179),
    [aux_sym_preproc_if_token2] = ACTIONS(1179),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1179),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1179),
    [aux_sym_preproc_else_token1] = ACTIONS(1179),
    [aux_sym_preproc_elif_token1] = ACTIONS(1179),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1179),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1179),
    [sym_preproc_directive] = ACTIONS(1179),
    [anon_sym_LPAREN2] = ACTIONS(1181),
    [anon_sym_BANG] = ACTIONS(1181),
    [anon_sym_TILDE] = ACTIONS(1181),
    [anon_sym_DASH] = ACTIONS(1179),
    [anon_sym_PLUS] = ACTIONS(1179),
    [anon_sym_STAR] = ACTIONS(1181),
    [anon_sym_AMP] = ACTIONS(1181),
    [anon_sym_SEMI] = ACTIONS(1181),
    [anon_sym___extension__] = ACTIONS(1179),
    [anon_sym_typedef] = ACTIONS(1179),
    [anon_sym_extern] = ACTIONS(1179),
    [anon_sym___attribute__] = ACTIONS(1179),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1181),
    [anon_sym___declspec] = ACTIONS(1179),
    [anon_sym___cdecl] = ACTIONS(1179),
    [anon_sym___clrcall] = ACTIONS(1179),
    [anon_sym___stdcall] = ACTIONS(1179),
    [anon_sym___fastcall] = ACTIONS(1179),
    [anon_sym___thiscall] = ACTIONS(1179),
    [anon_sym___vectorcall] = ACTIONS(1179),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_signed] = ACTIONS(1179),
    [anon_sym_unsigned] = ACTIONS(1179),
    [anon_sym_long] = ACTIONS(1179),
    [anon_sym_short] = ACTIONS(1179),
    [anon_sym_static] = ACTIONS(1179),
    [anon_sym_auto] = ACTIONS(1179),
    [anon_sym_register] = ACTIONS(1179),
    [anon_sym_inline] = ACTIONS(1179),
    [anon_sym___inline] = ACTIONS(1179),
    [anon_sym___inline__] = ACTIONS(1179),
    [anon_sym___forceinline] = ACTIONS(1179),
    [anon_sym_thread_local] = ACTIONS(1179),
    [anon_sym___thread] = ACTIONS(1179),
    [anon_sym_const] = ACTIONS(1179),
    [anon_sym_constexpr] = ACTIONS(1179),
    [anon_sym_volatile] = ACTIONS(1179),
    [anon_sym_restrict] = ACTIONS(1179),
    [anon_sym___restrict__] = ACTIONS(1179),
    [anon_sym__Atomic] = ACTIONS(1179),
    [anon_sym__Noreturn] = ACTIONS(1179),
    [anon_sym_noreturn] = ACTIONS(1179),
    [anon_sym_alignas] = ACTIONS(1179),
    [anon_sym__Alignas] = ACTIONS(1179),
    [sym_primitive_type] = ACTIONS(1179),
    [anon_sym_enum] = ACTIONS(1179),
    [anon_sym_struct] = ACTIONS(1179),
    [anon_sym_union] = ACTIONS(1179),
    [anon_sym_if] = ACTIONS(1179),
    [anon_sym_else] = ACTIONS(1179),
    [anon_sym_switch] = ACTIONS(1179),
    [anon_sym_case] = ACTIONS(1179),
    [anon_sym_default] = ACTIONS(1179),
    [anon_sym_while] = ACTIONS(1179),
    [anon_sym_do] = ACTIONS(1179),
    [anon_sym_for] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(1179),
    [anon_sym_break] = ACTIONS(1179),
    [anon_sym_continue] = ACTIONS(1179),
    [anon_sym_goto] = ACTIONS(1179),
    [anon_sym___try] = ACTIONS(1179),
    [anon_sym___leave] = ACTIONS(1179),
    [anon_sym_DASH_DASH] = ACTIONS(1181),
    [anon_sym_PLUS_PLUS] = ACTIONS(1181),
    [anon_sym_sizeof] = ACTIONS(1179),
    [anon_sym___alignof__] = ACTIONS(1179),
    [anon_sym___alignof] = ACTIONS(1179),
    [anon_sym__alignof] = ACTIONS(1179),
    [anon_sym_alignof] = ACTIONS(1179),
    [anon_sym__Alignof] = ACTIONS(1179),
    [anon_sym_offsetof] = ACTIONS(1179),
    [anon_sym__Generic] = ACTIONS(1179),
    [anon_sym_asm] = ACTIONS(1179),
    [anon_sym___asm__] = ACTIONS(1179),
    [sym_number_literal] = ACTIONS(1181),
    [anon_sym_L_SQUOTE] = ACTIONS(1181),
    [anon_sym_u_SQUOTE] = ACTIONS(1181),
    [anon_sym_U_SQUOTE] = ACTIONS(1181),
    [anon_sym_u8_SQUOTE] = ACTIONS(1181),
    [anon_sym_SQUOTE] = ACTIONS(1181),
    [anon_sym_L_DQUOTE] = ACTIONS(1181),
    [anon_sym_u_DQUOTE] = ACTIONS(1181),
    [anon_sym_U_DQUOTE] = ACTIONS(1181),
    [anon_sym_u8_DQUOTE] = ACTIONS(1181),
    [anon_sym_DQUOTE] = ACTIONS(1181),
    [sym_true] = ACTIONS(1179),
    [sym_false] = ACTIONS(1179),
    [anon_sym_NULL] = ACTIONS(1179),
    [anon_sym_nullptr] = ACTIONS(1179),
    [sym_comment] = ACTIONS(3),
  },
  [92] = {
    [sym_identifier] = ACTIONS(1183),
    [aux_sym_preproc_include_token1] = ACTIONS(1183),
    [aux_sym_preproc_def_token1] = ACTIONS(1183),
    [aux_sym_preproc_if_token1] = ACTIONS(1183),
    [aux_sym_preproc_if_token2] = ACTIONS(1183),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1183),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1183),
    [aux_sym_preproc_else_token1] = ACTIONS(1183),
    [aux_sym_preproc_elif_token1] = ACTIONS(1183),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1183),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1183),
    [sym_preproc_directive] = ACTIONS(1183),
    [anon_sym_LPAREN2] = ACTIONS(1185),
    [anon_sym_BANG] = ACTIONS(1185),
    [anon_sym_TILDE] = ACTIONS(1185),
    [anon_sym_DASH] = ACTIONS(1183),
    [anon_sym_PLUS] = ACTIONS(1183),
    [anon_sym_STAR] = ACTIONS(1185),
    [anon_sym_AMP] = ACTIONS(1185),
    [anon_sym_SEMI] = ACTIONS(1185),
    [anon_sym___extension__] = ACTIONS(1183),
    [anon_sym_typedef] = ACTIONS(1183),
    [anon_sym_extern] = ACTIONS(1183),
    [anon_sym___attribute__] = ACTIONS(1183),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1185),
    [anon_sym___declspec] = ACTIONS(1183),
    [anon_sym___cdecl] = ACTIONS(1183),
    [anon_sym___clrcall] = ACTIONS(1183),
    [anon_sym___stdcall] = ACTIONS(1183),
    [anon_sym___fastcall] = ACTIONS(1183),
    [anon_sym___thiscall] = ACTIONS(1183),
    [anon_sym___vectorcall] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1185),
    [anon_sym_signed] = ACTIONS(1183),
    [anon_sym_unsigned] = ACTIONS(1183),
    [anon_sym_long] = ACTIONS(1183),
    [anon_sym_short] = ACTIONS(1183),
    [anon_sym_static] = ACTIONS(1183),
    [anon_sym_auto] = ACTIONS(1183),
    [anon_sym_register] = ACTIONS(1183),
    [anon_sym_inline] = ACTIONS(1183),
    [anon_sym___inline] = ACTIONS(1183),
    [anon_sym___inline__] = ACTIONS(1183),
    [anon_sym___forceinline] = ACTIONS(1183),
    [anon_sym_thread_local] = ACTIONS(1183),
    [anon_sym___thread] = ACTIONS(1183),
    [anon_sym_const] = ACTIONS(1183),
    [anon_sym_constexpr] = ACTIONS(1183),
    [anon_sym_volatile] = ACTIONS(1183),
    [anon_sym_restrict] = ACTIONS(1183),
    [anon_sym___restrict__] = ACTIONS(1183),
    [anon_sym__Atomic] = ACTIONS(1183),
    [anon_sym__Noreturn] = ACTIONS(1183),
    [anon_sym_noreturn] = ACTIONS(1183),
    [anon_sym_alignas] = ACTIONS(1183),
    [anon_sym__Alignas] = ACTIONS(1183),
    [sym_primitive_type] = ACTIONS(1183),
    [anon_sym_enum] = ACTIONS(1183),
    [anon_sym_struct] = ACTIONS(1183),
    [anon_sym_union] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(1183),
    [anon_sym_else] = ACTIONS(1183),
    [anon_sym_switch] = ACTIONS(1183),
    [anon_sym_case] = ACTIONS(1183),
    [anon_sym_default] = ACTIONS(1183),
    [anon_sym_while] = ACTIONS(1183),
    [anon_sym_do] = ACTIONS(1183),
    [anon_sym_for] = ACTIONS(1183),
    [anon_sym_return] = ACTIONS(1183),
    [anon_sym_break] = ACTIONS(1183),
    [anon_sym_continue] = ACTIONS(1183),
    [anon_sym_goto] = ACTIONS(1183),
    [anon_sym___try] = ACTIONS(1183),
    [anon_sym___leave] = ACTIONS(1183),
    [anon_sym_DASH_DASH] = ACTIONS(1185),
    [anon_sym_PLUS_PLUS] = ACTIONS(1185),
    [anon_sym_sizeof] = ACTIONS(1183),
    [anon_sym___alignof__] = ACTIONS(1183),
    [anon_sym___alignof] = ACTIONS(1183),
    [anon_sym__alignof] = ACTIONS(1183),
    [anon_sym_alignof] = ACTIONS(1183),
    [anon_sym__Alignof] = ACTIONS(1183),
    [anon_sym_offsetof] = ACTIONS(1183),
    [anon_sym__Generic] = ACTIONS(1183),
    [anon_sym_asm] = ACTIONS(1183),
    [anon_sym___asm__] = ACTIONS(1183),
    [sym_number_literal] = ACTIONS(1185),
    [anon_sym_L_SQUOTE] = ACTIONS(1185),
    [anon_sym_u_SQUOTE] = ACTIONS(1185),
    [anon_sym_U_SQUOTE] = ACTIONS(1185),
    [anon_sym_u8_SQUOTE] = ACTIONS(1185),
    [anon_sym_SQUOTE] = ACTIONS(1185),
    [anon_sym_L_DQUOTE] = ACTIONS(1185),
    [anon_sym_u_DQUOTE] = ACTIONS(1185),
    [anon_sym_U_DQUOTE] = ACTIONS(1185),
    [anon_sym_u8_DQUOTE] = ACTIONS(1185),
    [anon_sym_DQUOTE] = ACTIONS(1185),
    [sym_true] = ACTIONS(1183),
    [sym_false] = ACTIONS(1183),
    [anon_sym_NULL] = ACTIONS(1183),
    [anon_sym_nullptr] = ACTIONS(1183),
    [sym_comment] = ACTIONS(3),
  },
  [93] = {
    [sym_identifier] = ACTIONS(1187),
    [aux_sym_preproc_include_token1] = ACTIONS(1187),
    [aux_sym_preproc_def_token1] = ACTIONS(1187),
    [aux_sym_preproc_if_token1] = ACTIONS(1187),
    [aux_sym_preproc_if_token2] = ACTIONS(1187),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1187),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1187),
    [aux_sym_preproc_else_token1] = ACTIONS(1187),
    [aux_sym_preproc_elif_token1] = ACTIONS(1187),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1187),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1187),
    [sym_preproc_directive] = ACTIONS(1187),
    [anon_sym_LPAREN2] = ACTIONS(1189),
    [anon_sym_BANG] = ACTIONS(1189),
    [anon_sym_TILDE] = ACTIONS(1189),
    [anon_sym_DASH] = ACTIONS(1187),
    [anon_sym_PLUS] = ACTIONS(1187),
    [anon_sym_STAR] = ACTIONS(1189),
    [anon_sym_AMP] = ACTIONS(1189),
    [anon_sym_SEMI] = ACTIONS(1189),
    [anon_sym___extension__] = ACTIONS(1187),
    [anon_sym_typedef] = ACTIONS(1187),
    [anon_sym_extern] = ACTIONS(1187),
    [anon_sym___attribute__] = ACTIONS(1187),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1189),
    [anon_sym___declspec] = ACTIONS(1187),
    [anon_sym___cdecl] = ACTIONS(1187),
    [anon_sym___clrcall] = ACTIONS(1187),
    [anon_sym___stdcall] = ACTIONS(1187),
    [anon_sym___fastcall] = ACTIONS(1187),
    [anon_sym___thiscall] = ACTIONS(1187),
    [anon_sym___vectorcall] = ACTIONS(1187),
    [anon_sym_LBRACE] = ACTIONS(1189),
    [anon_sym_signed] = ACTIONS(1187),
    [anon_sym_unsigned] = ACTIONS(1187),
    [anon_sym_long] = ACTIONS(1187),
    [anon_sym_short] = ACTIONS(1187),
    [anon_sym_static] = ACTIONS(1187),
    [anon_sym_auto] = ACTIONS(1187),
    [anon_sym_register] = ACTIONS(1187),
    [anon_sym_inline] = ACTIONS(1187),
    [anon_sym___inline] = ACTIONS(1187),
    [anon_sym___inline__] = ACTIONS(1187),
    [anon_sym___forceinline] = ACTIONS(1187),
    [anon_sym_thread_local] = ACTIONS(1187),
    [anon_sym___thread] = ACTIONS(1187),
    [anon_sym_const] = ACTIONS(1187),
    [anon_sym_constexpr] = ACTIONS(1187),
    [anon_sym_volatile] = ACTIONS(1187),
    [anon_sym_restrict] = ACTIONS(1187),
    [anon_sym___restrict__] = ACTIONS(1187),
    [anon_sym__Atomic] = ACTIONS(1187),
    [anon_sym__Noreturn] = ACTIONS(1187),
    [anon_sym_noreturn] = ACTIONS(1187),
    [anon_sym_alignas] = ACTIONS(1187),
    [anon_sym__Alignas] = ACTIONS(1187),
    [sym_primitive_type] = ACTIONS(1187),
    [anon_sym_enum] = ACTIONS(1187),
    [anon_sym_struct] = ACTIONS(1187),
    [anon_sym_union] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1187),
    [anon_sym_else] = ACTIONS(1187),
    [anon_sym_switch] = ACTIONS(1187),
    [anon_sym_case] = ACTIONS(1187),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_while] = ACTIONS(1187),
    [anon_sym_do] = ACTIONS(1187),
    [anon_sym_for] = ACTIONS(1187),
    [anon_sym_return] = ACTIONS(1187),
    [anon_sym_break] = ACTIONS(1187),
    [anon_sym_continue] = ACTIONS(1187),
    [anon_sym_goto] = ACTIONS(1187),
    [anon_sym___try] = ACTIONS(1187),
    [anon_sym___leave] = ACTIONS(1187),
    [anon_sym_DASH_DASH] = ACTIONS(1189),
    [anon_sym_PLUS_PLUS] = ACTIONS(1189),
    [anon_sym_sizeof] = ACTIONS(1187),
    [anon_sym___alignof__] = ACTIONS(1187),
    [anon_sym___alignof] = ACTIONS(1187),
    [anon_sym__alignof] = ACTIONS(1187),
    [anon_sym_alignof] = ACTIONS(1187),
    [anon_sym__Alignof] = ACTIONS(1187),
    [anon_sym_offsetof] = ACTIONS(1187),
    [anon_sym__Generic] = ACTIONS(1187),
    [anon_sym_asm] = ACTIONS(1187),
    [anon_sym___asm__] = ACTIONS(1187),
    [sym_number_literal] = ACTIONS(1189),
    [anon_sym_L_SQUOTE] = ACTIONS(1189),
    [anon_sym_u_SQUOTE] = ACTIONS(1189),
    [anon_sym_U_SQUOTE] = ACTIONS(1189),
    [anon_sym_u8_SQUOTE] = ACTIONS(1189),
    [anon_sym_SQUOTE] = ACTIONS(1189),
    [anon_sym_L_DQUOTE] = ACTIONS(1189),
    [anon_sym_u_DQUOTE] = ACTIONS(1189),
    [anon_sym_U_DQUOTE] = ACTIONS(1189),
    [anon_sym_u8_DQUOTE] = ACTIONS(1189),
    [anon_sym_DQUOTE] = ACTIONS(1189),
    [sym_true] = ACTIONS(1187),
    [sym_false] = ACTIONS(1187),
    [anon_sym_NULL] = ACTIONS(1187),
    [anon_sym_nullptr] = ACTIONS(1187),
    [sym_comment] = ACTIONS(3),
  },
  [94] = {
    [sym_identifier] = ACTIONS(1191),
    [aux_sym_preproc_include_token1] = ACTIONS(1191),
    [aux_sym_preproc_def_token1] = ACTIONS(1191),
    [aux_sym_preproc_if_token1] = ACTIONS(1191),
    [aux_sym_preproc_if_token2] = ACTIONS(1191),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1191),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1191),
    [aux_sym_preproc_else_token1] = ACTIONS(1191),
    [aux_sym_preproc_elif_token1] = ACTIONS(1191),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1191),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1191),
    [sym_preproc_directive] = ACTIONS(1191),
    [anon_sym_LPAREN2] = ACTIONS(1193),
    [anon_sym_BANG] = ACTIONS(1193),
    [anon_sym_TILDE] = ACTIONS(1193),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_STAR] = ACTIONS(1193),
    [anon_sym_AMP] = ACTIONS(1193),
    [anon_sym_SEMI] = ACTIONS(1193),
    [anon_sym___extension__] = ACTIONS(1191),
    [anon_sym_typedef] = ACTIONS(1191),
    [anon_sym_extern] = ACTIONS(1191),
    [anon_sym___attribute__] = ACTIONS(1191),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1193),
    [anon_sym___declspec] = ACTIONS(1191),
    [anon_sym___cdecl] = ACTIONS(1191),
    [anon_sym___clrcall] = ACTIONS(1191),
    [anon_sym___stdcall] = ACTIONS(1191),
    [anon_sym___fastcall] = ACTIONS(1191),
    [anon_sym___thiscall] = ACTIONS(1191),
    [anon_sym___vectorcall] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_signed] = ACTIONS(1191),
    [anon_sym_unsigned] = ACTIONS(1191),
    [anon_sym_long] = ACTIONS(1191),
    [anon_sym_short] = ACTIONS(1191),
    [anon_sym_static] = ACTIONS(1191),
    [anon_sym_auto] = ACTIONS(1191),
    [anon_sym_register] = ACTIONS(1191),
    [anon_sym_inline] = ACTIONS(1191),
    [anon_sym___inline] = ACTIONS(1191),
    [anon_sym___inline__] = ACTIONS(1191),
    [anon_sym___forceinline] = ACTIONS(1191),
    [anon_sym_thread_local] = ACTIONS(1191),
    [anon_sym___thread] = ACTIONS(1191),
    [anon_sym_const] = ACTIONS(1191),
    [anon_sym_constexpr] = ACTIONS(1191),
    [anon_sym_volatile] = ACTIONS(1191),
    [anon_sym_restrict] = ACTIONS(1191),
    [anon_sym___restrict__] = ACTIONS(1191),
    [anon_sym__Atomic] = ACTIONS(1191),
    [anon_sym__Noreturn] = ACTIONS(1191),
    [anon_sym_noreturn] = ACTIONS(1191),
    [anon_sym_alignas] = ACTIONS(1191),
    [anon_sym__Alignas] = ACTIONS(1191),
    [sym_primitive_type] = ACTIONS(1191),
    [anon_sym_enum] = ACTIONS(1191),
    [anon_sym_struct] = ACTIONS(1191),
    [anon_sym_union] = ACTIONS(1191),
    [anon_sym_if] = ACTIONS(1191),
    [anon_sym_else] = ACTIONS(1191),
    [anon_sym_switch] = ACTIONS(1191),
    [anon_sym_case] = ACTIONS(1191),
    [anon_sym_default] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1191),
    [anon_sym_do] = ACTIONS(1191),
    [anon_sym_for] = ACTIONS(1191),
    [anon_sym_return] = ACTIONS(1191),
    [anon_sym_break] = ACTIONS(1191),
    [anon_sym_continue] = ACTIONS(1191),
    [anon_sym_goto] = ACTIONS(1191),
    [anon_sym___try] = ACTIONS(1191),
    [anon_sym___leave] = ACTIONS(1191),
    [anon_sym_DASH_DASH] = ACTIONS(1193),
    [anon_sym_PLUS_PLUS] = ACTIONS(1193),
    [anon_sym_sizeof] = ACTIONS(1191),
    [anon_sym___alignof__] = ACTIONS(1191),
    [anon_sym___alignof] = ACTIONS(1191),
    [anon_sym__alignof] = ACTIONS(1191),
    [anon_sym_alignof] = ACTIONS(1191),
    [anon_sym__Alignof] = ACTIONS(1191),
    [anon_sym_offsetof] = ACTIONS(1191),
    [anon_sym__Generic] = ACTIONS(1191),
    [anon_sym_asm] = ACTIONS(1191),
    [anon_sym___asm__] = ACTIONS(1191),
    [sym_number_literal] = ACTIONS(1193),
    [anon_sym_L_SQUOTE] = ACTIONS(1193),
    [anon_sym_u_SQUOTE] = ACTIONS(1193),
    [anon_sym_U_SQUOTE] = ACTIONS(1193),
    [anon_sym_u8_SQUOTE] = ACTIONS(1193),
    [anon_sym_SQUOTE] = ACTIONS(1193),
    [anon_sym_L_DQUOTE] = ACTIONS(1193),
    [anon_sym_u_DQUOTE] = ACTIONS(1193),
    [anon_sym_U_DQUOTE] = ACTIONS(1193),
    [anon_sym_u8_DQUOTE] = ACTIONS(1193),
    [anon_sym_DQUOTE] = ACTIONS(1193),
    [sym_true] = ACTIONS(1191),
    [sym_false] = ACTIONS(1191),
    [anon_sym_NULL] = ACTIONS(1191),
    [anon_sym_nullptr] = ACTIONS(1191),
    [sym_comment] = ACTIONS(3),
  },
  [95] = {
    [sym_identifier] = ACTIONS(1195),
    [aux_sym_preproc_include_token1] = ACTIONS(1195),
    [aux_sym_preproc_def_token1] = ACTIONS(1195),
    [aux_sym_preproc_if_token1] = ACTIONS(1195),
    [aux_sym_preproc_if_token2] = ACTIONS(1195),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1195),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1195),
    [aux_sym_preproc_else_token1] = ACTIONS(1195),
    [aux_sym_preproc_elif_token1] = ACTIONS(1195),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1195),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1195),
    [sym_preproc_directive] = ACTIONS(1195),
    [anon_sym_LPAREN2] = ACTIONS(1197),
    [anon_sym_BANG] = ACTIONS(1197),
    [anon_sym_TILDE] = ACTIONS(1197),
    [anon_sym_DASH] = ACTIONS(1195),
    [anon_sym_PLUS] = ACTIONS(1195),
    [anon_sym_STAR] = ACTIONS(1197),
    [anon_sym_AMP] = ACTIONS(1197),
    [anon_sym_SEMI] = ACTIONS(1197),
    [anon_sym___extension__] = ACTIONS(1195),
    [anon_sym_typedef] = ACTIONS(1195),
    [anon_sym_extern] = ACTIONS(1195),
    [anon_sym___attribute__] = ACTIONS(1195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1197),
    [anon_sym___declspec] = ACTIONS(1195),
    [anon_sym___cdecl] = ACTIONS(1195),
    [anon_sym___clrcall] = ACTIONS(1195),
    [anon_sym___stdcall] = ACTIONS(1195),
    [anon_sym___fastcall] = ACTIONS(1195),
    [anon_sym___thiscall] = ACTIONS(1195),
    [anon_sym___vectorcall] = ACTIONS(1195),
    [anon_sym_LBRACE] = ACTIONS(1197),
    [anon_sym_signed] = ACTIONS(1195),
    [anon_sym_unsigned] = ACTIONS(1195),
    [anon_sym_long] = ACTIONS(1195),
    [anon_sym_short] = ACTIONS(1195),
    [anon_sym_static] = ACTIONS(1195),
    [anon_sym_auto] = ACTIONS(1195),
    [anon_sym_register] = ACTIONS(1195),
    [anon_sym_inline] = ACTIONS(1195),
    [anon_sym___inline] = ACTIONS(1195),
    [anon_sym___inline__] = ACTIONS(1195),
    [anon_sym___forceinline] = ACTIONS(1195),
    [anon_sym_thread_local] = ACTIONS(1195),
    [anon_sym___thread] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1195),
    [anon_sym_constexpr] = ACTIONS(1195),
    [anon_sym_volatile] = ACTIONS(1195),
    [anon_sym_restrict] = ACTIONS(1195),
    [anon_sym___restrict__] = ACTIONS(1195),
    [anon_sym__Atomic] = ACTIONS(1195),
    [anon_sym__Noreturn] = ACTIONS(1195),
    [anon_sym_noreturn] = ACTIONS(1195),
    [anon_sym_alignas] = ACTIONS(1195),
    [anon_sym__Alignas] = ACTIONS(1195),
    [sym_primitive_type] = ACTIONS(1195),
    [anon_sym_enum] = ACTIONS(1195),
    [anon_sym_struct] = ACTIONS(1195),
    [anon_sym_union] = ACTIONS(1195),
    [anon_sym_if] = ACTIONS(1195),
    [anon_sym_else] = ACTIONS(1195),
    [anon_sym_switch] = ACTIONS(1195),
    [anon_sym_case] = ACTIONS(1195),
    [anon_sym_default] = ACTIONS(1195),
    [anon_sym_while] = ACTIONS(1195),
    [anon_sym_do] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1195),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_break] = ACTIONS(1195),
    [anon_sym_continue] = ACTIONS(1195),
    [anon_sym_goto] = ACTIONS(1195),
    [anon_sym___try] = ACTIONS(1195),
    [anon_sym___leave] = ACTIONS(1195),
    [anon_sym_DASH_DASH] = ACTIONS(1197),
    [anon_sym_PLUS_PLUS] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1195),
    [anon_sym___alignof__] = ACTIONS(1195),
    [anon_sym___alignof] = ACTIONS(1195),
    [anon_sym__alignof] = ACTIONS(1195),
    [anon_sym_alignof] = ACTIONS(1195),
    [anon_sym__Alignof] = ACTIONS(1195),
    [anon_sym_offsetof] = ACTIONS(1195),
    [anon_sym__Generic] = ACTIONS(1195),
    [anon_sym_asm] = ACTIONS(1195),
    [anon_sym___asm__] = ACTIONS(1195),
    [sym_number_literal] = ACTIONS(1197),
    [anon_sym_L_SQUOTE] = ACTIONS(1197),
    [anon_sym_u_SQUOTE] = ACTIONS(1197),
    [anon_sym_U_SQUOTE] = ACTIONS(1197),
    [anon_sym_u8_SQUOTE] = ACTIONS(1197),
    [anon_sym_SQUOTE] = ACTIONS(1197),
    [anon_sym_L_DQUOTE] = ACTIONS(1197),
    [anon_sym_u_DQUOTE] = ACTIONS(1197),
    [anon_sym_U_DQUOTE] = ACTIONS(1197),
    [anon_sym_u8_DQUOTE] = ACTIONS(1197),
    [anon_sym_DQUOTE] = ACTIONS(1197),
    [sym_true] = ACTIONS(1195),
    [sym_false] = ACTIONS(1195),
    [anon_sym_NULL] = ACTIONS(1195),
    [anon_sym_nullptr] = ACTIONS(1195),
    [sym_comment] = ACTIONS(3),
  },
  [96] = {
    [sym_identifier] = ACTIONS(1199),
    [aux_sym_preproc_include_token1] = ACTIONS(1199),
    [aux_sym_preproc_def_token1] = ACTIONS(1199),
    [aux_sym_preproc_if_token1] = ACTIONS(1199),
    [aux_sym_preproc_if_token2] = ACTIONS(1199),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1199),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1199),
    [aux_sym_preproc_else_token1] = ACTIONS(1199),
    [aux_sym_preproc_elif_token1] = ACTIONS(1199),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1199),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1199),
    [sym_preproc_directive] = ACTIONS(1199),
    [anon_sym_LPAREN2] = ACTIONS(1201),
    [anon_sym_BANG] = ACTIONS(1201),
    [anon_sym_TILDE] = ACTIONS(1201),
    [anon_sym_DASH] = ACTIONS(1199),
    [anon_sym_PLUS] = ACTIONS(1199),
    [anon_sym_STAR] = ACTIONS(1201),
    [anon_sym_AMP] = ACTIONS(1201),
    [anon_sym_SEMI] = ACTIONS(1201),
    [anon_sym___extension__] = ACTIONS(1199),
    [anon_sym_typedef] = ACTIONS(1199),
    [anon_sym_extern] = ACTIONS(1199),
    [anon_sym___attribute__] = ACTIONS(1199),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1201),
    [anon_sym___declspec] = ACTIONS(1199),
    [anon_sym___cdecl] = ACTIONS(1199),
    [anon_sym___clrcall] = ACTIONS(1199),
    [anon_sym___stdcall] = ACTIONS(1199),
    [anon_sym___fastcall] = ACTIONS(1199),
    [anon_sym___thiscall] = ACTIONS(1199),
    [anon_sym___vectorcall] = ACTIONS(1199),
    [anon_sym_LBRACE] = ACTIONS(1201),
    [anon_sym_signed] = ACTIONS(1199),
    [anon_sym_unsigned] = ACTIONS(1199),
    [anon_sym_long] = ACTIONS(1199),
    [anon_sym_short] = ACTIONS(1199),
    [anon_sym_static] = ACTIONS(1199),
    [anon_sym_auto] = ACTIONS(1199),
    [anon_sym_register] = ACTIONS(1199),
    [anon_sym_inline] = ACTIONS(1199),
    [anon_sym___inline] = ACTIONS(1199),
    [anon_sym___inline__] = ACTIONS(1199),
    [anon_sym___forceinline] = ACTIONS(1199),
    [anon_sym_thread_local] = ACTIONS(1199),
    [anon_sym___thread] = ACTIONS(1199),
    [anon_sym_const] = ACTIONS(1199),
    [anon_sym_constexpr] = ACTIONS(1199),
    [anon_sym_volatile] = ACTIONS(1199),
    [anon_sym_restrict] = ACTIONS(1199),
    [anon_sym___restrict__] = ACTIONS(1199),
    [anon_sym__Atomic] = ACTIONS(1199),
    [anon_sym__Noreturn] = ACTIONS(1199),
    [anon_sym_noreturn] = ACTIONS(1199),
    [anon_sym_alignas] = ACTIONS(1199),
    [anon_sym__Alignas] = ACTIONS(1199),
    [sym_primitive_type] = ACTIONS(1199),
    [anon_sym_enum] = ACTIONS(1199),
    [anon_sym_struct] = ACTIONS(1199),
    [anon_sym_union] = ACTIONS(1199),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_else] = ACTIONS(1199),
    [anon_sym_switch] = ACTIONS(1199),
    [anon_sym_case] = ACTIONS(1199),
    [anon_sym_default] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(1199),
    [anon_sym_do] = ACTIONS(1199),
    [anon_sym_for] = ACTIONS(1199),
    [anon_sym_return] = ACTIONS(1199),
    [anon_sym_break] = ACTIONS(1199),
    [anon_sym_continue] = ACTIONS(1199),
    [anon_sym_goto] = ACTIONS(1199),
    [anon_sym___try] = ACTIONS(1199),
    [anon_sym___leave] = ACTIONS(1199),
    [anon_sym_DASH_DASH] = ACTIONS(1201),
    [anon_sym_PLUS_PLUS] = ACTIONS(1201),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym___alignof__] = ACTIONS(1199),
    [anon_sym___alignof] = ACTIONS(1199),
    [anon_sym__alignof] = ACTIONS(1199),
    [anon_sym_alignof] = ACTIONS(1199),
    [anon_sym__Alignof] = ACTIONS(1199),
    [anon_sym_offsetof] = ACTIONS(1199),
    [anon_sym__Generic] = ACTIONS(1199),
    [anon_sym_asm] = ACTIONS(1199),
    [anon_sym___asm__] = ACTIONS(1199),
    [sym_number_literal] = ACTIONS(1201),
    [anon_sym_L_SQUOTE] = ACTIONS(1201),
    [anon_sym_u_SQUOTE] = ACTIONS(1201),
    [anon_sym_U_SQUOTE] = ACTIONS(1201),
    [anon_sym_u8_SQUOTE] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1201),
    [anon_sym_L_DQUOTE] = ACTIONS(1201),
    [anon_sym_u_DQUOTE] = ACTIONS(1201),
    [anon_sym_U_DQUOTE] = ACTIONS(1201),
    [anon_sym_u8_DQUOTE] = ACTIONS(1201),
    [anon_sym_DQUOTE] = ACTIONS(1201),
    [sym_true] = ACTIONS(1199),
    [sym_false] = ACTIONS(1199),
    [anon_sym_NULL] = ACTIONS(1199),
    [anon_sym_nullptr] = ACTIONS(1199),
    [sym_comment] = ACTIONS(3),
  },
  [97] = {
    [sym_identifier] = ACTIONS(1191),
    [aux_sym_preproc_include_token1] = ACTIONS(1191),
    [aux_sym_preproc_def_token1] = ACTIONS(1191),
    [aux_sym_preproc_if_token1] = ACTIONS(1191),
    [aux_sym_preproc_if_token2] = ACTIONS(1191),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1191),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1191),
    [aux_sym_preproc_else_token1] = ACTIONS(1191),
    [aux_sym_preproc_elif_token1] = ACTIONS(1191),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1191),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1191),
    [sym_preproc_directive] = ACTIONS(1191),
    [anon_sym_LPAREN2] = ACTIONS(1193),
    [anon_sym_BANG] = ACTIONS(1193),
    [anon_sym_TILDE] = ACTIONS(1193),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_STAR] = ACTIONS(1193),
    [anon_sym_AMP] = ACTIONS(1193),
    [anon_sym_SEMI] = ACTIONS(1193),
    [anon_sym___extension__] = ACTIONS(1191),
    [anon_sym_typedef] = ACTIONS(1191),
    [anon_sym_extern] = ACTIONS(1191),
    [anon_sym___attribute__] = ACTIONS(1191),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1193),
    [anon_sym___declspec] = ACTIONS(1191),
    [anon_sym___cdecl] = ACTIONS(1191),
    [anon_sym___clrcall] = ACTIONS(1191),
    [anon_sym___stdcall] = ACTIONS(1191),
    [anon_sym___fastcall] = ACTIONS(1191),
    [anon_sym___thiscall] = ACTIONS(1191),
    [anon_sym___vectorcall] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_signed] = ACTIONS(1191),
    [anon_sym_unsigned] = ACTIONS(1191),
    [anon_sym_long] = ACTIONS(1191),
    [anon_sym_short] = ACTIONS(1191),
    [anon_sym_static] = ACTIONS(1191),
    [anon_sym_auto] = ACTIONS(1191),
    [anon_sym_register] = ACTIONS(1191),
    [anon_sym_inline] = ACTIONS(1191),
    [anon_sym___inline] = ACTIONS(1191),
    [anon_sym___inline__] = ACTIONS(1191),
    [anon_sym___forceinline] = ACTIONS(1191),
    [anon_sym_thread_local] = ACTIONS(1191),
    [anon_sym___thread] = ACTIONS(1191),
    [anon_sym_const] = ACTIONS(1191),
    [anon_sym_constexpr] = ACTIONS(1191),
    [anon_sym_volatile] = ACTIONS(1191),
    [anon_sym_restrict] = ACTIONS(1191),
    [anon_sym___restrict__] = ACTIONS(1191),
    [anon_sym__Atomic] = ACTIONS(1191),
    [anon_sym__Noreturn] = ACTIONS(1191),
    [anon_sym_noreturn] = ACTIONS(1191),
    [anon_sym_alignas] = ACTIONS(1191),
    [anon_sym__Alignas] = ACTIONS(1191),
    [sym_primitive_type] = ACTIONS(1191),
    [anon_sym_enum] = ACTIONS(1191),
    [anon_sym_struct] = ACTIONS(1191),
    [anon_sym_union] = ACTIONS(1191),
    [anon_sym_if] = ACTIONS(1191),
    [anon_sym_else] = ACTIONS(1191),
    [anon_sym_switch] = ACTIONS(1191),
    [anon_sym_case] = ACTIONS(1191),
    [anon_sym_default] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1191),
    [anon_sym_do] = ACTIONS(1191),
    [anon_sym_for] = ACTIONS(1191),
    [anon_sym_return] = ACTIONS(1191),
    [anon_sym_break] = ACTIONS(1191),
    [anon_sym_continue] = ACTIONS(1191),
    [anon_sym_goto] = ACTIONS(1191),
    [anon_sym___try] = ACTIONS(1191),
    [anon_sym___leave] = ACTIONS(1191),
    [anon_sym_DASH_DASH] = ACTIONS(1193),
    [anon_sym_PLUS_PLUS] = ACTIONS(1193),
    [anon_sym_sizeof] = ACTIONS(1191),
    [anon_sym___alignof__] = ACTIONS(1191),
    [anon_sym___alignof] = ACTIONS(1191),
    [anon_sym__alignof] = ACTIONS(1191),
    [anon_sym_alignof] = ACTIONS(1191),
    [anon_sym__Alignof] = ACTIONS(1191),
    [anon_sym_offsetof] = ACTIONS(1191),
    [anon_sym__Generic] = ACTIONS(1191),
    [anon_sym_asm] = ACTIONS(1191),
    [anon_sym___asm__] = ACTIONS(1191),
    [sym_number_literal] = ACTIONS(1193),
    [anon_sym_L_SQUOTE] = ACTIONS(1193),
    [anon_sym_u_SQUOTE] = ACTIONS(1193),
    [anon_sym_U_SQUOTE] = ACTIONS(1193),
    [anon_sym_u8_SQUOTE] = ACTIONS(1193),
    [anon_sym_SQUOTE] = ACTIONS(1193),
    [anon_sym_L_DQUOTE] = ACTIONS(1193),
    [anon_sym_u_DQUOTE] = ACTIONS(1193),
    [anon_sym_U_DQUOTE] = ACTIONS(1193),
    [anon_sym_u8_DQUOTE] = ACTIONS(1193),
    [anon_sym_DQUOTE] = ACTIONS(1193),
    [sym_true] = ACTIONS(1191),
    [sym_false] = ACTIONS(1191),
    [anon_sym_NULL] = ACTIONS(1191),
    [anon_sym_nullptr] = ACTIONS(1191),
    [sym_comment] = ACTIONS(3),
  },
  [98] = {
    [sym_identifier] = ACTIONS(1203),
    [aux_sym_preproc_include_token1] = ACTIONS(1203),
    [aux_sym_preproc_def_token1] = ACTIONS(1203),
    [aux_sym_preproc_if_token1] = ACTIONS(1203),
    [aux_sym_preproc_if_token2] = ACTIONS(1203),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1203),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1203),
    [aux_sym_preproc_else_token1] = ACTIONS(1203),
    [aux_sym_preproc_elif_token1] = ACTIONS(1203),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1203),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1203),
    [sym_preproc_directive] = ACTIONS(1203),
    [anon_sym_LPAREN2] = ACTIONS(1205),
    [anon_sym_BANG] = ACTIONS(1205),
    [anon_sym_TILDE] = ACTIONS(1205),
    [anon_sym_DASH] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(1203),
    [anon_sym_STAR] = ACTIONS(1205),
    [anon_sym_AMP] = ACTIONS(1205),
    [anon_sym_SEMI] = ACTIONS(1205),
    [anon_sym___extension__] = ACTIONS(1203),
    [anon_sym_typedef] = ACTIONS(1203),
    [anon_sym_extern] = ACTIONS(1203),
    [anon_sym___attribute__] = ACTIONS(1203),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1205),
    [anon_sym___declspec] = ACTIONS(1203),
    [anon_sym___cdecl] = ACTIONS(1203),
    [anon_sym___clrcall] = ACTIONS(1203),
    [anon_sym___stdcall] = ACTIONS(1203),
    [anon_sym___fastcall] = ACTIONS(1203),
    [anon_sym___thiscall] = ACTIONS(1203),
    [anon_sym___vectorcall] = ACTIONS(1203),
    [anon_sym_LBRACE] = ACTIONS(1205),
    [anon_sym_signed] = ACTIONS(1203),
    [anon_sym_unsigned] = ACTIONS(1203),
    [anon_sym_long] = ACTIONS(1203),
    [anon_sym_short] = ACTIONS(1203),
    [anon_sym_static] = ACTIONS(1203),
    [anon_sym_auto] = ACTIONS(1203),
    [anon_sym_register] = ACTIONS(1203),
    [anon_sym_inline] = ACTIONS(1203),
    [anon_sym___inline] = ACTIONS(1203),
    [anon_sym___inline__] = ACTIONS(1203),
    [anon_sym___forceinline] = ACTIONS(1203),
    [anon_sym_thread_local] = ACTIONS(1203),
    [anon_sym___thread] = ACTIONS(1203),
    [anon_sym_const] = ACTIONS(1203),
    [anon_sym_constexpr] = ACTIONS(1203),
    [anon_sym_volatile] = ACTIONS(1203),
    [anon_sym_restrict] = ACTIONS(1203),
    [anon_sym___restrict__] = ACTIONS(1203),
    [anon_sym__Atomic] = ACTIONS(1203),
    [anon_sym__Noreturn] = ACTIONS(1203),
    [anon_sym_noreturn] = ACTIONS(1203),
    [anon_sym_alignas] = ACTIONS(1203),
    [anon_sym__Alignas] = ACTIONS(1203),
    [sym_primitive_type] = ACTIONS(1203),
    [anon_sym_enum] = ACTIONS(1203),
    [anon_sym_struct] = ACTIONS(1203),
    [anon_sym_union] = ACTIONS(1203),
    [anon_sym_if] = ACTIONS(1203),
    [anon_sym_else] = ACTIONS(1203),
    [anon_sym_switch] = ACTIONS(1203),
    [anon_sym_case] = ACTIONS(1203),
    [anon_sym_default] = ACTIONS(1203),
    [anon_sym_while] = ACTIONS(1203),
    [anon_sym_do] = ACTIONS(1203),
    [anon_sym_for] = ACTIONS(1203),
    [anon_sym_return] = ACTIONS(1203),
    [anon_sym_break] = ACTIONS(1203),
    [anon_sym_continue] = ACTIONS(1203),
    [anon_sym_goto] = ACTIONS(1203),
    [anon_sym___try] = ACTIONS(1203),
    [anon_sym___leave] = ACTIONS(1203),
    [anon_sym_DASH_DASH] = ACTIONS(1205),
    [anon_sym_PLUS_PLUS] = ACTIONS(1205),
    [anon_sym_sizeof] = ACTIONS(1203),
    [anon_sym___alignof__] = ACTIONS(1203),
    [anon_sym___alignof] = ACTIONS(1203),
    [anon_sym__alignof] = ACTIONS(1203),
    [anon_sym_alignof] = ACTIONS(1203),
    [anon_sym__Alignof] = ACTIONS(1203),
    [anon_sym_offsetof] = ACTIONS(1203),
    [anon_sym__Generic] = ACTIONS(1203),
    [anon_sym_asm] = ACTIONS(1203),
    [anon_sym___asm__] = ACTIONS(1203),
    [sym_number_literal] = ACTIONS(1205),
    [anon_sym_L_SQUOTE] = ACTIONS(1205),
    [anon_sym_u_SQUOTE] = ACTIONS(1205),
    [anon_sym_U_SQUOTE] = ACTIONS(1205),
    [anon_sym_u8_SQUOTE] = ACTIONS(1205),
    [anon_sym_SQUOTE] = ACTIONS(1205),
    [anon_sym_L_DQUOTE] = ACTIONS(1205),
    [anon_sym_u_DQUOTE] = ACTIONS(1205),
    [anon_sym_U_DQUOTE] = ACTIONS(1205),
    [anon_sym_u8_DQUOTE] = ACTIONS(1205),
    [anon_sym_DQUOTE] = ACTIONS(1205),
    [sym_true] = ACTIONS(1203),
    [sym_false] = ACTIONS(1203),
    [anon_sym_NULL] = ACTIONS(1203),
    [anon_sym_nullptr] = ACTIONS(1203),
    [sym_comment] = ACTIONS(3),
  },
  [99] = {
    [sym_identifier] = ACTIONS(1203),
    [aux_sym_preproc_include_token1] = ACTIONS(1203),
    [aux_sym_preproc_def_token1] = ACTIONS(1203),
    [aux_sym_preproc_if_token1] = ACTIONS(1203),
    [aux_sym_preproc_if_token2] = ACTIONS(1203),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1203),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1203),
    [aux_sym_preproc_else_token1] = ACTIONS(1203),
    [aux_sym_preproc_elif_token1] = ACTIONS(1203),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1203),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1203),
    [sym_preproc_directive] = ACTIONS(1203),
    [anon_sym_LPAREN2] = ACTIONS(1205),
    [anon_sym_BANG] = ACTIONS(1205),
    [anon_sym_TILDE] = ACTIONS(1205),
    [anon_sym_DASH] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(1203),
    [anon_sym_STAR] = ACTIONS(1205),
    [anon_sym_AMP] = ACTIONS(1205),
    [anon_sym_SEMI] = ACTIONS(1205),
    [anon_sym___extension__] = ACTIONS(1203),
    [anon_sym_typedef] = ACTIONS(1203),
    [anon_sym_extern] = ACTIONS(1203),
    [anon_sym___attribute__] = ACTIONS(1203),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1205),
    [anon_sym___declspec] = ACTIONS(1203),
    [anon_sym___cdecl] = ACTIONS(1203),
    [anon_sym___clrcall] = ACTIONS(1203),
    [anon_sym___stdcall] = ACTIONS(1203),
    [anon_sym___fastcall] = ACTIONS(1203),
    [anon_sym___thiscall] = ACTIONS(1203),
    [anon_sym___vectorcall] = ACTIONS(1203),
    [anon_sym_LBRACE] = ACTIONS(1205),
    [anon_sym_signed] = ACTIONS(1203),
    [anon_sym_unsigned] = ACTIONS(1203),
    [anon_sym_long] = ACTIONS(1203),
    [anon_sym_short] = ACTIONS(1203),
    [anon_sym_static] = ACTIONS(1203),
    [anon_sym_auto] = ACTIONS(1203),
    [anon_sym_register] = ACTIONS(1203),
    [anon_sym_inline] = ACTIONS(1203),
    [anon_sym___inline] = ACTIONS(1203),
    [anon_sym___inline__] = ACTIONS(1203),
    [anon_sym___forceinline] = ACTIONS(1203),
    [anon_sym_thread_local] = ACTIONS(1203),
    [anon_sym___thread] = ACTIONS(1203),
    [anon_sym_const] = ACTIONS(1203),
    [anon_sym_constexpr] = ACTIONS(1203),
    [anon_sym_volatile] = ACTIONS(1203),
    [anon_sym_restrict] = ACTIONS(1203),
    [anon_sym___restrict__] = ACTIONS(1203),
    [anon_sym__Atomic] = ACTIONS(1203),
    [anon_sym__Noreturn] = ACTIONS(1203),
    [anon_sym_noreturn] = ACTIONS(1203),
    [anon_sym_alignas] = ACTIONS(1203),
    [anon_sym__Alignas] = ACTIONS(1203),
    [sym_primitive_type] = ACTIONS(1203),
    [anon_sym_enum] = ACTIONS(1203),
    [anon_sym_struct] = ACTIONS(1203),
    [anon_sym_union] = ACTIONS(1203),
    [anon_sym_if] = ACTIONS(1203),
    [anon_sym_else] = ACTIONS(1203),
    [anon_sym_switch] = ACTIONS(1203),
    [anon_sym_case] = ACTIONS(1203),
    [anon_sym_default] = ACTIONS(1203),
    [anon_sym_while] = ACTIONS(1203),
    [anon_sym_do] = ACTIONS(1203),
    [anon_sym_for] = ACTIONS(1203),
    [anon_sym_return] = ACTIONS(1203),
    [anon_sym_break] = ACTIONS(1203),
    [anon_sym_continue] = ACTIONS(1203),
    [anon_sym_goto] = ACTIONS(1203),
    [anon_sym___try] = ACTIONS(1203),
    [anon_sym___leave] = ACTIONS(1203),
    [anon_sym_DASH_DASH] = ACTIONS(1205),
    [anon_sym_PLUS_PLUS] = ACTIONS(1205),
    [anon_sym_sizeof] = ACTIONS(1203),
    [anon_sym___alignof__] = ACTIONS(1203),
    [anon_sym___alignof] = ACTIONS(1203),
    [anon_sym__alignof] = ACTIONS(1203),
    [anon_sym_alignof] = ACTIONS(1203),
    [anon_sym__Alignof] = ACTIONS(1203),
    [anon_sym_offsetof] = ACTIONS(1203),
    [anon_sym__Generic] = ACTIONS(1203),
    [anon_sym_asm] = ACTIONS(1203),
    [anon_sym___asm__] = ACTIONS(1203),
    [sym_number_literal] = ACTIONS(1205),
    [anon_sym_L_SQUOTE] = ACTIONS(1205),
    [anon_sym_u_SQUOTE] = ACTIONS(1205),
    [anon_sym_U_SQUOTE] = ACTIONS(1205),
    [anon_sym_u8_SQUOTE] = ACTIONS(1205),
    [anon_sym_SQUOTE] = ACTIONS(1205),
    [anon_sym_L_DQUOTE] = ACTIONS(1205),
    [anon_sym_u_DQUOTE] = ACTIONS(1205),
    [anon_sym_U_DQUOTE] = ACTIONS(1205),
    [anon_sym_u8_DQUOTE] = ACTIONS(1205),
    [anon_sym_DQUOTE] = ACTIONS(1205),
    [sym_true] = ACTIONS(1203),
    [sym_false] = ACTIONS(1203),
    [anon_sym_NULL] = ACTIONS(1203),
    [anon_sym_nullptr] = ACTIONS(1203),
    [sym_comment] = ACTIONS(3),
  },
  [100] = {
    [sym_identifier] = ACTIONS(1207),
    [aux_sym_preproc_include_token1] = ACTIONS(1207),
    [aux_sym_preproc_def_token1] = ACTIONS(1207),
    [aux_sym_preproc_if_token1] = ACTIONS(1207),
    [aux_sym_preproc_if_token2] = ACTIONS(1207),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1207),
    [aux_sym_preproc_else_token1] = ACTIONS(1207),
    [aux_sym_preproc_elif_token1] = ACTIONS(1207),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1207),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1207),
    [sym_preproc_directive] = ACTIONS(1207),
    [anon_sym_LPAREN2] = ACTIONS(1209),
    [anon_sym_BANG] = ACTIONS(1209),
    [anon_sym_TILDE] = ACTIONS(1209),
    [anon_sym_DASH] = ACTIONS(1207),
    [anon_sym_PLUS] = ACTIONS(1207),
    [anon_sym_STAR] = ACTIONS(1209),
    [anon_sym_AMP] = ACTIONS(1209),
    [anon_sym_SEMI] = ACTIONS(1209),
    [anon_sym___extension__] = ACTIONS(1207),
    [anon_sym_typedef] = ACTIONS(1207),
    [anon_sym_extern] = ACTIONS(1207),
    [anon_sym___attribute__] = ACTIONS(1207),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1209),
    [anon_sym___declspec] = ACTIONS(1207),
    [anon_sym___cdecl] = ACTIONS(1207),
    [anon_sym___clrcall] = ACTIONS(1207),
    [anon_sym___stdcall] = ACTIONS(1207),
    [anon_sym___fastcall] = ACTIONS(1207),
    [anon_sym___thiscall] = ACTIONS(1207),
    [anon_sym___vectorcall] = ACTIONS(1207),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_signed] = ACTIONS(1207),
    [anon_sym_unsigned] = ACTIONS(1207),
    [anon_sym_long] = ACTIONS(1207),
    [anon_sym_short] = ACTIONS(1207),
    [anon_sym_static] = ACTIONS(1207),
    [anon_sym_auto] = ACTIONS(1207),
    [anon_sym_register] = ACTIONS(1207),
    [anon_sym_inline] = ACTIONS(1207),
    [anon_sym___inline] = ACTIONS(1207),
    [anon_sym___inline__] = ACTIONS(1207),
    [anon_sym___forceinline] = ACTIONS(1207),
    [anon_sym_thread_local] = ACTIONS(1207),
    [anon_sym___thread] = ACTIONS(1207),
    [anon_sym_const] = ACTIONS(1207),
    [anon_sym_constexpr] = ACTIONS(1207),
    [anon_sym_volatile] = ACTIONS(1207),
    [anon_sym_restrict] = ACTIONS(1207),
    [anon_sym___restrict__] = ACTIONS(1207),
    [anon_sym__Atomic] = ACTIONS(1207),
    [anon_sym__Noreturn] = ACTIONS(1207),
    [anon_sym_noreturn] = ACTIONS(1207),
    [anon_sym_alignas] = ACTIONS(1207),
    [anon_sym__Alignas] = ACTIONS(1207),
    [sym_primitive_type] = ACTIONS(1207),
    [anon_sym_enum] = ACTIONS(1207),
    [anon_sym_struct] = ACTIONS(1207),
    [anon_sym_union] = ACTIONS(1207),
    [anon_sym_if] = ACTIONS(1207),
    [anon_sym_else] = ACTIONS(1207),
    [anon_sym_switch] = ACTIONS(1207),
    [anon_sym_case] = ACTIONS(1207),
    [anon_sym_default] = ACTIONS(1207),
    [anon_sym_while] = ACTIONS(1207),
    [anon_sym_do] = ACTIONS(1207),
    [anon_sym_for] = ACTIONS(1207),
    [anon_sym_return] = ACTIONS(1207),
    [anon_sym_break] = ACTIONS(1207),
    [anon_sym_continue] = ACTIONS(1207),
    [anon_sym_goto] = ACTIONS(1207),
    [anon_sym___try] = ACTIONS(1207),
    [anon_sym___leave] = ACTIONS(1207),
    [anon_sym_DASH_DASH] = ACTIONS(1209),
    [anon_sym_PLUS_PLUS] = ACTIONS(1209),
    [anon_sym_sizeof] = ACTIONS(1207),
    [anon_sym___alignof__] = ACTIONS(1207),
    [anon_sym___alignof] = ACTIONS(1207),
    [anon_sym__alignof] = ACTIONS(1207),
    [anon_sym_alignof] = ACTIONS(1207),
    [anon_sym__Alignof] = ACTIONS(1207),
    [anon_sym_offsetof] = ACTIONS(1207),
    [anon_sym__Generic] = ACTIONS(1207),
    [anon_sym_asm] = ACTIONS(1207),
    [anon_sym___asm__] = ACTIONS(1207),
    [sym_number_literal] = ACTIONS(1209),
    [anon_sym_L_SQUOTE] = ACTIONS(1209),
    [anon_sym_u_SQUOTE] = ACTIONS(1209),
    [anon_sym_U_SQUOTE] = ACTIONS(1209),
    [anon_sym_u8_SQUOTE] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1209),
    [anon_sym_L_DQUOTE] = ACTIONS(1209),
    [anon_sym_u_DQUOTE] = ACTIONS(1209),
    [anon_sym_U_DQUOTE] = ACTIONS(1209),
    [anon_sym_u8_DQUOTE] = ACTIONS(1209),
    [anon_sym_DQUOTE] = ACTIONS(1209),
    [sym_true] = ACTIONS(1207),
    [sym_false] = ACTIONS(1207),
    [anon_sym_NULL] = ACTIONS(1207),
    [anon_sym_nullptr] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
  },
  [101] = {
    [sym_identifier] = ACTIONS(1211),
    [aux_sym_preproc_include_token1] = ACTIONS(1211),
    [aux_sym_preproc_def_token1] = ACTIONS(1211),
    [aux_sym_preproc_if_token1] = ACTIONS(1211),
    [aux_sym_preproc_if_token2] = ACTIONS(1211),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1211),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1211),
    [aux_sym_preproc_else_token1] = ACTIONS(1211),
    [aux_sym_preproc_elif_token1] = ACTIONS(1211),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1211),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1211),
    [sym_preproc_directive] = ACTIONS(1211),
    [anon_sym_LPAREN2] = ACTIONS(1213),
    [anon_sym_BANG] = ACTIONS(1213),
    [anon_sym_TILDE] = ACTIONS(1213),
    [anon_sym_DASH] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_STAR] = ACTIONS(1213),
    [anon_sym_AMP] = ACTIONS(1213),
    [anon_sym_SEMI] = ACTIONS(1213),
    [anon_sym___extension__] = ACTIONS(1211),
    [anon_sym_typedef] = ACTIONS(1211),
    [anon_sym_extern] = ACTIONS(1211),
    [anon_sym___attribute__] = ACTIONS(1211),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1213),
    [anon_sym___declspec] = ACTIONS(1211),
    [anon_sym___cdecl] = ACTIONS(1211),
    [anon_sym___clrcall] = ACTIONS(1211),
    [anon_sym___stdcall] = ACTIONS(1211),
    [anon_sym___fastcall] = ACTIONS(1211),
    [anon_sym___thiscall] = ACTIONS(1211),
    [anon_sym___vectorcall] = ACTIONS(1211),
    [anon_sym_LBRACE] = ACTIONS(1213),
    [anon_sym_signed] = ACTIONS(1211),
    [anon_sym_unsigned] = ACTIONS(1211),
    [anon_sym_long] = ACTIONS(1211),
    [anon_sym_short] = ACTIONS(1211),
    [anon_sym_static] = ACTIONS(1211),
    [anon_sym_auto] = ACTIONS(1211),
    [anon_sym_register] = ACTIONS(1211),
    [anon_sym_inline] = ACTIONS(1211),
    [anon_sym___inline] = ACTIONS(1211),
    [anon_sym___inline__] = ACTIONS(1211),
    [anon_sym___forceinline] = ACTIONS(1211),
    [anon_sym_thread_local] = ACTIONS(1211),
    [anon_sym___thread] = ACTIONS(1211),
    [anon_sym_const] = ACTIONS(1211),
    [anon_sym_constexpr] = ACTIONS(1211),
    [anon_sym_volatile] = ACTIONS(1211),
    [anon_sym_restrict] = ACTIONS(1211),
    [anon_sym___restrict__] = ACTIONS(1211),
    [anon_sym__Atomic] = ACTIONS(1211),
    [anon_sym__Noreturn] = ACTIONS(1211),
    [anon_sym_noreturn] = ACTIONS(1211),
    [anon_sym_alignas] = ACTIONS(1211),
    [anon_sym__Alignas] = ACTIONS(1211),
    [sym_primitive_type] = ACTIONS(1211),
    [anon_sym_enum] = ACTIONS(1211),
    [anon_sym_struct] = ACTIONS(1211),
    [anon_sym_union] = ACTIONS(1211),
    [anon_sym_if] = ACTIONS(1211),
    [anon_sym_else] = ACTIONS(1211),
    [anon_sym_switch] = ACTIONS(1211),
    [anon_sym_case] = ACTIONS(1211),
    [anon_sym_default] = ACTIONS(1211),
    [anon_sym_while] = ACTIONS(1211),
    [anon_sym_do] = ACTIONS(1211),
    [anon_sym_for] = ACTIONS(1211),
    [anon_sym_return] = ACTIONS(1211),
    [anon_sym_break] = ACTIONS(1211),
    [anon_sym_continue] = ACTIONS(1211),
    [anon_sym_goto] = ACTIONS(1211),
    [anon_sym___try] = ACTIONS(1211),
    [anon_sym___leave] = ACTIONS(1211),
    [anon_sym_DASH_DASH] = ACTIONS(1213),
    [anon_sym_PLUS_PLUS] = ACTIONS(1213),
    [anon_sym_sizeof] = ACTIONS(1211),
    [anon_sym___alignof__] = ACTIONS(1211),
    [anon_sym___alignof] = ACTIONS(1211),
    [anon_sym__alignof] = ACTIONS(1211),
    [anon_sym_alignof] = ACTIONS(1211),
    [anon_sym__Alignof] = ACTIONS(1211),
    [anon_sym_offsetof] = ACTIONS(1211),
    [anon_sym__Generic] = ACTIONS(1211),
    [anon_sym_asm] = ACTIONS(1211),
    [anon_sym___asm__] = ACTIONS(1211),
    [sym_number_literal] = ACTIONS(1213),
    [anon_sym_L_SQUOTE] = ACTIONS(1213),
    [anon_sym_u_SQUOTE] = ACTIONS(1213),
    [anon_sym_U_SQUOTE] = ACTIONS(1213),
    [anon_sym_u8_SQUOTE] = ACTIONS(1213),
    [anon_sym_SQUOTE] = ACTIONS(1213),
    [anon_sym_L_DQUOTE] = ACTIONS(1213),
    [anon_sym_u_DQUOTE] = ACTIONS(1213),
    [anon_sym_U_DQUOTE] = ACTIONS(1213),
    [anon_sym_u8_DQUOTE] = ACTIONS(1213),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_true] = ACTIONS(1211),
    [sym_false] = ACTIONS(1211),
    [anon_sym_NULL] = ACTIONS(1211),
    [anon_sym_nullptr] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
  },
  [102] = {
    [sym_identifier] = ACTIONS(1215),
    [aux_sym_preproc_include_token1] = ACTIONS(1215),
    [aux_sym_preproc_def_token1] = ACTIONS(1215),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_if_token2] = ACTIONS(1215),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1215),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1215),
    [aux_sym_preproc_else_token1] = ACTIONS(1215),
    [aux_sym_preproc_elif_token1] = ACTIONS(1215),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1215),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1215),
    [sym_preproc_directive] = ACTIONS(1215),
    [anon_sym_LPAREN2] = ACTIONS(1217),
    [anon_sym_BANG] = ACTIONS(1217),
    [anon_sym_TILDE] = ACTIONS(1217),
    [anon_sym_DASH] = ACTIONS(1215),
    [anon_sym_PLUS] = ACTIONS(1215),
    [anon_sym_STAR] = ACTIONS(1217),
    [anon_sym_AMP] = ACTIONS(1217),
    [anon_sym_SEMI] = ACTIONS(1217),
    [anon_sym___extension__] = ACTIONS(1215),
    [anon_sym_typedef] = ACTIONS(1215),
    [anon_sym_extern] = ACTIONS(1215),
    [anon_sym___attribute__] = ACTIONS(1215),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1217),
    [anon_sym___declspec] = ACTIONS(1215),
    [anon_sym___cdecl] = ACTIONS(1215),
    [anon_sym___clrcall] = ACTIONS(1215),
    [anon_sym___stdcall] = ACTIONS(1215),
    [anon_sym___fastcall] = ACTIONS(1215),
    [anon_sym___thiscall] = ACTIONS(1215),
    [anon_sym___vectorcall] = ACTIONS(1215),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_signed] = ACTIONS(1215),
    [anon_sym_unsigned] = ACTIONS(1215),
    [anon_sym_long] = ACTIONS(1215),
    [anon_sym_short] = ACTIONS(1215),
    [anon_sym_static] = ACTIONS(1215),
    [anon_sym_auto] = ACTIONS(1215),
    [anon_sym_register] = ACTIONS(1215),
    [anon_sym_inline] = ACTIONS(1215),
    [anon_sym___inline] = ACTIONS(1215),
    [anon_sym___inline__] = ACTIONS(1215),
    [anon_sym___forceinline] = ACTIONS(1215),
    [anon_sym_thread_local] = ACTIONS(1215),
    [anon_sym___thread] = ACTIONS(1215),
    [anon_sym_const] = ACTIONS(1215),
    [anon_sym_constexpr] = ACTIONS(1215),
    [anon_sym_volatile] = ACTIONS(1215),
    [anon_sym_restrict] = ACTIONS(1215),
    [anon_sym___restrict__] = ACTIONS(1215),
    [anon_sym__Atomic] = ACTIONS(1215),
    [anon_sym__Noreturn] = ACTIONS(1215),
    [anon_sym_noreturn] = ACTIONS(1215),
    [anon_sym_alignas] = ACTIONS(1215),
    [anon_sym__Alignas] = ACTIONS(1215),
    [sym_primitive_type] = ACTIONS(1215),
    [anon_sym_enum] = ACTIONS(1215),
    [anon_sym_struct] = ACTIONS(1215),
    [anon_sym_union] = ACTIONS(1215),
    [anon_sym_if] = ACTIONS(1215),
    [anon_sym_else] = ACTIONS(1215),
    [anon_sym_switch] = ACTIONS(1215),
    [anon_sym_case] = ACTIONS(1215),
    [anon_sym_default] = ACTIONS(1215),
    [anon_sym_while] = ACTIONS(1215),
    [anon_sym_do] = ACTIONS(1215),
    [anon_sym_for] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1215),
    [anon_sym_break] = ACTIONS(1215),
    [anon_sym_continue] = ACTIONS(1215),
    [anon_sym_goto] = ACTIONS(1215),
    [anon_sym___try] = ACTIONS(1215),
    [anon_sym___leave] = ACTIONS(1215),
    [anon_sym_DASH_DASH] = ACTIONS(1217),
    [anon_sym_PLUS_PLUS] = ACTIONS(1217),
    [anon_sym_sizeof] = ACTIONS(1215),
    [anon_sym___alignof__] = ACTIONS(1215),
    [anon_sym___alignof] = ACTIONS(1215),
    [anon_sym__alignof] = ACTIONS(1215),
    [anon_sym_alignof] = ACTIONS(1215),
    [anon_sym__Alignof] = ACTIONS(1215),
    [anon_sym_offsetof] = ACTIONS(1215),
    [anon_sym__Generic] = ACTIONS(1215),
    [anon_sym_asm] = ACTIONS(1215),
    [anon_sym___asm__] = ACTIONS(1215),
    [sym_number_literal] = ACTIONS(1217),
    [anon_sym_L_SQUOTE] = ACTIONS(1217),
    [anon_sym_u_SQUOTE] = ACTIONS(1217),
    [anon_sym_U_SQUOTE] = ACTIONS(1217),
    [anon_sym_u8_SQUOTE] = ACTIONS(1217),
    [anon_sym_SQUOTE] = ACTIONS(1217),
    [anon_sym_L_DQUOTE] = ACTIONS(1217),
    [anon_sym_u_DQUOTE] = ACTIONS(1217),
    [anon_sym_U_DQUOTE] = ACTIONS(1217),
    [anon_sym_u8_DQUOTE] = ACTIONS(1217),
    [anon_sym_DQUOTE] = ACTIONS(1217),
    [sym_true] = ACTIONS(1215),
    [sym_false] = ACTIONS(1215),
    [anon_sym_NULL] = ACTIONS(1215),
    [anon_sym_nullptr] = ACTIONS(1215),
    [sym_comment] = ACTIONS(3),
  },
  [103] = {
    [sym_identifier] = ACTIONS(1219),
    [aux_sym_preproc_include_token1] = ACTIONS(1219),
    [aux_sym_preproc_def_token1] = ACTIONS(1219),
    [aux_sym_preproc_if_token1] = ACTIONS(1219),
    [aux_sym_preproc_if_token2] = ACTIONS(1219),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1219),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1219),
    [aux_sym_preproc_else_token1] = ACTIONS(1219),
    [aux_sym_preproc_elif_token1] = ACTIONS(1219),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1219),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1219),
    [sym_preproc_directive] = ACTIONS(1219),
    [anon_sym_LPAREN2] = ACTIONS(1221),
    [anon_sym_BANG] = ACTIONS(1221),
    [anon_sym_TILDE] = ACTIONS(1221),
    [anon_sym_DASH] = ACTIONS(1219),
    [anon_sym_PLUS] = ACTIONS(1219),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(1219),
    [anon_sym_typedef] = ACTIONS(1219),
    [anon_sym_extern] = ACTIONS(1219),
    [anon_sym___attribute__] = ACTIONS(1219),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1221),
    [anon_sym___declspec] = ACTIONS(1219),
    [anon_sym___cdecl] = ACTIONS(1219),
    [anon_sym___clrcall] = ACTIONS(1219),
    [anon_sym___stdcall] = ACTIONS(1219),
    [anon_sym___fastcall] = ACTIONS(1219),
    [anon_sym___thiscall] = ACTIONS(1219),
    [anon_sym___vectorcall] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1221),
    [anon_sym_signed] = ACTIONS(1219),
    [anon_sym_unsigned] = ACTIONS(1219),
    [anon_sym_long] = ACTIONS(1219),
    [anon_sym_short] = ACTIONS(1219),
    [anon_sym_static] = ACTIONS(1219),
    [anon_sym_auto] = ACTIONS(1219),
    [anon_sym_register] = ACTIONS(1219),
    [anon_sym_inline] = ACTIONS(1219),
    [anon_sym___inline] = ACTIONS(1219),
    [anon_sym___inline__] = ACTIONS(1219),
    [anon_sym___forceinline] = ACTIONS(1219),
    [anon_sym_thread_local] = ACTIONS(1219),
    [anon_sym___thread] = ACTIONS(1219),
    [anon_sym_const] = ACTIONS(1219),
    [anon_sym_constexpr] = ACTIONS(1219),
    [anon_sym_volatile] = ACTIONS(1219),
    [anon_sym_restrict] = ACTIONS(1219),
    [anon_sym___restrict__] = ACTIONS(1219),
    [anon_sym__Atomic] = ACTIONS(1219),
    [anon_sym__Noreturn] = ACTIONS(1219),
    [anon_sym_noreturn] = ACTIONS(1219),
    [anon_sym_alignas] = ACTIONS(1219),
    [anon_sym__Alignas] = ACTIONS(1219),
    [sym_primitive_type] = ACTIONS(1219),
    [anon_sym_enum] = ACTIONS(1219),
    [anon_sym_struct] = ACTIONS(1219),
    [anon_sym_union] = ACTIONS(1219),
    [anon_sym_if] = ACTIONS(1219),
    [anon_sym_else] = ACTIONS(1219),
    [anon_sym_switch] = ACTIONS(1219),
    [anon_sym_case] = ACTIONS(1219),
    [anon_sym_default] = ACTIONS(1219),
    [anon_sym_while] = ACTIONS(1219),
    [anon_sym_do] = ACTIONS(1219),
    [anon_sym_for] = ACTIONS(1219),
    [anon_sym_return] = ACTIONS(1219),
    [anon_sym_break] = ACTIONS(1219),
    [anon_sym_continue] = ACTIONS(1219),
    [anon_sym_goto] = ACTIONS(1219),
    [anon_sym___try] = ACTIONS(1219),
    [anon_sym___leave] = ACTIONS(1219),
    [anon_sym_DASH_DASH] = ACTIONS(1221),
    [anon_sym_PLUS_PLUS] = ACTIONS(1221),
    [anon_sym_sizeof] = ACTIONS(1219),
    [anon_sym___alignof__] = ACTIONS(1219),
    [anon_sym___alignof] = ACTIONS(1219),
    [anon_sym__alignof] = ACTIONS(1219),
    [anon_sym_alignof] = ACTIONS(1219),
    [anon_sym__Alignof] = ACTIONS(1219),
    [anon_sym_offsetof] = ACTIONS(1219),
    [anon_sym__Generic] = ACTIONS(1219),
    [anon_sym_asm] = ACTIONS(1219),
    [anon_sym___asm__] = ACTIONS(1219),
    [sym_number_literal] = ACTIONS(1221),
    [anon_sym_L_SQUOTE] = ACTIONS(1221),
    [anon_sym_u_SQUOTE] = ACTIONS(1221),
    [anon_sym_U_SQUOTE] = ACTIONS(1221),
    [anon_sym_u8_SQUOTE] = ACTIONS(1221),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_L_DQUOTE] = ACTIONS(1221),
    [anon_sym_u_DQUOTE] = ACTIONS(1221),
    [anon_sym_U_DQUOTE] = ACTIONS(1221),
    [anon_sym_u8_DQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1221),
    [sym_true] = ACTIONS(1219),
    [sym_false] = ACTIONS(1219),
    [anon_sym_NULL] = ACTIONS(1219),
    [anon_sym_nullptr] = ACTIONS(1219),
    [sym_comment] = ACTIONS(3),
  },
  [104] = {
    [ts_builtin_sym_end] = ACTIONS(1169),
    [sym_identifier] = ACTIONS(1167),
    [aux_sym_preproc_include_token1] = ACTIONS(1167),
    [aux_sym_preproc_def_token1] = ACTIONS(1167),
    [anon_sym_COMMA] = ACTIONS(1169),
    [anon_sym_RPAREN] = ACTIONS(1169),
    [aux_sym_preproc_if_token1] = ACTIONS(1167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1167),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1167),
    [sym_preproc_directive] = ACTIONS(1167),
    [anon_sym_LPAREN2] = ACTIONS(1169),
    [anon_sym_BANG] = ACTIONS(1169),
    [anon_sym_TILDE] = ACTIONS(1169),
    [anon_sym_DASH] = ACTIONS(1167),
    [anon_sym_PLUS] = ACTIONS(1167),
    [anon_sym_STAR] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(1169),
    [anon_sym_SEMI] = ACTIONS(1169),
    [anon_sym___extension__] = ACTIONS(1167),
    [anon_sym_typedef] = ACTIONS(1167),
    [anon_sym_extern] = ACTIONS(1167),
    [anon_sym___attribute__] = ACTIONS(1167),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1169),
    [anon_sym___declspec] = ACTIONS(1167),
    [anon_sym___cdecl] = ACTIONS(1167),
    [anon_sym___clrcall] = ACTIONS(1167),
    [anon_sym___stdcall] = ACTIONS(1167),
    [anon_sym___fastcall] = ACTIONS(1167),
    [anon_sym___thiscall] = ACTIONS(1167),
    [anon_sym___vectorcall] = ACTIONS(1167),
    [anon_sym_LBRACE] = ACTIONS(1169),
    [anon_sym_signed] = ACTIONS(1167),
    [anon_sym_unsigned] = ACTIONS(1167),
    [anon_sym_long] = ACTIONS(1167),
    [anon_sym_short] = ACTIONS(1167),
    [anon_sym_static] = ACTIONS(1167),
    [anon_sym_auto] = ACTIONS(1167),
    [anon_sym_register] = ACTIONS(1167),
    [anon_sym_inline] = ACTIONS(1167),
    [anon_sym___inline] = ACTIONS(1167),
    [anon_sym___inline__] = ACTIONS(1167),
    [anon_sym___forceinline] = ACTIONS(1167),
    [anon_sym_thread_local] = ACTIONS(1167),
    [anon_sym___thread] = ACTIONS(1167),
    [anon_sym_const] = ACTIONS(1167),
    [anon_sym_constexpr] = ACTIONS(1167),
    [anon_sym_volatile] = ACTIONS(1167),
    [anon_sym_restrict] = ACTIONS(1167),
    [anon_sym___restrict__] = ACTIONS(1167),
    [anon_sym__Atomic] = ACTIONS(1167),
    [anon_sym__Noreturn] = ACTIONS(1167),
    [anon_sym_noreturn] = ACTIONS(1167),
    [anon_sym_alignas] = ACTIONS(1167),
    [anon_sym__Alignas] = ACTIONS(1167),
    [sym_primitive_type] = ACTIONS(1167),
    [anon_sym_enum] = ACTIONS(1167),
    [anon_sym_struct] = ACTIONS(1167),
    [anon_sym_union] = ACTIONS(1167),
    [anon_sym_if] = ACTIONS(1167),
    [anon_sym_else] = ACTIONS(1167),
    [anon_sym_switch] = ACTIONS(1167),
    [anon_sym_case] = ACTIONS(1167),
    [anon_sym_default] = ACTIONS(1167),
    [anon_sym_while] = ACTIONS(1167),
    [anon_sym_do] = ACTIONS(1167),
    [anon_sym_for] = ACTIONS(1167),
    [anon_sym_return] = ACTIONS(1167),
    [anon_sym_break] = ACTIONS(1167),
    [anon_sym_continue] = ACTIONS(1167),
    [anon_sym_goto] = ACTIONS(1167),
    [anon_sym___try] = ACTIONS(1167),
    [anon_sym___except] = ACTIONS(1167),
    [anon_sym___finally] = ACTIONS(1167),
    [anon_sym___leave] = ACTIONS(1167),
    [anon_sym_DASH_DASH] = ACTIONS(1169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1169),
    [anon_sym_sizeof] = ACTIONS(1167),
    [anon_sym___alignof__] = ACTIONS(1167),
    [anon_sym___alignof] = ACTIONS(1167),
    [anon_sym__alignof] = ACTIONS(1167),
    [anon_sym_alignof] = ACTIONS(1167),
    [anon_sym__Alignof] = ACTIONS(1167),
    [anon_sym_offsetof] = ACTIONS(1167),
    [anon_sym__Generic] = ACTIONS(1167),
    [anon_sym_asm] = ACTIONS(1167),
    [anon_sym___asm__] = ACTIONS(1167),
    [sym_number_literal] = ACTIONS(1169),
    [anon_sym_L_SQUOTE] = ACTIONS(1169),
    [anon_sym_u_SQUOTE] = ACTIONS(1169),
    [anon_sym_U_SQUOTE] = ACTIONS(1169),
    [anon_sym_u8_SQUOTE] = ACTIONS(1169),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_L_DQUOTE] = ACTIONS(1169),
    [anon_sym_u_DQUOTE] = ACTIONS(1169),
    [anon_sym_U_DQUOTE] = ACTIONS(1169),
    [anon_sym_u8_DQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1169),
    [sym_true] = ACTIONS(1167),
    [sym_false] = ACTIONS(1167),
    [anon_sym_NULL] = ACTIONS(1167),
    [anon_sym_nullptr] = ACTIONS(1167),
    [sym_comment] = ACTIONS(3),
  },
  [105] = {
    [sym_identifier] = ACTIONS(1223),
    [aux_sym_preproc_include_token1] = ACTIONS(1223),
    [aux_sym_preproc_def_token1] = ACTIONS(1223),
    [aux_sym_preproc_if_token1] = ACTIONS(1223),
    [aux_sym_preproc_if_token2] = ACTIONS(1223),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1223),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1223),
    [aux_sym_preproc_else_token1] = ACTIONS(1223),
    [aux_sym_preproc_elif_token1] = ACTIONS(1223),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1223),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1223),
    [sym_preproc_directive] = ACTIONS(1223),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(1225),
    [anon_sym_TILDE] = ACTIONS(1225),
    [anon_sym_DASH] = ACTIONS(1223),
    [anon_sym_PLUS] = ACTIONS(1223),
    [anon_sym_STAR] = ACTIONS(1225),
    [anon_sym_AMP] = ACTIONS(1225),
    [anon_sym_SEMI] = ACTIONS(1225),
    [anon_sym___extension__] = ACTIONS(1223),
    [anon_sym_typedef] = ACTIONS(1223),
    [anon_sym_extern] = ACTIONS(1223),
    [anon_sym___attribute__] = ACTIONS(1223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1225),
    [anon_sym___declspec] = ACTIONS(1223),
    [anon_sym___cdecl] = ACTIONS(1223),
    [anon_sym___clrcall] = ACTIONS(1223),
    [anon_sym___stdcall] = ACTIONS(1223),
    [anon_sym___fastcall] = ACTIONS(1223),
    [anon_sym___thiscall] = ACTIONS(1223),
    [anon_sym___vectorcall] = ACTIONS(1223),
    [anon_sym_LBRACE] = ACTIONS(1225),
    [anon_sym_signed] = ACTIONS(1223),
    [anon_sym_unsigned] = ACTIONS(1223),
    [anon_sym_long] = ACTIONS(1223),
    [anon_sym_short] = ACTIONS(1223),
    [anon_sym_static] = ACTIONS(1223),
    [anon_sym_auto] = ACTIONS(1223),
    [anon_sym_register] = ACTIONS(1223),
    [anon_sym_inline] = ACTIONS(1223),
    [anon_sym___inline] = ACTIONS(1223),
    [anon_sym___inline__] = ACTIONS(1223),
    [anon_sym___forceinline] = ACTIONS(1223),
    [anon_sym_thread_local] = ACTIONS(1223),
    [anon_sym___thread] = ACTIONS(1223),
    [anon_sym_const] = ACTIONS(1223),
    [anon_sym_constexpr] = ACTIONS(1223),
    [anon_sym_volatile] = ACTIONS(1223),
    [anon_sym_restrict] = ACTIONS(1223),
    [anon_sym___restrict__] = ACTIONS(1223),
    [anon_sym__Atomic] = ACTIONS(1223),
    [anon_sym__Noreturn] = ACTIONS(1223),
    [anon_sym_noreturn] = ACTIONS(1223),
    [anon_sym_alignas] = ACTIONS(1223),
    [anon_sym__Alignas] = ACTIONS(1223),
    [sym_primitive_type] = ACTIONS(1223),
    [anon_sym_enum] = ACTIONS(1223),
    [anon_sym_struct] = ACTIONS(1223),
    [anon_sym_union] = ACTIONS(1223),
    [anon_sym_if] = ACTIONS(1223),
    [anon_sym_else] = ACTIONS(1223),
    [anon_sym_switch] = ACTIONS(1223),
    [anon_sym_case] = ACTIONS(1223),
    [anon_sym_default] = ACTIONS(1223),
    [anon_sym_while] = ACTIONS(1223),
    [anon_sym_do] = ACTIONS(1223),
    [anon_sym_for] = ACTIONS(1223),
    [anon_sym_return] = ACTIONS(1223),
    [anon_sym_break] = ACTIONS(1223),
    [anon_sym_continue] = ACTIONS(1223),
    [anon_sym_goto] = ACTIONS(1223),
    [anon_sym___try] = ACTIONS(1223),
    [anon_sym___leave] = ACTIONS(1223),
    [anon_sym_DASH_DASH] = ACTIONS(1225),
    [anon_sym_PLUS_PLUS] = ACTIONS(1225),
    [anon_sym_sizeof] = ACTIONS(1223),
    [anon_sym___alignof__] = ACTIONS(1223),
    [anon_sym___alignof] = ACTIONS(1223),
    [anon_sym__alignof] = ACTIONS(1223),
    [anon_sym_alignof] = ACTIONS(1223),
    [anon_sym__Alignof] = ACTIONS(1223),
    [anon_sym_offsetof] = ACTIONS(1223),
    [anon_sym__Generic] = ACTIONS(1223),
    [anon_sym_asm] = ACTIONS(1223),
    [anon_sym___asm__] = ACTIONS(1223),
    [sym_number_literal] = ACTIONS(1225),
    [anon_sym_L_SQUOTE] = ACTIONS(1225),
    [anon_sym_u_SQUOTE] = ACTIONS(1225),
    [anon_sym_U_SQUOTE] = ACTIONS(1225),
    [anon_sym_u8_SQUOTE] = ACTIONS(1225),
    [anon_sym_SQUOTE] = ACTIONS(1225),
    [anon_sym_L_DQUOTE] = ACTIONS(1225),
    [anon_sym_u_DQUOTE] = ACTIONS(1225),
    [anon_sym_U_DQUOTE] = ACTIONS(1225),
    [anon_sym_u8_DQUOTE] = ACTIONS(1225),
    [anon_sym_DQUOTE] = ACTIONS(1225),
    [sym_true] = ACTIONS(1223),
    [sym_false] = ACTIONS(1223),
    [anon_sym_NULL] = ACTIONS(1223),
    [anon_sym_nullptr] = ACTIONS(1223),
    [sym_comment] = ACTIONS(3),
  },
  [106] = {
    [sym_identifier] = ACTIONS(1227),
    [aux_sym_preproc_include_token1] = ACTIONS(1227),
    [aux_sym_preproc_def_token1] = ACTIONS(1227),
    [aux_sym_preproc_if_token1] = ACTIONS(1227),
    [aux_sym_preproc_if_token2] = ACTIONS(1227),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1227),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1227),
    [aux_sym_preproc_else_token1] = ACTIONS(1227),
    [aux_sym_preproc_elif_token1] = ACTIONS(1227),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1227),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1227),
    [sym_preproc_directive] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1229),
    [anon_sym_BANG] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(1229),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_STAR] = ACTIONS(1229),
    [anon_sym_AMP] = ACTIONS(1229),
    [anon_sym_SEMI] = ACTIONS(1229),
    [anon_sym___extension__] = ACTIONS(1227),
    [anon_sym_typedef] = ACTIONS(1227),
    [anon_sym_extern] = ACTIONS(1227),
    [anon_sym___attribute__] = ACTIONS(1227),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1229),
    [anon_sym___declspec] = ACTIONS(1227),
    [anon_sym___cdecl] = ACTIONS(1227),
    [anon_sym___clrcall] = ACTIONS(1227),
    [anon_sym___stdcall] = ACTIONS(1227),
    [anon_sym___fastcall] = ACTIONS(1227),
    [anon_sym___thiscall] = ACTIONS(1227),
    [anon_sym___vectorcall] = ACTIONS(1227),
    [anon_sym_LBRACE] = ACTIONS(1229),
    [anon_sym_signed] = ACTIONS(1227),
    [anon_sym_unsigned] = ACTIONS(1227),
    [anon_sym_long] = ACTIONS(1227),
    [anon_sym_short] = ACTIONS(1227),
    [anon_sym_static] = ACTIONS(1227),
    [anon_sym_auto] = ACTIONS(1227),
    [anon_sym_register] = ACTIONS(1227),
    [anon_sym_inline] = ACTIONS(1227),
    [anon_sym___inline] = ACTIONS(1227),
    [anon_sym___inline__] = ACTIONS(1227),
    [anon_sym___forceinline] = ACTIONS(1227),
    [anon_sym_thread_local] = ACTIONS(1227),
    [anon_sym___thread] = ACTIONS(1227),
    [anon_sym_const] = ACTIONS(1227),
    [anon_sym_constexpr] = ACTIONS(1227),
    [anon_sym_volatile] = ACTIONS(1227),
    [anon_sym_restrict] = ACTIONS(1227),
    [anon_sym___restrict__] = ACTIONS(1227),
    [anon_sym__Atomic] = ACTIONS(1227),
    [anon_sym__Noreturn] = ACTIONS(1227),
    [anon_sym_noreturn] = ACTIONS(1227),
    [anon_sym_alignas] = ACTIONS(1227),
    [anon_sym__Alignas] = ACTIONS(1227),
    [sym_primitive_type] = ACTIONS(1227),
    [anon_sym_enum] = ACTIONS(1227),
    [anon_sym_struct] = ACTIONS(1227),
    [anon_sym_union] = ACTIONS(1227),
    [anon_sym_if] = ACTIONS(1227),
    [anon_sym_else] = ACTIONS(1227),
    [anon_sym_switch] = ACTIONS(1227),
    [anon_sym_case] = ACTIONS(1227),
    [anon_sym_default] = ACTIONS(1227),
    [anon_sym_while] = ACTIONS(1227),
    [anon_sym_do] = ACTIONS(1227),
    [anon_sym_for] = ACTIONS(1227),
    [anon_sym_return] = ACTIONS(1227),
    [anon_sym_break] = ACTIONS(1227),
    [anon_sym_continue] = ACTIONS(1227),
    [anon_sym_goto] = ACTIONS(1227),
    [anon_sym___try] = ACTIONS(1227),
    [anon_sym___leave] = ACTIONS(1227),
    [anon_sym_DASH_DASH] = ACTIONS(1229),
    [anon_sym_PLUS_PLUS] = ACTIONS(1229),
    [anon_sym_sizeof] = ACTIONS(1227),
    [anon_sym___alignof__] = ACTIONS(1227),
    [anon_sym___alignof] = ACTIONS(1227),
    [anon_sym__alignof] = ACTIONS(1227),
    [anon_sym_alignof] = ACTIONS(1227),
    [anon_sym__Alignof] = ACTIONS(1227),
    [anon_sym_offsetof] = ACTIONS(1227),
    [anon_sym__Generic] = ACTIONS(1227),
    [anon_sym_asm] = ACTIONS(1227),
    [anon_sym___asm__] = ACTIONS(1227),
    [sym_number_literal] = ACTIONS(1229),
    [anon_sym_L_SQUOTE] = ACTIONS(1229),
    [anon_sym_u_SQUOTE] = ACTIONS(1229),
    [anon_sym_U_SQUOTE] = ACTIONS(1229),
    [anon_sym_u8_SQUOTE] = ACTIONS(1229),
    [anon_sym_SQUOTE] = ACTIONS(1229),
    [anon_sym_L_DQUOTE] = ACTIONS(1229),
    [anon_sym_u_DQUOTE] = ACTIONS(1229),
    [anon_sym_U_DQUOTE] = ACTIONS(1229),
    [anon_sym_u8_DQUOTE] = ACTIONS(1229),
    [anon_sym_DQUOTE] = ACTIONS(1229),
    [sym_true] = ACTIONS(1227),
    [sym_false] = ACTIONS(1227),
    [anon_sym_NULL] = ACTIONS(1227),
    [anon_sym_nullptr] = ACTIONS(1227),
    [sym_comment] = ACTIONS(3),
  },
  [107] = {
    [sym_identifier] = ACTIONS(1231),
    [aux_sym_preproc_include_token1] = ACTIONS(1231),
    [aux_sym_preproc_def_token1] = ACTIONS(1231),
    [aux_sym_preproc_if_token1] = ACTIONS(1231),
    [aux_sym_preproc_if_token2] = ACTIONS(1231),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1231),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1231),
    [aux_sym_preproc_else_token1] = ACTIONS(1231),
    [aux_sym_preproc_elif_token1] = ACTIONS(1231),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1231),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1231),
    [sym_preproc_directive] = ACTIONS(1231),
    [anon_sym_LPAREN2] = ACTIONS(1233),
    [anon_sym_BANG] = ACTIONS(1233),
    [anon_sym_TILDE] = ACTIONS(1233),
    [anon_sym_DASH] = ACTIONS(1231),
    [anon_sym_PLUS] = ACTIONS(1231),
    [anon_sym_STAR] = ACTIONS(1233),
    [anon_sym_AMP] = ACTIONS(1233),
    [anon_sym_SEMI] = ACTIONS(1233),
    [anon_sym___extension__] = ACTIONS(1231),
    [anon_sym_typedef] = ACTIONS(1231),
    [anon_sym_extern] = ACTIONS(1231),
    [anon_sym___attribute__] = ACTIONS(1231),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1233),
    [anon_sym___declspec] = ACTIONS(1231),
    [anon_sym___cdecl] = ACTIONS(1231),
    [anon_sym___clrcall] = ACTIONS(1231),
    [anon_sym___stdcall] = ACTIONS(1231),
    [anon_sym___fastcall] = ACTIONS(1231),
    [anon_sym___thiscall] = ACTIONS(1231),
    [anon_sym___vectorcall] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_signed] = ACTIONS(1231),
    [anon_sym_unsigned] = ACTIONS(1231),
    [anon_sym_long] = ACTIONS(1231),
    [anon_sym_short] = ACTIONS(1231),
    [anon_sym_static] = ACTIONS(1231),
    [anon_sym_auto] = ACTIONS(1231),
    [anon_sym_register] = ACTIONS(1231),
    [anon_sym_inline] = ACTIONS(1231),
    [anon_sym___inline] = ACTIONS(1231),
    [anon_sym___inline__] = ACTIONS(1231),
    [anon_sym___forceinline] = ACTIONS(1231),
    [anon_sym_thread_local] = ACTIONS(1231),
    [anon_sym___thread] = ACTIONS(1231),
    [anon_sym_const] = ACTIONS(1231),
    [anon_sym_constexpr] = ACTIONS(1231),
    [anon_sym_volatile] = ACTIONS(1231),
    [anon_sym_restrict] = ACTIONS(1231),
    [anon_sym___restrict__] = ACTIONS(1231),
    [anon_sym__Atomic] = ACTIONS(1231),
    [anon_sym__Noreturn] = ACTIONS(1231),
    [anon_sym_noreturn] = ACTIONS(1231),
    [anon_sym_alignas] = ACTIONS(1231),
    [anon_sym__Alignas] = ACTIONS(1231),
    [sym_primitive_type] = ACTIONS(1231),
    [anon_sym_enum] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1231),
    [anon_sym_union] = ACTIONS(1231),
    [anon_sym_if] = ACTIONS(1231),
    [anon_sym_else] = ACTIONS(1231),
    [anon_sym_switch] = ACTIONS(1231),
    [anon_sym_case] = ACTIONS(1231),
    [anon_sym_default] = ACTIONS(1231),
    [anon_sym_while] = ACTIONS(1231),
    [anon_sym_do] = ACTIONS(1231),
    [anon_sym_for] = ACTIONS(1231),
    [anon_sym_return] = ACTIONS(1231),
    [anon_sym_break] = ACTIONS(1231),
    [anon_sym_continue] = ACTIONS(1231),
    [anon_sym_goto] = ACTIONS(1231),
    [anon_sym___try] = ACTIONS(1231),
    [anon_sym___leave] = ACTIONS(1231),
    [anon_sym_DASH_DASH] = ACTIONS(1233),
    [anon_sym_PLUS_PLUS] = ACTIONS(1233),
    [anon_sym_sizeof] = ACTIONS(1231),
    [anon_sym___alignof__] = ACTIONS(1231),
    [anon_sym___alignof] = ACTIONS(1231),
    [anon_sym__alignof] = ACTIONS(1231),
    [anon_sym_alignof] = ACTIONS(1231),
    [anon_sym__Alignof] = ACTIONS(1231),
    [anon_sym_offsetof] = ACTIONS(1231),
    [anon_sym__Generic] = ACTIONS(1231),
    [anon_sym_asm] = ACTIONS(1231),
    [anon_sym___asm__] = ACTIONS(1231),
    [sym_number_literal] = ACTIONS(1233),
    [anon_sym_L_SQUOTE] = ACTIONS(1233),
    [anon_sym_u_SQUOTE] = ACTIONS(1233),
    [anon_sym_U_SQUOTE] = ACTIONS(1233),
    [anon_sym_u8_SQUOTE] = ACTIONS(1233),
    [anon_sym_SQUOTE] = ACTIONS(1233),
    [anon_sym_L_DQUOTE] = ACTIONS(1233),
    [anon_sym_u_DQUOTE] = ACTIONS(1233),
    [anon_sym_U_DQUOTE] = ACTIONS(1233),
    [anon_sym_u8_DQUOTE] = ACTIONS(1233),
    [anon_sym_DQUOTE] = ACTIONS(1233),
    [sym_true] = ACTIONS(1231),
    [sym_false] = ACTIONS(1231),
    [anon_sym_NULL] = ACTIONS(1231),
    [anon_sym_nullptr] = ACTIONS(1231),
    [sym_comment] = ACTIONS(3),
  },
  [108] = {
    [sym_identifier] = ACTIONS(1235),
    [aux_sym_preproc_include_token1] = ACTIONS(1235),
    [aux_sym_preproc_def_token1] = ACTIONS(1235),
    [aux_sym_preproc_if_token1] = ACTIONS(1235),
    [aux_sym_preproc_if_token2] = ACTIONS(1235),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1235),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1235),
    [aux_sym_preproc_else_token1] = ACTIONS(1235),
    [aux_sym_preproc_elif_token1] = ACTIONS(1235),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1235),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1235),
    [sym_preproc_directive] = ACTIONS(1235),
    [anon_sym_LPAREN2] = ACTIONS(1237),
    [anon_sym_BANG] = ACTIONS(1237),
    [anon_sym_TILDE] = ACTIONS(1237),
    [anon_sym_DASH] = ACTIONS(1235),
    [anon_sym_PLUS] = ACTIONS(1235),
    [anon_sym_STAR] = ACTIONS(1237),
    [anon_sym_AMP] = ACTIONS(1237),
    [anon_sym_SEMI] = ACTIONS(1237),
    [anon_sym___extension__] = ACTIONS(1235),
    [anon_sym_typedef] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(1235),
    [anon_sym___attribute__] = ACTIONS(1235),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym___declspec] = ACTIONS(1235),
    [anon_sym___cdecl] = ACTIONS(1235),
    [anon_sym___clrcall] = ACTIONS(1235),
    [anon_sym___stdcall] = ACTIONS(1235),
    [anon_sym___fastcall] = ACTIONS(1235),
    [anon_sym___thiscall] = ACTIONS(1235),
    [anon_sym___vectorcall] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_signed] = ACTIONS(1235),
    [anon_sym_unsigned] = ACTIONS(1235),
    [anon_sym_long] = ACTIONS(1235),
    [anon_sym_short] = ACTIONS(1235),
    [anon_sym_static] = ACTIONS(1235),
    [anon_sym_auto] = ACTIONS(1235),
    [anon_sym_register] = ACTIONS(1235),
    [anon_sym_inline] = ACTIONS(1235),
    [anon_sym___inline] = ACTIONS(1235),
    [anon_sym___inline__] = ACTIONS(1235),
    [anon_sym___forceinline] = ACTIONS(1235),
    [anon_sym_thread_local] = ACTIONS(1235),
    [anon_sym___thread] = ACTIONS(1235),
    [anon_sym_const] = ACTIONS(1235),
    [anon_sym_constexpr] = ACTIONS(1235),
    [anon_sym_volatile] = ACTIONS(1235),
    [anon_sym_restrict] = ACTIONS(1235),
    [anon_sym___restrict__] = ACTIONS(1235),
    [anon_sym__Atomic] = ACTIONS(1235),
    [anon_sym__Noreturn] = ACTIONS(1235),
    [anon_sym_noreturn] = ACTIONS(1235),
    [anon_sym_alignas] = ACTIONS(1235),
    [anon_sym__Alignas] = ACTIONS(1235),
    [sym_primitive_type] = ACTIONS(1235),
    [anon_sym_enum] = ACTIONS(1235),
    [anon_sym_struct] = ACTIONS(1235),
    [anon_sym_union] = ACTIONS(1235),
    [anon_sym_if] = ACTIONS(1235),
    [anon_sym_else] = ACTIONS(1235),
    [anon_sym_switch] = ACTIONS(1235),
    [anon_sym_case] = ACTIONS(1235),
    [anon_sym_default] = ACTIONS(1235),
    [anon_sym_while] = ACTIONS(1235),
    [anon_sym_do] = ACTIONS(1235),
    [anon_sym_for] = ACTIONS(1235),
    [anon_sym_return] = ACTIONS(1235),
    [anon_sym_break] = ACTIONS(1235),
    [anon_sym_continue] = ACTIONS(1235),
    [anon_sym_goto] = ACTIONS(1235),
    [anon_sym___try] = ACTIONS(1235),
    [anon_sym___leave] = ACTIONS(1235),
    [anon_sym_DASH_DASH] = ACTIONS(1237),
    [anon_sym_PLUS_PLUS] = ACTIONS(1237),
    [anon_sym_sizeof] = ACTIONS(1235),
    [anon_sym___alignof__] = ACTIONS(1235),
    [anon_sym___alignof] = ACTIONS(1235),
    [anon_sym__alignof] = ACTIONS(1235),
    [anon_sym_alignof] = ACTIONS(1235),
    [anon_sym__Alignof] = ACTIONS(1235),
    [anon_sym_offsetof] = ACTIONS(1235),
    [anon_sym__Generic] = ACTIONS(1235),
    [anon_sym_asm] = ACTIONS(1235),
    [anon_sym___asm__] = ACTIONS(1235),
    [sym_number_literal] = ACTIONS(1237),
    [anon_sym_L_SQUOTE] = ACTIONS(1237),
    [anon_sym_u_SQUOTE] = ACTIONS(1237),
    [anon_sym_U_SQUOTE] = ACTIONS(1237),
    [anon_sym_u8_SQUOTE] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1237),
    [anon_sym_L_DQUOTE] = ACTIONS(1237),
    [anon_sym_u_DQUOTE] = ACTIONS(1237),
    [anon_sym_U_DQUOTE] = ACTIONS(1237),
    [anon_sym_u8_DQUOTE] = ACTIONS(1237),
    [anon_sym_DQUOTE] = ACTIONS(1237),
    [sym_true] = ACTIONS(1235),
    [sym_false] = ACTIONS(1235),
    [anon_sym_NULL] = ACTIONS(1235),
    [anon_sym_nullptr] = ACTIONS(1235),
    [sym_comment] = ACTIONS(3),
  },
  [109] = {
    [sym_identifier] = ACTIONS(1239),
    [aux_sym_preproc_include_token1] = ACTIONS(1239),
    [aux_sym_preproc_def_token1] = ACTIONS(1239),
    [aux_sym_preproc_if_token1] = ACTIONS(1239),
    [aux_sym_preproc_if_token2] = ACTIONS(1239),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1239),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1239),
    [aux_sym_preproc_else_token1] = ACTIONS(1239),
    [aux_sym_preproc_elif_token1] = ACTIONS(1239),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1239),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1239),
    [sym_preproc_directive] = ACTIONS(1239),
    [anon_sym_LPAREN2] = ACTIONS(1241),
    [anon_sym_BANG] = ACTIONS(1241),
    [anon_sym_TILDE] = ACTIONS(1241),
    [anon_sym_DASH] = ACTIONS(1239),
    [anon_sym_PLUS] = ACTIONS(1239),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_AMP] = ACTIONS(1241),
    [anon_sym_SEMI] = ACTIONS(1241),
    [anon_sym___extension__] = ACTIONS(1239),
    [anon_sym_typedef] = ACTIONS(1239),
    [anon_sym_extern] = ACTIONS(1239),
    [anon_sym___attribute__] = ACTIONS(1239),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1241),
    [anon_sym___declspec] = ACTIONS(1239),
    [anon_sym___cdecl] = ACTIONS(1239),
    [anon_sym___clrcall] = ACTIONS(1239),
    [anon_sym___stdcall] = ACTIONS(1239),
    [anon_sym___fastcall] = ACTIONS(1239),
    [anon_sym___thiscall] = ACTIONS(1239),
    [anon_sym___vectorcall] = ACTIONS(1239),
    [anon_sym_LBRACE] = ACTIONS(1241),
    [anon_sym_signed] = ACTIONS(1239),
    [anon_sym_unsigned] = ACTIONS(1239),
    [anon_sym_long] = ACTIONS(1239),
    [anon_sym_short] = ACTIONS(1239),
    [anon_sym_static] = ACTIONS(1239),
    [anon_sym_auto] = ACTIONS(1239),
    [anon_sym_register] = ACTIONS(1239),
    [anon_sym_inline] = ACTIONS(1239),
    [anon_sym___inline] = ACTIONS(1239),
    [anon_sym___inline__] = ACTIONS(1239),
    [anon_sym___forceinline] = ACTIONS(1239),
    [anon_sym_thread_local] = ACTIONS(1239),
    [anon_sym___thread] = ACTIONS(1239),
    [anon_sym_const] = ACTIONS(1239),
    [anon_sym_constexpr] = ACTIONS(1239),
    [anon_sym_volatile] = ACTIONS(1239),
    [anon_sym_restrict] = ACTIONS(1239),
    [anon_sym___restrict__] = ACTIONS(1239),
    [anon_sym__Atomic] = ACTIONS(1239),
    [anon_sym__Noreturn] = ACTIONS(1239),
    [anon_sym_noreturn] = ACTIONS(1239),
    [anon_sym_alignas] = ACTIONS(1239),
    [anon_sym__Alignas] = ACTIONS(1239),
    [sym_primitive_type] = ACTIONS(1239),
    [anon_sym_enum] = ACTIONS(1239),
    [anon_sym_struct] = ACTIONS(1239),
    [anon_sym_union] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1239),
    [anon_sym_else] = ACTIONS(1239),
    [anon_sym_switch] = ACTIONS(1239),
    [anon_sym_case] = ACTIONS(1239),
    [anon_sym_default] = ACTIONS(1239),
    [anon_sym_while] = ACTIONS(1239),
    [anon_sym_do] = ACTIONS(1239),
    [anon_sym_for] = ACTIONS(1239),
    [anon_sym_return] = ACTIONS(1239),
    [anon_sym_break] = ACTIONS(1239),
    [anon_sym_continue] = ACTIONS(1239),
    [anon_sym_goto] = ACTIONS(1239),
    [anon_sym___try] = ACTIONS(1239),
    [anon_sym___leave] = ACTIONS(1239),
    [anon_sym_DASH_DASH] = ACTIONS(1241),
    [anon_sym_PLUS_PLUS] = ACTIONS(1241),
    [anon_sym_sizeof] = ACTIONS(1239),
    [anon_sym___alignof__] = ACTIONS(1239),
    [anon_sym___alignof] = ACTIONS(1239),
    [anon_sym__alignof] = ACTIONS(1239),
    [anon_sym_alignof] = ACTIONS(1239),
    [anon_sym__Alignof] = ACTIONS(1239),
    [anon_sym_offsetof] = ACTIONS(1239),
    [anon_sym__Generic] = ACTIONS(1239),
    [anon_sym_asm] = ACTIONS(1239),
    [anon_sym___asm__] = ACTIONS(1239),
    [sym_number_literal] = ACTIONS(1241),
    [anon_sym_L_SQUOTE] = ACTIONS(1241),
    [anon_sym_u_SQUOTE] = ACTIONS(1241),
    [anon_sym_U_SQUOTE] = ACTIONS(1241),
    [anon_sym_u8_SQUOTE] = ACTIONS(1241),
    [anon_sym_SQUOTE] = ACTIONS(1241),
    [anon_sym_L_DQUOTE] = ACTIONS(1241),
    [anon_sym_u_DQUOTE] = ACTIONS(1241),
    [anon_sym_U_DQUOTE] = ACTIONS(1241),
    [anon_sym_u8_DQUOTE] = ACTIONS(1241),
    [anon_sym_DQUOTE] = ACTIONS(1241),
    [sym_true] = ACTIONS(1239),
    [sym_false] = ACTIONS(1239),
    [anon_sym_NULL] = ACTIONS(1239),
    [anon_sym_nullptr] = ACTIONS(1239),
    [sym_comment] = ACTIONS(3),
  },
  [110] = {
    [sym_identifier] = ACTIONS(1243),
    [aux_sym_preproc_include_token1] = ACTIONS(1243),
    [aux_sym_preproc_def_token1] = ACTIONS(1243),
    [aux_sym_preproc_if_token1] = ACTIONS(1243),
    [aux_sym_preproc_if_token2] = ACTIONS(1243),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1243),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1243),
    [aux_sym_preproc_else_token1] = ACTIONS(1243),
    [aux_sym_preproc_elif_token1] = ACTIONS(1243),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1243),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1243),
    [sym_preproc_directive] = ACTIONS(1243),
    [anon_sym_LPAREN2] = ACTIONS(1245),
    [anon_sym_BANG] = ACTIONS(1245),
    [anon_sym_TILDE] = ACTIONS(1245),
    [anon_sym_DASH] = ACTIONS(1243),
    [anon_sym_PLUS] = ACTIONS(1243),
    [anon_sym_STAR] = ACTIONS(1245),
    [anon_sym_AMP] = ACTIONS(1245),
    [anon_sym_SEMI] = ACTIONS(1245),
    [anon_sym___extension__] = ACTIONS(1243),
    [anon_sym_typedef] = ACTIONS(1243),
    [anon_sym_extern] = ACTIONS(1243),
    [anon_sym___attribute__] = ACTIONS(1243),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1245),
    [anon_sym___declspec] = ACTIONS(1243),
    [anon_sym___cdecl] = ACTIONS(1243),
    [anon_sym___clrcall] = ACTIONS(1243),
    [anon_sym___stdcall] = ACTIONS(1243),
    [anon_sym___fastcall] = ACTIONS(1243),
    [anon_sym___thiscall] = ACTIONS(1243),
    [anon_sym___vectorcall] = ACTIONS(1243),
    [anon_sym_LBRACE] = ACTIONS(1245),
    [anon_sym_signed] = ACTIONS(1243),
    [anon_sym_unsigned] = ACTIONS(1243),
    [anon_sym_long] = ACTIONS(1243),
    [anon_sym_short] = ACTIONS(1243),
    [anon_sym_static] = ACTIONS(1243),
    [anon_sym_auto] = ACTIONS(1243),
    [anon_sym_register] = ACTIONS(1243),
    [anon_sym_inline] = ACTIONS(1243),
    [anon_sym___inline] = ACTIONS(1243),
    [anon_sym___inline__] = ACTIONS(1243),
    [anon_sym___forceinline] = ACTIONS(1243),
    [anon_sym_thread_local] = ACTIONS(1243),
    [anon_sym___thread] = ACTIONS(1243),
    [anon_sym_const] = ACTIONS(1243),
    [anon_sym_constexpr] = ACTIONS(1243),
    [anon_sym_volatile] = ACTIONS(1243),
    [anon_sym_restrict] = ACTIONS(1243),
    [anon_sym___restrict__] = ACTIONS(1243),
    [anon_sym__Atomic] = ACTIONS(1243),
    [anon_sym__Noreturn] = ACTIONS(1243),
    [anon_sym_noreturn] = ACTIONS(1243),
    [anon_sym_alignas] = ACTIONS(1243),
    [anon_sym__Alignas] = ACTIONS(1243),
    [sym_primitive_type] = ACTIONS(1243),
    [anon_sym_enum] = ACTIONS(1243),
    [anon_sym_struct] = ACTIONS(1243),
    [anon_sym_union] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_else] = ACTIONS(1243),
    [anon_sym_switch] = ACTIONS(1243),
    [anon_sym_case] = ACTIONS(1243),
    [anon_sym_default] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(1243),
    [anon_sym_do] = ACTIONS(1243),
    [anon_sym_for] = ACTIONS(1243),
    [anon_sym_return] = ACTIONS(1243),
    [anon_sym_break] = ACTIONS(1243),
    [anon_sym_continue] = ACTIONS(1243),
    [anon_sym_goto] = ACTIONS(1243),
    [anon_sym___try] = ACTIONS(1243),
    [anon_sym___leave] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1245),
    [anon_sym_PLUS_PLUS] = ACTIONS(1245),
    [anon_sym_sizeof] = ACTIONS(1243),
    [anon_sym___alignof__] = ACTIONS(1243),
    [anon_sym___alignof] = ACTIONS(1243),
    [anon_sym__alignof] = ACTIONS(1243),
    [anon_sym_alignof] = ACTIONS(1243),
    [anon_sym__Alignof] = ACTIONS(1243),
    [anon_sym_offsetof] = ACTIONS(1243),
    [anon_sym__Generic] = ACTIONS(1243),
    [anon_sym_asm] = ACTIONS(1243),
    [anon_sym___asm__] = ACTIONS(1243),
    [sym_number_literal] = ACTIONS(1245),
    [anon_sym_L_SQUOTE] = ACTIONS(1245),
    [anon_sym_u_SQUOTE] = ACTIONS(1245),
    [anon_sym_U_SQUOTE] = ACTIONS(1245),
    [anon_sym_u8_SQUOTE] = ACTIONS(1245),
    [anon_sym_SQUOTE] = ACTIONS(1245),
    [anon_sym_L_DQUOTE] = ACTIONS(1245),
    [anon_sym_u_DQUOTE] = ACTIONS(1245),
    [anon_sym_U_DQUOTE] = ACTIONS(1245),
    [anon_sym_u8_DQUOTE] = ACTIONS(1245),
    [anon_sym_DQUOTE] = ACTIONS(1245),
    [sym_true] = ACTIONS(1243),
    [sym_false] = ACTIONS(1243),
    [anon_sym_NULL] = ACTIONS(1243),
    [anon_sym_nullptr] = ACTIONS(1243),
    [sym_comment] = ACTIONS(3),
  },
  [111] = {
    [sym_identifier] = ACTIONS(1129),
    [aux_sym_preproc_include_token1] = ACTIONS(1129),
    [aux_sym_preproc_def_token1] = ACTIONS(1129),
    [aux_sym_preproc_if_token1] = ACTIONS(1129),
    [aux_sym_preproc_if_token2] = ACTIONS(1129),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1129),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1129),
    [aux_sym_preproc_else_token1] = ACTIONS(1129),
    [aux_sym_preproc_elif_token1] = ACTIONS(1129),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1129),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1129),
    [sym_preproc_directive] = ACTIONS(1129),
    [anon_sym_LPAREN2] = ACTIONS(1127),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_SEMI] = ACTIONS(1127),
    [anon_sym___extension__] = ACTIONS(1129),
    [anon_sym_typedef] = ACTIONS(1129),
    [anon_sym_extern] = ACTIONS(1129),
    [anon_sym___attribute__] = ACTIONS(1129),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1127),
    [anon_sym___declspec] = ACTIONS(1129),
    [anon_sym___cdecl] = ACTIONS(1129),
    [anon_sym___clrcall] = ACTIONS(1129),
    [anon_sym___stdcall] = ACTIONS(1129),
    [anon_sym___fastcall] = ACTIONS(1129),
    [anon_sym___thiscall] = ACTIONS(1129),
    [anon_sym___vectorcall] = ACTIONS(1129),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_signed] = ACTIONS(1129),
    [anon_sym_unsigned] = ACTIONS(1129),
    [anon_sym_long] = ACTIONS(1129),
    [anon_sym_short] = ACTIONS(1129),
    [anon_sym_static] = ACTIONS(1129),
    [anon_sym_auto] = ACTIONS(1129),
    [anon_sym_register] = ACTIONS(1129),
    [anon_sym_inline] = ACTIONS(1129),
    [anon_sym___inline] = ACTIONS(1129),
    [anon_sym___inline__] = ACTIONS(1129),
    [anon_sym___forceinline] = ACTIONS(1129),
    [anon_sym_thread_local] = ACTIONS(1129),
    [anon_sym___thread] = ACTIONS(1129),
    [anon_sym_const] = ACTIONS(1129),
    [anon_sym_constexpr] = ACTIONS(1129),
    [anon_sym_volatile] = ACTIONS(1129),
    [anon_sym_restrict] = ACTIONS(1129),
    [anon_sym___restrict__] = ACTIONS(1129),
    [anon_sym__Atomic] = ACTIONS(1129),
    [anon_sym__Noreturn] = ACTIONS(1129),
    [anon_sym_noreturn] = ACTIONS(1129),
    [anon_sym_alignas] = ACTIONS(1129),
    [anon_sym__Alignas] = ACTIONS(1129),
    [sym_primitive_type] = ACTIONS(1129),
    [anon_sym_enum] = ACTIONS(1129),
    [anon_sym_struct] = ACTIONS(1129),
    [anon_sym_union] = ACTIONS(1129),
    [anon_sym_if] = ACTIONS(1129),
    [anon_sym_else] = ACTIONS(1129),
    [anon_sym_switch] = ACTIONS(1129),
    [anon_sym_case] = ACTIONS(1129),
    [anon_sym_default] = ACTIONS(1129),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_do] = ACTIONS(1129),
    [anon_sym_for] = ACTIONS(1129),
    [anon_sym_return] = ACTIONS(1129),
    [anon_sym_break] = ACTIONS(1129),
    [anon_sym_continue] = ACTIONS(1129),
    [anon_sym_goto] = ACTIONS(1129),
    [anon_sym___try] = ACTIONS(1129),
    [anon_sym___leave] = ACTIONS(1129),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_sizeof] = ACTIONS(1129),
    [anon_sym___alignof__] = ACTIONS(1129),
    [anon_sym___alignof] = ACTIONS(1129),
    [anon_sym__alignof] = ACTIONS(1129),
    [anon_sym_alignof] = ACTIONS(1129),
    [anon_sym__Alignof] = ACTIONS(1129),
    [anon_sym_offsetof] = ACTIONS(1129),
    [anon_sym__Generic] = ACTIONS(1129),
    [anon_sym_asm] = ACTIONS(1129),
    [anon_sym___asm__] = ACTIONS(1129),
    [sym_number_literal] = ACTIONS(1127),
    [anon_sym_L_SQUOTE] = ACTIONS(1127),
    [anon_sym_u_SQUOTE] = ACTIONS(1127),
    [anon_sym_U_SQUOTE] = ACTIONS(1127),
    [anon_sym_u8_SQUOTE] = ACTIONS(1127),
    [anon_sym_SQUOTE] = ACTIONS(1127),
    [anon_sym_L_DQUOTE] = ACTIONS(1127),
    [anon_sym_u_DQUOTE] = ACTIONS(1127),
    [anon_sym_U_DQUOTE] = ACTIONS(1127),
    [anon_sym_u8_DQUOTE] = ACTIONS(1127),
    [anon_sym_DQUOTE] = ACTIONS(1127),
    [sym_true] = ACTIONS(1129),
    [sym_false] = ACTIONS(1129),
    [anon_sym_NULL] = ACTIONS(1129),
    [anon_sym_nullptr] = ACTIONS(1129),
    [sym_comment] = ACTIONS(3),
  },
  [112] = {
    [sym_identifier] = ACTIONS(1247),
    [aux_sym_preproc_include_token1] = ACTIONS(1247),
    [aux_sym_preproc_def_token1] = ACTIONS(1247),
    [aux_sym_preproc_if_token1] = ACTIONS(1247),
    [aux_sym_preproc_if_token2] = ACTIONS(1247),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1247),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1247),
    [aux_sym_preproc_else_token1] = ACTIONS(1247),
    [aux_sym_preproc_elif_token1] = ACTIONS(1247),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1247),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1247),
    [sym_preproc_directive] = ACTIONS(1247),
    [anon_sym_LPAREN2] = ACTIONS(1249),
    [anon_sym_BANG] = ACTIONS(1249),
    [anon_sym_TILDE] = ACTIONS(1249),
    [anon_sym_DASH] = ACTIONS(1247),
    [anon_sym_PLUS] = ACTIONS(1247),
    [anon_sym_STAR] = ACTIONS(1249),
    [anon_sym_AMP] = ACTIONS(1249),
    [anon_sym_SEMI] = ACTIONS(1249),
    [anon_sym___extension__] = ACTIONS(1247),
    [anon_sym_typedef] = ACTIONS(1247),
    [anon_sym_extern] = ACTIONS(1247),
    [anon_sym___attribute__] = ACTIONS(1247),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1249),
    [anon_sym___declspec] = ACTIONS(1247),
    [anon_sym___cdecl] = ACTIONS(1247),
    [anon_sym___clrcall] = ACTIONS(1247),
    [anon_sym___stdcall] = ACTIONS(1247),
    [anon_sym___fastcall] = ACTIONS(1247),
    [anon_sym___thiscall] = ACTIONS(1247),
    [anon_sym___vectorcall] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_signed] = ACTIONS(1247),
    [anon_sym_unsigned] = ACTIONS(1247),
    [anon_sym_long] = ACTIONS(1247),
    [anon_sym_short] = ACTIONS(1247),
    [anon_sym_static] = ACTIONS(1247),
    [anon_sym_auto] = ACTIONS(1247),
    [anon_sym_register] = ACTIONS(1247),
    [anon_sym_inline] = ACTIONS(1247),
    [anon_sym___inline] = ACTIONS(1247),
    [anon_sym___inline__] = ACTIONS(1247),
    [anon_sym___forceinline] = ACTIONS(1247),
    [anon_sym_thread_local] = ACTIONS(1247),
    [anon_sym___thread] = ACTIONS(1247),
    [anon_sym_const] = ACTIONS(1247),
    [anon_sym_constexpr] = ACTIONS(1247),
    [anon_sym_volatile] = ACTIONS(1247),
    [anon_sym_restrict] = ACTIONS(1247),
    [anon_sym___restrict__] = ACTIONS(1247),
    [anon_sym__Atomic] = ACTIONS(1247),
    [anon_sym__Noreturn] = ACTIONS(1247),
    [anon_sym_noreturn] = ACTIONS(1247),
    [anon_sym_alignas] = ACTIONS(1247),
    [anon_sym__Alignas] = ACTIONS(1247),
    [sym_primitive_type] = ACTIONS(1247),
    [anon_sym_enum] = ACTIONS(1247),
    [anon_sym_struct] = ACTIONS(1247),
    [anon_sym_union] = ACTIONS(1247),
    [anon_sym_if] = ACTIONS(1247),
    [anon_sym_else] = ACTIONS(1247),
    [anon_sym_switch] = ACTIONS(1247),
    [anon_sym_case] = ACTIONS(1247),
    [anon_sym_default] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1247),
    [anon_sym_do] = ACTIONS(1247),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_return] = ACTIONS(1247),
    [anon_sym_break] = ACTIONS(1247),
    [anon_sym_continue] = ACTIONS(1247),
    [anon_sym_goto] = ACTIONS(1247),
    [anon_sym___try] = ACTIONS(1247),
    [anon_sym___leave] = ACTIONS(1247),
    [anon_sym_DASH_DASH] = ACTIONS(1249),
    [anon_sym_PLUS_PLUS] = ACTIONS(1249),
    [anon_sym_sizeof] = ACTIONS(1247),
    [anon_sym___alignof__] = ACTIONS(1247),
    [anon_sym___alignof] = ACTIONS(1247),
    [anon_sym__alignof] = ACTIONS(1247),
    [anon_sym_alignof] = ACTIONS(1247),
    [anon_sym__Alignof] = ACTIONS(1247),
    [anon_sym_offsetof] = ACTIONS(1247),
    [anon_sym__Generic] = ACTIONS(1247),
    [anon_sym_asm] = ACTIONS(1247),
    [anon_sym___asm__] = ACTIONS(1247),
    [sym_number_literal] = ACTIONS(1249),
    [anon_sym_L_SQUOTE] = ACTIONS(1249),
    [anon_sym_u_SQUOTE] = ACTIONS(1249),
    [anon_sym_U_SQUOTE] = ACTIONS(1249),
    [anon_sym_u8_SQUOTE] = ACTIONS(1249),
    [anon_sym_SQUOTE] = ACTIONS(1249),
    [anon_sym_L_DQUOTE] = ACTIONS(1249),
    [anon_sym_u_DQUOTE] = ACTIONS(1249),
    [anon_sym_U_DQUOTE] = ACTIONS(1249),
    [anon_sym_u8_DQUOTE] = ACTIONS(1249),
    [anon_sym_DQUOTE] = ACTIONS(1249),
    [sym_true] = ACTIONS(1247),
    [sym_false] = ACTIONS(1247),
    [anon_sym_NULL] = ACTIONS(1247),
    [anon_sym_nullptr] = ACTIONS(1247),
    [sym_comment] = ACTIONS(3),
  },
  [113] = {
    [sym_identifier] = ACTIONS(1207),
    [aux_sym_preproc_include_token1] = ACTIONS(1207),
    [aux_sym_preproc_def_token1] = ACTIONS(1207),
    [aux_sym_preproc_if_token1] = ACTIONS(1207),
    [aux_sym_preproc_if_token2] = ACTIONS(1207),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1207),
    [aux_sym_preproc_else_token1] = ACTIONS(1207),
    [aux_sym_preproc_elif_token1] = ACTIONS(1207),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1207),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1207),
    [sym_preproc_directive] = ACTIONS(1207),
    [anon_sym_LPAREN2] = ACTIONS(1209),
    [anon_sym_BANG] = ACTIONS(1209),
    [anon_sym_TILDE] = ACTIONS(1209),
    [anon_sym_DASH] = ACTIONS(1207),
    [anon_sym_PLUS] = ACTIONS(1207),
    [anon_sym_STAR] = ACTIONS(1209),
    [anon_sym_AMP] = ACTIONS(1209),
    [anon_sym_SEMI] = ACTIONS(1209),
    [anon_sym___extension__] = ACTIONS(1207),
    [anon_sym_typedef] = ACTIONS(1207),
    [anon_sym_extern] = ACTIONS(1207),
    [anon_sym___attribute__] = ACTIONS(1207),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1209),
    [anon_sym___declspec] = ACTIONS(1207),
    [anon_sym___cdecl] = ACTIONS(1207),
    [anon_sym___clrcall] = ACTIONS(1207),
    [anon_sym___stdcall] = ACTIONS(1207),
    [anon_sym___fastcall] = ACTIONS(1207),
    [anon_sym___thiscall] = ACTIONS(1207),
    [anon_sym___vectorcall] = ACTIONS(1207),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_signed] = ACTIONS(1207),
    [anon_sym_unsigned] = ACTIONS(1207),
    [anon_sym_long] = ACTIONS(1207),
    [anon_sym_short] = ACTIONS(1207),
    [anon_sym_static] = ACTIONS(1207),
    [anon_sym_auto] = ACTIONS(1207),
    [anon_sym_register] = ACTIONS(1207),
    [anon_sym_inline] = ACTIONS(1207),
    [anon_sym___inline] = ACTIONS(1207),
    [anon_sym___inline__] = ACTIONS(1207),
    [anon_sym___forceinline] = ACTIONS(1207),
    [anon_sym_thread_local] = ACTIONS(1207),
    [anon_sym___thread] = ACTIONS(1207),
    [anon_sym_const] = ACTIONS(1207),
    [anon_sym_constexpr] = ACTIONS(1207),
    [anon_sym_volatile] = ACTIONS(1207),
    [anon_sym_restrict] = ACTIONS(1207),
    [anon_sym___restrict__] = ACTIONS(1207),
    [anon_sym__Atomic] = ACTIONS(1207),
    [anon_sym__Noreturn] = ACTIONS(1207),
    [anon_sym_noreturn] = ACTIONS(1207),
    [anon_sym_alignas] = ACTIONS(1207),
    [anon_sym__Alignas] = ACTIONS(1207),
    [sym_primitive_type] = ACTIONS(1207),
    [anon_sym_enum] = ACTIONS(1207),
    [anon_sym_struct] = ACTIONS(1207),
    [anon_sym_union] = ACTIONS(1207),
    [anon_sym_if] = ACTIONS(1207),
    [anon_sym_else] = ACTIONS(1207),
    [anon_sym_switch] = ACTIONS(1207),
    [anon_sym_case] = ACTIONS(1207),
    [anon_sym_default] = ACTIONS(1207),
    [anon_sym_while] = ACTIONS(1207),
    [anon_sym_do] = ACTIONS(1207),
    [anon_sym_for] = ACTIONS(1207),
    [anon_sym_return] = ACTIONS(1207),
    [anon_sym_break] = ACTIONS(1207),
    [anon_sym_continue] = ACTIONS(1207),
    [anon_sym_goto] = ACTIONS(1207),
    [anon_sym___try] = ACTIONS(1207),
    [anon_sym___leave] = ACTIONS(1207),
    [anon_sym_DASH_DASH] = ACTIONS(1209),
    [anon_sym_PLUS_PLUS] = ACTIONS(1209),
    [anon_sym_sizeof] = ACTIONS(1207),
    [anon_sym___alignof__] = ACTIONS(1207),
    [anon_sym___alignof] = ACTIONS(1207),
    [anon_sym__alignof] = ACTIONS(1207),
    [anon_sym_alignof] = ACTIONS(1207),
    [anon_sym__Alignof] = ACTIONS(1207),
    [anon_sym_offsetof] = ACTIONS(1207),
    [anon_sym__Generic] = ACTIONS(1207),
    [anon_sym_asm] = ACTIONS(1207),
    [anon_sym___asm__] = ACTIONS(1207),
    [sym_number_literal] = ACTIONS(1209),
    [anon_sym_L_SQUOTE] = ACTIONS(1209),
    [anon_sym_u_SQUOTE] = ACTIONS(1209),
    [anon_sym_U_SQUOTE] = ACTIONS(1209),
    [anon_sym_u8_SQUOTE] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1209),
    [anon_sym_L_DQUOTE] = ACTIONS(1209),
    [anon_sym_u_DQUOTE] = ACTIONS(1209),
    [anon_sym_U_DQUOTE] = ACTIONS(1209),
    [anon_sym_u8_DQUOTE] = ACTIONS(1209),
    [anon_sym_DQUOTE] = ACTIONS(1209),
    [sym_true] = ACTIONS(1207),
    [sym_false] = ACTIONS(1207),
    [anon_sym_NULL] = ACTIONS(1207),
    [anon_sym_nullptr] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
  },
  [114] = {
    [sym_identifier] = ACTIONS(1251),
    [aux_sym_preproc_include_token1] = ACTIONS(1251),
    [aux_sym_preproc_def_token1] = ACTIONS(1251),
    [aux_sym_preproc_if_token1] = ACTIONS(1251),
    [aux_sym_preproc_if_token2] = ACTIONS(1251),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1251),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1251),
    [aux_sym_preproc_else_token1] = ACTIONS(1251),
    [aux_sym_preproc_elif_token1] = ACTIONS(1251),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1251),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1251),
    [sym_preproc_directive] = ACTIONS(1251),
    [anon_sym_LPAREN2] = ACTIONS(1253),
    [anon_sym_BANG] = ACTIONS(1253),
    [anon_sym_TILDE] = ACTIONS(1253),
    [anon_sym_DASH] = ACTIONS(1251),
    [anon_sym_PLUS] = ACTIONS(1251),
    [anon_sym_STAR] = ACTIONS(1253),
    [anon_sym_AMP] = ACTIONS(1253),
    [anon_sym_SEMI] = ACTIONS(1253),
    [anon_sym___extension__] = ACTIONS(1251),
    [anon_sym_typedef] = ACTIONS(1251),
    [anon_sym_extern] = ACTIONS(1251),
    [anon_sym___attribute__] = ACTIONS(1251),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1253),
    [anon_sym___declspec] = ACTIONS(1251),
    [anon_sym___cdecl] = ACTIONS(1251),
    [anon_sym___clrcall] = ACTIONS(1251),
    [anon_sym___stdcall] = ACTIONS(1251),
    [anon_sym___fastcall] = ACTIONS(1251),
    [anon_sym___thiscall] = ACTIONS(1251),
    [anon_sym___vectorcall] = ACTIONS(1251),
    [anon_sym_LBRACE] = ACTIONS(1253),
    [anon_sym_signed] = ACTIONS(1251),
    [anon_sym_unsigned] = ACTIONS(1251),
    [anon_sym_long] = ACTIONS(1251),
    [anon_sym_short] = ACTIONS(1251),
    [anon_sym_static] = ACTIONS(1251),
    [anon_sym_auto] = ACTIONS(1251),
    [anon_sym_register] = ACTIONS(1251),
    [anon_sym_inline] = ACTIONS(1251),
    [anon_sym___inline] = ACTIONS(1251),
    [anon_sym___inline__] = ACTIONS(1251),
    [anon_sym___forceinline] = ACTIONS(1251),
    [anon_sym_thread_local] = ACTIONS(1251),
    [anon_sym___thread] = ACTIONS(1251),
    [anon_sym_const] = ACTIONS(1251),
    [anon_sym_constexpr] = ACTIONS(1251),
    [anon_sym_volatile] = ACTIONS(1251),
    [anon_sym_restrict] = ACTIONS(1251),
    [anon_sym___restrict__] = ACTIONS(1251),
    [anon_sym__Atomic] = ACTIONS(1251),
    [anon_sym__Noreturn] = ACTIONS(1251),
    [anon_sym_noreturn] = ACTIONS(1251),
    [anon_sym_alignas] = ACTIONS(1251),
    [anon_sym__Alignas] = ACTIONS(1251),
    [sym_primitive_type] = ACTIONS(1251),
    [anon_sym_enum] = ACTIONS(1251),
    [anon_sym_struct] = ACTIONS(1251),
    [anon_sym_union] = ACTIONS(1251),
    [anon_sym_if] = ACTIONS(1251),
    [anon_sym_switch] = ACTIONS(1251),
    [anon_sym_case] = ACTIONS(1251),
    [anon_sym_default] = ACTIONS(1251),
    [anon_sym_while] = ACTIONS(1251),
    [anon_sym_do] = ACTIONS(1251),
    [anon_sym_for] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(1251),
    [anon_sym_break] = ACTIONS(1251),
    [anon_sym_continue] = ACTIONS(1251),
    [anon_sym_goto] = ACTIONS(1251),
    [anon_sym___try] = ACTIONS(1251),
    [anon_sym___leave] = ACTIONS(1251),
    [anon_sym_DASH_DASH] = ACTIONS(1253),
    [anon_sym_PLUS_PLUS] = ACTIONS(1253),
    [anon_sym_sizeof] = ACTIONS(1251),
    [anon_sym___alignof__] = ACTIONS(1251),
    [anon_sym___alignof] = ACTIONS(1251),
    [anon_sym__alignof] = ACTIONS(1251),
    [anon_sym_alignof] = ACTIONS(1251),
    [anon_sym__Alignof] = ACTIONS(1251),
    [anon_sym_offsetof] = ACTIONS(1251),
    [anon_sym__Generic] = ACTIONS(1251),
    [anon_sym_asm] = ACTIONS(1251),
    [anon_sym___asm__] = ACTIONS(1251),
    [sym_number_literal] = ACTIONS(1253),
    [anon_sym_L_SQUOTE] = ACTIONS(1253),
    [anon_sym_u_SQUOTE] = ACTIONS(1253),
    [anon_sym_U_SQUOTE] = ACTIONS(1253),
    [anon_sym_u8_SQUOTE] = ACTIONS(1253),
    [anon_sym_SQUOTE] = ACTIONS(1253),
    [anon_sym_L_DQUOTE] = ACTIONS(1253),
    [anon_sym_u_DQUOTE] = ACTIONS(1253),
    [anon_sym_U_DQUOTE] = ACTIONS(1253),
    [anon_sym_u8_DQUOTE] = ACTIONS(1253),
    [anon_sym_DQUOTE] = ACTIONS(1253),
    [sym_true] = ACTIONS(1251),
    [sym_false] = ACTIONS(1251),
    [anon_sym_NULL] = ACTIONS(1251),
    [anon_sym_nullptr] = ACTIONS(1251),
    [sym_comment] = ACTIONS(3),
  },
  [115] = {
    [sym_identifier] = ACTIONS(1255),
    [aux_sym_preproc_include_token1] = ACTIONS(1255),
    [aux_sym_preproc_def_token1] = ACTIONS(1255),
    [aux_sym_preproc_if_token1] = ACTIONS(1255),
    [aux_sym_preproc_if_token2] = ACTIONS(1255),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1255),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1255),
    [aux_sym_preproc_else_token1] = ACTIONS(1255),
    [aux_sym_preproc_elif_token1] = ACTIONS(1255),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1255),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1255),
    [sym_preproc_directive] = ACTIONS(1255),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(1257),
    [anon_sym_TILDE] = ACTIONS(1257),
    [anon_sym_DASH] = ACTIONS(1255),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_STAR] = ACTIONS(1257),
    [anon_sym_AMP] = ACTIONS(1257),
    [anon_sym_SEMI] = ACTIONS(1257),
    [anon_sym___extension__] = ACTIONS(1255),
    [anon_sym_typedef] = ACTIONS(1255),
    [anon_sym_extern] = ACTIONS(1255),
    [anon_sym___attribute__] = ACTIONS(1255),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1257),
    [anon_sym___declspec] = ACTIONS(1255),
    [anon_sym___cdecl] = ACTIONS(1255),
    [anon_sym___clrcall] = ACTIONS(1255),
    [anon_sym___stdcall] = ACTIONS(1255),
    [anon_sym___fastcall] = ACTIONS(1255),
    [anon_sym___thiscall] = ACTIONS(1255),
    [anon_sym___vectorcall] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1257),
    [anon_sym_signed] = ACTIONS(1255),
    [anon_sym_unsigned] = ACTIONS(1255),
    [anon_sym_long] = ACTIONS(1255),
    [anon_sym_short] = ACTIONS(1255),
    [anon_sym_static] = ACTIONS(1255),
    [anon_sym_auto] = ACTIONS(1255),
    [anon_sym_register] = ACTIONS(1255),
    [anon_sym_inline] = ACTIONS(1255),
    [anon_sym___inline] = ACTIONS(1255),
    [anon_sym___inline__] = ACTIONS(1255),
    [anon_sym___forceinline] = ACTIONS(1255),
    [anon_sym_thread_local] = ACTIONS(1255),
    [anon_sym___thread] = ACTIONS(1255),
    [anon_sym_const] = ACTIONS(1255),
    [anon_sym_constexpr] = ACTIONS(1255),
    [anon_sym_volatile] = ACTIONS(1255),
    [anon_sym_restrict] = ACTIONS(1255),
    [anon_sym___restrict__] = ACTIONS(1255),
    [anon_sym__Atomic] = ACTIONS(1255),
    [anon_sym__Noreturn] = ACTIONS(1255),
    [anon_sym_noreturn] = ACTIONS(1255),
    [anon_sym_alignas] = ACTIONS(1255),
    [anon_sym__Alignas] = ACTIONS(1255),
    [sym_primitive_type] = ACTIONS(1255),
    [anon_sym_enum] = ACTIONS(1255),
    [anon_sym_struct] = ACTIONS(1255),
    [anon_sym_union] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1255),
    [anon_sym_switch] = ACTIONS(1255),
    [anon_sym_case] = ACTIONS(1255),
    [anon_sym_default] = ACTIONS(1255),
    [anon_sym_while] = ACTIONS(1255),
    [anon_sym_do] = ACTIONS(1255),
    [anon_sym_for] = ACTIONS(1255),
    [anon_sym_return] = ACTIONS(1255),
    [anon_sym_break] = ACTIONS(1255),
    [anon_sym_continue] = ACTIONS(1255),
    [anon_sym_goto] = ACTIONS(1255),
    [anon_sym___try] = ACTIONS(1255),
    [anon_sym___leave] = ACTIONS(1255),
    [anon_sym_DASH_DASH] = ACTIONS(1257),
    [anon_sym_PLUS_PLUS] = ACTIONS(1257),
    [anon_sym_sizeof] = ACTIONS(1255),
    [anon_sym___alignof__] = ACTIONS(1255),
    [anon_sym___alignof] = ACTIONS(1255),
    [anon_sym__alignof] = ACTIONS(1255),
    [anon_sym_alignof] = ACTIONS(1255),
    [anon_sym__Alignof] = ACTIONS(1255),
    [anon_sym_offsetof] = ACTIONS(1255),
    [anon_sym__Generic] = ACTIONS(1255),
    [anon_sym_asm] = ACTIONS(1255),
    [anon_sym___asm__] = ACTIONS(1255),
    [sym_number_literal] = ACTIONS(1257),
    [anon_sym_L_SQUOTE] = ACTIONS(1257),
    [anon_sym_u_SQUOTE] = ACTIONS(1257),
    [anon_sym_U_SQUOTE] = ACTIONS(1257),
    [anon_sym_u8_SQUOTE] = ACTIONS(1257),
    [anon_sym_SQUOTE] = ACTIONS(1257),
    [anon_sym_L_DQUOTE] = ACTIONS(1257),
    [anon_sym_u_DQUOTE] = ACTIONS(1257),
    [anon_sym_U_DQUOTE] = ACTIONS(1257),
    [anon_sym_u8_DQUOTE] = ACTIONS(1257),
    [anon_sym_DQUOTE] = ACTIONS(1257),
    [sym_true] = ACTIONS(1255),
    [sym_false] = ACTIONS(1255),
    [anon_sym_NULL] = ACTIONS(1255),
    [anon_sym_nullptr] = ACTIONS(1255),
    [sym_comment] = ACTIONS(3),
  },
  [116] = {
    [sym_identifier] = ACTIONS(1259),
    [aux_sym_preproc_include_token1] = ACTIONS(1259),
    [aux_sym_preproc_def_token1] = ACTIONS(1259),
    [aux_sym_preproc_if_token1] = ACTIONS(1259),
    [aux_sym_preproc_if_token2] = ACTIONS(1259),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1259),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1259),
    [aux_sym_preproc_else_token1] = ACTIONS(1259),
    [aux_sym_preproc_elif_token1] = ACTIONS(1259),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1259),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1259),
    [sym_preproc_directive] = ACTIONS(1259),
    [anon_sym_LPAREN2] = ACTIONS(1261),
    [anon_sym_BANG] = ACTIONS(1261),
    [anon_sym_TILDE] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1259),
    [anon_sym_STAR] = ACTIONS(1261),
    [anon_sym_AMP] = ACTIONS(1261),
    [anon_sym_SEMI] = ACTIONS(1261),
    [anon_sym___extension__] = ACTIONS(1259),
    [anon_sym_typedef] = ACTIONS(1259),
    [anon_sym_extern] = ACTIONS(1259),
    [anon_sym___attribute__] = ACTIONS(1259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1261),
    [anon_sym___declspec] = ACTIONS(1259),
    [anon_sym___cdecl] = ACTIONS(1259),
    [anon_sym___clrcall] = ACTIONS(1259),
    [anon_sym___stdcall] = ACTIONS(1259),
    [anon_sym___fastcall] = ACTIONS(1259),
    [anon_sym___thiscall] = ACTIONS(1259),
    [anon_sym___vectorcall] = ACTIONS(1259),
    [anon_sym_LBRACE] = ACTIONS(1261),
    [anon_sym_signed] = ACTIONS(1259),
    [anon_sym_unsigned] = ACTIONS(1259),
    [anon_sym_long] = ACTIONS(1259),
    [anon_sym_short] = ACTIONS(1259),
    [anon_sym_static] = ACTIONS(1259),
    [anon_sym_auto] = ACTIONS(1259),
    [anon_sym_register] = ACTIONS(1259),
    [anon_sym_inline] = ACTIONS(1259),
    [anon_sym___inline] = ACTIONS(1259),
    [anon_sym___inline__] = ACTIONS(1259),
    [anon_sym___forceinline] = ACTIONS(1259),
    [anon_sym_thread_local] = ACTIONS(1259),
    [anon_sym___thread] = ACTIONS(1259),
    [anon_sym_const] = ACTIONS(1259),
    [anon_sym_constexpr] = ACTIONS(1259),
    [anon_sym_volatile] = ACTIONS(1259),
    [anon_sym_restrict] = ACTIONS(1259),
    [anon_sym___restrict__] = ACTIONS(1259),
    [anon_sym__Atomic] = ACTIONS(1259),
    [anon_sym__Noreturn] = ACTIONS(1259),
    [anon_sym_noreturn] = ACTIONS(1259),
    [anon_sym_alignas] = ACTIONS(1259),
    [anon_sym__Alignas] = ACTIONS(1259),
    [sym_primitive_type] = ACTIONS(1259),
    [anon_sym_enum] = ACTIONS(1259),
    [anon_sym_struct] = ACTIONS(1259),
    [anon_sym_union] = ACTIONS(1259),
    [anon_sym_if] = ACTIONS(1259),
    [anon_sym_switch] = ACTIONS(1259),
    [anon_sym_case] = ACTIONS(1259),
    [anon_sym_default] = ACTIONS(1259),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_do] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1259),
    [anon_sym_return] = ACTIONS(1259),
    [anon_sym_break] = ACTIONS(1259),
    [anon_sym_continue] = ACTIONS(1259),
    [anon_sym_goto] = ACTIONS(1259),
    [anon_sym___try] = ACTIONS(1259),
    [anon_sym___leave] = ACTIONS(1259),
    [anon_sym_DASH_DASH] = ACTIONS(1261),
    [anon_sym_PLUS_PLUS] = ACTIONS(1261),
    [anon_sym_sizeof] = ACTIONS(1259),
    [anon_sym___alignof__] = ACTIONS(1259),
    [anon_sym___alignof] = ACTIONS(1259),
    [anon_sym__alignof] = ACTIONS(1259),
    [anon_sym_alignof] = ACTIONS(1259),
    [anon_sym__Alignof] = ACTIONS(1259),
    [anon_sym_offsetof] = ACTIONS(1259),
    [anon_sym__Generic] = ACTIONS(1259),
    [anon_sym_asm] = ACTIONS(1259),
    [anon_sym___asm__] = ACTIONS(1259),
    [sym_number_literal] = ACTIONS(1261),
    [anon_sym_L_SQUOTE] = ACTIONS(1261),
    [anon_sym_u_SQUOTE] = ACTIONS(1261),
    [anon_sym_U_SQUOTE] = ACTIONS(1261),
    [anon_sym_u8_SQUOTE] = ACTIONS(1261),
    [anon_sym_SQUOTE] = ACTIONS(1261),
    [anon_sym_L_DQUOTE] = ACTIONS(1261),
    [anon_sym_u_DQUOTE] = ACTIONS(1261),
    [anon_sym_U_DQUOTE] = ACTIONS(1261),
    [anon_sym_u8_DQUOTE] = ACTIONS(1261),
    [anon_sym_DQUOTE] = ACTIONS(1261),
    [sym_true] = ACTIONS(1259),
    [sym_false] = ACTIONS(1259),
    [anon_sym_NULL] = ACTIONS(1259),
    [anon_sym_nullptr] = ACTIONS(1259),
    [sym_comment] = ACTIONS(3),
  },
  [117] = {
    [sym_identifier] = ACTIONS(1263),
    [aux_sym_preproc_include_token1] = ACTIONS(1263),
    [aux_sym_preproc_def_token1] = ACTIONS(1263),
    [aux_sym_preproc_if_token1] = ACTIONS(1263),
    [aux_sym_preproc_if_token2] = ACTIONS(1263),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1263),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1263),
    [aux_sym_preproc_else_token1] = ACTIONS(1263),
    [aux_sym_preproc_elif_token1] = ACTIONS(1263),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1263),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1263),
    [sym_preproc_directive] = ACTIONS(1263),
    [anon_sym_LPAREN2] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1265),
    [anon_sym_TILDE] = ACTIONS(1265),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_STAR] = ACTIONS(1265),
    [anon_sym_AMP] = ACTIONS(1265),
    [anon_sym_SEMI] = ACTIONS(1265),
    [anon_sym___extension__] = ACTIONS(1263),
    [anon_sym_typedef] = ACTIONS(1263),
    [anon_sym_extern] = ACTIONS(1263),
    [anon_sym___attribute__] = ACTIONS(1263),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1265),
    [anon_sym___declspec] = ACTIONS(1263),
    [anon_sym___cdecl] = ACTIONS(1263),
    [anon_sym___clrcall] = ACTIONS(1263),
    [anon_sym___stdcall] = ACTIONS(1263),
    [anon_sym___fastcall] = ACTIONS(1263),
    [anon_sym___thiscall] = ACTIONS(1263),
    [anon_sym___vectorcall] = ACTIONS(1263),
    [anon_sym_LBRACE] = ACTIONS(1265),
    [anon_sym_signed] = ACTIONS(1263),
    [anon_sym_unsigned] = ACTIONS(1263),
    [anon_sym_long] = ACTIONS(1263),
    [anon_sym_short] = ACTIONS(1263),
    [anon_sym_static] = ACTIONS(1263),
    [anon_sym_auto] = ACTIONS(1263),
    [anon_sym_register] = ACTIONS(1263),
    [anon_sym_inline] = ACTIONS(1263),
    [anon_sym___inline] = ACTIONS(1263),
    [anon_sym___inline__] = ACTIONS(1263),
    [anon_sym___forceinline] = ACTIONS(1263),
    [anon_sym_thread_local] = ACTIONS(1263),
    [anon_sym___thread] = ACTIONS(1263),
    [anon_sym_const] = ACTIONS(1263),
    [anon_sym_constexpr] = ACTIONS(1263),
    [anon_sym_volatile] = ACTIONS(1263),
    [anon_sym_restrict] = ACTIONS(1263),
    [anon_sym___restrict__] = ACTIONS(1263),
    [anon_sym__Atomic] = ACTIONS(1263),
    [anon_sym__Noreturn] = ACTIONS(1263),
    [anon_sym_noreturn] = ACTIONS(1263),
    [anon_sym_alignas] = ACTIONS(1263),
    [anon_sym__Alignas] = ACTIONS(1263),
    [sym_primitive_type] = ACTIONS(1263),
    [anon_sym_enum] = ACTIONS(1263),
    [anon_sym_struct] = ACTIONS(1263),
    [anon_sym_union] = ACTIONS(1263),
    [anon_sym_if] = ACTIONS(1263),
    [anon_sym_switch] = ACTIONS(1263),
    [anon_sym_case] = ACTIONS(1263),
    [anon_sym_default] = ACTIONS(1263),
    [anon_sym_while] = ACTIONS(1263),
    [anon_sym_do] = ACTIONS(1263),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_return] = ACTIONS(1263),
    [anon_sym_break] = ACTIONS(1263),
    [anon_sym_continue] = ACTIONS(1263),
    [anon_sym_goto] = ACTIONS(1263),
    [anon_sym___try] = ACTIONS(1263),
    [anon_sym___leave] = ACTIONS(1263),
    [anon_sym_DASH_DASH] = ACTIONS(1265),
    [anon_sym_PLUS_PLUS] = ACTIONS(1265),
    [anon_sym_sizeof] = ACTIONS(1263),
    [anon_sym___alignof__] = ACTIONS(1263),
    [anon_sym___alignof] = ACTIONS(1263),
    [anon_sym__alignof] = ACTIONS(1263),
    [anon_sym_alignof] = ACTIONS(1263),
    [anon_sym__Alignof] = ACTIONS(1263),
    [anon_sym_offsetof] = ACTIONS(1263),
    [anon_sym__Generic] = ACTIONS(1263),
    [anon_sym_asm] = ACTIONS(1263),
    [anon_sym___asm__] = ACTIONS(1263),
    [sym_number_literal] = ACTIONS(1265),
    [anon_sym_L_SQUOTE] = ACTIONS(1265),
    [anon_sym_u_SQUOTE] = ACTIONS(1265),
    [anon_sym_U_SQUOTE] = ACTIONS(1265),
    [anon_sym_u8_SQUOTE] = ACTIONS(1265),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_L_DQUOTE] = ACTIONS(1265),
    [anon_sym_u_DQUOTE] = ACTIONS(1265),
    [anon_sym_U_DQUOTE] = ACTIONS(1265),
    [anon_sym_u8_DQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_true] = ACTIONS(1263),
    [sym_false] = ACTIONS(1263),
    [anon_sym_NULL] = ACTIONS(1263),
    [anon_sym_nullptr] = ACTIONS(1263),
    [sym_comment] = ACTIONS(3),
  },
  [118] = {
    [sym_identifier] = ACTIONS(1267),
    [aux_sym_preproc_include_token1] = ACTIONS(1267),
    [aux_sym_preproc_def_token1] = ACTIONS(1267),
    [aux_sym_preproc_if_token1] = ACTIONS(1267),
    [aux_sym_preproc_if_token2] = ACTIONS(1267),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1267),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1267),
    [aux_sym_preproc_else_token1] = ACTIONS(1267),
    [aux_sym_preproc_elif_token1] = ACTIONS(1267),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1267),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1267),
    [sym_preproc_directive] = ACTIONS(1267),
    [anon_sym_LPAREN2] = ACTIONS(1269),
    [anon_sym_BANG] = ACTIONS(1269),
    [anon_sym_TILDE] = ACTIONS(1269),
    [anon_sym_DASH] = ACTIONS(1267),
    [anon_sym_PLUS] = ACTIONS(1267),
    [anon_sym_STAR] = ACTIONS(1269),
    [anon_sym_AMP] = ACTIONS(1269),
    [anon_sym_SEMI] = ACTIONS(1269),
    [anon_sym___extension__] = ACTIONS(1267),
    [anon_sym_typedef] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(1267),
    [anon_sym___attribute__] = ACTIONS(1267),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym___declspec] = ACTIONS(1267),
    [anon_sym___cdecl] = ACTIONS(1267),
    [anon_sym___clrcall] = ACTIONS(1267),
    [anon_sym___stdcall] = ACTIONS(1267),
    [anon_sym___fastcall] = ACTIONS(1267),
    [anon_sym___thiscall] = ACTIONS(1267),
    [anon_sym___vectorcall] = ACTIONS(1267),
    [anon_sym_LBRACE] = ACTIONS(1269),
    [anon_sym_signed] = ACTIONS(1267),
    [anon_sym_unsigned] = ACTIONS(1267),
    [anon_sym_long] = ACTIONS(1267),
    [anon_sym_short] = ACTIONS(1267),
    [anon_sym_static] = ACTIONS(1267),
    [anon_sym_auto] = ACTIONS(1267),
    [anon_sym_register] = ACTIONS(1267),
    [anon_sym_inline] = ACTIONS(1267),
    [anon_sym___inline] = ACTIONS(1267),
    [anon_sym___inline__] = ACTIONS(1267),
    [anon_sym___forceinline] = ACTIONS(1267),
    [anon_sym_thread_local] = ACTIONS(1267),
    [anon_sym___thread] = ACTIONS(1267),
    [anon_sym_const] = ACTIONS(1267),
    [anon_sym_constexpr] = ACTIONS(1267),
    [anon_sym_volatile] = ACTIONS(1267),
    [anon_sym_restrict] = ACTIONS(1267),
    [anon_sym___restrict__] = ACTIONS(1267),
    [anon_sym__Atomic] = ACTIONS(1267),
    [anon_sym__Noreturn] = ACTIONS(1267),
    [anon_sym_noreturn] = ACTIONS(1267),
    [anon_sym_alignas] = ACTIONS(1267),
    [anon_sym__Alignas] = ACTIONS(1267),
    [sym_primitive_type] = ACTIONS(1267),
    [anon_sym_enum] = ACTIONS(1267),
    [anon_sym_struct] = ACTIONS(1267),
    [anon_sym_union] = ACTIONS(1267),
    [anon_sym_if] = ACTIONS(1267),
    [anon_sym_switch] = ACTIONS(1267),
    [anon_sym_case] = ACTIONS(1267),
    [anon_sym_default] = ACTIONS(1267),
    [anon_sym_while] = ACTIONS(1267),
    [anon_sym_do] = ACTIONS(1267),
    [anon_sym_for] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(1267),
    [anon_sym_break] = ACTIONS(1267),
    [anon_sym_continue] = ACTIONS(1267),
    [anon_sym_goto] = ACTIONS(1267),
    [anon_sym___try] = ACTIONS(1267),
    [anon_sym___leave] = ACTIONS(1267),
    [anon_sym_DASH_DASH] = ACTIONS(1269),
    [anon_sym_PLUS_PLUS] = ACTIONS(1269),
    [anon_sym_sizeof] = ACTIONS(1267),
    [anon_sym___alignof__] = ACTIONS(1267),
    [anon_sym___alignof] = ACTIONS(1267),
    [anon_sym__alignof] = ACTIONS(1267),
    [anon_sym_alignof] = ACTIONS(1267),
    [anon_sym__Alignof] = ACTIONS(1267),
    [anon_sym_offsetof] = ACTIONS(1267),
    [anon_sym__Generic] = ACTIONS(1267),
    [anon_sym_asm] = ACTIONS(1267),
    [anon_sym___asm__] = ACTIONS(1267),
    [sym_number_literal] = ACTIONS(1269),
    [anon_sym_L_SQUOTE] = ACTIONS(1269),
    [anon_sym_u_SQUOTE] = ACTIONS(1269),
    [anon_sym_U_SQUOTE] = ACTIONS(1269),
    [anon_sym_u8_SQUOTE] = ACTIONS(1269),
    [anon_sym_SQUOTE] = ACTIONS(1269),
    [anon_sym_L_DQUOTE] = ACTIONS(1269),
    [anon_sym_u_DQUOTE] = ACTIONS(1269),
    [anon_sym_U_DQUOTE] = ACTIONS(1269),
    [anon_sym_u8_DQUOTE] = ACTIONS(1269),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_true] = ACTIONS(1267),
    [sym_false] = ACTIONS(1267),
    [anon_sym_NULL] = ACTIONS(1267),
    [anon_sym_nullptr] = ACTIONS(1267),
    [sym_comment] = ACTIONS(3),
  },
  [119] = {
    [sym_identifier] = ACTIONS(1271),
    [aux_sym_preproc_include_token1] = ACTIONS(1271),
    [aux_sym_preproc_def_token1] = ACTIONS(1271),
    [aux_sym_preproc_if_token1] = ACTIONS(1271),
    [aux_sym_preproc_if_token2] = ACTIONS(1271),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1271),
    [aux_sym_preproc_else_token1] = ACTIONS(1271),
    [aux_sym_preproc_elif_token1] = ACTIONS(1271),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1271),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1271),
    [sym_preproc_directive] = ACTIONS(1271),
    [anon_sym_LPAREN2] = ACTIONS(1273),
    [anon_sym_BANG] = ACTIONS(1273),
    [anon_sym_TILDE] = ACTIONS(1273),
    [anon_sym_DASH] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1271),
    [anon_sym_STAR] = ACTIONS(1273),
    [anon_sym_AMP] = ACTIONS(1273),
    [anon_sym_SEMI] = ACTIONS(1273),
    [anon_sym___extension__] = ACTIONS(1271),
    [anon_sym_typedef] = ACTIONS(1271),
    [anon_sym_extern] = ACTIONS(1271),
    [anon_sym___attribute__] = ACTIONS(1271),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1273),
    [anon_sym___declspec] = ACTIONS(1271),
    [anon_sym___cdecl] = ACTIONS(1271),
    [anon_sym___clrcall] = ACTIONS(1271),
    [anon_sym___stdcall] = ACTIONS(1271),
    [anon_sym___fastcall] = ACTIONS(1271),
    [anon_sym___thiscall] = ACTIONS(1271),
    [anon_sym___vectorcall] = ACTIONS(1271),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_signed] = ACTIONS(1271),
    [anon_sym_unsigned] = ACTIONS(1271),
    [anon_sym_long] = ACTIONS(1271),
    [anon_sym_short] = ACTIONS(1271),
    [anon_sym_static] = ACTIONS(1271),
    [anon_sym_auto] = ACTIONS(1271),
    [anon_sym_register] = ACTIONS(1271),
    [anon_sym_inline] = ACTIONS(1271),
    [anon_sym___inline] = ACTIONS(1271),
    [anon_sym___inline__] = ACTIONS(1271),
    [anon_sym___forceinline] = ACTIONS(1271),
    [anon_sym_thread_local] = ACTIONS(1271),
    [anon_sym___thread] = ACTIONS(1271),
    [anon_sym_const] = ACTIONS(1271),
    [anon_sym_constexpr] = ACTIONS(1271),
    [anon_sym_volatile] = ACTIONS(1271),
    [anon_sym_restrict] = ACTIONS(1271),
    [anon_sym___restrict__] = ACTIONS(1271),
    [anon_sym__Atomic] = ACTIONS(1271),
    [anon_sym__Noreturn] = ACTIONS(1271),
    [anon_sym_noreturn] = ACTIONS(1271),
    [anon_sym_alignas] = ACTIONS(1271),
    [anon_sym__Alignas] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(1271),
    [anon_sym_enum] = ACTIONS(1271),
    [anon_sym_struct] = ACTIONS(1271),
    [anon_sym_union] = ACTIONS(1271),
    [anon_sym_if] = ACTIONS(1271),
    [anon_sym_switch] = ACTIONS(1271),
    [anon_sym_case] = ACTIONS(1271),
    [anon_sym_default] = ACTIONS(1271),
    [anon_sym_while] = ACTIONS(1271),
    [anon_sym_do] = ACTIONS(1271),
    [anon_sym_for] = ACTIONS(1271),
    [anon_sym_return] = ACTIONS(1271),
    [anon_sym_break] = ACTIONS(1271),
    [anon_sym_continue] = ACTIONS(1271),
    [anon_sym_goto] = ACTIONS(1271),
    [anon_sym___try] = ACTIONS(1271),
    [anon_sym___leave] = ACTIONS(1271),
    [anon_sym_DASH_DASH] = ACTIONS(1273),
    [anon_sym_PLUS_PLUS] = ACTIONS(1273),
    [anon_sym_sizeof] = ACTIONS(1271),
    [anon_sym___alignof__] = ACTIONS(1271),
    [anon_sym___alignof] = ACTIONS(1271),
    [anon_sym__alignof] = ACTIONS(1271),
    [anon_sym_alignof] = ACTIONS(1271),
    [anon_sym__Alignof] = ACTIONS(1271),
    [anon_sym_offsetof] = ACTIONS(1271),
    [anon_sym__Generic] = ACTIONS(1271),
    [anon_sym_asm] = ACTIONS(1271),
    [anon_sym___asm__] = ACTIONS(1271),
    [sym_number_literal] = ACTIONS(1273),
    [anon_sym_L_SQUOTE] = ACTIONS(1273),
    [anon_sym_u_SQUOTE] = ACTIONS(1273),
    [anon_sym_U_SQUOTE] = ACTIONS(1273),
    [anon_sym_u8_SQUOTE] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1273),
    [anon_sym_L_DQUOTE] = ACTIONS(1273),
    [anon_sym_u_DQUOTE] = ACTIONS(1273),
    [anon_sym_U_DQUOTE] = ACTIONS(1273),
    [anon_sym_u8_DQUOTE] = ACTIONS(1273),
    [anon_sym_DQUOTE] = ACTIONS(1273),
    [sym_true] = ACTIONS(1271),
    [sym_false] = ACTIONS(1271),
    [anon_sym_NULL] = ACTIONS(1271),
    [anon_sym_nullptr] = ACTIONS(1271),
    [sym_comment] = ACTIONS(3),
  },
  [120] = {
    [sym_identifier] = ACTIONS(1275),
    [aux_sym_preproc_include_token1] = ACTIONS(1275),
    [aux_sym_preproc_def_token1] = ACTIONS(1275),
    [aux_sym_preproc_if_token1] = ACTIONS(1275),
    [aux_sym_preproc_if_token2] = ACTIONS(1275),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1275),
    [aux_sym_preproc_else_token1] = ACTIONS(1275),
    [aux_sym_preproc_elif_token1] = ACTIONS(1275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1275),
    [sym_preproc_directive] = ACTIONS(1275),
    [anon_sym_LPAREN2] = ACTIONS(1277),
    [anon_sym_BANG] = ACTIONS(1277),
    [anon_sym_TILDE] = ACTIONS(1277),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_STAR] = ACTIONS(1277),
    [anon_sym_AMP] = ACTIONS(1277),
    [anon_sym_SEMI] = ACTIONS(1277),
    [anon_sym___extension__] = ACTIONS(1275),
    [anon_sym_typedef] = ACTIONS(1275),
    [anon_sym_extern] = ACTIONS(1275),
    [anon_sym___attribute__] = ACTIONS(1275),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1277),
    [anon_sym___declspec] = ACTIONS(1275),
    [anon_sym___cdecl] = ACTIONS(1275),
    [anon_sym___clrcall] = ACTIONS(1275),
    [anon_sym___stdcall] = ACTIONS(1275),
    [anon_sym___fastcall] = ACTIONS(1275),
    [anon_sym___thiscall] = ACTIONS(1275),
    [anon_sym___vectorcall] = ACTIONS(1275),
    [anon_sym_LBRACE] = ACTIONS(1277),
    [anon_sym_signed] = ACTIONS(1275),
    [anon_sym_unsigned] = ACTIONS(1275),
    [anon_sym_long] = ACTIONS(1275),
    [anon_sym_short] = ACTIONS(1275),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_auto] = ACTIONS(1275),
    [anon_sym_register] = ACTIONS(1275),
    [anon_sym_inline] = ACTIONS(1275),
    [anon_sym___inline] = ACTIONS(1275),
    [anon_sym___inline__] = ACTIONS(1275),
    [anon_sym___forceinline] = ACTIONS(1275),
    [anon_sym_thread_local] = ACTIONS(1275),
    [anon_sym___thread] = ACTIONS(1275),
    [anon_sym_const] = ACTIONS(1275),
    [anon_sym_constexpr] = ACTIONS(1275),
    [anon_sym_volatile] = ACTIONS(1275),
    [anon_sym_restrict] = ACTIONS(1275),
    [anon_sym___restrict__] = ACTIONS(1275),
    [anon_sym__Atomic] = ACTIONS(1275),
    [anon_sym__Noreturn] = ACTIONS(1275),
    [anon_sym_noreturn] = ACTIONS(1275),
    [anon_sym_alignas] = ACTIONS(1275),
    [anon_sym__Alignas] = ACTIONS(1275),
    [sym_primitive_type] = ACTIONS(1275),
    [anon_sym_enum] = ACTIONS(1275),
    [anon_sym_struct] = ACTIONS(1275),
    [anon_sym_union] = ACTIONS(1275),
    [anon_sym_if] = ACTIONS(1275),
    [anon_sym_switch] = ACTIONS(1275),
    [anon_sym_case] = ACTIONS(1275),
    [anon_sym_default] = ACTIONS(1275),
    [anon_sym_while] = ACTIONS(1275),
    [anon_sym_do] = ACTIONS(1275),
    [anon_sym_for] = ACTIONS(1275),
    [anon_sym_return] = ACTIONS(1275),
    [anon_sym_break] = ACTIONS(1275),
    [anon_sym_continue] = ACTIONS(1275),
    [anon_sym_goto] = ACTIONS(1275),
    [anon_sym___try] = ACTIONS(1275),
    [anon_sym___leave] = ACTIONS(1275),
    [anon_sym_DASH_DASH] = ACTIONS(1277),
    [anon_sym_PLUS_PLUS] = ACTIONS(1277),
    [anon_sym_sizeof] = ACTIONS(1275),
    [anon_sym___alignof__] = ACTIONS(1275),
    [anon_sym___alignof] = ACTIONS(1275),
    [anon_sym__alignof] = ACTIONS(1275),
    [anon_sym_alignof] = ACTIONS(1275),
    [anon_sym__Alignof] = ACTIONS(1275),
    [anon_sym_offsetof] = ACTIONS(1275),
    [anon_sym__Generic] = ACTIONS(1275),
    [anon_sym_asm] = ACTIONS(1275),
    [anon_sym___asm__] = ACTIONS(1275),
    [sym_number_literal] = ACTIONS(1277),
    [anon_sym_L_SQUOTE] = ACTIONS(1277),
    [anon_sym_u_SQUOTE] = ACTIONS(1277),
    [anon_sym_U_SQUOTE] = ACTIONS(1277),
    [anon_sym_u8_SQUOTE] = ACTIONS(1277),
    [anon_sym_SQUOTE] = ACTIONS(1277),
    [anon_sym_L_DQUOTE] = ACTIONS(1277),
    [anon_sym_u_DQUOTE] = ACTIONS(1277),
    [anon_sym_U_DQUOTE] = ACTIONS(1277),
    [anon_sym_u8_DQUOTE] = ACTIONS(1277),
    [anon_sym_DQUOTE] = ACTIONS(1277),
    [sym_true] = ACTIONS(1275),
    [sym_false] = ACTIONS(1275),
    [anon_sym_NULL] = ACTIONS(1275),
    [anon_sym_nullptr] = ACTIONS(1275),
    [sym_comment] = ACTIONS(3),
  },
  [121] = {
    [sym_identifier] = ACTIONS(1279),
    [aux_sym_preproc_include_token1] = ACTIONS(1279),
    [aux_sym_preproc_def_token1] = ACTIONS(1279),
    [aux_sym_preproc_if_token1] = ACTIONS(1279),
    [aux_sym_preproc_if_token2] = ACTIONS(1279),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1279),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1279),
    [aux_sym_preproc_else_token1] = ACTIONS(1279),
    [aux_sym_preproc_elif_token1] = ACTIONS(1279),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1279),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1279),
    [sym_preproc_directive] = ACTIONS(1279),
    [anon_sym_LPAREN2] = ACTIONS(1281),
    [anon_sym_BANG] = ACTIONS(1281),
    [anon_sym_TILDE] = ACTIONS(1281),
    [anon_sym_DASH] = ACTIONS(1279),
    [anon_sym_PLUS] = ACTIONS(1279),
    [anon_sym_STAR] = ACTIONS(1281),
    [anon_sym_AMP] = ACTIONS(1281),
    [anon_sym_SEMI] = ACTIONS(1281),
    [anon_sym___extension__] = ACTIONS(1279),
    [anon_sym_typedef] = ACTIONS(1279),
    [anon_sym_extern] = ACTIONS(1279),
    [anon_sym___attribute__] = ACTIONS(1279),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1281),
    [anon_sym___declspec] = ACTIONS(1279),
    [anon_sym___cdecl] = ACTIONS(1279),
    [anon_sym___clrcall] = ACTIONS(1279),
    [anon_sym___stdcall] = ACTIONS(1279),
    [anon_sym___fastcall] = ACTIONS(1279),
    [anon_sym___thiscall] = ACTIONS(1279),
    [anon_sym___vectorcall] = ACTIONS(1279),
    [anon_sym_LBRACE] = ACTIONS(1281),
    [anon_sym_signed] = ACTIONS(1279),
    [anon_sym_unsigned] = ACTIONS(1279),
    [anon_sym_long] = ACTIONS(1279),
    [anon_sym_short] = ACTIONS(1279),
    [anon_sym_static] = ACTIONS(1279),
    [anon_sym_auto] = ACTIONS(1279),
    [anon_sym_register] = ACTIONS(1279),
    [anon_sym_inline] = ACTIONS(1279),
    [anon_sym___inline] = ACTIONS(1279),
    [anon_sym___inline__] = ACTIONS(1279),
    [anon_sym___forceinline] = ACTIONS(1279),
    [anon_sym_thread_local] = ACTIONS(1279),
    [anon_sym___thread] = ACTIONS(1279),
    [anon_sym_const] = ACTIONS(1279),
    [anon_sym_constexpr] = ACTIONS(1279),
    [anon_sym_volatile] = ACTIONS(1279),
    [anon_sym_restrict] = ACTIONS(1279),
    [anon_sym___restrict__] = ACTIONS(1279),
    [anon_sym__Atomic] = ACTIONS(1279),
    [anon_sym__Noreturn] = ACTIONS(1279),
    [anon_sym_noreturn] = ACTIONS(1279),
    [anon_sym_alignas] = ACTIONS(1279),
    [anon_sym__Alignas] = ACTIONS(1279),
    [sym_primitive_type] = ACTIONS(1279),
    [anon_sym_enum] = ACTIONS(1279),
    [anon_sym_struct] = ACTIONS(1279),
    [anon_sym_union] = ACTIONS(1279),
    [anon_sym_if] = ACTIONS(1279),
    [anon_sym_switch] = ACTIONS(1279),
    [anon_sym_case] = ACTIONS(1279),
    [anon_sym_default] = ACTIONS(1279),
    [anon_sym_while] = ACTIONS(1279),
    [anon_sym_do] = ACTIONS(1279),
    [anon_sym_for] = ACTIONS(1279),
    [anon_sym_return] = ACTIONS(1279),
    [anon_sym_break] = ACTIONS(1279),
    [anon_sym_continue] = ACTIONS(1279),
    [anon_sym_goto] = ACTIONS(1279),
    [anon_sym___try] = ACTIONS(1279),
    [anon_sym___leave] = ACTIONS(1279),
    [anon_sym_DASH_DASH] = ACTIONS(1281),
    [anon_sym_PLUS_PLUS] = ACTIONS(1281),
    [anon_sym_sizeof] = ACTIONS(1279),
    [anon_sym___alignof__] = ACTIONS(1279),
    [anon_sym___alignof] = ACTIONS(1279),
    [anon_sym__alignof] = ACTIONS(1279),
    [anon_sym_alignof] = ACTIONS(1279),
    [anon_sym__Alignof] = ACTIONS(1279),
    [anon_sym_offsetof] = ACTIONS(1279),
    [anon_sym__Generic] = ACTIONS(1279),
    [anon_sym_asm] = ACTIONS(1279),
    [anon_sym___asm__] = ACTIONS(1279),
    [sym_number_literal] = ACTIONS(1281),
    [anon_sym_L_SQUOTE] = ACTIONS(1281),
    [anon_sym_u_SQUOTE] = ACTIONS(1281),
    [anon_sym_U_SQUOTE] = ACTIONS(1281),
    [anon_sym_u8_SQUOTE] = ACTIONS(1281),
    [anon_sym_SQUOTE] = ACTIONS(1281),
    [anon_sym_L_DQUOTE] = ACTIONS(1281),
    [anon_sym_u_DQUOTE] = ACTIONS(1281),
    [anon_sym_U_DQUOTE] = ACTIONS(1281),
    [anon_sym_u8_DQUOTE] = ACTIONS(1281),
    [anon_sym_DQUOTE] = ACTIONS(1281),
    [sym_true] = ACTIONS(1279),
    [sym_false] = ACTIONS(1279),
    [anon_sym_NULL] = ACTIONS(1279),
    [anon_sym_nullptr] = ACTIONS(1279),
    [sym_comment] = ACTIONS(3),
  },
  [122] = {
    [sym_identifier] = ACTIONS(1283),
    [aux_sym_preproc_include_token1] = ACTIONS(1283),
    [aux_sym_preproc_def_token1] = ACTIONS(1283),
    [aux_sym_preproc_if_token1] = ACTIONS(1283),
    [aux_sym_preproc_if_token2] = ACTIONS(1283),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1283),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1283),
    [aux_sym_preproc_else_token1] = ACTIONS(1283),
    [aux_sym_preproc_elif_token1] = ACTIONS(1283),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1283),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1283),
    [sym_preproc_directive] = ACTIONS(1283),
    [anon_sym_LPAREN2] = ACTIONS(1285),
    [anon_sym_BANG] = ACTIONS(1285),
    [anon_sym_TILDE] = ACTIONS(1285),
    [anon_sym_DASH] = ACTIONS(1283),
    [anon_sym_PLUS] = ACTIONS(1283),
    [anon_sym_STAR] = ACTIONS(1285),
    [anon_sym_AMP] = ACTIONS(1285),
    [anon_sym_SEMI] = ACTIONS(1285),
    [anon_sym___extension__] = ACTIONS(1283),
    [anon_sym_typedef] = ACTIONS(1283),
    [anon_sym_extern] = ACTIONS(1283),
    [anon_sym___attribute__] = ACTIONS(1283),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1285),
    [anon_sym___declspec] = ACTIONS(1283),
    [anon_sym___cdecl] = ACTIONS(1283),
    [anon_sym___clrcall] = ACTIONS(1283),
    [anon_sym___stdcall] = ACTIONS(1283),
    [anon_sym___fastcall] = ACTIONS(1283),
    [anon_sym___thiscall] = ACTIONS(1283),
    [anon_sym___vectorcall] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_signed] = ACTIONS(1283),
    [anon_sym_unsigned] = ACTIONS(1283),
    [anon_sym_long] = ACTIONS(1283),
    [anon_sym_short] = ACTIONS(1283),
    [anon_sym_static] = ACTIONS(1283),
    [anon_sym_auto] = ACTIONS(1283),
    [anon_sym_register] = ACTIONS(1283),
    [anon_sym_inline] = ACTIONS(1283),
    [anon_sym___inline] = ACTIONS(1283),
    [anon_sym___inline__] = ACTIONS(1283),
    [anon_sym___forceinline] = ACTIONS(1283),
    [anon_sym_thread_local] = ACTIONS(1283),
    [anon_sym___thread] = ACTIONS(1283),
    [anon_sym_const] = ACTIONS(1283),
    [anon_sym_constexpr] = ACTIONS(1283),
    [anon_sym_volatile] = ACTIONS(1283),
    [anon_sym_restrict] = ACTIONS(1283),
    [anon_sym___restrict__] = ACTIONS(1283),
    [anon_sym__Atomic] = ACTIONS(1283),
    [anon_sym__Noreturn] = ACTIONS(1283),
    [anon_sym_noreturn] = ACTIONS(1283),
    [anon_sym_alignas] = ACTIONS(1283),
    [anon_sym__Alignas] = ACTIONS(1283),
    [sym_primitive_type] = ACTIONS(1283),
    [anon_sym_enum] = ACTIONS(1283),
    [anon_sym_struct] = ACTIONS(1283),
    [anon_sym_union] = ACTIONS(1283),
    [anon_sym_if] = ACTIONS(1283),
    [anon_sym_switch] = ACTIONS(1283),
    [anon_sym_case] = ACTIONS(1283),
    [anon_sym_default] = ACTIONS(1283),
    [anon_sym_while] = ACTIONS(1283),
    [anon_sym_do] = ACTIONS(1283),
    [anon_sym_for] = ACTIONS(1283),
    [anon_sym_return] = ACTIONS(1283),
    [anon_sym_break] = ACTIONS(1283),
    [anon_sym_continue] = ACTIONS(1283),
    [anon_sym_goto] = ACTIONS(1283),
    [anon_sym___try] = ACTIONS(1283),
    [anon_sym___leave] = ACTIONS(1283),
    [anon_sym_DASH_DASH] = ACTIONS(1285),
    [anon_sym_PLUS_PLUS] = ACTIONS(1285),
    [anon_sym_sizeof] = ACTIONS(1283),
    [anon_sym___alignof__] = ACTIONS(1283),
    [anon_sym___alignof] = ACTIONS(1283),
    [anon_sym__alignof] = ACTIONS(1283),
    [anon_sym_alignof] = ACTIONS(1283),
    [anon_sym__Alignof] = ACTIONS(1283),
    [anon_sym_offsetof] = ACTIONS(1283),
    [anon_sym__Generic] = ACTIONS(1283),
    [anon_sym_asm] = ACTIONS(1283),
    [anon_sym___asm__] = ACTIONS(1283),
    [sym_number_literal] = ACTIONS(1285),
    [anon_sym_L_SQUOTE] = ACTIONS(1285),
    [anon_sym_u_SQUOTE] = ACTIONS(1285),
    [anon_sym_U_SQUOTE] = ACTIONS(1285),
    [anon_sym_u8_SQUOTE] = ACTIONS(1285),
    [anon_sym_SQUOTE] = ACTIONS(1285),
    [anon_sym_L_DQUOTE] = ACTIONS(1285),
    [anon_sym_u_DQUOTE] = ACTIONS(1285),
    [anon_sym_U_DQUOTE] = ACTIONS(1285),
    [anon_sym_u8_DQUOTE] = ACTIONS(1285),
    [anon_sym_DQUOTE] = ACTIONS(1285),
    [sym_true] = ACTIONS(1283),
    [sym_false] = ACTIONS(1283),
    [anon_sym_NULL] = ACTIONS(1283),
    [anon_sym_nullptr] = ACTIONS(1283),
    [sym_comment] = ACTIONS(3),
  },
  [123] = {
    [sym_identifier] = ACTIONS(1287),
    [aux_sym_preproc_include_token1] = ACTIONS(1287),
    [aux_sym_preproc_def_token1] = ACTIONS(1287),
    [aux_sym_preproc_if_token1] = ACTIONS(1287),
    [aux_sym_preproc_if_token2] = ACTIONS(1287),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1287),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1287),
    [aux_sym_preproc_else_token1] = ACTIONS(1287),
    [aux_sym_preproc_elif_token1] = ACTIONS(1287),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1287),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1287),
    [sym_preproc_directive] = ACTIONS(1287),
    [anon_sym_LPAREN2] = ACTIONS(1289),
    [anon_sym_BANG] = ACTIONS(1289),
    [anon_sym_TILDE] = ACTIONS(1289),
    [anon_sym_DASH] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(1287),
    [anon_sym_STAR] = ACTIONS(1289),
    [anon_sym_AMP] = ACTIONS(1289),
    [anon_sym_SEMI] = ACTIONS(1289),
    [anon_sym___extension__] = ACTIONS(1287),
    [anon_sym_typedef] = ACTIONS(1287),
    [anon_sym_extern] = ACTIONS(1287),
    [anon_sym___attribute__] = ACTIONS(1287),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1289),
    [anon_sym___declspec] = ACTIONS(1287),
    [anon_sym___cdecl] = ACTIONS(1287),
    [anon_sym___clrcall] = ACTIONS(1287),
    [anon_sym___stdcall] = ACTIONS(1287),
    [anon_sym___fastcall] = ACTIONS(1287),
    [anon_sym___thiscall] = ACTIONS(1287),
    [anon_sym___vectorcall] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_signed] = ACTIONS(1287),
    [anon_sym_unsigned] = ACTIONS(1287),
    [anon_sym_long] = ACTIONS(1287),
    [anon_sym_short] = ACTIONS(1287),
    [anon_sym_static] = ACTIONS(1287),
    [anon_sym_auto] = ACTIONS(1287),
    [anon_sym_register] = ACTIONS(1287),
    [anon_sym_inline] = ACTIONS(1287),
    [anon_sym___inline] = ACTIONS(1287),
    [anon_sym___inline__] = ACTIONS(1287),
    [anon_sym___forceinline] = ACTIONS(1287),
    [anon_sym_thread_local] = ACTIONS(1287),
    [anon_sym___thread] = ACTIONS(1287),
    [anon_sym_const] = ACTIONS(1287),
    [anon_sym_constexpr] = ACTIONS(1287),
    [anon_sym_volatile] = ACTIONS(1287),
    [anon_sym_restrict] = ACTIONS(1287),
    [anon_sym___restrict__] = ACTIONS(1287),
    [anon_sym__Atomic] = ACTIONS(1287),
    [anon_sym__Noreturn] = ACTIONS(1287),
    [anon_sym_noreturn] = ACTIONS(1287),
    [anon_sym_alignas] = ACTIONS(1287),
    [anon_sym__Alignas] = ACTIONS(1287),
    [sym_primitive_type] = ACTIONS(1287),
    [anon_sym_enum] = ACTIONS(1287),
    [anon_sym_struct] = ACTIONS(1287),
    [anon_sym_union] = ACTIONS(1287),
    [anon_sym_if] = ACTIONS(1287),
    [anon_sym_switch] = ACTIONS(1287),
    [anon_sym_case] = ACTIONS(1287),
    [anon_sym_default] = ACTIONS(1287),
    [anon_sym_while] = ACTIONS(1287),
    [anon_sym_do] = ACTIONS(1287),
    [anon_sym_for] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(1287),
    [anon_sym_break] = ACTIONS(1287),
    [anon_sym_continue] = ACTIONS(1287),
    [anon_sym_goto] = ACTIONS(1287),
    [anon_sym___try] = ACTIONS(1287),
    [anon_sym___leave] = ACTIONS(1287),
    [anon_sym_DASH_DASH] = ACTIONS(1289),
    [anon_sym_PLUS_PLUS] = ACTIONS(1289),
    [anon_sym_sizeof] = ACTIONS(1287),
    [anon_sym___alignof__] = ACTIONS(1287),
    [anon_sym___alignof] = ACTIONS(1287),
    [anon_sym__alignof] = ACTIONS(1287),
    [anon_sym_alignof] = ACTIONS(1287),
    [anon_sym__Alignof] = ACTIONS(1287),
    [anon_sym_offsetof] = ACTIONS(1287),
    [anon_sym__Generic] = ACTIONS(1287),
    [anon_sym_asm] = ACTIONS(1287),
    [anon_sym___asm__] = ACTIONS(1287),
    [sym_number_literal] = ACTIONS(1289),
    [anon_sym_L_SQUOTE] = ACTIONS(1289),
    [anon_sym_u_SQUOTE] = ACTIONS(1289),
    [anon_sym_U_SQUOTE] = ACTIONS(1289),
    [anon_sym_u8_SQUOTE] = ACTIONS(1289),
    [anon_sym_SQUOTE] = ACTIONS(1289),
    [anon_sym_L_DQUOTE] = ACTIONS(1289),
    [anon_sym_u_DQUOTE] = ACTIONS(1289),
    [anon_sym_U_DQUOTE] = ACTIONS(1289),
    [anon_sym_u8_DQUOTE] = ACTIONS(1289),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_true] = ACTIONS(1287),
    [sym_false] = ACTIONS(1287),
    [anon_sym_NULL] = ACTIONS(1287),
    [anon_sym_nullptr] = ACTIONS(1287),
    [sym_comment] = ACTIONS(3),
  },
  [124] = {
    [sym_identifier] = ACTIONS(1291),
    [aux_sym_preproc_include_token1] = ACTIONS(1291),
    [aux_sym_preproc_def_token1] = ACTIONS(1291),
    [aux_sym_preproc_if_token1] = ACTIONS(1291),
    [aux_sym_preproc_if_token2] = ACTIONS(1291),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1291),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1291),
    [aux_sym_preproc_else_token1] = ACTIONS(1291),
    [aux_sym_preproc_elif_token1] = ACTIONS(1291),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1291),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1291),
    [sym_preproc_directive] = ACTIONS(1291),
    [anon_sym_LPAREN2] = ACTIONS(1293),
    [anon_sym_BANG] = ACTIONS(1293),
    [anon_sym_TILDE] = ACTIONS(1293),
    [anon_sym_DASH] = ACTIONS(1291),
    [anon_sym_PLUS] = ACTIONS(1291),
    [anon_sym_STAR] = ACTIONS(1293),
    [anon_sym_AMP] = ACTIONS(1293),
    [anon_sym_SEMI] = ACTIONS(1293),
    [anon_sym___extension__] = ACTIONS(1291),
    [anon_sym_typedef] = ACTIONS(1291),
    [anon_sym_extern] = ACTIONS(1291),
    [anon_sym___attribute__] = ACTIONS(1291),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1293),
    [anon_sym___declspec] = ACTIONS(1291),
    [anon_sym___cdecl] = ACTIONS(1291),
    [anon_sym___clrcall] = ACTIONS(1291),
    [anon_sym___stdcall] = ACTIONS(1291),
    [anon_sym___fastcall] = ACTIONS(1291),
    [anon_sym___thiscall] = ACTIONS(1291),
    [anon_sym___vectorcall] = ACTIONS(1291),
    [anon_sym_LBRACE] = ACTIONS(1293),
    [anon_sym_signed] = ACTIONS(1291),
    [anon_sym_unsigned] = ACTIONS(1291),
    [anon_sym_long] = ACTIONS(1291),
    [anon_sym_short] = ACTIONS(1291),
    [anon_sym_static] = ACTIONS(1291),
    [anon_sym_auto] = ACTIONS(1291),
    [anon_sym_register] = ACTIONS(1291),
    [anon_sym_inline] = ACTIONS(1291),
    [anon_sym___inline] = ACTIONS(1291),
    [anon_sym___inline__] = ACTIONS(1291),
    [anon_sym___forceinline] = ACTIONS(1291),
    [anon_sym_thread_local] = ACTIONS(1291),
    [anon_sym___thread] = ACTIONS(1291),
    [anon_sym_const] = ACTIONS(1291),
    [anon_sym_constexpr] = ACTIONS(1291),
    [anon_sym_volatile] = ACTIONS(1291),
    [anon_sym_restrict] = ACTIONS(1291),
    [anon_sym___restrict__] = ACTIONS(1291),
    [anon_sym__Atomic] = ACTIONS(1291),
    [anon_sym__Noreturn] = ACTIONS(1291),
    [anon_sym_noreturn] = ACTIONS(1291),
    [anon_sym_alignas] = ACTIONS(1291),
    [anon_sym__Alignas] = ACTIONS(1291),
    [sym_primitive_type] = ACTIONS(1291),
    [anon_sym_enum] = ACTIONS(1291),
    [anon_sym_struct] = ACTIONS(1291),
    [anon_sym_union] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1291),
    [anon_sym_switch] = ACTIONS(1291),
    [anon_sym_case] = ACTIONS(1291),
    [anon_sym_default] = ACTIONS(1291),
    [anon_sym_while] = ACTIONS(1291),
    [anon_sym_do] = ACTIONS(1291),
    [anon_sym_for] = ACTIONS(1291),
    [anon_sym_return] = ACTIONS(1291),
    [anon_sym_break] = ACTIONS(1291),
    [anon_sym_continue] = ACTIONS(1291),
    [anon_sym_goto] = ACTIONS(1291),
    [anon_sym___try] = ACTIONS(1291),
    [anon_sym___leave] = ACTIONS(1291),
    [anon_sym_DASH_DASH] = ACTIONS(1293),
    [anon_sym_PLUS_PLUS] = ACTIONS(1293),
    [anon_sym_sizeof] = ACTIONS(1291),
    [anon_sym___alignof__] = ACTIONS(1291),
    [anon_sym___alignof] = ACTIONS(1291),
    [anon_sym__alignof] = ACTIONS(1291),
    [anon_sym_alignof] = ACTIONS(1291),
    [anon_sym__Alignof] = ACTIONS(1291),
    [anon_sym_offsetof] = ACTIONS(1291),
    [anon_sym__Generic] = ACTIONS(1291),
    [anon_sym_asm] = ACTIONS(1291),
    [anon_sym___asm__] = ACTIONS(1291),
    [sym_number_literal] = ACTIONS(1293),
    [anon_sym_L_SQUOTE] = ACTIONS(1293),
    [anon_sym_u_SQUOTE] = ACTIONS(1293),
    [anon_sym_U_SQUOTE] = ACTIONS(1293),
    [anon_sym_u8_SQUOTE] = ACTIONS(1293),
    [anon_sym_SQUOTE] = ACTIONS(1293),
    [anon_sym_L_DQUOTE] = ACTIONS(1293),
    [anon_sym_u_DQUOTE] = ACTIONS(1293),
    [anon_sym_U_DQUOTE] = ACTIONS(1293),
    [anon_sym_u8_DQUOTE] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(1293),
    [sym_true] = ACTIONS(1291),
    [sym_false] = ACTIONS(1291),
    [anon_sym_NULL] = ACTIONS(1291),
    [anon_sym_nullptr] = ACTIONS(1291),
    [sym_comment] = ACTIONS(3),
  },
  [125] = {
    [sym_identifier] = ACTIONS(1295),
    [aux_sym_preproc_include_token1] = ACTIONS(1295),
    [aux_sym_preproc_def_token1] = ACTIONS(1295),
    [aux_sym_preproc_if_token1] = ACTIONS(1295),
    [aux_sym_preproc_if_token2] = ACTIONS(1295),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1295),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1295),
    [aux_sym_preproc_else_token1] = ACTIONS(1295),
    [aux_sym_preproc_elif_token1] = ACTIONS(1295),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1295),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1295),
    [sym_preproc_directive] = ACTIONS(1295),
    [anon_sym_LPAREN2] = ACTIONS(1297),
    [anon_sym_BANG] = ACTIONS(1297),
    [anon_sym_TILDE] = ACTIONS(1297),
    [anon_sym_DASH] = ACTIONS(1295),
    [anon_sym_PLUS] = ACTIONS(1295),
    [anon_sym_STAR] = ACTIONS(1297),
    [anon_sym_AMP] = ACTIONS(1297),
    [anon_sym_SEMI] = ACTIONS(1297),
    [anon_sym___extension__] = ACTIONS(1295),
    [anon_sym_typedef] = ACTIONS(1295),
    [anon_sym_extern] = ACTIONS(1295),
    [anon_sym___attribute__] = ACTIONS(1295),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1297),
    [anon_sym___declspec] = ACTIONS(1295),
    [anon_sym___cdecl] = ACTIONS(1295),
    [anon_sym___clrcall] = ACTIONS(1295),
    [anon_sym___stdcall] = ACTIONS(1295),
    [anon_sym___fastcall] = ACTIONS(1295),
    [anon_sym___thiscall] = ACTIONS(1295),
    [anon_sym___vectorcall] = ACTIONS(1295),
    [anon_sym_LBRACE] = ACTIONS(1297),
    [anon_sym_signed] = ACTIONS(1295),
    [anon_sym_unsigned] = ACTIONS(1295),
    [anon_sym_long] = ACTIONS(1295),
    [anon_sym_short] = ACTIONS(1295),
    [anon_sym_static] = ACTIONS(1295),
    [anon_sym_auto] = ACTIONS(1295),
    [anon_sym_register] = ACTIONS(1295),
    [anon_sym_inline] = ACTIONS(1295),
    [anon_sym___inline] = ACTIONS(1295),
    [anon_sym___inline__] = ACTIONS(1295),
    [anon_sym___forceinline] = ACTIONS(1295),
    [anon_sym_thread_local] = ACTIONS(1295),
    [anon_sym___thread] = ACTIONS(1295),
    [anon_sym_const] = ACTIONS(1295),
    [anon_sym_constexpr] = ACTIONS(1295),
    [anon_sym_volatile] = ACTIONS(1295),
    [anon_sym_restrict] = ACTIONS(1295),
    [anon_sym___restrict__] = ACTIONS(1295),
    [anon_sym__Atomic] = ACTIONS(1295),
    [anon_sym__Noreturn] = ACTIONS(1295),
    [anon_sym_noreturn] = ACTIONS(1295),
    [anon_sym_alignas] = ACTIONS(1295),
    [anon_sym__Alignas] = ACTIONS(1295),
    [sym_primitive_type] = ACTIONS(1295),
    [anon_sym_enum] = ACTIONS(1295),
    [anon_sym_struct] = ACTIONS(1295),
    [anon_sym_union] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_switch] = ACTIONS(1295),
    [anon_sym_case] = ACTIONS(1295),
    [anon_sym_default] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_do] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1295),
    [anon_sym_return] = ACTIONS(1295),
    [anon_sym_break] = ACTIONS(1295),
    [anon_sym_continue] = ACTIONS(1295),
    [anon_sym_goto] = ACTIONS(1295),
    [anon_sym___try] = ACTIONS(1295),
    [anon_sym___leave] = ACTIONS(1295),
    [anon_sym_DASH_DASH] = ACTIONS(1297),
    [anon_sym_PLUS_PLUS] = ACTIONS(1297),
    [anon_sym_sizeof] = ACTIONS(1295),
    [anon_sym___alignof__] = ACTIONS(1295),
    [anon_sym___alignof] = ACTIONS(1295),
    [anon_sym__alignof] = ACTIONS(1295),
    [anon_sym_alignof] = ACTIONS(1295),
    [anon_sym__Alignof] = ACTIONS(1295),
    [anon_sym_offsetof] = ACTIONS(1295),
    [anon_sym__Generic] = ACTIONS(1295),
    [anon_sym_asm] = ACTIONS(1295),
    [anon_sym___asm__] = ACTIONS(1295),
    [sym_number_literal] = ACTIONS(1297),
    [anon_sym_L_SQUOTE] = ACTIONS(1297),
    [anon_sym_u_SQUOTE] = ACTIONS(1297),
    [anon_sym_U_SQUOTE] = ACTIONS(1297),
    [anon_sym_u8_SQUOTE] = ACTIONS(1297),
    [anon_sym_SQUOTE] = ACTIONS(1297),
    [anon_sym_L_DQUOTE] = ACTIONS(1297),
    [anon_sym_u_DQUOTE] = ACTIONS(1297),
    [anon_sym_U_DQUOTE] = ACTIONS(1297),
    [anon_sym_u8_DQUOTE] = ACTIONS(1297),
    [anon_sym_DQUOTE] = ACTIONS(1297),
    [sym_true] = ACTIONS(1295),
    [sym_false] = ACTIONS(1295),
    [anon_sym_NULL] = ACTIONS(1295),
    [anon_sym_nullptr] = ACTIONS(1295),
    [sym_comment] = ACTIONS(3),
  },
  [126] = {
    [sym_identifier] = ACTIONS(1299),
    [aux_sym_preproc_include_token1] = ACTIONS(1299),
    [aux_sym_preproc_def_token1] = ACTIONS(1299),
    [aux_sym_preproc_if_token1] = ACTIONS(1299),
    [aux_sym_preproc_if_token2] = ACTIONS(1299),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1299),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1299),
    [aux_sym_preproc_else_token1] = ACTIONS(1299),
    [aux_sym_preproc_elif_token1] = ACTIONS(1299),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1299),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1299),
    [sym_preproc_directive] = ACTIONS(1299),
    [anon_sym_LPAREN2] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(1301),
    [anon_sym_TILDE] = ACTIONS(1301),
    [anon_sym_DASH] = ACTIONS(1299),
    [anon_sym_PLUS] = ACTIONS(1299),
    [anon_sym_STAR] = ACTIONS(1301),
    [anon_sym_AMP] = ACTIONS(1301),
    [anon_sym_SEMI] = ACTIONS(1301),
    [anon_sym___extension__] = ACTIONS(1299),
    [anon_sym_typedef] = ACTIONS(1299),
    [anon_sym_extern] = ACTIONS(1299),
    [anon_sym___attribute__] = ACTIONS(1299),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1301),
    [anon_sym___declspec] = ACTIONS(1299),
    [anon_sym___cdecl] = ACTIONS(1299),
    [anon_sym___clrcall] = ACTIONS(1299),
    [anon_sym___stdcall] = ACTIONS(1299),
    [anon_sym___fastcall] = ACTIONS(1299),
    [anon_sym___thiscall] = ACTIONS(1299),
    [anon_sym___vectorcall] = ACTIONS(1299),
    [anon_sym_LBRACE] = ACTIONS(1301),
    [anon_sym_signed] = ACTIONS(1299),
    [anon_sym_unsigned] = ACTIONS(1299),
    [anon_sym_long] = ACTIONS(1299),
    [anon_sym_short] = ACTIONS(1299),
    [anon_sym_static] = ACTIONS(1299),
    [anon_sym_auto] = ACTIONS(1299),
    [anon_sym_register] = ACTIONS(1299),
    [anon_sym_inline] = ACTIONS(1299),
    [anon_sym___inline] = ACTIONS(1299),
    [anon_sym___inline__] = ACTIONS(1299),
    [anon_sym___forceinline] = ACTIONS(1299),
    [anon_sym_thread_local] = ACTIONS(1299),
    [anon_sym___thread] = ACTIONS(1299),
    [anon_sym_const] = ACTIONS(1299),
    [anon_sym_constexpr] = ACTIONS(1299),
    [anon_sym_volatile] = ACTIONS(1299),
    [anon_sym_restrict] = ACTIONS(1299),
    [anon_sym___restrict__] = ACTIONS(1299),
    [anon_sym__Atomic] = ACTIONS(1299),
    [anon_sym__Noreturn] = ACTIONS(1299),
    [anon_sym_noreturn] = ACTIONS(1299),
    [anon_sym_alignas] = ACTIONS(1299),
    [anon_sym__Alignas] = ACTIONS(1299),
    [sym_primitive_type] = ACTIONS(1299),
    [anon_sym_enum] = ACTIONS(1299),
    [anon_sym_struct] = ACTIONS(1299),
    [anon_sym_union] = ACTIONS(1299),
    [anon_sym_if] = ACTIONS(1299),
    [anon_sym_switch] = ACTIONS(1299),
    [anon_sym_case] = ACTIONS(1299),
    [anon_sym_default] = ACTIONS(1299),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_do] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_return] = ACTIONS(1299),
    [anon_sym_break] = ACTIONS(1299),
    [anon_sym_continue] = ACTIONS(1299),
    [anon_sym_goto] = ACTIONS(1299),
    [anon_sym___try] = ACTIONS(1299),
    [anon_sym___leave] = ACTIONS(1299),
    [anon_sym_DASH_DASH] = ACTIONS(1301),
    [anon_sym_PLUS_PLUS] = ACTIONS(1301),
    [anon_sym_sizeof] = ACTIONS(1299),
    [anon_sym___alignof__] = ACTIONS(1299),
    [anon_sym___alignof] = ACTIONS(1299),
    [anon_sym__alignof] = ACTIONS(1299),
    [anon_sym_alignof] = ACTIONS(1299),
    [anon_sym__Alignof] = ACTIONS(1299),
    [anon_sym_offsetof] = ACTIONS(1299),
    [anon_sym__Generic] = ACTIONS(1299),
    [anon_sym_asm] = ACTIONS(1299),
    [anon_sym___asm__] = ACTIONS(1299),
    [sym_number_literal] = ACTIONS(1301),
    [anon_sym_L_SQUOTE] = ACTIONS(1301),
    [anon_sym_u_SQUOTE] = ACTIONS(1301),
    [anon_sym_U_SQUOTE] = ACTIONS(1301),
    [anon_sym_u8_SQUOTE] = ACTIONS(1301),
    [anon_sym_SQUOTE] = ACTIONS(1301),
    [anon_sym_L_DQUOTE] = ACTIONS(1301),
    [anon_sym_u_DQUOTE] = ACTIONS(1301),
    [anon_sym_U_DQUOTE] = ACTIONS(1301),
    [anon_sym_u8_DQUOTE] = ACTIONS(1301),
    [anon_sym_DQUOTE] = ACTIONS(1301),
    [sym_true] = ACTIONS(1299),
    [sym_false] = ACTIONS(1299),
    [anon_sym_NULL] = ACTIONS(1299),
    [anon_sym_nullptr] = ACTIONS(1299),
    [sym_comment] = ACTIONS(3),
  },
  [127] = {
    [sym_identifier] = ACTIONS(1303),
    [aux_sym_preproc_include_token1] = ACTIONS(1303),
    [aux_sym_preproc_def_token1] = ACTIONS(1303),
    [aux_sym_preproc_if_token1] = ACTIONS(1303),
    [aux_sym_preproc_if_token2] = ACTIONS(1303),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1303),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1303),
    [aux_sym_preproc_else_token1] = ACTIONS(1303),
    [aux_sym_preproc_elif_token1] = ACTIONS(1303),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1303),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1303),
    [sym_preproc_directive] = ACTIONS(1303),
    [anon_sym_LPAREN2] = ACTIONS(1305),
    [anon_sym_BANG] = ACTIONS(1305),
    [anon_sym_TILDE] = ACTIONS(1305),
    [anon_sym_DASH] = ACTIONS(1303),
    [anon_sym_PLUS] = ACTIONS(1303),
    [anon_sym_STAR] = ACTIONS(1305),
    [anon_sym_AMP] = ACTIONS(1305),
    [anon_sym_SEMI] = ACTIONS(1305),
    [anon_sym___extension__] = ACTIONS(1303),
    [anon_sym_typedef] = ACTIONS(1303),
    [anon_sym_extern] = ACTIONS(1303),
    [anon_sym___attribute__] = ACTIONS(1303),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1305),
    [anon_sym___declspec] = ACTIONS(1303),
    [anon_sym___cdecl] = ACTIONS(1303),
    [anon_sym___clrcall] = ACTIONS(1303),
    [anon_sym___stdcall] = ACTIONS(1303),
    [anon_sym___fastcall] = ACTIONS(1303),
    [anon_sym___thiscall] = ACTIONS(1303),
    [anon_sym___vectorcall] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1305),
    [anon_sym_signed] = ACTIONS(1303),
    [anon_sym_unsigned] = ACTIONS(1303),
    [anon_sym_long] = ACTIONS(1303),
    [anon_sym_short] = ACTIONS(1303),
    [anon_sym_static] = ACTIONS(1303),
    [anon_sym_auto] = ACTIONS(1303),
    [anon_sym_register] = ACTIONS(1303),
    [anon_sym_inline] = ACTIONS(1303),
    [anon_sym___inline] = ACTIONS(1303),
    [anon_sym___inline__] = ACTIONS(1303),
    [anon_sym___forceinline] = ACTIONS(1303),
    [anon_sym_thread_local] = ACTIONS(1303),
    [anon_sym___thread] = ACTIONS(1303),
    [anon_sym_const] = ACTIONS(1303),
    [anon_sym_constexpr] = ACTIONS(1303),
    [anon_sym_volatile] = ACTIONS(1303),
    [anon_sym_restrict] = ACTIONS(1303),
    [anon_sym___restrict__] = ACTIONS(1303),
    [anon_sym__Atomic] = ACTIONS(1303),
    [anon_sym__Noreturn] = ACTIONS(1303),
    [anon_sym_noreturn] = ACTIONS(1303),
    [anon_sym_alignas] = ACTIONS(1303),
    [anon_sym__Alignas] = ACTIONS(1303),
    [sym_primitive_type] = ACTIONS(1303),
    [anon_sym_enum] = ACTIONS(1303),
    [anon_sym_struct] = ACTIONS(1303),
    [anon_sym_union] = ACTIONS(1303),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_switch] = ACTIONS(1303),
    [anon_sym_case] = ACTIONS(1303),
    [anon_sym_default] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1303),
    [anon_sym_do] = ACTIONS(1303),
    [anon_sym_for] = ACTIONS(1303),
    [anon_sym_return] = ACTIONS(1303),
    [anon_sym_break] = ACTIONS(1303),
    [anon_sym_continue] = ACTIONS(1303),
    [anon_sym_goto] = ACTIONS(1303),
    [anon_sym___try] = ACTIONS(1303),
    [anon_sym___leave] = ACTIONS(1303),
    [anon_sym_DASH_DASH] = ACTIONS(1305),
    [anon_sym_PLUS_PLUS] = ACTIONS(1305),
    [anon_sym_sizeof] = ACTIONS(1303),
    [anon_sym___alignof__] = ACTIONS(1303),
    [anon_sym___alignof] = ACTIONS(1303),
    [anon_sym__alignof] = ACTIONS(1303),
    [anon_sym_alignof] = ACTIONS(1303),
    [anon_sym__Alignof] = ACTIONS(1303),
    [anon_sym_offsetof] = ACTIONS(1303),
    [anon_sym__Generic] = ACTIONS(1303),
    [anon_sym_asm] = ACTIONS(1303),
    [anon_sym___asm__] = ACTIONS(1303),
    [sym_number_literal] = ACTIONS(1305),
    [anon_sym_L_SQUOTE] = ACTIONS(1305),
    [anon_sym_u_SQUOTE] = ACTIONS(1305),
    [anon_sym_U_SQUOTE] = ACTIONS(1305),
    [anon_sym_u8_SQUOTE] = ACTIONS(1305),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [anon_sym_L_DQUOTE] = ACTIONS(1305),
    [anon_sym_u_DQUOTE] = ACTIONS(1305),
    [anon_sym_U_DQUOTE] = ACTIONS(1305),
    [anon_sym_u8_DQUOTE] = ACTIONS(1305),
    [anon_sym_DQUOTE] = ACTIONS(1305),
    [sym_true] = ACTIONS(1303),
    [sym_false] = ACTIONS(1303),
    [anon_sym_NULL] = ACTIONS(1303),
    [anon_sym_nullptr] = ACTIONS(1303),
    [sym_comment] = ACTIONS(3),
  },
  [128] = {
    [sym_identifier] = ACTIONS(1307),
    [aux_sym_preproc_include_token1] = ACTIONS(1307),
    [aux_sym_preproc_def_token1] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1307),
    [aux_sym_preproc_if_token2] = ACTIONS(1307),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1307),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1307),
    [aux_sym_preproc_else_token1] = ACTIONS(1307),
    [aux_sym_preproc_elif_token1] = ACTIONS(1307),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1307),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1307),
    [sym_preproc_directive] = ACTIONS(1307),
    [anon_sym_LPAREN2] = ACTIONS(1309),
    [anon_sym_BANG] = ACTIONS(1309),
    [anon_sym_TILDE] = ACTIONS(1309),
    [anon_sym_DASH] = ACTIONS(1307),
    [anon_sym_PLUS] = ACTIONS(1307),
    [anon_sym_STAR] = ACTIONS(1309),
    [anon_sym_AMP] = ACTIONS(1309),
    [anon_sym_SEMI] = ACTIONS(1309),
    [anon_sym___extension__] = ACTIONS(1307),
    [anon_sym_typedef] = ACTIONS(1307),
    [anon_sym_extern] = ACTIONS(1307),
    [anon_sym___attribute__] = ACTIONS(1307),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1309),
    [anon_sym___declspec] = ACTIONS(1307),
    [anon_sym___cdecl] = ACTIONS(1307),
    [anon_sym___clrcall] = ACTIONS(1307),
    [anon_sym___stdcall] = ACTIONS(1307),
    [anon_sym___fastcall] = ACTIONS(1307),
    [anon_sym___thiscall] = ACTIONS(1307),
    [anon_sym___vectorcall] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_signed] = ACTIONS(1307),
    [anon_sym_unsigned] = ACTIONS(1307),
    [anon_sym_long] = ACTIONS(1307),
    [anon_sym_short] = ACTIONS(1307),
    [anon_sym_static] = ACTIONS(1307),
    [anon_sym_auto] = ACTIONS(1307),
    [anon_sym_register] = ACTIONS(1307),
    [anon_sym_inline] = ACTIONS(1307),
    [anon_sym___inline] = ACTIONS(1307),
    [anon_sym___inline__] = ACTIONS(1307),
    [anon_sym___forceinline] = ACTIONS(1307),
    [anon_sym_thread_local] = ACTIONS(1307),
    [anon_sym___thread] = ACTIONS(1307),
    [anon_sym_const] = ACTIONS(1307),
    [anon_sym_constexpr] = ACTIONS(1307),
    [anon_sym_volatile] = ACTIONS(1307),
    [anon_sym_restrict] = ACTIONS(1307),
    [anon_sym___restrict__] = ACTIONS(1307),
    [anon_sym__Atomic] = ACTIONS(1307),
    [anon_sym__Noreturn] = ACTIONS(1307),
    [anon_sym_noreturn] = ACTIONS(1307),
    [anon_sym_alignas] = ACTIONS(1307),
    [anon_sym__Alignas] = ACTIONS(1307),
    [sym_primitive_type] = ACTIONS(1307),
    [anon_sym_enum] = ACTIONS(1307),
    [anon_sym_struct] = ACTIONS(1307),
    [anon_sym_union] = ACTIONS(1307),
    [anon_sym_if] = ACTIONS(1307),
    [anon_sym_switch] = ACTIONS(1307),
    [anon_sym_case] = ACTIONS(1307),
    [anon_sym_default] = ACTIONS(1307),
    [anon_sym_while] = ACTIONS(1307),
    [anon_sym_do] = ACTIONS(1307),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_return] = ACTIONS(1307),
    [anon_sym_break] = ACTIONS(1307),
    [anon_sym_continue] = ACTIONS(1307),
    [anon_sym_goto] = ACTIONS(1307),
    [anon_sym___try] = ACTIONS(1307),
    [anon_sym___leave] = ACTIONS(1307),
    [anon_sym_DASH_DASH] = ACTIONS(1309),
    [anon_sym_PLUS_PLUS] = ACTIONS(1309),
    [anon_sym_sizeof] = ACTIONS(1307),
    [anon_sym___alignof__] = ACTIONS(1307),
    [anon_sym___alignof] = ACTIONS(1307),
    [anon_sym__alignof] = ACTIONS(1307),
    [anon_sym_alignof] = ACTIONS(1307),
    [anon_sym__Alignof] = ACTIONS(1307),
    [anon_sym_offsetof] = ACTIONS(1307),
    [anon_sym__Generic] = ACTIONS(1307),
    [anon_sym_asm] = ACTIONS(1307),
    [anon_sym___asm__] = ACTIONS(1307),
    [sym_number_literal] = ACTIONS(1309),
    [anon_sym_L_SQUOTE] = ACTIONS(1309),
    [anon_sym_u_SQUOTE] = ACTIONS(1309),
    [anon_sym_U_SQUOTE] = ACTIONS(1309),
    [anon_sym_u8_SQUOTE] = ACTIONS(1309),
    [anon_sym_SQUOTE] = ACTIONS(1309),
    [anon_sym_L_DQUOTE] = ACTIONS(1309),
    [anon_sym_u_DQUOTE] = ACTIONS(1309),
    [anon_sym_U_DQUOTE] = ACTIONS(1309),
    [anon_sym_u8_DQUOTE] = ACTIONS(1309),
    [anon_sym_DQUOTE] = ACTIONS(1309),
    [sym_true] = ACTIONS(1307),
    [sym_false] = ACTIONS(1307),
    [anon_sym_NULL] = ACTIONS(1307),
    [anon_sym_nullptr] = ACTIONS(1307),
    [sym_comment] = ACTIONS(3),
  },
  [129] = {
    [sym_identifier] = ACTIONS(1311),
    [aux_sym_preproc_include_token1] = ACTIONS(1311),
    [aux_sym_preproc_def_token1] = ACTIONS(1311),
    [aux_sym_preproc_if_token1] = ACTIONS(1311),
    [aux_sym_preproc_if_token2] = ACTIONS(1311),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1311),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1311),
    [aux_sym_preproc_else_token1] = ACTIONS(1311),
    [aux_sym_preproc_elif_token1] = ACTIONS(1311),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1311),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1311),
    [sym_preproc_directive] = ACTIONS(1311),
    [anon_sym_LPAREN2] = ACTIONS(1313),
    [anon_sym_BANG] = ACTIONS(1313),
    [anon_sym_TILDE] = ACTIONS(1313),
    [anon_sym_DASH] = ACTIONS(1311),
    [anon_sym_PLUS] = ACTIONS(1311),
    [anon_sym_STAR] = ACTIONS(1313),
    [anon_sym_AMP] = ACTIONS(1313),
    [anon_sym_SEMI] = ACTIONS(1313),
    [anon_sym___extension__] = ACTIONS(1311),
    [anon_sym_typedef] = ACTIONS(1311),
    [anon_sym_extern] = ACTIONS(1311),
    [anon_sym___attribute__] = ACTIONS(1311),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1313),
    [anon_sym___declspec] = ACTIONS(1311),
    [anon_sym___cdecl] = ACTIONS(1311),
    [anon_sym___clrcall] = ACTIONS(1311),
    [anon_sym___stdcall] = ACTIONS(1311),
    [anon_sym___fastcall] = ACTIONS(1311),
    [anon_sym___thiscall] = ACTIONS(1311),
    [anon_sym___vectorcall] = ACTIONS(1311),
    [anon_sym_LBRACE] = ACTIONS(1313),
    [anon_sym_signed] = ACTIONS(1311),
    [anon_sym_unsigned] = ACTIONS(1311),
    [anon_sym_long] = ACTIONS(1311),
    [anon_sym_short] = ACTIONS(1311),
    [anon_sym_static] = ACTIONS(1311),
    [anon_sym_auto] = ACTIONS(1311),
    [anon_sym_register] = ACTIONS(1311),
    [anon_sym_inline] = ACTIONS(1311),
    [anon_sym___inline] = ACTIONS(1311),
    [anon_sym___inline__] = ACTIONS(1311),
    [anon_sym___forceinline] = ACTIONS(1311),
    [anon_sym_thread_local] = ACTIONS(1311),
    [anon_sym___thread] = ACTIONS(1311),
    [anon_sym_const] = ACTIONS(1311),
    [anon_sym_constexpr] = ACTIONS(1311),
    [anon_sym_volatile] = ACTIONS(1311),
    [anon_sym_restrict] = ACTIONS(1311),
    [anon_sym___restrict__] = ACTIONS(1311),
    [anon_sym__Atomic] = ACTIONS(1311),
    [anon_sym__Noreturn] = ACTIONS(1311),
    [anon_sym_noreturn] = ACTIONS(1311),
    [anon_sym_alignas] = ACTIONS(1311),
    [anon_sym__Alignas] = ACTIONS(1311),
    [sym_primitive_type] = ACTIONS(1311),
    [anon_sym_enum] = ACTIONS(1311),
    [anon_sym_struct] = ACTIONS(1311),
    [anon_sym_union] = ACTIONS(1311),
    [anon_sym_if] = ACTIONS(1311),
    [anon_sym_switch] = ACTIONS(1311),
    [anon_sym_case] = ACTIONS(1311),
    [anon_sym_default] = ACTIONS(1311),
    [anon_sym_while] = ACTIONS(1311),
    [anon_sym_do] = ACTIONS(1311),
    [anon_sym_for] = ACTIONS(1311),
    [anon_sym_return] = ACTIONS(1311),
    [anon_sym_break] = ACTIONS(1311),
    [anon_sym_continue] = ACTIONS(1311),
    [anon_sym_goto] = ACTIONS(1311),
    [anon_sym___try] = ACTIONS(1311),
    [anon_sym___leave] = ACTIONS(1311),
    [anon_sym_DASH_DASH] = ACTIONS(1313),
    [anon_sym_PLUS_PLUS] = ACTIONS(1313),
    [anon_sym_sizeof] = ACTIONS(1311),
    [anon_sym___alignof__] = ACTIONS(1311),
    [anon_sym___alignof] = ACTIONS(1311),
    [anon_sym__alignof] = ACTIONS(1311),
    [anon_sym_alignof] = ACTIONS(1311),
    [anon_sym__Alignof] = ACTIONS(1311),
    [anon_sym_offsetof] = ACTIONS(1311),
    [anon_sym__Generic] = ACTIONS(1311),
    [anon_sym_asm] = ACTIONS(1311),
    [anon_sym___asm__] = ACTIONS(1311),
    [sym_number_literal] = ACTIONS(1313),
    [anon_sym_L_SQUOTE] = ACTIONS(1313),
    [anon_sym_u_SQUOTE] = ACTIONS(1313),
    [anon_sym_U_SQUOTE] = ACTIONS(1313),
    [anon_sym_u8_SQUOTE] = ACTIONS(1313),
    [anon_sym_SQUOTE] = ACTIONS(1313),
    [anon_sym_L_DQUOTE] = ACTIONS(1313),
    [anon_sym_u_DQUOTE] = ACTIONS(1313),
    [anon_sym_U_DQUOTE] = ACTIONS(1313),
    [anon_sym_u8_DQUOTE] = ACTIONS(1313),
    [anon_sym_DQUOTE] = ACTIONS(1313),
    [sym_true] = ACTIONS(1311),
    [sym_false] = ACTIONS(1311),
    [anon_sym_NULL] = ACTIONS(1311),
    [anon_sym_nullptr] = ACTIONS(1311),
    [sym_comment] = ACTIONS(3),
  },
  [130] = {
    [sym_identifier] = ACTIONS(1315),
    [aux_sym_preproc_include_token1] = ACTIONS(1315),
    [aux_sym_preproc_def_token1] = ACTIONS(1315),
    [aux_sym_preproc_if_token1] = ACTIONS(1315),
    [aux_sym_preproc_if_token2] = ACTIONS(1315),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1315),
    [aux_sym_preproc_else_token1] = ACTIONS(1315),
    [aux_sym_preproc_elif_token1] = ACTIONS(1315),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1315),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1315),
    [sym_preproc_directive] = ACTIONS(1315),
    [anon_sym_LPAREN2] = ACTIONS(1317),
    [anon_sym_BANG] = ACTIONS(1317),
    [anon_sym_TILDE] = ACTIONS(1317),
    [anon_sym_DASH] = ACTIONS(1315),
    [anon_sym_PLUS] = ACTIONS(1315),
    [anon_sym_STAR] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(1317),
    [anon_sym_SEMI] = ACTIONS(1317),
    [anon_sym___extension__] = ACTIONS(1315),
    [anon_sym_typedef] = ACTIONS(1315),
    [anon_sym_extern] = ACTIONS(1315),
    [anon_sym___attribute__] = ACTIONS(1315),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1317),
    [anon_sym___declspec] = ACTIONS(1315),
    [anon_sym___cdecl] = ACTIONS(1315),
    [anon_sym___clrcall] = ACTIONS(1315),
    [anon_sym___stdcall] = ACTIONS(1315),
    [anon_sym___fastcall] = ACTIONS(1315),
    [anon_sym___thiscall] = ACTIONS(1315),
    [anon_sym___vectorcall] = ACTIONS(1315),
    [anon_sym_LBRACE] = ACTIONS(1317),
    [anon_sym_signed] = ACTIONS(1315),
    [anon_sym_unsigned] = ACTIONS(1315),
    [anon_sym_long] = ACTIONS(1315),
    [anon_sym_short] = ACTIONS(1315),
    [anon_sym_static] = ACTIONS(1315),
    [anon_sym_auto] = ACTIONS(1315),
    [anon_sym_register] = ACTIONS(1315),
    [anon_sym_inline] = ACTIONS(1315),
    [anon_sym___inline] = ACTIONS(1315),
    [anon_sym___inline__] = ACTIONS(1315),
    [anon_sym___forceinline] = ACTIONS(1315),
    [anon_sym_thread_local] = ACTIONS(1315),
    [anon_sym___thread] = ACTIONS(1315),
    [anon_sym_const] = ACTIONS(1315),
    [anon_sym_constexpr] = ACTIONS(1315),
    [anon_sym_volatile] = ACTIONS(1315),
    [anon_sym_restrict] = ACTIONS(1315),
    [anon_sym___restrict__] = ACTIONS(1315),
    [anon_sym__Atomic] = ACTIONS(1315),
    [anon_sym__Noreturn] = ACTIONS(1315),
    [anon_sym_noreturn] = ACTIONS(1315),
    [anon_sym_alignas] = ACTIONS(1315),
    [anon_sym__Alignas] = ACTIONS(1315),
    [sym_primitive_type] = ACTIONS(1315),
    [anon_sym_enum] = ACTIONS(1315),
    [anon_sym_struct] = ACTIONS(1315),
    [anon_sym_union] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1315),
    [anon_sym_switch] = ACTIONS(1315),
    [anon_sym_case] = ACTIONS(1315),
    [anon_sym_default] = ACTIONS(1315),
    [anon_sym_while] = ACTIONS(1315),
    [anon_sym_do] = ACTIONS(1315),
    [anon_sym_for] = ACTIONS(1315),
    [anon_sym_return] = ACTIONS(1315),
    [anon_sym_break] = ACTIONS(1315),
    [anon_sym_continue] = ACTIONS(1315),
    [anon_sym_goto] = ACTIONS(1315),
    [anon_sym___try] = ACTIONS(1315),
    [anon_sym___leave] = ACTIONS(1315),
    [anon_sym_DASH_DASH] = ACTIONS(1317),
    [anon_sym_PLUS_PLUS] = ACTIONS(1317),
    [anon_sym_sizeof] = ACTIONS(1315),
    [anon_sym___alignof__] = ACTIONS(1315),
    [anon_sym___alignof] = ACTIONS(1315),
    [anon_sym__alignof] = ACTIONS(1315),
    [anon_sym_alignof] = ACTIONS(1315),
    [anon_sym__Alignof] = ACTIONS(1315),
    [anon_sym_offsetof] = ACTIONS(1315),
    [anon_sym__Generic] = ACTIONS(1315),
    [anon_sym_asm] = ACTIONS(1315),
    [anon_sym___asm__] = ACTIONS(1315),
    [sym_number_literal] = ACTIONS(1317),
    [anon_sym_L_SQUOTE] = ACTIONS(1317),
    [anon_sym_u_SQUOTE] = ACTIONS(1317),
    [anon_sym_U_SQUOTE] = ACTIONS(1317),
    [anon_sym_u8_SQUOTE] = ACTIONS(1317),
    [anon_sym_SQUOTE] = ACTIONS(1317),
    [anon_sym_L_DQUOTE] = ACTIONS(1317),
    [anon_sym_u_DQUOTE] = ACTIONS(1317),
    [anon_sym_U_DQUOTE] = ACTIONS(1317),
    [anon_sym_u8_DQUOTE] = ACTIONS(1317),
    [anon_sym_DQUOTE] = ACTIONS(1317),
    [sym_true] = ACTIONS(1315),
    [sym_false] = ACTIONS(1315),
    [anon_sym_NULL] = ACTIONS(1315),
    [anon_sym_nullptr] = ACTIONS(1315),
    [sym_comment] = ACTIONS(3),
  },
  [131] = {
    [sym_identifier] = ACTIONS(1319),
    [aux_sym_preproc_include_token1] = ACTIONS(1319),
    [aux_sym_preproc_def_token1] = ACTIONS(1319),
    [aux_sym_preproc_if_token1] = ACTIONS(1319),
    [aux_sym_preproc_if_token2] = ACTIONS(1319),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1319),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1319),
    [aux_sym_preproc_else_token1] = ACTIONS(1319),
    [aux_sym_preproc_elif_token1] = ACTIONS(1319),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1319),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1319),
    [sym_preproc_directive] = ACTIONS(1319),
    [anon_sym_LPAREN2] = ACTIONS(1321),
    [anon_sym_BANG] = ACTIONS(1321),
    [anon_sym_TILDE] = ACTIONS(1321),
    [anon_sym_DASH] = ACTIONS(1319),
    [anon_sym_PLUS] = ACTIONS(1319),
    [anon_sym_STAR] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(1321),
    [anon_sym_SEMI] = ACTIONS(1321),
    [anon_sym___extension__] = ACTIONS(1319),
    [anon_sym_typedef] = ACTIONS(1319),
    [anon_sym_extern] = ACTIONS(1319),
    [anon_sym___attribute__] = ACTIONS(1319),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1321),
    [anon_sym___declspec] = ACTIONS(1319),
    [anon_sym___cdecl] = ACTIONS(1319),
    [anon_sym___clrcall] = ACTIONS(1319),
    [anon_sym___stdcall] = ACTIONS(1319),
    [anon_sym___fastcall] = ACTIONS(1319),
    [anon_sym___thiscall] = ACTIONS(1319),
    [anon_sym___vectorcall] = ACTIONS(1319),
    [anon_sym_LBRACE] = ACTIONS(1321),
    [anon_sym_signed] = ACTIONS(1319),
    [anon_sym_unsigned] = ACTIONS(1319),
    [anon_sym_long] = ACTIONS(1319),
    [anon_sym_short] = ACTIONS(1319),
    [anon_sym_static] = ACTIONS(1319),
    [anon_sym_auto] = ACTIONS(1319),
    [anon_sym_register] = ACTIONS(1319),
    [anon_sym_inline] = ACTIONS(1319),
    [anon_sym___inline] = ACTIONS(1319),
    [anon_sym___inline__] = ACTIONS(1319),
    [anon_sym___forceinline] = ACTIONS(1319),
    [anon_sym_thread_local] = ACTIONS(1319),
    [anon_sym___thread] = ACTIONS(1319),
    [anon_sym_const] = ACTIONS(1319),
    [anon_sym_constexpr] = ACTIONS(1319),
    [anon_sym_volatile] = ACTIONS(1319),
    [anon_sym_restrict] = ACTIONS(1319),
    [anon_sym___restrict__] = ACTIONS(1319),
    [anon_sym__Atomic] = ACTIONS(1319),
    [anon_sym__Noreturn] = ACTIONS(1319),
    [anon_sym_noreturn] = ACTIONS(1319),
    [anon_sym_alignas] = ACTIONS(1319),
    [anon_sym__Alignas] = ACTIONS(1319),
    [sym_primitive_type] = ACTIONS(1319),
    [anon_sym_enum] = ACTIONS(1319),
    [anon_sym_struct] = ACTIONS(1319),
    [anon_sym_union] = ACTIONS(1319),
    [anon_sym_if] = ACTIONS(1319),
    [anon_sym_switch] = ACTIONS(1319),
    [anon_sym_case] = ACTIONS(1319),
    [anon_sym_default] = ACTIONS(1319),
    [anon_sym_while] = ACTIONS(1319),
    [anon_sym_do] = ACTIONS(1319),
    [anon_sym_for] = ACTIONS(1319),
    [anon_sym_return] = ACTIONS(1319),
    [anon_sym_break] = ACTIONS(1319),
    [anon_sym_continue] = ACTIONS(1319),
    [anon_sym_goto] = ACTIONS(1319),
    [anon_sym___try] = ACTIONS(1319),
    [anon_sym___leave] = ACTIONS(1319),
    [anon_sym_DASH_DASH] = ACTIONS(1321),
    [anon_sym_PLUS_PLUS] = ACTIONS(1321),
    [anon_sym_sizeof] = ACTIONS(1319),
    [anon_sym___alignof__] = ACTIONS(1319),
    [anon_sym___alignof] = ACTIONS(1319),
    [anon_sym__alignof] = ACTIONS(1319),
    [anon_sym_alignof] = ACTIONS(1319),
    [anon_sym__Alignof] = ACTIONS(1319),
    [anon_sym_offsetof] = ACTIONS(1319),
    [anon_sym__Generic] = ACTIONS(1319),
    [anon_sym_asm] = ACTIONS(1319),
    [anon_sym___asm__] = ACTIONS(1319),
    [sym_number_literal] = ACTIONS(1321),
    [anon_sym_L_SQUOTE] = ACTIONS(1321),
    [anon_sym_u_SQUOTE] = ACTIONS(1321),
    [anon_sym_U_SQUOTE] = ACTIONS(1321),
    [anon_sym_u8_SQUOTE] = ACTIONS(1321),
    [anon_sym_SQUOTE] = ACTIONS(1321),
    [anon_sym_L_DQUOTE] = ACTIONS(1321),
    [anon_sym_u_DQUOTE] = ACTIONS(1321),
    [anon_sym_U_DQUOTE] = ACTIONS(1321),
    [anon_sym_u8_DQUOTE] = ACTIONS(1321),
    [anon_sym_DQUOTE] = ACTIONS(1321),
    [sym_true] = ACTIONS(1319),
    [sym_false] = ACTIONS(1319),
    [anon_sym_NULL] = ACTIONS(1319),
    [anon_sym_nullptr] = ACTIONS(1319),
    [sym_comment] = ACTIONS(3),
  },
  [132] = {
    [sym_identifier] = ACTIONS(1323),
    [aux_sym_preproc_include_token1] = ACTIONS(1323),
    [aux_sym_preproc_def_token1] = ACTIONS(1323),
    [aux_sym_preproc_if_token1] = ACTIONS(1323),
    [aux_sym_preproc_if_token2] = ACTIONS(1323),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1323),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1323),
    [aux_sym_preproc_else_token1] = ACTIONS(1323),
    [aux_sym_preproc_elif_token1] = ACTIONS(1323),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1323),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1323),
    [sym_preproc_directive] = ACTIONS(1323),
    [anon_sym_LPAREN2] = ACTIONS(1325),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_TILDE] = ACTIONS(1325),
    [anon_sym_DASH] = ACTIONS(1323),
    [anon_sym_PLUS] = ACTIONS(1323),
    [anon_sym_STAR] = ACTIONS(1325),
    [anon_sym_AMP] = ACTIONS(1325),
    [anon_sym_SEMI] = ACTIONS(1325),
    [anon_sym___extension__] = ACTIONS(1323),
    [anon_sym_typedef] = ACTIONS(1323),
    [anon_sym_extern] = ACTIONS(1323),
    [anon_sym___attribute__] = ACTIONS(1323),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1325),
    [anon_sym___declspec] = ACTIONS(1323),
    [anon_sym___cdecl] = ACTIONS(1323),
    [anon_sym___clrcall] = ACTIONS(1323),
    [anon_sym___stdcall] = ACTIONS(1323),
    [anon_sym___fastcall] = ACTIONS(1323),
    [anon_sym___thiscall] = ACTIONS(1323),
    [anon_sym___vectorcall] = ACTIONS(1323),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_signed] = ACTIONS(1323),
    [anon_sym_unsigned] = ACTIONS(1323),
    [anon_sym_long] = ACTIONS(1323),
    [anon_sym_short] = ACTIONS(1323),
    [anon_sym_static] = ACTIONS(1323),
    [anon_sym_auto] = ACTIONS(1323),
    [anon_sym_register] = ACTIONS(1323),
    [anon_sym_inline] = ACTIONS(1323),
    [anon_sym___inline] = ACTIONS(1323),
    [anon_sym___inline__] = ACTIONS(1323),
    [anon_sym___forceinline] = ACTIONS(1323),
    [anon_sym_thread_local] = ACTIONS(1323),
    [anon_sym___thread] = ACTIONS(1323),
    [anon_sym_const] = ACTIONS(1323),
    [anon_sym_constexpr] = ACTIONS(1323),
    [anon_sym_volatile] = ACTIONS(1323),
    [anon_sym_restrict] = ACTIONS(1323),
    [anon_sym___restrict__] = ACTIONS(1323),
    [anon_sym__Atomic] = ACTIONS(1323),
    [anon_sym__Noreturn] = ACTIONS(1323),
    [anon_sym_noreturn] = ACTIONS(1323),
    [anon_sym_alignas] = ACTIONS(1323),
    [anon_sym__Alignas] = ACTIONS(1323),
    [sym_primitive_type] = ACTIONS(1323),
    [anon_sym_enum] = ACTIONS(1323),
    [anon_sym_struct] = ACTIONS(1323),
    [anon_sym_union] = ACTIONS(1323),
    [anon_sym_if] = ACTIONS(1323),
    [anon_sym_switch] = ACTIONS(1323),
    [anon_sym_case] = ACTIONS(1323),
    [anon_sym_default] = ACTIONS(1323),
    [anon_sym_while] = ACTIONS(1323),
    [anon_sym_do] = ACTIONS(1323),
    [anon_sym_for] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(1323),
    [anon_sym_break] = ACTIONS(1323),
    [anon_sym_continue] = ACTIONS(1323),
    [anon_sym_goto] = ACTIONS(1323),
    [anon_sym___try] = ACTIONS(1323),
    [anon_sym___leave] = ACTIONS(1323),
    [anon_sym_DASH_DASH] = ACTIONS(1325),
    [anon_sym_PLUS_PLUS] = ACTIONS(1325),
    [anon_sym_sizeof] = ACTIONS(1323),
    [anon_sym___alignof__] = ACTIONS(1323),
    [anon_sym___alignof] = ACTIONS(1323),
    [anon_sym__alignof] = ACTIONS(1323),
    [anon_sym_alignof] = ACTIONS(1323),
    [anon_sym__Alignof] = ACTIONS(1323),
    [anon_sym_offsetof] = ACTIONS(1323),
    [anon_sym__Generic] = ACTIONS(1323),
    [anon_sym_asm] = ACTIONS(1323),
    [anon_sym___asm__] = ACTIONS(1323),
    [sym_number_literal] = ACTIONS(1325),
    [anon_sym_L_SQUOTE] = ACTIONS(1325),
    [anon_sym_u_SQUOTE] = ACTIONS(1325),
    [anon_sym_U_SQUOTE] = ACTIONS(1325),
    [anon_sym_u8_SQUOTE] = ACTIONS(1325),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_L_DQUOTE] = ACTIONS(1325),
    [anon_sym_u_DQUOTE] = ACTIONS(1325),
    [anon_sym_U_DQUOTE] = ACTIONS(1325),
    [anon_sym_u8_DQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_true] = ACTIONS(1323),
    [sym_false] = ACTIONS(1323),
    [anon_sym_NULL] = ACTIONS(1323),
    [anon_sym_nullptr] = ACTIONS(1323),
    [sym_comment] = ACTIONS(3),
  },
  [133] = {
    [sym_identifier] = ACTIONS(1327),
    [aux_sym_preproc_include_token1] = ACTIONS(1327),
    [aux_sym_preproc_def_token1] = ACTIONS(1327),
    [aux_sym_preproc_if_token1] = ACTIONS(1327),
    [aux_sym_preproc_if_token2] = ACTIONS(1327),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1327),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1327),
    [aux_sym_preproc_else_token1] = ACTIONS(1327),
    [aux_sym_preproc_elif_token1] = ACTIONS(1327),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1327),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1327),
    [sym_preproc_directive] = ACTIONS(1327),
    [anon_sym_LPAREN2] = ACTIONS(1329),
    [anon_sym_BANG] = ACTIONS(1329),
    [anon_sym_TILDE] = ACTIONS(1329),
    [anon_sym_DASH] = ACTIONS(1327),
    [anon_sym_PLUS] = ACTIONS(1327),
    [anon_sym_STAR] = ACTIONS(1329),
    [anon_sym_AMP] = ACTIONS(1329),
    [anon_sym_SEMI] = ACTIONS(1329),
    [anon_sym___extension__] = ACTIONS(1327),
    [anon_sym_typedef] = ACTIONS(1327),
    [anon_sym_extern] = ACTIONS(1327),
    [anon_sym___attribute__] = ACTIONS(1327),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1329),
    [anon_sym___declspec] = ACTIONS(1327),
    [anon_sym___cdecl] = ACTIONS(1327),
    [anon_sym___clrcall] = ACTIONS(1327),
    [anon_sym___stdcall] = ACTIONS(1327),
    [anon_sym___fastcall] = ACTIONS(1327),
    [anon_sym___thiscall] = ACTIONS(1327),
    [anon_sym___vectorcall] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(1329),
    [anon_sym_signed] = ACTIONS(1327),
    [anon_sym_unsigned] = ACTIONS(1327),
    [anon_sym_long] = ACTIONS(1327),
    [anon_sym_short] = ACTIONS(1327),
    [anon_sym_static] = ACTIONS(1327),
    [anon_sym_auto] = ACTIONS(1327),
    [anon_sym_register] = ACTIONS(1327),
    [anon_sym_inline] = ACTIONS(1327),
    [anon_sym___inline] = ACTIONS(1327),
    [anon_sym___inline__] = ACTIONS(1327),
    [anon_sym___forceinline] = ACTIONS(1327),
    [anon_sym_thread_local] = ACTIONS(1327),
    [anon_sym___thread] = ACTIONS(1327),
    [anon_sym_const] = ACTIONS(1327),
    [anon_sym_constexpr] = ACTIONS(1327),
    [anon_sym_volatile] = ACTIONS(1327),
    [anon_sym_restrict] = ACTIONS(1327),
    [anon_sym___restrict__] = ACTIONS(1327),
    [anon_sym__Atomic] = ACTIONS(1327),
    [anon_sym__Noreturn] = ACTIONS(1327),
    [anon_sym_noreturn] = ACTIONS(1327),
    [anon_sym_alignas] = ACTIONS(1327),
    [anon_sym__Alignas] = ACTIONS(1327),
    [sym_primitive_type] = ACTIONS(1327),
    [anon_sym_enum] = ACTIONS(1327),
    [anon_sym_struct] = ACTIONS(1327),
    [anon_sym_union] = ACTIONS(1327),
    [anon_sym_if] = ACTIONS(1327),
    [anon_sym_switch] = ACTIONS(1327),
    [anon_sym_case] = ACTIONS(1327),
    [anon_sym_default] = ACTIONS(1327),
    [anon_sym_while] = ACTIONS(1327),
    [anon_sym_do] = ACTIONS(1327),
    [anon_sym_for] = ACTIONS(1327),
    [anon_sym_return] = ACTIONS(1327),
    [anon_sym_break] = ACTIONS(1327),
    [anon_sym_continue] = ACTIONS(1327),
    [anon_sym_goto] = ACTIONS(1327),
    [anon_sym___try] = ACTIONS(1327),
    [anon_sym___leave] = ACTIONS(1327),
    [anon_sym_DASH_DASH] = ACTIONS(1329),
    [anon_sym_PLUS_PLUS] = ACTIONS(1329),
    [anon_sym_sizeof] = ACTIONS(1327),
    [anon_sym___alignof__] = ACTIONS(1327),
    [anon_sym___alignof] = ACTIONS(1327),
    [anon_sym__alignof] = ACTIONS(1327),
    [anon_sym_alignof] = ACTIONS(1327),
    [anon_sym__Alignof] = ACTIONS(1327),
    [anon_sym_offsetof] = ACTIONS(1327),
    [anon_sym__Generic] = ACTIONS(1327),
    [anon_sym_asm] = ACTIONS(1327),
    [anon_sym___asm__] = ACTIONS(1327),
    [sym_number_literal] = ACTIONS(1329),
    [anon_sym_L_SQUOTE] = ACTIONS(1329),
    [anon_sym_u_SQUOTE] = ACTIONS(1329),
    [anon_sym_U_SQUOTE] = ACTIONS(1329),
    [anon_sym_u8_SQUOTE] = ACTIONS(1329),
    [anon_sym_SQUOTE] = ACTIONS(1329),
    [anon_sym_L_DQUOTE] = ACTIONS(1329),
    [anon_sym_u_DQUOTE] = ACTIONS(1329),
    [anon_sym_U_DQUOTE] = ACTIONS(1329),
    [anon_sym_u8_DQUOTE] = ACTIONS(1329),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_true] = ACTIONS(1327),
    [sym_false] = ACTIONS(1327),
    [anon_sym_NULL] = ACTIONS(1327),
    [anon_sym_nullptr] = ACTIONS(1327),
    [sym_comment] = ACTIONS(3),
  },
  [134] = {
    [sym_identifier] = ACTIONS(1331),
    [aux_sym_preproc_include_token1] = ACTIONS(1331),
    [aux_sym_preproc_def_token1] = ACTIONS(1331),
    [aux_sym_preproc_if_token1] = ACTIONS(1331),
    [aux_sym_preproc_if_token2] = ACTIONS(1331),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1331),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1331),
    [aux_sym_preproc_else_token1] = ACTIONS(1331),
    [aux_sym_preproc_elif_token1] = ACTIONS(1331),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1331),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1331),
    [sym_preproc_directive] = ACTIONS(1331),
    [anon_sym_LPAREN2] = ACTIONS(1333),
    [anon_sym_BANG] = ACTIONS(1333),
    [anon_sym_TILDE] = ACTIONS(1333),
    [anon_sym_DASH] = ACTIONS(1331),
    [anon_sym_PLUS] = ACTIONS(1331),
    [anon_sym_STAR] = ACTIONS(1333),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_SEMI] = ACTIONS(1333),
    [anon_sym___extension__] = ACTIONS(1331),
    [anon_sym_typedef] = ACTIONS(1331),
    [anon_sym_extern] = ACTIONS(1331),
    [anon_sym___attribute__] = ACTIONS(1331),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1333),
    [anon_sym___declspec] = ACTIONS(1331),
    [anon_sym___cdecl] = ACTIONS(1331),
    [anon_sym___clrcall] = ACTIONS(1331),
    [anon_sym___stdcall] = ACTIONS(1331),
    [anon_sym___fastcall] = ACTIONS(1331),
    [anon_sym___thiscall] = ACTIONS(1331),
    [anon_sym___vectorcall] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(1333),
    [anon_sym_signed] = ACTIONS(1331),
    [anon_sym_unsigned] = ACTIONS(1331),
    [anon_sym_long] = ACTIONS(1331),
    [anon_sym_short] = ACTIONS(1331),
    [anon_sym_static] = ACTIONS(1331),
    [anon_sym_auto] = ACTIONS(1331),
    [anon_sym_register] = ACTIONS(1331),
    [anon_sym_inline] = ACTIONS(1331),
    [anon_sym___inline] = ACTIONS(1331),
    [anon_sym___inline__] = ACTIONS(1331),
    [anon_sym___forceinline] = ACTIONS(1331),
    [anon_sym_thread_local] = ACTIONS(1331),
    [anon_sym___thread] = ACTIONS(1331),
    [anon_sym_const] = ACTIONS(1331),
    [anon_sym_constexpr] = ACTIONS(1331),
    [anon_sym_volatile] = ACTIONS(1331),
    [anon_sym_restrict] = ACTIONS(1331),
    [anon_sym___restrict__] = ACTIONS(1331),
    [anon_sym__Atomic] = ACTIONS(1331),
    [anon_sym__Noreturn] = ACTIONS(1331),
    [anon_sym_noreturn] = ACTIONS(1331),
    [anon_sym_alignas] = ACTIONS(1331),
    [anon_sym__Alignas] = ACTIONS(1331),
    [sym_primitive_type] = ACTIONS(1331),
    [anon_sym_enum] = ACTIONS(1331),
    [anon_sym_struct] = ACTIONS(1331),
    [anon_sym_union] = ACTIONS(1331),
    [anon_sym_if] = ACTIONS(1331),
    [anon_sym_switch] = ACTIONS(1331),
    [anon_sym_case] = ACTIONS(1331),
    [anon_sym_default] = ACTIONS(1331),
    [anon_sym_while] = ACTIONS(1331),
    [anon_sym_do] = ACTIONS(1331),
    [anon_sym_for] = ACTIONS(1331),
    [anon_sym_return] = ACTIONS(1331),
    [anon_sym_break] = ACTIONS(1331),
    [anon_sym_continue] = ACTIONS(1331),
    [anon_sym_goto] = ACTIONS(1331),
    [anon_sym___try] = ACTIONS(1331),
    [anon_sym___leave] = ACTIONS(1331),
    [anon_sym_DASH_DASH] = ACTIONS(1333),
    [anon_sym_PLUS_PLUS] = ACTIONS(1333),
    [anon_sym_sizeof] = ACTIONS(1331),
    [anon_sym___alignof__] = ACTIONS(1331),
    [anon_sym___alignof] = ACTIONS(1331),
    [anon_sym__alignof] = ACTIONS(1331),
    [anon_sym_alignof] = ACTIONS(1331),
    [anon_sym__Alignof] = ACTIONS(1331),
    [anon_sym_offsetof] = ACTIONS(1331),
    [anon_sym__Generic] = ACTIONS(1331),
    [anon_sym_asm] = ACTIONS(1331),
    [anon_sym___asm__] = ACTIONS(1331),
    [sym_number_literal] = ACTIONS(1333),
    [anon_sym_L_SQUOTE] = ACTIONS(1333),
    [anon_sym_u_SQUOTE] = ACTIONS(1333),
    [anon_sym_U_SQUOTE] = ACTIONS(1333),
    [anon_sym_u8_SQUOTE] = ACTIONS(1333),
    [anon_sym_SQUOTE] = ACTIONS(1333),
    [anon_sym_L_DQUOTE] = ACTIONS(1333),
    [anon_sym_u_DQUOTE] = ACTIONS(1333),
    [anon_sym_U_DQUOTE] = ACTIONS(1333),
    [anon_sym_u8_DQUOTE] = ACTIONS(1333),
    [anon_sym_DQUOTE] = ACTIONS(1333),
    [sym_true] = ACTIONS(1331),
    [sym_false] = ACTIONS(1331),
    [anon_sym_NULL] = ACTIONS(1331),
    [anon_sym_nullptr] = ACTIONS(1331),
    [sym_comment] = ACTIONS(3),
  },
  [135] = {
    [sym_identifier] = ACTIONS(1335),
    [aux_sym_preproc_include_token1] = ACTIONS(1335),
    [aux_sym_preproc_def_token1] = ACTIONS(1335),
    [aux_sym_preproc_if_token1] = ACTIONS(1335),
    [aux_sym_preproc_if_token2] = ACTIONS(1335),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1335),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1335),
    [aux_sym_preproc_else_token1] = ACTIONS(1335),
    [aux_sym_preproc_elif_token1] = ACTIONS(1335),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1335),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1335),
    [sym_preproc_directive] = ACTIONS(1335),
    [anon_sym_LPAREN2] = ACTIONS(1337),
    [anon_sym_BANG] = ACTIONS(1337),
    [anon_sym_TILDE] = ACTIONS(1337),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_STAR] = ACTIONS(1337),
    [anon_sym_AMP] = ACTIONS(1337),
    [anon_sym_SEMI] = ACTIONS(1337),
    [anon_sym___extension__] = ACTIONS(1335),
    [anon_sym_typedef] = ACTIONS(1335),
    [anon_sym_extern] = ACTIONS(1335),
    [anon_sym___attribute__] = ACTIONS(1335),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1337),
    [anon_sym___declspec] = ACTIONS(1335),
    [anon_sym___cdecl] = ACTIONS(1335),
    [anon_sym___clrcall] = ACTIONS(1335),
    [anon_sym___stdcall] = ACTIONS(1335),
    [anon_sym___fastcall] = ACTIONS(1335),
    [anon_sym___thiscall] = ACTIONS(1335),
    [anon_sym___vectorcall] = ACTIONS(1335),
    [anon_sym_LBRACE] = ACTIONS(1337),
    [anon_sym_signed] = ACTIONS(1335),
    [anon_sym_unsigned] = ACTIONS(1335),
    [anon_sym_long] = ACTIONS(1335),
    [anon_sym_short] = ACTIONS(1335),
    [anon_sym_static] = ACTIONS(1335),
    [anon_sym_auto] = ACTIONS(1335),
    [anon_sym_register] = ACTIONS(1335),
    [anon_sym_inline] = ACTIONS(1335),
    [anon_sym___inline] = ACTIONS(1335),
    [anon_sym___inline__] = ACTIONS(1335),
    [anon_sym___forceinline] = ACTIONS(1335),
    [anon_sym_thread_local] = ACTIONS(1335),
    [anon_sym___thread] = ACTIONS(1335),
    [anon_sym_const] = ACTIONS(1335),
    [anon_sym_constexpr] = ACTIONS(1335),
    [anon_sym_volatile] = ACTIONS(1335),
    [anon_sym_restrict] = ACTIONS(1335),
    [anon_sym___restrict__] = ACTIONS(1335),
    [anon_sym__Atomic] = ACTIONS(1335),
    [anon_sym__Noreturn] = ACTIONS(1335),
    [anon_sym_noreturn] = ACTIONS(1335),
    [anon_sym_alignas] = ACTIONS(1335),
    [anon_sym__Alignas] = ACTIONS(1335),
    [sym_primitive_type] = ACTIONS(1335),
    [anon_sym_enum] = ACTIONS(1335),
    [anon_sym_struct] = ACTIONS(1335),
    [anon_sym_union] = ACTIONS(1335),
    [anon_sym_if] = ACTIONS(1335),
    [anon_sym_switch] = ACTIONS(1335),
    [anon_sym_case] = ACTIONS(1335),
    [anon_sym_default] = ACTIONS(1335),
    [anon_sym_while] = ACTIONS(1335),
    [anon_sym_do] = ACTIONS(1335),
    [anon_sym_for] = ACTIONS(1335),
    [anon_sym_return] = ACTIONS(1335),
    [anon_sym_break] = ACTIONS(1335),
    [anon_sym_continue] = ACTIONS(1335),
    [anon_sym_goto] = ACTIONS(1335),
    [anon_sym___try] = ACTIONS(1335),
    [anon_sym___leave] = ACTIONS(1335),
    [anon_sym_DASH_DASH] = ACTIONS(1337),
    [anon_sym_PLUS_PLUS] = ACTIONS(1337),
    [anon_sym_sizeof] = ACTIONS(1335),
    [anon_sym___alignof__] = ACTIONS(1335),
    [anon_sym___alignof] = ACTIONS(1335),
    [anon_sym__alignof] = ACTIONS(1335),
    [anon_sym_alignof] = ACTIONS(1335),
    [anon_sym__Alignof] = ACTIONS(1335),
    [anon_sym_offsetof] = ACTIONS(1335),
    [anon_sym__Generic] = ACTIONS(1335),
    [anon_sym_asm] = ACTIONS(1335),
    [anon_sym___asm__] = ACTIONS(1335),
    [sym_number_literal] = ACTIONS(1337),
    [anon_sym_L_SQUOTE] = ACTIONS(1337),
    [anon_sym_u_SQUOTE] = ACTIONS(1337),
    [anon_sym_U_SQUOTE] = ACTIONS(1337),
    [anon_sym_u8_SQUOTE] = ACTIONS(1337),
    [anon_sym_SQUOTE] = ACTIONS(1337),
    [anon_sym_L_DQUOTE] = ACTIONS(1337),
    [anon_sym_u_DQUOTE] = ACTIONS(1337),
    [anon_sym_U_DQUOTE] = ACTIONS(1337),
    [anon_sym_u8_DQUOTE] = ACTIONS(1337),
    [anon_sym_DQUOTE] = ACTIONS(1337),
    [sym_true] = ACTIONS(1335),
    [sym_false] = ACTIONS(1335),
    [anon_sym_NULL] = ACTIONS(1335),
    [anon_sym_nullptr] = ACTIONS(1335),
    [sym_comment] = ACTIONS(3),
  },
  [136] = {
    [sym_identifier] = ACTIONS(1339),
    [aux_sym_preproc_include_token1] = ACTIONS(1339),
    [aux_sym_preproc_def_token1] = ACTIONS(1339),
    [aux_sym_preproc_if_token1] = ACTIONS(1339),
    [aux_sym_preproc_if_token2] = ACTIONS(1339),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1339),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1339),
    [aux_sym_preproc_else_token1] = ACTIONS(1339),
    [aux_sym_preproc_elif_token1] = ACTIONS(1339),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1339),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1339),
    [sym_preproc_directive] = ACTIONS(1339),
    [anon_sym_LPAREN2] = ACTIONS(1341),
    [anon_sym_BANG] = ACTIONS(1341),
    [anon_sym_TILDE] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1339),
    [anon_sym_PLUS] = ACTIONS(1339),
    [anon_sym_STAR] = ACTIONS(1341),
    [anon_sym_AMP] = ACTIONS(1341),
    [anon_sym_SEMI] = ACTIONS(1341),
    [anon_sym___extension__] = ACTIONS(1339),
    [anon_sym_typedef] = ACTIONS(1339),
    [anon_sym_extern] = ACTIONS(1339),
    [anon_sym___attribute__] = ACTIONS(1339),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1341),
    [anon_sym___declspec] = ACTIONS(1339),
    [anon_sym___cdecl] = ACTIONS(1339),
    [anon_sym___clrcall] = ACTIONS(1339),
    [anon_sym___stdcall] = ACTIONS(1339),
    [anon_sym___fastcall] = ACTIONS(1339),
    [anon_sym___thiscall] = ACTIONS(1339),
    [anon_sym___vectorcall] = ACTIONS(1339),
    [anon_sym_LBRACE] = ACTIONS(1341),
    [anon_sym_signed] = ACTIONS(1339),
    [anon_sym_unsigned] = ACTIONS(1339),
    [anon_sym_long] = ACTIONS(1339),
    [anon_sym_short] = ACTIONS(1339),
    [anon_sym_static] = ACTIONS(1339),
    [anon_sym_auto] = ACTIONS(1339),
    [anon_sym_register] = ACTIONS(1339),
    [anon_sym_inline] = ACTIONS(1339),
    [anon_sym___inline] = ACTIONS(1339),
    [anon_sym___inline__] = ACTIONS(1339),
    [anon_sym___forceinline] = ACTIONS(1339),
    [anon_sym_thread_local] = ACTIONS(1339),
    [anon_sym___thread] = ACTIONS(1339),
    [anon_sym_const] = ACTIONS(1339),
    [anon_sym_constexpr] = ACTIONS(1339),
    [anon_sym_volatile] = ACTIONS(1339),
    [anon_sym_restrict] = ACTIONS(1339),
    [anon_sym___restrict__] = ACTIONS(1339),
    [anon_sym__Atomic] = ACTIONS(1339),
    [anon_sym__Noreturn] = ACTIONS(1339),
    [anon_sym_noreturn] = ACTIONS(1339),
    [anon_sym_alignas] = ACTIONS(1339),
    [anon_sym__Alignas] = ACTIONS(1339),
    [sym_primitive_type] = ACTIONS(1339),
    [anon_sym_enum] = ACTIONS(1339),
    [anon_sym_struct] = ACTIONS(1339),
    [anon_sym_union] = ACTIONS(1339),
    [anon_sym_if] = ACTIONS(1339),
    [anon_sym_switch] = ACTIONS(1339),
    [anon_sym_case] = ACTIONS(1339),
    [anon_sym_default] = ACTIONS(1339),
    [anon_sym_while] = ACTIONS(1339),
    [anon_sym_do] = ACTIONS(1339),
    [anon_sym_for] = ACTIONS(1339),
    [anon_sym_return] = ACTIONS(1339),
    [anon_sym_break] = ACTIONS(1339),
    [anon_sym_continue] = ACTIONS(1339),
    [anon_sym_goto] = ACTIONS(1339),
    [anon_sym___try] = ACTIONS(1339),
    [anon_sym___leave] = ACTIONS(1339),
    [anon_sym_DASH_DASH] = ACTIONS(1341),
    [anon_sym_PLUS_PLUS] = ACTIONS(1341),
    [anon_sym_sizeof] = ACTIONS(1339),
    [anon_sym___alignof__] = ACTIONS(1339),
    [anon_sym___alignof] = ACTIONS(1339),
    [anon_sym__alignof] = ACTIONS(1339),
    [anon_sym_alignof] = ACTIONS(1339),
    [anon_sym__Alignof] = ACTIONS(1339),
    [anon_sym_offsetof] = ACTIONS(1339),
    [anon_sym__Generic] = ACTIONS(1339),
    [anon_sym_asm] = ACTIONS(1339),
    [anon_sym___asm__] = ACTIONS(1339),
    [sym_number_literal] = ACTIONS(1341),
    [anon_sym_L_SQUOTE] = ACTIONS(1341),
    [anon_sym_u_SQUOTE] = ACTIONS(1341),
    [anon_sym_U_SQUOTE] = ACTIONS(1341),
    [anon_sym_u8_SQUOTE] = ACTIONS(1341),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_L_DQUOTE] = ACTIONS(1341),
    [anon_sym_u_DQUOTE] = ACTIONS(1341),
    [anon_sym_U_DQUOTE] = ACTIONS(1341),
    [anon_sym_u8_DQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_true] = ACTIONS(1339),
    [sym_false] = ACTIONS(1339),
    [anon_sym_NULL] = ACTIONS(1339),
    [anon_sym_nullptr] = ACTIONS(1339),
    [sym_comment] = ACTIONS(3),
  },
  [137] = {
    [sym_identifier] = ACTIONS(1343),
    [aux_sym_preproc_include_token1] = ACTIONS(1343),
    [aux_sym_preproc_def_token1] = ACTIONS(1343),
    [aux_sym_preproc_if_token1] = ACTIONS(1343),
    [aux_sym_preproc_if_token2] = ACTIONS(1343),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1343),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1343),
    [aux_sym_preproc_else_token1] = ACTIONS(1343),
    [aux_sym_preproc_elif_token1] = ACTIONS(1343),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1343),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1343),
    [sym_preproc_directive] = ACTIONS(1343),
    [anon_sym_LPAREN2] = ACTIONS(1345),
    [anon_sym_BANG] = ACTIONS(1345),
    [anon_sym_TILDE] = ACTIONS(1345),
    [anon_sym_DASH] = ACTIONS(1343),
    [anon_sym_PLUS] = ACTIONS(1343),
    [anon_sym_STAR] = ACTIONS(1345),
    [anon_sym_AMP] = ACTIONS(1345),
    [anon_sym_SEMI] = ACTIONS(1345),
    [anon_sym___extension__] = ACTIONS(1343),
    [anon_sym_typedef] = ACTIONS(1343),
    [anon_sym_extern] = ACTIONS(1343),
    [anon_sym___attribute__] = ACTIONS(1343),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1345),
    [anon_sym___declspec] = ACTIONS(1343),
    [anon_sym___cdecl] = ACTIONS(1343),
    [anon_sym___clrcall] = ACTIONS(1343),
    [anon_sym___stdcall] = ACTIONS(1343),
    [anon_sym___fastcall] = ACTIONS(1343),
    [anon_sym___thiscall] = ACTIONS(1343),
    [anon_sym___vectorcall] = ACTIONS(1343),
    [anon_sym_LBRACE] = ACTIONS(1345),
    [anon_sym_signed] = ACTIONS(1343),
    [anon_sym_unsigned] = ACTIONS(1343),
    [anon_sym_long] = ACTIONS(1343),
    [anon_sym_short] = ACTIONS(1343),
    [anon_sym_static] = ACTIONS(1343),
    [anon_sym_auto] = ACTIONS(1343),
    [anon_sym_register] = ACTIONS(1343),
    [anon_sym_inline] = ACTIONS(1343),
    [anon_sym___inline] = ACTIONS(1343),
    [anon_sym___inline__] = ACTIONS(1343),
    [anon_sym___forceinline] = ACTIONS(1343),
    [anon_sym_thread_local] = ACTIONS(1343),
    [anon_sym___thread] = ACTIONS(1343),
    [anon_sym_const] = ACTIONS(1343),
    [anon_sym_constexpr] = ACTIONS(1343),
    [anon_sym_volatile] = ACTIONS(1343),
    [anon_sym_restrict] = ACTIONS(1343),
    [anon_sym___restrict__] = ACTIONS(1343),
    [anon_sym__Atomic] = ACTIONS(1343),
    [anon_sym__Noreturn] = ACTIONS(1343),
    [anon_sym_noreturn] = ACTIONS(1343),
    [anon_sym_alignas] = ACTIONS(1343),
    [anon_sym__Alignas] = ACTIONS(1343),
    [sym_primitive_type] = ACTIONS(1343),
    [anon_sym_enum] = ACTIONS(1343),
    [anon_sym_struct] = ACTIONS(1343),
    [anon_sym_union] = ACTIONS(1343),
    [anon_sym_if] = ACTIONS(1343),
    [anon_sym_switch] = ACTIONS(1343),
    [anon_sym_case] = ACTIONS(1343),
    [anon_sym_default] = ACTIONS(1343),
    [anon_sym_while] = ACTIONS(1343),
    [anon_sym_do] = ACTIONS(1343),
    [anon_sym_for] = ACTIONS(1343),
    [anon_sym_return] = ACTIONS(1343),
    [anon_sym_break] = ACTIONS(1343),
    [anon_sym_continue] = ACTIONS(1343),
    [anon_sym_goto] = ACTIONS(1343),
    [anon_sym___try] = ACTIONS(1343),
    [anon_sym___leave] = ACTIONS(1343),
    [anon_sym_DASH_DASH] = ACTIONS(1345),
    [anon_sym_PLUS_PLUS] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(1343),
    [anon_sym___alignof__] = ACTIONS(1343),
    [anon_sym___alignof] = ACTIONS(1343),
    [anon_sym__alignof] = ACTIONS(1343),
    [anon_sym_alignof] = ACTIONS(1343),
    [anon_sym__Alignof] = ACTIONS(1343),
    [anon_sym_offsetof] = ACTIONS(1343),
    [anon_sym__Generic] = ACTIONS(1343),
    [anon_sym_asm] = ACTIONS(1343),
    [anon_sym___asm__] = ACTIONS(1343),
    [sym_number_literal] = ACTIONS(1345),
    [anon_sym_L_SQUOTE] = ACTIONS(1345),
    [anon_sym_u_SQUOTE] = ACTIONS(1345),
    [anon_sym_U_SQUOTE] = ACTIONS(1345),
    [anon_sym_u8_SQUOTE] = ACTIONS(1345),
    [anon_sym_SQUOTE] = ACTIONS(1345),
    [anon_sym_L_DQUOTE] = ACTIONS(1345),
    [anon_sym_u_DQUOTE] = ACTIONS(1345),
    [anon_sym_U_DQUOTE] = ACTIONS(1345),
    [anon_sym_u8_DQUOTE] = ACTIONS(1345),
    [anon_sym_DQUOTE] = ACTIONS(1345),
    [sym_true] = ACTIONS(1343),
    [sym_false] = ACTIONS(1343),
    [anon_sym_NULL] = ACTIONS(1343),
    [anon_sym_nullptr] = ACTIONS(1343),
    [sym_comment] = ACTIONS(3),
  },
  [138] = {
    [sym_identifier] = ACTIONS(1347),
    [aux_sym_preproc_include_token1] = ACTIONS(1347),
    [aux_sym_preproc_def_token1] = ACTIONS(1347),
    [aux_sym_preproc_if_token1] = ACTIONS(1347),
    [aux_sym_preproc_if_token2] = ACTIONS(1347),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1347),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1347),
    [aux_sym_preproc_else_token1] = ACTIONS(1347),
    [aux_sym_preproc_elif_token1] = ACTIONS(1347),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1347),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1347),
    [sym_preproc_directive] = ACTIONS(1347),
    [anon_sym_LPAREN2] = ACTIONS(1349),
    [anon_sym_BANG] = ACTIONS(1349),
    [anon_sym_TILDE] = ACTIONS(1349),
    [anon_sym_DASH] = ACTIONS(1347),
    [anon_sym_PLUS] = ACTIONS(1347),
    [anon_sym_STAR] = ACTIONS(1349),
    [anon_sym_AMP] = ACTIONS(1349),
    [anon_sym_SEMI] = ACTIONS(1349),
    [anon_sym___extension__] = ACTIONS(1347),
    [anon_sym_typedef] = ACTIONS(1347),
    [anon_sym_extern] = ACTIONS(1347),
    [anon_sym___attribute__] = ACTIONS(1347),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1349),
    [anon_sym___declspec] = ACTIONS(1347),
    [anon_sym___cdecl] = ACTIONS(1347),
    [anon_sym___clrcall] = ACTIONS(1347),
    [anon_sym___stdcall] = ACTIONS(1347),
    [anon_sym___fastcall] = ACTIONS(1347),
    [anon_sym___thiscall] = ACTIONS(1347),
    [anon_sym___vectorcall] = ACTIONS(1347),
    [anon_sym_LBRACE] = ACTIONS(1349),
    [anon_sym_signed] = ACTIONS(1347),
    [anon_sym_unsigned] = ACTIONS(1347),
    [anon_sym_long] = ACTIONS(1347),
    [anon_sym_short] = ACTIONS(1347),
    [anon_sym_static] = ACTIONS(1347),
    [anon_sym_auto] = ACTIONS(1347),
    [anon_sym_register] = ACTIONS(1347),
    [anon_sym_inline] = ACTIONS(1347),
    [anon_sym___inline] = ACTIONS(1347),
    [anon_sym___inline__] = ACTIONS(1347),
    [anon_sym___forceinline] = ACTIONS(1347),
    [anon_sym_thread_local] = ACTIONS(1347),
    [anon_sym___thread] = ACTIONS(1347),
    [anon_sym_const] = ACTIONS(1347),
    [anon_sym_constexpr] = ACTIONS(1347),
    [anon_sym_volatile] = ACTIONS(1347),
    [anon_sym_restrict] = ACTIONS(1347),
    [anon_sym___restrict__] = ACTIONS(1347),
    [anon_sym__Atomic] = ACTIONS(1347),
    [anon_sym__Noreturn] = ACTIONS(1347),
    [anon_sym_noreturn] = ACTIONS(1347),
    [anon_sym_alignas] = ACTIONS(1347),
    [anon_sym__Alignas] = ACTIONS(1347),
    [sym_primitive_type] = ACTIONS(1347),
    [anon_sym_enum] = ACTIONS(1347),
    [anon_sym_struct] = ACTIONS(1347),
    [anon_sym_union] = ACTIONS(1347),
    [anon_sym_if] = ACTIONS(1347),
    [anon_sym_switch] = ACTIONS(1347),
    [anon_sym_case] = ACTIONS(1347),
    [anon_sym_default] = ACTIONS(1347),
    [anon_sym_while] = ACTIONS(1347),
    [anon_sym_do] = ACTIONS(1347),
    [anon_sym_for] = ACTIONS(1347),
    [anon_sym_return] = ACTIONS(1347),
    [anon_sym_break] = ACTIONS(1347),
    [anon_sym_continue] = ACTIONS(1347),
    [anon_sym_goto] = ACTIONS(1347),
    [anon_sym___try] = ACTIONS(1347),
    [anon_sym___leave] = ACTIONS(1347),
    [anon_sym_DASH_DASH] = ACTIONS(1349),
    [anon_sym_PLUS_PLUS] = ACTIONS(1349),
    [anon_sym_sizeof] = ACTIONS(1347),
    [anon_sym___alignof__] = ACTIONS(1347),
    [anon_sym___alignof] = ACTIONS(1347),
    [anon_sym__alignof] = ACTIONS(1347),
    [anon_sym_alignof] = ACTIONS(1347),
    [anon_sym__Alignof] = ACTIONS(1347),
    [anon_sym_offsetof] = ACTIONS(1347),
    [anon_sym__Generic] = ACTIONS(1347),
    [anon_sym_asm] = ACTIONS(1347),
    [anon_sym___asm__] = ACTIONS(1347),
    [sym_number_literal] = ACTIONS(1349),
    [anon_sym_L_SQUOTE] = ACTIONS(1349),
    [anon_sym_u_SQUOTE] = ACTIONS(1349),
    [anon_sym_U_SQUOTE] = ACTIONS(1349),
    [anon_sym_u8_SQUOTE] = ACTIONS(1349),
    [anon_sym_SQUOTE] = ACTIONS(1349),
    [anon_sym_L_DQUOTE] = ACTIONS(1349),
    [anon_sym_u_DQUOTE] = ACTIONS(1349),
    [anon_sym_U_DQUOTE] = ACTIONS(1349),
    [anon_sym_u8_DQUOTE] = ACTIONS(1349),
    [anon_sym_DQUOTE] = ACTIONS(1349),
    [sym_true] = ACTIONS(1347),
    [sym_false] = ACTIONS(1347),
    [anon_sym_NULL] = ACTIONS(1347),
    [anon_sym_nullptr] = ACTIONS(1347),
    [sym_comment] = ACTIONS(3),
  },
  [139] = {
    [sym_identifier] = ACTIONS(1351),
    [aux_sym_preproc_include_token1] = ACTIONS(1351),
    [aux_sym_preproc_def_token1] = ACTIONS(1351),
    [aux_sym_preproc_if_token1] = ACTIONS(1351),
    [aux_sym_preproc_if_token2] = ACTIONS(1351),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1351),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1351),
    [aux_sym_preproc_else_token1] = ACTIONS(1351),
    [aux_sym_preproc_elif_token1] = ACTIONS(1351),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1351),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1351),
    [sym_preproc_directive] = ACTIONS(1351),
    [anon_sym_LPAREN2] = ACTIONS(1353),
    [anon_sym_BANG] = ACTIONS(1353),
    [anon_sym_TILDE] = ACTIONS(1353),
    [anon_sym_DASH] = ACTIONS(1351),
    [anon_sym_PLUS] = ACTIONS(1351),
    [anon_sym_STAR] = ACTIONS(1353),
    [anon_sym_AMP] = ACTIONS(1353),
    [anon_sym_SEMI] = ACTIONS(1353),
    [anon_sym___extension__] = ACTIONS(1351),
    [anon_sym_typedef] = ACTIONS(1351),
    [anon_sym_extern] = ACTIONS(1351),
    [anon_sym___attribute__] = ACTIONS(1351),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1353),
    [anon_sym___declspec] = ACTIONS(1351),
    [anon_sym___cdecl] = ACTIONS(1351),
    [anon_sym___clrcall] = ACTIONS(1351),
    [anon_sym___stdcall] = ACTIONS(1351),
    [anon_sym___fastcall] = ACTIONS(1351),
    [anon_sym___thiscall] = ACTIONS(1351),
    [anon_sym___vectorcall] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_signed] = ACTIONS(1351),
    [anon_sym_unsigned] = ACTIONS(1351),
    [anon_sym_long] = ACTIONS(1351),
    [anon_sym_short] = ACTIONS(1351),
    [anon_sym_static] = ACTIONS(1351),
    [anon_sym_auto] = ACTIONS(1351),
    [anon_sym_register] = ACTIONS(1351),
    [anon_sym_inline] = ACTIONS(1351),
    [anon_sym___inline] = ACTIONS(1351),
    [anon_sym___inline__] = ACTIONS(1351),
    [anon_sym___forceinline] = ACTIONS(1351),
    [anon_sym_thread_local] = ACTIONS(1351),
    [anon_sym___thread] = ACTIONS(1351),
    [anon_sym_const] = ACTIONS(1351),
    [anon_sym_constexpr] = ACTIONS(1351),
    [anon_sym_volatile] = ACTIONS(1351),
    [anon_sym_restrict] = ACTIONS(1351),
    [anon_sym___restrict__] = ACTIONS(1351),
    [anon_sym__Atomic] = ACTIONS(1351),
    [anon_sym__Noreturn] = ACTIONS(1351),
    [anon_sym_noreturn] = ACTIONS(1351),
    [anon_sym_alignas] = ACTIONS(1351),
    [anon_sym__Alignas] = ACTIONS(1351),
    [sym_primitive_type] = ACTIONS(1351),
    [anon_sym_enum] = ACTIONS(1351),
    [anon_sym_struct] = ACTIONS(1351),
    [anon_sym_union] = ACTIONS(1351),
    [anon_sym_if] = ACTIONS(1351),
    [anon_sym_switch] = ACTIONS(1351),
    [anon_sym_case] = ACTIONS(1351),
    [anon_sym_default] = ACTIONS(1351),
    [anon_sym_while] = ACTIONS(1351),
    [anon_sym_do] = ACTIONS(1351),
    [anon_sym_for] = ACTIONS(1351),
    [anon_sym_return] = ACTIONS(1351),
    [anon_sym_break] = ACTIONS(1351),
    [anon_sym_continue] = ACTIONS(1351),
    [anon_sym_goto] = ACTIONS(1351),
    [anon_sym___try] = ACTIONS(1351),
    [anon_sym___leave] = ACTIONS(1351),
    [anon_sym_DASH_DASH] = ACTIONS(1353),
    [anon_sym_PLUS_PLUS] = ACTIONS(1353),
    [anon_sym_sizeof] = ACTIONS(1351),
    [anon_sym___alignof__] = ACTIONS(1351),
    [anon_sym___alignof] = ACTIONS(1351),
    [anon_sym__alignof] = ACTIONS(1351),
    [anon_sym_alignof] = ACTIONS(1351),
    [anon_sym__Alignof] = ACTIONS(1351),
    [anon_sym_offsetof] = ACTIONS(1351),
    [anon_sym__Generic] = ACTIONS(1351),
    [anon_sym_asm] = ACTIONS(1351),
    [anon_sym___asm__] = ACTIONS(1351),
    [sym_number_literal] = ACTIONS(1353),
    [anon_sym_L_SQUOTE] = ACTIONS(1353),
    [anon_sym_u_SQUOTE] = ACTIONS(1353),
    [anon_sym_U_SQUOTE] = ACTIONS(1353),
    [anon_sym_u8_SQUOTE] = ACTIONS(1353),
    [anon_sym_SQUOTE] = ACTIONS(1353),
    [anon_sym_L_DQUOTE] = ACTIONS(1353),
    [anon_sym_u_DQUOTE] = ACTIONS(1353),
    [anon_sym_U_DQUOTE] = ACTIONS(1353),
    [anon_sym_u8_DQUOTE] = ACTIONS(1353),
    [anon_sym_DQUOTE] = ACTIONS(1353),
    [sym_true] = ACTIONS(1351),
    [sym_false] = ACTIONS(1351),
    [anon_sym_NULL] = ACTIONS(1351),
    [anon_sym_nullptr] = ACTIONS(1351),
    [sym_comment] = ACTIONS(3),
  },
  [140] = {
    [sym_identifier] = ACTIONS(1355),
    [aux_sym_preproc_include_token1] = ACTIONS(1355),
    [aux_sym_preproc_def_token1] = ACTIONS(1355),
    [aux_sym_preproc_if_token1] = ACTIONS(1355),
    [aux_sym_preproc_if_token2] = ACTIONS(1355),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1355),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1355),
    [aux_sym_preproc_else_token1] = ACTIONS(1355),
    [aux_sym_preproc_elif_token1] = ACTIONS(1355),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1355),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1355),
    [sym_preproc_directive] = ACTIONS(1355),
    [anon_sym_LPAREN2] = ACTIONS(1358),
    [anon_sym_BANG] = ACTIONS(1358),
    [anon_sym_TILDE] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1355),
    [anon_sym_PLUS] = ACTIONS(1355),
    [anon_sym_STAR] = ACTIONS(1358),
    [anon_sym_AMP] = ACTIONS(1358),
    [anon_sym_SEMI] = ACTIONS(1358),
    [anon_sym___extension__] = ACTIONS(1355),
    [anon_sym_typedef] = ACTIONS(1355),
    [anon_sym_extern] = ACTIONS(1355),
    [anon_sym___attribute__] = ACTIONS(1355),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1358),
    [anon_sym___declspec] = ACTIONS(1355),
    [anon_sym___cdecl] = ACTIONS(1355),
    [anon_sym___clrcall] = ACTIONS(1355),
    [anon_sym___stdcall] = ACTIONS(1355),
    [anon_sym___fastcall] = ACTIONS(1355),
    [anon_sym___thiscall] = ACTIONS(1355),
    [anon_sym___vectorcall] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1358),
    [anon_sym_signed] = ACTIONS(1355),
    [anon_sym_unsigned] = ACTIONS(1355),
    [anon_sym_long] = ACTIONS(1355),
    [anon_sym_short] = ACTIONS(1355),
    [anon_sym_static] = ACTIONS(1355),
    [anon_sym_auto] = ACTIONS(1355),
    [anon_sym_register] = ACTIONS(1355),
    [anon_sym_inline] = ACTIONS(1355),
    [anon_sym___inline] = ACTIONS(1355),
    [anon_sym___inline__] = ACTIONS(1355),
    [anon_sym___forceinline] = ACTIONS(1355),
    [anon_sym_thread_local] = ACTIONS(1355),
    [anon_sym___thread] = ACTIONS(1355),
    [anon_sym_const] = ACTIONS(1355),
    [anon_sym_constexpr] = ACTIONS(1355),
    [anon_sym_volatile] = ACTIONS(1355),
    [anon_sym_restrict] = ACTIONS(1355),
    [anon_sym___restrict__] = ACTIONS(1355),
    [anon_sym__Atomic] = ACTIONS(1355),
    [anon_sym__Noreturn] = ACTIONS(1355),
    [anon_sym_noreturn] = ACTIONS(1355),
    [anon_sym_alignas] = ACTIONS(1355),
    [anon_sym__Alignas] = ACTIONS(1355),
    [sym_primitive_type] = ACTIONS(1355),
    [anon_sym_enum] = ACTIONS(1355),
    [anon_sym_struct] = ACTIONS(1355),
    [anon_sym_union] = ACTIONS(1355),
    [anon_sym_if] = ACTIONS(1355),
    [anon_sym_switch] = ACTIONS(1355),
    [anon_sym_case] = ACTIONS(1355),
    [anon_sym_default] = ACTIONS(1355),
    [anon_sym_while] = ACTIONS(1355),
    [anon_sym_do] = ACTIONS(1355),
    [anon_sym_for] = ACTIONS(1355),
    [anon_sym_return] = ACTIONS(1355),
    [anon_sym_break] = ACTIONS(1355),
    [anon_sym_continue] = ACTIONS(1355),
    [anon_sym_goto] = ACTIONS(1355),
    [anon_sym___try] = ACTIONS(1355),
    [anon_sym___leave] = ACTIONS(1355),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [anon_sym_sizeof] = ACTIONS(1355),
    [anon_sym___alignof__] = ACTIONS(1355),
    [anon_sym___alignof] = ACTIONS(1355),
    [anon_sym__alignof] = ACTIONS(1355),
    [anon_sym_alignof] = ACTIONS(1355),
    [anon_sym__Alignof] = ACTIONS(1355),
    [anon_sym_offsetof] = ACTIONS(1355),
    [anon_sym__Generic] = ACTIONS(1355),
    [anon_sym_asm] = ACTIONS(1355),
    [anon_sym___asm__] = ACTIONS(1355),
    [sym_number_literal] = ACTIONS(1358),
    [anon_sym_L_SQUOTE] = ACTIONS(1358),
    [anon_sym_u_SQUOTE] = ACTIONS(1358),
    [anon_sym_U_SQUOTE] = ACTIONS(1358),
    [anon_sym_u8_SQUOTE] = ACTIONS(1358),
    [anon_sym_SQUOTE] = ACTIONS(1358),
    [anon_sym_L_DQUOTE] = ACTIONS(1358),
    [anon_sym_u_DQUOTE] = ACTIONS(1358),
    [anon_sym_U_DQUOTE] = ACTIONS(1358),
    [anon_sym_u8_DQUOTE] = ACTIONS(1358),
    [anon_sym_DQUOTE] = ACTIONS(1358),
    [sym_true] = ACTIONS(1355),
    [sym_false] = ACTIONS(1355),
    [anon_sym_NULL] = ACTIONS(1355),
    [anon_sym_nullptr] = ACTIONS(1355),
    [sym_comment] = ACTIONS(3),
  },
  [141] = {
    [sym_identifier] = ACTIONS(1361),
    [aux_sym_preproc_include_token1] = ACTIONS(1361),
    [aux_sym_preproc_def_token1] = ACTIONS(1361),
    [aux_sym_preproc_if_token1] = ACTIONS(1361),
    [aux_sym_preproc_if_token2] = ACTIONS(1361),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1361),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1361),
    [aux_sym_preproc_else_token1] = ACTIONS(1361),
    [aux_sym_preproc_elif_token1] = ACTIONS(1361),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1361),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1361),
    [sym_preproc_directive] = ACTIONS(1361),
    [anon_sym_LPAREN2] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_TILDE] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_AMP] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1363),
    [anon_sym___extension__] = ACTIONS(1361),
    [anon_sym_typedef] = ACTIONS(1361),
    [anon_sym_extern] = ACTIONS(1361),
    [anon_sym___attribute__] = ACTIONS(1361),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1363),
    [anon_sym___declspec] = ACTIONS(1361),
    [anon_sym___cdecl] = ACTIONS(1361),
    [anon_sym___clrcall] = ACTIONS(1361),
    [anon_sym___stdcall] = ACTIONS(1361),
    [anon_sym___fastcall] = ACTIONS(1361),
    [anon_sym___thiscall] = ACTIONS(1361),
    [anon_sym___vectorcall] = ACTIONS(1361),
    [anon_sym_LBRACE] = ACTIONS(1363),
    [anon_sym_signed] = ACTIONS(1361),
    [anon_sym_unsigned] = ACTIONS(1361),
    [anon_sym_long] = ACTIONS(1361),
    [anon_sym_short] = ACTIONS(1361),
    [anon_sym_static] = ACTIONS(1361),
    [anon_sym_auto] = ACTIONS(1361),
    [anon_sym_register] = ACTIONS(1361),
    [anon_sym_inline] = ACTIONS(1361),
    [anon_sym___inline] = ACTIONS(1361),
    [anon_sym___inline__] = ACTIONS(1361),
    [anon_sym___forceinline] = ACTIONS(1361),
    [anon_sym_thread_local] = ACTIONS(1361),
    [anon_sym___thread] = ACTIONS(1361),
    [anon_sym_const] = ACTIONS(1361),
    [anon_sym_constexpr] = ACTIONS(1361),
    [anon_sym_volatile] = ACTIONS(1361),
    [anon_sym_restrict] = ACTIONS(1361),
    [anon_sym___restrict__] = ACTIONS(1361),
    [anon_sym__Atomic] = ACTIONS(1361),
    [anon_sym__Noreturn] = ACTIONS(1361),
    [anon_sym_noreturn] = ACTIONS(1361),
    [anon_sym_alignas] = ACTIONS(1361),
    [anon_sym__Alignas] = ACTIONS(1361),
    [sym_primitive_type] = ACTIONS(1361),
    [anon_sym_enum] = ACTIONS(1361),
    [anon_sym_struct] = ACTIONS(1361),
    [anon_sym_union] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_switch] = ACTIONS(1361),
    [anon_sym_case] = ACTIONS(1361),
    [anon_sym_default] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1361),
    [anon_sym_do] = ACTIONS(1361),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_return] = ACTIONS(1361),
    [anon_sym_break] = ACTIONS(1361),
    [anon_sym_continue] = ACTIONS(1361),
    [anon_sym_goto] = ACTIONS(1361),
    [anon_sym___try] = ACTIONS(1361),
    [anon_sym___leave] = ACTIONS(1361),
    [anon_sym_DASH_DASH] = ACTIONS(1363),
    [anon_sym_PLUS_PLUS] = ACTIONS(1363),
    [anon_sym_sizeof] = ACTIONS(1361),
    [anon_sym___alignof__] = ACTIONS(1361),
    [anon_sym___alignof] = ACTIONS(1361),
    [anon_sym__alignof] = ACTIONS(1361),
    [anon_sym_alignof] = ACTIONS(1361),
    [anon_sym__Alignof] = ACTIONS(1361),
    [anon_sym_offsetof] = ACTIONS(1361),
    [anon_sym__Generic] = ACTIONS(1361),
    [anon_sym_asm] = ACTIONS(1361),
    [anon_sym___asm__] = ACTIONS(1361),
    [sym_number_literal] = ACTIONS(1363),
    [anon_sym_L_SQUOTE] = ACTIONS(1363),
    [anon_sym_u_SQUOTE] = ACTIONS(1363),
    [anon_sym_U_SQUOTE] = ACTIONS(1363),
    [anon_sym_u8_SQUOTE] = ACTIONS(1363),
    [anon_sym_SQUOTE] = ACTIONS(1363),
    [anon_sym_L_DQUOTE] = ACTIONS(1363),
    [anon_sym_u_DQUOTE] = ACTIONS(1363),
    [anon_sym_U_DQUOTE] = ACTIONS(1363),
    [anon_sym_u8_DQUOTE] = ACTIONS(1363),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_true] = ACTIONS(1361),
    [sym_false] = ACTIONS(1361),
    [anon_sym_NULL] = ACTIONS(1361),
    [anon_sym_nullptr] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
  },
  [142] = {
    [sym_identifier] = ACTIONS(1365),
    [aux_sym_preproc_include_token1] = ACTIONS(1365),
    [aux_sym_preproc_def_token1] = ACTIONS(1365),
    [aux_sym_preproc_if_token1] = ACTIONS(1365),
    [aux_sym_preproc_if_token2] = ACTIONS(1365),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1365),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1365),
    [aux_sym_preproc_else_token1] = ACTIONS(1365),
    [aux_sym_preproc_elif_token1] = ACTIONS(1365),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1365),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1365),
    [sym_preproc_directive] = ACTIONS(1365),
    [anon_sym_LPAREN2] = ACTIONS(1367),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_TILDE] = ACTIONS(1367),
    [anon_sym_DASH] = ACTIONS(1365),
    [anon_sym_PLUS] = ACTIONS(1365),
    [anon_sym_STAR] = ACTIONS(1367),
    [anon_sym_AMP] = ACTIONS(1367),
    [anon_sym_SEMI] = ACTIONS(1367),
    [anon_sym___extension__] = ACTIONS(1365),
    [anon_sym_typedef] = ACTIONS(1365),
    [anon_sym_extern] = ACTIONS(1365),
    [anon_sym___attribute__] = ACTIONS(1365),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1367),
    [anon_sym___declspec] = ACTIONS(1365),
    [anon_sym___cdecl] = ACTIONS(1365),
    [anon_sym___clrcall] = ACTIONS(1365),
    [anon_sym___stdcall] = ACTIONS(1365),
    [anon_sym___fastcall] = ACTIONS(1365),
    [anon_sym___thiscall] = ACTIONS(1365),
    [anon_sym___vectorcall] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym_signed] = ACTIONS(1365),
    [anon_sym_unsigned] = ACTIONS(1365),
    [anon_sym_long] = ACTIONS(1365),
    [anon_sym_short] = ACTIONS(1365),
    [anon_sym_static] = ACTIONS(1365),
    [anon_sym_auto] = ACTIONS(1365),
    [anon_sym_register] = ACTIONS(1365),
    [anon_sym_inline] = ACTIONS(1365),
    [anon_sym___inline] = ACTIONS(1365),
    [anon_sym___inline__] = ACTIONS(1365),
    [anon_sym___forceinline] = ACTIONS(1365),
    [anon_sym_thread_local] = ACTIONS(1365),
    [anon_sym___thread] = ACTIONS(1365),
    [anon_sym_const] = ACTIONS(1365),
    [anon_sym_constexpr] = ACTIONS(1365),
    [anon_sym_volatile] = ACTIONS(1365),
    [anon_sym_restrict] = ACTIONS(1365),
    [anon_sym___restrict__] = ACTIONS(1365),
    [anon_sym__Atomic] = ACTIONS(1365),
    [anon_sym__Noreturn] = ACTIONS(1365),
    [anon_sym_noreturn] = ACTIONS(1365),
    [anon_sym_alignas] = ACTIONS(1365),
    [anon_sym__Alignas] = ACTIONS(1365),
    [sym_primitive_type] = ACTIONS(1365),
    [anon_sym_enum] = ACTIONS(1365),
    [anon_sym_struct] = ACTIONS(1365),
    [anon_sym_union] = ACTIONS(1365),
    [anon_sym_if] = ACTIONS(1365),
    [anon_sym_switch] = ACTIONS(1365),
    [anon_sym_case] = ACTIONS(1365),
    [anon_sym_default] = ACTIONS(1365),
    [anon_sym_while] = ACTIONS(1365),
    [anon_sym_do] = ACTIONS(1365),
    [anon_sym_for] = ACTIONS(1365),
    [anon_sym_return] = ACTIONS(1365),
    [anon_sym_break] = ACTIONS(1365),
    [anon_sym_continue] = ACTIONS(1365),
    [anon_sym_goto] = ACTIONS(1365),
    [anon_sym___try] = ACTIONS(1365),
    [anon_sym___leave] = ACTIONS(1365),
    [anon_sym_DASH_DASH] = ACTIONS(1367),
    [anon_sym_PLUS_PLUS] = ACTIONS(1367),
    [anon_sym_sizeof] = ACTIONS(1365),
    [anon_sym___alignof__] = ACTIONS(1365),
    [anon_sym___alignof] = ACTIONS(1365),
    [anon_sym__alignof] = ACTIONS(1365),
    [anon_sym_alignof] = ACTIONS(1365),
    [anon_sym__Alignof] = ACTIONS(1365),
    [anon_sym_offsetof] = ACTIONS(1365),
    [anon_sym__Generic] = ACTIONS(1365),
    [anon_sym_asm] = ACTIONS(1365),
    [anon_sym___asm__] = ACTIONS(1365),
    [sym_number_literal] = ACTIONS(1367),
    [anon_sym_L_SQUOTE] = ACTIONS(1367),
    [anon_sym_u_SQUOTE] = ACTIONS(1367),
    [anon_sym_U_SQUOTE] = ACTIONS(1367),
    [anon_sym_u8_SQUOTE] = ACTIONS(1367),
    [anon_sym_SQUOTE] = ACTIONS(1367),
    [anon_sym_L_DQUOTE] = ACTIONS(1367),
    [anon_sym_u_DQUOTE] = ACTIONS(1367),
    [anon_sym_U_DQUOTE] = ACTIONS(1367),
    [anon_sym_u8_DQUOTE] = ACTIONS(1367),
    [anon_sym_DQUOTE] = ACTIONS(1367),
    [sym_true] = ACTIONS(1365),
    [sym_false] = ACTIONS(1365),
    [anon_sym_NULL] = ACTIONS(1365),
    [anon_sym_nullptr] = ACTIONS(1365),
    [sym_comment] = ACTIONS(3),
  },
  [143] = {
    [sym_else_clause] = STATE(224),
    [sym_identifier] = ACTIONS(1117),
    [aux_sym_preproc_include_token1] = ACTIONS(1117),
    [aux_sym_preproc_def_token1] = ACTIONS(1117),
    [aux_sym_preproc_if_token1] = ACTIONS(1117),
    [aux_sym_preproc_if_token2] = ACTIONS(1117),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1117),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1117),
    [sym_preproc_directive] = ACTIONS(1117),
    [anon_sym_LPAREN2] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1117),
    [anon_sym_PLUS] = ACTIONS(1117),
    [anon_sym_STAR] = ACTIONS(1119),
    [anon_sym_AMP] = ACTIONS(1119),
    [anon_sym_SEMI] = ACTIONS(1119),
    [anon_sym___extension__] = ACTIONS(1117),
    [anon_sym_typedef] = ACTIONS(1117),
    [anon_sym_extern] = ACTIONS(1117),
    [anon_sym___attribute__] = ACTIONS(1117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1119),
    [anon_sym___declspec] = ACTIONS(1117),
    [anon_sym___cdecl] = ACTIONS(1117),
    [anon_sym___clrcall] = ACTIONS(1117),
    [anon_sym___stdcall] = ACTIONS(1117),
    [anon_sym___fastcall] = ACTIONS(1117),
    [anon_sym___thiscall] = ACTIONS(1117),
    [anon_sym___vectorcall] = ACTIONS(1117),
    [anon_sym_LBRACE] = ACTIONS(1119),
    [anon_sym_signed] = ACTIONS(1117),
    [anon_sym_unsigned] = ACTIONS(1117),
    [anon_sym_long] = ACTIONS(1117),
    [anon_sym_short] = ACTIONS(1117),
    [anon_sym_static] = ACTIONS(1117),
    [anon_sym_auto] = ACTIONS(1117),
    [anon_sym_register] = ACTIONS(1117),
    [anon_sym_inline] = ACTIONS(1117),
    [anon_sym___inline] = ACTIONS(1117),
    [anon_sym___inline__] = ACTIONS(1117),
    [anon_sym___forceinline] = ACTIONS(1117),
    [anon_sym_thread_local] = ACTIONS(1117),
    [anon_sym___thread] = ACTIONS(1117),
    [anon_sym_const] = ACTIONS(1117),
    [anon_sym_constexpr] = ACTIONS(1117),
    [anon_sym_volatile] = ACTIONS(1117),
    [anon_sym_restrict] = ACTIONS(1117),
    [anon_sym___restrict__] = ACTIONS(1117),
    [anon_sym__Atomic] = ACTIONS(1117),
    [anon_sym__Noreturn] = ACTIONS(1117),
    [anon_sym_noreturn] = ACTIONS(1117),
    [anon_sym_alignas] = ACTIONS(1117),
    [anon_sym__Alignas] = ACTIONS(1117),
    [sym_primitive_type] = ACTIONS(1117),
    [anon_sym_enum] = ACTIONS(1117),
    [anon_sym_struct] = ACTIONS(1117),
    [anon_sym_union] = ACTIONS(1117),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_else] = ACTIONS(1369),
    [anon_sym_switch] = ACTIONS(1117),
    [anon_sym_case] = ACTIONS(1117),
    [anon_sym_default] = ACTIONS(1117),
    [anon_sym_while] = ACTIONS(1117),
    [anon_sym_do] = ACTIONS(1117),
    [anon_sym_for] = ACTIONS(1117),
    [anon_sym_return] = ACTIONS(1117),
    [anon_sym_break] = ACTIONS(1117),
    [anon_sym_continue] = ACTIONS(1117),
    [anon_sym_goto] = ACTIONS(1117),
    [anon_sym___try] = ACTIONS(1117),
    [anon_sym___leave] = ACTIONS(1117),
    [anon_sym_DASH_DASH] = ACTIONS(1119),
    [anon_sym_PLUS_PLUS] = ACTIONS(1119),
    [anon_sym_sizeof] = ACTIONS(1117),
    [anon_sym___alignof__] = ACTIONS(1117),
    [anon_sym___alignof] = ACTIONS(1117),
    [anon_sym__alignof] = ACTIONS(1117),
    [anon_sym_alignof] = ACTIONS(1117),
    [anon_sym__Alignof] = ACTIONS(1117),
    [anon_sym_offsetof] = ACTIONS(1117),
    [anon_sym__Generic] = ACTIONS(1117),
    [anon_sym_asm] = ACTIONS(1117),
    [anon_sym___asm__] = ACTIONS(1117),
    [sym_number_literal] = ACTIONS(1119),
    [anon_sym_L_SQUOTE] = ACTIONS(1119),
    [anon_sym_u_SQUOTE] = ACTIONS(1119),
    [anon_sym_U_SQUOTE] = ACTIONS(1119),
    [anon_sym_u8_SQUOTE] = ACTIONS(1119),
    [anon_sym_SQUOTE] = ACTIONS(1119),
    [anon_sym_L_DQUOTE] = ACTIONS(1119),
    [anon_sym_u_DQUOTE] = ACTIONS(1119),
    [anon_sym_U_DQUOTE] = ACTIONS(1119),
    [anon_sym_u8_DQUOTE] = ACTIONS(1119),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_true] = ACTIONS(1117),
    [sym_false] = ACTIONS(1117),
    [anon_sym_NULL] = ACTIONS(1117),
    [anon_sym_nullptr] = ACTIONS(1117),
    [sym_comment] = ACTIONS(3),
  },
  [144] = {
    [sym_else_clause] = STATE(211),
    [sym_identifier] = ACTIONS(1117),
    [aux_sym_preproc_include_token1] = ACTIONS(1117),
    [aux_sym_preproc_def_token1] = ACTIONS(1117),
    [aux_sym_preproc_if_token1] = ACTIONS(1117),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1117),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1117),
    [sym_preproc_directive] = ACTIONS(1117),
    [anon_sym_LPAREN2] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1117),
    [anon_sym_PLUS] = ACTIONS(1117),
    [anon_sym_STAR] = ACTIONS(1119),
    [anon_sym_AMP] = ACTIONS(1119),
    [anon_sym_SEMI] = ACTIONS(1119),
    [anon_sym___extension__] = ACTIONS(1117),
    [anon_sym_typedef] = ACTIONS(1117),
    [anon_sym_extern] = ACTIONS(1117),
    [anon_sym___attribute__] = ACTIONS(1117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1119),
    [anon_sym___declspec] = ACTIONS(1117),
    [anon_sym___cdecl] = ACTIONS(1117),
    [anon_sym___clrcall] = ACTIONS(1117),
    [anon_sym___stdcall] = ACTIONS(1117),
    [anon_sym___fastcall] = ACTIONS(1117),
    [anon_sym___thiscall] = ACTIONS(1117),
    [anon_sym___vectorcall] = ACTIONS(1117),
    [anon_sym_LBRACE] = ACTIONS(1119),
    [anon_sym_RBRACE] = ACTIONS(1119),
    [anon_sym_signed] = ACTIONS(1117),
    [anon_sym_unsigned] = ACTIONS(1117),
    [anon_sym_long] = ACTIONS(1117),
    [anon_sym_short] = ACTIONS(1117),
    [anon_sym_static] = ACTIONS(1117),
    [anon_sym_auto] = ACTIONS(1117),
    [anon_sym_register] = ACTIONS(1117),
    [anon_sym_inline] = ACTIONS(1117),
    [anon_sym___inline] = ACTIONS(1117),
    [anon_sym___inline__] = ACTIONS(1117),
    [anon_sym___forceinline] = ACTIONS(1117),
    [anon_sym_thread_local] = ACTIONS(1117),
    [anon_sym___thread] = ACTIONS(1117),
    [anon_sym_const] = ACTIONS(1117),
    [anon_sym_constexpr] = ACTIONS(1117),
    [anon_sym_volatile] = ACTIONS(1117),
    [anon_sym_restrict] = ACTIONS(1117),
    [anon_sym___restrict__] = ACTIONS(1117),
    [anon_sym__Atomic] = ACTIONS(1117),
    [anon_sym__Noreturn] = ACTIONS(1117),
    [anon_sym_noreturn] = ACTIONS(1117),
    [anon_sym_alignas] = ACTIONS(1117),
    [anon_sym__Alignas] = ACTIONS(1117),
    [sym_primitive_type] = ACTIONS(1117),
    [anon_sym_enum] = ACTIONS(1117),
    [anon_sym_struct] = ACTIONS(1117),
    [anon_sym_union] = ACTIONS(1117),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_else] = ACTIONS(1371),
    [anon_sym_switch] = ACTIONS(1117),
    [anon_sym_case] = ACTIONS(1117),
    [anon_sym_default] = ACTIONS(1117),
    [anon_sym_while] = ACTIONS(1117),
    [anon_sym_do] = ACTIONS(1117),
    [anon_sym_for] = ACTIONS(1117),
    [anon_sym_return] = ACTIONS(1117),
    [anon_sym_break] = ACTIONS(1117),
    [anon_sym_continue] = ACTIONS(1117),
    [anon_sym_goto] = ACTIONS(1117),
    [anon_sym___try] = ACTIONS(1117),
    [anon_sym___leave] = ACTIONS(1117),
    [anon_sym_DASH_DASH] = ACTIONS(1119),
    [anon_sym_PLUS_PLUS] = ACTIONS(1119),
    [anon_sym_sizeof] = ACTIONS(1117),
    [anon_sym___alignof__] = ACTIONS(1117),
    [anon_sym___alignof] = ACTIONS(1117),
    [anon_sym__alignof] = ACTIONS(1117),
    [anon_sym_alignof] = ACTIONS(1117),
    [anon_sym__Alignof] = ACTIONS(1117),
    [anon_sym_offsetof] = ACTIONS(1117),
    [anon_sym__Generic] = ACTIONS(1117),
    [anon_sym_asm] = ACTIONS(1117),
    [anon_sym___asm__] = ACTIONS(1117),
    [sym_number_literal] = ACTIONS(1119),
    [anon_sym_L_SQUOTE] = ACTIONS(1119),
    [anon_sym_u_SQUOTE] = ACTIONS(1119),
    [anon_sym_U_SQUOTE] = ACTIONS(1119),
    [anon_sym_u8_SQUOTE] = ACTIONS(1119),
    [anon_sym_SQUOTE] = ACTIONS(1119),
    [anon_sym_L_DQUOTE] = ACTIONS(1119),
    [anon_sym_u_DQUOTE] = ACTIONS(1119),
    [anon_sym_U_DQUOTE] = ACTIONS(1119),
    [anon_sym_u8_DQUOTE] = ACTIONS(1119),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_true] = ACTIONS(1117),
    [sym_false] = ACTIONS(1117),
    [anon_sym_NULL] = ACTIONS(1117),
    [anon_sym_nullptr] = ACTIONS(1117),
    [sym_comment] = ACTIONS(3),
  },
  [145] = {
    [sym_else_clause] = STATE(157),
    [ts_builtin_sym_end] = ACTIONS(1119),
    [sym_identifier] = ACTIONS(1117),
    [aux_sym_preproc_include_token1] = ACTIONS(1117),
    [aux_sym_preproc_def_token1] = ACTIONS(1117),
    [aux_sym_preproc_if_token1] = ACTIONS(1117),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1117),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1117),
    [sym_preproc_directive] = ACTIONS(1117),
    [anon_sym_LPAREN2] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1117),
    [anon_sym_PLUS] = ACTIONS(1117),
    [anon_sym_STAR] = ACTIONS(1119),
    [anon_sym_AMP] = ACTIONS(1119),
    [anon_sym_SEMI] = ACTIONS(1119),
    [anon_sym___extension__] = ACTIONS(1117),
    [anon_sym_typedef] = ACTIONS(1117),
    [anon_sym_extern] = ACTIONS(1117),
    [anon_sym___attribute__] = ACTIONS(1117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1119),
    [anon_sym___declspec] = ACTIONS(1117),
    [anon_sym___cdecl] = ACTIONS(1117),
    [anon_sym___clrcall] = ACTIONS(1117),
    [anon_sym___stdcall] = ACTIONS(1117),
    [anon_sym___fastcall] = ACTIONS(1117),
    [anon_sym___thiscall] = ACTIONS(1117),
    [anon_sym___vectorcall] = ACTIONS(1117),
    [anon_sym_LBRACE] = ACTIONS(1119),
    [anon_sym_signed] = ACTIONS(1117),
    [anon_sym_unsigned] = ACTIONS(1117),
    [anon_sym_long] = ACTIONS(1117),
    [anon_sym_short] = ACTIONS(1117),
    [anon_sym_static] = ACTIONS(1117),
    [anon_sym_auto] = ACTIONS(1117),
    [anon_sym_register] = ACTIONS(1117),
    [anon_sym_inline] = ACTIONS(1117),
    [anon_sym___inline] = ACTIONS(1117),
    [anon_sym___inline__] = ACTIONS(1117),
    [anon_sym___forceinline] = ACTIONS(1117),
    [anon_sym_thread_local] = ACTIONS(1117),
    [anon_sym___thread] = ACTIONS(1117),
    [anon_sym_const] = ACTIONS(1117),
    [anon_sym_constexpr] = ACTIONS(1117),
    [anon_sym_volatile] = ACTIONS(1117),
    [anon_sym_restrict] = ACTIONS(1117),
    [anon_sym___restrict__] = ACTIONS(1117),
    [anon_sym__Atomic] = ACTIONS(1117),
    [anon_sym__Noreturn] = ACTIONS(1117),
    [anon_sym_noreturn] = ACTIONS(1117),
    [anon_sym_alignas] = ACTIONS(1117),
    [anon_sym__Alignas] = ACTIONS(1117),
    [sym_primitive_type] = ACTIONS(1117),
    [anon_sym_enum] = ACTIONS(1117),
    [anon_sym_struct] = ACTIONS(1117),
    [anon_sym_union] = ACTIONS(1117),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_else] = ACTIONS(1373),
    [anon_sym_switch] = ACTIONS(1117),
    [anon_sym_case] = ACTIONS(1117),
    [anon_sym_default] = ACTIONS(1117),
    [anon_sym_while] = ACTIONS(1117),
    [anon_sym_do] = ACTIONS(1117),
    [anon_sym_for] = ACTIONS(1117),
    [anon_sym_return] = ACTIONS(1117),
    [anon_sym_break] = ACTIONS(1117),
    [anon_sym_continue] = ACTIONS(1117),
    [anon_sym_goto] = ACTIONS(1117),
    [anon_sym___try] = ACTIONS(1117),
    [anon_sym___leave] = ACTIONS(1117),
    [anon_sym_DASH_DASH] = ACTIONS(1119),
    [anon_sym_PLUS_PLUS] = ACTIONS(1119),
    [anon_sym_sizeof] = ACTIONS(1117),
    [anon_sym___alignof__] = ACTIONS(1117),
    [anon_sym___alignof] = ACTIONS(1117),
    [anon_sym__alignof] = ACTIONS(1117),
    [anon_sym_alignof] = ACTIONS(1117),
    [anon_sym__Alignof] = ACTIONS(1117),
    [anon_sym_offsetof] = ACTIONS(1117),
    [anon_sym__Generic] = ACTIONS(1117),
    [anon_sym_asm] = ACTIONS(1117),
    [anon_sym___asm__] = ACTIONS(1117),
    [sym_number_literal] = ACTIONS(1119),
    [anon_sym_L_SQUOTE] = ACTIONS(1119),
    [anon_sym_u_SQUOTE] = ACTIONS(1119),
    [anon_sym_U_SQUOTE] = ACTIONS(1119),
    [anon_sym_u8_SQUOTE] = ACTIONS(1119),
    [anon_sym_SQUOTE] = ACTIONS(1119),
    [anon_sym_L_DQUOTE] = ACTIONS(1119),
    [anon_sym_u_DQUOTE] = ACTIONS(1119),
    [anon_sym_U_DQUOTE] = ACTIONS(1119),
    [anon_sym_u8_DQUOTE] = ACTIONS(1119),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_true] = ACTIONS(1117),
    [sym_false] = ACTIONS(1117),
    [anon_sym_NULL] = ACTIONS(1117),
    [anon_sym_nullptr] = ACTIONS(1117),
    [sym_comment] = ACTIONS(3),
  },
  [146] = {
    [ts_builtin_sym_end] = ACTIONS(1165),
    [sym_identifier] = ACTIONS(1163),
    [aux_sym_preproc_include_token1] = ACTIONS(1163),
    [aux_sym_preproc_def_token1] = ACTIONS(1163),
    [aux_sym_preproc_if_token1] = ACTIONS(1163),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1163),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1163),
    [sym_preproc_directive] = ACTIONS(1163),
    [anon_sym_LPAREN2] = ACTIONS(1165),
    [anon_sym_BANG] = ACTIONS(1165),
    [anon_sym_TILDE] = ACTIONS(1165),
    [anon_sym_DASH] = ACTIONS(1163),
    [anon_sym_PLUS] = ACTIONS(1163),
    [anon_sym_STAR] = ACTIONS(1165),
    [anon_sym_AMP] = ACTIONS(1165),
    [anon_sym_SEMI] = ACTIONS(1165),
    [anon_sym___extension__] = ACTIONS(1163),
    [anon_sym_typedef] = ACTIONS(1163),
    [anon_sym_extern] = ACTIONS(1163),
    [anon_sym___attribute__] = ACTIONS(1163),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1165),
    [anon_sym___declspec] = ACTIONS(1163),
    [anon_sym___cdecl] = ACTIONS(1163),
    [anon_sym___clrcall] = ACTIONS(1163),
    [anon_sym___stdcall] = ACTIONS(1163),
    [anon_sym___fastcall] = ACTIONS(1163),
    [anon_sym___thiscall] = ACTIONS(1163),
    [anon_sym___vectorcall] = ACTIONS(1163),
    [anon_sym_LBRACE] = ACTIONS(1165),
    [anon_sym_signed] = ACTIONS(1163),
    [anon_sym_unsigned] = ACTIONS(1163),
    [anon_sym_long] = ACTIONS(1163),
    [anon_sym_short] = ACTIONS(1163),
    [anon_sym_static] = ACTIONS(1163),
    [anon_sym_auto] = ACTIONS(1163),
    [anon_sym_register] = ACTIONS(1163),
    [anon_sym_inline] = ACTIONS(1163),
    [anon_sym___inline] = ACTIONS(1163),
    [anon_sym___inline__] = ACTIONS(1163),
    [anon_sym___forceinline] = ACTIONS(1163),
    [anon_sym_thread_local] = ACTIONS(1163),
    [anon_sym___thread] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1163),
    [anon_sym_constexpr] = ACTIONS(1163),
    [anon_sym_volatile] = ACTIONS(1163),
    [anon_sym_restrict] = ACTIONS(1163),
    [anon_sym___restrict__] = ACTIONS(1163),
    [anon_sym__Atomic] = ACTIONS(1163),
    [anon_sym__Noreturn] = ACTIONS(1163),
    [anon_sym_noreturn] = ACTIONS(1163),
    [anon_sym_alignas] = ACTIONS(1163),
    [anon_sym__Alignas] = ACTIONS(1163),
    [sym_primitive_type] = ACTIONS(1163),
    [anon_sym_enum] = ACTIONS(1163),
    [anon_sym_struct] = ACTIONS(1163),
    [anon_sym_union] = ACTIONS(1163),
    [anon_sym_if] = ACTIONS(1163),
    [anon_sym_else] = ACTIONS(1163),
    [anon_sym_switch] = ACTIONS(1163),
    [anon_sym_case] = ACTIONS(1163),
    [anon_sym_default] = ACTIONS(1163),
    [anon_sym_while] = ACTIONS(1163),
    [anon_sym_do] = ACTIONS(1163),
    [anon_sym_for] = ACTIONS(1163),
    [anon_sym_return] = ACTIONS(1163),
    [anon_sym_break] = ACTIONS(1163),
    [anon_sym_continue] = ACTIONS(1163),
    [anon_sym_goto] = ACTIONS(1163),
    [anon_sym___try] = ACTIONS(1163),
    [anon_sym___leave] = ACTIONS(1163),
    [anon_sym_DASH_DASH] = ACTIONS(1165),
    [anon_sym_PLUS_PLUS] = ACTIONS(1165),
    [anon_sym_sizeof] = ACTIONS(1163),
    [anon_sym___alignof__] = ACTIONS(1163),
    [anon_sym___alignof] = ACTIONS(1163),
    [anon_sym__alignof] = ACTIONS(1163),
    [anon_sym_alignof] = ACTIONS(1163),
    [anon_sym__Alignof] = ACTIONS(1163),
    [anon_sym_offsetof] = ACTIONS(1163),
    [anon_sym__Generic] = ACTIONS(1163),
    [anon_sym_asm] = ACTIONS(1163),
    [anon_sym___asm__] = ACTIONS(1163),
    [sym_number_literal] = ACTIONS(1165),
    [anon_sym_L_SQUOTE] = ACTIONS(1165),
    [anon_sym_u_SQUOTE] = ACTIONS(1165),
    [anon_sym_U_SQUOTE] = ACTIONS(1165),
    [anon_sym_u8_SQUOTE] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1165),
    [anon_sym_L_DQUOTE] = ACTIONS(1165),
    [anon_sym_u_DQUOTE] = ACTIONS(1165),
    [anon_sym_U_DQUOTE] = ACTIONS(1165),
    [anon_sym_u8_DQUOTE] = ACTIONS(1165),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [sym_true] = ACTIONS(1163),
    [sym_false] = ACTIONS(1163),
    [anon_sym_NULL] = ACTIONS(1163),
    [anon_sym_nullptr] = ACTIONS(1163),
    [sym_comment] = ACTIONS(3),
  },
  [147] = {
    [sym_identifier] = ACTIONS(1191),
    [aux_sym_preproc_include_token1] = ACTIONS(1191),
    [aux_sym_preproc_def_token1] = ACTIONS(1191),
    [aux_sym_preproc_if_token1] = ACTIONS(1191),
    [aux_sym_preproc_if_token2] = ACTIONS(1191),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1191),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1191),
    [sym_preproc_directive] = ACTIONS(1191),
    [anon_sym_LPAREN2] = ACTIONS(1193),
    [anon_sym_BANG] = ACTIONS(1193),
    [anon_sym_TILDE] = ACTIONS(1193),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_STAR] = ACTIONS(1193),
    [anon_sym_AMP] = ACTIONS(1193),
    [anon_sym_SEMI] = ACTIONS(1193),
    [anon_sym___extension__] = ACTIONS(1191),
    [anon_sym_typedef] = ACTIONS(1191),
    [anon_sym_extern] = ACTIONS(1191),
    [anon_sym___attribute__] = ACTIONS(1191),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1193),
    [anon_sym___declspec] = ACTIONS(1191),
    [anon_sym___cdecl] = ACTIONS(1191),
    [anon_sym___clrcall] = ACTIONS(1191),
    [anon_sym___stdcall] = ACTIONS(1191),
    [anon_sym___fastcall] = ACTIONS(1191),
    [anon_sym___thiscall] = ACTIONS(1191),
    [anon_sym___vectorcall] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_signed] = ACTIONS(1191),
    [anon_sym_unsigned] = ACTIONS(1191),
    [anon_sym_long] = ACTIONS(1191),
    [anon_sym_short] = ACTIONS(1191),
    [anon_sym_static] = ACTIONS(1191),
    [anon_sym_auto] = ACTIONS(1191),
    [anon_sym_register] = ACTIONS(1191),
    [anon_sym_inline] = ACTIONS(1191),
    [anon_sym___inline] = ACTIONS(1191),
    [anon_sym___inline__] = ACTIONS(1191),
    [anon_sym___forceinline] = ACTIONS(1191),
    [anon_sym_thread_local] = ACTIONS(1191),
    [anon_sym___thread] = ACTIONS(1191),
    [anon_sym_const] = ACTIONS(1191),
    [anon_sym_constexpr] = ACTIONS(1191),
    [anon_sym_volatile] = ACTIONS(1191),
    [anon_sym_restrict] = ACTIONS(1191),
    [anon_sym___restrict__] = ACTIONS(1191),
    [anon_sym__Atomic] = ACTIONS(1191),
    [anon_sym__Noreturn] = ACTIONS(1191),
    [anon_sym_noreturn] = ACTIONS(1191),
    [anon_sym_alignas] = ACTIONS(1191),
    [anon_sym__Alignas] = ACTIONS(1191),
    [sym_primitive_type] = ACTIONS(1191),
    [anon_sym_enum] = ACTIONS(1191),
    [anon_sym_struct] = ACTIONS(1191),
    [anon_sym_union] = ACTIONS(1191),
    [anon_sym_if] = ACTIONS(1191),
    [anon_sym_else] = ACTIONS(1191),
    [anon_sym_switch] = ACTIONS(1191),
    [anon_sym_case] = ACTIONS(1191),
    [anon_sym_default] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1191),
    [anon_sym_do] = ACTIONS(1191),
    [anon_sym_for] = ACTIONS(1191),
    [anon_sym_return] = ACTIONS(1191),
    [anon_sym_break] = ACTIONS(1191),
    [anon_sym_continue] = ACTIONS(1191),
    [anon_sym_goto] = ACTIONS(1191),
    [anon_sym___try] = ACTIONS(1191),
    [anon_sym___leave] = ACTIONS(1191),
    [anon_sym_DASH_DASH] = ACTIONS(1193),
    [anon_sym_PLUS_PLUS] = ACTIONS(1193),
    [anon_sym_sizeof] = ACTIONS(1191),
    [anon_sym___alignof__] = ACTIONS(1191),
    [anon_sym___alignof] = ACTIONS(1191),
    [anon_sym__alignof] = ACTIONS(1191),
    [anon_sym_alignof] = ACTIONS(1191),
    [anon_sym__Alignof] = ACTIONS(1191),
    [anon_sym_offsetof] = ACTIONS(1191),
    [anon_sym__Generic] = ACTIONS(1191),
    [anon_sym_asm] = ACTIONS(1191),
    [anon_sym___asm__] = ACTIONS(1191),
    [sym_number_literal] = ACTIONS(1193),
    [anon_sym_L_SQUOTE] = ACTIONS(1193),
    [anon_sym_u_SQUOTE] = ACTIONS(1193),
    [anon_sym_U_SQUOTE] = ACTIONS(1193),
    [anon_sym_u8_SQUOTE] = ACTIONS(1193),
    [anon_sym_SQUOTE] = ACTIONS(1193),
    [anon_sym_L_DQUOTE] = ACTIONS(1193),
    [anon_sym_u_DQUOTE] = ACTIONS(1193),
    [anon_sym_U_DQUOTE] = ACTIONS(1193),
    [anon_sym_u8_DQUOTE] = ACTIONS(1193),
    [anon_sym_DQUOTE] = ACTIONS(1193),
    [sym_true] = ACTIONS(1191),
    [sym_false] = ACTIONS(1191),
    [anon_sym_NULL] = ACTIONS(1191),
    [anon_sym_nullptr] = ACTIONS(1191),
    [sym_comment] = ACTIONS(3),
  },
  [148] = {
    [ts_builtin_sym_end] = ACTIONS(1233),
    [sym_identifier] = ACTIONS(1231),
    [aux_sym_preproc_include_token1] = ACTIONS(1231),
    [aux_sym_preproc_def_token1] = ACTIONS(1231),
    [aux_sym_preproc_if_token1] = ACTIONS(1231),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1231),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1231),
    [sym_preproc_directive] = ACTIONS(1231),
    [anon_sym_LPAREN2] = ACTIONS(1233),
    [anon_sym_BANG] = ACTIONS(1233),
    [anon_sym_TILDE] = ACTIONS(1233),
    [anon_sym_DASH] = ACTIONS(1231),
    [anon_sym_PLUS] = ACTIONS(1231),
    [anon_sym_STAR] = ACTIONS(1233),
    [anon_sym_AMP] = ACTIONS(1233),
    [anon_sym_SEMI] = ACTIONS(1233),
    [anon_sym___extension__] = ACTIONS(1231),
    [anon_sym_typedef] = ACTIONS(1231),
    [anon_sym_extern] = ACTIONS(1231),
    [anon_sym___attribute__] = ACTIONS(1231),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1233),
    [anon_sym___declspec] = ACTIONS(1231),
    [anon_sym___cdecl] = ACTIONS(1231),
    [anon_sym___clrcall] = ACTIONS(1231),
    [anon_sym___stdcall] = ACTIONS(1231),
    [anon_sym___fastcall] = ACTIONS(1231),
    [anon_sym___thiscall] = ACTIONS(1231),
    [anon_sym___vectorcall] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_signed] = ACTIONS(1231),
    [anon_sym_unsigned] = ACTIONS(1231),
    [anon_sym_long] = ACTIONS(1231),
    [anon_sym_short] = ACTIONS(1231),
    [anon_sym_static] = ACTIONS(1231),
    [anon_sym_auto] = ACTIONS(1231),
    [anon_sym_register] = ACTIONS(1231),
    [anon_sym_inline] = ACTIONS(1231),
    [anon_sym___inline] = ACTIONS(1231),
    [anon_sym___inline__] = ACTIONS(1231),
    [anon_sym___forceinline] = ACTIONS(1231),
    [anon_sym_thread_local] = ACTIONS(1231),
    [anon_sym___thread] = ACTIONS(1231),
    [anon_sym_const] = ACTIONS(1231),
    [anon_sym_constexpr] = ACTIONS(1231),
    [anon_sym_volatile] = ACTIONS(1231),
    [anon_sym_restrict] = ACTIONS(1231),
    [anon_sym___restrict__] = ACTIONS(1231),
    [anon_sym__Atomic] = ACTIONS(1231),
    [anon_sym__Noreturn] = ACTIONS(1231),
    [anon_sym_noreturn] = ACTIONS(1231),
    [anon_sym_alignas] = ACTIONS(1231),
    [anon_sym__Alignas] = ACTIONS(1231),
    [sym_primitive_type] = ACTIONS(1231),
    [anon_sym_enum] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1231),
    [anon_sym_union] = ACTIONS(1231),
    [anon_sym_if] = ACTIONS(1231),
    [anon_sym_else] = ACTIONS(1231),
    [anon_sym_switch] = ACTIONS(1231),
    [anon_sym_case] = ACTIONS(1231),
    [anon_sym_default] = ACTIONS(1231),
    [anon_sym_while] = ACTIONS(1231),
    [anon_sym_do] = ACTIONS(1231),
    [anon_sym_for] = ACTIONS(1231),
    [anon_sym_return] = ACTIONS(1231),
    [anon_sym_break] = ACTIONS(1231),
    [anon_sym_continue] = ACTIONS(1231),
    [anon_sym_goto] = ACTIONS(1231),
    [anon_sym___try] = ACTIONS(1231),
    [anon_sym___leave] = ACTIONS(1231),
    [anon_sym_DASH_DASH] = ACTIONS(1233),
    [anon_sym_PLUS_PLUS] = ACTIONS(1233),
    [anon_sym_sizeof] = ACTIONS(1231),
    [anon_sym___alignof__] = ACTIONS(1231),
    [anon_sym___alignof] = ACTIONS(1231),
    [anon_sym__alignof] = ACTIONS(1231),
    [anon_sym_alignof] = ACTIONS(1231),
    [anon_sym__Alignof] = ACTIONS(1231),
    [anon_sym_offsetof] = ACTIONS(1231),
    [anon_sym__Generic] = ACTIONS(1231),
    [anon_sym_asm] = ACTIONS(1231),
    [anon_sym___asm__] = ACTIONS(1231),
    [sym_number_literal] = ACTIONS(1233),
    [anon_sym_L_SQUOTE] = ACTIONS(1233),
    [anon_sym_u_SQUOTE] = ACTIONS(1233),
    [anon_sym_U_SQUOTE] = ACTIONS(1233),
    [anon_sym_u8_SQUOTE] = ACTIONS(1233),
    [anon_sym_SQUOTE] = ACTIONS(1233),
    [anon_sym_L_DQUOTE] = ACTIONS(1233),
    [anon_sym_u_DQUOTE] = ACTIONS(1233),
    [anon_sym_U_DQUOTE] = ACTIONS(1233),
    [anon_sym_u8_DQUOTE] = ACTIONS(1233),
    [anon_sym_DQUOTE] = ACTIONS(1233),
    [sym_true] = ACTIONS(1231),
    [sym_false] = ACTIONS(1231),
    [anon_sym_NULL] = ACTIONS(1231),
    [anon_sym_nullptr] = ACTIONS(1231),
    [sym_comment] = ACTIONS(3),
  },
  [149] = {
    [ts_builtin_sym_end] = ACTIONS(1237),
    [sym_identifier] = ACTIONS(1235),
    [aux_sym_preproc_include_token1] = ACTIONS(1235),
    [aux_sym_preproc_def_token1] = ACTIONS(1235),
    [aux_sym_preproc_if_token1] = ACTIONS(1235),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1235),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1235),
    [sym_preproc_directive] = ACTIONS(1235),
    [anon_sym_LPAREN2] = ACTIONS(1237),
    [anon_sym_BANG] = ACTIONS(1237),
    [anon_sym_TILDE] = ACTIONS(1237),
    [anon_sym_DASH] = ACTIONS(1235),
    [anon_sym_PLUS] = ACTIONS(1235),
    [anon_sym_STAR] = ACTIONS(1237),
    [anon_sym_AMP] = ACTIONS(1237),
    [anon_sym_SEMI] = ACTIONS(1237),
    [anon_sym___extension__] = ACTIONS(1235),
    [anon_sym_typedef] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(1235),
    [anon_sym___attribute__] = ACTIONS(1235),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym___declspec] = ACTIONS(1235),
    [anon_sym___cdecl] = ACTIONS(1235),
    [anon_sym___clrcall] = ACTIONS(1235),
    [anon_sym___stdcall] = ACTIONS(1235),
    [anon_sym___fastcall] = ACTIONS(1235),
    [anon_sym___thiscall] = ACTIONS(1235),
    [anon_sym___vectorcall] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_signed] = ACTIONS(1235),
    [anon_sym_unsigned] = ACTIONS(1235),
    [anon_sym_long] = ACTIONS(1235),
    [anon_sym_short] = ACTIONS(1235),
    [anon_sym_static] = ACTIONS(1235),
    [anon_sym_auto] = ACTIONS(1235),
    [anon_sym_register] = ACTIONS(1235),
    [anon_sym_inline] = ACTIONS(1235),
    [anon_sym___inline] = ACTIONS(1235),
    [anon_sym___inline__] = ACTIONS(1235),
    [anon_sym___forceinline] = ACTIONS(1235),
    [anon_sym_thread_local] = ACTIONS(1235),
    [anon_sym___thread] = ACTIONS(1235),
    [anon_sym_const] = ACTIONS(1235),
    [anon_sym_constexpr] = ACTIONS(1235),
    [anon_sym_volatile] = ACTIONS(1235),
    [anon_sym_restrict] = ACTIONS(1235),
    [anon_sym___restrict__] = ACTIONS(1235),
    [anon_sym__Atomic] = ACTIONS(1235),
    [anon_sym__Noreturn] = ACTIONS(1235),
    [anon_sym_noreturn] = ACTIONS(1235),
    [anon_sym_alignas] = ACTIONS(1235),
    [anon_sym__Alignas] = ACTIONS(1235),
    [sym_primitive_type] = ACTIONS(1235),
    [anon_sym_enum] = ACTIONS(1235),
    [anon_sym_struct] = ACTIONS(1235),
    [anon_sym_union] = ACTIONS(1235),
    [anon_sym_if] = ACTIONS(1235),
    [anon_sym_else] = ACTIONS(1235),
    [anon_sym_switch] = ACTIONS(1235),
    [anon_sym_case] = ACTIONS(1235),
    [anon_sym_default] = ACTIONS(1235),
    [anon_sym_while] = ACTIONS(1235),
    [anon_sym_do] = ACTIONS(1235),
    [anon_sym_for] = ACTIONS(1235),
    [anon_sym_return] = ACTIONS(1235),
    [anon_sym_break] = ACTIONS(1235),
    [anon_sym_continue] = ACTIONS(1235),
    [anon_sym_goto] = ACTIONS(1235),
    [anon_sym___try] = ACTIONS(1235),
    [anon_sym___leave] = ACTIONS(1235),
    [anon_sym_DASH_DASH] = ACTIONS(1237),
    [anon_sym_PLUS_PLUS] = ACTIONS(1237),
    [anon_sym_sizeof] = ACTIONS(1235),
    [anon_sym___alignof__] = ACTIONS(1235),
    [anon_sym___alignof] = ACTIONS(1235),
    [anon_sym__alignof] = ACTIONS(1235),
    [anon_sym_alignof] = ACTIONS(1235),
    [anon_sym__Alignof] = ACTIONS(1235),
    [anon_sym_offsetof] = ACTIONS(1235),
    [anon_sym__Generic] = ACTIONS(1235),
    [anon_sym_asm] = ACTIONS(1235),
    [anon_sym___asm__] = ACTIONS(1235),
    [sym_number_literal] = ACTIONS(1237),
    [anon_sym_L_SQUOTE] = ACTIONS(1237),
    [anon_sym_u_SQUOTE] = ACTIONS(1237),
    [anon_sym_U_SQUOTE] = ACTIONS(1237),
    [anon_sym_u8_SQUOTE] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1237),
    [anon_sym_L_DQUOTE] = ACTIONS(1237),
    [anon_sym_u_DQUOTE] = ACTIONS(1237),
    [anon_sym_U_DQUOTE] = ACTIONS(1237),
    [anon_sym_u8_DQUOTE] = ACTIONS(1237),
    [anon_sym_DQUOTE] = ACTIONS(1237),
    [sym_true] = ACTIONS(1235),
    [sym_false] = ACTIONS(1235),
    [anon_sym_NULL] = ACTIONS(1235),
    [anon_sym_nullptr] = ACTIONS(1235),
    [sym_comment] = ACTIONS(3),
  },
  [150] = {
    [sym_identifier] = ACTIONS(1223),
    [aux_sym_preproc_include_token1] = ACTIONS(1223),
    [aux_sym_preproc_def_token1] = ACTIONS(1223),
    [aux_sym_preproc_if_token1] = ACTIONS(1223),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1223),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1223),
    [sym_preproc_directive] = ACTIONS(1223),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(1225),
    [anon_sym_TILDE] = ACTIONS(1225),
    [anon_sym_DASH] = ACTIONS(1223),
    [anon_sym_PLUS] = ACTIONS(1223),
    [anon_sym_STAR] = ACTIONS(1225),
    [anon_sym_AMP] = ACTIONS(1225),
    [anon_sym_SEMI] = ACTIONS(1225),
    [anon_sym___extension__] = ACTIONS(1223),
    [anon_sym_typedef] = ACTIONS(1223),
    [anon_sym_extern] = ACTIONS(1223),
    [anon_sym___attribute__] = ACTIONS(1223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1225),
    [anon_sym___declspec] = ACTIONS(1223),
    [anon_sym___cdecl] = ACTIONS(1223),
    [anon_sym___clrcall] = ACTIONS(1223),
    [anon_sym___stdcall] = ACTIONS(1223),
    [anon_sym___fastcall] = ACTIONS(1223),
    [anon_sym___thiscall] = ACTIONS(1223),
    [anon_sym___vectorcall] = ACTIONS(1223),
    [anon_sym_LBRACE] = ACTIONS(1225),
    [anon_sym_RBRACE] = ACTIONS(1225),
    [anon_sym_signed] = ACTIONS(1223),
    [anon_sym_unsigned] = ACTIONS(1223),
    [anon_sym_long] = ACTIONS(1223),
    [anon_sym_short] = ACTIONS(1223),
    [anon_sym_static] = ACTIONS(1223),
    [anon_sym_auto] = ACTIONS(1223),
    [anon_sym_register] = ACTIONS(1223),
    [anon_sym_inline] = ACTIONS(1223),
    [anon_sym___inline] = ACTIONS(1223),
    [anon_sym___inline__] = ACTIONS(1223),
    [anon_sym___forceinline] = ACTIONS(1223),
    [anon_sym_thread_local] = ACTIONS(1223),
    [anon_sym___thread] = ACTIONS(1223),
    [anon_sym_const] = ACTIONS(1223),
    [anon_sym_constexpr] = ACTIONS(1223),
    [anon_sym_volatile] = ACTIONS(1223),
    [anon_sym_restrict] = ACTIONS(1223),
    [anon_sym___restrict__] = ACTIONS(1223),
    [anon_sym__Atomic] = ACTIONS(1223),
    [anon_sym__Noreturn] = ACTIONS(1223),
    [anon_sym_noreturn] = ACTIONS(1223),
    [anon_sym_alignas] = ACTIONS(1223),
    [anon_sym__Alignas] = ACTIONS(1223),
    [sym_primitive_type] = ACTIONS(1223),
    [anon_sym_enum] = ACTIONS(1223),
    [anon_sym_struct] = ACTIONS(1223),
    [anon_sym_union] = ACTIONS(1223),
    [anon_sym_if] = ACTIONS(1223),
    [anon_sym_else] = ACTIONS(1223),
    [anon_sym_switch] = ACTIONS(1223),
    [anon_sym_case] = ACTIONS(1223),
    [anon_sym_default] = ACTIONS(1223),
    [anon_sym_while] = ACTIONS(1223),
    [anon_sym_do] = ACTIONS(1223),
    [anon_sym_for] = ACTIONS(1223),
    [anon_sym_return] = ACTIONS(1223),
    [anon_sym_break] = ACTIONS(1223),
    [anon_sym_continue] = ACTIONS(1223),
    [anon_sym_goto] = ACTIONS(1223),
    [anon_sym___try] = ACTIONS(1223),
    [anon_sym___leave] = ACTIONS(1223),
    [anon_sym_DASH_DASH] = ACTIONS(1225),
    [anon_sym_PLUS_PLUS] = ACTIONS(1225),
    [anon_sym_sizeof] = ACTIONS(1223),
    [anon_sym___alignof__] = ACTIONS(1223),
    [anon_sym___alignof] = ACTIONS(1223),
    [anon_sym__alignof] = ACTIONS(1223),
    [anon_sym_alignof] = ACTIONS(1223),
    [anon_sym__Alignof] = ACTIONS(1223),
    [anon_sym_offsetof] = ACTIONS(1223),
    [anon_sym__Generic] = ACTIONS(1223),
    [anon_sym_asm] = ACTIONS(1223),
    [anon_sym___asm__] = ACTIONS(1223),
    [sym_number_literal] = ACTIONS(1225),
    [anon_sym_L_SQUOTE] = ACTIONS(1225),
    [anon_sym_u_SQUOTE] = ACTIONS(1225),
    [anon_sym_U_SQUOTE] = ACTIONS(1225),
    [anon_sym_u8_SQUOTE] = ACTIONS(1225),
    [anon_sym_SQUOTE] = ACTIONS(1225),
    [anon_sym_L_DQUOTE] = ACTIONS(1225),
    [anon_sym_u_DQUOTE] = ACTIONS(1225),
    [anon_sym_U_DQUOTE] = ACTIONS(1225),
    [anon_sym_u8_DQUOTE] = ACTIONS(1225),
    [anon_sym_DQUOTE] = ACTIONS(1225),
    [sym_true] = ACTIONS(1223),
    [sym_false] = ACTIONS(1223),
    [anon_sym_NULL] = ACTIONS(1223),
    [anon_sym_nullptr] = ACTIONS(1223),
    [sym_comment] = ACTIONS(3),
  },
  [151] = {
    [ts_builtin_sym_end] = ACTIONS(1229),
    [sym_identifier] = ACTIONS(1227),
    [aux_sym_preproc_include_token1] = ACTIONS(1227),
    [aux_sym_preproc_def_token1] = ACTIONS(1227),
    [aux_sym_preproc_if_token1] = ACTIONS(1227),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1227),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1227),
    [sym_preproc_directive] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1229),
    [anon_sym_BANG] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(1229),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_STAR] = ACTIONS(1229),
    [anon_sym_AMP] = ACTIONS(1229),
    [anon_sym_SEMI] = ACTIONS(1229),
    [anon_sym___extension__] = ACTIONS(1227),
    [anon_sym_typedef] = ACTIONS(1227),
    [anon_sym_extern] = ACTIONS(1227),
    [anon_sym___attribute__] = ACTIONS(1227),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1229),
    [anon_sym___declspec] = ACTIONS(1227),
    [anon_sym___cdecl] = ACTIONS(1227),
    [anon_sym___clrcall] = ACTIONS(1227),
    [anon_sym___stdcall] = ACTIONS(1227),
    [anon_sym___fastcall] = ACTIONS(1227),
    [anon_sym___thiscall] = ACTIONS(1227),
    [anon_sym___vectorcall] = ACTIONS(1227),
    [anon_sym_LBRACE] = ACTIONS(1229),
    [anon_sym_signed] = ACTIONS(1227),
    [anon_sym_unsigned] = ACTIONS(1227),
    [anon_sym_long] = ACTIONS(1227),
    [anon_sym_short] = ACTIONS(1227),
    [anon_sym_static] = ACTIONS(1227),
    [anon_sym_auto] = ACTIONS(1227),
    [anon_sym_register] = ACTIONS(1227),
    [anon_sym_inline] = ACTIONS(1227),
    [anon_sym___inline] = ACTIONS(1227),
    [anon_sym___inline__] = ACTIONS(1227),
    [anon_sym___forceinline] = ACTIONS(1227),
    [anon_sym_thread_local] = ACTIONS(1227),
    [anon_sym___thread] = ACTIONS(1227),
    [anon_sym_const] = ACTIONS(1227),
    [anon_sym_constexpr] = ACTIONS(1227),
    [anon_sym_volatile] = ACTIONS(1227),
    [anon_sym_restrict] = ACTIONS(1227),
    [anon_sym___restrict__] = ACTIONS(1227),
    [anon_sym__Atomic] = ACTIONS(1227),
    [anon_sym__Noreturn] = ACTIONS(1227),
    [anon_sym_noreturn] = ACTIONS(1227),
    [anon_sym_alignas] = ACTIONS(1227),
    [anon_sym__Alignas] = ACTIONS(1227),
    [sym_primitive_type] = ACTIONS(1227),
    [anon_sym_enum] = ACTIONS(1227),
    [anon_sym_struct] = ACTIONS(1227),
    [anon_sym_union] = ACTIONS(1227),
    [anon_sym_if] = ACTIONS(1227),
    [anon_sym_else] = ACTIONS(1227),
    [anon_sym_switch] = ACTIONS(1227),
    [anon_sym_case] = ACTIONS(1227),
    [anon_sym_default] = ACTIONS(1227),
    [anon_sym_while] = ACTIONS(1227),
    [anon_sym_do] = ACTIONS(1227),
    [anon_sym_for] = ACTIONS(1227),
    [anon_sym_return] = ACTIONS(1227),
    [anon_sym_break] = ACTIONS(1227),
    [anon_sym_continue] = ACTIONS(1227),
    [anon_sym_goto] = ACTIONS(1227),
    [anon_sym___try] = ACTIONS(1227),
    [anon_sym___leave] = ACTIONS(1227),
    [anon_sym_DASH_DASH] = ACTIONS(1229),
    [anon_sym_PLUS_PLUS] = ACTIONS(1229),
    [anon_sym_sizeof] = ACTIONS(1227),
    [anon_sym___alignof__] = ACTIONS(1227),
    [anon_sym___alignof] = ACTIONS(1227),
    [anon_sym__alignof] = ACTIONS(1227),
    [anon_sym_alignof] = ACTIONS(1227),
    [anon_sym__Alignof] = ACTIONS(1227),
    [anon_sym_offsetof] = ACTIONS(1227),
    [anon_sym__Generic] = ACTIONS(1227),
    [anon_sym_asm] = ACTIONS(1227),
    [anon_sym___asm__] = ACTIONS(1227),
    [sym_number_literal] = ACTIONS(1229),
    [anon_sym_L_SQUOTE] = ACTIONS(1229),
    [anon_sym_u_SQUOTE] = ACTIONS(1229),
    [anon_sym_U_SQUOTE] = ACTIONS(1229),
    [anon_sym_u8_SQUOTE] = ACTIONS(1229),
    [anon_sym_SQUOTE] = ACTIONS(1229),
    [anon_sym_L_DQUOTE] = ACTIONS(1229),
    [anon_sym_u_DQUOTE] = ACTIONS(1229),
    [anon_sym_U_DQUOTE] = ACTIONS(1229),
    [anon_sym_u8_DQUOTE] = ACTIONS(1229),
    [anon_sym_DQUOTE] = ACTIONS(1229),
    [sym_true] = ACTIONS(1227),
    [sym_false] = ACTIONS(1227),
    [anon_sym_NULL] = ACTIONS(1227),
    [anon_sym_nullptr] = ACTIONS(1227),
    [sym_comment] = ACTIONS(3),
  },
  [152] = {
    [sym_identifier] = ACTIONS(1227),
    [aux_sym_preproc_include_token1] = ACTIONS(1227),
    [aux_sym_preproc_def_token1] = ACTIONS(1227),
    [aux_sym_preproc_if_token1] = ACTIONS(1227),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1227),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1227),
    [sym_preproc_directive] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1229),
    [anon_sym_BANG] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(1229),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_STAR] = ACTIONS(1229),
    [anon_sym_AMP] = ACTIONS(1229),
    [anon_sym_SEMI] = ACTIONS(1229),
    [anon_sym___extension__] = ACTIONS(1227),
    [anon_sym_typedef] = ACTIONS(1227),
    [anon_sym_extern] = ACTIONS(1227),
    [anon_sym___attribute__] = ACTIONS(1227),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1229),
    [anon_sym___declspec] = ACTIONS(1227),
    [anon_sym___cdecl] = ACTIONS(1227),
    [anon_sym___clrcall] = ACTIONS(1227),
    [anon_sym___stdcall] = ACTIONS(1227),
    [anon_sym___fastcall] = ACTIONS(1227),
    [anon_sym___thiscall] = ACTIONS(1227),
    [anon_sym___vectorcall] = ACTIONS(1227),
    [anon_sym_LBRACE] = ACTIONS(1229),
    [anon_sym_RBRACE] = ACTIONS(1229),
    [anon_sym_signed] = ACTIONS(1227),
    [anon_sym_unsigned] = ACTIONS(1227),
    [anon_sym_long] = ACTIONS(1227),
    [anon_sym_short] = ACTIONS(1227),
    [anon_sym_static] = ACTIONS(1227),
    [anon_sym_auto] = ACTIONS(1227),
    [anon_sym_register] = ACTIONS(1227),
    [anon_sym_inline] = ACTIONS(1227),
    [anon_sym___inline] = ACTIONS(1227),
    [anon_sym___inline__] = ACTIONS(1227),
    [anon_sym___forceinline] = ACTIONS(1227),
    [anon_sym_thread_local] = ACTIONS(1227),
    [anon_sym___thread] = ACTIONS(1227),
    [anon_sym_const] = ACTIONS(1227),
    [anon_sym_constexpr] = ACTIONS(1227),
    [anon_sym_volatile] = ACTIONS(1227),
    [anon_sym_restrict] = ACTIONS(1227),
    [anon_sym___restrict__] = ACTIONS(1227),
    [anon_sym__Atomic] = ACTIONS(1227),
    [anon_sym__Noreturn] = ACTIONS(1227),
    [anon_sym_noreturn] = ACTIONS(1227),
    [anon_sym_alignas] = ACTIONS(1227),
    [anon_sym__Alignas] = ACTIONS(1227),
    [sym_primitive_type] = ACTIONS(1227),
    [anon_sym_enum] = ACTIONS(1227),
    [anon_sym_struct] = ACTIONS(1227),
    [anon_sym_union] = ACTIONS(1227),
    [anon_sym_if] = ACTIONS(1227),
    [anon_sym_else] = ACTIONS(1227),
    [anon_sym_switch] = ACTIONS(1227),
    [anon_sym_case] = ACTIONS(1227),
    [anon_sym_default] = ACTIONS(1227),
    [anon_sym_while] = ACTIONS(1227),
    [anon_sym_do] = ACTIONS(1227),
    [anon_sym_for] = ACTIONS(1227),
    [anon_sym_return] = ACTIONS(1227),
    [anon_sym_break] = ACTIONS(1227),
    [anon_sym_continue] = ACTIONS(1227),
    [anon_sym_goto] = ACTIONS(1227),
    [anon_sym___try] = ACTIONS(1227),
    [anon_sym___leave] = ACTIONS(1227),
    [anon_sym_DASH_DASH] = ACTIONS(1229),
    [anon_sym_PLUS_PLUS] = ACTIONS(1229),
    [anon_sym_sizeof] = ACTIONS(1227),
    [anon_sym___alignof__] = ACTIONS(1227),
    [anon_sym___alignof] = ACTIONS(1227),
    [anon_sym__alignof] = ACTIONS(1227),
    [anon_sym_alignof] = ACTIONS(1227),
    [anon_sym__Alignof] = ACTIONS(1227),
    [anon_sym_offsetof] = ACTIONS(1227),
    [anon_sym__Generic] = ACTIONS(1227),
    [anon_sym_asm] = ACTIONS(1227),
    [anon_sym___asm__] = ACTIONS(1227),
    [sym_number_literal] = ACTIONS(1229),
    [anon_sym_L_SQUOTE] = ACTIONS(1229),
    [anon_sym_u_SQUOTE] = ACTIONS(1229),
    [anon_sym_U_SQUOTE] = ACTIONS(1229),
    [anon_sym_u8_SQUOTE] = ACTIONS(1229),
    [anon_sym_SQUOTE] = ACTIONS(1229),
    [anon_sym_L_DQUOTE] = ACTIONS(1229),
    [anon_sym_u_DQUOTE] = ACTIONS(1229),
    [anon_sym_U_DQUOTE] = ACTIONS(1229),
    [anon_sym_u8_DQUOTE] = ACTIONS(1229),
    [anon_sym_DQUOTE] = ACTIONS(1229),
    [sym_true] = ACTIONS(1227),
    [sym_false] = ACTIONS(1227),
    [anon_sym_NULL] = ACTIONS(1227),
    [anon_sym_nullptr] = ACTIONS(1227),
    [sym_comment] = ACTIONS(3),
  },
  [153] = {
    [ts_builtin_sym_end] = ACTIONS(1181),
    [sym_identifier] = ACTIONS(1179),
    [aux_sym_preproc_include_token1] = ACTIONS(1179),
    [aux_sym_preproc_def_token1] = ACTIONS(1179),
    [aux_sym_preproc_if_token1] = ACTIONS(1179),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1179),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1179),
    [sym_preproc_directive] = ACTIONS(1179),
    [anon_sym_LPAREN2] = ACTIONS(1181),
    [anon_sym_BANG] = ACTIONS(1181),
    [anon_sym_TILDE] = ACTIONS(1181),
    [anon_sym_DASH] = ACTIONS(1179),
    [anon_sym_PLUS] = ACTIONS(1179),
    [anon_sym_STAR] = ACTIONS(1181),
    [anon_sym_AMP] = ACTIONS(1181),
    [anon_sym_SEMI] = ACTIONS(1181),
    [anon_sym___extension__] = ACTIONS(1179),
    [anon_sym_typedef] = ACTIONS(1179),
    [anon_sym_extern] = ACTIONS(1179),
    [anon_sym___attribute__] = ACTIONS(1179),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1181),
    [anon_sym___declspec] = ACTIONS(1179),
    [anon_sym___cdecl] = ACTIONS(1179),
    [anon_sym___clrcall] = ACTIONS(1179),
    [anon_sym___stdcall] = ACTIONS(1179),
    [anon_sym___fastcall] = ACTIONS(1179),
    [anon_sym___thiscall] = ACTIONS(1179),
    [anon_sym___vectorcall] = ACTIONS(1179),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_signed] = ACTIONS(1179),
    [anon_sym_unsigned] = ACTIONS(1179),
    [anon_sym_long] = ACTIONS(1179),
    [anon_sym_short] = ACTIONS(1179),
    [anon_sym_static] = ACTIONS(1179),
    [anon_sym_auto] = ACTIONS(1179),
    [anon_sym_register] = ACTIONS(1179),
    [anon_sym_inline] = ACTIONS(1179),
    [anon_sym___inline] = ACTIONS(1179),
    [anon_sym___inline__] = ACTIONS(1179),
    [anon_sym___forceinline] = ACTIONS(1179),
    [anon_sym_thread_local] = ACTIONS(1179),
    [anon_sym___thread] = ACTIONS(1179),
    [anon_sym_const] = ACTIONS(1179),
    [anon_sym_constexpr] = ACTIONS(1179),
    [anon_sym_volatile] = ACTIONS(1179),
    [anon_sym_restrict] = ACTIONS(1179),
    [anon_sym___restrict__] = ACTIONS(1179),
    [anon_sym__Atomic] = ACTIONS(1179),
    [anon_sym__Noreturn] = ACTIONS(1179),
    [anon_sym_noreturn] = ACTIONS(1179),
    [anon_sym_alignas] = ACTIONS(1179),
    [anon_sym__Alignas] = ACTIONS(1179),
    [sym_primitive_type] = ACTIONS(1179),
    [anon_sym_enum] = ACTIONS(1179),
    [anon_sym_struct] = ACTIONS(1179),
    [anon_sym_union] = ACTIONS(1179),
    [anon_sym_if] = ACTIONS(1179),
    [anon_sym_else] = ACTIONS(1179),
    [anon_sym_switch] = ACTIONS(1179),
    [anon_sym_case] = ACTIONS(1179),
    [anon_sym_default] = ACTIONS(1179),
    [anon_sym_while] = ACTIONS(1179),
    [anon_sym_do] = ACTIONS(1179),
    [anon_sym_for] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(1179),
    [anon_sym_break] = ACTIONS(1179),
    [anon_sym_continue] = ACTIONS(1179),
    [anon_sym_goto] = ACTIONS(1179),
    [anon_sym___try] = ACTIONS(1179),
    [anon_sym___leave] = ACTIONS(1179),
    [anon_sym_DASH_DASH] = ACTIONS(1181),
    [anon_sym_PLUS_PLUS] = ACTIONS(1181),
    [anon_sym_sizeof] = ACTIONS(1179),
    [anon_sym___alignof__] = ACTIONS(1179),
    [anon_sym___alignof] = ACTIONS(1179),
    [anon_sym__alignof] = ACTIONS(1179),
    [anon_sym_alignof] = ACTIONS(1179),
    [anon_sym__Alignof] = ACTIONS(1179),
    [anon_sym_offsetof] = ACTIONS(1179),
    [anon_sym__Generic] = ACTIONS(1179),
    [anon_sym_asm] = ACTIONS(1179),
    [anon_sym___asm__] = ACTIONS(1179),
    [sym_number_literal] = ACTIONS(1181),
    [anon_sym_L_SQUOTE] = ACTIONS(1181),
    [anon_sym_u_SQUOTE] = ACTIONS(1181),
    [anon_sym_U_SQUOTE] = ACTIONS(1181),
    [anon_sym_u8_SQUOTE] = ACTIONS(1181),
    [anon_sym_SQUOTE] = ACTIONS(1181),
    [anon_sym_L_DQUOTE] = ACTIONS(1181),
    [anon_sym_u_DQUOTE] = ACTIONS(1181),
    [anon_sym_U_DQUOTE] = ACTIONS(1181),
    [anon_sym_u8_DQUOTE] = ACTIONS(1181),
    [anon_sym_DQUOTE] = ACTIONS(1181),
    [sym_true] = ACTIONS(1179),
    [sym_false] = ACTIONS(1179),
    [anon_sym_NULL] = ACTIONS(1179),
    [anon_sym_nullptr] = ACTIONS(1179),
    [sym_comment] = ACTIONS(3),
  },
  [154] = {
    [sym_identifier] = ACTIONS(1235),
    [aux_sym_preproc_include_token1] = ACTIONS(1235),
    [aux_sym_preproc_def_token1] = ACTIONS(1235),
    [aux_sym_preproc_if_token1] = ACTIONS(1235),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1235),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1235),
    [sym_preproc_directive] = ACTIONS(1235),
    [anon_sym_LPAREN2] = ACTIONS(1237),
    [anon_sym_BANG] = ACTIONS(1237),
    [anon_sym_TILDE] = ACTIONS(1237),
    [anon_sym_DASH] = ACTIONS(1235),
    [anon_sym_PLUS] = ACTIONS(1235),
    [anon_sym_STAR] = ACTIONS(1237),
    [anon_sym_AMP] = ACTIONS(1237),
    [anon_sym_SEMI] = ACTIONS(1237),
    [anon_sym___extension__] = ACTIONS(1235),
    [anon_sym_typedef] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(1235),
    [anon_sym___attribute__] = ACTIONS(1235),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym___declspec] = ACTIONS(1235),
    [anon_sym___cdecl] = ACTIONS(1235),
    [anon_sym___clrcall] = ACTIONS(1235),
    [anon_sym___stdcall] = ACTIONS(1235),
    [anon_sym___fastcall] = ACTIONS(1235),
    [anon_sym___thiscall] = ACTIONS(1235),
    [anon_sym___vectorcall] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_RBRACE] = ACTIONS(1237),
    [anon_sym_signed] = ACTIONS(1235),
    [anon_sym_unsigned] = ACTIONS(1235),
    [anon_sym_long] = ACTIONS(1235),
    [anon_sym_short] = ACTIONS(1235),
    [anon_sym_static] = ACTIONS(1235),
    [anon_sym_auto] = ACTIONS(1235),
    [anon_sym_register] = ACTIONS(1235),
    [anon_sym_inline] = ACTIONS(1235),
    [anon_sym___inline] = ACTIONS(1235),
    [anon_sym___inline__] = ACTIONS(1235),
    [anon_sym___forceinline] = ACTIONS(1235),
    [anon_sym_thread_local] = ACTIONS(1235),
    [anon_sym___thread] = ACTIONS(1235),
    [anon_sym_const] = ACTIONS(1235),
    [anon_sym_constexpr] = ACTIONS(1235),
    [anon_sym_volatile] = ACTIONS(1235),
    [anon_sym_restrict] = ACTIONS(1235),
    [anon_sym___restrict__] = ACTIONS(1235),
    [anon_sym__Atomic] = ACTIONS(1235),
    [anon_sym__Noreturn] = ACTIONS(1235),
    [anon_sym_noreturn] = ACTIONS(1235),
    [anon_sym_alignas] = ACTIONS(1235),
    [anon_sym__Alignas] = ACTIONS(1235),
    [sym_primitive_type] = ACTIONS(1235),
    [anon_sym_enum] = ACTIONS(1235),
    [anon_sym_struct] = ACTIONS(1235),
    [anon_sym_union] = ACTIONS(1235),
    [anon_sym_if] = ACTIONS(1235),
    [anon_sym_else] = ACTIONS(1235),
    [anon_sym_switch] = ACTIONS(1235),
    [anon_sym_case] = ACTIONS(1235),
    [anon_sym_default] = ACTIONS(1235),
    [anon_sym_while] = ACTIONS(1235),
    [anon_sym_do] = ACTIONS(1235),
    [anon_sym_for] = ACTIONS(1235),
    [anon_sym_return] = ACTIONS(1235),
    [anon_sym_break] = ACTIONS(1235),
    [anon_sym_continue] = ACTIONS(1235),
    [anon_sym_goto] = ACTIONS(1235),
    [anon_sym___try] = ACTIONS(1235),
    [anon_sym___leave] = ACTIONS(1235),
    [anon_sym_DASH_DASH] = ACTIONS(1237),
    [anon_sym_PLUS_PLUS] = ACTIONS(1237),
    [anon_sym_sizeof] = ACTIONS(1235),
    [anon_sym___alignof__] = ACTIONS(1235),
    [anon_sym___alignof] = ACTIONS(1235),
    [anon_sym__alignof] = ACTIONS(1235),
    [anon_sym_alignof] = ACTIONS(1235),
    [anon_sym__Alignof] = ACTIONS(1235),
    [anon_sym_offsetof] = ACTIONS(1235),
    [anon_sym__Generic] = ACTIONS(1235),
    [anon_sym_asm] = ACTIONS(1235),
    [anon_sym___asm__] = ACTIONS(1235),
    [sym_number_literal] = ACTIONS(1237),
    [anon_sym_L_SQUOTE] = ACTIONS(1237),
    [anon_sym_u_SQUOTE] = ACTIONS(1237),
    [anon_sym_U_SQUOTE] = ACTIONS(1237),
    [anon_sym_u8_SQUOTE] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1237),
    [anon_sym_L_DQUOTE] = ACTIONS(1237),
    [anon_sym_u_DQUOTE] = ACTIONS(1237),
    [anon_sym_U_DQUOTE] = ACTIONS(1237),
    [anon_sym_u8_DQUOTE] = ACTIONS(1237),
    [anon_sym_DQUOTE] = ACTIONS(1237),
    [sym_true] = ACTIONS(1235),
    [sym_false] = ACTIONS(1235),
    [anon_sym_NULL] = ACTIONS(1235),
    [anon_sym_nullptr] = ACTIONS(1235),
    [sym_comment] = ACTIONS(3),
  },
  [155] = {
    [sym_identifier] = ACTIONS(1179),
    [aux_sym_preproc_include_token1] = ACTIONS(1179),
    [aux_sym_preproc_def_token1] = ACTIONS(1179),
    [aux_sym_preproc_if_token1] = ACTIONS(1179),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1179),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1179),
    [sym_preproc_directive] = ACTIONS(1179),
    [anon_sym_LPAREN2] = ACTIONS(1181),
    [anon_sym_BANG] = ACTIONS(1181),
    [anon_sym_TILDE] = ACTIONS(1181),
    [anon_sym_DASH] = ACTIONS(1179),
    [anon_sym_PLUS] = ACTIONS(1179),
    [anon_sym_STAR] = ACTIONS(1181),
    [anon_sym_AMP] = ACTIONS(1181),
    [anon_sym_SEMI] = ACTIONS(1181),
    [anon_sym___extension__] = ACTIONS(1179),
    [anon_sym_typedef] = ACTIONS(1179),
    [anon_sym_extern] = ACTIONS(1179),
    [anon_sym___attribute__] = ACTIONS(1179),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1181),
    [anon_sym___declspec] = ACTIONS(1179),
    [anon_sym___cdecl] = ACTIONS(1179),
    [anon_sym___clrcall] = ACTIONS(1179),
    [anon_sym___stdcall] = ACTIONS(1179),
    [anon_sym___fastcall] = ACTIONS(1179),
    [anon_sym___thiscall] = ACTIONS(1179),
    [anon_sym___vectorcall] = ACTIONS(1179),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_RBRACE] = ACTIONS(1181),
    [anon_sym_signed] = ACTIONS(1179),
    [anon_sym_unsigned] = ACTIONS(1179),
    [anon_sym_long] = ACTIONS(1179),
    [anon_sym_short] = ACTIONS(1179),
    [anon_sym_static] = ACTIONS(1179),
    [anon_sym_auto] = ACTIONS(1179),
    [anon_sym_register] = ACTIONS(1179),
    [anon_sym_inline] = ACTIONS(1179),
    [anon_sym___inline] = ACTIONS(1179),
    [anon_sym___inline__] = ACTIONS(1179),
    [anon_sym___forceinline] = ACTIONS(1179),
    [anon_sym_thread_local] = ACTIONS(1179),
    [anon_sym___thread] = ACTIONS(1179),
    [anon_sym_const] = ACTIONS(1179),
    [anon_sym_constexpr] = ACTIONS(1179),
    [anon_sym_volatile] = ACTIONS(1179),
    [anon_sym_restrict] = ACTIONS(1179),
    [anon_sym___restrict__] = ACTIONS(1179),
    [anon_sym__Atomic] = ACTIONS(1179),
    [anon_sym__Noreturn] = ACTIONS(1179),
    [anon_sym_noreturn] = ACTIONS(1179),
    [anon_sym_alignas] = ACTIONS(1179),
    [anon_sym__Alignas] = ACTIONS(1179),
    [sym_primitive_type] = ACTIONS(1179),
    [anon_sym_enum] = ACTIONS(1179),
    [anon_sym_struct] = ACTIONS(1179),
    [anon_sym_union] = ACTIONS(1179),
    [anon_sym_if] = ACTIONS(1179),
    [anon_sym_else] = ACTIONS(1179),
    [anon_sym_switch] = ACTIONS(1179),
    [anon_sym_case] = ACTIONS(1179),
    [anon_sym_default] = ACTIONS(1179),
    [anon_sym_while] = ACTIONS(1179),
    [anon_sym_do] = ACTIONS(1179),
    [anon_sym_for] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(1179),
    [anon_sym_break] = ACTIONS(1179),
    [anon_sym_continue] = ACTIONS(1179),
    [anon_sym_goto] = ACTIONS(1179),
    [anon_sym___try] = ACTIONS(1179),
    [anon_sym___leave] = ACTIONS(1179),
    [anon_sym_DASH_DASH] = ACTIONS(1181),
    [anon_sym_PLUS_PLUS] = ACTIONS(1181),
    [anon_sym_sizeof] = ACTIONS(1179),
    [anon_sym___alignof__] = ACTIONS(1179),
    [anon_sym___alignof] = ACTIONS(1179),
    [anon_sym__alignof] = ACTIONS(1179),
    [anon_sym_alignof] = ACTIONS(1179),
    [anon_sym__Alignof] = ACTIONS(1179),
    [anon_sym_offsetof] = ACTIONS(1179),
    [anon_sym__Generic] = ACTIONS(1179),
    [anon_sym_asm] = ACTIONS(1179),
    [anon_sym___asm__] = ACTIONS(1179),
    [sym_number_literal] = ACTIONS(1181),
    [anon_sym_L_SQUOTE] = ACTIONS(1181),
    [anon_sym_u_SQUOTE] = ACTIONS(1181),
    [anon_sym_U_SQUOTE] = ACTIONS(1181),
    [anon_sym_u8_SQUOTE] = ACTIONS(1181),
    [anon_sym_SQUOTE] = ACTIONS(1181),
    [anon_sym_L_DQUOTE] = ACTIONS(1181),
    [anon_sym_u_DQUOTE] = ACTIONS(1181),
    [anon_sym_U_DQUOTE] = ACTIONS(1181),
    [anon_sym_u8_DQUOTE] = ACTIONS(1181),
    [anon_sym_DQUOTE] = ACTIONS(1181),
    [sym_true] = ACTIONS(1179),
    [sym_false] = ACTIONS(1179),
    [anon_sym_NULL] = ACTIONS(1179),
    [anon_sym_nullptr] = ACTIONS(1179),
    [sym_comment] = ACTIONS(3),
  },
  [156] = {
    [ts_builtin_sym_end] = ACTIONS(1213),
    [sym_identifier] = ACTIONS(1211),
    [aux_sym_preproc_include_token1] = ACTIONS(1211),
    [aux_sym_preproc_def_token1] = ACTIONS(1211),
    [aux_sym_preproc_if_token1] = ACTIONS(1211),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1211),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1211),
    [sym_preproc_directive] = ACTIONS(1211),
    [anon_sym_LPAREN2] = ACTIONS(1213),
    [anon_sym_BANG] = ACTIONS(1213),
    [anon_sym_TILDE] = ACTIONS(1213),
    [anon_sym_DASH] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_STAR] = ACTIONS(1213),
    [anon_sym_AMP] = ACTIONS(1213),
    [anon_sym_SEMI] = ACTIONS(1213),
    [anon_sym___extension__] = ACTIONS(1211),
    [anon_sym_typedef] = ACTIONS(1211),
    [anon_sym_extern] = ACTIONS(1211),
    [anon_sym___attribute__] = ACTIONS(1211),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1213),
    [anon_sym___declspec] = ACTIONS(1211),
    [anon_sym___cdecl] = ACTIONS(1211),
    [anon_sym___clrcall] = ACTIONS(1211),
    [anon_sym___stdcall] = ACTIONS(1211),
    [anon_sym___fastcall] = ACTIONS(1211),
    [anon_sym___thiscall] = ACTIONS(1211),
    [anon_sym___vectorcall] = ACTIONS(1211),
    [anon_sym_LBRACE] = ACTIONS(1213),
    [anon_sym_signed] = ACTIONS(1211),
    [anon_sym_unsigned] = ACTIONS(1211),
    [anon_sym_long] = ACTIONS(1211),
    [anon_sym_short] = ACTIONS(1211),
    [anon_sym_static] = ACTIONS(1211),
    [anon_sym_auto] = ACTIONS(1211),
    [anon_sym_register] = ACTIONS(1211),
    [anon_sym_inline] = ACTIONS(1211),
    [anon_sym___inline] = ACTIONS(1211),
    [anon_sym___inline__] = ACTIONS(1211),
    [anon_sym___forceinline] = ACTIONS(1211),
    [anon_sym_thread_local] = ACTIONS(1211),
    [anon_sym___thread] = ACTIONS(1211),
    [anon_sym_const] = ACTIONS(1211),
    [anon_sym_constexpr] = ACTIONS(1211),
    [anon_sym_volatile] = ACTIONS(1211),
    [anon_sym_restrict] = ACTIONS(1211),
    [anon_sym___restrict__] = ACTIONS(1211),
    [anon_sym__Atomic] = ACTIONS(1211),
    [anon_sym__Noreturn] = ACTIONS(1211),
    [anon_sym_noreturn] = ACTIONS(1211),
    [anon_sym_alignas] = ACTIONS(1211),
    [anon_sym__Alignas] = ACTIONS(1211),
    [sym_primitive_type] = ACTIONS(1211),
    [anon_sym_enum] = ACTIONS(1211),
    [anon_sym_struct] = ACTIONS(1211),
    [anon_sym_union] = ACTIONS(1211),
    [anon_sym_if] = ACTIONS(1211),
    [anon_sym_else] = ACTIONS(1211),
    [anon_sym_switch] = ACTIONS(1211),
    [anon_sym_case] = ACTIONS(1211),
    [anon_sym_default] = ACTIONS(1211),
    [anon_sym_while] = ACTIONS(1211),
    [anon_sym_do] = ACTIONS(1211),
    [anon_sym_for] = ACTIONS(1211),
    [anon_sym_return] = ACTIONS(1211),
    [anon_sym_break] = ACTIONS(1211),
    [anon_sym_continue] = ACTIONS(1211),
    [anon_sym_goto] = ACTIONS(1211),
    [anon_sym___try] = ACTIONS(1211),
    [anon_sym___leave] = ACTIONS(1211),
    [anon_sym_DASH_DASH] = ACTIONS(1213),
    [anon_sym_PLUS_PLUS] = ACTIONS(1213),
    [anon_sym_sizeof] = ACTIONS(1211),
    [anon_sym___alignof__] = ACTIONS(1211),
    [anon_sym___alignof] = ACTIONS(1211),
    [anon_sym__alignof] = ACTIONS(1211),
    [anon_sym_alignof] = ACTIONS(1211),
    [anon_sym__Alignof] = ACTIONS(1211),
    [anon_sym_offsetof] = ACTIONS(1211),
    [anon_sym__Generic] = ACTIONS(1211),
    [anon_sym_asm] = ACTIONS(1211),
    [anon_sym___asm__] = ACTIONS(1211),
    [sym_number_literal] = ACTIONS(1213),
    [anon_sym_L_SQUOTE] = ACTIONS(1213),
    [anon_sym_u_SQUOTE] = ACTIONS(1213),
    [anon_sym_U_SQUOTE] = ACTIONS(1213),
    [anon_sym_u8_SQUOTE] = ACTIONS(1213),
    [anon_sym_SQUOTE] = ACTIONS(1213),
    [anon_sym_L_DQUOTE] = ACTIONS(1213),
    [anon_sym_u_DQUOTE] = ACTIONS(1213),
    [anon_sym_U_DQUOTE] = ACTIONS(1213),
    [anon_sym_u8_DQUOTE] = ACTIONS(1213),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_true] = ACTIONS(1211),
    [sym_false] = ACTIONS(1211),
    [anon_sym_NULL] = ACTIONS(1211),
    [anon_sym_nullptr] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
  },
  [157] = {
    [ts_builtin_sym_end] = ACTIONS(1221),
    [sym_identifier] = ACTIONS(1219),
    [aux_sym_preproc_include_token1] = ACTIONS(1219),
    [aux_sym_preproc_def_token1] = ACTIONS(1219),
    [aux_sym_preproc_if_token1] = ACTIONS(1219),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1219),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1219),
    [sym_preproc_directive] = ACTIONS(1219),
    [anon_sym_LPAREN2] = ACTIONS(1221),
    [anon_sym_BANG] = ACTIONS(1221),
    [anon_sym_TILDE] = ACTIONS(1221),
    [anon_sym_DASH] = ACTIONS(1219),
    [anon_sym_PLUS] = ACTIONS(1219),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(1219),
    [anon_sym_typedef] = ACTIONS(1219),
    [anon_sym_extern] = ACTIONS(1219),
    [anon_sym___attribute__] = ACTIONS(1219),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1221),
    [anon_sym___declspec] = ACTIONS(1219),
    [anon_sym___cdecl] = ACTIONS(1219),
    [anon_sym___clrcall] = ACTIONS(1219),
    [anon_sym___stdcall] = ACTIONS(1219),
    [anon_sym___fastcall] = ACTIONS(1219),
    [anon_sym___thiscall] = ACTIONS(1219),
    [anon_sym___vectorcall] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1221),
    [anon_sym_signed] = ACTIONS(1219),
    [anon_sym_unsigned] = ACTIONS(1219),
    [anon_sym_long] = ACTIONS(1219),
    [anon_sym_short] = ACTIONS(1219),
    [anon_sym_static] = ACTIONS(1219),
    [anon_sym_auto] = ACTIONS(1219),
    [anon_sym_register] = ACTIONS(1219),
    [anon_sym_inline] = ACTIONS(1219),
    [anon_sym___inline] = ACTIONS(1219),
    [anon_sym___inline__] = ACTIONS(1219),
    [anon_sym___forceinline] = ACTIONS(1219),
    [anon_sym_thread_local] = ACTIONS(1219),
    [anon_sym___thread] = ACTIONS(1219),
    [anon_sym_const] = ACTIONS(1219),
    [anon_sym_constexpr] = ACTIONS(1219),
    [anon_sym_volatile] = ACTIONS(1219),
    [anon_sym_restrict] = ACTIONS(1219),
    [anon_sym___restrict__] = ACTIONS(1219),
    [anon_sym__Atomic] = ACTIONS(1219),
    [anon_sym__Noreturn] = ACTIONS(1219),
    [anon_sym_noreturn] = ACTIONS(1219),
    [anon_sym_alignas] = ACTIONS(1219),
    [anon_sym__Alignas] = ACTIONS(1219),
    [sym_primitive_type] = ACTIONS(1219),
    [anon_sym_enum] = ACTIONS(1219),
    [anon_sym_struct] = ACTIONS(1219),
    [anon_sym_union] = ACTIONS(1219),
    [anon_sym_if] = ACTIONS(1219),
    [anon_sym_else] = ACTIONS(1219),
    [anon_sym_switch] = ACTIONS(1219),
    [anon_sym_case] = ACTIONS(1219),
    [anon_sym_default] = ACTIONS(1219),
    [anon_sym_while] = ACTIONS(1219),
    [anon_sym_do] = ACTIONS(1219),
    [anon_sym_for] = ACTIONS(1219),
    [anon_sym_return] = ACTIONS(1219),
    [anon_sym_break] = ACTIONS(1219),
    [anon_sym_continue] = ACTIONS(1219),
    [anon_sym_goto] = ACTIONS(1219),
    [anon_sym___try] = ACTIONS(1219),
    [anon_sym___leave] = ACTIONS(1219),
    [anon_sym_DASH_DASH] = ACTIONS(1221),
    [anon_sym_PLUS_PLUS] = ACTIONS(1221),
    [anon_sym_sizeof] = ACTIONS(1219),
    [anon_sym___alignof__] = ACTIONS(1219),
    [anon_sym___alignof] = ACTIONS(1219),
    [anon_sym__alignof] = ACTIONS(1219),
    [anon_sym_alignof] = ACTIONS(1219),
    [anon_sym__Alignof] = ACTIONS(1219),
    [anon_sym_offsetof] = ACTIONS(1219),
    [anon_sym__Generic] = ACTIONS(1219),
    [anon_sym_asm] = ACTIONS(1219),
    [anon_sym___asm__] = ACTIONS(1219),
    [sym_number_literal] = ACTIONS(1221),
    [anon_sym_L_SQUOTE] = ACTIONS(1221),
    [anon_sym_u_SQUOTE] = ACTIONS(1221),
    [anon_sym_U_SQUOTE] = ACTIONS(1221),
    [anon_sym_u8_SQUOTE] = ACTIONS(1221),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_L_DQUOTE] = ACTIONS(1221),
    [anon_sym_u_DQUOTE] = ACTIONS(1221),
    [anon_sym_U_DQUOTE] = ACTIONS(1221),
    [anon_sym_u8_DQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1221),
    [sym_true] = ACTIONS(1219),
    [sym_false] = ACTIONS(1219),
    [anon_sym_NULL] = ACTIONS(1219),
    [anon_sym_nullptr] = ACTIONS(1219),
    [sym_comment] = ACTIONS(3),
  },
  [158] = {
    [sym_identifier] = ACTIONS(1199),
    [aux_sym_preproc_include_token1] = ACTIONS(1199),
    [aux_sym_preproc_def_token1] = ACTIONS(1199),
    [aux_sym_preproc_if_token1] = ACTIONS(1199),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1199),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1199),
    [sym_preproc_directive] = ACTIONS(1199),
    [anon_sym_LPAREN2] = ACTIONS(1201),
    [anon_sym_BANG] = ACTIONS(1201),
    [anon_sym_TILDE] = ACTIONS(1201),
    [anon_sym_DASH] = ACTIONS(1199),
    [anon_sym_PLUS] = ACTIONS(1199),
    [anon_sym_STAR] = ACTIONS(1201),
    [anon_sym_AMP] = ACTIONS(1201),
    [anon_sym_SEMI] = ACTIONS(1201),
    [anon_sym___extension__] = ACTIONS(1199),
    [anon_sym_typedef] = ACTIONS(1199),
    [anon_sym_extern] = ACTIONS(1199),
    [anon_sym___attribute__] = ACTIONS(1199),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1201),
    [anon_sym___declspec] = ACTIONS(1199),
    [anon_sym___cdecl] = ACTIONS(1199),
    [anon_sym___clrcall] = ACTIONS(1199),
    [anon_sym___stdcall] = ACTIONS(1199),
    [anon_sym___fastcall] = ACTIONS(1199),
    [anon_sym___thiscall] = ACTIONS(1199),
    [anon_sym___vectorcall] = ACTIONS(1199),
    [anon_sym_LBRACE] = ACTIONS(1201),
    [anon_sym_RBRACE] = ACTIONS(1201),
    [anon_sym_signed] = ACTIONS(1199),
    [anon_sym_unsigned] = ACTIONS(1199),
    [anon_sym_long] = ACTIONS(1199),
    [anon_sym_short] = ACTIONS(1199),
    [anon_sym_static] = ACTIONS(1199),
    [anon_sym_auto] = ACTIONS(1199),
    [anon_sym_register] = ACTIONS(1199),
    [anon_sym_inline] = ACTIONS(1199),
    [anon_sym___inline] = ACTIONS(1199),
    [anon_sym___inline__] = ACTIONS(1199),
    [anon_sym___forceinline] = ACTIONS(1199),
    [anon_sym_thread_local] = ACTIONS(1199),
    [anon_sym___thread] = ACTIONS(1199),
    [anon_sym_const] = ACTIONS(1199),
    [anon_sym_constexpr] = ACTIONS(1199),
    [anon_sym_volatile] = ACTIONS(1199),
    [anon_sym_restrict] = ACTIONS(1199),
    [anon_sym___restrict__] = ACTIONS(1199),
    [anon_sym__Atomic] = ACTIONS(1199),
    [anon_sym__Noreturn] = ACTIONS(1199),
    [anon_sym_noreturn] = ACTIONS(1199),
    [anon_sym_alignas] = ACTIONS(1199),
    [anon_sym__Alignas] = ACTIONS(1199),
    [sym_primitive_type] = ACTIONS(1199),
    [anon_sym_enum] = ACTIONS(1199),
    [anon_sym_struct] = ACTIONS(1199),
    [anon_sym_union] = ACTIONS(1199),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_else] = ACTIONS(1199),
    [anon_sym_switch] = ACTIONS(1199),
    [anon_sym_case] = ACTIONS(1199),
    [anon_sym_default] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(1199),
    [anon_sym_do] = ACTIONS(1199),
    [anon_sym_for] = ACTIONS(1199),
    [anon_sym_return] = ACTIONS(1199),
    [anon_sym_break] = ACTIONS(1199),
    [anon_sym_continue] = ACTIONS(1199),
    [anon_sym_goto] = ACTIONS(1199),
    [anon_sym___try] = ACTIONS(1199),
    [anon_sym___leave] = ACTIONS(1199),
    [anon_sym_DASH_DASH] = ACTIONS(1201),
    [anon_sym_PLUS_PLUS] = ACTIONS(1201),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym___alignof__] = ACTIONS(1199),
    [anon_sym___alignof] = ACTIONS(1199),
    [anon_sym__alignof] = ACTIONS(1199),
    [anon_sym_alignof] = ACTIONS(1199),
    [anon_sym__Alignof] = ACTIONS(1199),
    [anon_sym_offsetof] = ACTIONS(1199),
    [anon_sym__Generic] = ACTIONS(1199),
    [anon_sym_asm] = ACTIONS(1199),
    [anon_sym___asm__] = ACTIONS(1199),
    [sym_number_literal] = ACTIONS(1201),
    [anon_sym_L_SQUOTE] = ACTIONS(1201),
    [anon_sym_u_SQUOTE] = ACTIONS(1201),
    [anon_sym_U_SQUOTE] = ACTIONS(1201),
    [anon_sym_u8_SQUOTE] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1201),
    [anon_sym_L_DQUOTE] = ACTIONS(1201),
    [anon_sym_u_DQUOTE] = ACTIONS(1201),
    [anon_sym_U_DQUOTE] = ACTIONS(1201),
    [anon_sym_u8_DQUOTE] = ACTIONS(1201),
    [anon_sym_DQUOTE] = ACTIONS(1201),
    [sym_true] = ACTIONS(1199),
    [sym_false] = ACTIONS(1199),
    [anon_sym_NULL] = ACTIONS(1199),
    [anon_sym_nullptr] = ACTIONS(1199),
    [sym_comment] = ACTIONS(3),
  },
  [159] = {
    [ts_builtin_sym_end] = ACTIONS(1249),
    [sym_identifier] = ACTIONS(1247),
    [aux_sym_preproc_include_token1] = ACTIONS(1247),
    [aux_sym_preproc_def_token1] = ACTIONS(1247),
    [aux_sym_preproc_if_token1] = ACTIONS(1247),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1247),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1247),
    [sym_preproc_directive] = ACTIONS(1247),
    [anon_sym_LPAREN2] = ACTIONS(1249),
    [anon_sym_BANG] = ACTIONS(1249),
    [anon_sym_TILDE] = ACTIONS(1249),
    [anon_sym_DASH] = ACTIONS(1247),
    [anon_sym_PLUS] = ACTIONS(1247),
    [anon_sym_STAR] = ACTIONS(1249),
    [anon_sym_AMP] = ACTIONS(1249),
    [anon_sym_SEMI] = ACTIONS(1249),
    [anon_sym___extension__] = ACTIONS(1247),
    [anon_sym_typedef] = ACTIONS(1247),
    [anon_sym_extern] = ACTIONS(1247),
    [anon_sym___attribute__] = ACTIONS(1247),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1249),
    [anon_sym___declspec] = ACTIONS(1247),
    [anon_sym___cdecl] = ACTIONS(1247),
    [anon_sym___clrcall] = ACTIONS(1247),
    [anon_sym___stdcall] = ACTIONS(1247),
    [anon_sym___fastcall] = ACTIONS(1247),
    [anon_sym___thiscall] = ACTIONS(1247),
    [anon_sym___vectorcall] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_signed] = ACTIONS(1247),
    [anon_sym_unsigned] = ACTIONS(1247),
    [anon_sym_long] = ACTIONS(1247),
    [anon_sym_short] = ACTIONS(1247),
    [anon_sym_static] = ACTIONS(1247),
    [anon_sym_auto] = ACTIONS(1247),
    [anon_sym_register] = ACTIONS(1247),
    [anon_sym_inline] = ACTIONS(1247),
    [anon_sym___inline] = ACTIONS(1247),
    [anon_sym___inline__] = ACTIONS(1247),
    [anon_sym___forceinline] = ACTIONS(1247),
    [anon_sym_thread_local] = ACTIONS(1247),
    [anon_sym___thread] = ACTIONS(1247),
    [anon_sym_const] = ACTIONS(1247),
    [anon_sym_constexpr] = ACTIONS(1247),
    [anon_sym_volatile] = ACTIONS(1247),
    [anon_sym_restrict] = ACTIONS(1247),
    [anon_sym___restrict__] = ACTIONS(1247),
    [anon_sym__Atomic] = ACTIONS(1247),
    [anon_sym__Noreturn] = ACTIONS(1247),
    [anon_sym_noreturn] = ACTIONS(1247),
    [anon_sym_alignas] = ACTIONS(1247),
    [anon_sym__Alignas] = ACTIONS(1247),
    [sym_primitive_type] = ACTIONS(1247),
    [anon_sym_enum] = ACTIONS(1247),
    [anon_sym_struct] = ACTIONS(1247),
    [anon_sym_union] = ACTIONS(1247),
    [anon_sym_if] = ACTIONS(1247),
    [anon_sym_else] = ACTIONS(1247),
    [anon_sym_switch] = ACTIONS(1247),
    [anon_sym_case] = ACTIONS(1247),
    [anon_sym_default] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1247),
    [anon_sym_do] = ACTIONS(1247),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_return] = ACTIONS(1247),
    [anon_sym_break] = ACTIONS(1247),
    [anon_sym_continue] = ACTIONS(1247),
    [anon_sym_goto] = ACTIONS(1247),
    [anon_sym___try] = ACTIONS(1247),
    [anon_sym___leave] = ACTIONS(1247),
    [anon_sym_DASH_DASH] = ACTIONS(1249),
    [anon_sym_PLUS_PLUS] = ACTIONS(1249),
    [anon_sym_sizeof] = ACTIONS(1247),
    [anon_sym___alignof__] = ACTIONS(1247),
    [anon_sym___alignof] = ACTIONS(1247),
    [anon_sym__alignof] = ACTIONS(1247),
    [anon_sym_alignof] = ACTIONS(1247),
    [anon_sym__Alignof] = ACTIONS(1247),
    [anon_sym_offsetof] = ACTIONS(1247),
    [anon_sym__Generic] = ACTIONS(1247),
    [anon_sym_asm] = ACTIONS(1247),
    [anon_sym___asm__] = ACTIONS(1247),
    [sym_number_literal] = ACTIONS(1249),
    [anon_sym_L_SQUOTE] = ACTIONS(1249),
    [anon_sym_u_SQUOTE] = ACTIONS(1249),
    [anon_sym_U_SQUOTE] = ACTIONS(1249),
    [anon_sym_u8_SQUOTE] = ACTIONS(1249),
    [anon_sym_SQUOTE] = ACTIONS(1249),
    [anon_sym_L_DQUOTE] = ACTIONS(1249),
    [anon_sym_u_DQUOTE] = ACTIONS(1249),
    [anon_sym_U_DQUOTE] = ACTIONS(1249),
    [anon_sym_u8_DQUOTE] = ACTIONS(1249),
    [anon_sym_DQUOTE] = ACTIONS(1249),
    [sym_true] = ACTIONS(1247),
    [sym_false] = ACTIONS(1247),
    [anon_sym_NULL] = ACTIONS(1247),
    [anon_sym_nullptr] = ACTIONS(1247),
    [sym_comment] = ACTIONS(3),
  },
  [160] = {
    [sym_identifier] = ACTIONS(1211),
    [aux_sym_preproc_include_token1] = ACTIONS(1211),
    [aux_sym_preproc_def_token1] = ACTIONS(1211),
    [aux_sym_preproc_if_token1] = ACTIONS(1211),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1211),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1211),
    [sym_preproc_directive] = ACTIONS(1211),
    [anon_sym_LPAREN2] = ACTIONS(1213),
    [anon_sym_BANG] = ACTIONS(1213),
    [anon_sym_TILDE] = ACTIONS(1213),
    [anon_sym_DASH] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_STAR] = ACTIONS(1213),
    [anon_sym_AMP] = ACTIONS(1213),
    [anon_sym_SEMI] = ACTIONS(1213),
    [anon_sym___extension__] = ACTIONS(1211),
    [anon_sym_typedef] = ACTIONS(1211),
    [anon_sym_extern] = ACTIONS(1211),
    [anon_sym___attribute__] = ACTIONS(1211),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1213),
    [anon_sym___declspec] = ACTIONS(1211),
    [anon_sym___cdecl] = ACTIONS(1211),
    [anon_sym___clrcall] = ACTIONS(1211),
    [anon_sym___stdcall] = ACTIONS(1211),
    [anon_sym___fastcall] = ACTIONS(1211),
    [anon_sym___thiscall] = ACTIONS(1211),
    [anon_sym___vectorcall] = ACTIONS(1211),
    [anon_sym_LBRACE] = ACTIONS(1213),
    [anon_sym_RBRACE] = ACTIONS(1213),
    [anon_sym_signed] = ACTIONS(1211),
    [anon_sym_unsigned] = ACTIONS(1211),
    [anon_sym_long] = ACTIONS(1211),
    [anon_sym_short] = ACTIONS(1211),
    [anon_sym_static] = ACTIONS(1211),
    [anon_sym_auto] = ACTIONS(1211),
    [anon_sym_register] = ACTIONS(1211),
    [anon_sym_inline] = ACTIONS(1211),
    [anon_sym___inline] = ACTIONS(1211),
    [anon_sym___inline__] = ACTIONS(1211),
    [anon_sym___forceinline] = ACTIONS(1211),
    [anon_sym_thread_local] = ACTIONS(1211),
    [anon_sym___thread] = ACTIONS(1211),
    [anon_sym_const] = ACTIONS(1211),
    [anon_sym_constexpr] = ACTIONS(1211),
    [anon_sym_volatile] = ACTIONS(1211),
    [anon_sym_restrict] = ACTIONS(1211),
    [anon_sym___restrict__] = ACTIONS(1211),
    [anon_sym__Atomic] = ACTIONS(1211),
    [anon_sym__Noreturn] = ACTIONS(1211),
    [anon_sym_noreturn] = ACTIONS(1211),
    [anon_sym_alignas] = ACTIONS(1211),
    [anon_sym__Alignas] = ACTIONS(1211),
    [sym_primitive_type] = ACTIONS(1211),
    [anon_sym_enum] = ACTIONS(1211),
    [anon_sym_struct] = ACTIONS(1211),
    [anon_sym_union] = ACTIONS(1211),
    [anon_sym_if] = ACTIONS(1211),
    [anon_sym_else] = ACTIONS(1211),
    [anon_sym_switch] = ACTIONS(1211),
    [anon_sym_case] = ACTIONS(1211),
    [anon_sym_default] = ACTIONS(1211),
    [anon_sym_while] = ACTIONS(1211),
    [anon_sym_do] = ACTIONS(1211),
    [anon_sym_for] = ACTIONS(1211),
    [anon_sym_return] = ACTIONS(1211),
    [anon_sym_break] = ACTIONS(1211),
    [anon_sym_continue] = ACTIONS(1211),
    [anon_sym_goto] = ACTIONS(1211),
    [anon_sym___try] = ACTIONS(1211),
    [anon_sym___leave] = ACTIONS(1211),
    [anon_sym_DASH_DASH] = ACTIONS(1213),
    [anon_sym_PLUS_PLUS] = ACTIONS(1213),
    [anon_sym_sizeof] = ACTIONS(1211),
    [anon_sym___alignof__] = ACTIONS(1211),
    [anon_sym___alignof] = ACTIONS(1211),
    [anon_sym__alignof] = ACTIONS(1211),
    [anon_sym_alignof] = ACTIONS(1211),
    [anon_sym__Alignof] = ACTIONS(1211),
    [anon_sym_offsetof] = ACTIONS(1211),
    [anon_sym__Generic] = ACTIONS(1211),
    [anon_sym_asm] = ACTIONS(1211),
    [anon_sym___asm__] = ACTIONS(1211),
    [sym_number_literal] = ACTIONS(1213),
    [anon_sym_L_SQUOTE] = ACTIONS(1213),
    [anon_sym_u_SQUOTE] = ACTIONS(1213),
    [anon_sym_U_SQUOTE] = ACTIONS(1213),
    [anon_sym_u8_SQUOTE] = ACTIONS(1213),
    [anon_sym_SQUOTE] = ACTIONS(1213),
    [anon_sym_L_DQUOTE] = ACTIONS(1213),
    [anon_sym_u_DQUOTE] = ACTIONS(1213),
    [anon_sym_U_DQUOTE] = ACTIONS(1213),
    [anon_sym_u8_DQUOTE] = ACTIONS(1213),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_true] = ACTIONS(1211),
    [sym_false] = ACTIONS(1211),
    [anon_sym_NULL] = ACTIONS(1211),
    [anon_sym_nullptr] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
  },
  [161] = {
    [ts_builtin_sym_end] = ACTIONS(1173),
    [sym_identifier] = ACTIONS(1171),
    [aux_sym_preproc_include_token1] = ACTIONS(1171),
    [aux_sym_preproc_def_token1] = ACTIONS(1171),
    [aux_sym_preproc_if_token1] = ACTIONS(1171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1171),
    [sym_preproc_directive] = ACTIONS(1171),
    [anon_sym_LPAREN2] = ACTIONS(1173),
    [anon_sym_BANG] = ACTIONS(1173),
    [anon_sym_TILDE] = ACTIONS(1173),
    [anon_sym_DASH] = ACTIONS(1171),
    [anon_sym_PLUS] = ACTIONS(1171),
    [anon_sym_STAR] = ACTIONS(1173),
    [anon_sym_AMP] = ACTIONS(1173),
    [anon_sym_SEMI] = ACTIONS(1173),
    [anon_sym___extension__] = ACTIONS(1171),
    [anon_sym_typedef] = ACTIONS(1171),
    [anon_sym_extern] = ACTIONS(1171),
    [anon_sym___attribute__] = ACTIONS(1171),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1173),
    [anon_sym___declspec] = ACTIONS(1171),
    [anon_sym___cdecl] = ACTIONS(1171),
    [anon_sym___clrcall] = ACTIONS(1171),
    [anon_sym___stdcall] = ACTIONS(1171),
    [anon_sym___fastcall] = ACTIONS(1171),
    [anon_sym___thiscall] = ACTIONS(1171),
    [anon_sym___vectorcall] = ACTIONS(1171),
    [anon_sym_LBRACE] = ACTIONS(1173),
    [anon_sym_signed] = ACTIONS(1171),
    [anon_sym_unsigned] = ACTIONS(1171),
    [anon_sym_long] = ACTIONS(1171),
    [anon_sym_short] = ACTIONS(1171),
    [anon_sym_static] = ACTIONS(1171),
    [anon_sym_auto] = ACTIONS(1171),
    [anon_sym_register] = ACTIONS(1171),
    [anon_sym_inline] = ACTIONS(1171),
    [anon_sym___inline] = ACTIONS(1171),
    [anon_sym___inline__] = ACTIONS(1171),
    [anon_sym___forceinline] = ACTIONS(1171),
    [anon_sym_thread_local] = ACTIONS(1171),
    [anon_sym___thread] = ACTIONS(1171),
    [anon_sym_const] = ACTIONS(1171),
    [anon_sym_constexpr] = ACTIONS(1171),
    [anon_sym_volatile] = ACTIONS(1171),
    [anon_sym_restrict] = ACTIONS(1171),
    [anon_sym___restrict__] = ACTIONS(1171),
    [anon_sym__Atomic] = ACTIONS(1171),
    [anon_sym__Noreturn] = ACTIONS(1171),
    [anon_sym_noreturn] = ACTIONS(1171),
    [anon_sym_alignas] = ACTIONS(1171),
    [anon_sym__Alignas] = ACTIONS(1171),
    [sym_primitive_type] = ACTIONS(1171),
    [anon_sym_enum] = ACTIONS(1171),
    [anon_sym_struct] = ACTIONS(1171),
    [anon_sym_union] = ACTIONS(1171),
    [anon_sym_if] = ACTIONS(1171),
    [anon_sym_else] = ACTIONS(1171),
    [anon_sym_switch] = ACTIONS(1171),
    [anon_sym_case] = ACTIONS(1171),
    [anon_sym_default] = ACTIONS(1171),
    [anon_sym_while] = ACTIONS(1171),
    [anon_sym_do] = ACTIONS(1171),
    [anon_sym_for] = ACTIONS(1171),
    [anon_sym_return] = ACTIONS(1171),
    [anon_sym_break] = ACTIONS(1171),
    [anon_sym_continue] = ACTIONS(1171),
    [anon_sym_goto] = ACTIONS(1171),
    [anon_sym___try] = ACTIONS(1171),
    [anon_sym___leave] = ACTIONS(1171),
    [anon_sym_DASH_DASH] = ACTIONS(1173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1173),
    [anon_sym_sizeof] = ACTIONS(1171),
    [anon_sym___alignof__] = ACTIONS(1171),
    [anon_sym___alignof] = ACTIONS(1171),
    [anon_sym__alignof] = ACTIONS(1171),
    [anon_sym_alignof] = ACTIONS(1171),
    [anon_sym__Alignof] = ACTIONS(1171),
    [anon_sym_offsetof] = ACTIONS(1171),
    [anon_sym__Generic] = ACTIONS(1171),
    [anon_sym_asm] = ACTIONS(1171),
    [anon_sym___asm__] = ACTIONS(1171),
    [sym_number_literal] = ACTIONS(1173),
    [anon_sym_L_SQUOTE] = ACTIONS(1173),
    [anon_sym_u_SQUOTE] = ACTIONS(1173),
    [anon_sym_U_SQUOTE] = ACTIONS(1173),
    [anon_sym_u8_SQUOTE] = ACTIONS(1173),
    [anon_sym_SQUOTE] = ACTIONS(1173),
    [anon_sym_L_DQUOTE] = ACTIONS(1173),
    [anon_sym_u_DQUOTE] = ACTIONS(1173),
    [anon_sym_U_DQUOTE] = ACTIONS(1173),
    [anon_sym_u8_DQUOTE] = ACTIONS(1173),
    [anon_sym_DQUOTE] = ACTIONS(1173),
    [sym_true] = ACTIONS(1171),
    [sym_false] = ACTIONS(1171),
    [anon_sym_NULL] = ACTIONS(1171),
    [anon_sym_nullptr] = ACTIONS(1171),
    [sym_comment] = ACTIONS(3),
  },
  [162] = {
    [sym_identifier] = ACTIONS(1129),
    [aux_sym_preproc_include_token1] = ACTIONS(1129),
    [aux_sym_preproc_def_token1] = ACTIONS(1129),
    [aux_sym_preproc_if_token1] = ACTIONS(1129),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1129),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1129),
    [sym_preproc_directive] = ACTIONS(1129),
    [anon_sym_LPAREN2] = ACTIONS(1127),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_SEMI] = ACTIONS(1127),
    [anon_sym___extension__] = ACTIONS(1129),
    [anon_sym_typedef] = ACTIONS(1129),
    [anon_sym_extern] = ACTIONS(1129),
    [anon_sym___attribute__] = ACTIONS(1129),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1127),
    [anon_sym___declspec] = ACTIONS(1129),
    [anon_sym___cdecl] = ACTIONS(1129),
    [anon_sym___clrcall] = ACTIONS(1129),
    [anon_sym___stdcall] = ACTIONS(1129),
    [anon_sym___fastcall] = ACTIONS(1129),
    [anon_sym___thiscall] = ACTIONS(1129),
    [anon_sym___vectorcall] = ACTIONS(1129),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_RBRACE] = ACTIONS(1127),
    [anon_sym_signed] = ACTIONS(1129),
    [anon_sym_unsigned] = ACTIONS(1129),
    [anon_sym_long] = ACTIONS(1129),
    [anon_sym_short] = ACTIONS(1129),
    [anon_sym_static] = ACTIONS(1129),
    [anon_sym_auto] = ACTIONS(1129),
    [anon_sym_register] = ACTIONS(1129),
    [anon_sym_inline] = ACTIONS(1129),
    [anon_sym___inline] = ACTIONS(1129),
    [anon_sym___inline__] = ACTIONS(1129),
    [anon_sym___forceinline] = ACTIONS(1129),
    [anon_sym_thread_local] = ACTIONS(1129),
    [anon_sym___thread] = ACTIONS(1129),
    [anon_sym_const] = ACTIONS(1129),
    [anon_sym_constexpr] = ACTIONS(1129),
    [anon_sym_volatile] = ACTIONS(1129),
    [anon_sym_restrict] = ACTIONS(1129),
    [anon_sym___restrict__] = ACTIONS(1129),
    [anon_sym__Atomic] = ACTIONS(1129),
    [anon_sym__Noreturn] = ACTIONS(1129),
    [anon_sym_noreturn] = ACTIONS(1129),
    [anon_sym_alignas] = ACTIONS(1129),
    [anon_sym__Alignas] = ACTIONS(1129),
    [sym_primitive_type] = ACTIONS(1129),
    [anon_sym_enum] = ACTIONS(1129),
    [anon_sym_struct] = ACTIONS(1129),
    [anon_sym_union] = ACTIONS(1129),
    [anon_sym_if] = ACTIONS(1129),
    [anon_sym_else] = ACTIONS(1129),
    [anon_sym_switch] = ACTIONS(1129),
    [anon_sym_case] = ACTIONS(1129),
    [anon_sym_default] = ACTIONS(1129),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_do] = ACTIONS(1129),
    [anon_sym_for] = ACTIONS(1129),
    [anon_sym_return] = ACTIONS(1129),
    [anon_sym_break] = ACTIONS(1129),
    [anon_sym_continue] = ACTIONS(1129),
    [anon_sym_goto] = ACTIONS(1129),
    [anon_sym___try] = ACTIONS(1129),
    [anon_sym___leave] = ACTIONS(1129),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_sizeof] = ACTIONS(1129),
    [anon_sym___alignof__] = ACTIONS(1129),
    [anon_sym___alignof] = ACTIONS(1129),
    [anon_sym__alignof] = ACTIONS(1129),
    [anon_sym_alignof] = ACTIONS(1129),
    [anon_sym__Alignof] = ACTIONS(1129),
    [anon_sym_offsetof] = ACTIONS(1129),
    [anon_sym__Generic] = ACTIONS(1129),
    [anon_sym_asm] = ACTIONS(1129),
    [anon_sym___asm__] = ACTIONS(1129),
    [sym_number_literal] = ACTIONS(1127),
    [anon_sym_L_SQUOTE] = ACTIONS(1127),
    [anon_sym_u_SQUOTE] = ACTIONS(1127),
    [anon_sym_U_SQUOTE] = ACTIONS(1127),
    [anon_sym_u8_SQUOTE] = ACTIONS(1127),
    [anon_sym_SQUOTE] = ACTIONS(1127),
    [anon_sym_L_DQUOTE] = ACTIONS(1127),
    [anon_sym_u_DQUOTE] = ACTIONS(1127),
    [anon_sym_U_DQUOTE] = ACTIONS(1127),
    [anon_sym_u8_DQUOTE] = ACTIONS(1127),
    [anon_sym_DQUOTE] = ACTIONS(1127),
    [sym_true] = ACTIONS(1129),
    [sym_false] = ACTIONS(1129),
    [anon_sym_NULL] = ACTIONS(1129),
    [anon_sym_nullptr] = ACTIONS(1129),
    [sym_comment] = ACTIONS(3),
  },
  [163] = {
    [sym_identifier] = ACTIONS(1215),
    [aux_sym_preproc_include_token1] = ACTIONS(1215),
    [aux_sym_preproc_def_token1] = ACTIONS(1215),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1215),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1215),
    [sym_preproc_directive] = ACTIONS(1215),
    [anon_sym_LPAREN2] = ACTIONS(1217),
    [anon_sym_BANG] = ACTIONS(1217),
    [anon_sym_TILDE] = ACTIONS(1217),
    [anon_sym_DASH] = ACTIONS(1215),
    [anon_sym_PLUS] = ACTIONS(1215),
    [anon_sym_STAR] = ACTIONS(1217),
    [anon_sym_AMP] = ACTIONS(1217),
    [anon_sym_SEMI] = ACTIONS(1217),
    [anon_sym___extension__] = ACTIONS(1215),
    [anon_sym_typedef] = ACTIONS(1215),
    [anon_sym_extern] = ACTIONS(1215),
    [anon_sym___attribute__] = ACTIONS(1215),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1217),
    [anon_sym___declspec] = ACTIONS(1215),
    [anon_sym___cdecl] = ACTIONS(1215),
    [anon_sym___clrcall] = ACTIONS(1215),
    [anon_sym___stdcall] = ACTIONS(1215),
    [anon_sym___fastcall] = ACTIONS(1215),
    [anon_sym___thiscall] = ACTIONS(1215),
    [anon_sym___vectorcall] = ACTIONS(1215),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_RBRACE] = ACTIONS(1217),
    [anon_sym_signed] = ACTIONS(1215),
    [anon_sym_unsigned] = ACTIONS(1215),
    [anon_sym_long] = ACTIONS(1215),
    [anon_sym_short] = ACTIONS(1215),
    [anon_sym_static] = ACTIONS(1215),
    [anon_sym_auto] = ACTIONS(1215),
    [anon_sym_register] = ACTIONS(1215),
    [anon_sym_inline] = ACTIONS(1215),
    [anon_sym___inline] = ACTIONS(1215),
    [anon_sym___inline__] = ACTIONS(1215),
    [anon_sym___forceinline] = ACTIONS(1215),
    [anon_sym_thread_local] = ACTIONS(1215),
    [anon_sym___thread] = ACTIONS(1215),
    [anon_sym_const] = ACTIONS(1215),
    [anon_sym_constexpr] = ACTIONS(1215),
    [anon_sym_volatile] = ACTIONS(1215),
    [anon_sym_restrict] = ACTIONS(1215),
    [anon_sym___restrict__] = ACTIONS(1215),
    [anon_sym__Atomic] = ACTIONS(1215),
    [anon_sym__Noreturn] = ACTIONS(1215),
    [anon_sym_noreturn] = ACTIONS(1215),
    [anon_sym_alignas] = ACTIONS(1215),
    [anon_sym__Alignas] = ACTIONS(1215),
    [sym_primitive_type] = ACTIONS(1215),
    [anon_sym_enum] = ACTIONS(1215),
    [anon_sym_struct] = ACTIONS(1215),
    [anon_sym_union] = ACTIONS(1215),
    [anon_sym_if] = ACTIONS(1215),
    [anon_sym_else] = ACTIONS(1215),
    [anon_sym_switch] = ACTIONS(1215),
    [anon_sym_case] = ACTIONS(1215),
    [anon_sym_default] = ACTIONS(1215),
    [anon_sym_while] = ACTIONS(1215),
    [anon_sym_do] = ACTIONS(1215),
    [anon_sym_for] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1215),
    [anon_sym_break] = ACTIONS(1215),
    [anon_sym_continue] = ACTIONS(1215),
    [anon_sym_goto] = ACTIONS(1215),
    [anon_sym___try] = ACTIONS(1215),
    [anon_sym___leave] = ACTIONS(1215),
    [anon_sym_DASH_DASH] = ACTIONS(1217),
    [anon_sym_PLUS_PLUS] = ACTIONS(1217),
    [anon_sym_sizeof] = ACTIONS(1215),
    [anon_sym___alignof__] = ACTIONS(1215),
    [anon_sym___alignof] = ACTIONS(1215),
    [anon_sym__alignof] = ACTIONS(1215),
    [anon_sym_alignof] = ACTIONS(1215),
    [anon_sym__Alignof] = ACTIONS(1215),
    [anon_sym_offsetof] = ACTIONS(1215),
    [anon_sym__Generic] = ACTIONS(1215),
    [anon_sym_asm] = ACTIONS(1215),
    [anon_sym___asm__] = ACTIONS(1215),
    [sym_number_literal] = ACTIONS(1217),
    [anon_sym_L_SQUOTE] = ACTIONS(1217),
    [anon_sym_u_SQUOTE] = ACTIONS(1217),
    [anon_sym_U_SQUOTE] = ACTIONS(1217),
    [anon_sym_u8_SQUOTE] = ACTIONS(1217),
    [anon_sym_SQUOTE] = ACTIONS(1217),
    [anon_sym_L_DQUOTE] = ACTIONS(1217),
    [anon_sym_u_DQUOTE] = ACTIONS(1217),
    [anon_sym_U_DQUOTE] = ACTIONS(1217),
    [anon_sym_u8_DQUOTE] = ACTIONS(1217),
    [anon_sym_DQUOTE] = ACTIONS(1217),
    [sym_true] = ACTIONS(1215),
    [sym_false] = ACTIONS(1215),
    [anon_sym_NULL] = ACTIONS(1215),
    [anon_sym_nullptr] = ACTIONS(1215),
    [sym_comment] = ACTIONS(3),
  },
  [164] = {
    [ts_builtin_sym_end] = ACTIONS(1245),
    [sym_identifier] = ACTIONS(1243),
    [aux_sym_preproc_include_token1] = ACTIONS(1243),
    [aux_sym_preproc_def_token1] = ACTIONS(1243),
    [aux_sym_preproc_if_token1] = ACTIONS(1243),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1243),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1243),
    [sym_preproc_directive] = ACTIONS(1243),
    [anon_sym_LPAREN2] = ACTIONS(1245),
    [anon_sym_BANG] = ACTIONS(1245),
    [anon_sym_TILDE] = ACTIONS(1245),
    [anon_sym_DASH] = ACTIONS(1243),
    [anon_sym_PLUS] = ACTIONS(1243),
    [anon_sym_STAR] = ACTIONS(1245),
    [anon_sym_AMP] = ACTIONS(1245),
    [anon_sym_SEMI] = ACTIONS(1245),
    [anon_sym___extension__] = ACTIONS(1243),
    [anon_sym_typedef] = ACTIONS(1243),
    [anon_sym_extern] = ACTIONS(1243),
    [anon_sym___attribute__] = ACTIONS(1243),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1245),
    [anon_sym___declspec] = ACTIONS(1243),
    [anon_sym___cdecl] = ACTIONS(1243),
    [anon_sym___clrcall] = ACTIONS(1243),
    [anon_sym___stdcall] = ACTIONS(1243),
    [anon_sym___fastcall] = ACTIONS(1243),
    [anon_sym___thiscall] = ACTIONS(1243),
    [anon_sym___vectorcall] = ACTIONS(1243),
    [anon_sym_LBRACE] = ACTIONS(1245),
    [anon_sym_signed] = ACTIONS(1243),
    [anon_sym_unsigned] = ACTIONS(1243),
    [anon_sym_long] = ACTIONS(1243),
    [anon_sym_short] = ACTIONS(1243),
    [anon_sym_static] = ACTIONS(1243),
    [anon_sym_auto] = ACTIONS(1243),
    [anon_sym_register] = ACTIONS(1243),
    [anon_sym_inline] = ACTIONS(1243),
    [anon_sym___inline] = ACTIONS(1243),
    [anon_sym___inline__] = ACTIONS(1243),
    [anon_sym___forceinline] = ACTIONS(1243),
    [anon_sym_thread_local] = ACTIONS(1243),
    [anon_sym___thread] = ACTIONS(1243),
    [anon_sym_const] = ACTIONS(1243),
    [anon_sym_constexpr] = ACTIONS(1243),
    [anon_sym_volatile] = ACTIONS(1243),
    [anon_sym_restrict] = ACTIONS(1243),
    [anon_sym___restrict__] = ACTIONS(1243),
    [anon_sym__Atomic] = ACTIONS(1243),
    [anon_sym__Noreturn] = ACTIONS(1243),
    [anon_sym_noreturn] = ACTIONS(1243),
    [anon_sym_alignas] = ACTIONS(1243),
    [anon_sym__Alignas] = ACTIONS(1243),
    [sym_primitive_type] = ACTIONS(1243),
    [anon_sym_enum] = ACTIONS(1243),
    [anon_sym_struct] = ACTIONS(1243),
    [anon_sym_union] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_else] = ACTIONS(1243),
    [anon_sym_switch] = ACTIONS(1243),
    [anon_sym_case] = ACTIONS(1243),
    [anon_sym_default] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(1243),
    [anon_sym_do] = ACTIONS(1243),
    [anon_sym_for] = ACTIONS(1243),
    [anon_sym_return] = ACTIONS(1243),
    [anon_sym_break] = ACTIONS(1243),
    [anon_sym_continue] = ACTIONS(1243),
    [anon_sym_goto] = ACTIONS(1243),
    [anon_sym___try] = ACTIONS(1243),
    [anon_sym___leave] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1245),
    [anon_sym_PLUS_PLUS] = ACTIONS(1245),
    [anon_sym_sizeof] = ACTIONS(1243),
    [anon_sym___alignof__] = ACTIONS(1243),
    [anon_sym___alignof] = ACTIONS(1243),
    [anon_sym__alignof] = ACTIONS(1243),
    [anon_sym_alignof] = ACTIONS(1243),
    [anon_sym__Alignof] = ACTIONS(1243),
    [anon_sym_offsetof] = ACTIONS(1243),
    [anon_sym__Generic] = ACTIONS(1243),
    [anon_sym_asm] = ACTIONS(1243),
    [anon_sym___asm__] = ACTIONS(1243),
    [sym_number_literal] = ACTIONS(1245),
    [anon_sym_L_SQUOTE] = ACTIONS(1245),
    [anon_sym_u_SQUOTE] = ACTIONS(1245),
    [anon_sym_U_SQUOTE] = ACTIONS(1245),
    [anon_sym_u8_SQUOTE] = ACTIONS(1245),
    [anon_sym_SQUOTE] = ACTIONS(1245),
    [anon_sym_L_DQUOTE] = ACTIONS(1245),
    [anon_sym_u_DQUOTE] = ACTIONS(1245),
    [anon_sym_U_DQUOTE] = ACTIONS(1245),
    [anon_sym_u8_DQUOTE] = ACTIONS(1245),
    [anon_sym_DQUOTE] = ACTIONS(1245),
    [sym_true] = ACTIONS(1243),
    [sym_false] = ACTIONS(1243),
    [anon_sym_NULL] = ACTIONS(1243),
    [anon_sym_nullptr] = ACTIONS(1243),
    [sym_comment] = ACTIONS(3),
  },
  [165] = {
    [ts_builtin_sym_end] = ACTIONS(1205),
    [sym_identifier] = ACTIONS(1203),
    [aux_sym_preproc_include_token1] = ACTIONS(1203),
    [aux_sym_preproc_def_token1] = ACTIONS(1203),
    [aux_sym_preproc_if_token1] = ACTIONS(1203),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1203),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1203),
    [sym_preproc_directive] = ACTIONS(1203),
    [anon_sym_LPAREN2] = ACTIONS(1205),
    [anon_sym_BANG] = ACTIONS(1205),
    [anon_sym_TILDE] = ACTIONS(1205),
    [anon_sym_DASH] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(1203),
    [anon_sym_STAR] = ACTIONS(1205),
    [anon_sym_AMP] = ACTIONS(1205),
    [anon_sym_SEMI] = ACTIONS(1205),
    [anon_sym___extension__] = ACTIONS(1203),
    [anon_sym_typedef] = ACTIONS(1203),
    [anon_sym_extern] = ACTIONS(1203),
    [anon_sym___attribute__] = ACTIONS(1203),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1205),
    [anon_sym___declspec] = ACTIONS(1203),
    [anon_sym___cdecl] = ACTIONS(1203),
    [anon_sym___clrcall] = ACTIONS(1203),
    [anon_sym___stdcall] = ACTIONS(1203),
    [anon_sym___fastcall] = ACTIONS(1203),
    [anon_sym___thiscall] = ACTIONS(1203),
    [anon_sym___vectorcall] = ACTIONS(1203),
    [anon_sym_LBRACE] = ACTIONS(1205),
    [anon_sym_signed] = ACTIONS(1203),
    [anon_sym_unsigned] = ACTIONS(1203),
    [anon_sym_long] = ACTIONS(1203),
    [anon_sym_short] = ACTIONS(1203),
    [anon_sym_static] = ACTIONS(1203),
    [anon_sym_auto] = ACTIONS(1203),
    [anon_sym_register] = ACTIONS(1203),
    [anon_sym_inline] = ACTIONS(1203),
    [anon_sym___inline] = ACTIONS(1203),
    [anon_sym___inline__] = ACTIONS(1203),
    [anon_sym___forceinline] = ACTIONS(1203),
    [anon_sym_thread_local] = ACTIONS(1203),
    [anon_sym___thread] = ACTIONS(1203),
    [anon_sym_const] = ACTIONS(1203),
    [anon_sym_constexpr] = ACTIONS(1203),
    [anon_sym_volatile] = ACTIONS(1203),
    [anon_sym_restrict] = ACTIONS(1203),
    [anon_sym___restrict__] = ACTIONS(1203),
    [anon_sym__Atomic] = ACTIONS(1203),
    [anon_sym__Noreturn] = ACTIONS(1203),
    [anon_sym_noreturn] = ACTIONS(1203),
    [anon_sym_alignas] = ACTIONS(1203),
    [anon_sym__Alignas] = ACTIONS(1203),
    [sym_primitive_type] = ACTIONS(1203),
    [anon_sym_enum] = ACTIONS(1203),
    [anon_sym_struct] = ACTIONS(1203),
    [anon_sym_union] = ACTIONS(1203),
    [anon_sym_if] = ACTIONS(1203),
    [anon_sym_else] = ACTIONS(1203),
    [anon_sym_switch] = ACTIONS(1203),
    [anon_sym_case] = ACTIONS(1203),
    [anon_sym_default] = ACTIONS(1203),
    [anon_sym_while] = ACTIONS(1203),
    [anon_sym_do] = ACTIONS(1203),
    [anon_sym_for] = ACTIONS(1203),
    [anon_sym_return] = ACTIONS(1203),
    [anon_sym_break] = ACTIONS(1203),
    [anon_sym_continue] = ACTIONS(1203),
    [anon_sym_goto] = ACTIONS(1203),
    [anon_sym___try] = ACTIONS(1203),
    [anon_sym___leave] = ACTIONS(1203),
    [anon_sym_DASH_DASH] = ACTIONS(1205),
    [anon_sym_PLUS_PLUS] = ACTIONS(1205),
    [anon_sym_sizeof] = ACTIONS(1203),
    [anon_sym___alignof__] = ACTIONS(1203),
    [anon_sym___alignof] = ACTIONS(1203),
    [anon_sym__alignof] = ACTIONS(1203),
    [anon_sym_alignof] = ACTIONS(1203),
    [anon_sym__Alignof] = ACTIONS(1203),
    [anon_sym_offsetof] = ACTIONS(1203),
    [anon_sym__Generic] = ACTIONS(1203),
    [anon_sym_asm] = ACTIONS(1203),
    [anon_sym___asm__] = ACTIONS(1203),
    [sym_number_literal] = ACTIONS(1205),
    [anon_sym_L_SQUOTE] = ACTIONS(1205),
    [anon_sym_u_SQUOTE] = ACTIONS(1205),
    [anon_sym_U_SQUOTE] = ACTIONS(1205),
    [anon_sym_u8_SQUOTE] = ACTIONS(1205),
    [anon_sym_SQUOTE] = ACTIONS(1205),
    [anon_sym_L_DQUOTE] = ACTIONS(1205),
    [anon_sym_u_DQUOTE] = ACTIONS(1205),
    [anon_sym_U_DQUOTE] = ACTIONS(1205),
    [anon_sym_u8_DQUOTE] = ACTIONS(1205),
    [anon_sym_DQUOTE] = ACTIONS(1205),
    [sym_true] = ACTIONS(1203),
    [sym_false] = ACTIONS(1203),
    [anon_sym_NULL] = ACTIONS(1203),
    [anon_sym_nullptr] = ACTIONS(1203),
    [sym_comment] = ACTIONS(3),
  },
  [166] = {
    [sym_identifier] = ACTIONS(1211),
    [aux_sym_preproc_include_token1] = ACTIONS(1211),
    [aux_sym_preproc_def_token1] = ACTIONS(1211),
    [aux_sym_preproc_if_token1] = ACTIONS(1211),
    [aux_sym_preproc_if_token2] = ACTIONS(1211),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1211),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1211),
    [sym_preproc_directive] = ACTIONS(1211),
    [anon_sym_LPAREN2] = ACTIONS(1213),
    [anon_sym_BANG] = ACTIONS(1213),
    [anon_sym_TILDE] = ACTIONS(1213),
    [anon_sym_DASH] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_STAR] = ACTIONS(1213),
    [anon_sym_AMP] = ACTIONS(1213),
    [anon_sym_SEMI] = ACTIONS(1213),
    [anon_sym___extension__] = ACTIONS(1211),
    [anon_sym_typedef] = ACTIONS(1211),
    [anon_sym_extern] = ACTIONS(1211),
    [anon_sym___attribute__] = ACTIONS(1211),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1213),
    [anon_sym___declspec] = ACTIONS(1211),
    [anon_sym___cdecl] = ACTIONS(1211),
    [anon_sym___clrcall] = ACTIONS(1211),
    [anon_sym___stdcall] = ACTIONS(1211),
    [anon_sym___fastcall] = ACTIONS(1211),
    [anon_sym___thiscall] = ACTIONS(1211),
    [anon_sym___vectorcall] = ACTIONS(1211),
    [anon_sym_LBRACE] = ACTIONS(1213),
    [anon_sym_signed] = ACTIONS(1211),
    [anon_sym_unsigned] = ACTIONS(1211),
    [anon_sym_long] = ACTIONS(1211),
    [anon_sym_short] = ACTIONS(1211),
    [anon_sym_static] = ACTIONS(1211),
    [anon_sym_auto] = ACTIONS(1211),
    [anon_sym_register] = ACTIONS(1211),
    [anon_sym_inline] = ACTIONS(1211),
    [anon_sym___inline] = ACTIONS(1211),
    [anon_sym___inline__] = ACTIONS(1211),
    [anon_sym___forceinline] = ACTIONS(1211),
    [anon_sym_thread_local] = ACTIONS(1211),
    [anon_sym___thread] = ACTIONS(1211),
    [anon_sym_const] = ACTIONS(1211),
    [anon_sym_constexpr] = ACTIONS(1211),
    [anon_sym_volatile] = ACTIONS(1211),
    [anon_sym_restrict] = ACTIONS(1211),
    [anon_sym___restrict__] = ACTIONS(1211),
    [anon_sym__Atomic] = ACTIONS(1211),
    [anon_sym__Noreturn] = ACTIONS(1211),
    [anon_sym_noreturn] = ACTIONS(1211),
    [anon_sym_alignas] = ACTIONS(1211),
    [anon_sym__Alignas] = ACTIONS(1211),
    [sym_primitive_type] = ACTIONS(1211),
    [anon_sym_enum] = ACTIONS(1211),
    [anon_sym_struct] = ACTIONS(1211),
    [anon_sym_union] = ACTIONS(1211),
    [anon_sym_if] = ACTIONS(1211),
    [anon_sym_else] = ACTIONS(1211),
    [anon_sym_switch] = ACTIONS(1211),
    [anon_sym_case] = ACTIONS(1211),
    [anon_sym_default] = ACTIONS(1211),
    [anon_sym_while] = ACTIONS(1211),
    [anon_sym_do] = ACTIONS(1211),
    [anon_sym_for] = ACTIONS(1211),
    [anon_sym_return] = ACTIONS(1211),
    [anon_sym_break] = ACTIONS(1211),
    [anon_sym_continue] = ACTIONS(1211),
    [anon_sym_goto] = ACTIONS(1211),
    [anon_sym___try] = ACTIONS(1211),
    [anon_sym___leave] = ACTIONS(1211),
    [anon_sym_DASH_DASH] = ACTIONS(1213),
    [anon_sym_PLUS_PLUS] = ACTIONS(1213),
    [anon_sym_sizeof] = ACTIONS(1211),
    [anon_sym___alignof__] = ACTIONS(1211),
    [anon_sym___alignof] = ACTIONS(1211),
    [anon_sym__alignof] = ACTIONS(1211),
    [anon_sym_alignof] = ACTIONS(1211),
    [anon_sym__Alignof] = ACTIONS(1211),
    [anon_sym_offsetof] = ACTIONS(1211),
    [anon_sym__Generic] = ACTIONS(1211),
    [anon_sym_asm] = ACTIONS(1211),
    [anon_sym___asm__] = ACTIONS(1211),
    [sym_number_literal] = ACTIONS(1213),
    [anon_sym_L_SQUOTE] = ACTIONS(1213),
    [anon_sym_u_SQUOTE] = ACTIONS(1213),
    [anon_sym_U_SQUOTE] = ACTIONS(1213),
    [anon_sym_u8_SQUOTE] = ACTIONS(1213),
    [anon_sym_SQUOTE] = ACTIONS(1213),
    [anon_sym_L_DQUOTE] = ACTIONS(1213),
    [anon_sym_u_DQUOTE] = ACTIONS(1213),
    [anon_sym_U_DQUOTE] = ACTIONS(1213),
    [anon_sym_u8_DQUOTE] = ACTIONS(1213),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_true] = ACTIONS(1211),
    [sym_false] = ACTIONS(1211),
    [anon_sym_NULL] = ACTIONS(1211),
    [anon_sym_nullptr] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
  },
  [167] = {
    [sym_identifier] = ACTIONS(1131),
    [aux_sym_preproc_include_token1] = ACTIONS(1131),
    [aux_sym_preproc_def_token1] = ACTIONS(1131),
    [aux_sym_preproc_if_token1] = ACTIONS(1131),
    [aux_sym_preproc_if_token2] = ACTIONS(1131),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1131),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1131),
    [sym_preproc_directive] = ACTIONS(1131),
    [anon_sym_LPAREN2] = ACTIONS(1133),
    [anon_sym_BANG] = ACTIONS(1133),
    [anon_sym_TILDE] = ACTIONS(1133),
    [anon_sym_DASH] = ACTIONS(1131),
    [anon_sym_PLUS] = ACTIONS(1131),
    [anon_sym_STAR] = ACTIONS(1133),
    [anon_sym_AMP] = ACTIONS(1133),
    [anon_sym_SEMI] = ACTIONS(1133),
    [anon_sym___extension__] = ACTIONS(1131),
    [anon_sym_typedef] = ACTIONS(1131),
    [anon_sym_extern] = ACTIONS(1131),
    [anon_sym___attribute__] = ACTIONS(1131),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1133),
    [anon_sym___declspec] = ACTIONS(1131),
    [anon_sym___cdecl] = ACTIONS(1131),
    [anon_sym___clrcall] = ACTIONS(1131),
    [anon_sym___stdcall] = ACTIONS(1131),
    [anon_sym___fastcall] = ACTIONS(1131),
    [anon_sym___thiscall] = ACTIONS(1131),
    [anon_sym___vectorcall] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_signed] = ACTIONS(1131),
    [anon_sym_unsigned] = ACTIONS(1131),
    [anon_sym_long] = ACTIONS(1131),
    [anon_sym_short] = ACTIONS(1131),
    [anon_sym_static] = ACTIONS(1131),
    [anon_sym_auto] = ACTIONS(1131),
    [anon_sym_register] = ACTIONS(1131),
    [anon_sym_inline] = ACTIONS(1131),
    [anon_sym___inline] = ACTIONS(1131),
    [anon_sym___inline__] = ACTIONS(1131),
    [anon_sym___forceinline] = ACTIONS(1131),
    [anon_sym_thread_local] = ACTIONS(1131),
    [anon_sym___thread] = ACTIONS(1131),
    [anon_sym_const] = ACTIONS(1131),
    [anon_sym_constexpr] = ACTIONS(1131),
    [anon_sym_volatile] = ACTIONS(1131),
    [anon_sym_restrict] = ACTIONS(1131),
    [anon_sym___restrict__] = ACTIONS(1131),
    [anon_sym__Atomic] = ACTIONS(1131),
    [anon_sym__Noreturn] = ACTIONS(1131),
    [anon_sym_noreturn] = ACTIONS(1131),
    [anon_sym_alignas] = ACTIONS(1131),
    [anon_sym__Alignas] = ACTIONS(1131),
    [sym_primitive_type] = ACTIONS(1131),
    [anon_sym_enum] = ACTIONS(1131),
    [anon_sym_struct] = ACTIONS(1131),
    [anon_sym_union] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1131),
    [anon_sym_else] = ACTIONS(1131),
    [anon_sym_switch] = ACTIONS(1131),
    [anon_sym_case] = ACTIONS(1131),
    [anon_sym_default] = ACTIONS(1131),
    [anon_sym_while] = ACTIONS(1131),
    [anon_sym_do] = ACTIONS(1131),
    [anon_sym_for] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1131),
    [anon_sym_break] = ACTIONS(1131),
    [anon_sym_continue] = ACTIONS(1131),
    [anon_sym_goto] = ACTIONS(1131),
    [anon_sym___try] = ACTIONS(1131),
    [anon_sym___leave] = ACTIONS(1131),
    [anon_sym_DASH_DASH] = ACTIONS(1133),
    [anon_sym_PLUS_PLUS] = ACTIONS(1133),
    [anon_sym_sizeof] = ACTIONS(1131),
    [anon_sym___alignof__] = ACTIONS(1131),
    [anon_sym___alignof] = ACTIONS(1131),
    [anon_sym__alignof] = ACTIONS(1131),
    [anon_sym_alignof] = ACTIONS(1131),
    [anon_sym__Alignof] = ACTIONS(1131),
    [anon_sym_offsetof] = ACTIONS(1131),
    [anon_sym__Generic] = ACTIONS(1131),
    [anon_sym_asm] = ACTIONS(1131),
    [anon_sym___asm__] = ACTIONS(1131),
    [sym_number_literal] = ACTIONS(1133),
    [anon_sym_L_SQUOTE] = ACTIONS(1133),
    [anon_sym_u_SQUOTE] = ACTIONS(1133),
    [anon_sym_U_SQUOTE] = ACTIONS(1133),
    [anon_sym_u8_SQUOTE] = ACTIONS(1133),
    [anon_sym_SQUOTE] = ACTIONS(1133),
    [anon_sym_L_DQUOTE] = ACTIONS(1133),
    [anon_sym_u_DQUOTE] = ACTIONS(1133),
    [anon_sym_U_DQUOTE] = ACTIONS(1133),
    [anon_sym_u8_DQUOTE] = ACTIONS(1133),
    [anon_sym_DQUOTE] = ACTIONS(1133),
    [sym_true] = ACTIONS(1131),
    [sym_false] = ACTIONS(1131),
    [anon_sym_NULL] = ACTIONS(1131),
    [anon_sym_nullptr] = ACTIONS(1131),
    [sym_comment] = ACTIONS(3),
  },
  [168] = {
    [ts_builtin_sym_end] = ACTIONS(1205),
    [sym_identifier] = ACTIONS(1203),
    [aux_sym_preproc_include_token1] = ACTIONS(1203),
    [aux_sym_preproc_def_token1] = ACTIONS(1203),
    [aux_sym_preproc_if_token1] = ACTIONS(1203),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1203),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1203),
    [sym_preproc_directive] = ACTIONS(1203),
    [anon_sym_LPAREN2] = ACTIONS(1205),
    [anon_sym_BANG] = ACTIONS(1205),
    [anon_sym_TILDE] = ACTIONS(1205),
    [anon_sym_DASH] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(1203),
    [anon_sym_STAR] = ACTIONS(1205),
    [anon_sym_AMP] = ACTIONS(1205),
    [anon_sym_SEMI] = ACTIONS(1205),
    [anon_sym___extension__] = ACTIONS(1203),
    [anon_sym_typedef] = ACTIONS(1203),
    [anon_sym_extern] = ACTIONS(1203),
    [anon_sym___attribute__] = ACTIONS(1203),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1205),
    [anon_sym___declspec] = ACTIONS(1203),
    [anon_sym___cdecl] = ACTIONS(1203),
    [anon_sym___clrcall] = ACTIONS(1203),
    [anon_sym___stdcall] = ACTIONS(1203),
    [anon_sym___fastcall] = ACTIONS(1203),
    [anon_sym___thiscall] = ACTIONS(1203),
    [anon_sym___vectorcall] = ACTIONS(1203),
    [anon_sym_LBRACE] = ACTIONS(1205),
    [anon_sym_signed] = ACTIONS(1203),
    [anon_sym_unsigned] = ACTIONS(1203),
    [anon_sym_long] = ACTIONS(1203),
    [anon_sym_short] = ACTIONS(1203),
    [anon_sym_static] = ACTIONS(1203),
    [anon_sym_auto] = ACTIONS(1203),
    [anon_sym_register] = ACTIONS(1203),
    [anon_sym_inline] = ACTIONS(1203),
    [anon_sym___inline] = ACTIONS(1203),
    [anon_sym___inline__] = ACTIONS(1203),
    [anon_sym___forceinline] = ACTIONS(1203),
    [anon_sym_thread_local] = ACTIONS(1203),
    [anon_sym___thread] = ACTIONS(1203),
    [anon_sym_const] = ACTIONS(1203),
    [anon_sym_constexpr] = ACTIONS(1203),
    [anon_sym_volatile] = ACTIONS(1203),
    [anon_sym_restrict] = ACTIONS(1203),
    [anon_sym___restrict__] = ACTIONS(1203),
    [anon_sym__Atomic] = ACTIONS(1203),
    [anon_sym__Noreturn] = ACTIONS(1203),
    [anon_sym_noreturn] = ACTIONS(1203),
    [anon_sym_alignas] = ACTIONS(1203),
    [anon_sym__Alignas] = ACTIONS(1203),
    [sym_primitive_type] = ACTIONS(1203),
    [anon_sym_enum] = ACTIONS(1203),
    [anon_sym_struct] = ACTIONS(1203),
    [anon_sym_union] = ACTIONS(1203),
    [anon_sym_if] = ACTIONS(1203),
    [anon_sym_else] = ACTIONS(1203),
    [anon_sym_switch] = ACTIONS(1203),
    [anon_sym_case] = ACTIONS(1203),
    [anon_sym_default] = ACTIONS(1203),
    [anon_sym_while] = ACTIONS(1203),
    [anon_sym_do] = ACTIONS(1203),
    [anon_sym_for] = ACTIONS(1203),
    [anon_sym_return] = ACTIONS(1203),
    [anon_sym_break] = ACTIONS(1203),
    [anon_sym_continue] = ACTIONS(1203),
    [anon_sym_goto] = ACTIONS(1203),
    [anon_sym___try] = ACTIONS(1203),
    [anon_sym___leave] = ACTIONS(1203),
    [anon_sym_DASH_DASH] = ACTIONS(1205),
    [anon_sym_PLUS_PLUS] = ACTIONS(1205),
    [anon_sym_sizeof] = ACTIONS(1203),
    [anon_sym___alignof__] = ACTIONS(1203),
    [anon_sym___alignof] = ACTIONS(1203),
    [anon_sym__alignof] = ACTIONS(1203),
    [anon_sym_alignof] = ACTIONS(1203),
    [anon_sym__Alignof] = ACTIONS(1203),
    [anon_sym_offsetof] = ACTIONS(1203),
    [anon_sym__Generic] = ACTIONS(1203),
    [anon_sym_asm] = ACTIONS(1203),
    [anon_sym___asm__] = ACTIONS(1203),
    [sym_number_literal] = ACTIONS(1205),
    [anon_sym_L_SQUOTE] = ACTIONS(1205),
    [anon_sym_u_SQUOTE] = ACTIONS(1205),
    [anon_sym_U_SQUOTE] = ACTIONS(1205),
    [anon_sym_u8_SQUOTE] = ACTIONS(1205),
    [anon_sym_SQUOTE] = ACTIONS(1205),
    [anon_sym_L_DQUOTE] = ACTIONS(1205),
    [anon_sym_u_DQUOTE] = ACTIONS(1205),
    [anon_sym_U_DQUOTE] = ACTIONS(1205),
    [anon_sym_u8_DQUOTE] = ACTIONS(1205),
    [anon_sym_DQUOTE] = ACTIONS(1205),
    [sym_true] = ACTIONS(1203),
    [sym_false] = ACTIONS(1203),
    [anon_sym_NULL] = ACTIONS(1203),
    [anon_sym_nullptr] = ACTIONS(1203),
    [sym_comment] = ACTIONS(3),
  },
  [169] = {
    [sym_identifier] = ACTIONS(1131),
    [aux_sym_preproc_include_token1] = ACTIONS(1131),
    [aux_sym_preproc_def_token1] = ACTIONS(1131),
    [aux_sym_preproc_if_token1] = ACTIONS(1131),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1131),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1131),
    [sym_preproc_directive] = ACTIONS(1131),
    [anon_sym_LPAREN2] = ACTIONS(1133),
    [anon_sym_BANG] = ACTIONS(1133),
    [anon_sym_TILDE] = ACTIONS(1133),
    [anon_sym_DASH] = ACTIONS(1131),
    [anon_sym_PLUS] = ACTIONS(1131),
    [anon_sym_STAR] = ACTIONS(1133),
    [anon_sym_AMP] = ACTIONS(1133),
    [anon_sym_SEMI] = ACTIONS(1133),
    [anon_sym___extension__] = ACTIONS(1131),
    [anon_sym_typedef] = ACTIONS(1131),
    [anon_sym_extern] = ACTIONS(1131),
    [anon_sym___attribute__] = ACTIONS(1131),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1133),
    [anon_sym___declspec] = ACTIONS(1131),
    [anon_sym___cdecl] = ACTIONS(1131),
    [anon_sym___clrcall] = ACTIONS(1131),
    [anon_sym___stdcall] = ACTIONS(1131),
    [anon_sym___fastcall] = ACTIONS(1131),
    [anon_sym___thiscall] = ACTIONS(1131),
    [anon_sym___vectorcall] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_RBRACE] = ACTIONS(1133),
    [anon_sym_signed] = ACTIONS(1131),
    [anon_sym_unsigned] = ACTIONS(1131),
    [anon_sym_long] = ACTIONS(1131),
    [anon_sym_short] = ACTIONS(1131),
    [anon_sym_static] = ACTIONS(1131),
    [anon_sym_auto] = ACTIONS(1131),
    [anon_sym_register] = ACTIONS(1131),
    [anon_sym_inline] = ACTIONS(1131),
    [anon_sym___inline] = ACTIONS(1131),
    [anon_sym___inline__] = ACTIONS(1131),
    [anon_sym___forceinline] = ACTIONS(1131),
    [anon_sym_thread_local] = ACTIONS(1131),
    [anon_sym___thread] = ACTIONS(1131),
    [anon_sym_const] = ACTIONS(1131),
    [anon_sym_constexpr] = ACTIONS(1131),
    [anon_sym_volatile] = ACTIONS(1131),
    [anon_sym_restrict] = ACTIONS(1131),
    [anon_sym___restrict__] = ACTIONS(1131),
    [anon_sym__Atomic] = ACTIONS(1131),
    [anon_sym__Noreturn] = ACTIONS(1131),
    [anon_sym_noreturn] = ACTIONS(1131),
    [anon_sym_alignas] = ACTIONS(1131),
    [anon_sym__Alignas] = ACTIONS(1131),
    [sym_primitive_type] = ACTIONS(1131),
    [anon_sym_enum] = ACTIONS(1131),
    [anon_sym_struct] = ACTIONS(1131),
    [anon_sym_union] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1131),
    [anon_sym_else] = ACTIONS(1131),
    [anon_sym_switch] = ACTIONS(1131),
    [anon_sym_case] = ACTIONS(1131),
    [anon_sym_default] = ACTIONS(1131),
    [anon_sym_while] = ACTIONS(1131),
    [anon_sym_do] = ACTIONS(1131),
    [anon_sym_for] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1131),
    [anon_sym_break] = ACTIONS(1131),
    [anon_sym_continue] = ACTIONS(1131),
    [anon_sym_goto] = ACTIONS(1131),
    [anon_sym___try] = ACTIONS(1131),
    [anon_sym___leave] = ACTIONS(1131),
    [anon_sym_DASH_DASH] = ACTIONS(1133),
    [anon_sym_PLUS_PLUS] = ACTIONS(1133),
    [anon_sym_sizeof] = ACTIONS(1131),
    [anon_sym___alignof__] = ACTIONS(1131),
    [anon_sym___alignof] = ACTIONS(1131),
    [anon_sym__alignof] = ACTIONS(1131),
    [anon_sym_alignof] = ACTIONS(1131),
    [anon_sym__Alignof] = ACTIONS(1131),
    [anon_sym_offsetof] = ACTIONS(1131),
    [anon_sym__Generic] = ACTIONS(1131),
    [anon_sym_asm] = ACTIONS(1131),
    [anon_sym___asm__] = ACTIONS(1131),
    [sym_number_literal] = ACTIONS(1133),
    [anon_sym_L_SQUOTE] = ACTIONS(1133),
    [anon_sym_u_SQUOTE] = ACTIONS(1133),
    [anon_sym_U_SQUOTE] = ACTIONS(1133),
    [anon_sym_u8_SQUOTE] = ACTIONS(1133),
    [anon_sym_SQUOTE] = ACTIONS(1133),
    [anon_sym_L_DQUOTE] = ACTIONS(1133),
    [anon_sym_u_DQUOTE] = ACTIONS(1133),
    [anon_sym_U_DQUOTE] = ACTIONS(1133),
    [anon_sym_u8_DQUOTE] = ACTIONS(1133),
    [anon_sym_DQUOTE] = ACTIONS(1133),
    [sym_true] = ACTIONS(1131),
    [sym_false] = ACTIONS(1131),
    [anon_sym_NULL] = ACTIONS(1131),
    [anon_sym_nullptr] = ACTIONS(1131),
    [sym_comment] = ACTIONS(3),
  },
  [170] = {
    [sym_identifier] = ACTIONS(1131),
    [aux_sym_preproc_include_token1] = ACTIONS(1131),
    [aux_sym_preproc_def_token1] = ACTIONS(1131),
    [aux_sym_preproc_if_token1] = ACTIONS(1131),
    [aux_sym_preproc_if_token2] = ACTIONS(1131),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1131),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1131),
    [sym_preproc_directive] = ACTIONS(1131),
    [anon_sym_LPAREN2] = ACTIONS(1133),
    [anon_sym_BANG] = ACTIONS(1133),
    [anon_sym_TILDE] = ACTIONS(1133),
    [anon_sym_DASH] = ACTIONS(1131),
    [anon_sym_PLUS] = ACTIONS(1131),
    [anon_sym_STAR] = ACTIONS(1133),
    [anon_sym_AMP] = ACTIONS(1133),
    [anon_sym_SEMI] = ACTIONS(1133),
    [anon_sym___extension__] = ACTIONS(1131),
    [anon_sym_typedef] = ACTIONS(1131),
    [anon_sym_extern] = ACTIONS(1131),
    [anon_sym___attribute__] = ACTIONS(1131),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1133),
    [anon_sym___declspec] = ACTIONS(1131),
    [anon_sym___cdecl] = ACTIONS(1131),
    [anon_sym___clrcall] = ACTIONS(1131),
    [anon_sym___stdcall] = ACTIONS(1131),
    [anon_sym___fastcall] = ACTIONS(1131),
    [anon_sym___thiscall] = ACTIONS(1131),
    [anon_sym___vectorcall] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_signed] = ACTIONS(1131),
    [anon_sym_unsigned] = ACTIONS(1131),
    [anon_sym_long] = ACTIONS(1131),
    [anon_sym_short] = ACTIONS(1131),
    [anon_sym_static] = ACTIONS(1131),
    [anon_sym_auto] = ACTIONS(1131),
    [anon_sym_register] = ACTIONS(1131),
    [anon_sym_inline] = ACTIONS(1131),
    [anon_sym___inline] = ACTIONS(1131),
    [anon_sym___inline__] = ACTIONS(1131),
    [anon_sym___forceinline] = ACTIONS(1131),
    [anon_sym_thread_local] = ACTIONS(1131),
    [anon_sym___thread] = ACTIONS(1131),
    [anon_sym_const] = ACTIONS(1131),
    [anon_sym_constexpr] = ACTIONS(1131),
    [anon_sym_volatile] = ACTIONS(1131),
    [anon_sym_restrict] = ACTIONS(1131),
    [anon_sym___restrict__] = ACTIONS(1131),
    [anon_sym__Atomic] = ACTIONS(1131),
    [anon_sym__Noreturn] = ACTIONS(1131),
    [anon_sym_noreturn] = ACTIONS(1131),
    [anon_sym_alignas] = ACTIONS(1131),
    [anon_sym__Alignas] = ACTIONS(1131),
    [sym_primitive_type] = ACTIONS(1131),
    [anon_sym_enum] = ACTIONS(1131),
    [anon_sym_struct] = ACTIONS(1131),
    [anon_sym_union] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1131),
    [anon_sym_else] = ACTIONS(1131),
    [anon_sym_switch] = ACTIONS(1131),
    [anon_sym_case] = ACTIONS(1131),
    [anon_sym_default] = ACTIONS(1131),
    [anon_sym_while] = ACTIONS(1131),
    [anon_sym_do] = ACTIONS(1131),
    [anon_sym_for] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1131),
    [anon_sym_break] = ACTIONS(1131),
    [anon_sym_continue] = ACTIONS(1131),
    [anon_sym_goto] = ACTIONS(1131),
    [anon_sym___try] = ACTIONS(1131),
    [anon_sym___leave] = ACTIONS(1131),
    [anon_sym_DASH_DASH] = ACTIONS(1133),
    [anon_sym_PLUS_PLUS] = ACTIONS(1133),
    [anon_sym_sizeof] = ACTIONS(1131),
    [anon_sym___alignof__] = ACTIONS(1131),
    [anon_sym___alignof] = ACTIONS(1131),
    [anon_sym__alignof] = ACTIONS(1131),
    [anon_sym_alignof] = ACTIONS(1131),
    [anon_sym__Alignof] = ACTIONS(1131),
    [anon_sym_offsetof] = ACTIONS(1131),
    [anon_sym__Generic] = ACTIONS(1131),
    [anon_sym_asm] = ACTIONS(1131),
    [anon_sym___asm__] = ACTIONS(1131),
    [sym_number_literal] = ACTIONS(1133),
    [anon_sym_L_SQUOTE] = ACTIONS(1133),
    [anon_sym_u_SQUOTE] = ACTIONS(1133),
    [anon_sym_U_SQUOTE] = ACTIONS(1133),
    [anon_sym_u8_SQUOTE] = ACTIONS(1133),
    [anon_sym_SQUOTE] = ACTIONS(1133),
    [anon_sym_L_DQUOTE] = ACTIONS(1133),
    [anon_sym_u_DQUOTE] = ACTIONS(1133),
    [anon_sym_U_DQUOTE] = ACTIONS(1133),
    [anon_sym_u8_DQUOTE] = ACTIONS(1133),
    [anon_sym_DQUOTE] = ACTIONS(1133),
    [sym_true] = ACTIONS(1131),
    [sym_false] = ACTIONS(1131),
    [anon_sym_NULL] = ACTIONS(1131),
    [anon_sym_nullptr] = ACTIONS(1131),
    [sym_comment] = ACTIONS(3),
  },
  [171] = {
    [ts_builtin_sym_end] = ACTIONS(1193),
    [sym_identifier] = ACTIONS(1191),
    [aux_sym_preproc_include_token1] = ACTIONS(1191),
    [aux_sym_preproc_def_token1] = ACTIONS(1191),
    [aux_sym_preproc_if_token1] = ACTIONS(1191),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1191),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1191),
    [sym_preproc_directive] = ACTIONS(1191),
    [anon_sym_LPAREN2] = ACTIONS(1193),
    [anon_sym_BANG] = ACTIONS(1193),
    [anon_sym_TILDE] = ACTIONS(1193),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_STAR] = ACTIONS(1193),
    [anon_sym_AMP] = ACTIONS(1193),
    [anon_sym_SEMI] = ACTIONS(1193),
    [anon_sym___extension__] = ACTIONS(1191),
    [anon_sym_typedef] = ACTIONS(1191),
    [anon_sym_extern] = ACTIONS(1191),
    [anon_sym___attribute__] = ACTIONS(1191),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1193),
    [anon_sym___declspec] = ACTIONS(1191),
    [anon_sym___cdecl] = ACTIONS(1191),
    [anon_sym___clrcall] = ACTIONS(1191),
    [anon_sym___stdcall] = ACTIONS(1191),
    [anon_sym___fastcall] = ACTIONS(1191),
    [anon_sym___thiscall] = ACTIONS(1191),
    [anon_sym___vectorcall] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_signed] = ACTIONS(1191),
    [anon_sym_unsigned] = ACTIONS(1191),
    [anon_sym_long] = ACTIONS(1191),
    [anon_sym_short] = ACTIONS(1191),
    [anon_sym_static] = ACTIONS(1191),
    [anon_sym_auto] = ACTIONS(1191),
    [anon_sym_register] = ACTIONS(1191),
    [anon_sym_inline] = ACTIONS(1191),
    [anon_sym___inline] = ACTIONS(1191),
    [anon_sym___inline__] = ACTIONS(1191),
    [anon_sym___forceinline] = ACTIONS(1191),
    [anon_sym_thread_local] = ACTIONS(1191),
    [anon_sym___thread] = ACTIONS(1191),
    [anon_sym_const] = ACTIONS(1191),
    [anon_sym_constexpr] = ACTIONS(1191),
    [anon_sym_volatile] = ACTIONS(1191),
    [anon_sym_restrict] = ACTIONS(1191),
    [anon_sym___restrict__] = ACTIONS(1191),
    [anon_sym__Atomic] = ACTIONS(1191),
    [anon_sym__Noreturn] = ACTIONS(1191),
    [anon_sym_noreturn] = ACTIONS(1191),
    [anon_sym_alignas] = ACTIONS(1191),
    [anon_sym__Alignas] = ACTIONS(1191),
    [sym_primitive_type] = ACTIONS(1191),
    [anon_sym_enum] = ACTIONS(1191),
    [anon_sym_struct] = ACTIONS(1191),
    [anon_sym_union] = ACTIONS(1191),
    [anon_sym_if] = ACTIONS(1191),
    [anon_sym_else] = ACTIONS(1191),
    [anon_sym_switch] = ACTIONS(1191),
    [anon_sym_case] = ACTIONS(1191),
    [anon_sym_default] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1191),
    [anon_sym_do] = ACTIONS(1191),
    [anon_sym_for] = ACTIONS(1191),
    [anon_sym_return] = ACTIONS(1191),
    [anon_sym_break] = ACTIONS(1191),
    [anon_sym_continue] = ACTIONS(1191),
    [anon_sym_goto] = ACTIONS(1191),
    [anon_sym___try] = ACTIONS(1191),
    [anon_sym___leave] = ACTIONS(1191),
    [anon_sym_DASH_DASH] = ACTIONS(1193),
    [anon_sym_PLUS_PLUS] = ACTIONS(1193),
    [anon_sym_sizeof] = ACTIONS(1191),
    [anon_sym___alignof__] = ACTIONS(1191),
    [anon_sym___alignof] = ACTIONS(1191),
    [anon_sym__alignof] = ACTIONS(1191),
    [anon_sym_alignof] = ACTIONS(1191),
    [anon_sym__Alignof] = ACTIONS(1191),
    [anon_sym_offsetof] = ACTIONS(1191),
    [anon_sym__Generic] = ACTIONS(1191),
    [anon_sym_asm] = ACTIONS(1191),
    [anon_sym___asm__] = ACTIONS(1191),
    [sym_number_literal] = ACTIONS(1193),
    [anon_sym_L_SQUOTE] = ACTIONS(1193),
    [anon_sym_u_SQUOTE] = ACTIONS(1193),
    [anon_sym_U_SQUOTE] = ACTIONS(1193),
    [anon_sym_u8_SQUOTE] = ACTIONS(1193),
    [anon_sym_SQUOTE] = ACTIONS(1193),
    [anon_sym_L_DQUOTE] = ACTIONS(1193),
    [anon_sym_u_DQUOTE] = ACTIONS(1193),
    [anon_sym_U_DQUOTE] = ACTIONS(1193),
    [anon_sym_u8_DQUOTE] = ACTIONS(1193),
    [anon_sym_DQUOTE] = ACTIONS(1193),
    [sym_true] = ACTIONS(1191),
    [sym_false] = ACTIONS(1191),
    [anon_sym_NULL] = ACTIONS(1191),
    [anon_sym_nullptr] = ACTIONS(1191),
    [sym_comment] = ACTIONS(3),
  },
  [172] = {
    [sym_identifier] = ACTIONS(1247),
    [aux_sym_preproc_include_token1] = ACTIONS(1247),
    [aux_sym_preproc_def_token1] = ACTIONS(1247),
    [aux_sym_preproc_if_token1] = ACTIONS(1247),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1247),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1247),
    [sym_preproc_directive] = ACTIONS(1247),
    [anon_sym_LPAREN2] = ACTIONS(1249),
    [anon_sym_BANG] = ACTIONS(1249),
    [anon_sym_TILDE] = ACTIONS(1249),
    [anon_sym_DASH] = ACTIONS(1247),
    [anon_sym_PLUS] = ACTIONS(1247),
    [anon_sym_STAR] = ACTIONS(1249),
    [anon_sym_AMP] = ACTIONS(1249),
    [anon_sym_SEMI] = ACTIONS(1249),
    [anon_sym___extension__] = ACTIONS(1247),
    [anon_sym_typedef] = ACTIONS(1247),
    [anon_sym_extern] = ACTIONS(1247),
    [anon_sym___attribute__] = ACTIONS(1247),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1249),
    [anon_sym___declspec] = ACTIONS(1247),
    [anon_sym___cdecl] = ACTIONS(1247),
    [anon_sym___clrcall] = ACTIONS(1247),
    [anon_sym___stdcall] = ACTIONS(1247),
    [anon_sym___fastcall] = ACTIONS(1247),
    [anon_sym___thiscall] = ACTIONS(1247),
    [anon_sym___vectorcall] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_RBRACE] = ACTIONS(1249),
    [anon_sym_signed] = ACTIONS(1247),
    [anon_sym_unsigned] = ACTIONS(1247),
    [anon_sym_long] = ACTIONS(1247),
    [anon_sym_short] = ACTIONS(1247),
    [anon_sym_static] = ACTIONS(1247),
    [anon_sym_auto] = ACTIONS(1247),
    [anon_sym_register] = ACTIONS(1247),
    [anon_sym_inline] = ACTIONS(1247),
    [anon_sym___inline] = ACTIONS(1247),
    [anon_sym___inline__] = ACTIONS(1247),
    [anon_sym___forceinline] = ACTIONS(1247),
    [anon_sym_thread_local] = ACTIONS(1247),
    [anon_sym___thread] = ACTIONS(1247),
    [anon_sym_const] = ACTIONS(1247),
    [anon_sym_constexpr] = ACTIONS(1247),
    [anon_sym_volatile] = ACTIONS(1247),
    [anon_sym_restrict] = ACTIONS(1247),
    [anon_sym___restrict__] = ACTIONS(1247),
    [anon_sym__Atomic] = ACTIONS(1247),
    [anon_sym__Noreturn] = ACTIONS(1247),
    [anon_sym_noreturn] = ACTIONS(1247),
    [anon_sym_alignas] = ACTIONS(1247),
    [anon_sym__Alignas] = ACTIONS(1247),
    [sym_primitive_type] = ACTIONS(1247),
    [anon_sym_enum] = ACTIONS(1247),
    [anon_sym_struct] = ACTIONS(1247),
    [anon_sym_union] = ACTIONS(1247),
    [anon_sym_if] = ACTIONS(1247),
    [anon_sym_else] = ACTIONS(1247),
    [anon_sym_switch] = ACTIONS(1247),
    [anon_sym_case] = ACTIONS(1247),
    [anon_sym_default] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1247),
    [anon_sym_do] = ACTIONS(1247),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_return] = ACTIONS(1247),
    [anon_sym_break] = ACTIONS(1247),
    [anon_sym_continue] = ACTIONS(1247),
    [anon_sym_goto] = ACTIONS(1247),
    [anon_sym___try] = ACTIONS(1247),
    [anon_sym___leave] = ACTIONS(1247),
    [anon_sym_DASH_DASH] = ACTIONS(1249),
    [anon_sym_PLUS_PLUS] = ACTIONS(1249),
    [anon_sym_sizeof] = ACTIONS(1247),
    [anon_sym___alignof__] = ACTIONS(1247),
    [anon_sym___alignof] = ACTIONS(1247),
    [anon_sym__alignof] = ACTIONS(1247),
    [anon_sym_alignof] = ACTIONS(1247),
    [anon_sym__Alignof] = ACTIONS(1247),
    [anon_sym_offsetof] = ACTIONS(1247),
    [anon_sym__Generic] = ACTIONS(1247),
    [anon_sym_asm] = ACTIONS(1247),
    [anon_sym___asm__] = ACTIONS(1247),
    [sym_number_literal] = ACTIONS(1249),
    [anon_sym_L_SQUOTE] = ACTIONS(1249),
    [anon_sym_u_SQUOTE] = ACTIONS(1249),
    [anon_sym_U_SQUOTE] = ACTIONS(1249),
    [anon_sym_u8_SQUOTE] = ACTIONS(1249),
    [anon_sym_SQUOTE] = ACTIONS(1249),
    [anon_sym_L_DQUOTE] = ACTIONS(1249),
    [anon_sym_u_DQUOTE] = ACTIONS(1249),
    [anon_sym_U_DQUOTE] = ACTIONS(1249),
    [anon_sym_u8_DQUOTE] = ACTIONS(1249),
    [anon_sym_DQUOTE] = ACTIONS(1249),
    [sym_true] = ACTIONS(1247),
    [sym_false] = ACTIONS(1247),
    [anon_sym_NULL] = ACTIONS(1247),
    [anon_sym_nullptr] = ACTIONS(1247),
    [sym_comment] = ACTIONS(3),
  },
  [173] = {
    [sym_identifier] = ACTIONS(1135),
    [aux_sym_preproc_include_token1] = ACTIONS(1135),
    [aux_sym_preproc_def_token1] = ACTIONS(1135),
    [aux_sym_preproc_if_token1] = ACTIONS(1135),
    [aux_sym_preproc_if_token2] = ACTIONS(1135),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1135),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1135),
    [sym_preproc_directive] = ACTIONS(1135),
    [anon_sym_LPAREN2] = ACTIONS(1137),
    [anon_sym_BANG] = ACTIONS(1137),
    [anon_sym_TILDE] = ACTIONS(1137),
    [anon_sym_DASH] = ACTIONS(1135),
    [anon_sym_PLUS] = ACTIONS(1135),
    [anon_sym_STAR] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(1137),
    [anon_sym_SEMI] = ACTIONS(1137),
    [anon_sym___extension__] = ACTIONS(1135),
    [anon_sym_typedef] = ACTIONS(1135),
    [anon_sym_extern] = ACTIONS(1135),
    [anon_sym___attribute__] = ACTIONS(1135),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1137),
    [anon_sym___declspec] = ACTIONS(1135),
    [anon_sym___cdecl] = ACTIONS(1135),
    [anon_sym___clrcall] = ACTIONS(1135),
    [anon_sym___stdcall] = ACTIONS(1135),
    [anon_sym___fastcall] = ACTIONS(1135),
    [anon_sym___thiscall] = ACTIONS(1135),
    [anon_sym___vectorcall] = ACTIONS(1135),
    [anon_sym_LBRACE] = ACTIONS(1137),
    [anon_sym_signed] = ACTIONS(1135),
    [anon_sym_unsigned] = ACTIONS(1135),
    [anon_sym_long] = ACTIONS(1135),
    [anon_sym_short] = ACTIONS(1135),
    [anon_sym_static] = ACTIONS(1135),
    [anon_sym_auto] = ACTIONS(1135),
    [anon_sym_register] = ACTIONS(1135),
    [anon_sym_inline] = ACTIONS(1135),
    [anon_sym___inline] = ACTIONS(1135),
    [anon_sym___inline__] = ACTIONS(1135),
    [anon_sym___forceinline] = ACTIONS(1135),
    [anon_sym_thread_local] = ACTIONS(1135),
    [anon_sym___thread] = ACTIONS(1135),
    [anon_sym_const] = ACTIONS(1135),
    [anon_sym_constexpr] = ACTIONS(1135),
    [anon_sym_volatile] = ACTIONS(1135),
    [anon_sym_restrict] = ACTIONS(1135),
    [anon_sym___restrict__] = ACTIONS(1135),
    [anon_sym__Atomic] = ACTIONS(1135),
    [anon_sym__Noreturn] = ACTIONS(1135),
    [anon_sym_noreturn] = ACTIONS(1135),
    [anon_sym_alignas] = ACTIONS(1135),
    [anon_sym__Alignas] = ACTIONS(1135),
    [sym_primitive_type] = ACTIONS(1135),
    [anon_sym_enum] = ACTIONS(1135),
    [anon_sym_struct] = ACTIONS(1135),
    [anon_sym_union] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(1135),
    [anon_sym_else] = ACTIONS(1135),
    [anon_sym_switch] = ACTIONS(1135),
    [anon_sym_case] = ACTIONS(1135),
    [anon_sym_default] = ACTIONS(1135),
    [anon_sym_while] = ACTIONS(1135),
    [anon_sym_do] = ACTIONS(1135),
    [anon_sym_for] = ACTIONS(1135),
    [anon_sym_return] = ACTIONS(1135),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [anon_sym_goto] = ACTIONS(1135),
    [anon_sym___try] = ACTIONS(1135),
    [anon_sym___leave] = ACTIONS(1135),
    [anon_sym_DASH_DASH] = ACTIONS(1137),
    [anon_sym_PLUS_PLUS] = ACTIONS(1137),
    [anon_sym_sizeof] = ACTIONS(1135),
    [anon_sym___alignof__] = ACTIONS(1135),
    [anon_sym___alignof] = ACTIONS(1135),
    [anon_sym__alignof] = ACTIONS(1135),
    [anon_sym_alignof] = ACTIONS(1135),
    [anon_sym__Alignof] = ACTIONS(1135),
    [anon_sym_offsetof] = ACTIONS(1135),
    [anon_sym__Generic] = ACTIONS(1135),
    [anon_sym_asm] = ACTIONS(1135),
    [anon_sym___asm__] = ACTIONS(1135),
    [sym_number_literal] = ACTIONS(1137),
    [anon_sym_L_SQUOTE] = ACTIONS(1137),
    [anon_sym_u_SQUOTE] = ACTIONS(1137),
    [anon_sym_U_SQUOTE] = ACTIONS(1137),
    [anon_sym_u8_SQUOTE] = ACTIONS(1137),
    [anon_sym_SQUOTE] = ACTIONS(1137),
    [anon_sym_L_DQUOTE] = ACTIONS(1137),
    [anon_sym_u_DQUOTE] = ACTIONS(1137),
    [anon_sym_U_DQUOTE] = ACTIONS(1137),
    [anon_sym_u8_DQUOTE] = ACTIONS(1137),
    [anon_sym_DQUOTE] = ACTIONS(1137),
    [sym_true] = ACTIONS(1135),
    [sym_false] = ACTIONS(1135),
    [anon_sym_NULL] = ACTIONS(1135),
    [anon_sym_nullptr] = ACTIONS(1135),
    [sym_comment] = ACTIONS(3),
  },
  [174] = {
    [sym_identifier] = ACTIONS(1131),
    [aux_sym_preproc_include_token1] = ACTIONS(1131),
    [aux_sym_preproc_def_token1] = ACTIONS(1131),
    [aux_sym_preproc_if_token1] = ACTIONS(1131),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1131),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1131),
    [sym_preproc_directive] = ACTIONS(1131),
    [anon_sym_LPAREN2] = ACTIONS(1133),
    [anon_sym_BANG] = ACTIONS(1133),
    [anon_sym_TILDE] = ACTIONS(1133),
    [anon_sym_DASH] = ACTIONS(1131),
    [anon_sym_PLUS] = ACTIONS(1131),
    [anon_sym_STAR] = ACTIONS(1133),
    [anon_sym_AMP] = ACTIONS(1133),
    [anon_sym_SEMI] = ACTIONS(1133),
    [anon_sym___extension__] = ACTIONS(1131),
    [anon_sym_typedef] = ACTIONS(1131),
    [anon_sym_extern] = ACTIONS(1131),
    [anon_sym___attribute__] = ACTIONS(1131),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1133),
    [anon_sym___declspec] = ACTIONS(1131),
    [anon_sym___cdecl] = ACTIONS(1131),
    [anon_sym___clrcall] = ACTIONS(1131),
    [anon_sym___stdcall] = ACTIONS(1131),
    [anon_sym___fastcall] = ACTIONS(1131),
    [anon_sym___thiscall] = ACTIONS(1131),
    [anon_sym___vectorcall] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_RBRACE] = ACTIONS(1133),
    [anon_sym_signed] = ACTIONS(1131),
    [anon_sym_unsigned] = ACTIONS(1131),
    [anon_sym_long] = ACTIONS(1131),
    [anon_sym_short] = ACTIONS(1131),
    [anon_sym_static] = ACTIONS(1131),
    [anon_sym_auto] = ACTIONS(1131),
    [anon_sym_register] = ACTIONS(1131),
    [anon_sym_inline] = ACTIONS(1131),
    [anon_sym___inline] = ACTIONS(1131),
    [anon_sym___inline__] = ACTIONS(1131),
    [anon_sym___forceinline] = ACTIONS(1131),
    [anon_sym_thread_local] = ACTIONS(1131),
    [anon_sym___thread] = ACTIONS(1131),
    [anon_sym_const] = ACTIONS(1131),
    [anon_sym_constexpr] = ACTIONS(1131),
    [anon_sym_volatile] = ACTIONS(1131),
    [anon_sym_restrict] = ACTIONS(1131),
    [anon_sym___restrict__] = ACTIONS(1131),
    [anon_sym__Atomic] = ACTIONS(1131),
    [anon_sym__Noreturn] = ACTIONS(1131),
    [anon_sym_noreturn] = ACTIONS(1131),
    [anon_sym_alignas] = ACTIONS(1131),
    [anon_sym__Alignas] = ACTIONS(1131),
    [sym_primitive_type] = ACTIONS(1131),
    [anon_sym_enum] = ACTIONS(1131),
    [anon_sym_struct] = ACTIONS(1131),
    [anon_sym_union] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1131),
    [anon_sym_else] = ACTIONS(1131),
    [anon_sym_switch] = ACTIONS(1131),
    [anon_sym_case] = ACTIONS(1131),
    [anon_sym_default] = ACTIONS(1131),
    [anon_sym_while] = ACTIONS(1131),
    [anon_sym_do] = ACTIONS(1131),
    [anon_sym_for] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1131),
    [anon_sym_break] = ACTIONS(1131),
    [anon_sym_continue] = ACTIONS(1131),
    [anon_sym_goto] = ACTIONS(1131),
    [anon_sym___try] = ACTIONS(1131),
    [anon_sym___leave] = ACTIONS(1131),
    [anon_sym_DASH_DASH] = ACTIONS(1133),
    [anon_sym_PLUS_PLUS] = ACTIONS(1133),
    [anon_sym_sizeof] = ACTIONS(1131),
    [anon_sym___alignof__] = ACTIONS(1131),
    [anon_sym___alignof] = ACTIONS(1131),
    [anon_sym__alignof] = ACTIONS(1131),
    [anon_sym_alignof] = ACTIONS(1131),
    [anon_sym__Alignof] = ACTIONS(1131),
    [anon_sym_offsetof] = ACTIONS(1131),
    [anon_sym__Generic] = ACTIONS(1131),
    [anon_sym_asm] = ACTIONS(1131),
    [anon_sym___asm__] = ACTIONS(1131),
    [sym_number_literal] = ACTIONS(1133),
    [anon_sym_L_SQUOTE] = ACTIONS(1133),
    [anon_sym_u_SQUOTE] = ACTIONS(1133),
    [anon_sym_U_SQUOTE] = ACTIONS(1133),
    [anon_sym_u8_SQUOTE] = ACTIONS(1133),
    [anon_sym_SQUOTE] = ACTIONS(1133),
    [anon_sym_L_DQUOTE] = ACTIONS(1133),
    [anon_sym_u_DQUOTE] = ACTIONS(1133),
    [anon_sym_U_DQUOTE] = ACTIONS(1133),
    [anon_sym_u8_DQUOTE] = ACTIONS(1133),
    [anon_sym_DQUOTE] = ACTIONS(1133),
    [sym_true] = ACTIONS(1131),
    [sym_false] = ACTIONS(1131),
    [anon_sym_NULL] = ACTIONS(1131),
    [anon_sym_nullptr] = ACTIONS(1131),
    [sym_comment] = ACTIONS(3),
  },
  [175] = {
    [sym_identifier] = ACTIONS(1135),
    [aux_sym_preproc_include_token1] = ACTIONS(1135),
    [aux_sym_preproc_def_token1] = ACTIONS(1135),
    [aux_sym_preproc_if_token1] = ACTIONS(1135),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1135),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1135),
    [sym_preproc_directive] = ACTIONS(1135),
    [anon_sym_LPAREN2] = ACTIONS(1137),
    [anon_sym_BANG] = ACTIONS(1137),
    [anon_sym_TILDE] = ACTIONS(1137),
    [anon_sym_DASH] = ACTIONS(1135),
    [anon_sym_PLUS] = ACTIONS(1135),
    [anon_sym_STAR] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(1137),
    [anon_sym_SEMI] = ACTIONS(1137),
    [anon_sym___extension__] = ACTIONS(1135),
    [anon_sym_typedef] = ACTIONS(1135),
    [anon_sym_extern] = ACTIONS(1135),
    [anon_sym___attribute__] = ACTIONS(1135),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1137),
    [anon_sym___declspec] = ACTIONS(1135),
    [anon_sym___cdecl] = ACTIONS(1135),
    [anon_sym___clrcall] = ACTIONS(1135),
    [anon_sym___stdcall] = ACTIONS(1135),
    [anon_sym___fastcall] = ACTIONS(1135),
    [anon_sym___thiscall] = ACTIONS(1135),
    [anon_sym___vectorcall] = ACTIONS(1135),
    [anon_sym_LBRACE] = ACTIONS(1137),
    [anon_sym_RBRACE] = ACTIONS(1137),
    [anon_sym_signed] = ACTIONS(1135),
    [anon_sym_unsigned] = ACTIONS(1135),
    [anon_sym_long] = ACTIONS(1135),
    [anon_sym_short] = ACTIONS(1135),
    [anon_sym_static] = ACTIONS(1135),
    [anon_sym_auto] = ACTIONS(1135),
    [anon_sym_register] = ACTIONS(1135),
    [anon_sym_inline] = ACTIONS(1135),
    [anon_sym___inline] = ACTIONS(1135),
    [anon_sym___inline__] = ACTIONS(1135),
    [anon_sym___forceinline] = ACTIONS(1135),
    [anon_sym_thread_local] = ACTIONS(1135),
    [anon_sym___thread] = ACTIONS(1135),
    [anon_sym_const] = ACTIONS(1135),
    [anon_sym_constexpr] = ACTIONS(1135),
    [anon_sym_volatile] = ACTIONS(1135),
    [anon_sym_restrict] = ACTIONS(1135),
    [anon_sym___restrict__] = ACTIONS(1135),
    [anon_sym__Atomic] = ACTIONS(1135),
    [anon_sym__Noreturn] = ACTIONS(1135),
    [anon_sym_noreturn] = ACTIONS(1135),
    [anon_sym_alignas] = ACTIONS(1135),
    [anon_sym__Alignas] = ACTIONS(1135),
    [sym_primitive_type] = ACTIONS(1135),
    [anon_sym_enum] = ACTIONS(1135),
    [anon_sym_struct] = ACTIONS(1135),
    [anon_sym_union] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(1135),
    [anon_sym_else] = ACTIONS(1135),
    [anon_sym_switch] = ACTIONS(1135),
    [anon_sym_case] = ACTIONS(1135),
    [anon_sym_default] = ACTIONS(1135),
    [anon_sym_while] = ACTIONS(1135),
    [anon_sym_do] = ACTIONS(1135),
    [anon_sym_for] = ACTIONS(1135),
    [anon_sym_return] = ACTIONS(1135),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [anon_sym_goto] = ACTIONS(1135),
    [anon_sym___try] = ACTIONS(1135),
    [anon_sym___leave] = ACTIONS(1135),
    [anon_sym_DASH_DASH] = ACTIONS(1137),
    [anon_sym_PLUS_PLUS] = ACTIONS(1137),
    [anon_sym_sizeof] = ACTIONS(1135),
    [anon_sym___alignof__] = ACTIONS(1135),
    [anon_sym___alignof] = ACTIONS(1135),
    [anon_sym__alignof] = ACTIONS(1135),
    [anon_sym_alignof] = ACTIONS(1135),
    [anon_sym__Alignof] = ACTIONS(1135),
    [anon_sym_offsetof] = ACTIONS(1135),
    [anon_sym__Generic] = ACTIONS(1135),
    [anon_sym_asm] = ACTIONS(1135),
    [anon_sym___asm__] = ACTIONS(1135),
    [sym_number_literal] = ACTIONS(1137),
    [anon_sym_L_SQUOTE] = ACTIONS(1137),
    [anon_sym_u_SQUOTE] = ACTIONS(1137),
    [anon_sym_U_SQUOTE] = ACTIONS(1137),
    [anon_sym_u8_SQUOTE] = ACTIONS(1137),
    [anon_sym_SQUOTE] = ACTIONS(1137),
    [anon_sym_L_DQUOTE] = ACTIONS(1137),
    [anon_sym_u_DQUOTE] = ACTIONS(1137),
    [anon_sym_U_DQUOTE] = ACTIONS(1137),
    [anon_sym_u8_DQUOTE] = ACTIONS(1137),
    [anon_sym_DQUOTE] = ACTIONS(1137),
    [sym_true] = ACTIONS(1135),
    [sym_false] = ACTIONS(1135),
    [anon_sym_NULL] = ACTIONS(1135),
    [anon_sym_nullptr] = ACTIONS(1135),
    [sym_comment] = ACTIONS(3),
  },
  [176] = {
    [sym_identifier] = ACTIONS(1139),
    [aux_sym_preproc_include_token1] = ACTIONS(1139),
    [aux_sym_preproc_def_token1] = ACTIONS(1139),
    [aux_sym_preproc_if_token1] = ACTIONS(1139),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1139),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1139),
    [sym_preproc_directive] = ACTIONS(1139),
    [anon_sym_LPAREN2] = ACTIONS(1141),
    [anon_sym_BANG] = ACTIONS(1141),
    [anon_sym_TILDE] = ACTIONS(1141),
    [anon_sym_DASH] = ACTIONS(1139),
    [anon_sym_PLUS] = ACTIONS(1139),
    [anon_sym_STAR] = ACTIONS(1141),
    [anon_sym_AMP] = ACTIONS(1141),
    [anon_sym_SEMI] = ACTIONS(1141),
    [anon_sym___extension__] = ACTIONS(1139),
    [anon_sym_typedef] = ACTIONS(1139),
    [anon_sym_extern] = ACTIONS(1139),
    [anon_sym___attribute__] = ACTIONS(1139),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1141),
    [anon_sym___declspec] = ACTIONS(1139),
    [anon_sym___cdecl] = ACTIONS(1139),
    [anon_sym___clrcall] = ACTIONS(1139),
    [anon_sym___stdcall] = ACTIONS(1139),
    [anon_sym___fastcall] = ACTIONS(1139),
    [anon_sym___thiscall] = ACTIONS(1139),
    [anon_sym___vectorcall] = ACTIONS(1139),
    [anon_sym_LBRACE] = ACTIONS(1141),
    [anon_sym_RBRACE] = ACTIONS(1141),
    [anon_sym_signed] = ACTIONS(1139),
    [anon_sym_unsigned] = ACTIONS(1139),
    [anon_sym_long] = ACTIONS(1139),
    [anon_sym_short] = ACTIONS(1139),
    [anon_sym_static] = ACTIONS(1139),
    [anon_sym_auto] = ACTIONS(1139),
    [anon_sym_register] = ACTIONS(1139),
    [anon_sym_inline] = ACTIONS(1139),
    [anon_sym___inline] = ACTIONS(1139),
    [anon_sym___inline__] = ACTIONS(1139),
    [anon_sym___forceinline] = ACTIONS(1139),
    [anon_sym_thread_local] = ACTIONS(1139),
    [anon_sym___thread] = ACTIONS(1139),
    [anon_sym_const] = ACTIONS(1139),
    [anon_sym_constexpr] = ACTIONS(1139),
    [anon_sym_volatile] = ACTIONS(1139),
    [anon_sym_restrict] = ACTIONS(1139),
    [anon_sym___restrict__] = ACTIONS(1139),
    [anon_sym__Atomic] = ACTIONS(1139),
    [anon_sym__Noreturn] = ACTIONS(1139),
    [anon_sym_noreturn] = ACTIONS(1139),
    [anon_sym_alignas] = ACTIONS(1139),
    [anon_sym__Alignas] = ACTIONS(1139),
    [sym_primitive_type] = ACTIONS(1139),
    [anon_sym_enum] = ACTIONS(1139),
    [anon_sym_struct] = ACTIONS(1139),
    [anon_sym_union] = ACTIONS(1139),
    [anon_sym_if] = ACTIONS(1139),
    [anon_sym_else] = ACTIONS(1139),
    [anon_sym_switch] = ACTIONS(1139),
    [anon_sym_case] = ACTIONS(1139),
    [anon_sym_default] = ACTIONS(1139),
    [anon_sym_while] = ACTIONS(1139),
    [anon_sym_do] = ACTIONS(1139),
    [anon_sym_for] = ACTIONS(1139),
    [anon_sym_return] = ACTIONS(1139),
    [anon_sym_break] = ACTIONS(1139),
    [anon_sym_continue] = ACTIONS(1139),
    [anon_sym_goto] = ACTIONS(1139),
    [anon_sym___try] = ACTIONS(1139),
    [anon_sym___leave] = ACTIONS(1139),
    [anon_sym_DASH_DASH] = ACTIONS(1141),
    [anon_sym_PLUS_PLUS] = ACTIONS(1141),
    [anon_sym_sizeof] = ACTIONS(1139),
    [anon_sym___alignof__] = ACTIONS(1139),
    [anon_sym___alignof] = ACTIONS(1139),
    [anon_sym__alignof] = ACTIONS(1139),
    [anon_sym_alignof] = ACTIONS(1139),
    [anon_sym__Alignof] = ACTIONS(1139),
    [anon_sym_offsetof] = ACTIONS(1139),
    [anon_sym__Generic] = ACTIONS(1139),
    [anon_sym_asm] = ACTIONS(1139),
    [anon_sym___asm__] = ACTIONS(1139),
    [sym_number_literal] = ACTIONS(1141),
    [anon_sym_L_SQUOTE] = ACTIONS(1141),
    [anon_sym_u_SQUOTE] = ACTIONS(1141),
    [anon_sym_U_SQUOTE] = ACTIONS(1141),
    [anon_sym_u8_SQUOTE] = ACTIONS(1141),
    [anon_sym_SQUOTE] = ACTIONS(1141),
    [anon_sym_L_DQUOTE] = ACTIONS(1141),
    [anon_sym_u_DQUOTE] = ACTIONS(1141),
    [anon_sym_U_DQUOTE] = ACTIONS(1141),
    [anon_sym_u8_DQUOTE] = ACTIONS(1141),
    [anon_sym_DQUOTE] = ACTIONS(1141),
    [sym_true] = ACTIONS(1139),
    [sym_false] = ACTIONS(1139),
    [anon_sym_NULL] = ACTIONS(1139),
    [anon_sym_nullptr] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
  },
  [177] = {
    [sym_identifier] = ACTIONS(1243),
    [aux_sym_preproc_include_token1] = ACTIONS(1243),
    [aux_sym_preproc_def_token1] = ACTIONS(1243),
    [aux_sym_preproc_if_token1] = ACTIONS(1243),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1243),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1243),
    [sym_preproc_directive] = ACTIONS(1243),
    [anon_sym_LPAREN2] = ACTIONS(1245),
    [anon_sym_BANG] = ACTIONS(1245),
    [anon_sym_TILDE] = ACTIONS(1245),
    [anon_sym_DASH] = ACTIONS(1243),
    [anon_sym_PLUS] = ACTIONS(1243),
    [anon_sym_STAR] = ACTIONS(1245),
    [anon_sym_AMP] = ACTIONS(1245),
    [anon_sym_SEMI] = ACTIONS(1245),
    [anon_sym___extension__] = ACTIONS(1243),
    [anon_sym_typedef] = ACTIONS(1243),
    [anon_sym_extern] = ACTIONS(1243),
    [anon_sym___attribute__] = ACTIONS(1243),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1245),
    [anon_sym___declspec] = ACTIONS(1243),
    [anon_sym___cdecl] = ACTIONS(1243),
    [anon_sym___clrcall] = ACTIONS(1243),
    [anon_sym___stdcall] = ACTIONS(1243),
    [anon_sym___fastcall] = ACTIONS(1243),
    [anon_sym___thiscall] = ACTIONS(1243),
    [anon_sym___vectorcall] = ACTIONS(1243),
    [anon_sym_LBRACE] = ACTIONS(1245),
    [anon_sym_RBRACE] = ACTIONS(1245),
    [anon_sym_signed] = ACTIONS(1243),
    [anon_sym_unsigned] = ACTIONS(1243),
    [anon_sym_long] = ACTIONS(1243),
    [anon_sym_short] = ACTIONS(1243),
    [anon_sym_static] = ACTIONS(1243),
    [anon_sym_auto] = ACTIONS(1243),
    [anon_sym_register] = ACTIONS(1243),
    [anon_sym_inline] = ACTIONS(1243),
    [anon_sym___inline] = ACTIONS(1243),
    [anon_sym___inline__] = ACTIONS(1243),
    [anon_sym___forceinline] = ACTIONS(1243),
    [anon_sym_thread_local] = ACTIONS(1243),
    [anon_sym___thread] = ACTIONS(1243),
    [anon_sym_const] = ACTIONS(1243),
    [anon_sym_constexpr] = ACTIONS(1243),
    [anon_sym_volatile] = ACTIONS(1243),
    [anon_sym_restrict] = ACTIONS(1243),
    [anon_sym___restrict__] = ACTIONS(1243),
    [anon_sym__Atomic] = ACTIONS(1243),
    [anon_sym__Noreturn] = ACTIONS(1243),
    [anon_sym_noreturn] = ACTIONS(1243),
    [anon_sym_alignas] = ACTIONS(1243),
    [anon_sym__Alignas] = ACTIONS(1243),
    [sym_primitive_type] = ACTIONS(1243),
    [anon_sym_enum] = ACTIONS(1243),
    [anon_sym_struct] = ACTIONS(1243),
    [anon_sym_union] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_else] = ACTIONS(1243),
    [anon_sym_switch] = ACTIONS(1243),
    [anon_sym_case] = ACTIONS(1243),
    [anon_sym_default] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(1243),
    [anon_sym_do] = ACTIONS(1243),
    [anon_sym_for] = ACTIONS(1243),
    [anon_sym_return] = ACTIONS(1243),
    [anon_sym_break] = ACTIONS(1243),
    [anon_sym_continue] = ACTIONS(1243),
    [anon_sym_goto] = ACTIONS(1243),
    [anon_sym___try] = ACTIONS(1243),
    [anon_sym___leave] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1245),
    [anon_sym_PLUS_PLUS] = ACTIONS(1245),
    [anon_sym_sizeof] = ACTIONS(1243),
    [anon_sym___alignof__] = ACTIONS(1243),
    [anon_sym___alignof] = ACTIONS(1243),
    [anon_sym__alignof] = ACTIONS(1243),
    [anon_sym_alignof] = ACTIONS(1243),
    [anon_sym__Alignof] = ACTIONS(1243),
    [anon_sym_offsetof] = ACTIONS(1243),
    [anon_sym__Generic] = ACTIONS(1243),
    [anon_sym_asm] = ACTIONS(1243),
    [anon_sym___asm__] = ACTIONS(1243),
    [sym_number_literal] = ACTIONS(1245),
    [anon_sym_L_SQUOTE] = ACTIONS(1245),
    [anon_sym_u_SQUOTE] = ACTIONS(1245),
    [anon_sym_U_SQUOTE] = ACTIONS(1245),
    [anon_sym_u8_SQUOTE] = ACTIONS(1245),
    [anon_sym_SQUOTE] = ACTIONS(1245),
    [anon_sym_L_DQUOTE] = ACTIONS(1245),
    [anon_sym_u_DQUOTE] = ACTIONS(1245),
    [anon_sym_U_DQUOTE] = ACTIONS(1245),
    [anon_sym_u8_DQUOTE] = ACTIONS(1245),
    [anon_sym_DQUOTE] = ACTIONS(1245),
    [sym_true] = ACTIONS(1243),
    [sym_false] = ACTIONS(1243),
    [anon_sym_NULL] = ACTIONS(1243),
    [anon_sym_nullptr] = ACTIONS(1243),
    [sym_comment] = ACTIONS(3),
  },
  [178] = {
    [sym_identifier] = ACTIONS(1143),
    [aux_sym_preproc_include_token1] = ACTIONS(1143),
    [aux_sym_preproc_def_token1] = ACTIONS(1143),
    [aux_sym_preproc_if_token1] = ACTIONS(1143),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1143),
    [sym_preproc_directive] = ACTIONS(1143),
    [anon_sym_LPAREN2] = ACTIONS(1145),
    [anon_sym_BANG] = ACTIONS(1145),
    [anon_sym_TILDE] = ACTIONS(1145),
    [anon_sym_DASH] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1143),
    [anon_sym_STAR] = ACTIONS(1145),
    [anon_sym_AMP] = ACTIONS(1145),
    [anon_sym_SEMI] = ACTIONS(1145),
    [anon_sym___extension__] = ACTIONS(1143),
    [anon_sym_typedef] = ACTIONS(1143),
    [anon_sym_extern] = ACTIONS(1143),
    [anon_sym___attribute__] = ACTIONS(1143),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1145),
    [anon_sym___declspec] = ACTIONS(1143),
    [anon_sym___cdecl] = ACTIONS(1143),
    [anon_sym___clrcall] = ACTIONS(1143),
    [anon_sym___stdcall] = ACTIONS(1143),
    [anon_sym___fastcall] = ACTIONS(1143),
    [anon_sym___thiscall] = ACTIONS(1143),
    [anon_sym___vectorcall] = ACTIONS(1143),
    [anon_sym_LBRACE] = ACTIONS(1145),
    [anon_sym_RBRACE] = ACTIONS(1145),
    [anon_sym_signed] = ACTIONS(1143),
    [anon_sym_unsigned] = ACTIONS(1143),
    [anon_sym_long] = ACTIONS(1143),
    [anon_sym_short] = ACTIONS(1143),
    [anon_sym_static] = ACTIONS(1143),
    [anon_sym_auto] = ACTIONS(1143),
    [anon_sym_register] = ACTIONS(1143),
    [anon_sym_inline] = ACTIONS(1143),
    [anon_sym___inline] = ACTIONS(1143),
    [anon_sym___inline__] = ACTIONS(1143),
    [anon_sym___forceinline] = ACTIONS(1143),
    [anon_sym_thread_local] = ACTIONS(1143),
    [anon_sym___thread] = ACTIONS(1143),
    [anon_sym_const] = ACTIONS(1143),
    [anon_sym_constexpr] = ACTIONS(1143),
    [anon_sym_volatile] = ACTIONS(1143),
    [anon_sym_restrict] = ACTIONS(1143),
    [anon_sym___restrict__] = ACTIONS(1143),
    [anon_sym__Atomic] = ACTIONS(1143),
    [anon_sym__Noreturn] = ACTIONS(1143),
    [anon_sym_noreturn] = ACTIONS(1143),
    [anon_sym_alignas] = ACTIONS(1143),
    [anon_sym__Alignas] = ACTIONS(1143),
    [sym_primitive_type] = ACTIONS(1143),
    [anon_sym_enum] = ACTIONS(1143),
    [anon_sym_struct] = ACTIONS(1143),
    [anon_sym_union] = ACTIONS(1143),
    [anon_sym_if] = ACTIONS(1143),
    [anon_sym_else] = ACTIONS(1143),
    [anon_sym_switch] = ACTIONS(1143),
    [anon_sym_case] = ACTIONS(1143),
    [anon_sym_default] = ACTIONS(1143),
    [anon_sym_while] = ACTIONS(1143),
    [anon_sym_do] = ACTIONS(1143),
    [anon_sym_for] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(1143),
    [anon_sym_break] = ACTIONS(1143),
    [anon_sym_continue] = ACTIONS(1143),
    [anon_sym_goto] = ACTIONS(1143),
    [anon_sym___try] = ACTIONS(1143),
    [anon_sym___leave] = ACTIONS(1143),
    [anon_sym_DASH_DASH] = ACTIONS(1145),
    [anon_sym_PLUS_PLUS] = ACTIONS(1145),
    [anon_sym_sizeof] = ACTIONS(1143),
    [anon_sym___alignof__] = ACTIONS(1143),
    [anon_sym___alignof] = ACTIONS(1143),
    [anon_sym__alignof] = ACTIONS(1143),
    [anon_sym_alignof] = ACTIONS(1143),
    [anon_sym__Alignof] = ACTIONS(1143),
    [anon_sym_offsetof] = ACTIONS(1143),
    [anon_sym__Generic] = ACTIONS(1143),
    [anon_sym_asm] = ACTIONS(1143),
    [anon_sym___asm__] = ACTIONS(1143),
    [sym_number_literal] = ACTIONS(1145),
    [anon_sym_L_SQUOTE] = ACTIONS(1145),
    [anon_sym_u_SQUOTE] = ACTIONS(1145),
    [anon_sym_U_SQUOTE] = ACTIONS(1145),
    [anon_sym_u8_SQUOTE] = ACTIONS(1145),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [anon_sym_L_DQUOTE] = ACTIONS(1145),
    [anon_sym_u_DQUOTE] = ACTIONS(1145),
    [anon_sym_U_DQUOTE] = ACTIONS(1145),
    [anon_sym_u8_DQUOTE] = ACTIONS(1145),
    [anon_sym_DQUOTE] = ACTIONS(1145),
    [sym_true] = ACTIONS(1143),
    [sym_false] = ACTIONS(1143),
    [anon_sym_NULL] = ACTIONS(1143),
    [anon_sym_nullptr] = ACTIONS(1143),
    [sym_comment] = ACTIONS(3),
  },
  [179] = {
    [sym_identifier] = ACTIONS(1171),
    [aux_sym_preproc_include_token1] = ACTIONS(1171),
    [aux_sym_preproc_def_token1] = ACTIONS(1171),
    [aux_sym_preproc_if_token1] = ACTIONS(1171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1171),
    [sym_preproc_directive] = ACTIONS(1171),
    [anon_sym_LPAREN2] = ACTIONS(1173),
    [anon_sym_BANG] = ACTIONS(1173),
    [anon_sym_TILDE] = ACTIONS(1173),
    [anon_sym_DASH] = ACTIONS(1171),
    [anon_sym_PLUS] = ACTIONS(1171),
    [anon_sym_STAR] = ACTIONS(1173),
    [anon_sym_AMP] = ACTIONS(1173),
    [anon_sym_SEMI] = ACTIONS(1173),
    [anon_sym___extension__] = ACTIONS(1171),
    [anon_sym_typedef] = ACTIONS(1171),
    [anon_sym_extern] = ACTIONS(1171),
    [anon_sym___attribute__] = ACTIONS(1171),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1173),
    [anon_sym___declspec] = ACTIONS(1171),
    [anon_sym___cdecl] = ACTIONS(1171),
    [anon_sym___clrcall] = ACTIONS(1171),
    [anon_sym___stdcall] = ACTIONS(1171),
    [anon_sym___fastcall] = ACTIONS(1171),
    [anon_sym___thiscall] = ACTIONS(1171),
    [anon_sym___vectorcall] = ACTIONS(1171),
    [anon_sym_LBRACE] = ACTIONS(1173),
    [anon_sym_RBRACE] = ACTIONS(1173),
    [anon_sym_signed] = ACTIONS(1171),
    [anon_sym_unsigned] = ACTIONS(1171),
    [anon_sym_long] = ACTIONS(1171),
    [anon_sym_short] = ACTIONS(1171),
    [anon_sym_static] = ACTIONS(1171),
    [anon_sym_auto] = ACTIONS(1171),
    [anon_sym_register] = ACTIONS(1171),
    [anon_sym_inline] = ACTIONS(1171),
    [anon_sym___inline] = ACTIONS(1171),
    [anon_sym___inline__] = ACTIONS(1171),
    [anon_sym___forceinline] = ACTIONS(1171),
    [anon_sym_thread_local] = ACTIONS(1171),
    [anon_sym___thread] = ACTIONS(1171),
    [anon_sym_const] = ACTIONS(1171),
    [anon_sym_constexpr] = ACTIONS(1171),
    [anon_sym_volatile] = ACTIONS(1171),
    [anon_sym_restrict] = ACTIONS(1171),
    [anon_sym___restrict__] = ACTIONS(1171),
    [anon_sym__Atomic] = ACTIONS(1171),
    [anon_sym__Noreturn] = ACTIONS(1171),
    [anon_sym_noreturn] = ACTIONS(1171),
    [anon_sym_alignas] = ACTIONS(1171),
    [anon_sym__Alignas] = ACTIONS(1171),
    [sym_primitive_type] = ACTIONS(1171),
    [anon_sym_enum] = ACTIONS(1171),
    [anon_sym_struct] = ACTIONS(1171),
    [anon_sym_union] = ACTIONS(1171),
    [anon_sym_if] = ACTIONS(1171),
    [anon_sym_else] = ACTIONS(1171),
    [anon_sym_switch] = ACTIONS(1171),
    [anon_sym_case] = ACTIONS(1171),
    [anon_sym_default] = ACTIONS(1171),
    [anon_sym_while] = ACTIONS(1171),
    [anon_sym_do] = ACTIONS(1171),
    [anon_sym_for] = ACTIONS(1171),
    [anon_sym_return] = ACTIONS(1171),
    [anon_sym_break] = ACTIONS(1171),
    [anon_sym_continue] = ACTIONS(1171),
    [anon_sym_goto] = ACTIONS(1171),
    [anon_sym___try] = ACTIONS(1171),
    [anon_sym___leave] = ACTIONS(1171),
    [anon_sym_DASH_DASH] = ACTIONS(1173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1173),
    [anon_sym_sizeof] = ACTIONS(1171),
    [anon_sym___alignof__] = ACTIONS(1171),
    [anon_sym___alignof] = ACTIONS(1171),
    [anon_sym__alignof] = ACTIONS(1171),
    [anon_sym_alignof] = ACTIONS(1171),
    [anon_sym__Alignof] = ACTIONS(1171),
    [anon_sym_offsetof] = ACTIONS(1171),
    [anon_sym__Generic] = ACTIONS(1171),
    [anon_sym_asm] = ACTIONS(1171),
    [anon_sym___asm__] = ACTIONS(1171),
    [sym_number_literal] = ACTIONS(1173),
    [anon_sym_L_SQUOTE] = ACTIONS(1173),
    [anon_sym_u_SQUOTE] = ACTIONS(1173),
    [anon_sym_U_SQUOTE] = ACTIONS(1173),
    [anon_sym_u8_SQUOTE] = ACTIONS(1173),
    [anon_sym_SQUOTE] = ACTIONS(1173),
    [anon_sym_L_DQUOTE] = ACTIONS(1173),
    [anon_sym_u_DQUOTE] = ACTIONS(1173),
    [anon_sym_U_DQUOTE] = ACTIONS(1173),
    [anon_sym_u8_DQUOTE] = ACTIONS(1173),
    [anon_sym_DQUOTE] = ACTIONS(1173),
    [sym_true] = ACTIONS(1171),
    [sym_false] = ACTIONS(1171),
    [anon_sym_NULL] = ACTIONS(1171),
    [anon_sym_nullptr] = ACTIONS(1171),
    [sym_comment] = ACTIONS(3),
  },
  [180] = {
    [sym_identifier] = ACTIONS(1147),
    [aux_sym_preproc_include_token1] = ACTIONS(1147),
    [aux_sym_preproc_def_token1] = ACTIONS(1147),
    [aux_sym_preproc_if_token1] = ACTIONS(1147),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1147),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1147),
    [sym_preproc_directive] = ACTIONS(1147),
    [anon_sym_LPAREN2] = ACTIONS(1149),
    [anon_sym_BANG] = ACTIONS(1149),
    [anon_sym_TILDE] = ACTIONS(1149),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_STAR] = ACTIONS(1149),
    [anon_sym_AMP] = ACTIONS(1149),
    [anon_sym_SEMI] = ACTIONS(1149),
    [anon_sym___extension__] = ACTIONS(1147),
    [anon_sym_typedef] = ACTIONS(1147),
    [anon_sym_extern] = ACTIONS(1147),
    [anon_sym___attribute__] = ACTIONS(1147),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1149),
    [anon_sym___declspec] = ACTIONS(1147),
    [anon_sym___cdecl] = ACTIONS(1147),
    [anon_sym___clrcall] = ACTIONS(1147),
    [anon_sym___stdcall] = ACTIONS(1147),
    [anon_sym___fastcall] = ACTIONS(1147),
    [anon_sym___thiscall] = ACTIONS(1147),
    [anon_sym___vectorcall] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1149),
    [anon_sym_RBRACE] = ACTIONS(1149),
    [anon_sym_signed] = ACTIONS(1147),
    [anon_sym_unsigned] = ACTIONS(1147),
    [anon_sym_long] = ACTIONS(1147),
    [anon_sym_short] = ACTIONS(1147),
    [anon_sym_static] = ACTIONS(1147),
    [anon_sym_auto] = ACTIONS(1147),
    [anon_sym_register] = ACTIONS(1147),
    [anon_sym_inline] = ACTIONS(1147),
    [anon_sym___inline] = ACTIONS(1147),
    [anon_sym___inline__] = ACTIONS(1147),
    [anon_sym___forceinline] = ACTIONS(1147),
    [anon_sym_thread_local] = ACTIONS(1147),
    [anon_sym___thread] = ACTIONS(1147),
    [anon_sym_const] = ACTIONS(1147),
    [anon_sym_constexpr] = ACTIONS(1147),
    [anon_sym_volatile] = ACTIONS(1147),
    [anon_sym_restrict] = ACTIONS(1147),
    [anon_sym___restrict__] = ACTIONS(1147),
    [anon_sym__Atomic] = ACTIONS(1147),
    [anon_sym__Noreturn] = ACTIONS(1147),
    [anon_sym_noreturn] = ACTIONS(1147),
    [anon_sym_alignas] = ACTIONS(1147),
    [anon_sym__Alignas] = ACTIONS(1147),
    [sym_primitive_type] = ACTIONS(1147),
    [anon_sym_enum] = ACTIONS(1147),
    [anon_sym_struct] = ACTIONS(1147),
    [anon_sym_union] = ACTIONS(1147),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_else] = ACTIONS(1147),
    [anon_sym_switch] = ACTIONS(1147),
    [anon_sym_case] = ACTIONS(1147),
    [anon_sym_default] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(1147),
    [anon_sym_do] = ACTIONS(1147),
    [anon_sym_for] = ACTIONS(1147),
    [anon_sym_return] = ACTIONS(1147),
    [anon_sym_break] = ACTIONS(1147),
    [anon_sym_continue] = ACTIONS(1147),
    [anon_sym_goto] = ACTIONS(1147),
    [anon_sym___try] = ACTIONS(1147),
    [anon_sym___leave] = ACTIONS(1147),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_sizeof] = ACTIONS(1147),
    [anon_sym___alignof__] = ACTIONS(1147),
    [anon_sym___alignof] = ACTIONS(1147),
    [anon_sym__alignof] = ACTIONS(1147),
    [anon_sym_alignof] = ACTIONS(1147),
    [anon_sym__Alignof] = ACTIONS(1147),
    [anon_sym_offsetof] = ACTIONS(1147),
    [anon_sym__Generic] = ACTIONS(1147),
    [anon_sym_asm] = ACTIONS(1147),
    [anon_sym___asm__] = ACTIONS(1147),
    [sym_number_literal] = ACTIONS(1149),
    [anon_sym_L_SQUOTE] = ACTIONS(1149),
    [anon_sym_u_SQUOTE] = ACTIONS(1149),
    [anon_sym_U_SQUOTE] = ACTIONS(1149),
    [anon_sym_u8_SQUOTE] = ACTIONS(1149),
    [anon_sym_SQUOTE] = ACTIONS(1149),
    [anon_sym_L_DQUOTE] = ACTIONS(1149),
    [anon_sym_u_DQUOTE] = ACTIONS(1149),
    [anon_sym_U_DQUOTE] = ACTIONS(1149),
    [anon_sym_u8_DQUOTE] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(1149),
    [sym_true] = ACTIONS(1147),
    [sym_false] = ACTIONS(1147),
    [anon_sym_NULL] = ACTIONS(1147),
    [anon_sym_nullptr] = ACTIONS(1147),
    [sym_comment] = ACTIONS(3),
  },
  [181] = {
    [ts_builtin_sym_end] = ACTIONS(1153),
    [sym_identifier] = ACTIONS(1151),
    [aux_sym_preproc_include_token1] = ACTIONS(1151),
    [aux_sym_preproc_def_token1] = ACTIONS(1151),
    [aux_sym_preproc_if_token1] = ACTIONS(1151),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1151),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1151),
    [sym_preproc_directive] = ACTIONS(1151),
    [anon_sym_LPAREN2] = ACTIONS(1153),
    [anon_sym_BANG] = ACTIONS(1153),
    [anon_sym_TILDE] = ACTIONS(1153),
    [anon_sym_DASH] = ACTIONS(1151),
    [anon_sym_PLUS] = ACTIONS(1151),
    [anon_sym_STAR] = ACTIONS(1153),
    [anon_sym_AMP] = ACTIONS(1153),
    [anon_sym_SEMI] = ACTIONS(1153),
    [anon_sym___extension__] = ACTIONS(1151),
    [anon_sym_typedef] = ACTIONS(1151),
    [anon_sym_extern] = ACTIONS(1151),
    [anon_sym___attribute__] = ACTIONS(1151),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1153),
    [anon_sym___declspec] = ACTIONS(1151),
    [anon_sym___cdecl] = ACTIONS(1151),
    [anon_sym___clrcall] = ACTIONS(1151),
    [anon_sym___stdcall] = ACTIONS(1151),
    [anon_sym___fastcall] = ACTIONS(1151),
    [anon_sym___thiscall] = ACTIONS(1151),
    [anon_sym___vectorcall] = ACTIONS(1151),
    [anon_sym_LBRACE] = ACTIONS(1153),
    [anon_sym_signed] = ACTIONS(1151),
    [anon_sym_unsigned] = ACTIONS(1151),
    [anon_sym_long] = ACTIONS(1151),
    [anon_sym_short] = ACTIONS(1151),
    [anon_sym_static] = ACTIONS(1151),
    [anon_sym_auto] = ACTIONS(1151),
    [anon_sym_register] = ACTIONS(1151),
    [anon_sym_inline] = ACTIONS(1151),
    [anon_sym___inline] = ACTIONS(1151),
    [anon_sym___inline__] = ACTIONS(1151),
    [anon_sym___forceinline] = ACTIONS(1151),
    [anon_sym_thread_local] = ACTIONS(1151),
    [anon_sym___thread] = ACTIONS(1151),
    [anon_sym_const] = ACTIONS(1151),
    [anon_sym_constexpr] = ACTIONS(1151),
    [anon_sym_volatile] = ACTIONS(1151),
    [anon_sym_restrict] = ACTIONS(1151),
    [anon_sym___restrict__] = ACTIONS(1151),
    [anon_sym__Atomic] = ACTIONS(1151),
    [anon_sym__Noreturn] = ACTIONS(1151),
    [anon_sym_noreturn] = ACTIONS(1151),
    [anon_sym_alignas] = ACTIONS(1151),
    [anon_sym__Alignas] = ACTIONS(1151),
    [sym_primitive_type] = ACTIONS(1151),
    [anon_sym_enum] = ACTIONS(1151),
    [anon_sym_struct] = ACTIONS(1151),
    [anon_sym_union] = ACTIONS(1151),
    [anon_sym_if] = ACTIONS(1151),
    [anon_sym_else] = ACTIONS(1151),
    [anon_sym_switch] = ACTIONS(1151),
    [anon_sym_case] = ACTIONS(1151),
    [anon_sym_default] = ACTIONS(1151),
    [anon_sym_while] = ACTIONS(1151),
    [anon_sym_do] = ACTIONS(1151),
    [anon_sym_for] = ACTIONS(1151),
    [anon_sym_return] = ACTIONS(1151),
    [anon_sym_break] = ACTIONS(1151),
    [anon_sym_continue] = ACTIONS(1151),
    [anon_sym_goto] = ACTIONS(1151),
    [anon_sym___try] = ACTIONS(1151),
    [anon_sym___leave] = ACTIONS(1151),
    [anon_sym_DASH_DASH] = ACTIONS(1153),
    [anon_sym_PLUS_PLUS] = ACTIONS(1153),
    [anon_sym_sizeof] = ACTIONS(1151),
    [anon_sym___alignof__] = ACTIONS(1151),
    [anon_sym___alignof] = ACTIONS(1151),
    [anon_sym__alignof] = ACTIONS(1151),
    [anon_sym_alignof] = ACTIONS(1151),
    [anon_sym__Alignof] = ACTIONS(1151),
    [anon_sym_offsetof] = ACTIONS(1151),
    [anon_sym__Generic] = ACTIONS(1151),
    [anon_sym_asm] = ACTIONS(1151),
    [anon_sym___asm__] = ACTIONS(1151),
    [sym_number_literal] = ACTIONS(1153),
    [anon_sym_L_SQUOTE] = ACTIONS(1153),
    [anon_sym_u_SQUOTE] = ACTIONS(1153),
    [anon_sym_U_SQUOTE] = ACTIONS(1153),
    [anon_sym_u8_SQUOTE] = ACTIONS(1153),
    [anon_sym_SQUOTE] = ACTIONS(1153),
    [anon_sym_L_DQUOTE] = ACTIONS(1153),
    [anon_sym_u_DQUOTE] = ACTIONS(1153),
    [anon_sym_U_DQUOTE] = ACTIONS(1153),
    [anon_sym_u8_DQUOTE] = ACTIONS(1153),
    [anon_sym_DQUOTE] = ACTIONS(1153),
    [sym_true] = ACTIONS(1151),
    [sym_false] = ACTIONS(1151),
    [anon_sym_NULL] = ACTIONS(1151),
    [anon_sym_nullptr] = ACTIONS(1151),
    [sym_comment] = ACTIONS(3),
  },
  [182] = {
    [ts_builtin_sym_end] = ACTIONS(1193),
    [sym_identifier] = ACTIONS(1191),
    [aux_sym_preproc_include_token1] = ACTIONS(1191),
    [aux_sym_preproc_def_token1] = ACTIONS(1191),
    [aux_sym_preproc_if_token1] = ACTIONS(1191),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1191),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1191),
    [sym_preproc_directive] = ACTIONS(1191),
    [anon_sym_LPAREN2] = ACTIONS(1193),
    [anon_sym_BANG] = ACTIONS(1193),
    [anon_sym_TILDE] = ACTIONS(1193),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_STAR] = ACTIONS(1193),
    [anon_sym_AMP] = ACTIONS(1193),
    [anon_sym_SEMI] = ACTIONS(1193),
    [anon_sym___extension__] = ACTIONS(1191),
    [anon_sym_typedef] = ACTIONS(1191),
    [anon_sym_extern] = ACTIONS(1191),
    [anon_sym___attribute__] = ACTIONS(1191),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1193),
    [anon_sym___declspec] = ACTIONS(1191),
    [anon_sym___cdecl] = ACTIONS(1191),
    [anon_sym___clrcall] = ACTIONS(1191),
    [anon_sym___stdcall] = ACTIONS(1191),
    [anon_sym___fastcall] = ACTIONS(1191),
    [anon_sym___thiscall] = ACTIONS(1191),
    [anon_sym___vectorcall] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_signed] = ACTIONS(1191),
    [anon_sym_unsigned] = ACTIONS(1191),
    [anon_sym_long] = ACTIONS(1191),
    [anon_sym_short] = ACTIONS(1191),
    [anon_sym_static] = ACTIONS(1191),
    [anon_sym_auto] = ACTIONS(1191),
    [anon_sym_register] = ACTIONS(1191),
    [anon_sym_inline] = ACTIONS(1191),
    [anon_sym___inline] = ACTIONS(1191),
    [anon_sym___inline__] = ACTIONS(1191),
    [anon_sym___forceinline] = ACTIONS(1191),
    [anon_sym_thread_local] = ACTIONS(1191),
    [anon_sym___thread] = ACTIONS(1191),
    [anon_sym_const] = ACTIONS(1191),
    [anon_sym_constexpr] = ACTIONS(1191),
    [anon_sym_volatile] = ACTIONS(1191),
    [anon_sym_restrict] = ACTIONS(1191),
    [anon_sym___restrict__] = ACTIONS(1191),
    [anon_sym__Atomic] = ACTIONS(1191),
    [anon_sym__Noreturn] = ACTIONS(1191),
    [anon_sym_noreturn] = ACTIONS(1191),
    [anon_sym_alignas] = ACTIONS(1191),
    [anon_sym__Alignas] = ACTIONS(1191),
    [sym_primitive_type] = ACTIONS(1191),
    [anon_sym_enum] = ACTIONS(1191),
    [anon_sym_struct] = ACTIONS(1191),
    [anon_sym_union] = ACTIONS(1191),
    [anon_sym_if] = ACTIONS(1191),
    [anon_sym_else] = ACTIONS(1191),
    [anon_sym_switch] = ACTIONS(1191),
    [anon_sym_case] = ACTIONS(1191),
    [anon_sym_default] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1191),
    [anon_sym_do] = ACTIONS(1191),
    [anon_sym_for] = ACTIONS(1191),
    [anon_sym_return] = ACTIONS(1191),
    [anon_sym_break] = ACTIONS(1191),
    [anon_sym_continue] = ACTIONS(1191),
    [anon_sym_goto] = ACTIONS(1191),
    [anon_sym___try] = ACTIONS(1191),
    [anon_sym___leave] = ACTIONS(1191),
    [anon_sym_DASH_DASH] = ACTIONS(1193),
    [anon_sym_PLUS_PLUS] = ACTIONS(1193),
    [anon_sym_sizeof] = ACTIONS(1191),
    [anon_sym___alignof__] = ACTIONS(1191),
    [anon_sym___alignof] = ACTIONS(1191),
    [anon_sym__alignof] = ACTIONS(1191),
    [anon_sym_alignof] = ACTIONS(1191),
    [anon_sym__Alignof] = ACTIONS(1191),
    [anon_sym_offsetof] = ACTIONS(1191),
    [anon_sym__Generic] = ACTIONS(1191),
    [anon_sym_asm] = ACTIONS(1191),
    [anon_sym___asm__] = ACTIONS(1191),
    [sym_number_literal] = ACTIONS(1193),
    [anon_sym_L_SQUOTE] = ACTIONS(1193),
    [anon_sym_u_SQUOTE] = ACTIONS(1193),
    [anon_sym_U_SQUOTE] = ACTIONS(1193),
    [anon_sym_u8_SQUOTE] = ACTIONS(1193),
    [anon_sym_SQUOTE] = ACTIONS(1193),
    [anon_sym_L_DQUOTE] = ACTIONS(1193),
    [anon_sym_u_DQUOTE] = ACTIONS(1193),
    [anon_sym_U_DQUOTE] = ACTIONS(1193),
    [anon_sym_u8_DQUOTE] = ACTIONS(1193),
    [anon_sym_DQUOTE] = ACTIONS(1193),
    [sym_true] = ACTIONS(1191),
    [sym_false] = ACTIONS(1191),
    [anon_sym_NULL] = ACTIONS(1191),
    [anon_sym_nullptr] = ACTIONS(1191),
    [sym_comment] = ACTIONS(3),
  },
  [183] = {
    [sym_identifier] = ACTIONS(1155),
    [aux_sym_preproc_include_token1] = ACTIONS(1155),
    [aux_sym_preproc_def_token1] = ACTIONS(1155),
    [aux_sym_preproc_if_token1] = ACTIONS(1155),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1155),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1155),
    [sym_preproc_directive] = ACTIONS(1155),
    [anon_sym_LPAREN2] = ACTIONS(1157),
    [anon_sym_BANG] = ACTIONS(1157),
    [anon_sym_TILDE] = ACTIONS(1157),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_STAR] = ACTIONS(1157),
    [anon_sym_AMP] = ACTIONS(1157),
    [anon_sym_SEMI] = ACTIONS(1157),
    [anon_sym___extension__] = ACTIONS(1155),
    [anon_sym_typedef] = ACTIONS(1155),
    [anon_sym_extern] = ACTIONS(1155),
    [anon_sym___attribute__] = ACTIONS(1155),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1157),
    [anon_sym___declspec] = ACTIONS(1155),
    [anon_sym___cdecl] = ACTIONS(1155),
    [anon_sym___clrcall] = ACTIONS(1155),
    [anon_sym___stdcall] = ACTIONS(1155),
    [anon_sym___fastcall] = ACTIONS(1155),
    [anon_sym___thiscall] = ACTIONS(1155),
    [anon_sym___vectorcall] = ACTIONS(1155),
    [anon_sym_LBRACE] = ACTIONS(1157),
    [anon_sym_RBRACE] = ACTIONS(1157),
    [anon_sym_signed] = ACTIONS(1155),
    [anon_sym_unsigned] = ACTIONS(1155),
    [anon_sym_long] = ACTIONS(1155),
    [anon_sym_short] = ACTIONS(1155),
    [anon_sym_static] = ACTIONS(1155),
    [anon_sym_auto] = ACTIONS(1155),
    [anon_sym_register] = ACTIONS(1155),
    [anon_sym_inline] = ACTIONS(1155),
    [anon_sym___inline] = ACTIONS(1155),
    [anon_sym___inline__] = ACTIONS(1155),
    [anon_sym___forceinline] = ACTIONS(1155),
    [anon_sym_thread_local] = ACTIONS(1155),
    [anon_sym___thread] = ACTIONS(1155),
    [anon_sym_const] = ACTIONS(1155),
    [anon_sym_constexpr] = ACTIONS(1155),
    [anon_sym_volatile] = ACTIONS(1155),
    [anon_sym_restrict] = ACTIONS(1155),
    [anon_sym___restrict__] = ACTIONS(1155),
    [anon_sym__Atomic] = ACTIONS(1155),
    [anon_sym__Noreturn] = ACTIONS(1155),
    [anon_sym_noreturn] = ACTIONS(1155),
    [anon_sym_alignas] = ACTIONS(1155),
    [anon_sym__Alignas] = ACTIONS(1155),
    [sym_primitive_type] = ACTIONS(1155),
    [anon_sym_enum] = ACTIONS(1155),
    [anon_sym_struct] = ACTIONS(1155),
    [anon_sym_union] = ACTIONS(1155),
    [anon_sym_if] = ACTIONS(1155),
    [anon_sym_else] = ACTIONS(1155),
    [anon_sym_switch] = ACTIONS(1155),
    [anon_sym_case] = ACTIONS(1155),
    [anon_sym_default] = ACTIONS(1155),
    [anon_sym_while] = ACTIONS(1155),
    [anon_sym_do] = ACTIONS(1155),
    [anon_sym_for] = ACTIONS(1155),
    [anon_sym_return] = ACTIONS(1155),
    [anon_sym_break] = ACTIONS(1155),
    [anon_sym_continue] = ACTIONS(1155),
    [anon_sym_goto] = ACTIONS(1155),
    [anon_sym___try] = ACTIONS(1155),
    [anon_sym___leave] = ACTIONS(1155),
    [anon_sym_DASH_DASH] = ACTIONS(1157),
    [anon_sym_PLUS_PLUS] = ACTIONS(1157),
    [anon_sym_sizeof] = ACTIONS(1155),
    [anon_sym___alignof__] = ACTIONS(1155),
    [anon_sym___alignof] = ACTIONS(1155),
    [anon_sym__alignof] = ACTIONS(1155),
    [anon_sym_alignof] = ACTIONS(1155),
    [anon_sym__Alignof] = ACTIONS(1155),
    [anon_sym_offsetof] = ACTIONS(1155),
    [anon_sym__Generic] = ACTIONS(1155),
    [anon_sym_asm] = ACTIONS(1155),
    [anon_sym___asm__] = ACTIONS(1155),
    [sym_number_literal] = ACTIONS(1157),
    [anon_sym_L_SQUOTE] = ACTIONS(1157),
    [anon_sym_u_SQUOTE] = ACTIONS(1157),
    [anon_sym_U_SQUOTE] = ACTIONS(1157),
    [anon_sym_u8_SQUOTE] = ACTIONS(1157),
    [anon_sym_SQUOTE] = ACTIONS(1157),
    [anon_sym_L_DQUOTE] = ACTIONS(1157),
    [anon_sym_u_DQUOTE] = ACTIONS(1157),
    [anon_sym_U_DQUOTE] = ACTIONS(1157),
    [anon_sym_u8_DQUOTE] = ACTIONS(1157),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_true] = ACTIONS(1155),
    [sym_false] = ACTIONS(1155),
    [anon_sym_NULL] = ACTIONS(1155),
    [anon_sym_nullptr] = ACTIONS(1155),
    [sym_comment] = ACTIONS(3),
  },
  [184] = {
    [sym_identifier] = ACTIONS(1159),
    [aux_sym_preproc_include_token1] = ACTIONS(1159),
    [aux_sym_preproc_def_token1] = ACTIONS(1159),
    [aux_sym_preproc_if_token1] = ACTIONS(1159),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1159),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1159),
    [sym_preproc_directive] = ACTIONS(1159),
    [anon_sym_LPAREN2] = ACTIONS(1161),
    [anon_sym_BANG] = ACTIONS(1161),
    [anon_sym_TILDE] = ACTIONS(1161),
    [anon_sym_DASH] = ACTIONS(1159),
    [anon_sym_PLUS] = ACTIONS(1159),
    [anon_sym_STAR] = ACTIONS(1161),
    [anon_sym_AMP] = ACTIONS(1161),
    [anon_sym_SEMI] = ACTIONS(1161),
    [anon_sym___extension__] = ACTIONS(1159),
    [anon_sym_typedef] = ACTIONS(1159),
    [anon_sym_extern] = ACTIONS(1159),
    [anon_sym___attribute__] = ACTIONS(1159),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1161),
    [anon_sym___declspec] = ACTIONS(1159),
    [anon_sym___cdecl] = ACTIONS(1159),
    [anon_sym___clrcall] = ACTIONS(1159),
    [anon_sym___stdcall] = ACTIONS(1159),
    [anon_sym___fastcall] = ACTIONS(1159),
    [anon_sym___thiscall] = ACTIONS(1159),
    [anon_sym___vectorcall] = ACTIONS(1159),
    [anon_sym_LBRACE] = ACTIONS(1161),
    [anon_sym_RBRACE] = ACTIONS(1161),
    [anon_sym_signed] = ACTIONS(1159),
    [anon_sym_unsigned] = ACTIONS(1159),
    [anon_sym_long] = ACTIONS(1159),
    [anon_sym_short] = ACTIONS(1159),
    [anon_sym_static] = ACTIONS(1159),
    [anon_sym_auto] = ACTIONS(1159),
    [anon_sym_register] = ACTIONS(1159),
    [anon_sym_inline] = ACTIONS(1159),
    [anon_sym___inline] = ACTIONS(1159),
    [anon_sym___inline__] = ACTIONS(1159),
    [anon_sym___forceinline] = ACTIONS(1159),
    [anon_sym_thread_local] = ACTIONS(1159),
    [anon_sym___thread] = ACTIONS(1159),
    [anon_sym_const] = ACTIONS(1159),
    [anon_sym_constexpr] = ACTIONS(1159),
    [anon_sym_volatile] = ACTIONS(1159),
    [anon_sym_restrict] = ACTIONS(1159),
    [anon_sym___restrict__] = ACTIONS(1159),
    [anon_sym__Atomic] = ACTIONS(1159),
    [anon_sym__Noreturn] = ACTIONS(1159),
    [anon_sym_noreturn] = ACTIONS(1159),
    [anon_sym_alignas] = ACTIONS(1159),
    [anon_sym__Alignas] = ACTIONS(1159),
    [sym_primitive_type] = ACTIONS(1159),
    [anon_sym_enum] = ACTIONS(1159),
    [anon_sym_struct] = ACTIONS(1159),
    [anon_sym_union] = ACTIONS(1159),
    [anon_sym_if] = ACTIONS(1159),
    [anon_sym_else] = ACTIONS(1159),
    [anon_sym_switch] = ACTIONS(1159),
    [anon_sym_case] = ACTIONS(1159),
    [anon_sym_default] = ACTIONS(1159),
    [anon_sym_while] = ACTIONS(1159),
    [anon_sym_do] = ACTIONS(1159),
    [anon_sym_for] = ACTIONS(1159),
    [anon_sym_return] = ACTIONS(1159),
    [anon_sym_break] = ACTIONS(1159),
    [anon_sym_continue] = ACTIONS(1159),
    [anon_sym_goto] = ACTIONS(1159),
    [anon_sym___try] = ACTIONS(1159),
    [anon_sym___leave] = ACTIONS(1159),
    [anon_sym_DASH_DASH] = ACTIONS(1161),
    [anon_sym_PLUS_PLUS] = ACTIONS(1161),
    [anon_sym_sizeof] = ACTIONS(1159),
    [anon_sym___alignof__] = ACTIONS(1159),
    [anon_sym___alignof] = ACTIONS(1159),
    [anon_sym__alignof] = ACTIONS(1159),
    [anon_sym_alignof] = ACTIONS(1159),
    [anon_sym__Alignof] = ACTIONS(1159),
    [anon_sym_offsetof] = ACTIONS(1159),
    [anon_sym__Generic] = ACTIONS(1159),
    [anon_sym_asm] = ACTIONS(1159),
    [anon_sym___asm__] = ACTIONS(1159),
    [sym_number_literal] = ACTIONS(1161),
    [anon_sym_L_SQUOTE] = ACTIONS(1161),
    [anon_sym_u_SQUOTE] = ACTIONS(1161),
    [anon_sym_U_SQUOTE] = ACTIONS(1161),
    [anon_sym_u8_SQUOTE] = ACTIONS(1161),
    [anon_sym_SQUOTE] = ACTIONS(1161),
    [anon_sym_L_DQUOTE] = ACTIONS(1161),
    [anon_sym_u_DQUOTE] = ACTIONS(1161),
    [anon_sym_U_DQUOTE] = ACTIONS(1161),
    [anon_sym_u8_DQUOTE] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_true] = ACTIONS(1159),
    [sym_false] = ACTIONS(1159),
    [anon_sym_NULL] = ACTIONS(1159),
    [anon_sym_nullptr] = ACTIONS(1159),
    [sym_comment] = ACTIONS(3),
  },
  [185] = {
    [ts_builtin_sym_end] = ACTIONS(1209),
    [sym_identifier] = ACTIONS(1207),
    [aux_sym_preproc_include_token1] = ACTIONS(1207),
    [aux_sym_preproc_def_token1] = ACTIONS(1207),
    [aux_sym_preproc_if_token1] = ACTIONS(1207),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1207),
    [sym_preproc_directive] = ACTIONS(1207),
    [anon_sym_LPAREN2] = ACTIONS(1209),
    [anon_sym_BANG] = ACTIONS(1209),
    [anon_sym_TILDE] = ACTIONS(1209),
    [anon_sym_DASH] = ACTIONS(1207),
    [anon_sym_PLUS] = ACTIONS(1207),
    [anon_sym_STAR] = ACTIONS(1209),
    [anon_sym_AMP] = ACTIONS(1209),
    [anon_sym_SEMI] = ACTIONS(1209),
    [anon_sym___extension__] = ACTIONS(1207),
    [anon_sym_typedef] = ACTIONS(1207),
    [anon_sym_extern] = ACTIONS(1207),
    [anon_sym___attribute__] = ACTIONS(1207),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1209),
    [anon_sym___declspec] = ACTIONS(1207),
    [anon_sym___cdecl] = ACTIONS(1207),
    [anon_sym___clrcall] = ACTIONS(1207),
    [anon_sym___stdcall] = ACTIONS(1207),
    [anon_sym___fastcall] = ACTIONS(1207),
    [anon_sym___thiscall] = ACTIONS(1207),
    [anon_sym___vectorcall] = ACTIONS(1207),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_signed] = ACTIONS(1207),
    [anon_sym_unsigned] = ACTIONS(1207),
    [anon_sym_long] = ACTIONS(1207),
    [anon_sym_short] = ACTIONS(1207),
    [anon_sym_static] = ACTIONS(1207),
    [anon_sym_auto] = ACTIONS(1207),
    [anon_sym_register] = ACTIONS(1207),
    [anon_sym_inline] = ACTIONS(1207),
    [anon_sym___inline] = ACTIONS(1207),
    [anon_sym___inline__] = ACTIONS(1207),
    [anon_sym___forceinline] = ACTIONS(1207),
    [anon_sym_thread_local] = ACTIONS(1207),
    [anon_sym___thread] = ACTIONS(1207),
    [anon_sym_const] = ACTIONS(1207),
    [anon_sym_constexpr] = ACTIONS(1207),
    [anon_sym_volatile] = ACTIONS(1207),
    [anon_sym_restrict] = ACTIONS(1207),
    [anon_sym___restrict__] = ACTIONS(1207),
    [anon_sym__Atomic] = ACTIONS(1207),
    [anon_sym__Noreturn] = ACTIONS(1207),
    [anon_sym_noreturn] = ACTIONS(1207),
    [anon_sym_alignas] = ACTIONS(1207),
    [anon_sym__Alignas] = ACTIONS(1207),
    [sym_primitive_type] = ACTIONS(1207),
    [anon_sym_enum] = ACTIONS(1207),
    [anon_sym_struct] = ACTIONS(1207),
    [anon_sym_union] = ACTIONS(1207),
    [anon_sym_if] = ACTIONS(1207),
    [anon_sym_else] = ACTIONS(1207),
    [anon_sym_switch] = ACTIONS(1207),
    [anon_sym_case] = ACTIONS(1207),
    [anon_sym_default] = ACTIONS(1207),
    [anon_sym_while] = ACTIONS(1207),
    [anon_sym_do] = ACTIONS(1207),
    [anon_sym_for] = ACTIONS(1207),
    [anon_sym_return] = ACTIONS(1207),
    [anon_sym_break] = ACTIONS(1207),
    [anon_sym_continue] = ACTIONS(1207),
    [anon_sym_goto] = ACTIONS(1207),
    [anon_sym___try] = ACTIONS(1207),
    [anon_sym___leave] = ACTIONS(1207),
    [anon_sym_DASH_DASH] = ACTIONS(1209),
    [anon_sym_PLUS_PLUS] = ACTIONS(1209),
    [anon_sym_sizeof] = ACTIONS(1207),
    [anon_sym___alignof__] = ACTIONS(1207),
    [anon_sym___alignof] = ACTIONS(1207),
    [anon_sym__alignof] = ACTIONS(1207),
    [anon_sym_alignof] = ACTIONS(1207),
    [anon_sym__Alignof] = ACTIONS(1207),
    [anon_sym_offsetof] = ACTIONS(1207),
    [anon_sym__Generic] = ACTIONS(1207),
    [anon_sym_asm] = ACTIONS(1207),
    [anon_sym___asm__] = ACTIONS(1207),
    [sym_number_literal] = ACTIONS(1209),
    [anon_sym_L_SQUOTE] = ACTIONS(1209),
    [anon_sym_u_SQUOTE] = ACTIONS(1209),
    [anon_sym_U_SQUOTE] = ACTIONS(1209),
    [anon_sym_u8_SQUOTE] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1209),
    [anon_sym_L_DQUOTE] = ACTIONS(1209),
    [anon_sym_u_DQUOTE] = ACTIONS(1209),
    [anon_sym_U_DQUOTE] = ACTIONS(1209),
    [anon_sym_u8_DQUOTE] = ACTIONS(1209),
    [anon_sym_DQUOTE] = ACTIONS(1209),
    [sym_true] = ACTIONS(1207),
    [sym_false] = ACTIONS(1207),
    [anon_sym_NULL] = ACTIONS(1207),
    [anon_sym_nullptr] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
  },
  [186] = {
    [ts_builtin_sym_end] = ACTIONS(1201),
    [sym_identifier] = ACTIONS(1199),
    [aux_sym_preproc_include_token1] = ACTIONS(1199),
    [aux_sym_preproc_def_token1] = ACTIONS(1199),
    [aux_sym_preproc_if_token1] = ACTIONS(1199),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1199),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1199),
    [sym_preproc_directive] = ACTIONS(1199),
    [anon_sym_LPAREN2] = ACTIONS(1201),
    [anon_sym_BANG] = ACTIONS(1201),
    [anon_sym_TILDE] = ACTIONS(1201),
    [anon_sym_DASH] = ACTIONS(1199),
    [anon_sym_PLUS] = ACTIONS(1199),
    [anon_sym_STAR] = ACTIONS(1201),
    [anon_sym_AMP] = ACTIONS(1201),
    [anon_sym_SEMI] = ACTIONS(1201),
    [anon_sym___extension__] = ACTIONS(1199),
    [anon_sym_typedef] = ACTIONS(1199),
    [anon_sym_extern] = ACTIONS(1199),
    [anon_sym___attribute__] = ACTIONS(1199),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1201),
    [anon_sym___declspec] = ACTIONS(1199),
    [anon_sym___cdecl] = ACTIONS(1199),
    [anon_sym___clrcall] = ACTIONS(1199),
    [anon_sym___stdcall] = ACTIONS(1199),
    [anon_sym___fastcall] = ACTIONS(1199),
    [anon_sym___thiscall] = ACTIONS(1199),
    [anon_sym___vectorcall] = ACTIONS(1199),
    [anon_sym_LBRACE] = ACTIONS(1201),
    [anon_sym_signed] = ACTIONS(1199),
    [anon_sym_unsigned] = ACTIONS(1199),
    [anon_sym_long] = ACTIONS(1199),
    [anon_sym_short] = ACTIONS(1199),
    [anon_sym_static] = ACTIONS(1199),
    [anon_sym_auto] = ACTIONS(1199),
    [anon_sym_register] = ACTIONS(1199),
    [anon_sym_inline] = ACTIONS(1199),
    [anon_sym___inline] = ACTIONS(1199),
    [anon_sym___inline__] = ACTIONS(1199),
    [anon_sym___forceinline] = ACTIONS(1199),
    [anon_sym_thread_local] = ACTIONS(1199),
    [anon_sym___thread] = ACTIONS(1199),
    [anon_sym_const] = ACTIONS(1199),
    [anon_sym_constexpr] = ACTIONS(1199),
    [anon_sym_volatile] = ACTIONS(1199),
    [anon_sym_restrict] = ACTIONS(1199),
    [anon_sym___restrict__] = ACTIONS(1199),
    [anon_sym__Atomic] = ACTIONS(1199),
    [anon_sym__Noreturn] = ACTIONS(1199),
    [anon_sym_noreturn] = ACTIONS(1199),
    [anon_sym_alignas] = ACTIONS(1199),
    [anon_sym__Alignas] = ACTIONS(1199),
    [sym_primitive_type] = ACTIONS(1199),
    [anon_sym_enum] = ACTIONS(1199),
    [anon_sym_struct] = ACTIONS(1199),
    [anon_sym_union] = ACTIONS(1199),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_else] = ACTIONS(1199),
    [anon_sym_switch] = ACTIONS(1199),
    [anon_sym_case] = ACTIONS(1199),
    [anon_sym_default] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(1199),
    [anon_sym_do] = ACTIONS(1199),
    [anon_sym_for] = ACTIONS(1199),
    [anon_sym_return] = ACTIONS(1199),
    [anon_sym_break] = ACTIONS(1199),
    [anon_sym_continue] = ACTIONS(1199),
    [anon_sym_goto] = ACTIONS(1199),
    [anon_sym___try] = ACTIONS(1199),
    [anon_sym___leave] = ACTIONS(1199),
    [anon_sym_DASH_DASH] = ACTIONS(1201),
    [anon_sym_PLUS_PLUS] = ACTIONS(1201),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym___alignof__] = ACTIONS(1199),
    [anon_sym___alignof] = ACTIONS(1199),
    [anon_sym__alignof] = ACTIONS(1199),
    [anon_sym_alignof] = ACTIONS(1199),
    [anon_sym__Alignof] = ACTIONS(1199),
    [anon_sym_offsetof] = ACTIONS(1199),
    [anon_sym__Generic] = ACTIONS(1199),
    [anon_sym_asm] = ACTIONS(1199),
    [anon_sym___asm__] = ACTIONS(1199),
    [sym_number_literal] = ACTIONS(1201),
    [anon_sym_L_SQUOTE] = ACTIONS(1201),
    [anon_sym_u_SQUOTE] = ACTIONS(1201),
    [anon_sym_U_SQUOTE] = ACTIONS(1201),
    [anon_sym_u8_SQUOTE] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1201),
    [anon_sym_L_DQUOTE] = ACTIONS(1201),
    [anon_sym_u_DQUOTE] = ACTIONS(1201),
    [anon_sym_U_DQUOTE] = ACTIONS(1201),
    [anon_sym_u8_DQUOTE] = ACTIONS(1201),
    [anon_sym_DQUOTE] = ACTIONS(1201),
    [sym_true] = ACTIONS(1199),
    [sym_false] = ACTIONS(1199),
    [anon_sym_NULL] = ACTIONS(1199),
    [anon_sym_nullptr] = ACTIONS(1199),
    [sym_comment] = ACTIONS(3),
  },
  [187] = {
    [ts_builtin_sym_end] = ACTIONS(1209),
    [sym_identifier] = ACTIONS(1207),
    [aux_sym_preproc_include_token1] = ACTIONS(1207),
    [aux_sym_preproc_def_token1] = ACTIONS(1207),
    [aux_sym_preproc_if_token1] = ACTIONS(1207),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1207),
    [sym_preproc_directive] = ACTIONS(1207),
    [anon_sym_LPAREN2] = ACTIONS(1209),
    [anon_sym_BANG] = ACTIONS(1209),
    [anon_sym_TILDE] = ACTIONS(1209),
    [anon_sym_DASH] = ACTIONS(1207),
    [anon_sym_PLUS] = ACTIONS(1207),
    [anon_sym_STAR] = ACTIONS(1209),
    [anon_sym_AMP] = ACTIONS(1209),
    [anon_sym_SEMI] = ACTIONS(1209),
    [anon_sym___extension__] = ACTIONS(1207),
    [anon_sym_typedef] = ACTIONS(1207),
    [anon_sym_extern] = ACTIONS(1207),
    [anon_sym___attribute__] = ACTIONS(1207),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1209),
    [anon_sym___declspec] = ACTIONS(1207),
    [anon_sym___cdecl] = ACTIONS(1207),
    [anon_sym___clrcall] = ACTIONS(1207),
    [anon_sym___stdcall] = ACTIONS(1207),
    [anon_sym___fastcall] = ACTIONS(1207),
    [anon_sym___thiscall] = ACTIONS(1207),
    [anon_sym___vectorcall] = ACTIONS(1207),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_signed] = ACTIONS(1207),
    [anon_sym_unsigned] = ACTIONS(1207),
    [anon_sym_long] = ACTIONS(1207),
    [anon_sym_short] = ACTIONS(1207),
    [anon_sym_static] = ACTIONS(1207),
    [anon_sym_auto] = ACTIONS(1207),
    [anon_sym_register] = ACTIONS(1207),
    [anon_sym_inline] = ACTIONS(1207),
    [anon_sym___inline] = ACTIONS(1207),
    [anon_sym___inline__] = ACTIONS(1207),
    [anon_sym___forceinline] = ACTIONS(1207),
    [anon_sym_thread_local] = ACTIONS(1207),
    [anon_sym___thread] = ACTIONS(1207),
    [anon_sym_const] = ACTIONS(1207),
    [anon_sym_constexpr] = ACTIONS(1207),
    [anon_sym_volatile] = ACTIONS(1207),
    [anon_sym_restrict] = ACTIONS(1207),
    [anon_sym___restrict__] = ACTIONS(1207),
    [anon_sym__Atomic] = ACTIONS(1207),
    [anon_sym__Noreturn] = ACTIONS(1207),
    [anon_sym_noreturn] = ACTIONS(1207),
    [anon_sym_alignas] = ACTIONS(1207),
    [anon_sym__Alignas] = ACTIONS(1207),
    [sym_primitive_type] = ACTIONS(1207),
    [anon_sym_enum] = ACTIONS(1207),
    [anon_sym_struct] = ACTIONS(1207),
    [anon_sym_union] = ACTIONS(1207),
    [anon_sym_if] = ACTIONS(1207),
    [anon_sym_else] = ACTIONS(1207),
    [anon_sym_switch] = ACTIONS(1207),
    [anon_sym_case] = ACTIONS(1207),
    [anon_sym_default] = ACTIONS(1207),
    [anon_sym_while] = ACTIONS(1207),
    [anon_sym_do] = ACTIONS(1207),
    [anon_sym_for] = ACTIONS(1207),
    [anon_sym_return] = ACTIONS(1207),
    [anon_sym_break] = ACTIONS(1207),
    [anon_sym_continue] = ACTIONS(1207),
    [anon_sym_goto] = ACTIONS(1207),
    [anon_sym___try] = ACTIONS(1207),
    [anon_sym___leave] = ACTIONS(1207),
    [anon_sym_DASH_DASH] = ACTIONS(1209),
    [anon_sym_PLUS_PLUS] = ACTIONS(1209),
    [anon_sym_sizeof] = ACTIONS(1207),
    [anon_sym___alignof__] = ACTIONS(1207),
    [anon_sym___alignof] = ACTIONS(1207),
    [anon_sym__alignof] = ACTIONS(1207),
    [anon_sym_alignof] = ACTIONS(1207),
    [anon_sym__Alignof] = ACTIONS(1207),
    [anon_sym_offsetof] = ACTIONS(1207),
    [anon_sym__Generic] = ACTIONS(1207),
    [anon_sym_asm] = ACTIONS(1207),
    [anon_sym___asm__] = ACTIONS(1207),
    [sym_number_literal] = ACTIONS(1209),
    [anon_sym_L_SQUOTE] = ACTIONS(1209),
    [anon_sym_u_SQUOTE] = ACTIONS(1209),
    [anon_sym_U_SQUOTE] = ACTIONS(1209),
    [anon_sym_u8_SQUOTE] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1209),
    [anon_sym_L_DQUOTE] = ACTIONS(1209),
    [anon_sym_u_DQUOTE] = ACTIONS(1209),
    [anon_sym_U_DQUOTE] = ACTIONS(1209),
    [anon_sym_u8_DQUOTE] = ACTIONS(1209),
    [anon_sym_DQUOTE] = ACTIONS(1209),
    [sym_true] = ACTIONS(1207),
    [sym_false] = ACTIONS(1207),
    [anon_sym_NULL] = ACTIONS(1207),
    [anon_sym_nullptr] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
  },
  [188] = {
    [ts_builtin_sym_end] = ACTIONS(1217),
    [sym_identifier] = ACTIONS(1215),
    [aux_sym_preproc_include_token1] = ACTIONS(1215),
    [aux_sym_preproc_def_token1] = ACTIONS(1215),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1215),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1215),
    [sym_preproc_directive] = ACTIONS(1215),
    [anon_sym_LPAREN2] = ACTIONS(1217),
    [anon_sym_BANG] = ACTIONS(1217),
    [anon_sym_TILDE] = ACTIONS(1217),
    [anon_sym_DASH] = ACTIONS(1215),
    [anon_sym_PLUS] = ACTIONS(1215),
    [anon_sym_STAR] = ACTIONS(1217),
    [anon_sym_AMP] = ACTIONS(1217),
    [anon_sym_SEMI] = ACTIONS(1217),
    [anon_sym___extension__] = ACTIONS(1215),
    [anon_sym_typedef] = ACTIONS(1215),
    [anon_sym_extern] = ACTIONS(1215),
    [anon_sym___attribute__] = ACTIONS(1215),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1217),
    [anon_sym___declspec] = ACTIONS(1215),
    [anon_sym___cdecl] = ACTIONS(1215),
    [anon_sym___clrcall] = ACTIONS(1215),
    [anon_sym___stdcall] = ACTIONS(1215),
    [anon_sym___fastcall] = ACTIONS(1215),
    [anon_sym___thiscall] = ACTIONS(1215),
    [anon_sym___vectorcall] = ACTIONS(1215),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_signed] = ACTIONS(1215),
    [anon_sym_unsigned] = ACTIONS(1215),
    [anon_sym_long] = ACTIONS(1215),
    [anon_sym_short] = ACTIONS(1215),
    [anon_sym_static] = ACTIONS(1215),
    [anon_sym_auto] = ACTIONS(1215),
    [anon_sym_register] = ACTIONS(1215),
    [anon_sym_inline] = ACTIONS(1215),
    [anon_sym___inline] = ACTIONS(1215),
    [anon_sym___inline__] = ACTIONS(1215),
    [anon_sym___forceinline] = ACTIONS(1215),
    [anon_sym_thread_local] = ACTIONS(1215),
    [anon_sym___thread] = ACTIONS(1215),
    [anon_sym_const] = ACTIONS(1215),
    [anon_sym_constexpr] = ACTIONS(1215),
    [anon_sym_volatile] = ACTIONS(1215),
    [anon_sym_restrict] = ACTIONS(1215),
    [anon_sym___restrict__] = ACTIONS(1215),
    [anon_sym__Atomic] = ACTIONS(1215),
    [anon_sym__Noreturn] = ACTIONS(1215),
    [anon_sym_noreturn] = ACTIONS(1215),
    [anon_sym_alignas] = ACTIONS(1215),
    [anon_sym__Alignas] = ACTIONS(1215),
    [sym_primitive_type] = ACTIONS(1215),
    [anon_sym_enum] = ACTIONS(1215),
    [anon_sym_struct] = ACTIONS(1215),
    [anon_sym_union] = ACTIONS(1215),
    [anon_sym_if] = ACTIONS(1215),
    [anon_sym_else] = ACTIONS(1215),
    [anon_sym_switch] = ACTIONS(1215),
    [anon_sym_case] = ACTIONS(1215),
    [anon_sym_default] = ACTIONS(1215),
    [anon_sym_while] = ACTIONS(1215),
    [anon_sym_do] = ACTIONS(1215),
    [anon_sym_for] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1215),
    [anon_sym_break] = ACTIONS(1215),
    [anon_sym_continue] = ACTIONS(1215),
    [anon_sym_goto] = ACTIONS(1215),
    [anon_sym___try] = ACTIONS(1215),
    [anon_sym___leave] = ACTIONS(1215),
    [anon_sym_DASH_DASH] = ACTIONS(1217),
    [anon_sym_PLUS_PLUS] = ACTIONS(1217),
    [anon_sym_sizeof] = ACTIONS(1215),
    [anon_sym___alignof__] = ACTIONS(1215),
    [anon_sym___alignof] = ACTIONS(1215),
    [anon_sym__alignof] = ACTIONS(1215),
    [anon_sym_alignof] = ACTIONS(1215),
    [anon_sym__Alignof] = ACTIONS(1215),
    [anon_sym_offsetof] = ACTIONS(1215),
    [anon_sym__Generic] = ACTIONS(1215),
    [anon_sym_asm] = ACTIONS(1215),
    [anon_sym___asm__] = ACTIONS(1215),
    [sym_number_literal] = ACTIONS(1217),
    [anon_sym_L_SQUOTE] = ACTIONS(1217),
    [anon_sym_u_SQUOTE] = ACTIONS(1217),
    [anon_sym_U_SQUOTE] = ACTIONS(1217),
    [anon_sym_u8_SQUOTE] = ACTIONS(1217),
    [anon_sym_SQUOTE] = ACTIONS(1217),
    [anon_sym_L_DQUOTE] = ACTIONS(1217),
    [anon_sym_u_DQUOTE] = ACTIONS(1217),
    [anon_sym_U_DQUOTE] = ACTIONS(1217),
    [anon_sym_u8_DQUOTE] = ACTIONS(1217),
    [anon_sym_DQUOTE] = ACTIONS(1217),
    [sym_true] = ACTIONS(1215),
    [sym_false] = ACTIONS(1215),
    [anon_sym_NULL] = ACTIONS(1215),
    [anon_sym_nullptr] = ACTIONS(1215),
    [sym_comment] = ACTIONS(3),
  },
  [189] = {
    [sym_identifier] = ACTIONS(1191),
    [aux_sym_preproc_include_token1] = ACTIONS(1191),
    [aux_sym_preproc_def_token1] = ACTIONS(1191),
    [aux_sym_preproc_if_token1] = ACTIONS(1191),
    [aux_sym_preproc_if_token2] = ACTIONS(1191),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1191),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1191),
    [sym_preproc_directive] = ACTIONS(1191),
    [anon_sym_LPAREN2] = ACTIONS(1193),
    [anon_sym_BANG] = ACTIONS(1193),
    [anon_sym_TILDE] = ACTIONS(1193),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_STAR] = ACTIONS(1193),
    [anon_sym_AMP] = ACTIONS(1193),
    [anon_sym_SEMI] = ACTIONS(1193),
    [anon_sym___extension__] = ACTIONS(1191),
    [anon_sym_typedef] = ACTIONS(1191),
    [anon_sym_extern] = ACTIONS(1191),
    [anon_sym___attribute__] = ACTIONS(1191),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1193),
    [anon_sym___declspec] = ACTIONS(1191),
    [anon_sym___cdecl] = ACTIONS(1191),
    [anon_sym___clrcall] = ACTIONS(1191),
    [anon_sym___stdcall] = ACTIONS(1191),
    [anon_sym___fastcall] = ACTIONS(1191),
    [anon_sym___thiscall] = ACTIONS(1191),
    [anon_sym___vectorcall] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_signed] = ACTIONS(1191),
    [anon_sym_unsigned] = ACTIONS(1191),
    [anon_sym_long] = ACTIONS(1191),
    [anon_sym_short] = ACTIONS(1191),
    [anon_sym_static] = ACTIONS(1191),
    [anon_sym_auto] = ACTIONS(1191),
    [anon_sym_register] = ACTIONS(1191),
    [anon_sym_inline] = ACTIONS(1191),
    [anon_sym___inline] = ACTIONS(1191),
    [anon_sym___inline__] = ACTIONS(1191),
    [anon_sym___forceinline] = ACTIONS(1191),
    [anon_sym_thread_local] = ACTIONS(1191),
    [anon_sym___thread] = ACTIONS(1191),
    [anon_sym_const] = ACTIONS(1191),
    [anon_sym_constexpr] = ACTIONS(1191),
    [anon_sym_volatile] = ACTIONS(1191),
    [anon_sym_restrict] = ACTIONS(1191),
    [anon_sym___restrict__] = ACTIONS(1191),
    [anon_sym__Atomic] = ACTIONS(1191),
    [anon_sym__Noreturn] = ACTIONS(1191),
    [anon_sym_noreturn] = ACTIONS(1191),
    [anon_sym_alignas] = ACTIONS(1191),
    [anon_sym__Alignas] = ACTIONS(1191),
    [sym_primitive_type] = ACTIONS(1191),
    [anon_sym_enum] = ACTIONS(1191),
    [anon_sym_struct] = ACTIONS(1191),
    [anon_sym_union] = ACTIONS(1191),
    [anon_sym_if] = ACTIONS(1191),
    [anon_sym_else] = ACTIONS(1191),
    [anon_sym_switch] = ACTIONS(1191),
    [anon_sym_case] = ACTIONS(1191),
    [anon_sym_default] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1191),
    [anon_sym_do] = ACTIONS(1191),
    [anon_sym_for] = ACTIONS(1191),
    [anon_sym_return] = ACTIONS(1191),
    [anon_sym_break] = ACTIONS(1191),
    [anon_sym_continue] = ACTIONS(1191),
    [anon_sym_goto] = ACTIONS(1191),
    [anon_sym___try] = ACTIONS(1191),
    [anon_sym___leave] = ACTIONS(1191),
    [anon_sym_DASH_DASH] = ACTIONS(1193),
    [anon_sym_PLUS_PLUS] = ACTIONS(1193),
    [anon_sym_sizeof] = ACTIONS(1191),
    [anon_sym___alignof__] = ACTIONS(1191),
    [anon_sym___alignof] = ACTIONS(1191),
    [anon_sym__alignof] = ACTIONS(1191),
    [anon_sym_alignof] = ACTIONS(1191),
    [anon_sym__Alignof] = ACTIONS(1191),
    [anon_sym_offsetof] = ACTIONS(1191),
    [anon_sym__Generic] = ACTIONS(1191),
    [anon_sym_asm] = ACTIONS(1191),
    [anon_sym___asm__] = ACTIONS(1191),
    [sym_number_literal] = ACTIONS(1193),
    [anon_sym_L_SQUOTE] = ACTIONS(1193),
    [anon_sym_u_SQUOTE] = ACTIONS(1193),
    [anon_sym_U_SQUOTE] = ACTIONS(1193),
    [anon_sym_u8_SQUOTE] = ACTIONS(1193),
    [anon_sym_SQUOTE] = ACTIONS(1193),
    [anon_sym_L_DQUOTE] = ACTIONS(1193),
    [anon_sym_u_DQUOTE] = ACTIONS(1193),
    [anon_sym_U_DQUOTE] = ACTIONS(1193),
    [anon_sym_u8_DQUOTE] = ACTIONS(1193),
    [anon_sym_DQUOTE] = ACTIONS(1193),
    [sym_true] = ACTIONS(1191),
    [sym_false] = ACTIONS(1191),
    [anon_sym_NULL] = ACTIONS(1191),
    [anon_sym_nullptr] = ACTIONS(1191),
    [sym_comment] = ACTIONS(3),
  },
  [190] = {
    [sym_identifier] = ACTIONS(1203),
    [aux_sym_preproc_include_token1] = ACTIONS(1203),
    [aux_sym_preproc_def_token1] = ACTIONS(1203),
    [aux_sym_preproc_if_token1] = ACTIONS(1203),
    [aux_sym_preproc_if_token2] = ACTIONS(1203),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1203),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1203),
    [sym_preproc_directive] = ACTIONS(1203),
    [anon_sym_LPAREN2] = ACTIONS(1205),
    [anon_sym_BANG] = ACTIONS(1205),
    [anon_sym_TILDE] = ACTIONS(1205),
    [anon_sym_DASH] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(1203),
    [anon_sym_STAR] = ACTIONS(1205),
    [anon_sym_AMP] = ACTIONS(1205),
    [anon_sym_SEMI] = ACTIONS(1205),
    [anon_sym___extension__] = ACTIONS(1203),
    [anon_sym_typedef] = ACTIONS(1203),
    [anon_sym_extern] = ACTIONS(1203),
    [anon_sym___attribute__] = ACTIONS(1203),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1205),
    [anon_sym___declspec] = ACTIONS(1203),
    [anon_sym___cdecl] = ACTIONS(1203),
    [anon_sym___clrcall] = ACTIONS(1203),
    [anon_sym___stdcall] = ACTIONS(1203),
    [anon_sym___fastcall] = ACTIONS(1203),
    [anon_sym___thiscall] = ACTIONS(1203),
    [anon_sym___vectorcall] = ACTIONS(1203),
    [anon_sym_LBRACE] = ACTIONS(1205),
    [anon_sym_signed] = ACTIONS(1203),
    [anon_sym_unsigned] = ACTIONS(1203),
    [anon_sym_long] = ACTIONS(1203),
    [anon_sym_short] = ACTIONS(1203),
    [anon_sym_static] = ACTIONS(1203),
    [anon_sym_auto] = ACTIONS(1203),
    [anon_sym_register] = ACTIONS(1203),
    [anon_sym_inline] = ACTIONS(1203),
    [anon_sym___inline] = ACTIONS(1203),
    [anon_sym___inline__] = ACTIONS(1203),
    [anon_sym___forceinline] = ACTIONS(1203),
    [anon_sym_thread_local] = ACTIONS(1203),
    [anon_sym___thread] = ACTIONS(1203),
    [anon_sym_const] = ACTIONS(1203),
    [anon_sym_constexpr] = ACTIONS(1203),
    [anon_sym_volatile] = ACTIONS(1203),
    [anon_sym_restrict] = ACTIONS(1203),
    [anon_sym___restrict__] = ACTIONS(1203),
    [anon_sym__Atomic] = ACTIONS(1203),
    [anon_sym__Noreturn] = ACTIONS(1203),
    [anon_sym_noreturn] = ACTIONS(1203),
    [anon_sym_alignas] = ACTIONS(1203),
    [anon_sym__Alignas] = ACTIONS(1203),
    [sym_primitive_type] = ACTIONS(1203),
    [anon_sym_enum] = ACTIONS(1203),
    [anon_sym_struct] = ACTIONS(1203),
    [anon_sym_union] = ACTIONS(1203),
    [anon_sym_if] = ACTIONS(1203),
    [anon_sym_else] = ACTIONS(1203),
    [anon_sym_switch] = ACTIONS(1203),
    [anon_sym_case] = ACTIONS(1203),
    [anon_sym_default] = ACTIONS(1203),
    [anon_sym_while] = ACTIONS(1203),
    [anon_sym_do] = ACTIONS(1203),
    [anon_sym_for] = ACTIONS(1203),
    [anon_sym_return] = ACTIONS(1203),
    [anon_sym_break] = ACTIONS(1203),
    [anon_sym_continue] = ACTIONS(1203),
    [anon_sym_goto] = ACTIONS(1203),
    [anon_sym___try] = ACTIONS(1203),
    [anon_sym___leave] = ACTIONS(1203),
    [anon_sym_DASH_DASH] = ACTIONS(1205),
    [anon_sym_PLUS_PLUS] = ACTIONS(1205),
    [anon_sym_sizeof] = ACTIONS(1203),
    [anon_sym___alignof__] = ACTIONS(1203),
    [anon_sym___alignof] = ACTIONS(1203),
    [anon_sym__alignof] = ACTIONS(1203),
    [anon_sym_alignof] = ACTIONS(1203),
    [anon_sym__Alignof] = ACTIONS(1203),
    [anon_sym_offsetof] = ACTIONS(1203),
    [anon_sym__Generic] = ACTIONS(1203),
    [anon_sym_asm] = ACTIONS(1203),
    [anon_sym___asm__] = ACTIONS(1203),
    [sym_number_literal] = ACTIONS(1205),
    [anon_sym_L_SQUOTE] = ACTIONS(1205),
    [anon_sym_u_SQUOTE] = ACTIONS(1205),
    [anon_sym_U_SQUOTE] = ACTIONS(1205),
    [anon_sym_u8_SQUOTE] = ACTIONS(1205),
    [anon_sym_SQUOTE] = ACTIONS(1205),
    [anon_sym_L_DQUOTE] = ACTIONS(1205),
    [anon_sym_u_DQUOTE] = ACTIONS(1205),
    [anon_sym_U_DQUOTE] = ACTIONS(1205),
    [anon_sym_u8_DQUOTE] = ACTIONS(1205),
    [anon_sym_DQUOTE] = ACTIONS(1205),
    [sym_true] = ACTIONS(1203),
    [sym_false] = ACTIONS(1203),
    [anon_sym_NULL] = ACTIONS(1203),
    [anon_sym_nullptr] = ACTIONS(1203),
    [sym_comment] = ACTIONS(3),
  },
  [191] = {
    [sym_identifier] = ACTIONS(1203),
    [aux_sym_preproc_include_token1] = ACTIONS(1203),
    [aux_sym_preproc_def_token1] = ACTIONS(1203),
    [aux_sym_preproc_if_token1] = ACTIONS(1203),
    [aux_sym_preproc_if_token2] = ACTIONS(1203),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1203),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1203),
    [sym_preproc_directive] = ACTIONS(1203),
    [anon_sym_LPAREN2] = ACTIONS(1205),
    [anon_sym_BANG] = ACTIONS(1205),
    [anon_sym_TILDE] = ACTIONS(1205),
    [anon_sym_DASH] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(1203),
    [anon_sym_STAR] = ACTIONS(1205),
    [anon_sym_AMP] = ACTIONS(1205),
    [anon_sym_SEMI] = ACTIONS(1205),
    [anon_sym___extension__] = ACTIONS(1203),
    [anon_sym_typedef] = ACTIONS(1203),
    [anon_sym_extern] = ACTIONS(1203),
    [anon_sym___attribute__] = ACTIONS(1203),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1205),
    [anon_sym___declspec] = ACTIONS(1203),
    [anon_sym___cdecl] = ACTIONS(1203),
    [anon_sym___clrcall] = ACTIONS(1203),
    [anon_sym___stdcall] = ACTIONS(1203),
    [anon_sym___fastcall] = ACTIONS(1203),
    [anon_sym___thiscall] = ACTIONS(1203),
    [anon_sym___vectorcall] = ACTIONS(1203),
    [anon_sym_LBRACE] = ACTIONS(1205),
    [anon_sym_signed] = ACTIONS(1203),
    [anon_sym_unsigned] = ACTIONS(1203),
    [anon_sym_long] = ACTIONS(1203),
    [anon_sym_short] = ACTIONS(1203),
    [anon_sym_static] = ACTIONS(1203),
    [anon_sym_auto] = ACTIONS(1203),
    [anon_sym_register] = ACTIONS(1203),
    [anon_sym_inline] = ACTIONS(1203),
    [anon_sym___inline] = ACTIONS(1203),
    [anon_sym___inline__] = ACTIONS(1203),
    [anon_sym___forceinline] = ACTIONS(1203),
    [anon_sym_thread_local] = ACTIONS(1203),
    [anon_sym___thread] = ACTIONS(1203),
    [anon_sym_const] = ACTIONS(1203),
    [anon_sym_constexpr] = ACTIONS(1203),
    [anon_sym_volatile] = ACTIONS(1203),
    [anon_sym_restrict] = ACTIONS(1203),
    [anon_sym___restrict__] = ACTIONS(1203),
    [anon_sym__Atomic] = ACTIONS(1203),
    [anon_sym__Noreturn] = ACTIONS(1203),
    [anon_sym_noreturn] = ACTIONS(1203),
    [anon_sym_alignas] = ACTIONS(1203),
    [anon_sym__Alignas] = ACTIONS(1203),
    [sym_primitive_type] = ACTIONS(1203),
    [anon_sym_enum] = ACTIONS(1203),
    [anon_sym_struct] = ACTIONS(1203),
    [anon_sym_union] = ACTIONS(1203),
    [anon_sym_if] = ACTIONS(1203),
    [anon_sym_else] = ACTIONS(1203),
    [anon_sym_switch] = ACTIONS(1203),
    [anon_sym_case] = ACTIONS(1203),
    [anon_sym_default] = ACTIONS(1203),
    [anon_sym_while] = ACTIONS(1203),
    [anon_sym_do] = ACTIONS(1203),
    [anon_sym_for] = ACTIONS(1203),
    [anon_sym_return] = ACTIONS(1203),
    [anon_sym_break] = ACTIONS(1203),
    [anon_sym_continue] = ACTIONS(1203),
    [anon_sym_goto] = ACTIONS(1203),
    [anon_sym___try] = ACTIONS(1203),
    [anon_sym___leave] = ACTIONS(1203),
    [anon_sym_DASH_DASH] = ACTIONS(1205),
    [anon_sym_PLUS_PLUS] = ACTIONS(1205),
    [anon_sym_sizeof] = ACTIONS(1203),
    [anon_sym___alignof__] = ACTIONS(1203),
    [anon_sym___alignof] = ACTIONS(1203),
    [anon_sym__alignof] = ACTIONS(1203),
    [anon_sym_alignof] = ACTIONS(1203),
    [anon_sym__Alignof] = ACTIONS(1203),
    [anon_sym_offsetof] = ACTIONS(1203),
    [anon_sym__Generic] = ACTIONS(1203),
    [anon_sym_asm] = ACTIONS(1203),
    [anon_sym___asm__] = ACTIONS(1203),
    [sym_number_literal] = ACTIONS(1205),
    [anon_sym_L_SQUOTE] = ACTIONS(1205),
    [anon_sym_u_SQUOTE] = ACTIONS(1205),
    [anon_sym_U_SQUOTE] = ACTIONS(1205),
    [anon_sym_u8_SQUOTE] = ACTIONS(1205),
    [anon_sym_SQUOTE] = ACTIONS(1205),
    [anon_sym_L_DQUOTE] = ACTIONS(1205),
    [anon_sym_u_DQUOTE] = ACTIONS(1205),
    [anon_sym_U_DQUOTE] = ACTIONS(1205),
    [anon_sym_u8_DQUOTE] = ACTIONS(1205),
    [anon_sym_DQUOTE] = ACTIONS(1205),
    [sym_true] = ACTIONS(1203),
    [sym_false] = ACTIONS(1203),
    [anon_sym_NULL] = ACTIONS(1203),
    [anon_sym_nullptr] = ACTIONS(1203),
    [sym_comment] = ACTIONS(3),
  },
  [192] = {
    [sym_identifier] = ACTIONS(1207),
    [aux_sym_preproc_include_token1] = ACTIONS(1207),
    [aux_sym_preproc_def_token1] = ACTIONS(1207),
    [aux_sym_preproc_if_token1] = ACTIONS(1207),
    [aux_sym_preproc_if_token2] = ACTIONS(1207),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1207),
    [sym_preproc_directive] = ACTIONS(1207),
    [anon_sym_LPAREN2] = ACTIONS(1209),
    [anon_sym_BANG] = ACTIONS(1209),
    [anon_sym_TILDE] = ACTIONS(1209),
    [anon_sym_DASH] = ACTIONS(1207),
    [anon_sym_PLUS] = ACTIONS(1207),
    [anon_sym_STAR] = ACTIONS(1209),
    [anon_sym_AMP] = ACTIONS(1209),
    [anon_sym_SEMI] = ACTIONS(1209),
    [anon_sym___extension__] = ACTIONS(1207),
    [anon_sym_typedef] = ACTIONS(1207),
    [anon_sym_extern] = ACTIONS(1207),
    [anon_sym___attribute__] = ACTIONS(1207),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1209),
    [anon_sym___declspec] = ACTIONS(1207),
    [anon_sym___cdecl] = ACTIONS(1207),
    [anon_sym___clrcall] = ACTIONS(1207),
    [anon_sym___stdcall] = ACTIONS(1207),
    [anon_sym___fastcall] = ACTIONS(1207),
    [anon_sym___thiscall] = ACTIONS(1207),
    [anon_sym___vectorcall] = ACTIONS(1207),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_signed] = ACTIONS(1207),
    [anon_sym_unsigned] = ACTIONS(1207),
    [anon_sym_long] = ACTIONS(1207),
    [anon_sym_short] = ACTIONS(1207),
    [anon_sym_static] = ACTIONS(1207),
    [anon_sym_auto] = ACTIONS(1207),
    [anon_sym_register] = ACTIONS(1207),
    [anon_sym_inline] = ACTIONS(1207),
    [anon_sym___inline] = ACTIONS(1207),
    [anon_sym___inline__] = ACTIONS(1207),
    [anon_sym___forceinline] = ACTIONS(1207),
    [anon_sym_thread_local] = ACTIONS(1207),
    [anon_sym___thread] = ACTIONS(1207),
    [anon_sym_const] = ACTIONS(1207),
    [anon_sym_constexpr] = ACTIONS(1207),
    [anon_sym_volatile] = ACTIONS(1207),
    [anon_sym_restrict] = ACTIONS(1207),
    [anon_sym___restrict__] = ACTIONS(1207),
    [anon_sym__Atomic] = ACTIONS(1207),
    [anon_sym__Noreturn] = ACTIONS(1207),
    [anon_sym_noreturn] = ACTIONS(1207),
    [anon_sym_alignas] = ACTIONS(1207),
    [anon_sym__Alignas] = ACTIONS(1207),
    [sym_primitive_type] = ACTIONS(1207),
    [anon_sym_enum] = ACTIONS(1207),
    [anon_sym_struct] = ACTIONS(1207),
    [anon_sym_union] = ACTIONS(1207),
    [anon_sym_if] = ACTIONS(1207),
    [anon_sym_else] = ACTIONS(1207),
    [anon_sym_switch] = ACTIONS(1207),
    [anon_sym_case] = ACTIONS(1207),
    [anon_sym_default] = ACTIONS(1207),
    [anon_sym_while] = ACTIONS(1207),
    [anon_sym_do] = ACTIONS(1207),
    [anon_sym_for] = ACTIONS(1207),
    [anon_sym_return] = ACTIONS(1207),
    [anon_sym_break] = ACTIONS(1207),
    [anon_sym_continue] = ACTIONS(1207),
    [anon_sym_goto] = ACTIONS(1207),
    [anon_sym___try] = ACTIONS(1207),
    [anon_sym___leave] = ACTIONS(1207),
    [anon_sym_DASH_DASH] = ACTIONS(1209),
    [anon_sym_PLUS_PLUS] = ACTIONS(1209),
    [anon_sym_sizeof] = ACTIONS(1207),
    [anon_sym___alignof__] = ACTIONS(1207),
    [anon_sym___alignof] = ACTIONS(1207),
    [anon_sym__alignof] = ACTIONS(1207),
    [anon_sym_alignof] = ACTIONS(1207),
    [anon_sym__Alignof] = ACTIONS(1207),
    [anon_sym_offsetof] = ACTIONS(1207),
    [anon_sym__Generic] = ACTIONS(1207),
    [anon_sym_asm] = ACTIONS(1207),
    [anon_sym___asm__] = ACTIONS(1207),
    [sym_number_literal] = ACTIONS(1209),
    [anon_sym_L_SQUOTE] = ACTIONS(1209),
    [anon_sym_u_SQUOTE] = ACTIONS(1209),
    [anon_sym_U_SQUOTE] = ACTIONS(1209),
    [anon_sym_u8_SQUOTE] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1209),
    [anon_sym_L_DQUOTE] = ACTIONS(1209),
    [anon_sym_u_DQUOTE] = ACTIONS(1209),
    [anon_sym_U_DQUOTE] = ACTIONS(1209),
    [anon_sym_u8_DQUOTE] = ACTIONS(1209),
    [anon_sym_DQUOTE] = ACTIONS(1209),
    [sym_true] = ACTIONS(1207),
    [sym_false] = ACTIONS(1207),
    [anon_sym_NULL] = ACTIONS(1207),
    [anon_sym_nullptr] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
  },
  [193] = {
    [sym_identifier] = ACTIONS(1207),
    [aux_sym_preproc_include_token1] = ACTIONS(1207),
    [aux_sym_preproc_def_token1] = ACTIONS(1207),
    [aux_sym_preproc_if_token1] = ACTIONS(1207),
    [aux_sym_preproc_if_token2] = ACTIONS(1207),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1207),
    [sym_preproc_directive] = ACTIONS(1207),
    [anon_sym_LPAREN2] = ACTIONS(1209),
    [anon_sym_BANG] = ACTIONS(1209),
    [anon_sym_TILDE] = ACTIONS(1209),
    [anon_sym_DASH] = ACTIONS(1207),
    [anon_sym_PLUS] = ACTIONS(1207),
    [anon_sym_STAR] = ACTIONS(1209),
    [anon_sym_AMP] = ACTIONS(1209),
    [anon_sym_SEMI] = ACTIONS(1209),
    [anon_sym___extension__] = ACTIONS(1207),
    [anon_sym_typedef] = ACTIONS(1207),
    [anon_sym_extern] = ACTIONS(1207),
    [anon_sym___attribute__] = ACTIONS(1207),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1209),
    [anon_sym___declspec] = ACTIONS(1207),
    [anon_sym___cdecl] = ACTIONS(1207),
    [anon_sym___clrcall] = ACTIONS(1207),
    [anon_sym___stdcall] = ACTIONS(1207),
    [anon_sym___fastcall] = ACTIONS(1207),
    [anon_sym___thiscall] = ACTIONS(1207),
    [anon_sym___vectorcall] = ACTIONS(1207),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_signed] = ACTIONS(1207),
    [anon_sym_unsigned] = ACTIONS(1207),
    [anon_sym_long] = ACTIONS(1207),
    [anon_sym_short] = ACTIONS(1207),
    [anon_sym_static] = ACTIONS(1207),
    [anon_sym_auto] = ACTIONS(1207),
    [anon_sym_register] = ACTIONS(1207),
    [anon_sym_inline] = ACTIONS(1207),
    [anon_sym___inline] = ACTIONS(1207),
    [anon_sym___inline__] = ACTIONS(1207),
    [anon_sym___forceinline] = ACTIONS(1207),
    [anon_sym_thread_local] = ACTIONS(1207),
    [anon_sym___thread] = ACTIONS(1207),
    [anon_sym_const] = ACTIONS(1207),
    [anon_sym_constexpr] = ACTIONS(1207),
    [anon_sym_volatile] = ACTIONS(1207),
    [anon_sym_restrict] = ACTIONS(1207),
    [anon_sym___restrict__] = ACTIONS(1207),
    [anon_sym__Atomic] = ACTIONS(1207),
    [anon_sym__Noreturn] = ACTIONS(1207),
    [anon_sym_noreturn] = ACTIONS(1207),
    [anon_sym_alignas] = ACTIONS(1207),
    [anon_sym__Alignas] = ACTIONS(1207),
    [sym_primitive_type] = ACTIONS(1207),
    [anon_sym_enum] = ACTIONS(1207),
    [anon_sym_struct] = ACTIONS(1207),
    [anon_sym_union] = ACTIONS(1207),
    [anon_sym_if] = ACTIONS(1207),
    [anon_sym_else] = ACTIONS(1207),
    [anon_sym_switch] = ACTIONS(1207),
    [anon_sym_case] = ACTIONS(1207),
    [anon_sym_default] = ACTIONS(1207),
    [anon_sym_while] = ACTIONS(1207),
    [anon_sym_do] = ACTIONS(1207),
    [anon_sym_for] = ACTIONS(1207),
    [anon_sym_return] = ACTIONS(1207),
    [anon_sym_break] = ACTIONS(1207),
    [anon_sym_continue] = ACTIONS(1207),
    [anon_sym_goto] = ACTIONS(1207),
    [anon_sym___try] = ACTIONS(1207),
    [anon_sym___leave] = ACTIONS(1207),
    [anon_sym_DASH_DASH] = ACTIONS(1209),
    [anon_sym_PLUS_PLUS] = ACTIONS(1209),
    [anon_sym_sizeof] = ACTIONS(1207),
    [anon_sym___alignof__] = ACTIONS(1207),
    [anon_sym___alignof] = ACTIONS(1207),
    [anon_sym__alignof] = ACTIONS(1207),
    [anon_sym_alignof] = ACTIONS(1207),
    [anon_sym__Alignof] = ACTIONS(1207),
    [anon_sym_offsetof] = ACTIONS(1207),
    [anon_sym__Generic] = ACTIONS(1207),
    [anon_sym_asm] = ACTIONS(1207),
    [anon_sym___asm__] = ACTIONS(1207),
    [sym_number_literal] = ACTIONS(1209),
    [anon_sym_L_SQUOTE] = ACTIONS(1209),
    [anon_sym_u_SQUOTE] = ACTIONS(1209),
    [anon_sym_U_SQUOTE] = ACTIONS(1209),
    [anon_sym_u8_SQUOTE] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1209),
    [anon_sym_L_DQUOTE] = ACTIONS(1209),
    [anon_sym_u_DQUOTE] = ACTIONS(1209),
    [anon_sym_U_DQUOTE] = ACTIONS(1209),
    [anon_sym_u8_DQUOTE] = ACTIONS(1209),
    [anon_sym_DQUOTE] = ACTIONS(1209),
    [sym_true] = ACTIONS(1207),
    [sym_false] = ACTIONS(1207),
    [anon_sym_NULL] = ACTIONS(1207),
    [anon_sym_nullptr] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
  },
  [194] = {
    [ts_builtin_sym_end] = ACTIONS(1125),
    [sym_identifier] = ACTIONS(1123),
    [aux_sym_preproc_include_token1] = ACTIONS(1123),
    [aux_sym_preproc_def_token1] = ACTIONS(1123),
    [aux_sym_preproc_if_token1] = ACTIONS(1123),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1123),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1123),
    [sym_preproc_directive] = ACTIONS(1123),
    [anon_sym_LPAREN2] = ACTIONS(1125),
    [anon_sym_BANG] = ACTIONS(1125),
    [anon_sym_TILDE] = ACTIONS(1125),
    [anon_sym_DASH] = ACTIONS(1123),
    [anon_sym_PLUS] = ACTIONS(1123),
    [anon_sym_STAR] = ACTIONS(1125),
    [anon_sym_AMP] = ACTIONS(1125),
    [anon_sym_SEMI] = ACTIONS(1125),
    [anon_sym___extension__] = ACTIONS(1123),
    [anon_sym_typedef] = ACTIONS(1123),
    [anon_sym_extern] = ACTIONS(1123),
    [anon_sym___attribute__] = ACTIONS(1123),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1125),
    [anon_sym___declspec] = ACTIONS(1123),
    [anon_sym___cdecl] = ACTIONS(1123),
    [anon_sym___clrcall] = ACTIONS(1123),
    [anon_sym___stdcall] = ACTIONS(1123),
    [anon_sym___fastcall] = ACTIONS(1123),
    [anon_sym___thiscall] = ACTIONS(1123),
    [anon_sym___vectorcall] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_signed] = ACTIONS(1123),
    [anon_sym_unsigned] = ACTIONS(1123),
    [anon_sym_long] = ACTIONS(1123),
    [anon_sym_short] = ACTIONS(1123),
    [anon_sym_static] = ACTIONS(1123),
    [anon_sym_auto] = ACTIONS(1123),
    [anon_sym_register] = ACTIONS(1123),
    [anon_sym_inline] = ACTIONS(1123),
    [anon_sym___inline] = ACTIONS(1123),
    [anon_sym___inline__] = ACTIONS(1123),
    [anon_sym___forceinline] = ACTIONS(1123),
    [anon_sym_thread_local] = ACTIONS(1123),
    [anon_sym___thread] = ACTIONS(1123),
    [anon_sym_const] = ACTIONS(1123),
    [anon_sym_constexpr] = ACTIONS(1123),
    [anon_sym_volatile] = ACTIONS(1123),
    [anon_sym_restrict] = ACTIONS(1123),
    [anon_sym___restrict__] = ACTIONS(1123),
    [anon_sym__Atomic] = ACTIONS(1123),
    [anon_sym__Noreturn] = ACTIONS(1123),
    [anon_sym_noreturn] = ACTIONS(1123),
    [anon_sym_alignas] = ACTIONS(1123),
    [anon_sym__Alignas] = ACTIONS(1123),
    [sym_primitive_type] = ACTIONS(1123),
    [anon_sym_enum] = ACTIONS(1123),
    [anon_sym_struct] = ACTIONS(1123),
    [anon_sym_union] = ACTIONS(1123),
    [anon_sym_if] = ACTIONS(1123),
    [anon_sym_else] = ACTIONS(1123),
    [anon_sym_switch] = ACTIONS(1123),
    [anon_sym_case] = ACTIONS(1123),
    [anon_sym_default] = ACTIONS(1123),
    [anon_sym_while] = ACTIONS(1123),
    [anon_sym_do] = ACTIONS(1123),
    [anon_sym_for] = ACTIONS(1123),
    [anon_sym_return] = ACTIONS(1123),
    [anon_sym_break] = ACTIONS(1123),
    [anon_sym_continue] = ACTIONS(1123),
    [anon_sym_goto] = ACTIONS(1123),
    [anon_sym___try] = ACTIONS(1123),
    [anon_sym___leave] = ACTIONS(1123),
    [anon_sym_DASH_DASH] = ACTIONS(1125),
    [anon_sym_PLUS_PLUS] = ACTIONS(1125),
    [anon_sym_sizeof] = ACTIONS(1123),
    [anon_sym___alignof__] = ACTIONS(1123),
    [anon_sym___alignof] = ACTIONS(1123),
    [anon_sym__alignof] = ACTIONS(1123),
    [anon_sym_alignof] = ACTIONS(1123),
    [anon_sym__Alignof] = ACTIONS(1123),
    [anon_sym_offsetof] = ACTIONS(1123),
    [anon_sym__Generic] = ACTIONS(1123),
    [anon_sym_asm] = ACTIONS(1123),
    [anon_sym___asm__] = ACTIONS(1123),
    [sym_number_literal] = ACTIONS(1125),
    [anon_sym_L_SQUOTE] = ACTIONS(1125),
    [anon_sym_u_SQUOTE] = ACTIONS(1125),
    [anon_sym_U_SQUOTE] = ACTIONS(1125),
    [anon_sym_u8_SQUOTE] = ACTIONS(1125),
    [anon_sym_SQUOTE] = ACTIONS(1125),
    [anon_sym_L_DQUOTE] = ACTIONS(1125),
    [anon_sym_u_DQUOTE] = ACTIONS(1125),
    [anon_sym_U_DQUOTE] = ACTIONS(1125),
    [anon_sym_u8_DQUOTE] = ACTIONS(1125),
    [anon_sym_DQUOTE] = ACTIONS(1125),
    [sym_true] = ACTIONS(1123),
    [sym_false] = ACTIONS(1123),
    [anon_sym_NULL] = ACTIONS(1123),
    [anon_sym_nullptr] = ACTIONS(1123),
    [sym_comment] = ACTIONS(3),
  },
  [195] = {
    [ts_builtin_sym_end] = ACTIONS(1189),
    [sym_identifier] = ACTIONS(1187),
    [aux_sym_preproc_include_token1] = ACTIONS(1187),
    [aux_sym_preproc_def_token1] = ACTIONS(1187),
    [aux_sym_preproc_if_token1] = ACTIONS(1187),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1187),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1187),
    [sym_preproc_directive] = ACTIONS(1187),
    [anon_sym_LPAREN2] = ACTIONS(1189),
    [anon_sym_BANG] = ACTIONS(1189),
    [anon_sym_TILDE] = ACTIONS(1189),
    [anon_sym_DASH] = ACTIONS(1187),
    [anon_sym_PLUS] = ACTIONS(1187),
    [anon_sym_STAR] = ACTIONS(1189),
    [anon_sym_AMP] = ACTIONS(1189),
    [anon_sym_SEMI] = ACTIONS(1189),
    [anon_sym___extension__] = ACTIONS(1187),
    [anon_sym_typedef] = ACTIONS(1187),
    [anon_sym_extern] = ACTIONS(1187),
    [anon_sym___attribute__] = ACTIONS(1187),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1189),
    [anon_sym___declspec] = ACTIONS(1187),
    [anon_sym___cdecl] = ACTIONS(1187),
    [anon_sym___clrcall] = ACTIONS(1187),
    [anon_sym___stdcall] = ACTIONS(1187),
    [anon_sym___fastcall] = ACTIONS(1187),
    [anon_sym___thiscall] = ACTIONS(1187),
    [anon_sym___vectorcall] = ACTIONS(1187),
    [anon_sym_LBRACE] = ACTIONS(1189),
    [anon_sym_signed] = ACTIONS(1187),
    [anon_sym_unsigned] = ACTIONS(1187),
    [anon_sym_long] = ACTIONS(1187),
    [anon_sym_short] = ACTIONS(1187),
    [anon_sym_static] = ACTIONS(1187),
    [anon_sym_auto] = ACTIONS(1187),
    [anon_sym_register] = ACTIONS(1187),
    [anon_sym_inline] = ACTIONS(1187),
    [anon_sym___inline] = ACTIONS(1187),
    [anon_sym___inline__] = ACTIONS(1187),
    [anon_sym___forceinline] = ACTIONS(1187),
    [anon_sym_thread_local] = ACTIONS(1187),
    [anon_sym___thread] = ACTIONS(1187),
    [anon_sym_const] = ACTIONS(1187),
    [anon_sym_constexpr] = ACTIONS(1187),
    [anon_sym_volatile] = ACTIONS(1187),
    [anon_sym_restrict] = ACTIONS(1187),
    [anon_sym___restrict__] = ACTIONS(1187),
    [anon_sym__Atomic] = ACTIONS(1187),
    [anon_sym__Noreturn] = ACTIONS(1187),
    [anon_sym_noreturn] = ACTIONS(1187),
    [anon_sym_alignas] = ACTIONS(1187),
    [anon_sym__Alignas] = ACTIONS(1187),
    [sym_primitive_type] = ACTIONS(1187),
    [anon_sym_enum] = ACTIONS(1187),
    [anon_sym_struct] = ACTIONS(1187),
    [anon_sym_union] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1187),
    [anon_sym_else] = ACTIONS(1187),
    [anon_sym_switch] = ACTIONS(1187),
    [anon_sym_case] = ACTIONS(1187),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_while] = ACTIONS(1187),
    [anon_sym_do] = ACTIONS(1187),
    [anon_sym_for] = ACTIONS(1187),
    [anon_sym_return] = ACTIONS(1187),
    [anon_sym_break] = ACTIONS(1187),
    [anon_sym_continue] = ACTIONS(1187),
    [anon_sym_goto] = ACTIONS(1187),
    [anon_sym___try] = ACTIONS(1187),
    [anon_sym___leave] = ACTIONS(1187),
    [anon_sym_DASH_DASH] = ACTIONS(1189),
    [anon_sym_PLUS_PLUS] = ACTIONS(1189),
    [anon_sym_sizeof] = ACTIONS(1187),
    [anon_sym___alignof__] = ACTIONS(1187),
    [anon_sym___alignof] = ACTIONS(1187),
    [anon_sym__alignof] = ACTIONS(1187),
    [anon_sym_alignof] = ACTIONS(1187),
    [anon_sym__Alignof] = ACTIONS(1187),
    [anon_sym_offsetof] = ACTIONS(1187),
    [anon_sym__Generic] = ACTIONS(1187),
    [anon_sym_asm] = ACTIONS(1187),
    [anon_sym___asm__] = ACTIONS(1187),
    [sym_number_literal] = ACTIONS(1189),
    [anon_sym_L_SQUOTE] = ACTIONS(1189),
    [anon_sym_u_SQUOTE] = ACTIONS(1189),
    [anon_sym_U_SQUOTE] = ACTIONS(1189),
    [anon_sym_u8_SQUOTE] = ACTIONS(1189),
    [anon_sym_SQUOTE] = ACTIONS(1189),
    [anon_sym_L_DQUOTE] = ACTIONS(1189),
    [anon_sym_u_DQUOTE] = ACTIONS(1189),
    [anon_sym_U_DQUOTE] = ACTIONS(1189),
    [anon_sym_u8_DQUOTE] = ACTIONS(1189),
    [anon_sym_DQUOTE] = ACTIONS(1189),
    [sym_true] = ACTIONS(1187),
    [sym_false] = ACTIONS(1187),
    [anon_sym_NULL] = ACTIONS(1187),
    [anon_sym_nullptr] = ACTIONS(1187),
    [sym_comment] = ACTIONS(3),
  },
  [196] = {
    [sym_identifier] = ACTIONS(1191),
    [aux_sym_preproc_include_token1] = ACTIONS(1191),
    [aux_sym_preproc_def_token1] = ACTIONS(1191),
    [aux_sym_preproc_if_token1] = ACTIONS(1191),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1191),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1191),
    [sym_preproc_directive] = ACTIONS(1191),
    [anon_sym_LPAREN2] = ACTIONS(1193),
    [anon_sym_BANG] = ACTIONS(1193),
    [anon_sym_TILDE] = ACTIONS(1193),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_STAR] = ACTIONS(1193),
    [anon_sym_AMP] = ACTIONS(1193),
    [anon_sym_SEMI] = ACTIONS(1193),
    [anon_sym___extension__] = ACTIONS(1191),
    [anon_sym_typedef] = ACTIONS(1191),
    [anon_sym_extern] = ACTIONS(1191),
    [anon_sym___attribute__] = ACTIONS(1191),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1193),
    [anon_sym___declspec] = ACTIONS(1191),
    [anon_sym___cdecl] = ACTIONS(1191),
    [anon_sym___clrcall] = ACTIONS(1191),
    [anon_sym___stdcall] = ACTIONS(1191),
    [anon_sym___fastcall] = ACTIONS(1191),
    [anon_sym___thiscall] = ACTIONS(1191),
    [anon_sym___vectorcall] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_RBRACE] = ACTIONS(1193),
    [anon_sym_signed] = ACTIONS(1191),
    [anon_sym_unsigned] = ACTIONS(1191),
    [anon_sym_long] = ACTIONS(1191),
    [anon_sym_short] = ACTIONS(1191),
    [anon_sym_static] = ACTIONS(1191),
    [anon_sym_auto] = ACTIONS(1191),
    [anon_sym_register] = ACTIONS(1191),
    [anon_sym_inline] = ACTIONS(1191),
    [anon_sym___inline] = ACTIONS(1191),
    [anon_sym___inline__] = ACTIONS(1191),
    [anon_sym___forceinline] = ACTIONS(1191),
    [anon_sym_thread_local] = ACTIONS(1191),
    [anon_sym___thread] = ACTIONS(1191),
    [anon_sym_const] = ACTIONS(1191),
    [anon_sym_constexpr] = ACTIONS(1191),
    [anon_sym_volatile] = ACTIONS(1191),
    [anon_sym_restrict] = ACTIONS(1191),
    [anon_sym___restrict__] = ACTIONS(1191),
    [anon_sym__Atomic] = ACTIONS(1191),
    [anon_sym__Noreturn] = ACTIONS(1191),
    [anon_sym_noreturn] = ACTIONS(1191),
    [anon_sym_alignas] = ACTIONS(1191),
    [anon_sym__Alignas] = ACTIONS(1191),
    [sym_primitive_type] = ACTIONS(1191),
    [anon_sym_enum] = ACTIONS(1191),
    [anon_sym_struct] = ACTIONS(1191),
    [anon_sym_union] = ACTIONS(1191),
    [anon_sym_if] = ACTIONS(1191),
    [anon_sym_else] = ACTIONS(1191),
    [anon_sym_switch] = ACTIONS(1191),
    [anon_sym_case] = ACTIONS(1191),
    [anon_sym_default] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1191),
    [anon_sym_do] = ACTIONS(1191),
    [anon_sym_for] = ACTIONS(1191),
    [anon_sym_return] = ACTIONS(1191),
    [anon_sym_break] = ACTIONS(1191),
    [anon_sym_continue] = ACTIONS(1191),
    [anon_sym_goto] = ACTIONS(1191),
    [anon_sym___try] = ACTIONS(1191),
    [anon_sym___leave] = ACTIONS(1191),
    [anon_sym_DASH_DASH] = ACTIONS(1193),
    [anon_sym_PLUS_PLUS] = ACTIONS(1193),
    [anon_sym_sizeof] = ACTIONS(1191),
    [anon_sym___alignof__] = ACTIONS(1191),
    [anon_sym___alignof] = ACTIONS(1191),
    [anon_sym__alignof] = ACTIONS(1191),
    [anon_sym_alignof] = ACTIONS(1191),
    [anon_sym__Alignof] = ACTIONS(1191),
    [anon_sym_offsetof] = ACTIONS(1191),
    [anon_sym__Generic] = ACTIONS(1191),
    [anon_sym_asm] = ACTIONS(1191),
    [anon_sym___asm__] = ACTIONS(1191),
    [sym_number_literal] = ACTIONS(1193),
    [anon_sym_L_SQUOTE] = ACTIONS(1193),
    [anon_sym_u_SQUOTE] = ACTIONS(1193),
    [anon_sym_U_SQUOTE] = ACTIONS(1193),
    [anon_sym_u8_SQUOTE] = ACTIONS(1193),
    [anon_sym_SQUOTE] = ACTIONS(1193),
    [anon_sym_L_DQUOTE] = ACTIONS(1193),
    [anon_sym_u_DQUOTE] = ACTIONS(1193),
    [anon_sym_U_DQUOTE] = ACTIONS(1193),
    [anon_sym_u8_DQUOTE] = ACTIONS(1193),
    [anon_sym_DQUOTE] = ACTIONS(1193),
    [sym_true] = ACTIONS(1191),
    [sym_false] = ACTIONS(1191),
    [anon_sym_NULL] = ACTIONS(1191),
    [anon_sym_nullptr] = ACTIONS(1191),
    [sym_comment] = ACTIONS(3),
  },
  [197] = {
    [ts_builtin_sym_end] = ACTIONS(1161),
    [sym_identifier] = ACTIONS(1159),
    [aux_sym_preproc_include_token1] = ACTIONS(1159),
    [aux_sym_preproc_def_token1] = ACTIONS(1159),
    [aux_sym_preproc_if_token1] = ACTIONS(1159),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1159),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1159),
    [sym_preproc_directive] = ACTIONS(1159),
    [anon_sym_LPAREN2] = ACTIONS(1161),
    [anon_sym_BANG] = ACTIONS(1161),
    [anon_sym_TILDE] = ACTIONS(1161),
    [anon_sym_DASH] = ACTIONS(1159),
    [anon_sym_PLUS] = ACTIONS(1159),
    [anon_sym_STAR] = ACTIONS(1161),
    [anon_sym_AMP] = ACTIONS(1161),
    [anon_sym_SEMI] = ACTIONS(1161),
    [anon_sym___extension__] = ACTIONS(1159),
    [anon_sym_typedef] = ACTIONS(1159),
    [anon_sym_extern] = ACTIONS(1159),
    [anon_sym___attribute__] = ACTIONS(1159),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1161),
    [anon_sym___declspec] = ACTIONS(1159),
    [anon_sym___cdecl] = ACTIONS(1159),
    [anon_sym___clrcall] = ACTIONS(1159),
    [anon_sym___stdcall] = ACTIONS(1159),
    [anon_sym___fastcall] = ACTIONS(1159),
    [anon_sym___thiscall] = ACTIONS(1159),
    [anon_sym___vectorcall] = ACTIONS(1159),
    [anon_sym_LBRACE] = ACTIONS(1161),
    [anon_sym_signed] = ACTIONS(1159),
    [anon_sym_unsigned] = ACTIONS(1159),
    [anon_sym_long] = ACTIONS(1159),
    [anon_sym_short] = ACTIONS(1159),
    [anon_sym_static] = ACTIONS(1159),
    [anon_sym_auto] = ACTIONS(1159),
    [anon_sym_register] = ACTIONS(1159),
    [anon_sym_inline] = ACTIONS(1159),
    [anon_sym___inline] = ACTIONS(1159),
    [anon_sym___inline__] = ACTIONS(1159),
    [anon_sym___forceinline] = ACTIONS(1159),
    [anon_sym_thread_local] = ACTIONS(1159),
    [anon_sym___thread] = ACTIONS(1159),
    [anon_sym_const] = ACTIONS(1159),
    [anon_sym_constexpr] = ACTIONS(1159),
    [anon_sym_volatile] = ACTIONS(1159),
    [anon_sym_restrict] = ACTIONS(1159),
    [anon_sym___restrict__] = ACTIONS(1159),
    [anon_sym__Atomic] = ACTIONS(1159),
    [anon_sym__Noreturn] = ACTIONS(1159),
    [anon_sym_noreturn] = ACTIONS(1159),
    [anon_sym_alignas] = ACTIONS(1159),
    [anon_sym__Alignas] = ACTIONS(1159),
    [sym_primitive_type] = ACTIONS(1159),
    [anon_sym_enum] = ACTIONS(1159),
    [anon_sym_struct] = ACTIONS(1159),
    [anon_sym_union] = ACTIONS(1159),
    [anon_sym_if] = ACTIONS(1159),
    [anon_sym_else] = ACTIONS(1159),
    [anon_sym_switch] = ACTIONS(1159),
    [anon_sym_case] = ACTIONS(1159),
    [anon_sym_default] = ACTIONS(1159),
    [anon_sym_while] = ACTIONS(1159),
    [anon_sym_do] = ACTIONS(1159),
    [anon_sym_for] = ACTIONS(1159),
    [anon_sym_return] = ACTIONS(1159),
    [anon_sym_break] = ACTIONS(1159),
    [anon_sym_continue] = ACTIONS(1159),
    [anon_sym_goto] = ACTIONS(1159),
    [anon_sym___try] = ACTIONS(1159),
    [anon_sym___leave] = ACTIONS(1159),
    [anon_sym_DASH_DASH] = ACTIONS(1161),
    [anon_sym_PLUS_PLUS] = ACTIONS(1161),
    [anon_sym_sizeof] = ACTIONS(1159),
    [anon_sym___alignof__] = ACTIONS(1159),
    [anon_sym___alignof] = ACTIONS(1159),
    [anon_sym__alignof] = ACTIONS(1159),
    [anon_sym_alignof] = ACTIONS(1159),
    [anon_sym__Alignof] = ACTIONS(1159),
    [anon_sym_offsetof] = ACTIONS(1159),
    [anon_sym__Generic] = ACTIONS(1159),
    [anon_sym_asm] = ACTIONS(1159),
    [anon_sym___asm__] = ACTIONS(1159),
    [sym_number_literal] = ACTIONS(1161),
    [anon_sym_L_SQUOTE] = ACTIONS(1161),
    [anon_sym_u_SQUOTE] = ACTIONS(1161),
    [anon_sym_U_SQUOTE] = ACTIONS(1161),
    [anon_sym_u8_SQUOTE] = ACTIONS(1161),
    [anon_sym_SQUOTE] = ACTIONS(1161),
    [anon_sym_L_DQUOTE] = ACTIONS(1161),
    [anon_sym_u_DQUOTE] = ACTIONS(1161),
    [anon_sym_U_DQUOTE] = ACTIONS(1161),
    [anon_sym_u8_DQUOTE] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_true] = ACTIONS(1159),
    [sym_false] = ACTIONS(1159),
    [anon_sym_NULL] = ACTIONS(1159),
    [anon_sym_nullptr] = ACTIONS(1159),
    [sym_comment] = ACTIONS(3),
  },
  [198] = {
    [sym_identifier] = ACTIONS(1171),
    [aux_sym_preproc_include_token1] = ACTIONS(1171),
    [aux_sym_preproc_def_token1] = ACTIONS(1171),
    [aux_sym_preproc_if_token1] = ACTIONS(1171),
    [aux_sym_preproc_if_token2] = ACTIONS(1171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1171),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1171),
    [sym_preproc_directive] = ACTIONS(1171),
    [anon_sym_LPAREN2] = ACTIONS(1173),
    [anon_sym_BANG] = ACTIONS(1173),
    [anon_sym_TILDE] = ACTIONS(1173),
    [anon_sym_DASH] = ACTIONS(1171),
    [anon_sym_PLUS] = ACTIONS(1171),
    [anon_sym_STAR] = ACTIONS(1173),
    [anon_sym_AMP] = ACTIONS(1173),
    [anon_sym_SEMI] = ACTIONS(1173),
    [anon_sym___extension__] = ACTIONS(1171),
    [anon_sym_typedef] = ACTIONS(1171),
    [anon_sym_extern] = ACTIONS(1171),
    [anon_sym___attribute__] = ACTIONS(1171),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1173),
    [anon_sym___declspec] = ACTIONS(1171),
    [anon_sym___cdecl] = ACTIONS(1171),
    [anon_sym___clrcall] = ACTIONS(1171),
    [anon_sym___stdcall] = ACTIONS(1171),
    [anon_sym___fastcall] = ACTIONS(1171),
    [anon_sym___thiscall] = ACTIONS(1171),
    [anon_sym___vectorcall] = ACTIONS(1171),
    [anon_sym_LBRACE] = ACTIONS(1173),
    [anon_sym_signed] = ACTIONS(1171),
    [anon_sym_unsigned] = ACTIONS(1171),
    [anon_sym_long] = ACTIONS(1171),
    [anon_sym_short] = ACTIONS(1171),
    [anon_sym_static] = ACTIONS(1171),
    [anon_sym_auto] = ACTIONS(1171),
    [anon_sym_register] = ACTIONS(1171),
    [anon_sym_inline] = ACTIONS(1171),
    [anon_sym___inline] = ACTIONS(1171),
    [anon_sym___inline__] = ACTIONS(1171),
    [anon_sym___forceinline] = ACTIONS(1171),
    [anon_sym_thread_local] = ACTIONS(1171),
    [anon_sym___thread] = ACTIONS(1171),
    [anon_sym_const] = ACTIONS(1171),
    [anon_sym_constexpr] = ACTIONS(1171),
    [anon_sym_volatile] = ACTIONS(1171),
    [anon_sym_restrict] = ACTIONS(1171),
    [anon_sym___restrict__] = ACTIONS(1171),
    [anon_sym__Atomic] = ACTIONS(1171),
    [anon_sym__Noreturn] = ACTIONS(1171),
    [anon_sym_noreturn] = ACTIONS(1171),
    [anon_sym_alignas] = ACTIONS(1171),
    [anon_sym__Alignas] = ACTIONS(1171),
    [sym_primitive_type] = ACTIONS(1171),
    [anon_sym_enum] = ACTIONS(1171),
    [anon_sym_struct] = ACTIONS(1171),
    [anon_sym_union] = ACTIONS(1171),
    [anon_sym_if] = ACTIONS(1171),
    [anon_sym_else] = ACTIONS(1171),
    [anon_sym_switch] = ACTIONS(1171),
    [anon_sym_case] = ACTIONS(1171),
    [anon_sym_default] = ACTIONS(1171),
    [anon_sym_while] = ACTIONS(1171),
    [anon_sym_do] = ACTIONS(1171),
    [anon_sym_for] = ACTIONS(1171),
    [anon_sym_return] = ACTIONS(1171),
    [anon_sym_break] = ACTIONS(1171),
    [anon_sym_continue] = ACTIONS(1171),
    [anon_sym_goto] = ACTIONS(1171),
    [anon_sym___try] = ACTIONS(1171),
    [anon_sym___leave] = ACTIONS(1171),
    [anon_sym_DASH_DASH] = ACTIONS(1173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1173),
    [anon_sym_sizeof] = ACTIONS(1171),
    [anon_sym___alignof__] = ACTIONS(1171),
    [anon_sym___alignof] = ACTIONS(1171),
    [anon_sym__alignof] = ACTIONS(1171),
    [anon_sym_alignof] = ACTIONS(1171),
    [anon_sym__Alignof] = ACTIONS(1171),
    [anon_sym_offsetof] = ACTIONS(1171),
    [anon_sym__Generic] = ACTIONS(1171),
    [anon_sym_asm] = ACTIONS(1171),
    [anon_sym___asm__] = ACTIONS(1171),
    [sym_number_literal] = ACTIONS(1173),
    [anon_sym_L_SQUOTE] = ACTIONS(1173),
    [anon_sym_u_SQUOTE] = ACTIONS(1173),
    [anon_sym_U_SQUOTE] = ACTIONS(1173),
    [anon_sym_u8_SQUOTE] = ACTIONS(1173),
    [anon_sym_SQUOTE] = ACTIONS(1173),
    [anon_sym_L_DQUOTE] = ACTIONS(1173),
    [anon_sym_u_DQUOTE] = ACTIONS(1173),
    [anon_sym_U_DQUOTE] = ACTIONS(1173),
    [anon_sym_u8_DQUOTE] = ACTIONS(1173),
    [anon_sym_DQUOTE] = ACTIONS(1173),
    [sym_true] = ACTIONS(1171),
    [sym_false] = ACTIONS(1171),
    [anon_sym_NULL] = ACTIONS(1171),
    [anon_sym_nullptr] = ACTIONS(1171),
    [sym_comment] = ACTIONS(3),
  },
  [199] = {
    [ts_builtin_sym_end] = ACTIONS(1177),
    [sym_identifier] = ACTIONS(1175),
    [aux_sym_preproc_include_token1] = ACTIONS(1175),
    [aux_sym_preproc_def_token1] = ACTIONS(1175),
    [aux_sym_preproc_if_token1] = ACTIONS(1175),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1175),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1175),
    [sym_preproc_directive] = ACTIONS(1175),
    [anon_sym_LPAREN2] = ACTIONS(1177),
    [anon_sym_BANG] = ACTIONS(1177),
    [anon_sym_TILDE] = ACTIONS(1177),
    [anon_sym_DASH] = ACTIONS(1175),
    [anon_sym_PLUS] = ACTIONS(1175),
    [anon_sym_STAR] = ACTIONS(1177),
    [anon_sym_AMP] = ACTIONS(1177),
    [anon_sym_SEMI] = ACTIONS(1177),
    [anon_sym___extension__] = ACTIONS(1175),
    [anon_sym_typedef] = ACTIONS(1175),
    [anon_sym_extern] = ACTIONS(1175),
    [anon_sym___attribute__] = ACTIONS(1175),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1177),
    [anon_sym___declspec] = ACTIONS(1175),
    [anon_sym___cdecl] = ACTIONS(1175),
    [anon_sym___clrcall] = ACTIONS(1175),
    [anon_sym___stdcall] = ACTIONS(1175),
    [anon_sym___fastcall] = ACTIONS(1175),
    [anon_sym___thiscall] = ACTIONS(1175),
    [anon_sym___vectorcall] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_signed] = ACTIONS(1175),
    [anon_sym_unsigned] = ACTIONS(1175),
    [anon_sym_long] = ACTIONS(1175),
    [anon_sym_short] = ACTIONS(1175),
    [anon_sym_static] = ACTIONS(1175),
    [anon_sym_auto] = ACTIONS(1175),
    [anon_sym_register] = ACTIONS(1175),
    [anon_sym_inline] = ACTIONS(1175),
    [anon_sym___inline] = ACTIONS(1175),
    [anon_sym___inline__] = ACTIONS(1175),
    [anon_sym___forceinline] = ACTIONS(1175),
    [anon_sym_thread_local] = ACTIONS(1175),
    [anon_sym___thread] = ACTIONS(1175),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_constexpr] = ACTIONS(1175),
    [anon_sym_volatile] = ACTIONS(1175),
    [anon_sym_restrict] = ACTIONS(1175),
    [anon_sym___restrict__] = ACTIONS(1175),
    [anon_sym__Atomic] = ACTIONS(1175),
    [anon_sym__Noreturn] = ACTIONS(1175),
    [anon_sym_noreturn] = ACTIONS(1175),
    [anon_sym_alignas] = ACTIONS(1175),
    [anon_sym__Alignas] = ACTIONS(1175),
    [sym_primitive_type] = ACTIONS(1175),
    [anon_sym_enum] = ACTIONS(1175),
    [anon_sym_struct] = ACTIONS(1175),
    [anon_sym_union] = ACTIONS(1175),
    [anon_sym_if] = ACTIONS(1175),
    [anon_sym_else] = ACTIONS(1175),
    [anon_sym_switch] = ACTIONS(1175),
    [anon_sym_case] = ACTIONS(1175),
    [anon_sym_default] = ACTIONS(1175),
    [anon_sym_while] = ACTIONS(1175),
    [anon_sym_do] = ACTIONS(1175),
    [anon_sym_for] = ACTIONS(1175),
    [anon_sym_return] = ACTIONS(1175),
    [anon_sym_break] = ACTIONS(1175),
    [anon_sym_continue] = ACTIONS(1175),
    [anon_sym_goto] = ACTIONS(1175),
    [anon_sym___try] = ACTIONS(1175),
    [anon_sym___leave] = ACTIONS(1175),
    [anon_sym_DASH_DASH] = ACTIONS(1177),
    [anon_sym_PLUS_PLUS] = ACTIONS(1177),
    [anon_sym_sizeof] = ACTIONS(1175),
    [anon_sym___alignof__] = ACTIONS(1175),
    [anon_sym___alignof] = ACTIONS(1175),
    [anon_sym__alignof] = ACTIONS(1175),
    [anon_sym_alignof] = ACTIONS(1175),
    [anon_sym__Alignof] = ACTIONS(1175),
    [anon_sym_offsetof] = ACTIONS(1175),
    [anon_sym__Generic] = ACTIONS(1175),
    [anon_sym_asm] = ACTIONS(1175),
    [anon_sym___asm__] = ACTIONS(1175),
    [sym_number_literal] = ACTIONS(1177),
    [anon_sym_L_SQUOTE] = ACTIONS(1177),
    [anon_sym_u_SQUOTE] = ACTIONS(1177),
    [anon_sym_U_SQUOTE] = ACTIONS(1177),
    [anon_sym_u8_SQUOTE] = ACTIONS(1177),
    [anon_sym_SQUOTE] = ACTIONS(1177),
    [anon_sym_L_DQUOTE] = ACTIONS(1177),
    [anon_sym_u_DQUOTE] = ACTIONS(1177),
    [anon_sym_U_DQUOTE] = ACTIONS(1177),
    [anon_sym_u8_DQUOTE] = ACTIONS(1177),
    [anon_sym_DQUOTE] = ACTIONS(1177),
    [sym_true] = ACTIONS(1175),
    [sym_false] = ACTIONS(1175),
    [anon_sym_NULL] = ACTIONS(1175),
    [anon_sym_nullptr] = ACTIONS(1175),
    [sym_comment] = ACTIONS(3),
  },
  [200] = {
    [sym_identifier] = ACTIONS(1191),
    [aux_sym_preproc_include_token1] = ACTIONS(1191),
    [aux_sym_preproc_def_token1] = ACTIONS(1191),
    [aux_sym_preproc_if_token1] = ACTIONS(1191),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1191),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1191),
    [sym_preproc_directive] = ACTIONS(1191),
    [anon_sym_LPAREN2] = ACTIONS(1193),
    [anon_sym_BANG] = ACTIONS(1193),
    [anon_sym_TILDE] = ACTIONS(1193),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_STAR] = ACTIONS(1193),
    [anon_sym_AMP] = ACTIONS(1193),
    [anon_sym_SEMI] = ACTIONS(1193),
    [anon_sym___extension__] = ACTIONS(1191),
    [anon_sym_typedef] = ACTIONS(1191),
    [anon_sym_extern] = ACTIONS(1191),
    [anon_sym___attribute__] = ACTIONS(1191),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1193),
    [anon_sym___declspec] = ACTIONS(1191),
    [anon_sym___cdecl] = ACTIONS(1191),
    [anon_sym___clrcall] = ACTIONS(1191),
    [anon_sym___stdcall] = ACTIONS(1191),
    [anon_sym___fastcall] = ACTIONS(1191),
    [anon_sym___thiscall] = ACTIONS(1191),
    [anon_sym___vectorcall] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_RBRACE] = ACTIONS(1193),
    [anon_sym_signed] = ACTIONS(1191),
    [anon_sym_unsigned] = ACTIONS(1191),
    [anon_sym_long] = ACTIONS(1191),
    [anon_sym_short] = ACTIONS(1191),
    [anon_sym_static] = ACTIONS(1191),
    [anon_sym_auto] = ACTIONS(1191),
    [anon_sym_register] = ACTIONS(1191),
    [anon_sym_inline] = ACTIONS(1191),
    [anon_sym___inline] = ACTIONS(1191),
    [anon_sym___inline__] = ACTIONS(1191),
    [anon_sym___forceinline] = ACTIONS(1191),
    [anon_sym_thread_local] = ACTIONS(1191),
    [anon_sym___thread] = ACTIONS(1191),
    [anon_sym_const] = ACTIONS(1191),
    [anon_sym_constexpr] = ACTIONS(1191),
    [anon_sym_volatile] = ACTIONS(1191),
    [anon_sym_restrict] = ACTIONS(1191),
    [anon_sym___restrict__] = ACTIONS(1191),
    [anon_sym__Atomic] = ACTIONS(1191),
    [anon_sym__Noreturn] = ACTIONS(1191),
    [anon_sym_noreturn] = ACTIONS(1191),
    [anon_sym_alignas] = ACTIONS(1191),
    [anon_sym__Alignas] = ACTIONS(1191),
    [sym_primitive_type] = ACTIONS(1191),
    [anon_sym_enum] = ACTIONS(1191),
    [anon_sym_struct] = ACTIONS(1191),
    [anon_sym_union] = ACTIONS(1191),
    [anon_sym_if] = ACTIONS(1191),
    [anon_sym_else] = ACTIONS(1191),
    [anon_sym_switch] = ACTIONS(1191),
    [anon_sym_case] = ACTIONS(1191),
    [anon_sym_default] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1191),
    [anon_sym_do] = ACTIONS(1191),
    [anon_sym_for] = ACTIONS(1191),
    [anon_sym_return] = ACTIONS(1191),
    [anon_sym_break] = ACTIONS(1191),
    [anon_sym_continue] = ACTIONS(1191),
    [anon_sym_goto] = ACTIONS(1191),
    [anon_sym___try] = ACTIONS(1191),
    [anon_sym___leave] = ACTIONS(1191),
    [anon_sym_DASH_DASH] = ACTIONS(1193),
    [anon_sym_PLUS_PLUS] = ACTIONS(1193),
    [anon_sym_sizeof] = ACTIONS(1191),
    [anon_sym___alignof__] = ACTIONS(1191),
    [anon_sym___alignof] = ACTIONS(1191),
    [anon_sym__alignof] = ACTIONS(1191),
    [anon_sym_alignof] = ACTIONS(1191),
    [anon_sym__Alignof] = ACTIONS(1191),
    [anon_sym_offsetof] = ACTIONS(1191),
    [anon_sym__Generic] = ACTIONS(1191),
    [anon_sym_asm] = ACTIONS(1191),
    [anon_sym___asm__] = ACTIONS(1191),
    [sym_number_literal] = ACTIONS(1193),
    [anon_sym_L_SQUOTE] = ACTIONS(1193),
    [anon_sym_u_SQUOTE] = ACTIONS(1193),
    [anon_sym_U_SQUOTE] = ACTIONS(1193),
    [anon_sym_u8_SQUOTE] = ACTIONS(1193),
    [anon_sym_SQUOTE] = ACTIONS(1193),
    [anon_sym_L_DQUOTE] = ACTIONS(1193),
    [anon_sym_u_DQUOTE] = ACTIONS(1193),
    [anon_sym_U_DQUOTE] = ACTIONS(1193),
    [anon_sym_u8_DQUOTE] = ACTIONS(1193),
    [anon_sym_DQUOTE] = ACTIONS(1193),
    [sym_true] = ACTIONS(1191),
    [sym_false] = ACTIONS(1191),
    [anon_sym_NULL] = ACTIONS(1191),
    [anon_sym_nullptr] = ACTIONS(1191),
    [sym_comment] = ACTIONS(3),
  },
  [201] = {
    [sym_identifier] = ACTIONS(1203),
    [aux_sym_preproc_include_token1] = ACTIONS(1203),
    [aux_sym_preproc_def_token1] = ACTIONS(1203),
    [aux_sym_preproc_if_token1] = ACTIONS(1203),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1203),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1203),
    [sym_preproc_directive] = ACTIONS(1203),
    [anon_sym_LPAREN2] = ACTIONS(1205),
    [anon_sym_BANG] = ACTIONS(1205),
    [anon_sym_TILDE] = ACTIONS(1205),
    [anon_sym_DASH] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(1203),
    [anon_sym_STAR] = ACTIONS(1205),
    [anon_sym_AMP] = ACTIONS(1205),
    [anon_sym_SEMI] = ACTIONS(1205),
    [anon_sym___extension__] = ACTIONS(1203),
    [anon_sym_typedef] = ACTIONS(1203),
    [anon_sym_extern] = ACTIONS(1203),
    [anon_sym___attribute__] = ACTIONS(1203),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1205),
    [anon_sym___declspec] = ACTIONS(1203),
    [anon_sym___cdecl] = ACTIONS(1203),
    [anon_sym___clrcall] = ACTIONS(1203),
    [anon_sym___stdcall] = ACTIONS(1203),
    [anon_sym___fastcall] = ACTIONS(1203),
    [anon_sym___thiscall] = ACTIONS(1203),
    [anon_sym___vectorcall] = ACTIONS(1203),
    [anon_sym_LBRACE] = ACTIONS(1205),
    [anon_sym_RBRACE] = ACTIONS(1205),
    [anon_sym_signed] = ACTIONS(1203),
    [anon_sym_unsigned] = ACTIONS(1203),
    [anon_sym_long] = ACTIONS(1203),
    [anon_sym_short] = ACTIONS(1203),
    [anon_sym_static] = ACTIONS(1203),
    [anon_sym_auto] = ACTIONS(1203),
    [anon_sym_register] = ACTIONS(1203),
    [anon_sym_inline] = ACTIONS(1203),
    [anon_sym___inline] = ACTIONS(1203),
    [anon_sym___inline__] = ACTIONS(1203),
    [anon_sym___forceinline] = ACTIONS(1203),
    [anon_sym_thread_local] = ACTIONS(1203),
    [anon_sym___thread] = ACTIONS(1203),
    [anon_sym_const] = ACTIONS(1203),
    [anon_sym_constexpr] = ACTIONS(1203),
    [anon_sym_volatile] = ACTIONS(1203),
    [anon_sym_restrict] = ACTIONS(1203),
    [anon_sym___restrict__] = ACTIONS(1203),
    [anon_sym__Atomic] = ACTIONS(1203),
    [anon_sym__Noreturn] = ACTIONS(1203),
    [anon_sym_noreturn] = ACTIONS(1203),
    [anon_sym_alignas] = ACTIONS(1203),
    [anon_sym__Alignas] = ACTIONS(1203),
    [sym_primitive_type] = ACTIONS(1203),
    [anon_sym_enum] = ACTIONS(1203),
    [anon_sym_struct] = ACTIONS(1203),
    [anon_sym_union] = ACTIONS(1203),
    [anon_sym_if] = ACTIONS(1203),
    [anon_sym_else] = ACTIONS(1203),
    [anon_sym_switch] = ACTIONS(1203),
    [anon_sym_case] = ACTIONS(1203),
    [anon_sym_default] = ACTIONS(1203),
    [anon_sym_while] = ACTIONS(1203),
    [anon_sym_do] = ACTIONS(1203),
    [anon_sym_for] = ACTIONS(1203),
    [anon_sym_return] = ACTIONS(1203),
    [anon_sym_break] = ACTIONS(1203),
    [anon_sym_continue] = ACTIONS(1203),
    [anon_sym_goto] = ACTIONS(1203),
    [anon_sym___try] = ACTIONS(1203),
    [anon_sym___leave] = ACTIONS(1203),
    [anon_sym_DASH_DASH] = ACTIONS(1205),
    [anon_sym_PLUS_PLUS] = ACTIONS(1205),
    [anon_sym_sizeof] = ACTIONS(1203),
    [anon_sym___alignof__] = ACTIONS(1203),
    [anon_sym___alignof] = ACTIONS(1203),
    [anon_sym__alignof] = ACTIONS(1203),
    [anon_sym_alignof] = ACTIONS(1203),
    [anon_sym__Alignof] = ACTIONS(1203),
    [anon_sym_offsetof] = ACTIONS(1203),
    [anon_sym__Generic] = ACTIONS(1203),
    [anon_sym_asm] = ACTIONS(1203),
    [anon_sym___asm__] = ACTIONS(1203),
    [sym_number_literal] = ACTIONS(1205),
    [anon_sym_L_SQUOTE] = ACTIONS(1205),
    [anon_sym_u_SQUOTE] = ACTIONS(1205),
    [anon_sym_U_SQUOTE] = ACTIONS(1205),
    [anon_sym_u8_SQUOTE] = ACTIONS(1205),
    [anon_sym_SQUOTE] = ACTIONS(1205),
    [anon_sym_L_DQUOTE] = ACTIONS(1205),
    [anon_sym_u_DQUOTE] = ACTIONS(1205),
    [anon_sym_U_DQUOTE] = ACTIONS(1205),
    [anon_sym_u8_DQUOTE] = ACTIONS(1205),
    [anon_sym_DQUOTE] = ACTIONS(1205),
    [sym_true] = ACTIONS(1203),
    [sym_false] = ACTIONS(1203),
    [anon_sym_NULL] = ACTIONS(1203),
    [anon_sym_nullptr] = ACTIONS(1203),
    [sym_comment] = ACTIONS(3),
  },
  [202] = {
    [sym_identifier] = ACTIONS(1203),
    [aux_sym_preproc_include_token1] = ACTIONS(1203),
    [aux_sym_preproc_def_token1] = ACTIONS(1203),
    [aux_sym_preproc_if_token1] = ACTIONS(1203),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1203),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1203),
    [sym_preproc_directive] = ACTIONS(1203),
    [anon_sym_LPAREN2] = ACTIONS(1205),
    [anon_sym_BANG] = ACTIONS(1205),
    [anon_sym_TILDE] = ACTIONS(1205),
    [anon_sym_DASH] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(1203),
    [anon_sym_STAR] = ACTIONS(1205),
    [anon_sym_AMP] = ACTIONS(1205),
    [anon_sym_SEMI] = ACTIONS(1205),
    [anon_sym___extension__] = ACTIONS(1203),
    [anon_sym_typedef] = ACTIONS(1203),
    [anon_sym_extern] = ACTIONS(1203),
    [anon_sym___attribute__] = ACTIONS(1203),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1205),
    [anon_sym___declspec] = ACTIONS(1203),
    [anon_sym___cdecl] = ACTIONS(1203),
    [anon_sym___clrcall] = ACTIONS(1203),
    [anon_sym___stdcall] = ACTIONS(1203),
    [anon_sym___fastcall] = ACTIONS(1203),
    [anon_sym___thiscall] = ACTIONS(1203),
    [anon_sym___vectorcall] = ACTIONS(1203),
    [anon_sym_LBRACE] = ACTIONS(1205),
    [anon_sym_RBRACE] = ACTIONS(1205),
    [anon_sym_signed] = ACTIONS(1203),
    [anon_sym_unsigned] = ACTIONS(1203),
    [anon_sym_long] = ACTIONS(1203),
    [anon_sym_short] = ACTIONS(1203),
    [anon_sym_static] = ACTIONS(1203),
    [anon_sym_auto] = ACTIONS(1203),
    [anon_sym_register] = ACTIONS(1203),
    [anon_sym_inline] = ACTIONS(1203),
    [anon_sym___inline] = ACTIONS(1203),
    [anon_sym___inline__] = ACTIONS(1203),
    [anon_sym___forceinline] = ACTIONS(1203),
    [anon_sym_thread_local] = ACTIONS(1203),
    [anon_sym___thread] = ACTIONS(1203),
    [anon_sym_const] = ACTIONS(1203),
    [anon_sym_constexpr] = ACTIONS(1203),
    [anon_sym_volatile] = ACTIONS(1203),
    [anon_sym_restrict] = ACTIONS(1203),
    [anon_sym___restrict__] = ACTIONS(1203),
    [anon_sym__Atomic] = ACTIONS(1203),
    [anon_sym__Noreturn] = ACTIONS(1203),
    [anon_sym_noreturn] = ACTIONS(1203),
    [anon_sym_alignas] = ACTIONS(1203),
    [anon_sym__Alignas] = ACTIONS(1203),
    [sym_primitive_type] = ACTIONS(1203),
    [anon_sym_enum] = ACTIONS(1203),
    [anon_sym_struct] = ACTIONS(1203),
    [anon_sym_union] = ACTIONS(1203),
    [anon_sym_if] = ACTIONS(1203),
    [anon_sym_else] = ACTIONS(1203),
    [anon_sym_switch] = ACTIONS(1203),
    [anon_sym_case] = ACTIONS(1203),
    [anon_sym_default] = ACTIONS(1203),
    [anon_sym_while] = ACTIONS(1203),
    [anon_sym_do] = ACTIONS(1203),
    [anon_sym_for] = ACTIONS(1203),
    [anon_sym_return] = ACTIONS(1203),
    [anon_sym_break] = ACTIONS(1203),
    [anon_sym_continue] = ACTIONS(1203),
    [anon_sym_goto] = ACTIONS(1203),
    [anon_sym___try] = ACTIONS(1203),
    [anon_sym___leave] = ACTIONS(1203),
    [anon_sym_DASH_DASH] = ACTIONS(1205),
    [anon_sym_PLUS_PLUS] = ACTIONS(1205),
    [anon_sym_sizeof] = ACTIONS(1203),
    [anon_sym___alignof__] = ACTIONS(1203),
    [anon_sym___alignof] = ACTIONS(1203),
    [anon_sym__alignof] = ACTIONS(1203),
    [anon_sym_alignof] = ACTIONS(1203),
    [anon_sym__Alignof] = ACTIONS(1203),
    [anon_sym_offsetof] = ACTIONS(1203),
    [anon_sym__Generic] = ACTIONS(1203),
    [anon_sym_asm] = ACTIONS(1203),
    [anon_sym___asm__] = ACTIONS(1203),
    [sym_number_literal] = ACTIONS(1205),
    [anon_sym_L_SQUOTE] = ACTIONS(1205),
    [anon_sym_u_SQUOTE] = ACTIONS(1205),
    [anon_sym_U_SQUOTE] = ACTIONS(1205),
    [anon_sym_u8_SQUOTE] = ACTIONS(1205),
    [anon_sym_SQUOTE] = ACTIONS(1205),
    [anon_sym_L_DQUOTE] = ACTIONS(1205),
    [anon_sym_u_DQUOTE] = ACTIONS(1205),
    [anon_sym_U_DQUOTE] = ACTIONS(1205),
    [anon_sym_u8_DQUOTE] = ACTIONS(1205),
    [anon_sym_DQUOTE] = ACTIONS(1205),
    [sym_true] = ACTIONS(1203),
    [sym_false] = ACTIONS(1203),
    [anon_sym_NULL] = ACTIONS(1203),
    [anon_sym_nullptr] = ACTIONS(1203),
    [sym_comment] = ACTIONS(3),
  },
  [203] = {
    [sym_identifier] = ACTIONS(1167),
    [aux_sym_preproc_include_token1] = ACTIONS(1167),
    [aux_sym_preproc_def_token1] = ACTIONS(1167),
    [aux_sym_preproc_if_token1] = ACTIONS(1167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1167),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1167),
    [sym_preproc_directive] = ACTIONS(1167),
    [anon_sym_LPAREN2] = ACTIONS(1169),
    [anon_sym_BANG] = ACTIONS(1169),
    [anon_sym_TILDE] = ACTIONS(1169),
    [anon_sym_DASH] = ACTIONS(1167),
    [anon_sym_PLUS] = ACTIONS(1167),
    [anon_sym_STAR] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(1169),
    [anon_sym_SEMI] = ACTIONS(1169),
    [anon_sym___extension__] = ACTIONS(1167),
    [anon_sym_typedef] = ACTIONS(1167),
    [anon_sym_extern] = ACTIONS(1167),
    [anon_sym___attribute__] = ACTIONS(1167),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1169),
    [anon_sym___declspec] = ACTIONS(1167),
    [anon_sym___cdecl] = ACTIONS(1167),
    [anon_sym___clrcall] = ACTIONS(1167),
    [anon_sym___stdcall] = ACTIONS(1167),
    [anon_sym___fastcall] = ACTIONS(1167),
    [anon_sym___thiscall] = ACTIONS(1167),
    [anon_sym___vectorcall] = ACTIONS(1167),
    [anon_sym_LBRACE] = ACTIONS(1169),
    [anon_sym_RBRACE] = ACTIONS(1169),
    [anon_sym_signed] = ACTIONS(1167),
    [anon_sym_unsigned] = ACTIONS(1167),
    [anon_sym_long] = ACTIONS(1167),
    [anon_sym_short] = ACTIONS(1167),
    [anon_sym_static] = ACTIONS(1167),
    [anon_sym_auto] = ACTIONS(1167),
    [anon_sym_register] = ACTIONS(1167),
    [anon_sym_inline] = ACTIONS(1167),
    [anon_sym___inline] = ACTIONS(1167),
    [anon_sym___inline__] = ACTIONS(1167),
    [anon_sym___forceinline] = ACTIONS(1167),
    [anon_sym_thread_local] = ACTIONS(1167),
    [anon_sym___thread] = ACTIONS(1167),
    [anon_sym_const] = ACTIONS(1167),
    [anon_sym_constexpr] = ACTIONS(1167),
    [anon_sym_volatile] = ACTIONS(1167),
    [anon_sym_restrict] = ACTIONS(1167),
    [anon_sym___restrict__] = ACTIONS(1167),
    [anon_sym__Atomic] = ACTIONS(1167),
    [anon_sym__Noreturn] = ACTIONS(1167),
    [anon_sym_noreturn] = ACTIONS(1167),
    [anon_sym_alignas] = ACTIONS(1167),
    [anon_sym__Alignas] = ACTIONS(1167),
    [sym_primitive_type] = ACTIONS(1167),
    [anon_sym_enum] = ACTIONS(1167),
    [anon_sym_struct] = ACTIONS(1167),
    [anon_sym_union] = ACTIONS(1167),
    [anon_sym_if] = ACTIONS(1167),
    [anon_sym_else] = ACTIONS(1167),
    [anon_sym_switch] = ACTIONS(1167),
    [anon_sym_case] = ACTIONS(1167),
    [anon_sym_default] = ACTIONS(1167),
    [anon_sym_while] = ACTIONS(1167),
    [anon_sym_do] = ACTIONS(1167),
    [anon_sym_for] = ACTIONS(1167),
    [anon_sym_return] = ACTIONS(1167),
    [anon_sym_break] = ACTIONS(1167),
    [anon_sym_continue] = ACTIONS(1167),
    [anon_sym_goto] = ACTIONS(1167),
    [anon_sym___try] = ACTIONS(1167),
    [anon_sym___leave] = ACTIONS(1167),
    [anon_sym_DASH_DASH] = ACTIONS(1169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1169),
    [anon_sym_sizeof] = ACTIONS(1167),
    [anon_sym___alignof__] = ACTIONS(1167),
    [anon_sym___alignof] = ACTIONS(1167),
    [anon_sym__alignof] = ACTIONS(1167),
    [anon_sym_alignof] = ACTIONS(1167),
    [anon_sym__Alignof] = ACTIONS(1167),
    [anon_sym_offsetof] = ACTIONS(1167),
    [anon_sym__Generic] = ACTIONS(1167),
    [anon_sym_asm] = ACTIONS(1167),
    [anon_sym___asm__] = ACTIONS(1167),
    [sym_number_literal] = ACTIONS(1169),
    [anon_sym_L_SQUOTE] = ACTIONS(1169),
    [anon_sym_u_SQUOTE] = ACTIONS(1169),
    [anon_sym_U_SQUOTE] = ACTIONS(1169),
    [anon_sym_u8_SQUOTE] = ACTIONS(1169),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_L_DQUOTE] = ACTIONS(1169),
    [anon_sym_u_DQUOTE] = ACTIONS(1169),
    [anon_sym_U_DQUOTE] = ACTIONS(1169),
    [anon_sym_u8_DQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1169),
    [sym_true] = ACTIONS(1167),
    [sym_false] = ACTIONS(1167),
    [anon_sym_NULL] = ACTIONS(1167),
    [anon_sym_nullptr] = ACTIONS(1167),
    [sym_comment] = ACTIONS(3),
  },
  [204] = {
    [sym_identifier] = ACTIONS(1215),
    [aux_sym_preproc_include_token1] = ACTIONS(1215),
    [aux_sym_preproc_def_token1] = ACTIONS(1215),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_if_token2] = ACTIONS(1215),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1215),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1215),
    [sym_preproc_directive] = ACTIONS(1215),
    [anon_sym_LPAREN2] = ACTIONS(1217),
    [anon_sym_BANG] = ACTIONS(1217),
    [anon_sym_TILDE] = ACTIONS(1217),
    [anon_sym_DASH] = ACTIONS(1215),
    [anon_sym_PLUS] = ACTIONS(1215),
    [anon_sym_STAR] = ACTIONS(1217),
    [anon_sym_AMP] = ACTIONS(1217),
    [anon_sym_SEMI] = ACTIONS(1217),
    [anon_sym___extension__] = ACTIONS(1215),
    [anon_sym_typedef] = ACTIONS(1215),
    [anon_sym_extern] = ACTIONS(1215),
    [anon_sym___attribute__] = ACTIONS(1215),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1217),
    [anon_sym___declspec] = ACTIONS(1215),
    [anon_sym___cdecl] = ACTIONS(1215),
    [anon_sym___clrcall] = ACTIONS(1215),
    [anon_sym___stdcall] = ACTIONS(1215),
    [anon_sym___fastcall] = ACTIONS(1215),
    [anon_sym___thiscall] = ACTIONS(1215),
    [anon_sym___vectorcall] = ACTIONS(1215),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_signed] = ACTIONS(1215),
    [anon_sym_unsigned] = ACTIONS(1215),
    [anon_sym_long] = ACTIONS(1215),
    [anon_sym_short] = ACTIONS(1215),
    [anon_sym_static] = ACTIONS(1215),
    [anon_sym_auto] = ACTIONS(1215),
    [anon_sym_register] = ACTIONS(1215),
    [anon_sym_inline] = ACTIONS(1215),
    [anon_sym___inline] = ACTIONS(1215),
    [anon_sym___inline__] = ACTIONS(1215),
    [anon_sym___forceinline] = ACTIONS(1215),
    [anon_sym_thread_local] = ACTIONS(1215),
    [anon_sym___thread] = ACTIONS(1215),
    [anon_sym_const] = ACTIONS(1215),
    [anon_sym_constexpr] = ACTIONS(1215),
    [anon_sym_volatile] = ACTIONS(1215),
    [anon_sym_restrict] = ACTIONS(1215),
    [anon_sym___restrict__] = ACTIONS(1215),
    [anon_sym__Atomic] = ACTIONS(1215),
    [anon_sym__Noreturn] = ACTIONS(1215),
    [anon_sym_noreturn] = ACTIONS(1215),
    [anon_sym_alignas] = ACTIONS(1215),
    [anon_sym__Alignas] = ACTIONS(1215),
    [sym_primitive_type] = ACTIONS(1215),
    [anon_sym_enum] = ACTIONS(1215),
    [anon_sym_struct] = ACTIONS(1215),
    [anon_sym_union] = ACTIONS(1215),
    [anon_sym_if] = ACTIONS(1215),
    [anon_sym_else] = ACTIONS(1215),
    [anon_sym_switch] = ACTIONS(1215),
    [anon_sym_case] = ACTIONS(1215),
    [anon_sym_default] = ACTIONS(1215),
    [anon_sym_while] = ACTIONS(1215),
    [anon_sym_do] = ACTIONS(1215),
    [anon_sym_for] = ACTIONS(1215),
    [anon_sym_return] = ACTIONS(1215),
    [anon_sym_break] = ACTIONS(1215),
    [anon_sym_continue] = ACTIONS(1215),
    [anon_sym_goto] = ACTIONS(1215),
    [anon_sym___try] = ACTIONS(1215),
    [anon_sym___leave] = ACTIONS(1215),
    [anon_sym_DASH_DASH] = ACTIONS(1217),
    [anon_sym_PLUS_PLUS] = ACTIONS(1217),
    [anon_sym_sizeof] = ACTIONS(1215),
    [anon_sym___alignof__] = ACTIONS(1215),
    [anon_sym___alignof] = ACTIONS(1215),
    [anon_sym__alignof] = ACTIONS(1215),
    [anon_sym_alignof] = ACTIONS(1215),
    [anon_sym__Alignof] = ACTIONS(1215),
    [anon_sym_offsetof] = ACTIONS(1215),
    [anon_sym__Generic] = ACTIONS(1215),
    [anon_sym_asm] = ACTIONS(1215),
    [anon_sym___asm__] = ACTIONS(1215),
    [sym_number_literal] = ACTIONS(1217),
    [anon_sym_L_SQUOTE] = ACTIONS(1217),
    [anon_sym_u_SQUOTE] = ACTIONS(1217),
    [anon_sym_U_SQUOTE] = ACTIONS(1217),
    [anon_sym_u8_SQUOTE] = ACTIONS(1217),
    [anon_sym_SQUOTE] = ACTIONS(1217),
    [anon_sym_L_DQUOTE] = ACTIONS(1217),
    [anon_sym_u_DQUOTE] = ACTIONS(1217),
    [anon_sym_U_DQUOTE] = ACTIONS(1217),
    [anon_sym_u8_DQUOTE] = ACTIONS(1217),
    [anon_sym_DQUOTE] = ACTIONS(1217),
    [sym_true] = ACTIONS(1215),
    [sym_false] = ACTIONS(1215),
    [anon_sym_NULL] = ACTIONS(1215),
    [anon_sym_nullptr] = ACTIONS(1215),
    [sym_comment] = ACTIONS(3),
  },
  [205] = {
    [ts_builtin_sym_end] = ACTIONS(1185),
    [sym_identifier] = ACTIONS(1183),
    [aux_sym_preproc_include_token1] = ACTIONS(1183),
    [aux_sym_preproc_def_token1] = ACTIONS(1183),
    [aux_sym_preproc_if_token1] = ACTIONS(1183),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1183),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1183),
    [sym_preproc_directive] = ACTIONS(1183),
    [anon_sym_LPAREN2] = ACTIONS(1185),
    [anon_sym_BANG] = ACTIONS(1185),
    [anon_sym_TILDE] = ACTIONS(1185),
    [anon_sym_DASH] = ACTIONS(1183),
    [anon_sym_PLUS] = ACTIONS(1183),
    [anon_sym_STAR] = ACTIONS(1185),
    [anon_sym_AMP] = ACTIONS(1185),
    [anon_sym_SEMI] = ACTIONS(1185),
    [anon_sym___extension__] = ACTIONS(1183),
    [anon_sym_typedef] = ACTIONS(1183),
    [anon_sym_extern] = ACTIONS(1183),
    [anon_sym___attribute__] = ACTIONS(1183),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1185),
    [anon_sym___declspec] = ACTIONS(1183),
    [anon_sym___cdecl] = ACTIONS(1183),
    [anon_sym___clrcall] = ACTIONS(1183),
    [anon_sym___stdcall] = ACTIONS(1183),
    [anon_sym___fastcall] = ACTIONS(1183),
    [anon_sym___thiscall] = ACTIONS(1183),
    [anon_sym___vectorcall] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1185),
    [anon_sym_signed] = ACTIONS(1183),
    [anon_sym_unsigned] = ACTIONS(1183),
    [anon_sym_long] = ACTIONS(1183),
    [anon_sym_short] = ACTIONS(1183),
    [anon_sym_static] = ACTIONS(1183),
    [anon_sym_auto] = ACTIONS(1183),
    [anon_sym_register] = ACTIONS(1183),
    [anon_sym_inline] = ACTIONS(1183),
    [anon_sym___inline] = ACTIONS(1183),
    [anon_sym___inline__] = ACTIONS(1183),
    [anon_sym___forceinline] = ACTIONS(1183),
    [anon_sym_thread_local] = ACTIONS(1183),
    [anon_sym___thread] = ACTIONS(1183),
    [anon_sym_const] = ACTIONS(1183),
    [anon_sym_constexpr] = ACTIONS(1183),
    [anon_sym_volatile] = ACTIONS(1183),
    [anon_sym_restrict] = ACTIONS(1183),
    [anon_sym___restrict__] = ACTIONS(1183),
    [anon_sym__Atomic] = ACTIONS(1183),
    [anon_sym__Noreturn] = ACTIONS(1183),
    [anon_sym_noreturn] = ACTIONS(1183),
    [anon_sym_alignas] = ACTIONS(1183),
    [anon_sym__Alignas] = ACTIONS(1183),
    [sym_primitive_type] = ACTIONS(1183),
    [anon_sym_enum] = ACTIONS(1183),
    [anon_sym_struct] = ACTIONS(1183),
    [anon_sym_union] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(1183),
    [anon_sym_else] = ACTIONS(1183),
    [anon_sym_switch] = ACTIONS(1183),
    [anon_sym_case] = ACTIONS(1183),
    [anon_sym_default] = ACTIONS(1183),
    [anon_sym_while] = ACTIONS(1183),
    [anon_sym_do] = ACTIONS(1183),
    [anon_sym_for] = ACTIONS(1183),
    [anon_sym_return] = ACTIONS(1183),
    [anon_sym_break] = ACTIONS(1183),
    [anon_sym_continue] = ACTIONS(1183),
    [anon_sym_goto] = ACTIONS(1183),
    [anon_sym___try] = ACTIONS(1183),
    [anon_sym___leave] = ACTIONS(1183),
    [anon_sym_DASH_DASH] = ACTIONS(1185),
    [anon_sym_PLUS_PLUS] = ACTIONS(1185),
    [anon_sym_sizeof] = ACTIONS(1183),
    [anon_sym___alignof__] = ACTIONS(1183),
    [anon_sym___alignof] = ACTIONS(1183),
    [anon_sym__alignof] = ACTIONS(1183),
    [anon_sym_alignof] = ACTIONS(1183),
    [anon_sym__Alignof] = ACTIONS(1183),
    [anon_sym_offsetof] = ACTIONS(1183),
    [anon_sym__Generic] = ACTIONS(1183),
    [anon_sym_asm] = ACTIONS(1183),
    [anon_sym___asm__] = ACTIONS(1183),
    [sym_number_literal] = ACTIONS(1185),
    [anon_sym_L_SQUOTE] = ACTIONS(1185),
    [anon_sym_u_SQUOTE] = ACTIONS(1185),
    [anon_sym_U_SQUOTE] = ACTIONS(1185),
    [anon_sym_u8_SQUOTE] = ACTIONS(1185),
    [anon_sym_SQUOTE] = ACTIONS(1185),
    [anon_sym_L_DQUOTE] = ACTIONS(1185),
    [anon_sym_u_DQUOTE] = ACTIONS(1185),
    [anon_sym_U_DQUOTE] = ACTIONS(1185),
    [anon_sym_u8_DQUOTE] = ACTIONS(1185),
    [anon_sym_DQUOTE] = ACTIONS(1185),
    [sym_true] = ACTIONS(1183),
    [sym_false] = ACTIONS(1183),
    [anon_sym_NULL] = ACTIONS(1183),
    [anon_sym_nullptr] = ACTIONS(1183),
    [sym_comment] = ACTIONS(3),
  },
  [206] = {
    [sym_identifier] = ACTIONS(1195),
    [aux_sym_preproc_include_token1] = ACTIONS(1195),
    [aux_sym_preproc_def_token1] = ACTIONS(1195),
    [aux_sym_preproc_if_token1] = ACTIONS(1195),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1195),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1195),
    [sym_preproc_directive] = ACTIONS(1195),
    [anon_sym_LPAREN2] = ACTIONS(1197),
    [anon_sym_BANG] = ACTIONS(1197),
    [anon_sym_TILDE] = ACTIONS(1197),
    [anon_sym_DASH] = ACTIONS(1195),
    [anon_sym_PLUS] = ACTIONS(1195),
    [anon_sym_STAR] = ACTIONS(1197),
    [anon_sym_AMP] = ACTIONS(1197),
    [anon_sym_SEMI] = ACTIONS(1197),
    [anon_sym___extension__] = ACTIONS(1195),
    [anon_sym_typedef] = ACTIONS(1195),
    [anon_sym_extern] = ACTIONS(1195),
    [anon_sym___attribute__] = ACTIONS(1195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1197),
    [anon_sym___declspec] = ACTIONS(1195),
    [anon_sym___cdecl] = ACTIONS(1195),
    [anon_sym___clrcall] = ACTIONS(1195),
    [anon_sym___stdcall] = ACTIONS(1195),
    [anon_sym___fastcall] = ACTIONS(1195),
    [anon_sym___thiscall] = ACTIONS(1195),
    [anon_sym___vectorcall] = ACTIONS(1195),
    [anon_sym_LBRACE] = ACTIONS(1197),
    [anon_sym_RBRACE] = ACTIONS(1197),
    [anon_sym_signed] = ACTIONS(1195),
    [anon_sym_unsigned] = ACTIONS(1195),
    [anon_sym_long] = ACTIONS(1195),
    [anon_sym_short] = ACTIONS(1195),
    [anon_sym_static] = ACTIONS(1195),
    [anon_sym_auto] = ACTIONS(1195),
    [anon_sym_register] = ACTIONS(1195),
    [anon_sym_inline] = ACTIONS(1195),
    [anon_sym___inline] = ACTIONS(1195),
    [anon_sym___inline__] = ACTIONS(1195),
    [anon_sym___forceinline] = ACTIONS(1195),
    [anon_sym_thread_local] = ACTIONS(1195),
    [anon_sym___thread] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1195),
    [anon_sym_constexpr] = ACTIONS(1195),
    [anon_sym_volatile] = ACTIONS(1195),
    [anon_sym_restrict] = ACTIONS(1195),
    [anon_sym___restrict__] = ACTIONS(1195),
    [anon_sym__Atomic] = ACTIONS(1195),
    [anon_sym__Noreturn] = ACTIONS(1195),
    [anon_sym_noreturn] = ACTIONS(1195),
    [anon_sym_alignas] = ACTIONS(1195),
    [anon_sym__Alignas] = ACTIONS(1195),
    [sym_primitive_type] = ACTIONS(1195),
    [anon_sym_enum] = ACTIONS(1195),
    [anon_sym_struct] = ACTIONS(1195),
    [anon_sym_union] = ACTIONS(1195),
    [anon_sym_if] = ACTIONS(1195),
    [anon_sym_else] = ACTIONS(1195),
    [anon_sym_switch] = ACTIONS(1195),
    [anon_sym_case] = ACTIONS(1195),
    [anon_sym_default] = ACTIONS(1195),
    [anon_sym_while] = ACTIONS(1195),
    [anon_sym_do] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1195),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_break] = ACTIONS(1195),
    [anon_sym_continue] = ACTIONS(1195),
    [anon_sym_goto] = ACTIONS(1195),
    [anon_sym___try] = ACTIONS(1195),
    [anon_sym___leave] = ACTIONS(1195),
    [anon_sym_DASH_DASH] = ACTIONS(1197),
    [anon_sym_PLUS_PLUS] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1195),
    [anon_sym___alignof__] = ACTIONS(1195),
    [anon_sym___alignof] = ACTIONS(1195),
    [anon_sym__alignof] = ACTIONS(1195),
    [anon_sym_alignof] = ACTIONS(1195),
    [anon_sym__Alignof] = ACTIONS(1195),
    [anon_sym_offsetof] = ACTIONS(1195),
    [anon_sym__Generic] = ACTIONS(1195),
    [anon_sym_asm] = ACTIONS(1195),
    [anon_sym___asm__] = ACTIONS(1195),
    [sym_number_literal] = ACTIONS(1197),
    [anon_sym_L_SQUOTE] = ACTIONS(1197),
    [anon_sym_u_SQUOTE] = ACTIONS(1197),
    [anon_sym_U_SQUOTE] = ACTIONS(1197),
    [anon_sym_u8_SQUOTE] = ACTIONS(1197),
    [anon_sym_SQUOTE] = ACTIONS(1197),
    [anon_sym_L_DQUOTE] = ACTIONS(1197),
    [anon_sym_u_DQUOTE] = ACTIONS(1197),
    [anon_sym_U_DQUOTE] = ACTIONS(1197),
    [anon_sym_u8_DQUOTE] = ACTIONS(1197),
    [anon_sym_DQUOTE] = ACTIONS(1197),
    [sym_true] = ACTIONS(1195),
    [sym_false] = ACTIONS(1195),
    [anon_sym_NULL] = ACTIONS(1195),
    [anon_sym_nullptr] = ACTIONS(1195),
    [sym_comment] = ACTIONS(3),
  },
  [207] = {
    [ts_builtin_sym_end] = ACTIONS(1157),
    [sym_identifier] = ACTIONS(1155),
    [aux_sym_preproc_include_token1] = ACTIONS(1155),
    [aux_sym_preproc_def_token1] = ACTIONS(1155),
    [aux_sym_preproc_if_token1] = ACTIONS(1155),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1155),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1155),
    [sym_preproc_directive] = ACTIONS(1155),
    [anon_sym_LPAREN2] = ACTIONS(1157),
    [anon_sym_BANG] = ACTIONS(1157),
    [anon_sym_TILDE] = ACTIONS(1157),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_STAR] = ACTIONS(1157),
    [anon_sym_AMP] = ACTIONS(1157),
    [anon_sym_SEMI] = ACTIONS(1157),
    [anon_sym___extension__] = ACTIONS(1155),
    [anon_sym_typedef] = ACTIONS(1155),
    [anon_sym_extern] = ACTIONS(1155),
    [anon_sym___attribute__] = ACTIONS(1155),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1157),
    [anon_sym___declspec] = ACTIONS(1155),
    [anon_sym___cdecl] = ACTIONS(1155),
    [anon_sym___clrcall] = ACTIONS(1155),
    [anon_sym___stdcall] = ACTIONS(1155),
    [anon_sym___fastcall] = ACTIONS(1155),
    [anon_sym___thiscall] = ACTIONS(1155),
    [anon_sym___vectorcall] = ACTIONS(1155),
    [anon_sym_LBRACE] = ACTIONS(1157),
    [anon_sym_signed] = ACTIONS(1155),
    [anon_sym_unsigned] = ACTIONS(1155),
    [anon_sym_long] = ACTIONS(1155),
    [anon_sym_short] = ACTIONS(1155),
    [anon_sym_static] = ACTIONS(1155),
    [anon_sym_auto] = ACTIONS(1155),
    [anon_sym_register] = ACTIONS(1155),
    [anon_sym_inline] = ACTIONS(1155),
    [anon_sym___inline] = ACTIONS(1155),
    [anon_sym___inline__] = ACTIONS(1155),
    [anon_sym___forceinline] = ACTIONS(1155),
    [anon_sym_thread_local] = ACTIONS(1155),
    [anon_sym___thread] = ACTIONS(1155),
    [anon_sym_const] = ACTIONS(1155),
    [anon_sym_constexpr] = ACTIONS(1155),
    [anon_sym_volatile] = ACTIONS(1155),
    [anon_sym_restrict] = ACTIONS(1155),
    [anon_sym___restrict__] = ACTIONS(1155),
    [anon_sym__Atomic] = ACTIONS(1155),
    [anon_sym__Noreturn] = ACTIONS(1155),
    [anon_sym_noreturn] = ACTIONS(1155),
    [anon_sym_alignas] = ACTIONS(1155),
    [anon_sym__Alignas] = ACTIONS(1155),
    [sym_primitive_type] = ACTIONS(1155),
    [anon_sym_enum] = ACTIONS(1155),
    [anon_sym_struct] = ACTIONS(1155),
    [anon_sym_union] = ACTIONS(1155),
    [anon_sym_if] = ACTIONS(1155),
    [anon_sym_else] = ACTIONS(1155),
    [anon_sym_switch] = ACTIONS(1155),
    [anon_sym_case] = ACTIONS(1155),
    [anon_sym_default] = ACTIONS(1155),
    [anon_sym_while] = ACTIONS(1155),
    [anon_sym_do] = ACTIONS(1155),
    [anon_sym_for] = ACTIONS(1155),
    [anon_sym_return] = ACTIONS(1155),
    [anon_sym_break] = ACTIONS(1155),
    [anon_sym_continue] = ACTIONS(1155),
    [anon_sym_goto] = ACTIONS(1155),
    [anon_sym___try] = ACTIONS(1155),
    [anon_sym___leave] = ACTIONS(1155),
    [anon_sym_DASH_DASH] = ACTIONS(1157),
    [anon_sym_PLUS_PLUS] = ACTIONS(1157),
    [anon_sym_sizeof] = ACTIONS(1155),
    [anon_sym___alignof__] = ACTIONS(1155),
    [anon_sym___alignof] = ACTIONS(1155),
    [anon_sym__alignof] = ACTIONS(1155),
    [anon_sym_alignof] = ACTIONS(1155),
    [anon_sym__Alignof] = ACTIONS(1155),
    [anon_sym_offsetof] = ACTIONS(1155),
    [anon_sym__Generic] = ACTIONS(1155),
    [anon_sym_asm] = ACTIONS(1155),
    [anon_sym___asm__] = ACTIONS(1155),
    [sym_number_literal] = ACTIONS(1157),
    [anon_sym_L_SQUOTE] = ACTIONS(1157),
    [anon_sym_u_SQUOTE] = ACTIONS(1157),
    [anon_sym_U_SQUOTE] = ACTIONS(1157),
    [anon_sym_u8_SQUOTE] = ACTIONS(1157),
    [anon_sym_SQUOTE] = ACTIONS(1157),
    [anon_sym_L_DQUOTE] = ACTIONS(1157),
    [anon_sym_u_DQUOTE] = ACTIONS(1157),
    [anon_sym_U_DQUOTE] = ACTIONS(1157),
    [anon_sym_u8_DQUOTE] = ACTIONS(1157),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_true] = ACTIONS(1155),
    [sym_false] = ACTIONS(1155),
    [anon_sym_NULL] = ACTIONS(1155),
    [anon_sym_nullptr] = ACTIONS(1155),
    [sym_comment] = ACTIONS(3),
  },
  [208] = {
    [sym_identifier] = ACTIONS(1139),
    [aux_sym_preproc_include_token1] = ACTIONS(1139),
    [aux_sym_preproc_def_token1] = ACTIONS(1139),
    [aux_sym_preproc_if_token1] = ACTIONS(1139),
    [aux_sym_preproc_if_token2] = ACTIONS(1139),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1139),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1139),
    [sym_preproc_directive] = ACTIONS(1139),
    [anon_sym_LPAREN2] = ACTIONS(1141),
    [anon_sym_BANG] = ACTIONS(1141),
    [anon_sym_TILDE] = ACTIONS(1141),
    [anon_sym_DASH] = ACTIONS(1139),
    [anon_sym_PLUS] = ACTIONS(1139),
    [anon_sym_STAR] = ACTIONS(1141),
    [anon_sym_AMP] = ACTIONS(1141),
    [anon_sym_SEMI] = ACTIONS(1141),
    [anon_sym___extension__] = ACTIONS(1139),
    [anon_sym_typedef] = ACTIONS(1139),
    [anon_sym_extern] = ACTIONS(1139),
    [anon_sym___attribute__] = ACTIONS(1139),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1141),
    [anon_sym___declspec] = ACTIONS(1139),
    [anon_sym___cdecl] = ACTIONS(1139),
    [anon_sym___clrcall] = ACTIONS(1139),
    [anon_sym___stdcall] = ACTIONS(1139),
    [anon_sym___fastcall] = ACTIONS(1139),
    [anon_sym___thiscall] = ACTIONS(1139),
    [anon_sym___vectorcall] = ACTIONS(1139),
    [anon_sym_LBRACE] = ACTIONS(1141),
    [anon_sym_signed] = ACTIONS(1139),
    [anon_sym_unsigned] = ACTIONS(1139),
    [anon_sym_long] = ACTIONS(1139),
    [anon_sym_short] = ACTIONS(1139),
    [anon_sym_static] = ACTIONS(1139),
    [anon_sym_auto] = ACTIONS(1139),
    [anon_sym_register] = ACTIONS(1139),
    [anon_sym_inline] = ACTIONS(1139),
    [anon_sym___inline] = ACTIONS(1139),
    [anon_sym___inline__] = ACTIONS(1139),
    [anon_sym___forceinline] = ACTIONS(1139),
    [anon_sym_thread_local] = ACTIONS(1139),
    [anon_sym___thread] = ACTIONS(1139),
    [anon_sym_const] = ACTIONS(1139),
    [anon_sym_constexpr] = ACTIONS(1139),
    [anon_sym_volatile] = ACTIONS(1139),
    [anon_sym_restrict] = ACTIONS(1139),
    [anon_sym___restrict__] = ACTIONS(1139),
    [anon_sym__Atomic] = ACTIONS(1139),
    [anon_sym__Noreturn] = ACTIONS(1139),
    [anon_sym_noreturn] = ACTIONS(1139),
    [anon_sym_alignas] = ACTIONS(1139),
    [anon_sym__Alignas] = ACTIONS(1139),
    [sym_primitive_type] = ACTIONS(1139),
    [anon_sym_enum] = ACTIONS(1139),
    [anon_sym_struct] = ACTIONS(1139),
    [anon_sym_union] = ACTIONS(1139),
    [anon_sym_if] = ACTIONS(1139),
    [anon_sym_else] = ACTIONS(1139),
    [anon_sym_switch] = ACTIONS(1139),
    [anon_sym_case] = ACTIONS(1139),
    [anon_sym_default] = ACTIONS(1139),
    [anon_sym_while] = ACTIONS(1139),
    [anon_sym_do] = ACTIONS(1139),
    [anon_sym_for] = ACTIONS(1139),
    [anon_sym_return] = ACTIONS(1139),
    [anon_sym_break] = ACTIONS(1139),
    [anon_sym_continue] = ACTIONS(1139),
    [anon_sym_goto] = ACTIONS(1139),
    [anon_sym___try] = ACTIONS(1139),
    [anon_sym___leave] = ACTIONS(1139),
    [anon_sym_DASH_DASH] = ACTIONS(1141),
    [anon_sym_PLUS_PLUS] = ACTIONS(1141),
    [anon_sym_sizeof] = ACTIONS(1139),
    [anon_sym___alignof__] = ACTIONS(1139),
    [anon_sym___alignof] = ACTIONS(1139),
    [anon_sym__alignof] = ACTIONS(1139),
    [anon_sym_alignof] = ACTIONS(1139),
    [anon_sym__Alignof] = ACTIONS(1139),
    [anon_sym_offsetof] = ACTIONS(1139),
    [anon_sym__Generic] = ACTIONS(1139),
    [anon_sym_asm] = ACTIONS(1139),
    [anon_sym___asm__] = ACTIONS(1139),
    [sym_number_literal] = ACTIONS(1141),
    [anon_sym_L_SQUOTE] = ACTIONS(1141),
    [anon_sym_u_SQUOTE] = ACTIONS(1141),
    [anon_sym_U_SQUOTE] = ACTIONS(1141),
    [anon_sym_u8_SQUOTE] = ACTIONS(1141),
    [anon_sym_SQUOTE] = ACTIONS(1141),
    [anon_sym_L_DQUOTE] = ACTIONS(1141),
    [anon_sym_u_DQUOTE] = ACTIONS(1141),
    [anon_sym_U_DQUOTE] = ACTIONS(1141),
    [anon_sym_u8_DQUOTE] = ACTIONS(1141),
    [anon_sym_DQUOTE] = ACTIONS(1141),
    [sym_true] = ACTIONS(1139),
    [sym_false] = ACTIONS(1139),
    [anon_sym_NULL] = ACTIONS(1139),
    [anon_sym_nullptr] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
  },
  [209] = {
    [sym_identifier] = ACTIONS(1143),
    [aux_sym_preproc_include_token1] = ACTIONS(1143),
    [aux_sym_preproc_def_token1] = ACTIONS(1143),
    [aux_sym_preproc_if_token1] = ACTIONS(1143),
    [aux_sym_preproc_if_token2] = ACTIONS(1143),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1143),
    [sym_preproc_directive] = ACTIONS(1143),
    [anon_sym_LPAREN2] = ACTIONS(1145),
    [anon_sym_BANG] = ACTIONS(1145),
    [anon_sym_TILDE] = ACTIONS(1145),
    [anon_sym_DASH] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1143),
    [anon_sym_STAR] = ACTIONS(1145),
    [anon_sym_AMP] = ACTIONS(1145),
    [anon_sym_SEMI] = ACTIONS(1145),
    [anon_sym___extension__] = ACTIONS(1143),
    [anon_sym_typedef] = ACTIONS(1143),
    [anon_sym_extern] = ACTIONS(1143),
    [anon_sym___attribute__] = ACTIONS(1143),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1145),
    [anon_sym___declspec] = ACTIONS(1143),
    [anon_sym___cdecl] = ACTIONS(1143),
    [anon_sym___clrcall] = ACTIONS(1143),
    [anon_sym___stdcall] = ACTIONS(1143),
    [anon_sym___fastcall] = ACTIONS(1143),
    [anon_sym___thiscall] = ACTIONS(1143),
    [anon_sym___vectorcall] = ACTIONS(1143),
    [anon_sym_LBRACE] = ACTIONS(1145),
    [anon_sym_signed] = ACTIONS(1143),
    [anon_sym_unsigned] = ACTIONS(1143),
    [anon_sym_long] = ACTIONS(1143),
    [anon_sym_short] = ACTIONS(1143),
    [anon_sym_static] = ACTIONS(1143),
    [anon_sym_auto] = ACTIONS(1143),
    [anon_sym_register] = ACTIONS(1143),
    [anon_sym_inline] = ACTIONS(1143),
    [anon_sym___inline] = ACTIONS(1143),
    [anon_sym___inline__] = ACTIONS(1143),
    [anon_sym___forceinline] = ACTIONS(1143),
    [anon_sym_thread_local] = ACTIONS(1143),
    [anon_sym___thread] = ACTIONS(1143),
    [anon_sym_const] = ACTIONS(1143),
    [anon_sym_constexpr] = ACTIONS(1143),
    [anon_sym_volatile] = ACTIONS(1143),
    [anon_sym_restrict] = ACTIONS(1143),
    [anon_sym___restrict__] = ACTIONS(1143),
    [anon_sym__Atomic] = ACTIONS(1143),
    [anon_sym__Noreturn] = ACTIONS(1143),
    [anon_sym_noreturn] = ACTIONS(1143),
    [anon_sym_alignas] = ACTIONS(1143),
    [anon_sym__Alignas] = ACTIONS(1143),
    [sym_primitive_type] = ACTIONS(1143),
    [anon_sym_enum] = ACTIONS(1143),
    [anon_sym_struct] = ACTIONS(1143),
    [anon_sym_union] = ACTIONS(1143),
    [anon_sym_if] = ACTIONS(1143),
    [anon_sym_else] = ACTIONS(1143),
    [anon_sym_switch] = ACTIONS(1143),
    [anon_sym_case] = ACTIONS(1143),
    [anon_sym_default] = ACTIONS(1143),
    [anon_sym_while] = ACTIONS(1143),
    [anon_sym_do] = ACTIONS(1143),
    [anon_sym_for] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(1143),
    [anon_sym_break] = ACTIONS(1143),
    [anon_sym_continue] = ACTIONS(1143),
    [anon_sym_goto] = ACTIONS(1143),
    [anon_sym___try] = ACTIONS(1143),
    [anon_sym___leave] = ACTIONS(1143),
    [anon_sym_DASH_DASH] = ACTIONS(1145),
    [anon_sym_PLUS_PLUS] = ACTIONS(1145),
    [anon_sym_sizeof] = ACTIONS(1143),
    [anon_sym___alignof__] = ACTIONS(1143),
    [anon_sym___alignof] = ACTIONS(1143),
    [anon_sym__alignof] = ACTIONS(1143),
    [anon_sym_alignof] = ACTIONS(1143),
    [anon_sym__Alignof] = ACTIONS(1143),
    [anon_sym_offsetof] = ACTIONS(1143),
    [anon_sym__Generic] = ACTIONS(1143),
    [anon_sym_asm] = ACTIONS(1143),
    [anon_sym___asm__] = ACTIONS(1143),
    [sym_number_literal] = ACTIONS(1145),
    [anon_sym_L_SQUOTE] = ACTIONS(1145),
    [anon_sym_u_SQUOTE] = ACTIONS(1145),
    [anon_sym_U_SQUOTE] = ACTIONS(1145),
    [anon_sym_u8_SQUOTE] = ACTIONS(1145),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [anon_sym_L_DQUOTE] = ACTIONS(1145),
    [anon_sym_u_DQUOTE] = ACTIONS(1145),
    [anon_sym_U_DQUOTE] = ACTIONS(1145),
    [anon_sym_u8_DQUOTE] = ACTIONS(1145),
    [anon_sym_DQUOTE] = ACTIONS(1145),
    [sym_true] = ACTIONS(1143),
    [sym_false] = ACTIONS(1143),
    [anon_sym_NULL] = ACTIONS(1143),
    [anon_sym_nullptr] = ACTIONS(1143),
    [sym_comment] = ACTIONS(3),
  },
  [210] = {
    [ts_builtin_sym_end] = ACTIONS(1241),
    [sym_identifier] = ACTIONS(1239),
    [aux_sym_preproc_include_token1] = ACTIONS(1239),
    [aux_sym_preproc_def_token1] = ACTIONS(1239),
    [aux_sym_preproc_if_token1] = ACTIONS(1239),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1239),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1239),
    [sym_preproc_directive] = ACTIONS(1239),
    [anon_sym_LPAREN2] = ACTIONS(1241),
    [anon_sym_BANG] = ACTIONS(1241),
    [anon_sym_TILDE] = ACTIONS(1241),
    [anon_sym_DASH] = ACTIONS(1239),
    [anon_sym_PLUS] = ACTIONS(1239),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_AMP] = ACTIONS(1241),
    [anon_sym_SEMI] = ACTIONS(1241),
    [anon_sym___extension__] = ACTIONS(1239),
    [anon_sym_typedef] = ACTIONS(1239),
    [anon_sym_extern] = ACTIONS(1239),
    [anon_sym___attribute__] = ACTIONS(1239),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1241),
    [anon_sym___declspec] = ACTIONS(1239),
    [anon_sym___cdecl] = ACTIONS(1239),
    [anon_sym___clrcall] = ACTIONS(1239),
    [anon_sym___stdcall] = ACTIONS(1239),
    [anon_sym___fastcall] = ACTIONS(1239),
    [anon_sym___thiscall] = ACTIONS(1239),
    [anon_sym___vectorcall] = ACTIONS(1239),
    [anon_sym_LBRACE] = ACTIONS(1241),
    [anon_sym_signed] = ACTIONS(1239),
    [anon_sym_unsigned] = ACTIONS(1239),
    [anon_sym_long] = ACTIONS(1239),
    [anon_sym_short] = ACTIONS(1239),
    [anon_sym_static] = ACTIONS(1239),
    [anon_sym_auto] = ACTIONS(1239),
    [anon_sym_register] = ACTIONS(1239),
    [anon_sym_inline] = ACTIONS(1239),
    [anon_sym___inline] = ACTIONS(1239),
    [anon_sym___inline__] = ACTIONS(1239),
    [anon_sym___forceinline] = ACTIONS(1239),
    [anon_sym_thread_local] = ACTIONS(1239),
    [anon_sym___thread] = ACTIONS(1239),
    [anon_sym_const] = ACTIONS(1239),
    [anon_sym_constexpr] = ACTIONS(1239),
    [anon_sym_volatile] = ACTIONS(1239),
    [anon_sym_restrict] = ACTIONS(1239),
    [anon_sym___restrict__] = ACTIONS(1239),
    [anon_sym__Atomic] = ACTIONS(1239),
    [anon_sym__Noreturn] = ACTIONS(1239),
    [anon_sym_noreturn] = ACTIONS(1239),
    [anon_sym_alignas] = ACTIONS(1239),
    [anon_sym__Alignas] = ACTIONS(1239),
    [sym_primitive_type] = ACTIONS(1239),
    [anon_sym_enum] = ACTIONS(1239),
    [anon_sym_struct] = ACTIONS(1239),
    [anon_sym_union] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1239),
    [anon_sym_else] = ACTIONS(1239),
    [anon_sym_switch] = ACTIONS(1239),
    [anon_sym_case] = ACTIONS(1239),
    [anon_sym_default] = ACTIONS(1239),
    [anon_sym_while] = ACTIONS(1239),
    [anon_sym_do] = ACTIONS(1239),
    [anon_sym_for] = ACTIONS(1239),
    [anon_sym_return] = ACTIONS(1239),
    [anon_sym_break] = ACTIONS(1239),
    [anon_sym_continue] = ACTIONS(1239),
    [anon_sym_goto] = ACTIONS(1239),
    [anon_sym___try] = ACTIONS(1239),
    [anon_sym___leave] = ACTIONS(1239),
    [anon_sym_DASH_DASH] = ACTIONS(1241),
    [anon_sym_PLUS_PLUS] = ACTIONS(1241),
    [anon_sym_sizeof] = ACTIONS(1239),
    [anon_sym___alignof__] = ACTIONS(1239),
    [anon_sym___alignof] = ACTIONS(1239),
    [anon_sym__alignof] = ACTIONS(1239),
    [anon_sym_alignof] = ACTIONS(1239),
    [anon_sym__Alignof] = ACTIONS(1239),
    [anon_sym_offsetof] = ACTIONS(1239),
    [anon_sym__Generic] = ACTIONS(1239),
    [anon_sym_asm] = ACTIONS(1239),
    [anon_sym___asm__] = ACTIONS(1239),
    [sym_number_literal] = ACTIONS(1241),
    [anon_sym_L_SQUOTE] = ACTIONS(1241),
    [anon_sym_u_SQUOTE] = ACTIONS(1241),
    [anon_sym_U_SQUOTE] = ACTIONS(1241),
    [anon_sym_u8_SQUOTE] = ACTIONS(1241),
    [anon_sym_SQUOTE] = ACTIONS(1241),
    [anon_sym_L_DQUOTE] = ACTIONS(1241),
    [anon_sym_u_DQUOTE] = ACTIONS(1241),
    [anon_sym_U_DQUOTE] = ACTIONS(1241),
    [anon_sym_u8_DQUOTE] = ACTIONS(1241),
    [anon_sym_DQUOTE] = ACTIONS(1241),
    [sym_true] = ACTIONS(1239),
    [sym_false] = ACTIONS(1239),
    [anon_sym_NULL] = ACTIONS(1239),
    [anon_sym_nullptr] = ACTIONS(1239),
    [sym_comment] = ACTIONS(3),
  },
  [211] = {
    [sym_identifier] = ACTIONS(1219),
    [aux_sym_preproc_include_token1] = ACTIONS(1219),
    [aux_sym_preproc_def_token1] = ACTIONS(1219),
    [aux_sym_preproc_if_token1] = ACTIONS(1219),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1219),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1219),
    [sym_preproc_directive] = ACTIONS(1219),
    [anon_sym_LPAREN2] = ACTIONS(1221),
    [anon_sym_BANG] = ACTIONS(1221),
    [anon_sym_TILDE] = ACTIONS(1221),
    [anon_sym_DASH] = ACTIONS(1219),
    [anon_sym_PLUS] = ACTIONS(1219),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(1219),
    [anon_sym_typedef] = ACTIONS(1219),
    [anon_sym_extern] = ACTIONS(1219),
    [anon_sym___attribute__] = ACTIONS(1219),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1221),
    [anon_sym___declspec] = ACTIONS(1219),
    [anon_sym___cdecl] = ACTIONS(1219),
    [anon_sym___clrcall] = ACTIONS(1219),
    [anon_sym___stdcall] = ACTIONS(1219),
    [anon_sym___fastcall] = ACTIONS(1219),
    [anon_sym___thiscall] = ACTIONS(1219),
    [anon_sym___vectorcall] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1221),
    [anon_sym_RBRACE] = ACTIONS(1221),
    [anon_sym_signed] = ACTIONS(1219),
    [anon_sym_unsigned] = ACTIONS(1219),
    [anon_sym_long] = ACTIONS(1219),
    [anon_sym_short] = ACTIONS(1219),
    [anon_sym_static] = ACTIONS(1219),
    [anon_sym_auto] = ACTIONS(1219),
    [anon_sym_register] = ACTIONS(1219),
    [anon_sym_inline] = ACTIONS(1219),
    [anon_sym___inline] = ACTIONS(1219),
    [anon_sym___inline__] = ACTIONS(1219),
    [anon_sym___forceinline] = ACTIONS(1219),
    [anon_sym_thread_local] = ACTIONS(1219),
    [anon_sym___thread] = ACTIONS(1219),
    [anon_sym_const] = ACTIONS(1219),
    [anon_sym_constexpr] = ACTIONS(1219),
    [anon_sym_volatile] = ACTIONS(1219),
    [anon_sym_restrict] = ACTIONS(1219),
    [anon_sym___restrict__] = ACTIONS(1219),
    [anon_sym__Atomic] = ACTIONS(1219),
    [anon_sym__Noreturn] = ACTIONS(1219),
    [anon_sym_noreturn] = ACTIONS(1219),
    [anon_sym_alignas] = ACTIONS(1219),
    [anon_sym__Alignas] = ACTIONS(1219),
    [sym_primitive_type] = ACTIONS(1219),
    [anon_sym_enum] = ACTIONS(1219),
    [anon_sym_struct] = ACTIONS(1219),
    [anon_sym_union] = ACTIONS(1219),
    [anon_sym_if] = ACTIONS(1219),
    [anon_sym_else] = ACTIONS(1219),
    [anon_sym_switch] = ACTIONS(1219),
    [anon_sym_case] = ACTIONS(1219),
    [anon_sym_default] = ACTIONS(1219),
    [anon_sym_while] = ACTIONS(1219),
    [anon_sym_do] = ACTIONS(1219),
    [anon_sym_for] = ACTIONS(1219),
    [anon_sym_return] = ACTIONS(1219),
    [anon_sym_break] = ACTIONS(1219),
    [anon_sym_continue] = ACTIONS(1219),
    [anon_sym_goto] = ACTIONS(1219),
    [anon_sym___try] = ACTIONS(1219),
    [anon_sym___leave] = ACTIONS(1219),
    [anon_sym_DASH_DASH] = ACTIONS(1221),
    [anon_sym_PLUS_PLUS] = ACTIONS(1221),
    [anon_sym_sizeof] = ACTIONS(1219),
    [anon_sym___alignof__] = ACTIONS(1219),
    [anon_sym___alignof] = ACTIONS(1219),
    [anon_sym__alignof] = ACTIONS(1219),
    [anon_sym_alignof] = ACTIONS(1219),
    [anon_sym__Alignof] = ACTIONS(1219),
    [anon_sym_offsetof] = ACTIONS(1219),
    [anon_sym__Generic] = ACTIONS(1219),
    [anon_sym_asm] = ACTIONS(1219),
    [anon_sym___asm__] = ACTIONS(1219),
    [sym_number_literal] = ACTIONS(1221),
    [anon_sym_L_SQUOTE] = ACTIONS(1221),
    [anon_sym_u_SQUOTE] = ACTIONS(1221),
    [anon_sym_U_SQUOTE] = ACTIONS(1221),
    [anon_sym_u8_SQUOTE] = ACTIONS(1221),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_L_DQUOTE] = ACTIONS(1221),
    [anon_sym_u_DQUOTE] = ACTIONS(1221),
    [anon_sym_U_DQUOTE] = ACTIONS(1221),
    [anon_sym_u8_DQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1221),
    [sym_true] = ACTIONS(1219),
    [sym_false] = ACTIONS(1219),
    [anon_sym_NULL] = ACTIONS(1219),
    [anon_sym_nullptr] = ACTIONS(1219),
    [sym_comment] = ACTIONS(3),
  },
  [212] = {
    [sym_identifier] = ACTIONS(1239),
    [aux_sym_preproc_include_token1] = ACTIONS(1239),
    [aux_sym_preproc_def_token1] = ACTIONS(1239),
    [aux_sym_preproc_if_token1] = ACTIONS(1239),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1239),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1239),
    [sym_preproc_directive] = ACTIONS(1239),
    [anon_sym_LPAREN2] = ACTIONS(1241),
    [anon_sym_BANG] = ACTIONS(1241),
    [anon_sym_TILDE] = ACTIONS(1241),
    [anon_sym_DASH] = ACTIONS(1239),
    [anon_sym_PLUS] = ACTIONS(1239),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_AMP] = ACTIONS(1241),
    [anon_sym_SEMI] = ACTIONS(1241),
    [anon_sym___extension__] = ACTIONS(1239),
    [anon_sym_typedef] = ACTIONS(1239),
    [anon_sym_extern] = ACTIONS(1239),
    [anon_sym___attribute__] = ACTIONS(1239),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1241),
    [anon_sym___declspec] = ACTIONS(1239),
    [anon_sym___cdecl] = ACTIONS(1239),
    [anon_sym___clrcall] = ACTIONS(1239),
    [anon_sym___stdcall] = ACTIONS(1239),
    [anon_sym___fastcall] = ACTIONS(1239),
    [anon_sym___thiscall] = ACTIONS(1239),
    [anon_sym___vectorcall] = ACTIONS(1239),
    [anon_sym_LBRACE] = ACTIONS(1241),
    [anon_sym_RBRACE] = ACTIONS(1241),
    [anon_sym_signed] = ACTIONS(1239),
    [anon_sym_unsigned] = ACTIONS(1239),
    [anon_sym_long] = ACTIONS(1239),
    [anon_sym_short] = ACTIONS(1239),
    [anon_sym_static] = ACTIONS(1239),
    [anon_sym_auto] = ACTIONS(1239),
    [anon_sym_register] = ACTIONS(1239),
    [anon_sym_inline] = ACTIONS(1239),
    [anon_sym___inline] = ACTIONS(1239),
    [anon_sym___inline__] = ACTIONS(1239),
    [anon_sym___forceinline] = ACTIONS(1239),
    [anon_sym_thread_local] = ACTIONS(1239),
    [anon_sym___thread] = ACTIONS(1239),
    [anon_sym_const] = ACTIONS(1239),
    [anon_sym_constexpr] = ACTIONS(1239),
    [anon_sym_volatile] = ACTIONS(1239),
    [anon_sym_restrict] = ACTIONS(1239),
    [anon_sym___restrict__] = ACTIONS(1239),
    [anon_sym__Atomic] = ACTIONS(1239),
    [anon_sym__Noreturn] = ACTIONS(1239),
    [anon_sym_noreturn] = ACTIONS(1239),
    [anon_sym_alignas] = ACTIONS(1239),
    [anon_sym__Alignas] = ACTIONS(1239),
    [sym_primitive_type] = ACTIONS(1239),
    [anon_sym_enum] = ACTIONS(1239),
    [anon_sym_struct] = ACTIONS(1239),
    [anon_sym_union] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1239),
    [anon_sym_else] = ACTIONS(1239),
    [anon_sym_switch] = ACTIONS(1239),
    [anon_sym_case] = ACTIONS(1239),
    [anon_sym_default] = ACTIONS(1239),
    [anon_sym_while] = ACTIONS(1239),
    [anon_sym_do] = ACTIONS(1239),
    [anon_sym_for] = ACTIONS(1239),
    [anon_sym_return] = ACTIONS(1239),
    [anon_sym_break] = ACTIONS(1239),
    [anon_sym_continue] = ACTIONS(1239),
    [anon_sym_goto] = ACTIONS(1239),
    [anon_sym___try] = ACTIONS(1239),
    [anon_sym___leave] = ACTIONS(1239),
    [anon_sym_DASH_DASH] = ACTIONS(1241),
    [anon_sym_PLUS_PLUS] = ACTIONS(1241),
    [anon_sym_sizeof] = ACTIONS(1239),
    [anon_sym___alignof__] = ACTIONS(1239),
    [anon_sym___alignof] = ACTIONS(1239),
    [anon_sym__alignof] = ACTIONS(1239),
    [anon_sym_alignof] = ACTIONS(1239),
    [anon_sym__Alignof] = ACTIONS(1239),
    [anon_sym_offsetof] = ACTIONS(1239),
    [anon_sym__Generic] = ACTIONS(1239),
    [anon_sym_asm] = ACTIONS(1239),
    [anon_sym___asm__] = ACTIONS(1239),
    [sym_number_literal] = ACTIONS(1241),
    [anon_sym_L_SQUOTE] = ACTIONS(1241),
    [anon_sym_u_SQUOTE] = ACTIONS(1241),
    [anon_sym_U_SQUOTE] = ACTIONS(1241),
    [anon_sym_u8_SQUOTE] = ACTIONS(1241),
    [anon_sym_SQUOTE] = ACTIONS(1241),
    [anon_sym_L_DQUOTE] = ACTIONS(1241),
    [anon_sym_u_DQUOTE] = ACTIONS(1241),
    [anon_sym_U_DQUOTE] = ACTIONS(1241),
    [anon_sym_u8_DQUOTE] = ACTIONS(1241),
    [anon_sym_DQUOTE] = ACTIONS(1241),
    [sym_true] = ACTIONS(1239),
    [sym_false] = ACTIONS(1239),
    [anon_sym_NULL] = ACTIONS(1239),
    [anon_sym_nullptr] = ACTIONS(1239),
    [sym_comment] = ACTIONS(3),
  },
  [213] = {
    [sym_identifier] = ACTIONS(1147),
    [aux_sym_preproc_include_token1] = ACTIONS(1147),
    [aux_sym_preproc_def_token1] = ACTIONS(1147),
    [aux_sym_preproc_if_token1] = ACTIONS(1147),
    [aux_sym_preproc_if_token2] = ACTIONS(1147),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1147),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1147),
    [sym_preproc_directive] = ACTIONS(1147),
    [anon_sym_LPAREN2] = ACTIONS(1149),
    [anon_sym_BANG] = ACTIONS(1149),
    [anon_sym_TILDE] = ACTIONS(1149),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_STAR] = ACTIONS(1149),
    [anon_sym_AMP] = ACTIONS(1149),
    [anon_sym_SEMI] = ACTIONS(1149),
    [anon_sym___extension__] = ACTIONS(1147),
    [anon_sym_typedef] = ACTIONS(1147),
    [anon_sym_extern] = ACTIONS(1147),
    [anon_sym___attribute__] = ACTIONS(1147),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1149),
    [anon_sym___declspec] = ACTIONS(1147),
    [anon_sym___cdecl] = ACTIONS(1147),
    [anon_sym___clrcall] = ACTIONS(1147),
    [anon_sym___stdcall] = ACTIONS(1147),
    [anon_sym___fastcall] = ACTIONS(1147),
    [anon_sym___thiscall] = ACTIONS(1147),
    [anon_sym___vectorcall] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1149),
    [anon_sym_signed] = ACTIONS(1147),
    [anon_sym_unsigned] = ACTIONS(1147),
    [anon_sym_long] = ACTIONS(1147),
    [anon_sym_short] = ACTIONS(1147),
    [anon_sym_static] = ACTIONS(1147),
    [anon_sym_auto] = ACTIONS(1147),
    [anon_sym_register] = ACTIONS(1147),
    [anon_sym_inline] = ACTIONS(1147),
    [anon_sym___inline] = ACTIONS(1147),
    [anon_sym___inline__] = ACTIONS(1147),
    [anon_sym___forceinline] = ACTIONS(1147),
    [anon_sym_thread_local] = ACTIONS(1147),
    [anon_sym___thread] = ACTIONS(1147),
    [anon_sym_const] = ACTIONS(1147),
    [anon_sym_constexpr] = ACTIONS(1147),
    [anon_sym_volatile] = ACTIONS(1147),
    [anon_sym_restrict] = ACTIONS(1147),
    [anon_sym___restrict__] = ACTIONS(1147),
    [anon_sym__Atomic] = ACTIONS(1147),
    [anon_sym__Noreturn] = ACTIONS(1147),
    [anon_sym_noreturn] = ACTIONS(1147),
    [anon_sym_alignas] = ACTIONS(1147),
    [anon_sym__Alignas] = ACTIONS(1147),
    [sym_primitive_type] = ACTIONS(1147),
    [anon_sym_enum] = ACTIONS(1147),
    [anon_sym_struct] = ACTIONS(1147),
    [anon_sym_union] = ACTIONS(1147),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_else] = ACTIONS(1147),
    [anon_sym_switch] = ACTIONS(1147),
    [anon_sym_case] = ACTIONS(1147),
    [anon_sym_default] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(1147),
    [anon_sym_do] = ACTIONS(1147),
    [anon_sym_for] = ACTIONS(1147),
    [anon_sym_return] = ACTIONS(1147),
    [anon_sym_break] = ACTIONS(1147),
    [anon_sym_continue] = ACTIONS(1147),
    [anon_sym_goto] = ACTIONS(1147),
    [anon_sym___try] = ACTIONS(1147),
    [anon_sym___leave] = ACTIONS(1147),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_sizeof] = ACTIONS(1147),
    [anon_sym___alignof__] = ACTIONS(1147),
    [anon_sym___alignof] = ACTIONS(1147),
    [anon_sym__alignof] = ACTIONS(1147),
    [anon_sym_alignof] = ACTIONS(1147),
    [anon_sym__Alignof] = ACTIONS(1147),
    [anon_sym_offsetof] = ACTIONS(1147),
    [anon_sym__Generic] = ACTIONS(1147),
    [anon_sym_asm] = ACTIONS(1147),
    [anon_sym___asm__] = ACTIONS(1147),
    [sym_number_literal] = ACTIONS(1149),
    [anon_sym_L_SQUOTE] = ACTIONS(1149),
    [anon_sym_u_SQUOTE] = ACTIONS(1149),
    [anon_sym_U_SQUOTE] = ACTIONS(1149),
    [anon_sym_u8_SQUOTE] = ACTIONS(1149),
    [anon_sym_SQUOTE] = ACTIONS(1149),
    [anon_sym_L_DQUOTE] = ACTIONS(1149),
    [anon_sym_u_DQUOTE] = ACTIONS(1149),
    [anon_sym_U_DQUOTE] = ACTIONS(1149),
    [anon_sym_u8_DQUOTE] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(1149),
    [sym_true] = ACTIONS(1147),
    [sym_false] = ACTIONS(1147),
    [anon_sym_NULL] = ACTIONS(1147),
    [anon_sym_nullptr] = ACTIONS(1147),
    [sym_comment] = ACTIONS(3),
  },
  [214] = {
    [sym_identifier] = ACTIONS(1163),
    [aux_sym_preproc_include_token1] = ACTIONS(1163),
    [aux_sym_preproc_def_token1] = ACTIONS(1163),
    [aux_sym_preproc_if_token1] = ACTIONS(1163),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1163),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1163),
    [sym_preproc_directive] = ACTIONS(1163),
    [anon_sym_LPAREN2] = ACTIONS(1165),
    [anon_sym_BANG] = ACTIONS(1165),
    [anon_sym_TILDE] = ACTIONS(1165),
    [anon_sym_DASH] = ACTIONS(1163),
    [anon_sym_PLUS] = ACTIONS(1163),
    [anon_sym_STAR] = ACTIONS(1165),
    [anon_sym_AMP] = ACTIONS(1165),
    [anon_sym_SEMI] = ACTIONS(1165),
    [anon_sym___extension__] = ACTIONS(1163),
    [anon_sym_typedef] = ACTIONS(1163),
    [anon_sym_extern] = ACTIONS(1163),
    [anon_sym___attribute__] = ACTIONS(1163),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1165),
    [anon_sym___declspec] = ACTIONS(1163),
    [anon_sym___cdecl] = ACTIONS(1163),
    [anon_sym___clrcall] = ACTIONS(1163),
    [anon_sym___stdcall] = ACTIONS(1163),
    [anon_sym___fastcall] = ACTIONS(1163),
    [anon_sym___thiscall] = ACTIONS(1163),
    [anon_sym___vectorcall] = ACTIONS(1163),
    [anon_sym_LBRACE] = ACTIONS(1165),
    [anon_sym_RBRACE] = ACTIONS(1165),
    [anon_sym_signed] = ACTIONS(1163),
    [anon_sym_unsigned] = ACTIONS(1163),
    [anon_sym_long] = ACTIONS(1163),
    [anon_sym_short] = ACTIONS(1163),
    [anon_sym_static] = ACTIONS(1163),
    [anon_sym_auto] = ACTIONS(1163),
    [anon_sym_register] = ACTIONS(1163),
    [anon_sym_inline] = ACTIONS(1163),
    [anon_sym___inline] = ACTIONS(1163),
    [anon_sym___inline__] = ACTIONS(1163),
    [anon_sym___forceinline] = ACTIONS(1163),
    [anon_sym_thread_local] = ACTIONS(1163),
    [anon_sym___thread] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1163),
    [anon_sym_constexpr] = ACTIONS(1163),
    [anon_sym_volatile] = ACTIONS(1163),
    [anon_sym_restrict] = ACTIONS(1163),
    [anon_sym___restrict__] = ACTIONS(1163),
    [anon_sym__Atomic] = ACTIONS(1163),
    [anon_sym__Noreturn] = ACTIONS(1163),
    [anon_sym_noreturn] = ACTIONS(1163),
    [anon_sym_alignas] = ACTIONS(1163),
    [anon_sym__Alignas] = ACTIONS(1163),
    [sym_primitive_type] = ACTIONS(1163),
    [anon_sym_enum] = ACTIONS(1163),
    [anon_sym_struct] = ACTIONS(1163),
    [anon_sym_union] = ACTIONS(1163),
    [anon_sym_if] = ACTIONS(1163),
    [anon_sym_else] = ACTIONS(1163),
    [anon_sym_switch] = ACTIONS(1163),
    [anon_sym_case] = ACTIONS(1163),
    [anon_sym_default] = ACTIONS(1163),
    [anon_sym_while] = ACTIONS(1163),
    [anon_sym_do] = ACTIONS(1163),
    [anon_sym_for] = ACTIONS(1163),
    [anon_sym_return] = ACTIONS(1163),
    [anon_sym_break] = ACTIONS(1163),
    [anon_sym_continue] = ACTIONS(1163),
    [anon_sym_goto] = ACTIONS(1163),
    [anon_sym___try] = ACTIONS(1163),
    [anon_sym___leave] = ACTIONS(1163),
    [anon_sym_DASH_DASH] = ACTIONS(1165),
    [anon_sym_PLUS_PLUS] = ACTIONS(1165),
    [anon_sym_sizeof] = ACTIONS(1163),
    [anon_sym___alignof__] = ACTIONS(1163),
    [anon_sym___alignof] = ACTIONS(1163),
    [anon_sym__alignof] = ACTIONS(1163),
    [anon_sym_alignof] = ACTIONS(1163),
    [anon_sym__Alignof] = ACTIONS(1163),
    [anon_sym_offsetof] = ACTIONS(1163),
    [anon_sym__Generic] = ACTIONS(1163),
    [anon_sym_asm] = ACTIONS(1163),
    [anon_sym___asm__] = ACTIONS(1163),
    [sym_number_literal] = ACTIONS(1165),
    [anon_sym_L_SQUOTE] = ACTIONS(1165),
    [anon_sym_u_SQUOTE] = ACTIONS(1165),
    [anon_sym_U_SQUOTE] = ACTIONS(1165),
    [anon_sym_u8_SQUOTE] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1165),
    [anon_sym_L_DQUOTE] = ACTIONS(1165),
    [anon_sym_u_DQUOTE] = ACTIONS(1165),
    [anon_sym_U_DQUOTE] = ACTIONS(1165),
    [anon_sym_u8_DQUOTE] = ACTIONS(1165),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [sym_true] = ACTIONS(1163),
    [sym_false] = ACTIONS(1163),
    [anon_sym_NULL] = ACTIONS(1163),
    [anon_sym_nullptr] = ACTIONS(1163),
    [sym_comment] = ACTIONS(3),
  },
  [215] = {
    [ts_builtin_sym_end] = ACTIONS(1197),
    [sym_identifier] = ACTIONS(1195),
    [aux_sym_preproc_include_token1] = ACTIONS(1195),
    [aux_sym_preproc_def_token1] = ACTIONS(1195),
    [aux_sym_preproc_if_token1] = ACTIONS(1195),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1195),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1195),
    [sym_preproc_directive] = ACTIONS(1195),
    [anon_sym_LPAREN2] = ACTIONS(1197),
    [anon_sym_BANG] = ACTIONS(1197),
    [anon_sym_TILDE] = ACTIONS(1197),
    [anon_sym_DASH] = ACTIONS(1195),
    [anon_sym_PLUS] = ACTIONS(1195),
    [anon_sym_STAR] = ACTIONS(1197),
    [anon_sym_AMP] = ACTIONS(1197),
    [anon_sym_SEMI] = ACTIONS(1197),
    [anon_sym___extension__] = ACTIONS(1195),
    [anon_sym_typedef] = ACTIONS(1195),
    [anon_sym_extern] = ACTIONS(1195),
    [anon_sym___attribute__] = ACTIONS(1195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1197),
    [anon_sym___declspec] = ACTIONS(1195),
    [anon_sym___cdecl] = ACTIONS(1195),
    [anon_sym___clrcall] = ACTIONS(1195),
    [anon_sym___stdcall] = ACTIONS(1195),
    [anon_sym___fastcall] = ACTIONS(1195),
    [anon_sym___thiscall] = ACTIONS(1195),
    [anon_sym___vectorcall] = ACTIONS(1195),
    [anon_sym_LBRACE] = ACTIONS(1197),
    [anon_sym_signed] = ACTIONS(1195),
    [anon_sym_unsigned] = ACTIONS(1195),
    [anon_sym_long] = ACTIONS(1195),
    [anon_sym_short] = ACTIONS(1195),
    [anon_sym_static] = ACTIONS(1195),
    [anon_sym_auto] = ACTIONS(1195),
    [anon_sym_register] = ACTIONS(1195),
    [anon_sym_inline] = ACTIONS(1195),
    [anon_sym___inline] = ACTIONS(1195),
    [anon_sym___inline__] = ACTIONS(1195),
    [anon_sym___forceinline] = ACTIONS(1195),
    [anon_sym_thread_local] = ACTIONS(1195),
    [anon_sym___thread] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1195),
    [anon_sym_constexpr] = ACTIONS(1195),
    [anon_sym_volatile] = ACTIONS(1195),
    [anon_sym_restrict] = ACTIONS(1195),
    [anon_sym___restrict__] = ACTIONS(1195),
    [anon_sym__Atomic] = ACTIONS(1195),
    [anon_sym__Noreturn] = ACTIONS(1195),
    [anon_sym_noreturn] = ACTIONS(1195),
    [anon_sym_alignas] = ACTIONS(1195),
    [anon_sym__Alignas] = ACTIONS(1195),
    [sym_primitive_type] = ACTIONS(1195),
    [anon_sym_enum] = ACTIONS(1195),
    [anon_sym_struct] = ACTIONS(1195),
    [anon_sym_union] = ACTIONS(1195),
    [anon_sym_if] = ACTIONS(1195),
    [anon_sym_else] = ACTIONS(1195),
    [anon_sym_switch] = ACTIONS(1195),
    [anon_sym_case] = ACTIONS(1195),
    [anon_sym_default] = ACTIONS(1195),
    [anon_sym_while] = ACTIONS(1195),
    [anon_sym_do] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1195),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_break] = ACTIONS(1195),
    [anon_sym_continue] = ACTIONS(1195),
    [anon_sym_goto] = ACTIONS(1195),
    [anon_sym___try] = ACTIONS(1195),
    [anon_sym___leave] = ACTIONS(1195),
    [anon_sym_DASH_DASH] = ACTIONS(1197),
    [anon_sym_PLUS_PLUS] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1195),
    [anon_sym___alignof__] = ACTIONS(1195),
    [anon_sym___alignof] = ACTIONS(1195),
    [anon_sym__alignof] = ACTIONS(1195),
    [anon_sym_alignof] = ACTIONS(1195),
    [anon_sym__Alignof] = ACTIONS(1195),
    [anon_sym_offsetof] = ACTIONS(1195),
    [anon_sym__Generic] = ACTIONS(1195),
    [anon_sym_asm] = ACTIONS(1195),
    [anon_sym___asm__] = ACTIONS(1195),
    [sym_number_literal] = ACTIONS(1197),
    [anon_sym_L_SQUOTE] = ACTIONS(1197),
    [anon_sym_u_SQUOTE] = ACTIONS(1197),
    [anon_sym_U_SQUOTE] = ACTIONS(1197),
    [anon_sym_u8_SQUOTE] = ACTIONS(1197),
    [anon_sym_SQUOTE] = ACTIONS(1197),
    [anon_sym_L_DQUOTE] = ACTIONS(1197),
    [anon_sym_u_DQUOTE] = ACTIONS(1197),
    [anon_sym_U_DQUOTE] = ACTIONS(1197),
    [anon_sym_u8_DQUOTE] = ACTIONS(1197),
    [anon_sym_DQUOTE] = ACTIONS(1197),
    [sym_true] = ACTIONS(1195),
    [sym_false] = ACTIONS(1195),
    [anon_sym_NULL] = ACTIONS(1195),
    [anon_sym_nullptr] = ACTIONS(1195),
    [sym_comment] = ACTIONS(3),
  },
  [216] = {
    [sym_identifier] = ACTIONS(1183),
    [aux_sym_preproc_include_token1] = ACTIONS(1183),
    [aux_sym_preproc_def_token1] = ACTIONS(1183),
    [aux_sym_preproc_if_token1] = ACTIONS(1183),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1183),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1183),
    [sym_preproc_directive] = ACTIONS(1183),
    [anon_sym_LPAREN2] = ACTIONS(1185),
    [anon_sym_BANG] = ACTIONS(1185),
    [anon_sym_TILDE] = ACTIONS(1185),
    [anon_sym_DASH] = ACTIONS(1183),
    [anon_sym_PLUS] = ACTIONS(1183),
    [anon_sym_STAR] = ACTIONS(1185),
    [anon_sym_AMP] = ACTIONS(1185),
    [anon_sym_SEMI] = ACTIONS(1185),
    [anon_sym___extension__] = ACTIONS(1183),
    [anon_sym_typedef] = ACTIONS(1183),
    [anon_sym_extern] = ACTIONS(1183),
    [anon_sym___attribute__] = ACTIONS(1183),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1185),
    [anon_sym___declspec] = ACTIONS(1183),
    [anon_sym___cdecl] = ACTIONS(1183),
    [anon_sym___clrcall] = ACTIONS(1183),
    [anon_sym___stdcall] = ACTIONS(1183),
    [anon_sym___fastcall] = ACTIONS(1183),
    [anon_sym___thiscall] = ACTIONS(1183),
    [anon_sym___vectorcall] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1185),
    [anon_sym_RBRACE] = ACTIONS(1185),
    [anon_sym_signed] = ACTIONS(1183),
    [anon_sym_unsigned] = ACTIONS(1183),
    [anon_sym_long] = ACTIONS(1183),
    [anon_sym_short] = ACTIONS(1183),
    [anon_sym_static] = ACTIONS(1183),
    [anon_sym_auto] = ACTIONS(1183),
    [anon_sym_register] = ACTIONS(1183),
    [anon_sym_inline] = ACTIONS(1183),
    [anon_sym___inline] = ACTIONS(1183),
    [anon_sym___inline__] = ACTIONS(1183),
    [anon_sym___forceinline] = ACTIONS(1183),
    [anon_sym_thread_local] = ACTIONS(1183),
    [anon_sym___thread] = ACTIONS(1183),
    [anon_sym_const] = ACTIONS(1183),
    [anon_sym_constexpr] = ACTIONS(1183),
    [anon_sym_volatile] = ACTIONS(1183),
    [anon_sym_restrict] = ACTIONS(1183),
    [anon_sym___restrict__] = ACTIONS(1183),
    [anon_sym__Atomic] = ACTIONS(1183),
    [anon_sym__Noreturn] = ACTIONS(1183),
    [anon_sym_noreturn] = ACTIONS(1183),
    [anon_sym_alignas] = ACTIONS(1183),
    [anon_sym__Alignas] = ACTIONS(1183),
    [sym_primitive_type] = ACTIONS(1183),
    [anon_sym_enum] = ACTIONS(1183),
    [anon_sym_struct] = ACTIONS(1183),
    [anon_sym_union] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(1183),
    [anon_sym_else] = ACTIONS(1183),
    [anon_sym_switch] = ACTIONS(1183),
    [anon_sym_case] = ACTIONS(1183),
    [anon_sym_default] = ACTIONS(1183),
    [anon_sym_while] = ACTIONS(1183),
    [anon_sym_do] = ACTIONS(1183),
    [anon_sym_for] = ACTIONS(1183),
    [anon_sym_return] = ACTIONS(1183),
    [anon_sym_break] = ACTIONS(1183),
    [anon_sym_continue] = ACTIONS(1183),
    [anon_sym_goto] = ACTIONS(1183),
    [anon_sym___try] = ACTIONS(1183),
    [anon_sym___leave] = ACTIONS(1183),
    [anon_sym_DASH_DASH] = ACTIONS(1185),
    [anon_sym_PLUS_PLUS] = ACTIONS(1185),
    [anon_sym_sizeof] = ACTIONS(1183),
    [anon_sym___alignof__] = ACTIONS(1183),
    [anon_sym___alignof] = ACTIONS(1183),
    [anon_sym__alignof] = ACTIONS(1183),
    [anon_sym_alignof] = ACTIONS(1183),
    [anon_sym__Alignof] = ACTIONS(1183),
    [anon_sym_offsetof] = ACTIONS(1183),
    [anon_sym__Generic] = ACTIONS(1183),
    [anon_sym_asm] = ACTIONS(1183),
    [anon_sym___asm__] = ACTIONS(1183),
    [sym_number_literal] = ACTIONS(1185),
    [anon_sym_L_SQUOTE] = ACTIONS(1185),
    [anon_sym_u_SQUOTE] = ACTIONS(1185),
    [anon_sym_U_SQUOTE] = ACTIONS(1185),
    [anon_sym_u8_SQUOTE] = ACTIONS(1185),
    [anon_sym_SQUOTE] = ACTIONS(1185),
    [anon_sym_L_DQUOTE] = ACTIONS(1185),
    [anon_sym_u_DQUOTE] = ACTIONS(1185),
    [anon_sym_U_DQUOTE] = ACTIONS(1185),
    [anon_sym_u8_DQUOTE] = ACTIONS(1185),
    [anon_sym_DQUOTE] = ACTIONS(1185),
    [sym_true] = ACTIONS(1183),
    [sym_false] = ACTIONS(1183),
    [anon_sym_NULL] = ACTIONS(1183),
    [anon_sym_nullptr] = ACTIONS(1183),
    [sym_comment] = ACTIONS(3),
  },
  [217] = {
    [sym_identifier] = ACTIONS(1151),
    [aux_sym_preproc_include_token1] = ACTIONS(1151),
    [aux_sym_preproc_def_token1] = ACTIONS(1151),
    [aux_sym_preproc_if_token1] = ACTIONS(1151),
    [aux_sym_preproc_if_token2] = ACTIONS(1151),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1151),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1151),
    [sym_preproc_directive] = ACTIONS(1151),
    [anon_sym_LPAREN2] = ACTIONS(1153),
    [anon_sym_BANG] = ACTIONS(1153),
    [anon_sym_TILDE] = ACTIONS(1153),
    [anon_sym_DASH] = ACTIONS(1151),
    [anon_sym_PLUS] = ACTIONS(1151),
    [anon_sym_STAR] = ACTIONS(1153),
    [anon_sym_AMP] = ACTIONS(1153),
    [anon_sym_SEMI] = ACTIONS(1153),
    [anon_sym___extension__] = ACTIONS(1151),
    [anon_sym_typedef] = ACTIONS(1151),
    [anon_sym_extern] = ACTIONS(1151),
    [anon_sym___attribute__] = ACTIONS(1151),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1153),
    [anon_sym___declspec] = ACTIONS(1151),
    [anon_sym___cdecl] = ACTIONS(1151),
    [anon_sym___clrcall] = ACTIONS(1151),
    [anon_sym___stdcall] = ACTIONS(1151),
    [anon_sym___fastcall] = ACTIONS(1151),
    [anon_sym___thiscall] = ACTIONS(1151),
    [anon_sym___vectorcall] = ACTIONS(1151),
    [anon_sym_LBRACE] = ACTIONS(1153),
    [anon_sym_signed] = ACTIONS(1151),
    [anon_sym_unsigned] = ACTIONS(1151),
    [anon_sym_long] = ACTIONS(1151),
    [anon_sym_short] = ACTIONS(1151),
    [anon_sym_static] = ACTIONS(1151),
    [anon_sym_auto] = ACTIONS(1151),
    [anon_sym_register] = ACTIONS(1151),
    [anon_sym_inline] = ACTIONS(1151),
    [anon_sym___inline] = ACTIONS(1151),
    [anon_sym___inline__] = ACTIONS(1151),
    [anon_sym___forceinline] = ACTIONS(1151),
    [anon_sym_thread_local] = ACTIONS(1151),
    [anon_sym___thread] = ACTIONS(1151),
    [anon_sym_const] = ACTIONS(1151),
    [anon_sym_constexpr] = ACTIONS(1151),
    [anon_sym_volatile] = ACTIONS(1151),
    [anon_sym_restrict] = ACTIONS(1151),
    [anon_sym___restrict__] = ACTIONS(1151),
    [anon_sym__Atomic] = ACTIONS(1151),
    [anon_sym__Noreturn] = ACTIONS(1151),
    [anon_sym_noreturn] = ACTIONS(1151),
    [anon_sym_alignas] = ACTIONS(1151),
    [anon_sym__Alignas] = ACTIONS(1151),
    [sym_primitive_type] = ACTIONS(1151),
    [anon_sym_enum] = ACTIONS(1151),
    [anon_sym_struct] = ACTIONS(1151),
    [anon_sym_union] = ACTIONS(1151),
    [anon_sym_if] = ACTIONS(1151),
    [anon_sym_else] = ACTIONS(1151),
    [anon_sym_switch] = ACTIONS(1151),
    [anon_sym_case] = ACTIONS(1151),
    [anon_sym_default] = ACTIONS(1151),
    [anon_sym_while] = ACTIONS(1151),
    [anon_sym_do] = ACTIONS(1151),
    [anon_sym_for] = ACTIONS(1151),
    [anon_sym_return] = ACTIONS(1151),
    [anon_sym_break] = ACTIONS(1151),
    [anon_sym_continue] = ACTIONS(1151),
    [anon_sym_goto] = ACTIONS(1151),
    [anon_sym___try] = ACTIONS(1151),
    [anon_sym___leave] = ACTIONS(1151),
    [anon_sym_DASH_DASH] = ACTIONS(1153),
    [anon_sym_PLUS_PLUS] = ACTIONS(1153),
    [anon_sym_sizeof] = ACTIONS(1151),
    [anon_sym___alignof__] = ACTIONS(1151),
    [anon_sym___alignof] = ACTIONS(1151),
    [anon_sym__alignof] = ACTIONS(1151),
    [anon_sym_alignof] = ACTIONS(1151),
    [anon_sym__Alignof] = ACTIONS(1151),
    [anon_sym_offsetof] = ACTIONS(1151),
    [anon_sym__Generic] = ACTIONS(1151),
    [anon_sym_asm] = ACTIONS(1151),
    [anon_sym___asm__] = ACTIONS(1151),
    [sym_number_literal] = ACTIONS(1153),
    [anon_sym_L_SQUOTE] = ACTIONS(1153),
    [anon_sym_u_SQUOTE] = ACTIONS(1153),
    [anon_sym_U_SQUOTE] = ACTIONS(1153),
    [anon_sym_u8_SQUOTE] = ACTIONS(1153),
    [anon_sym_SQUOTE] = ACTIONS(1153),
    [anon_sym_L_DQUOTE] = ACTIONS(1153),
    [anon_sym_u_DQUOTE] = ACTIONS(1153),
    [anon_sym_U_DQUOTE] = ACTIONS(1153),
    [anon_sym_u8_DQUOTE] = ACTIONS(1153),
    [anon_sym_DQUOTE] = ACTIONS(1153),
    [sym_true] = ACTIONS(1151),
    [sym_false] = ACTIONS(1151),
    [anon_sym_NULL] = ACTIONS(1151),
    [anon_sym_nullptr] = ACTIONS(1151),
    [sym_comment] = ACTIONS(3),
  },
  [218] = {
    [ts_builtin_sym_end] = ACTIONS(1225),
    [sym_identifier] = ACTIONS(1223),
    [aux_sym_preproc_include_token1] = ACTIONS(1223),
    [aux_sym_preproc_def_token1] = ACTIONS(1223),
    [aux_sym_preproc_if_token1] = ACTIONS(1223),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1223),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1223),
    [sym_preproc_directive] = ACTIONS(1223),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(1225),
    [anon_sym_TILDE] = ACTIONS(1225),
    [anon_sym_DASH] = ACTIONS(1223),
    [anon_sym_PLUS] = ACTIONS(1223),
    [anon_sym_STAR] = ACTIONS(1225),
    [anon_sym_AMP] = ACTIONS(1225),
    [anon_sym_SEMI] = ACTIONS(1225),
    [anon_sym___extension__] = ACTIONS(1223),
    [anon_sym_typedef] = ACTIONS(1223),
    [anon_sym_extern] = ACTIONS(1223),
    [anon_sym___attribute__] = ACTIONS(1223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1225),
    [anon_sym___declspec] = ACTIONS(1223),
    [anon_sym___cdecl] = ACTIONS(1223),
    [anon_sym___clrcall] = ACTIONS(1223),
    [anon_sym___stdcall] = ACTIONS(1223),
    [anon_sym___fastcall] = ACTIONS(1223),
    [anon_sym___thiscall] = ACTIONS(1223),
    [anon_sym___vectorcall] = ACTIONS(1223),
    [anon_sym_LBRACE] = ACTIONS(1225),
    [anon_sym_signed] = ACTIONS(1223),
    [anon_sym_unsigned] = ACTIONS(1223),
    [anon_sym_long] = ACTIONS(1223),
    [anon_sym_short] = ACTIONS(1223),
    [anon_sym_static] = ACTIONS(1223),
    [anon_sym_auto] = ACTIONS(1223),
    [anon_sym_register] = ACTIONS(1223),
    [anon_sym_inline] = ACTIONS(1223),
    [anon_sym___inline] = ACTIONS(1223),
    [anon_sym___inline__] = ACTIONS(1223),
    [anon_sym___forceinline] = ACTIONS(1223),
    [anon_sym_thread_local] = ACTIONS(1223),
    [anon_sym___thread] = ACTIONS(1223),
    [anon_sym_const] = ACTIONS(1223),
    [anon_sym_constexpr] = ACTIONS(1223),
    [anon_sym_volatile] = ACTIONS(1223),
    [anon_sym_restrict] = ACTIONS(1223),
    [anon_sym___restrict__] = ACTIONS(1223),
    [anon_sym__Atomic] = ACTIONS(1223),
    [anon_sym__Noreturn] = ACTIONS(1223),
    [anon_sym_noreturn] = ACTIONS(1223),
    [anon_sym_alignas] = ACTIONS(1223),
    [anon_sym__Alignas] = ACTIONS(1223),
    [sym_primitive_type] = ACTIONS(1223),
    [anon_sym_enum] = ACTIONS(1223),
    [anon_sym_struct] = ACTIONS(1223),
    [anon_sym_union] = ACTIONS(1223),
    [anon_sym_if] = ACTIONS(1223),
    [anon_sym_else] = ACTIONS(1223),
    [anon_sym_switch] = ACTIONS(1223),
    [anon_sym_case] = ACTIONS(1223),
    [anon_sym_default] = ACTIONS(1223),
    [anon_sym_while] = ACTIONS(1223),
    [anon_sym_do] = ACTIONS(1223),
    [anon_sym_for] = ACTIONS(1223),
    [anon_sym_return] = ACTIONS(1223),
    [anon_sym_break] = ACTIONS(1223),
    [anon_sym_continue] = ACTIONS(1223),
    [anon_sym_goto] = ACTIONS(1223),
    [anon_sym___try] = ACTIONS(1223),
    [anon_sym___leave] = ACTIONS(1223),
    [anon_sym_DASH_DASH] = ACTIONS(1225),
    [anon_sym_PLUS_PLUS] = ACTIONS(1225),
    [anon_sym_sizeof] = ACTIONS(1223),
    [anon_sym___alignof__] = ACTIONS(1223),
    [anon_sym___alignof] = ACTIONS(1223),
    [anon_sym__alignof] = ACTIONS(1223),
    [anon_sym_alignof] = ACTIONS(1223),
    [anon_sym__Alignof] = ACTIONS(1223),
    [anon_sym_offsetof] = ACTIONS(1223),
    [anon_sym__Generic] = ACTIONS(1223),
    [anon_sym_asm] = ACTIONS(1223),
    [anon_sym___asm__] = ACTIONS(1223),
    [sym_number_literal] = ACTIONS(1225),
    [anon_sym_L_SQUOTE] = ACTIONS(1225),
    [anon_sym_u_SQUOTE] = ACTIONS(1225),
    [anon_sym_U_SQUOTE] = ACTIONS(1225),
    [anon_sym_u8_SQUOTE] = ACTIONS(1225),
    [anon_sym_SQUOTE] = ACTIONS(1225),
    [anon_sym_L_DQUOTE] = ACTIONS(1225),
    [anon_sym_u_DQUOTE] = ACTIONS(1225),
    [anon_sym_U_DQUOTE] = ACTIONS(1225),
    [anon_sym_u8_DQUOTE] = ACTIONS(1225),
    [anon_sym_DQUOTE] = ACTIONS(1225),
    [sym_true] = ACTIONS(1223),
    [sym_false] = ACTIONS(1223),
    [anon_sym_NULL] = ACTIONS(1223),
    [anon_sym_nullptr] = ACTIONS(1223),
    [sym_comment] = ACTIONS(3),
  },
  [219] = {
    [sym_identifier] = ACTIONS(1151),
    [aux_sym_preproc_include_token1] = ACTIONS(1151),
    [aux_sym_preproc_def_token1] = ACTIONS(1151),
    [aux_sym_preproc_if_token1] = ACTIONS(1151),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1151),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1151),
    [sym_preproc_directive] = ACTIONS(1151),
    [anon_sym_LPAREN2] = ACTIONS(1153),
    [anon_sym_BANG] = ACTIONS(1153),
    [anon_sym_TILDE] = ACTIONS(1153),
    [anon_sym_DASH] = ACTIONS(1151),
    [anon_sym_PLUS] = ACTIONS(1151),
    [anon_sym_STAR] = ACTIONS(1153),
    [anon_sym_AMP] = ACTIONS(1153),
    [anon_sym_SEMI] = ACTIONS(1153),
    [anon_sym___extension__] = ACTIONS(1151),
    [anon_sym_typedef] = ACTIONS(1151),
    [anon_sym_extern] = ACTIONS(1151),
    [anon_sym___attribute__] = ACTIONS(1151),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1153),
    [anon_sym___declspec] = ACTIONS(1151),
    [anon_sym___cdecl] = ACTIONS(1151),
    [anon_sym___clrcall] = ACTIONS(1151),
    [anon_sym___stdcall] = ACTIONS(1151),
    [anon_sym___fastcall] = ACTIONS(1151),
    [anon_sym___thiscall] = ACTIONS(1151),
    [anon_sym___vectorcall] = ACTIONS(1151),
    [anon_sym_LBRACE] = ACTIONS(1153),
    [anon_sym_RBRACE] = ACTIONS(1153),
    [anon_sym_signed] = ACTIONS(1151),
    [anon_sym_unsigned] = ACTIONS(1151),
    [anon_sym_long] = ACTIONS(1151),
    [anon_sym_short] = ACTIONS(1151),
    [anon_sym_static] = ACTIONS(1151),
    [anon_sym_auto] = ACTIONS(1151),
    [anon_sym_register] = ACTIONS(1151),
    [anon_sym_inline] = ACTIONS(1151),
    [anon_sym___inline] = ACTIONS(1151),
    [anon_sym___inline__] = ACTIONS(1151),
    [anon_sym___forceinline] = ACTIONS(1151),
    [anon_sym_thread_local] = ACTIONS(1151),
    [anon_sym___thread] = ACTIONS(1151),
    [anon_sym_const] = ACTIONS(1151),
    [anon_sym_constexpr] = ACTIONS(1151),
    [anon_sym_volatile] = ACTIONS(1151),
    [anon_sym_restrict] = ACTIONS(1151),
    [anon_sym___restrict__] = ACTIONS(1151),
    [anon_sym__Atomic] = ACTIONS(1151),
    [anon_sym__Noreturn] = ACTIONS(1151),
    [anon_sym_noreturn] = ACTIONS(1151),
    [anon_sym_alignas] = ACTIONS(1151),
    [anon_sym__Alignas] = ACTIONS(1151),
    [sym_primitive_type] = ACTIONS(1151),
    [anon_sym_enum] = ACTIONS(1151),
    [anon_sym_struct] = ACTIONS(1151),
    [anon_sym_union] = ACTIONS(1151),
    [anon_sym_if] = ACTIONS(1151),
    [anon_sym_else] = ACTIONS(1151),
    [anon_sym_switch] = ACTIONS(1151),
    [anon_sym_case] = ACTIONS(1151),
    [anon_sym_default] = ACTIONS(1151),
    [anon_sym_while] = ACTIONS(1151),
    [anon_sym_do] = ACTIONS(1151),
    [anon_sym_for] = ACTIONS(1151),
    [anon_sym_return] = ACTIONS(1151),
    [anon_sym_break] = ACTIONS(1151),
    [anon_sym_continue] = ACTIONS(1151),
    [anon_sym_goto] = ACTIONS(1151),
    [anon_sym___try] = ACTIONS(1151),
    [anon_sym___leave] = ACTIONS(1151),
    [anon_sym_DASH_DASH] = ACTIONS(1153),
    [anon_sym_PLUS_PLUS] = ACTIONS(1153),
    [anon_sym_sizeof] = ACTIONS(1151),
    [anon_sym___alignof__] = ACTIONS(1151),
    [anon_sym___alignof] = ACTIONS(1151),
    [anon_sym__alignof] = ACTIONS(1151),
    [anon_sym_alignof] = ACTIONS(1151),
    [anon_sym__Alignof] = ACTIONS(1151),
    [anon_sym_offsetof] = ACTIONS(1151),
    [anon_sym__Generic] = ACTIONS(1151),
    [anon_sym_asm] = ACTIONS(1151),
    [anon_sym___asm__] = ACTIONS(1151),
    [sym_number_literal] = ACTIONS(1153),
    [anon_sym_L_SQUOTE] = ACTIONS(1153),
    [anon_sym_u_SQUOTE] = ACTIONS(1153),
    [anon_sym_U_SQUOTE] = ACTIONS(1153),
    [anon_sym_u8_SQUOTE] = ACTIONS(1153),
    [anon_sym_SQUOTE] = ACTIONS(1153),
    [anon_sym_L_DQUOTE] = ACTIONS(1153),
    [anon_sym_u_DQUOTE] = ACTIONS(1153),
    [anon_sym_U_DQUOTE] = ACTIONS(1153),
    [anon_sym_u8_DQUOTE] = ACTIONS(1153),
    [anon_sym_DQUOTE] = ACTIONS(1153),
    [sym_true] = ACTIONS(1151),
    [sym_false] = ACTIONS(1151),
    [anon_sym_NULL] = ACTIONS(1151),
    [anon_sym_nullptr] = ACTIONS(1151),
    [sym_comment] = ACTIONS(3),
  },
  [220] = {
    [sym_identifier] = ACTIONS(1155),
    [aux_sym_preproc_include_token1] = ACTIONS(1155),
    [aux_sym_preproc_def_token1] = ACTIONS(1155),
    [aux_sym_preproc_if_token1] = ACTIONS(1155),
    [aux_sym_preproc_if_token2] = ACTIONS(1155),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1155),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1155),
    [sym_preproc_directive] = ACTIONS(1155),
    [anon_sym_LPAREN2] = ACTIONS(1157),
    [anon_sym_BANG] = ACTIONS(1157),
    [anon_sym_TILDE] = ACTIONS(1157),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_STAR] = ACTIONS(1157),
    [anon_sym_AMP] = ACTIONS(1157),
    [anon_sym_SEMI] = ACTIONS(1157),
    [anon_sym___extension__] = ACTIONS(1155),
    [anon_sym_typedef] = ACTIONS(1155),
    [anon_sym_extern] = ACTIONS(1155),
    [anon_sym___attribute__] = ACTIONS(1155),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1157),
    [anon_sym___declspec] = ACTIONS(1155),
    [anon_sym___cdecl] = ACTIONS(1155),
    [anon_sym___clrcall] = ACTIONS(1155),
    [anon_sym___stdcall] = ACTIONS(1155),
    [anon_sym___fastcall] = ACTIONS(1155),
    [anon_sym___thiscall] = ACTIONS(1155),
    [anon_sym___vectorcall] = ACTIONS(1155),
    [anon_sym_LBRACE] = ACTIONS(1157),
    [anon_sym_signed] = ACTIONS(1155),
    [anon_sym_unsigned] = ACTIONS(1155),
    [anon_sym_long] = ACTIONS(1155),
    [anon_sym_short] = ACTIONS(1155),
    [anon_sym_static] = ACTIONS(1155),
    [anon_sym_auto] = ACTIONS(1155),
    [anon_sym_register] = ACTIONS(1155),
    [anon_sym_inline] = ACTIONS(1155),
    [anon_sym___inline] = ACTIONS(1155),
    [anon_sym___inline__] = ACTIONS(1155),
    [anon_sym___forceinline] = ACTIONS(1155),
    [anon_sym_thread_local] = ACTIONS(1155),
    [anon_sym___thread] = ACTIONS(1155),
    [anon_sym_const] = ACTIONS(1155),
    [anon_sym_constexpr] = ACTIONS(1155),
    [anon_sym_volatile] = ACTIONS(1155),
    [anon_sym_restrict] = ACTIONS(1155),
    [anon_sym___restrict__] = ACTIONS(1155),
    [anon_sym__Atomic] = ACTIONS(1155),
    [anon_sym__Noreturn] = ACTIONS(1155),
    [anon_sym_noreturn] = ACTIONS(1155),
    [anon_sym_alignas] = ACTIONS(1155),
    [anon_sym__Alignas] = ACTIONS(1155),
    [sym_primitive_type] = ACTIONS(1155),
    [anon_sym_enum] = ACTIONS(1155),
    [anon_sym_struct] = ACTIONS(1155),
    [anon_sym_union] = ACTIONS(1155),
    [anon_sym_if] = ACTIONS(1155),
    [anon_sym_else] = ACTIONS(1155),
    [anon_sym_switch] = ACTIONS(1155),
    [anon_sym_case] = ACTIONS(1155),
    [anon_sym_default] = ACTIONS(1155),
    [anon_sym_while] = ACTIONS(1155),
    [anon_sym_do] = ACTIONS(1155),
    [anon_sym_for] = ACTIONS(1155),
    [anon_sym_return] = ACTIONS(1155),
    [anon_sym_break] = ACTIONS(1155),
    [anon_sym_continue] = ACTIONS(1155),
    [anon_sym_goto] = ACTIONS(1155),
    [anon_sym___try] = ACTIONS(1155),
    [anon_sym___leave] = ACTIONS(1155),
    [anon_sym_DASH_DASH] = ACTIONS(1157),
    [anon_sym_PLUS_PLUS] = ACTIONS(1157),
    [anon_sym_sizeof] = ACTIONS(1155),
    [anon_sym___alignof__] = ACTIONS(1155),
    [anon_sym___alignof] = ACTIONS(1155),
    [anon_sym__alignof] = ACTIONS(1155),
    [anon_sym_alignof] = ACTIONS(1155),
    [anon_sym__Alignof] = ACTIONS(1155),
    [anon_sym_offsetof] = ACTIONS(1155),
    [anon_sym__Generic] = ACTIONS(1155),
    [anon_sym_asm] = ACTIONS(1155),
    [anon_sym___asm__] = ACTIONS(1155),
    [sym_number_literal] = ACTIONS(1157),
    [anon_sym_L_SQUOTE] = ACTIONS(1157),
    [anon_sym_u_SQUOTE] = ACTIONS(1157),
    [anon_sym_U_SQUOTE] = ACTIONS(1157),
    [anon_sym_u8_SQUOTE] = ACTIONS(1157),
    [anon_sym_SQUOTE] = ACTIONS(1157),
    [anon_sym_L_DQUOTE] = ACTIONS(1157),
    [anon_sym_u_DQUOTE] = ACTIONS(1157),
    [anon_sym_U_DQUOTE] = ACTIONS(1157),
    [anon_sym_u8_DQUOTE] = ACTIONS(1157),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [sym_true] = ACTIONS(1155),
    [sym_false] = ACTIONS(1155),
    [anon_sym_NULL] = ACTIONS(1155),
    [anon_sym_nullptr] = ACTIONS(1155),
    [sym_comment] = ACTIONS(3),
  },
  [221] = {
    [sym_identifier] = ACTIONS(1231),
    [aux_sym_preproc_include_token1] = ACTIONS(1231),
    [aux_sym_preproc_def_token1] = ACTIONS(1231),
    [aux_sym_preproc_if_token1] = ACTIONS(1231),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1231),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1231),
    [sym_preproc_directive] = ACTIONS(1231),
    [anon_sym_LPAREN2] = ACTIONS(1233),
    [anon_sym_BANG] = ACTIONS(1233),
    [anon_sym_TILDE] = ACTIONS(1233),
    [anon_sym_DASH] = ACTIONS(1231),
    [anon_sym_PLUS] = ACTIONS(1231),
    [anon_sym_STAR] = ACTIONS(1233),
    [anon_sym_AMP] = ACTIONS(1233),
    [anon_sym_SEMI] = ACTIONS(1233),
    [anon_sym___extension__] = ACTIONS(1231),
    [anon_sym_typedef] = ACTIONS(1231),
    [anon_sym_extern] = ACTIONS(1231),
    [anon_sym___attribute__] = ACTIONS(1231),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1233),
    [anon_sym___declspec] = ACTIONS(1231),
    [anon_sym___cdecl] = ACTIONS(1231),
    [anon_sym___clrcall] = ACTIONS(1231),
    [anon_sym___stdcall] = ACTIONS(1231),
    [anon_sym___fastcall] = ACTIONS(1231),
    [anon_sym___thiscall] = ACTIONS(1231),
    [anon_sym___vectorcall] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_RBRACE] = ACTIONS(1233),
    [anon_sym_signed] = ACTIONS(1231),
    [anon_sym_unsigned] = ACTIONS(1231),
    [anon_sym_long] = ACTIONS(1231),
    [anon_sym_short] = ACTIONS(1231),
    [anon_sym_static] = ACTIONS(1231),
    [anon_sym_auto] = ACTIONS(1231),
    [anon_sym_register] = ACTIONS(1231),
    [anon_sym_inline] = ACTIONS(1231),
    [anon_sym___inline] = ACTIONS(1231),
    [anon_sym___inline__] = ACTIONS(1231),
    [anon_sym___forceinline] = ACTIONS(1231),
    [anon_sym_thread_local] = ACTIONS(1231),
    [anon_sym___thread] = ACTIONS(1231),
    [anon_sym_const] = ACTIONS(1231),
    [anon_sym_constexpr] = ACTIONS(1231),
    [anon_sym_volatile] = ACTIONS(1231),
    [anon_sym_restrict] = ACTIONS(1231),
    [anon_sym___restrict__] = ACTIONS(1231),
    [anon_sym__Atomic] = ACTIONS(1231),
    [anon_sym__Noreturn] = ACTIONS(1231),
    [anon_sym_noreturn] = ACTIONS(1231),
    [anon_sym_alignas] = ACTIONS(1231),
    [anon_sym__Alignas] = ACTIONS(1231),
    [sym_primitive_type] = ACTIONS(1231),
    [anon_sym_enum] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1231),
    [anon_sym_union] = ACTIONS(1231),
    [anon_sym_if] = ACTIONS(1231),
    [anon_sym_else] = ACTIONS(1231),
    [anon_sym_switch] = ACTIONS(1231),
    [anon_sym_case] = ACTIONS(1231),
    [anon_sym_default] = ACTIONS(1231),
    [anon_sym_while] = ACTIONS(1231),
    [anon_sym_do] = ACTIONS(1231),
    [anon_sym_for] = ACTIONS(1231),
    [anon_sym_return] = ACTIONS(1231),
    [anon_sym_break] = ACTIONS(1231),
    [anon_sym_continue] = ACTIONS(1231),
    [anon_sym_goto] = ACTIONS(1231),
    [anon_sym___try] = ACTIONS(1231),
    [anon_sym___leave] = ACTIONS(1231),
    [anon_sym_DASH_DASH] = ACTIONS(1233),
    [anon_sym_PLUS_PLUS] = ACTIONS(1233),
    [anon_sym_sizeof] = ACTIONS(1231),
    [anon_sym___alignof__] = ACTIONS(1231),
    [anon_sym___alignof] = ACTIONS(1231),
    [anon_sym__alignof] = ACTIONS(1231),
    [anon_sym_alignof] = ACTIONS(1231),
    [anon_sym__Alignof] = ACTIONS(1231),
    [anon_sym_offsetof] = ACTIONS(1231),
    [anon_sym__Generic] = ACTIONS(1231),
    [anon_sym_asm] = ACTIONS(1231),
    [anon_sym___asm__] = ACTIONS(1231),
    [sym_number_literal] = ACTIONS(1233),
    [anon_sym_L_SQUOTE] = ACTIONS(1233),
    [anon_sym_u_SQUOTE] = ACTIONS(1233),
    [anon_sym_U_SQUOTE] = ACTIONS(1233),
    [anon_sym_u8_SQUOTE] = ACTIONS(1233),
    [anon_sym_SQUOTE] = ACTIONS(1233),
    [anon_sym_L_DQUOTE] = ACTIONS(1233),
    [anon_sym_u_DQUOTE] = ACTIONS(1233),
    [anon_sym_U_DQUOTE] = ACTIONS(1233),
    [anon_sym_u8_DQUOTE] = ACTIONS(1233),
    [anon_sym_DQUOTE] = ACTIONS(1233),
    [sym_true] = ACTIONS(1231),
    [sym_false] = ACTIONS(1231),
    [anon_sym_NULL] = ACTIONS(1231),
    [anon_sym_nullptr] = ACTIONS(1231),
    [sym_comment] = ACTIONS(3),
  },
  [222] = {
    [sym_identifier] = ACTIONS(1159),
    [aux_sym_preproc_include_token1] = ACTIONS(1159),
    [aux_sym_preproc_def_token1] = ACTIONS(1159),
    [aux_sym_preproc_if_token1] = ACTIONS(1159),
    [aux_sym_preproc_if_token2] = ACTIONS(1159),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1159),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1159),
    [sym_preproc_directive] = ACTIONS(1159),
    [anon_sym_LPAREN2] = ACTIONS(1161),
    [anon_sym_BANG] = ACTIONS(1161),
    [anon_sym_TILDE] = ACTIONS(1161),
    [anon_sym_DASH] = ACTIONS(1159),
    [anon_sym_PLUS] = ACTIONS(1159),
    [anon_sym_STAR] = ACTIONS(1161),
    [anon_sym_AMP] = ACTIONS(1161),
    [anon_sym_SEMI] = ACTIONS(1161),
    [anon_sym___extension__] = ACTIONS(1159),
    [anon_sym_typedef] = ACTIONS(1159),
    [anon_sym_extern] = ACTIONS(1159),
    [anon_sym___attribute__] = ACTIONS(1159),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1161),
    [anon_sym___declspec] = ACTIONS(1159),
    [anon_sym___cdecl] = ACTIONS(1159),
    [anon_sym___clrcall] = ACTIONS(1159),
    [anon_sym___stdcall] = ACTIONS(1159),
    [anon_sym___fastcall] = ACTIONS(1159),
    [anon_sym___thiscall] = ACTIONS(1159),
    [anon_sym___vectorcall] = ACTIONS(1159),
    [anon_sym_LBRACE] = ACTIONS(1161),
    [anon_sym_signed] = ACTIONS(1159),
    [anon_sym_unsigned] = ACTIONS(1159),
    [anon_sym_long] = ACTIONS(1159),
    [anon_sym_short] = ACTIONS(1159),
    [anon_sym_static] = ACTIONS(1159),
    [anon_sym_auto] = ACTIONS(1159),
    [anon_sym_register] = ACTIONS(1159),
    [anon_sym_inline] = ACTIONS(1159),
    [anon_sym___inline] = ACTIONS(1159),
    [anon_sym___inline__] = ACTIONS(1159),
    [anon_sym___forceinline] = ACTIONS(1159),
    [anon_sym_thread_local] = ACTIONS(1159),
    [anon_sym___thread] = ACTIONS(1159),
    [anon_sym_const] = ACTIONS(1159),
    [anon_sym_constexpr] = ACTIONS(1159),
    [anon_sym_volatile] = ACTIONS(1159),
    [anon_sym_restrict] = ACTIONS(1159),
    [anon_sym___restrict__] = ACTIONS(1159),
    [anon_sym__Atomic] = ACTIONS(1159),
    [anon_sym__Noreturn] = ACTIONS(1159),
    [anon_sym_noreturn] = ACTIONS(1159),
    [anon_sym_alignas] = ACTIONS(1159),
    [anon_sym__Alignas] = ACTIONS(1159),
    [sym_primitive_type] = ACTIONS(1159),
    [anon_sym_enum] = ACTIONS(1159),
    [anon_sym_struct] = ACTIONS(1159),
    [anon_sym_union] = ACTIONS(1159),
    [anon_sym_if] = ACTIONS(1159),
    [anon_sym_else] = ACTIONS(1159),
    [anon_sym_switch] = ACTIONS(1159),
    [anon_sym_case] = ACTIONS(1159),
    [anon_sym_default] = ACTIONS(1159),
    [anon_sym_while] = ACTIONS(1159),
    [anon_sym_do] = ACTIONS(1159),
    [anon_sym_for] = ACTIONS(1159),
    [anon_sym_return] = ACTIONS(1159),
    [anon_sym_break] = ACTIONS(1159),
    [anon_sym_continue] = ACTIONS(1159),
    [anon_sym_goto] = ACTIONS(1159),
    [anon_sym___try] = ACTIONS(1159),
    [anon_sym___leave] = ACTIONS(1159),
    [anon_sym_DASH_DASH] = ACTIONS(1161),
    [anon_sym_PLUS_PLUS] = ACTIONS(1161),
    [anon_sym_sizeof] = ACTIONS(1159),
    [anon_sym___alignof__] = ACTIONS(1159),
    [anon_sym___alignof] = ACTIONS(1159),
    [anon_sym__alignof] = ACTIONS(1159),
    [anon_sym_alignof] = ACTIONS(1159),
    [anon_sym__Alignof] = ACTIONS(1159),
    [anon_sym_offsetof] = ACTIONS(1159),
    [anon_sym__Generic] = ACTIONS(1159),
    [anon_sym_asm] = ACTIONS(1159),
    [anon_sym___asm__] = ACTIONS(1159),
    [sym_number_literal] = ACTIONS(1161),
    [anon_sym_L_SQUOTE] = ACTIONS(1161),
    [anon_sym_u_SQUOTE] = ACTIONS(1161),
    [anon_sym_U_SQUOTE] = ACTIONS(1161),
    [anon_sym_u8_SQUOTE] = ACTIONS(1161),
    [anon_sym_SQUOTE] = ACTIONS(1161),
    [anon_sym_L_DQUOTE] = ACTIONS(1161),
    [anon_sym_u_DQUOTE] = ACTIONS(1161),
    [anon_sym_U_DQUOTE] = ACTIONS(1161),
    [anon_sym_u8_DQUOTE] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_true] = ACTIONS(1159),
    [sym_false] = ACTIONS(1159),
    [anon_sym_NULL] = ACTIONS(1159),
    [anon_sym_nullptr] = ACTIONS(1159),
    [sym_comment] = ACTIONS(3),
  },
  [223] = {
    [sym_identifier] = ACTIONS(1187),
    [aux_sym_preproc_include_token1] = ACTIONS(1187),
    [aux_sym_preproc_def_token1] = ACTIONS(1187),
    [aux_sym_preproc_if_token1] = ACTIONS(1187),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1187),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1187),
    [sym_preproc_directive] = ACTIONS(1187),
    [anon_sym_LPAREN2] = ACTIONS(1189),
    [anon_sym_BANG] = ACTIONS(1189),
    [anon_sym_TILDE] = ACTIONS(1189),
    [anon_sym_DASH] = ACTIONS(1187),
    [anon_sym_PLUS] = ACTIONS(1187),
    [anon_sym_STAR] = ACTIONS(1189),
    [anon_sym_AMP] = ACTIONS(1189),
    [anon_sym_SEMI] = ACTIONS(1189),
    [anon_sym___extension__] = ACTIONS(1187),
    [anon_sym_typedef] = ACTIONS(1187),
    [anon_sym_extern] = ACTIONS(1187),
    [anon_sym___attribute__] = ACTIONS(1187),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1189),
    [anon_sym___declspec] = ACTIONS(1187),
    [anon_sym___cdecl] = ACTIONS(1187),
    [anon_sym___clrcall] = ACTIONS(1187),
    [anon_sym___stdcall] = ACTIONS(1187),
    [anon_sym___fastcall] = ACTIONS(1187),
    [anon_sym___thiscall] = ACTIONS(1187),
    [anon_sym___vectorcall] = ACTIONS(1187),
    [anon_sym_LBRACE] = ACTIONS(1189),
    [anon_sym_RBRACE] = ACTIONS(1189),
    [anon_sym_signed] = ACTIONS(1187),
    [anon_sym_unsigned] = ACTIONS(1187),
    [anon_sym_long] = ACTIONS(1187),
    [anon_sym_short] = ACTIONS(1187),
    [anon_sym_static] = ACTIONS(1187),
    [anon_sym_auto] = ACTIONS(1187),
    [anon_sym_register] = ACTIONS(1187),
    [anon_sym_inline] = ACTIONS(1187),
    [anon_sym___inline] = ACTIONS(1187),
    [anon_sym___inline__] = ACTIONS(1187),
    [anon_sym___forceinline] = ACTIONS(1187),
    [anon_sym_thread_local] = ACTIONS(1187),
    [anon_sym___thread] = ACTIONS(1187),
    [anon_sym_const] = ACTIONS(1187),
    [anon_sym_constexpr] = ACTIONS(1187),
    [anon_sym_volatile] = ACTIONS(1187),
    [anon_sym_restrict] = ACTIONS(1187),
    [anon_sym___restrict__] = ACTIONS(1187),
    [anon_sym__Atomic] = ACTIONS(1187),
    [anon_sym__Noreturn] = ACTIONS(1187),
    [anon_sym_noreturn] = ACTIONS(1187),
    [anon_sym_alignas] = ACTIONS(1187),
    [anon_sym__Alignas] = ACTIONS(1187),
    [sym_primitive_type] = ACTIONS(1187),
    [anon_sym_enum] = ACTIONS(1187),
    [anon_sym_struct] = ACTIONS(1187),
    [anon_sym_union] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1187),
    [anon_sym_else] = ACTIONS(1187),
    [anon_sym_switch] = ACTIONS(1187),
    [anon_sym_case] = ACTIONS(1187),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_while] = ACTIONS(1187),
    [anon_sym_do] = ACTIONS(1187),
    [anon_sym_for] = ACTIONS(1187),
    [anon_sym_return] = ACTIONS(1187),
    [anon_sym_break] = ACTIONS(1187),
    [anon_sym_continue] = ACTIONS(1187),
    [anon_sym_goto] = ACTIONS(1187),
    [anon_sym___try] = ACTIONS(1187),
    [anon_sym___leave] = ACTIONS(1187),
    [anon_sym_DASH_DASH] = ACTIONS(1189),
    [anon_sym_PLUS_PLUS] = ACTIONS(1189),
    [anon_sym_sizeof] = ACTIONS(1187),
    [anon_sym___alignof__] = ACTIONS(1187),
    [anon_sym___alignof] = ACTIONS(1187),
    [anon_sym__alignof] = ACTIONS(1187),
    [anon_sym_alignof] = ACTIONS(1187),
    [anon_sym__Alignof] = ACTIONS(1187),
    [anon_sym_offsetof] = ACTIONS(1187),
    [anon_sym__Generic] = ACTIONS(1187),
    [anon_sym_asm] = ACTIONS(1187),
    [anon_sym___asm__] = ACTIONS(1187),
    [sym_number_literal] = ACTIONS(1189),
    [anon_sym_L_SQUOTE] = ACTIONS(1189),
    [anon_sym_u_SQUOTE] = ACTIONS(1189),
    [anon_sym_U_SQUOTE] = ACTIONS(1189),
    [anon_sym_u8_SQUOTE] = ACTIONS(1189),
    [anon_sym_SQUOTE] = ACTIONS(1189),
    [anon_sym_L_DQUOTE] = ACTIONS(1189),
    [anon_sym_u_DQUOTE] = ACTIONS(1189),
    [anon_sym_U_DQUOTE] = ACTIONS(1189),
    [anon_sym_u8_DQUOTE] = ACTIONS(1189),
    [anon_sym_DQUOTE] = ACTIONS(1189),
    [sym_true] = ACTIONS(1187),
    [sym_false] = ACTIONS(1187),
    [anon_sym_NULL] = ACTIONS(1187),
    [anon_sym_nullptr] = ACTIONS(1187),
    [sym_comment] = ACTIONS(3),
  },
  [224] = {
    [sym_identifier] = ACTIONS(1219),
    [aux_sym_preproc_include_token1] = ACTIONS(1219),
    [aux_sym_preproc_def_token1] = ACTIONS(1219),
    [aux_sym_preproc_if_token1] = ACTIONS(1219),
    [aux_sym_preproc_if_token2] = ACTIONS(1219),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1219),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1219),
    [sym_preproc_directive] = ACTIONS(1219),
    [anon_sym_LPAREN2] = ACTIONS(1221),
    [anon_sym_BANG] = ACTIONS(1221),
    [anon_sym_TILDE] = ACTIONS(1221),
    [anon_sym_DASH] = ACTIONS(1219),
    [anon_sym_PLUS] = ACTIONS(1219),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(1219),
    [anon_sym_typedef] = ACTIONS(1219),
    [anon_sym_extern] = ACTIONS(1219),
    [anon_sym___attribute__] = ACTIONS(1219),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1221),
    [anon_sym___declspec] = ACTIONS(1219),
    [anon_sym___cdecl] = ACTIONS(1219),
    [anon_sym___clrcall] = ACTIONS(1219),
    [anon_sym___stdcall] = ACTIONS(1219),
    [anon_sym___fastcall] = ACTIONS(1219),
    [anon_sym___thiscall] = ACTIONS(1219),
    [anon_sym___vectorcall] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1221),
    [anon_sym_signed] = ACTIONS(1219),
    [anon_sym_unsigned] = ACTIONS(1219),
    [anon_sym_long] = ACTIONS(1219),
    [anon_sym_short] = ACTIONS(1219),
    [anon_sym_static] = ACTIONS(1219),
    [anon_sym_auto] = ACTIONS(1219),
    [anon_sym_register] = ACTIONS(1219),
    [anon_sym_inline] = ACTIONS(1219),
    [anon_sym___inline] = ACTIONS(1219),
    [anon_sym___inline__] = ACTIONS(1219),
    [anon_sym___forceinline] = ACTIONS(1219),
    [anon_sym_thread_local] = ACTIONS(1219),
    [anon_sym___thread] = ACTIONS(1219),
    [anon_sym_const] = ACTIONS(1219),
    [anon_sym_constexpr] = ACTIONS(1219),
    [anon_sym_volatile] = ACTIONS(1219),
    [anon_sym_restrict] = ACTIONS(1219),
    [anon_sym___restrict__] = ACTIONS(1219),
    [anon_sym__Atomic] = ACTIONS(1219),
    [anon_sym__Noreturn] = ACTIONS(1219),
    [anon_sym_noreturn] = ACTIONS(1219),
    [anon_sym_alignas] = ACTIONS(1219),
    [anon_sym__Alignas] = ACTIONS(1219),
    [sym_primitive_type] = ACTIONS(1219),
    [anon_sym_enum] = ACTIONS(1219),
    [anon_sym_struct] = ACTIONS(1219),
    [anon_sym_union] = ACTIONS(1219),
    [anon_sym_if] = ACTIONS(1219),
    [anon_sym_else] = ACTIONS(1219),
    [anon_sym_switch] = ACTIONS(1219),
    [anon_sym_case] = ACTIONS(1219),
    [anon_sym_default] = ACTIONS(1219),
    [anon_sym_while] = ACTIONS(1219),
    [anon_sym_do] = ACTIONS(1219),
    [anon_sym_for] = ACTIONS(1219),
    [anon_sym_return] = ACTIONS(1219),
    [anon_sym_break] = ACTIONS(1219),
    [anon_sym_continue] = ACTIONS(1219),
    [anon_sym_goto] = ACTIONS(1219),
    [anon_sym___try] = ACTIONS(1219),
    [anon_sym___leave] = ACTIONS(1219),
    [anon_sym_DASH_DASH] = ACTIONS(1221),
    [anon_sym_PLUS_PLUS] = ACTIONS(1221),
    [anon_sym_sizeof] = ACTIONS(1219),
    [anon_sym___alignof__] = ACTIONS(1219),
    [anon_sym___alignof] = ACTIONS(1219),
    [anon_sym__alignof] = ACTIONS(1219),
    [anon_sym_alignof] = ACTIONS(1219),
    [anon_sym__Alignof] = ACTIONS(1219),
    [anon_sym_offsetof] = ACTIONS(1219),
    [anon_sym__Generic] = ACTIONS(1219),
    [anon_sym_asm] = ACTIONS(1219),
    [anon_sym___asm__] = ACTIONS(1219),
    [sym_number_literal] = ACTIONS(1221),
    [anon_sym_L_SQUOTE] = ACTIONS(1221),
    [anon_sym_u_SQUOTE] = ACTIONS(1221),
    [anon_sym_U_SQUOTE] = ACTIONS(1221),
    [anon_sym_u8_SQUOTE] = ACTIONS(1221),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_L_DQUOTE] = ACTIONS(1221),
    [anon_sym_u_DQUOTE] = ACTIONS(1221),
    [anon_sym_U_DQUOTE] = ACTIONS(1221),
    [anon_sym_u8_DQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1221),
    [sym_true] = ACTIONS(1219),
    [sym_false] = ACTIONS(1219),
    [anon_sym_NULL] = ACTIONS(1219),
    [anon_sym_nullptr] = ACTIONS(1219),
    [sym_comment] = ACTIONS(3),
  },
  [225] = {
    [ts_builtin_sym_end] = ACTIONS(1133),
    [sym_identifier] = ACTIONS(1131),
    [aux_sym_preproc_include_token1] = ACTIONS(1131),
    [aux_sym_preproc_def_token1] = ACTIONS(1131),
    [aux_sym_preproc_if_token1] = ACTIONS(1131),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1131),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1131),
    [sym_preproc_directive] = ACTIONS(1131),
    [anon_sym_LPAREN2] = ACTIONS(1133),
    [anon_sym_BANG] = ACTIONS(1133),
    [anon_sym_TILDE] = ACTIONS(1133),
    [anon_sym_DASH] = ACTIONS(1131),
    [anon_sym_PLUS] = ACTIONS(1131),
    [anon_sym_STAR] = ACTIONS(1133),
    [anon_sym_AMP] = ACTIONS(1133),
    [anon_sym_SEMI] = ACTIONS(1133),
    [anon_sym___extension__] = ACTIONS(1131),
    [anon_sym_typedef] = ACTIONS(1131),
    [anon_sym_extern] = ACTIONS(1131),
    [anon_sym___attribute__] = ACTIONS(1131),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1133),
    [anon_sym___declspec] = ACTIONS(1131),
    [anon_sym___cdecl] = ACTIONS(1131),
    [anon_sym___clrcall] = ACTIONS(1131),
    [anon_sym___stdcall] = ACTIONS(1131),
    [anon_sym___fastcall] = ACTIONS(1131),
    [anon_sym___thiscall] = ACTIONS(1131),
    [anon_sym___vectorcall] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_signed] = ACTIONS(1131),
    [anon_sym_unsigned] = ACTIONS(1131),
    [anon_sym_long] = ACTIONS(1131),
    [anon_sym_short] = ACTIONS(1131),
    [anon_sym_static] = ACTIONS(1131),
    [anon_sym_auto] = ACTIONS(1131),
    [anon_sym_register] = ACTIONS(1131),
    [anon_sym_inline] = ACTIONS(1131),
    [anon_sym___inline] = ACTIONS(1131),
    [anon_sym___inline__] = ACTIONS(1131),
    [anon_sym___forceinline] = ACTIONS(1131),
    [anon_sym_thread_local] = ACTIONS(1131),
    [anon_sym___thread] = ACTIONS(1131),
    [anon_sym_const] = ACTIONS(1131),
    [anon_sym_constexpr] = ACTIONS(1131),
    [anon_sym_volatile] = ACTIONS(1131),
    [anon_sym_restrict] = ACTIONS(1131),
    [anon_sym___restrict__] = ACTIONS(1131),
    [anon_sym__Atomic] = ACTIONS(1131),
    [anon_sym__Noreturn] = ACTIONS(1131),
    [anon_sym_noreturn] = ACTIONS(1131),
    [anon_sym_alignas] = ACTIONS(1131),
    [anon_sym__Alignas] = ACTIONS(1131),
    [sym_primitive_type] = ACTIONS(1131),
    [anon_sym_enum] = ACTIONS(1131),
    [anon_sym_struct] = ACTIONS(1131),
    [anon_sym_union] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1131),
    [anon_sym_else] = ACTIONS(1131),
    [anon_sym_switch] = ACTIONS(1131),
    [anon_sym_case] = ACTIONS(1131),
    [anon_sym_default] = ACTIONS(1131),
    [anon_sym_while] = ACTIONS(1131),
    [anon_sym_do] = ACTIONS(1131),
    [anon_sym_for] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1131),
    [anon_sym_break] = ACTIONS(1131),
    [anon_sym_continue] = ACTIONS(1131),
    [anon_sym_goto] = ACTIONS(1131),
    [anon_sym___try] = ACTIONS(1131),
    [anon_sym___leave] = ACTIONS(1131),
    [anon_sym_DASH_DASH] = ACTIONS(1133),
    [anon_sym_PLUS_PLUS] = ACTIONS(1133),
    [anon_sym_sizeof] = ACTIONS(1131),
    [anon_sym___alignof__] = ACTIONS(1131),
    [anon_sym___alignof] = ACTIONS(1131),
    [anon_sym__alignof] = ACTIONS(1131),
    [anon_sym_alignof] = ACTIONS(1131),
    [anon_sym__Alignof] = ACTIONS(1131),
    [anon_sym_offsetof] = ACTIONS(1131),
    [anon_sym__Generic] = ACTIONS(1131),
    [anon_sym_asm] = ACTIONS(1131),
    [anon_sym___asm__] = ACTIONS(1131),
    [sym_number_literal] = ACTIONS(1133),
    [anon_sym_L_SQUOTE] = ACTIONS(1133),
    [anon_sym_u_SQUOTE] = ACTIONS(1133),
    [anon_sym_U_SQUOTE] = ACTIONS(1133),
    [anon_sym_u8_SQUOTE] = ACTIONS(1133),
    [anon_sym_SQUOTE] = ACTIONS(1133),
    [anon_sym_L_DQUOTE] = ACTIONS(1133),
    [anon_sym_u_DQUOTE] = ACTIONS(1133),
    [anon_sym_U_DQUOTE] = ACTIONS(1133),
    [anon_sym_u8_DQUOTE] = ACTIONS(1133),
    [anon_sym_DQUOTE] = ACTIONS(1133),
    [sym_true] = ACTIONS(1131),
    [sym_false] = ACTIONS(1131),
    [anon_sym_NULL] = ACTIONS(1131),
    [anon_sym_nullptr] = ACTIONS(1131),
    [sym_comment] = ACTIONS(3),
  },
  [226] = {
    [sym_identifier] = ACTIONS(1223),
    [aux_sym_preproc_include_token1] = ACTIONS(1223),
    [aux_sym_preproc_def_token1] = ACTIONS(1223),
    [aux_sym_preproc_if_token1] = ACTIONS(1223),
    [aux_sym_preproc_if_token2] = ACTIONS(1223),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1223),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1223),
    [sym_preproc_directive] = ACTIONS(1223),
    [anon_sym_LPAREN2] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(1225),
    [anon_sym_TILDE] = ACTIONS(1225),
    [anon_sym_DASH] = ACTIONS(1223),
    [anon_sym_PLUS] = ACTIONS(1223),
    [anon_sym_STAR] = ACTIONS(1225),
    [anon_sym_AMP] = ACTIONS(1225),
    [anon_sym_SEMI] = ACTIONS(1225),
    [anon_sym___extension__] = ACTIONS(1223),
    [anon_sym_typedef] = ACTIONS(1223),
    [anon_sym_extern] = ACTIONS(1223),
    [anon_sym___attribute__] = ACTIONS(1223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1225),
    [anon_sym___declspec] = ACTIONS(1223),
    [anon_sym___cdecl] = ACTIONS(1223),
    [anon_sym___clrcall] = ACTIONS(1223),
    [anon_sym___stdcall] = ACTIONS(1223),
    [anon_sym___fastcall] = ACTIONS(1223),
    [anon_sym___thiscall] = ACTIONS(1223),
    [anon_sym___vectorcall] = ACTIONS(1223),
    [anon_sym_LBRACE] = ACTIONS(1225),
    [anon_sym_signed] = ACTIONS(1223),
    [anon_sym_unsigned] = ACTIONS(1223),
    [anon_sym_long] = ACTIONS(1223),
    [anon_sym_short] = ACTIONS(1223),
    [anon_sym_static] = ACTIONS(1223),
    [anon_sym_auto] = ACTIONS(1223),
    [anon_sym_register] = ACTIONS(1223),
    [anon_sym_inline] = ACTIONS(1223),
    [anon_sym___inline] = ACTIONS(1223),
    [anon_sym___inline__] = ACTIONS(1223),
    [anon_sym___forceinline] = ACTIONS(1223),
    [anon_sym_thread_local] = ACTIONS(1223),
    [anon_sym___thread] = ACTIONS(1223),
    [anon_sym_const] = ACTIONS(1223),
    [anon_sym_constexpr] = ACTIONS(1223),
    [anon_sym_volatile] = ACTIONS(1223),
    [anon_sym_restrict] = ACTIONS(1223),
    [anon_sym___restrict__] = ACTIONS(1223),
    [anon_sym__Atomic] = ACTIONS(1223),
    [anon_sym__Noreturn] = ACTIONS(1223),
    [anon_sym_noreturn] = ACTIONS(1223),
    [anon_sym_alignas] = ACTIONS(1223),
    [anon_sym__Alignas] = ACTIONS(1223),
    [sym_primitive_type] = ACTIONS(1223),
    [anon_sym_enum] = ACTIONS(1223),
    [anon_sym_struct] = ACTIONS(1223),
    [anon_sym_union] = ACTIONS(1223),
    [anon_sym_if] = ACTIONS(1223),
    [anon_sym_else] = ACTIONS(1223),
    [anon_sym_switch] = ACTIONS(1223),
    [anon_sym_case] = ACTIONS(1223),
    [anon_sym_default] = ACTIONS(1223),
    [anon_sym_while] = ACTIONS(1223),
    [anon_sym_do] = ACTIONS(1223),
    [anon_sym_for] = ACTIONS(1223),
    [anon_sym_return] = ACTIONS(1223),
    [anon_sym_break] = ACTIONS(1223),
    [anon_sym_continue] = ACTIONS(1223),
    [anon_sym_goto] = ACTIONS(1223),
    [anon_sym___try] = ACTIONS(1223),
    [anon_sym___leave] = ACTIONS(1223),
    [anon_sym_DASH_DASH] = ACTIONS(1225),
    [anon_sym_PLUS_PLUS] = ACTIONS(1225),
    [anon_sym_sizeof] = ACTIONS(1223),
    [anon_sym___alignof__] = ACTIONS(1223),
    [anon_sym___alignof] = ACTIONS(1223),
    [anon_sym__alignof] = ACTIONS(1223),
    [anon_sym_alignof] = ACTIONS(1223),
    [anon_sym__Alignof] = ACTIONS(1223),
    [anon_sym_offsetof] = ACTIONS(1223),
    [anon_sym__Generic] = ACTIONS(1223),
    [anon_sym_asm] = ACTIONS(1223),
    [anon_sym___asm__] = ACTIONS(1223),
    [sym_number_literal] = ACTIONS(1225),
    [anon_sym_L_SQUOTE] = ACTIONS(1225),
    [anon_sym_u_SQUOTE] = ACTIONS(1225),
    [anon_sym_U_SQUOTE] = ACTIONS(1225),
    [anon_sym_u8_SQUOTE] = ACTIONS(1225),
    [anon_sym_SQUOTE] = ACTIONS(1225),
    [anon_sym_L_DQUOTE] = ACTIONS(1225),
    [anon_sym_u_DQUOTE] = ACTIONS(1225),
    [anon_sym_U_DQUOTE] = ACTIONS(1225),
    [anon_sym_u8_DQUOTE] = ACTIONS(1225),
    [anon_sym_DQUOTE] = ACTIONS(1225),
    [sym_true] = ACTIONS(1223),
    [sym_false] = ACTIONS(1223),
    [anon_sym_NULL] = ACTIONS(1223),
    [anon_sym_nullptr] = ACTIONS(1223),
    [sym_comment] = ACTIONS(3),
  },
  [227] = {
    [sym_identifier] = ACTIONS(1243),
    [aux_sym_preproc_include_token1] = ACTIONS(1243),
    [aux_sym_preproc_def_token1] = ACTIONS(1243),
    [aux_sym_preproc_if_token1] = ACTIONS(1243),
    [aux_sym_preproc_if_token2] = ACTIONS(1243),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1243),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1243),
    [sym_preproc_directive] = ACTIONS(1243),
    [anon_sym_LPAREN2] = ACTIONS(1245),
    [anon_sym_BANG] = ACTIONS(1245),
    [anon_sym_TILDE] = ACTIONS(1245),
    [anon_sym_DASH] = ACTIONS(1243),
    [anon_sym_PLUS] = ACTIONS(1243),
    [anon_sym_STAR] = ACTIONS(1245),
    [anon_sym_AMP] = ACTIONS(1245),
    [anon_sym_SEMI] = ACTIONS(1245),
    [anon_sym___extension__] = ACTIONS(1243),
    [anon_sym_typedef] = ACTIONS(1243),
    [anon_sym_extern] = ACTIONS(1243),
    [anon_sym___attribute__] = ACTIONS(1243),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1245),
    [anon_sym___declspec] = ACTIONS(1243),
    [anon_sym___cdecl] = ACTIONS(1243),
    [anon_sym___clrcall] = ACTIONS(1243),
    [anon_sym___stdcall] = ACTIONS(1243),
    [anon_sym___fastcall] = ACTIONS(1243),
    [anon_sym___thiscall] = ACTIONS(1243),
    [anon_sym___vectorcall] = ACTIONS(1243),
    [anon_sym_LBRACE] = ACTIONS(1245),
    [anon_sym_signed] = ACTIONS(1243),
    [anon_sym_unsigned] = ACTIONS(1243),
    [anon_sym_long] = ACTIONS(1243),
    [anon_sym_short] = ACTIONS(1243),
    [anon_sym_static] = ACTIONS(1243),
    [anon_sym_auto] = ACTIONS(1243),
    [anon_sym_register] = ACTIONS(1243),
    [anon_sym_inline] = ACTIONS(1243),
    [anon_sym___inline] = ACTIONS(1243),
    [anon_sym___inline__] = ACTIONS(1243),
    [anon_sym___forceinline] = ACTIONS(1243),
    [anon_sym_thread_local] = ACTIONS(1243),
    [anon_sym___thread] = ACTIONS(1243),
    [anon_sym_const] = ACTIONS(1243),
    [anon_sym_constexpr] = ACTIONS(1243),
    [anon_sym_volatile] = ACTIONS(1243),
    [anon_sym_restrict] = ACTIONS(1243),
    [anon_sym___restrict__] = ACTIONS(1243),
    [anon_sym__Atomic] = ACTIONS(1243),
    [anon_sym__Noreturn] = ACTIONS(1243),
    [anon_sym_noreturn] = ACTIONS(1243),
    [anon_sym_alignas] = ACTIONS(1243),
    [anon_sym__Alignas] = ACTIONS(1243),
    [sym_primitive_type] = ACTIONS(1243),
    [anon_sym_enum] = ACTIONS(1243),
    [anon_sym_struct] = ACTIONS(1243),
    [anon_sym_union] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_else] = ACTIONS(1243),
    [anon_sym_switch] = ACTIONS(1243),
    [anon_sym_case] = ACTIONS(1243),
    [anon_sym_default] = ACTIONS(1243),
    [anon_sym_while] = ACTIONS(1243),
    [anon_sym_do] = ACTIONS(1243),
    [anon_sym_for] = ACTIONS(1243),
    [anon_sym_return] = ACTIONS(1243),
    [anon_sym_break] = ACTIONS(1243),
    [anon_sym_continue] = ACTIONS(1243),
    [anon_sym_goto] = ACTIONS(1243),
    [anon_sym___try] = ACTIONS(1243),
    [anon_sym___leave] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1245),
    [anon_sym_PLUS_PLUS] = ACTIONS(1245),
    [anon_sym_sizeof] = ACTIONS(1243),
    [anon_sym___alignof__] = ACTIONS(1243),
    [anon_sym___alignof] = ACTIONS(1243),
    [anon_sym__alignof] = ACTIONS(1243),
    [anon_sym_alignof] = ACTIONS(1243),
    [anon_sym__Alignof] = ACTIONS(1243),
    [anon_sym_offsetof] = ACTIONS(1243),
    [anon_sym__Generic] = ACTIONS(1243),
    [anon_sym_asm] = ACTIONS(1243),
    [anon_sym___asm__] = ACTIONS(1243),
    [sym_number_literal] = ACTIONS(1245),
    [anon_sym_L_SQUOTE] = ACTIONS(1245),
    [anon_sym_u_SQUOTE] = ACTIONS(1245),
    [anon_sym_U_SQUOTE] = ACTIONS(1245),
    [anon_sym_u8_SQUOTE] = ACTIONS(1245),
    [anon_sym_SQUOTE] = ACTIONS(1245),
    [anon_sym_L_DQUOTE] = ACTIONS(1245),
    [anon_sym_u_DQUOTE] = ACTIONS(1245),
    [anon_sym_U_DQUOTE] = ACTIONS(1245),
    [anon_sym_u8_DQUOTE] = ACTIONS(1245),
    [anon_sym_DQUOTE] = ACTIONS(1245),
    [sym_true] = ACTIONS(1243),
    [sym_false] = ACTIONS(1243),
    [anon_sym_NULL] = ACTIONS(1243),
    [anon_sym_nullptr] = ACTIONS(1243),
    [sym_comment] = ACTIONS(3),
  },
  [228] = {
    [sym_identifier] = ACTIONS(1129),
    [aux_sym_preproc_include_token1] = ACTIONS(1129),
    [aux_sym_preproc_def_token1] = ACTIONS(1129),
    [aux_sym_preproc_if_token1] = ACTIONS(1129),
    [aux_sym_preproc_if_token2] = ACTIONS(1129),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1129),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1129),
    [sym_preproc_directive] = ACTIONS(1129),
    [anon_sym_LPAREN2] = ACTIONS(1127),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_SEMI] = ACTIONS(1127),
    [anon_sym___extension__] = ACTIONS(1129),
    [anon_sym_typedef] = ACTIONS(1129),
    [anon_sym_extern] = ACTIONS(1129),
    [anon_sym___attribute__] = ACTIONS(1129),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1127),
    [anon_sym___declspec] = ACTIONS(1129),
    [anon_sym___cdecl] = ACTIONS(1129),
    [anon_sym___clrcall] = ACTIONS(1129),
    [anon_sym___stdcall] = ACTIONS(1129),
    [anon_sym___fastcall] = ACTIONS(1129),
    [anon_sym___thiscall] = ACTIONS(1129),
    [anon_sym___vectorcall] = ACTIONS(1129),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_signed] = ACTIONS(1129),
    [anon_sym_unsigned] = ACTIONS(1129),
    [anon_sym_long] = ACTIONS(1129),
    [anon_sym_short] = ACTIONS(1129),
    [anon_sym_static] = ACTIONS(1129),
    [anon_sym_auto] = ACTIONS(1129),
    [anon_sym_register] = ACTIONS(1129),
    [anon_sym_inline] = ACTIONS(1129),
    [anon_sym___inline] = ACTIONS(1129),
    [anon_sym___inline__] = ACTIONS(1129),
    [anon_sym___forceinline] = ACTIONS(1129),
    [anon_sym_thread_local] = ACTIONS(1129),
    [anon_sym___thread] = ACTIONS(1129),
    [anon_sym_const] = ACTIONS(1129),
    [anon_sym_constexpr] = ACTIONS(1129),
    [anon_sym_volatile] = ACTIONS(1129),
    [anon_sym_restrict] = ACTIONS(1129),
    [anon_sym___restrict__] = ACTIONS(1129),
    [anon_sym__Atomic] = ACTIONS(1129),
    [anon_sym__Noreturn] = ACTIONS(1129),
    [anon_sym_noreturn] = ACTIONS(1129),
    [anon_sym_alignas] = ACTIONS(1129),
    [anon_sym__Alignas] = ACTIONS(1129),
    [sym_primitive_type] = ACTIONS(1129),
    [anon_sym_enum] = ACTIONS(1129),
    [anon_sym_struct] = ACTIONS(1129),
    [anon_sym_union] = ACTIONS(1129),
    [anon_sym_if] = ACTIONS(1129),
    [anon_sym_else] = ACTIONS(1129),
    [anon_sym_switch] = ACTIONS(1129),
    [anon_sym_case] = ACTIONS(1129),
    [anon_sym_default] = ACTIONS(1129),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_do] = ACTIONS(1129),
    [anon_sym_for] = ACTIONS(1129),
    [anon_sym_return] = ACTIONS(1129),
    [anon_sym_break] = ACTIONS(1129),
    [anon_sym_continue] = ACTIONS(1129),
    [anon_sym_goto] = ACTIONS(1129),
    [anon_sym___try] = ACTIONS(1129),
    [anon_sym___leave] = ACTIONS(1129),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_sizeof] = ACTIONS(1129),
    [anon_sym___alignof__] = ACTIONS(1129),
    [anon_sym___alignof] = ACTIONS(1129),
    [anon_sym__alignof] = ACTIONS(1129),
    [anon_sym_alignof] = ACTIONS(1129),
    [anon_sym__Alignof] = ACTIONS(1129),
    [anon_sym_offsetof] = ACTIONS(1129),
    [anon_sym__Generic] = ACTIONS(1129),
    [anon_sym_asm] = ACTIONS(1129),
    [anon_sym___asm__] = ACTIONS(1129),
    [sym_number_literal] = ACTIONS(1127),
    [anon_sym_L_SQUOTE] = ACTIONS(1127),
    [anon_sym_u_SQUOTE] = ACTIONS(1127),
    [anon_sym_U_SQUOTE] = ACTIONS(1127),
    [anon_sym_u8_SQUOTE] = ACTIONS(1127),
    [anon_sym_SQUOTE] = ACTIONS(1127),
    [anon_sym_L_DQUOTE] = ACTIONS(1127),
    [anon_sym_u_DQUOTE] = ACTIONS(1127),
    [anon_sym_U_DQUOTE] = ACTIONS(1127),
    [anon_sym_u8_DQUOTE] = ACTIONS(1127),
    [anon_sym_DQUOTE] = ACTIONS(1127),
    [sym_true] = ACTIONS(1129),
    [sym_false] = ACTIONS(1129),
    [anon_sym_NULL] = ACTIONS(1129),
    [anon_sym_nullptr] = ACTIONS(1129),
    [sym_comment] = ACTIONS(3),
  },
  [229] = {
    [sym_identifier] = ACTIONS(1247),
    [aux_sym_preproc_include_token1] = ACTIONS(1247),
    [aux_sym_preproc_def_token1] = ACTIONS(1247),
    [aux_sym_preproc_if_token1] = ACTIONS(1247),
    [aux_sym_preproc_if_token2] = ACTIONS(1247),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1247),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1247),
    [sym_preproc_directive] = ACTIONS(1247),
    [anon_sym_LPAREN2] = ACTIONS(1249),
    [anon_sym_BANG] = ACTIONS(1249),
    [anon_sym_TILDE] = ACTIONS(1249),
    [anon_sym_DASH] = ACTIONS(1247),
    [anon_sym_PLUS] = ACTIONS(1247),
    [anon_sym_STAR] = ACTIONS(1249),
    [anon_sym_AMP] = ACTIONS(1249),
    [anon_sym_SEMI] = ACTIONS(1249),
    [anon_sym___extension__] = ACTIONS(1247),
    [anon_sym_typedef] = ACTIONS(1247),
    [anon_sym_extern] = ACTIONS(1247),
    [anon_sym___attribute__] = ACTIONS(1247),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1249),
    [anon_sym___declspec] = ACTIONS(1247),
    [anon_sym___cdecl] = ACTIONS(1247),
    [anon_sym___clrcall] = ACTIONS(1247),
    [anon_sym___stdcall] = ACTIONS(1247),
    [anon_sym___fastcall] = ACTIONS(1247),
    [anon_sym___thiscall] = ACTIONS(1247),
    [anon_sym___vectorcall] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_signed] = ACTIONS(1247),
    [anon_sym_unsigned] = ACTIONS(1247),
    [anon_sym_long] = ACTIONS(1247),
    [anon_sym_short] = ACTIONS(1247),
    [anon_sym_static] = ACTIONS(1247),
    [anon_sym_auto] = ACTIONS(1247),
    [anon_sym_register] = ACTIONS(1247),
    [anon_sym_inline] = ACTIONS(1247),
    [anon_sym___inline] = ACTIONS(1247),
    [anon_sym___inline__] = ACTIONS(1247),
    [anon_sym___forceinline] = ACTIONS(1247),
    [anon_sym_thread_local] = ACTIONS(1247),
    [anon_sym___thread] = ACTIONS(1247),
    [anon_sym_const] = ACTIONS(1247),
    [anon_sym_constexpr] = ACTIONS(1247),
    [anon_sym_volatile] = ACTIONS(1247),
    [anon_sym_restrict] = ACTIONS(1247),
    [anon_sym___restrict__] = ACTIONS(1247),
    [anon_sym__Atomic] = ACTIONS(1247),
    [anon_sym__Noreturn] = ACTIONS(1247),
    [anon_sym_noreturn] = ACTIONS(1247),
    [anon_sym_alignas] = ACTIONS(1247),
    [anon_sym__Alignas] = ACTIONS(1247),
    [sym_primitive_type] = ACTIONS(1247),
    [anon_sym_enum] = ACTIONS(1247),
    [anon_sym_struct] = ACTIONS(1247),
    [anon_sym_union] = ACTIONS(1247),
    [anon_sym_if] = ACTIONS(1247),
    [anon_sym_else] = ACTIONS(1247),
    [anon_sym_switch] = ACTIONS(1247),
    [anon_sym_case] = ACTIONS(1247),
    [anon_sym_default] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1247),
    [anon_sym_do] = ACTIONS(1247),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_return] = ACTIONS(1247),
    [anon_sym_break] = ACTIONS(1247),
    [anon_sym_continue] = ACTIONS(1247),
    [anon_sym_goto] = ACTIONS(1247),
    [anon_sym___try] = ACTIONS(1247),
    [anon_sym___leave] = ACTIONS(1247),
    [anon_sym_DASH_DASH] = ACTIONS(1249),
    [anon_sym_PLUS_PLUS] = ACTIONS(1249),
    [anon_sym_sizeof] = ACTIONS(1247),
    [anon_sym___alignof__] = ACTIONS(1247),
    [anon_sym___alignof] = ACTIONS(1247),
    [anon_sym__alignof] = ACTIONS(1247),
    [anon_sym_alignof] = ACTIONS(1247),
    [anon_sym__Alignof] = ACTIONS(1247),
    [anon_sym_offsetof] = ACTIONS(1247),
    [anon_sym__Generic] = ACTIONS(1247),
    [anon_sym_asm] = ACTIONS(1247),
    [anon_sym___asm__] = ACTIONS(1247),
    [sym_number_literal] = ACTIONS(1249),
    [anon_sym_L_SQUOTE] = ACTIONS(1249),
    [anon_sym_u_SQUOTE] = ACTIONS(1249),
    [anon_sym_U_SQUOTE] = ACTIONS(1249),
    [anon_sym_u8_SQUOTE] = ACTIONS(1249),
    [anon_sym_SQUOTE] = ACTIONS(1249),
    [anon_sym_L_DQUOTE] = ACTIONS(1249),
    [anon_sym_u_DQUOTE] = ACTIONS(1249),
    [anon_sym_U_DQUOTE] = ACTIONS(1249),
    [anon_sym_u8_DQUOTE] = ACTIONS(1249),
    [anon_sym_DQUOTE] = ACTIONS(1249),
    [sym_true] = ACTIONS(1247),
    [sym_false] = ACTIONS(1247),
    [anon_sym_NULL] = ACTIONS(1247),
    [anon_sym_nullptr] = ACTIONS(1247),
    [sym_comment] = ACTIONS(3),
  },
  [230] = {
    [sym_identifier] = ACTIONS(1231),
    [aux_sym_preproc_include_token1] = ACTIONS(1231),
    [aux_sym_preproc_def_token1] = ACTIONS(1231),
    [aux_sym_preproc_if_token1] = ACTIONS(1231),
    [aux_sym_preproc_if_token2] = ACTIONS(1231),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1231),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1231),
    [sym_preproc_directive] = ACTIONS(1231),
    [anon_sym_LPAREN2] = ACTIONS(1233),
    [anon_sym_BANG] = ACTIONS(1233),
    [anon_sym_TILDE] = ACTIONS(1233),
    [anon_sym_DASH] = ACTIONS(1231),
    [anon_sym_PLUS] = ACTIONS(1231),
    [anon_sym_STAR] = ACTIONS(1233),
    [anon_sym_AMP] = ACTIONS(1233),
    [anon_sym_SEMI] = ACTIONS(1233),
    [anon_sym___extension__] = ACTIONS(1231),
    [anon_sym_typedef] = ACTIONS(1231),
    [anon_sym_extern] = ACTIONS(1231),
    [anon_sym___attribute__] = ACTIONS(1231),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1233),
    [anon_sym___declspec] = ACTIONS(1231),
    [anon_sym___cdecl] = ACTIONS(1231),
    [anon_sym___clrcall] = ACTIONS(1231),
    [anon_sym___stdcall] = ACTIONS(1231),
    [anon_sym___fastcall] = ACTIONS(1231),
    [anon_sym___thiscall] = ACTIONS(1231),
    [anon_sym___vectorcall] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_signed] = ACTIONS(1231),
    [anon_sym_unsigned] = ACTIONS(1231),
    [anon_sym_long] = ACTIONS(1231),
    [anon_sym_short] = ACTIONS(1231),
    [anon_sym_static] = ACTIONS(1231),
    [anon_sym_auto] = ACTIONS(1231),
    [anon_sym_register] = ACTIONS(1231),
    [anon_sym_inline] = ACTIONS(1231),
    [anon_sym___inline] = ACTIONS(1231),
    [anon_sym___inline__] = ACTIONS(1231),
    [anon_sym___forceinline] = ACTIONS(1231),
    [anon_sym_thread_local] = ACTIONS(1231),
    [anon_sym___thread] = ACTIONS(1231),
    [anon_sym_const] = ACTIONS(1231),
    [anon_sym_constexpr] = ACTIONS(1231),
    [anon_sym_volatile] = ACTIONS(1231),
    [anon_sym_restrict] = ACTIONS(1231),
    [anon_sym___restrict__] = ACTIONS(1231),
    [anon_sym__Atomic] = ACTIONS(1231),
    [anon_sym__Noreturn] = ACTIONS(1231),
    [anon_sym_noreturn] = ACTIONS(1231),
    [anon_sym_alignas] = ACTIONS(1231),
    [anon_sym__Alignas] = ACTIONS(1231),
    [sym_primitive_type] = ACTIONS(1231),
    [anon_sym_enum] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1231),
    [anon_sym_union] = ACTIONS(1231),
    [anon_sym_if] = ACTIONS(1231),
    [anon_sym_else] = ACTIONS(1231),
    [anon_sym_switch] = ACTIONS(1231),
    [anon_sym_case] = ACTIONS(1231),
    [anon_sym_default] = ACTIONS(1231),
    [anon_sym_while] = ACTIONS(1231),
    [anon_sym_do] = ACTIONS(1231),
    [anon_sym_for] = ACTIONS(1231),
    [anon_sym_return] = ACTIONS(1231),
    [anon_sym_break] = ACTIONS(1231),
    [anon_sym_continue] = ACTIONS(1231),
    [anon_sym_goto] = ACTIONS(1231),
    [anon_sym___try] = ACTIONS(1231),
    [anon_sym___leave] = ACTIONS(1231),
    [anon_sym_DASH_DASH] = ACTIONS(1233),
    [anon_sym_PLUS_PLUS] = ACTIONS(1233),
    [anon_sym_sizeof] = ACTIONS(1231),
    [anon_sym___alignof__] = ACTIONS(1231),
    [anon_sym___alignof] = ACTIONS(1231),
    [anon_sym__alignof] = ACTIONS(1231),
    [anon_sym_alignof] = ACTIONS(1231),
    [anon_sym__Alignof] = ACTIONS(1231),
    [anon_sym_offsetof] = ACTIONS(1231),
    [anon_sym__Generic] = ACTIONS(1231),
    [anon_sym_asm] = ACTIONS(1231),
    [anon_sym___asm__] = ACTIONS(1231),
    [sym_number_literal] = ACTIONS(1233),
    [anon_sym_L_SQUOTE] = ACTIONS(1233),
    [anon_sym_u_SQUOTE] = ACTIONS(1233),
    [anon_sym_U_SQUOTE] = ACTIONS(1233),
    [anon_sym_u8_SQUOTE] = ACTIONS(1233),
    [anon_sym_SQUOTE] = ACTIONS(1233),
    [anon_sym_L_DQUOTE] = ACTIONS(1233),
    [anon_sym_u_DQUOTE] = ACTIONS(1233),
    [anon_sym_U_DQUOTE] = ACTIONS(1233),
    [anon_sym_u8_DQUOTE] = ACTIONS(1233),
    [anon_sym_DQUOTE] = ACTIONS(1233),
    [sym_true] = ACTIONS(1231),
    [sym_false] = ACTIONS(1231),
    [anon_sym_NULL] = ACTIONS(1231),
    [anon_sym_nullptr] = ACTIONS(1231),
    [sym_comment] = ACTIONS(3),
  },
  [231] = {
    [sym_identifier] = ACTIONS(1179),
    [aux_sym_preproc_include_token1] = ACTIONS(1179),
    [aux_sym_preproc_def_token1] = ACTIONS(1179),
    [aux_sym_preproc_if_token1] = ACTIONS(1179),
    [aux_sym_preproc_if_token2] = ACTIONS(1179),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1179),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1179),
    [sym_preproc_directive] = ACTIONS(1179),
    [anon_sym_LPAREN2] = ACTIONS(1181),
    [anon_sym_BANG] = ACTIONS(1181),
    [anon_sym_TILDE] = ACTIONS(1181),
    [anon_sym_DASH] = ACTIONS(1179),
    [anon_sym_PLUS] = ACTIONS(1179),
    [anon_sym_STAR] = ACTIONS(1181),
    [anon_sym_AMP] = ACTIONS(1181),
    [anon_sym_SEMI] = ACTIONS(1181),
    [anon_sym___extension__] = ACTIONS(1179),
    [anon_sym_typedef] = ACTIONS(1179),
    [anon_sym_extern] = ACTIONS(1179),
    [anon_sym___attribute__] = ACTIONS(1179),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1181),
    [anon_sym___declspec] = ACTIONS(1179),
    [anon_sym___cdecl] = ACTIONS(1179),
    [anon_sym___clrcall] = ACTIONS(1179),
    [anon_sym___stdcall] = ACTIONS(1179),
    [anon_sym___fastcall] = ACTIONS(1179),
    [anon_sym___thiscall] = ACTIONS(1179),
    [anon_sym___vectorcall] = ACTIONS(1179),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_signed] = ACTIONS(1179),
    [anon_sym_unsigned] = ACTIONS(1179),
    [anon_sym_long] = ACTIONS(1179),
    [anon_sym_short] = ACTIONS(1179),
    [anon_sym_static] = ACTIONS(1179),
    [anon_sym_auto] = ACTIONS(1179),
    [anon_sym_register] = ACTIONS(1179),
    [anon_sym_inline] = ACTIONS(1179),
    [anon_sym___inline] = ACTIONS(1179),
    [anon_sym___inline__] = ACTIONS(1179),
    [anon_sym___forceinline] = ACTIONS(1179),
    [anon_sym_thread_local] = ACTIONS(1179),
    [anon_sym___thread] = ACTIONS(1179),
    [anon_sym_const] = ACTIONS(1179),
    [anon_sym_constexpr] = ACTIONS(1179),
    [anon_sym_volatile] = ACTIONS(1179),
    [anon_sym_restrict] = ACTIONS(1179),
    [anon_sym___restrict__] = ACTIONS(1179),
    [anon_sym__Atomic] = ACTIONS(1179),
    [anon_sym__Noreturn] = ACTIONS(1179),
    [anon_sym_noreturn] = ACTIONS(1179),
    [anon_sym_alignas] = ACTIONS(1179),
    [anon_sym__Alignas] = ACTIONS(1179),
    [sym_primitive_type] = ACTIONS(1179),
    [anon_sym_enum] = ACTIONS(1179),
    [anon_sym_struct] = ACTIONS(1179),
    [anon_sym_union] = ACTIONS(1179),
    [anon_sym_if] = ACTIONS(1179),
    [anon_sym_else] = ACTIONS(1179),
    [anon_sym_switch] = ACTIONS(1179),
    [anon_sym_case] = ACTIONS(1179),
    [anon_sym_default] = ACTIONS(1179),
    [anon_sym_while] = ACTIONS(1179),
    [anon_sym_do] = ACTIONS(1179),
    [anon_sym_for] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(1179),
    [anon_sym_break] = ACTIONS(1179),
    [anon_sym_continue] = ACTIONS(1179),
    [anon_sym_goto] = ACTIONS(1179),
    [anon_sym___try] = ACTIONS(1179),
    [anon_sym___leave] = ACTIONS(1179),
    [anon_sym_DASH_DASH] = ACTIONS(1181),
    [anon_sym_PLUS_PLUS] = ACTIONS(1181),
    [anon_sym_sizeof] = ACTIONS(1179),
    [anon_sym___alignof__] = ACTIONS(1179),
    [anon_sym___alignof] = ACTIONS(1179),
    [anon_sym__alignof] = ACTIONS(1179),
    [anon_sym_alignof] = ACTIONS(1179),
    [anon_sym__Alignof] = ACTIONS(1179),
    [anon_sym_offsetof] = ACTIONS(1179),
    [anon_sym__Generic] = ACTIONS(1179),
    [anon_sym_asm] = ACTIONS(1179),
    [anon_sym___asm__] = ACTIONS(1179),
    [sym_number_literal] = ACTIONS(1181),
    [anon_sym_L_SQUOTE] = ACTIONS(1181),
    [anon_sym_u_SQUOTE] = ACTIONS(1181),
    [anon_sym_U_SQUOTE] = ACTIONS(1181),
    [anon_sym_u8_SQUOTE] = ACTIONS(1181),
    [anon_sym_SQUOTE] = ACTIONS(1181),
    [anon_sym_L_DQUOTE] = ACTIONS(1181),
    [anon_sym_u_DQUOTE] = ACTIONS(1181),
    [anon_sym_U_DQUOTE] = ACTIONS(1181),
    [anon_sym_u8_DQUOTE] = ACTIONS(1181),
    [anon_sym_DQUOTE] = ACTIONS(1181),
    [sym_true] = ACTIONS(1179),
    [sym_false] = ACTIONS(1179),
    [anon_sym_NULL] = ACTIONS(1179),
    [anon_sym_nullptr] = ACTIONS(1179),
    [sym_comment] = ACTIONS(3),
  },
  [232] = {
    [sym_identifier] = ACTIONS(1235),
    [aux_sym_preproc_include_token1] = ACTIONS(1235),
    [aux_sym_preproc_def_token1] = ACTIONS(1235),
    [aux_sym_preproc_if_token1] = ACTIONS(1235),
    [aux_sym_preproc_if_token2] = ACTIONS(1235),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1235),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1235),
    [sym_preproc_directive] = ACTIONS(1235),
    [anon_sym_LPAREN2] = ACTIONS(1237),
    [anon_sym_BANG] = ACTIONS(1237),
    [anon_sym_TILDE] = ACTIONS(1237),
    [anon_sym_DASH] = ACTIONS(1235),
    [anon_sym_PLUS] = ACTIONS(1235),
    [anon_sym_STAR] = ACTIONS(1237),
    [anon_sym_AMP] = ACTIONS(1237),
    [anon_sym_SEMI] = ACTIONS(1237),
    [anon_sym___extension__] = ACTIONS(1235),
    [anon_sym_typedef] = ACTIONS(1235),
    [anon_sym_extern] = ACTIONS(1235),
    [anon_sym___attribute__] = ACTIONS(1235),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1237),
    [anon_sym___declspec] = ACTIONS(1235),
    [anon_sym___cdecl] = ACTIONS(1235),
    [anon_sym___clrcall] = ACTIONS(1235),
    [anon_sym___stdcall] = ACTIONS(1235),
    [anon_sym___fastcall] = ACTIONS(1235),
    [anon_sym___thiscall] = ACTIONS(1235),
    [anon_sym___vectorcall] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_signed] = ACTIONS(1235),
    [anon_sym_unsigned] = ACTIONS(1235),
    [anon_sym_long] = ACTIONS(1235),
    [anon_sym_short] = ACTIONS(1235),
    [anon_sym_static] = ACTIONS(1235),
    [anon_sym_auto] = ACTIONS(1235),
    [anon_sym_register] = ACTIONS(1235),
    [anon_sym_inline] = ACTIONS(1235),
    [anon_sym___inline] = ACTIONS(1235),
    [anon_sym___inline__] = ACTIONS(1235),
    [anon_sym___forceinline] = ACTIONS(1235),
    [anon_sym_thread_local] = ACTIONS(1235),
    [anon_sym___thread] = ACTIONS(1235),
    [anon_sym_const] = ACTIONS(1235),
    [anon_sym_constexpr] = ACTIONS(1235),
    [anon_sym_volatile] = ACTIONS(1235),
    [anon_sym_restrict] = ACTIONS(1235),
    [anon_sym___restrict__] = ACTIONS(1235),
    [anon_sym__Atomic] = ACTIONS(1235),
    [anon_sym__Noreturn] = ACTIONS(1235),
    [anon_sym_noreturn] = ACTIONS(1235),
    [anon_sym_alignas] = ACTIONS(1235),
    [anon_sym__Alignas] = ACTIONS(1235),
    [sym_primitive_type] = ACTIONS(1235),
    [anon_sym_enum] = ACTIONS(1235),
    [anon_sym_struct] = ACTIONS(1235),
    [anon_sym_union] = ACTIONS(1235),
    [anon_sym_if] = ACTIONS(1235),
    [anon_sym_else] = ACTIONS(1235),
    [anon_sym_switch] = ACTIONS(1235),
    [anon_sym_case] = ACTIONS(1235),
    [anon_sym_default] = ACTIONS(1235),
    [anon_sym_while] = ACTIONS(1235),
    [anon_sym_do] = ACTIONS(1235),
    [anon_sym_for] = ACTIONS(1235),
    [anon_sym_return] = ACTIONS(1235),
    [anon_sym_break] = ACTIONS(1235),
    [anon_sym_continue] = ACTIONS(1235),
    [anon_sym_goto] = ACTIONS(1235),
    [anon_sym___try] = ACTIONS(1235),
    [anon_sym___leave] = ACTIONS(1235),
    [anon_sym_DASH_DASH] = ACTIONS(1237),
    [anon_sym_PLUS_PLUS] = ACTIONS(1237),
    [anon_sym_sizeof] = ACTIONS(1235),
    [anon_sym___alignof__] = ACTIONS(1235),
    [anon_sym___alignof] = ACTIONS(1235),
    [anon_sym__alignof] = ACTIONS(1235),
    [anon_sym_alignof] = ACTIONS(1235),
    [anon_sym__Alignof] = ACTIONS(1235),
    [anon_sym_offsetof] = ACTIONS(1235),
    [anon_sym__Generic] = ACTIONS(1235),
    [anon_sym_asm] = ACTIONS(1235),
    [anon_sym___asm__] = ACTIONS(1235),
    [sym_number_literal] = ACTIONS(1237),
    [anon_sym_L_SQUOTE] = ACTIONS(1237),
    [anon_sym_u_SQUOTE] = ACTIONS(1237),
    [anon_sym_U_SQUOTE] = ACTIONS(1237),
    [anon_sym_u8_SQUOTE] = ACTIONS(1237),
    [anon_sym_SQUOTE] = ACTIONS(1237),
    [anon_sym_L_DQUOTE] = ACTIONS(1237),
    [anon_sym_u_DQUOTE] = ACTIONS(1237),
    [anon_sym_U_DQUOTE] = ACTIONS(1237),
    [anon_sym_u8_DQUOTE] = ACTIONS(1237),
    [anon_sym_DQUOTE] = ACTIONS(1237),
    [sym_true] = ACTIONS(1235),
    [sym_false] = ACTIONS(1235),
    [anon_sym_NULL] = ACTIONS(1235),
    [anon_sym_nullptr] = ACTIONS(1235),
    [sym_comment] = ACTIONS(3),
  },
  [233] = {
    [sym_identifier] = ACTIONS(1227),
    [aux_sym_preproc_include_token1] = ACTIONS(1227),
    [aux_sym_preproc_def_token1] = ACTIONS(1227),
    [aux_sym_preproc_if_token1] = ACTIONS(1227),
    [aux_sym_preproc_if_token2] = ACTIONS(1227),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1227),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1227),
    [sym_preproc_directive] = ACTIONS(1227),
    [anon_sym_LPAREN2] = ACTIONS(1229),
    [anon_sym_BANG] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(1229),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_STAR] = ACTIONS(1229),
    [anon_sym_AMP] = ACTIONS(1229),
    [anon_sym_SEMI] = ACTIONS(1229),
    [anon_sym___extension__] = ACTIONS(1227),
    [anon_sym_typedef] = ACTIONS(1227),
    [anon_sym_extern] = ACTIONS(1227),
    [anon_sym___attribute__] = ACTIONS(1227),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1229),
    [anon_sym___declspec] = ACTIONS(1227),
    [anon_sym___cdecl] = ACTIONS(1227),
    [anon_sym___clrcall] = ACTIONS(1227),
    [anon_sym___stdcall] = ACTIONS(1227),
    [anon_sym___fastcall] = ACTIONS(1227),
    [anon_sym___thiscall] = ACTIONS(1227),
    [anon_sym___vectorcall] = ACTIONS(1227),
    [anon_sym_LBRACE] = ACTIONS(1229),
    [anon_sym_signed] = ACTIONS(1227),
    [anon_sym_unsigned] = ACTIONS(1227),
    [anon_sym_long] = ACTIONS(1227),
    [anon_sym_short] = ACTIONS(1227),
    [anon_sym_static] = ACTIONS(1227),
    [anon_sym_auto] = ACTIONS(1227),
    [anon_sym_register] = ACTIONS(1227),
    [anon_sym_inline] = ACTIONS(1227),
    [anon_sym___inline] = ACTIONS(1227),
    [anon_sym___inline__] = ACTIONS(1227),
    [anon_sym___forceinline] = ACTIONS(1227),
    [anon_sym_thread_local] = ACTIONS(1227),
    [anon_sym___thread] = ACTIONS(1227),
    [anon_sym_const] = ACTIONS(1227),
    [anon_sym_constexpr] = ACTIONS(1227),
    [anon_sym_volatile] = ACTIONS(1227),
    [anon_sym_restrict] = ACTIONS(1227),
    [anon_sym___restrict__] = ACTIONS(1227),
    [anon_sym__Atomic] = ACTIONS(1227),
    [anon_sym__Noreturn] = ACTIONS(1227),
    [anon_sym_noreturn] = ACTIONS(1227),
    [anon_sym_alignas] = ACTIONS(1227),
    [anon_sym__Alignas] = ACTIONS(1227),
    [sym_primitive_type] = ACTIONS(1227),
    [anon_sym_enum] = ACTIONS(1227),
    [anon_sym_struct] = ACTIONS(1227),
    [anon_sym_union] = ACTIONS(1227),
    [anon_sym_if] = ACTIONS(1227),
    [anon_sym_else] = ACTIONS(1227),
    [anon_sym_switch] = ACTIONS(1227),
    [anon_sym_case] = ACTIONS(1227),
    [anon_sym_default] = ACTIONS(1227),
    [anon_sym_while] = ACTIONS(1227),
    [anon_sym_do] = ACTIONS(1227),
    [anon_sym_for] = ACTIONS(1227),
    [anon_sym_return] = ACTIONS(1227),
    [anon_sym_break] = ACTIONS(1227),
    [anon_sym_continue] = ACTIONS(1227),
    [anon_sym_goto] = ACTIONS(1227),
    [anon_sym___try] = ACTIONS(1227),
    [anon_sym___leave] = ACTIONS(1227),
    [anon_sym_DASH_DASH] = ACTIONS(1229),
    [anon_sym_PLUS_PLUS] = ACTIONS(1229),
    [anon_sym_sizeof] = ACTIONS(1227),
    [anon_sym___alignof__] = ACTIONS(1227),
    [anon_sym___alignof] = ACTIONS(1227),
    [anon_sym__alignof] = ACTIONS(1227),
    [anon_sym_alignof] = ACTIONS(1227),
    [anon_sym__Alignof] = ACTIONS(1227),
    [anon_sym_offsetof] = ACTIONS(1227),
    [anon_sym__Generic] = ACTIONS(1227),
    [anon_sym_asm] = ACTIONS(1227),
    [anon_sym___asm__] = ACTIONS(1227),
    [sym_number_literal] = ACTIONS(1229),
    [anon_sym_L_SQUOTE] = ACTIONS(1229),
    [anon_sym_u_SQUOTE] = ACTIONS(1229),
    [anon_sym_U_SQUOTE] = ACTIONS(1229),
    [anon_sym_u8_SQUOTE] = ACTIONS(1229),
    [anon_sym_SQUOTE] = ACTIONS(1229),
    [anon_sym_L_DQUOTE] = ACTIONS(1229),
    [anon_sym_u_DQUOTE] = ACTIONS(1229),
    [anon_sym_U_DQUOTE] = ACTIONS(1229),
    [anon_sym_u8_DQUOTE] = ACTIONS(1229),
    [anon_sym_DQUOTE] = ACTIONS(1229),
    [sym_true] = ACTIONS(1227),
    [sym_false] = ACTIONS(1227),
    [anon_sym_NULL] = ACTIONS(1227),
    [anon_sym_nullptr] = ACTIONS(1227),
    [sym_comment] = ACTIONS(3),
  },
  [234] = {
    [sym_identifier] = ACTIONS(1207),
    [aux_sym_preproc_include_token1] = ACTIONS(1207),
    [aux_sym_preproc_def_token1] = ACTIONS(1207),
    [aux_sym_preproc_if_token1] = ACTIONS(1207),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1207),
    [sym_preproc_directive] = ACTIONS(1207),
    [anon_sym_LPAREN2] = ACTIONS(1209),
    [anon_sym_BANG] = ACTIONS(1209),
    [anon_sym_TILDE] = ACTIONS(1209),
    [anon_sym_DASH] = ACTIONS(1207),
    [anon_sym_PLUS] = ACTIONS(1207),
    [anon_sym_STAR] = ACTIONS(1209),
    [anon_sym_AMP] = ACTIONS(1209),
    [anon_sym_SEMI] = ACTIONS(1209),
    [anon_sym___extension__] = ACTIONS(1207),
    [anon_sym_typedef] = ACTIONS(1207),
    [anon_sym_extern] = ACTIONS(1207),
    [anon_sym___attribute__] = ACTIONS(1207),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1209),
    [anon_sym___declspec] = ACTIONS(1207),
    [anon_sym___cdecl] = ACTIONS(1207),
    [anon_sym___clrcall] = ACTIONS(1207),
    [anon_sym___stdcall] = ACTIONS(1207),
    [anon_sym___fastcall] = ACTIONS(1207),
    [anon_sym___thiscall] = ACTIONS(1207),
    [anon_sym___vectorcall] = ACTIONS(1207),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_RBRACE] = ACTIONS(1209),
    [anon_sym_signed] = ACTIONS(1207),
    [anon_sym_unsigned] = ACTIONS(1207),
    [anon_sym_long] = ACTIONS(1207),
    [anon_sym_short] = ACTIONS(1207),
    [anon_sym_static] = ACTIONS(1207),
    [anon_sym_auto] = ACTIONS(1207),
    [anon_sym_register] = ACTIONS(1207),
    [anon_sym_inline] = ACTIONS(1207),
    [anon_sym___inline] = ACTIONS(1207),
    [anon_sym___inline__] = ACTIONS(1207),
    [anon_sym___forceinline] = ACTIONS(1207),
    [anon_sym_thread_local] = ACTIONS(1207),
    [anon_sym___thread] = ACTIONS(1207),
    [anon_sym_const] = ACTIONS(1207),
    [anon_sym_constexpr] = ACTIONS(1207),
    [anon_sym_volatile] = ACTIONS(1207),
    [anon_sym_restrict] = ACTIONS(1207),
    [anon_sym___restrict__] = ACTIONS(1207),
    [anon_sym__Atomic] = ACTIONS(1207),
    [anon_sym__Noreturn] = ACTIONS(1207),
    [anon_sym_noreturn] = ACTIONS(1207),
    [anon_sym_alignas] = ACTIONS(1207),
    [anon_sym__Alignas] = ACTIONS(1207),
    [sym_primitive_type] = ACTIONS(1207),
    [anon_sym_enum] = ACTIONS(1207),
    [anon_sym_struct] = ACTIONS(1207),
    [anon_sym_union] = ACTIONS(1207),
    [anon_sym_if] = ACTIONS(1207),
    [anon_sym_else] = ACTIONS(1207),
    [anon_sym_switch] = ACTIONS(1207),
    [anon_sym_case] = ACTIONS(1207),
    [anon_sym_default] = ACTIONS(1207),
    [anon_sym_while] = ACTIONS(1207),
    [anon_sym_do] = ACTIONS(1207),
    [anon_sym_for] = ACTIONS(1207),
    [anon_sym_return] = ACTIONS(1207),
    [anon_sym_break] = ACTIONS(1207),
    [anon_sym_continue] = ACTIONS(1207),
    [anon_sym_goto] = ACTIONS(1207),
    [anon_sym___try] = ACTIONS(1207),
    [anon_sym___leave] = ACTIONS(1207),
    [anon_sym_DASH_DASH] = ACTIONS(1209),
    [anon_sym_PLUS_PLUS] = ACTIONS(1209),
    [anon_sym_sizeof] = ACTIONS(1207),
    [anon_sym___alignof__] = ACTIONS(1207),
    [anon_sym___alignof] = ACTIONS(1207),
    [anon_sym__alignof] = ACTIONS(1207),
    [anon_sym_alignof] = ACTIONS(1207),
    [anon_sym__Alignof] = ACTIONS(1207),
    [anon_sym_offsetof] = ACTIONS(1207),
    [anon_sym__Generic] = ACTIONS(1207),
    [anon_sym_asm] = ACTIONS(1207),
    [anon_sym___asm__] = ACTIONS(1207),
    [sym_number_literal] = ACTIONS(1209),
    [anon_sym_L_SQUOTE] = ACTIONS(1209),
    [anon_sym_u_SQUOTE] = ACTIONS(1209),
    [anon_sym_U_SQUOTE] = ACTIONS(1209),
    [anon_sym_u8_SQUOTE] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1209),
    [anon_sym_L_DQUOTE] = ACTIONS(1209),
    [anon_sym_u_DQUOTE] = ACTIONS(1209),
    [anon_sym_U_DQUOTE] = ACTIONS(1209),
    [anon_sym_u8_DQUOTE] = ACTIONS(1209),
    [anon_sym_DQUOTE] = ACTIONS(1209),
    [sym_true] = ACTIONS(1207),
    [sym_false] = ACTIONS(1207),
    [anon_sym_NULL] = ACTIONS(1207),
    [anon_sym_nullptr] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
  },
  [235] = {
    [ts_builtin_sym_end] = ACTIONS(1133),
    [sym_identifier] = ACTIONS(1131),
    [aux_sym_preproc_include_token1] = ACTIONS(1131),
    [aux_sym_preproc_def_token1] = ACTIONS(1131),
    [aux_sym_preproc_if_token1] = ACTIONS(1131),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1131),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1131),
    [sym_preproc_directive] = ACTIONS(1131),
    [anon_sym_LPAREN2] = ACTIONS(1133),
    [anon_sym_BANG] = ACTIONS(1133),
    [anon_sym_TILDE] = ACTIONS(1133),
    [anon_sym_DASH] = ACTIONS(1131),
    [anon_sym_PLUS] = ACTIONS(1131),
    [anon_sym_STAR] = ACTIONS(1133),
    [anon_sym_AMP] = ACTIONS(1133),
    [anon_sym_SEMI] = ACTIONS(1133),
    [anon_sym___extension__] = ACTIONS(1131),
    [anon_sym_typedef] = ACTIONS(1131),
    [anon_sym_extern] = ACTIONS(1131),
    [anon_sym___attribute__] = ACTIONS(1131),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1133),
    [anon_sym___declspec] = ACTIONS(1131),
    [anon_sym___cdecl] = ACTIONS(1131),
    [anon_sym___clrcall] = ACTIONS(1131),
    [anon_sym___stdcall] = ACTIONS(1131),
    [anon_sym___fastcall] = ACTIONS(1131),
    [anon_sym___thiscall] = ACTIONS(1131),
    [anon_sym___vectorcall] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_signed] = ACTIONS(1131),
    [anon_sym_unsigned] = ACTIONS(1131),
    [anon_sym_long] = ACTIONS(1131),
    [anon_sym_short] = ACTIONS(1131),
    [anon_sym_static] = ACTIONS(1131),
    [anon_sym_auto] = ACTIONS(1131),
    [anon_sym_register] = ACTIONS(1131),
    [anon_sym_inline] = ACTIONS(1131),
    [anon_sym___inline] = ACTIONS(1131),
    [anon_sym___inline__] = ACTIONS(1131),
    [anon_sym___forceinline] = ACTIONS(1131),
    [anon_sym_thread_local] = ACTIONS(1131),
    [anon_sym___thread] = ACTIONS(1131),
    [anon_sym_const] = ACTIONS(1131),
    [anon_sym_constexpr] = ACTIONS(1131),
    [anon_sym_volatile] = ACTIONS(1131),
    [anon_sym_restrict] = ACTIONS(1131),
    [anon_sym___restrict__] = ACTIONS(1131),
    [anon_sym__Atomic] = ACTIONS(1131),
    [anon_sym__Noreturn] = ACTIONS(1131),
    [anon_sym_noreturn] = ACTIONS(1131),
    [anon_sym_alignas] = ACTIONS(1131),
    [anon_sym__Alignas] = ACTIONS(1131),
    [sym_primitive_type] = ACTIONS(1131),
    [anon_sym_enum] = ACTIONS(1131),
    [anon_sym_struct] = ACTIONS(1131),
    [anon_sym_union] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1131),
    [anon_sym_else] = ACTIONS(1131),
    [anon_sym_switch] = ACTIONS(1131),
    [anon_sym_case] = ACTIONS(1131),
    [anon_sym_default] = ACTIONS(1131),
    [anon_sym_while] = ACTIONS(1131),
    [anon_sym_do] = ACTIONS(1131),
    [anon_sym_for] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1131),
    [anon_sym_break] = ACTIONS(1131),
    [anon_sym_continue] = ACTIONS(1131),
    [anon_sym_goto] = ACTIONS(1131),
    [anon_sym___try] = ACTIONS(1131),
    [anon_sym___leave] = ACTIONS(1131),
    [anon_sym_DASH_DASH] = ACTIONS(1133),
    [anon_sym_PLUS_PLUS] = ACTIONS(1133),
    [anon_sym_sizeof] = ACTIONS(1131),
    [anon_sym___alignof__] = ACTIONS(1131),
    [anon_sym___alignof] = ACTIONS(1131),
    [anon_sym__alignof] = ACTIONS(1131),
    [anon_sym_alignof] = ACTIONS(1131),
    [anon_sym__Alignof] = ACTIONS(1131),
    [anon_sym_offsetof] = ACTIONS(1131),
    [anon_sym__Generic] = ACTIONS(1131),
    [anon_sym_asm] = ACTIONS(1131),
    [anon_sym___asm__] = ACTIONS(1131),
    [sym_number_literal] = ACTIONS(1133),
    [anon_sym_L_SQUOTE] = ACTIONS(1133),
    [anon_sym_u_SQUOTE] = ACTIONS(1133),
    [anon_sym_U_SQUOTE] = ACTIONS(1133),
    [anon_sym_u8_SQUOTE] = ACTIONS(1133),
    [anon_sym_SQUOTE] = ACTIONS(1133),
    [anon_sym_L_DQUOTE] = ACTIONS(1133),
    [anon_sym_u_DQUOTE] = ACTIONS(1133),
    [anon_sym_U_DQUOTE] = ACTIONS(1133),
    [anon_sym_u8_DQUOTE] = ACTIONS(1133),
    [anon_sym_DQUOTE] = ACTIONS(1133),
    [sym_true] = ACTIONS(1131),
    [sym_false] = ACTIONS(1131),
    [anon_sym_NULL] = ACTIONS(1131),
    [anon_sym_nullptr] = ACTIONS(1131),
    [sym_comment] = ACTIONS(3),
  },
  [236] = {
    [sym_identifier] = ACTIONS(1199),
    [aux_sym_preproc_include_token1] = ACTIONS(1199),
    [aux_sym_preproc_def_token1] = ACTIONS(1199),
    [aux_sym_preproc_if_token1] = ACTIONS(1199),
    [aux_sym_preproc_if_token2] = ACTIONS(1199),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1199),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1199),
    [sym_preproc_directive] = ACTIONS(1199),
    [anon_sym_LPAREN2] = ACTIONS(1201),
    [anon_sym_BANG] = ACTIONS(1201),
    [anon_sym_TILDE] = ACTIONS(1201),
    [anon_sym_DASH] = ACTIONS(1199),
    [anon_sym_PLUS] = ACTIONS(1199),
    [anon_sym_STAR] = ACTIONS(1201),
    [anon_sym_AMP] = ACTIONS(1201),
    [anon_sym_SEMI] = ACTIONS(1201),
    [anon_sym___extension__] = ACTIONS(1199),
    [anon_sym_typedef] = ACTIONS(1199),
    [anon_sym_extern] = ACTIONS(1199),
    [anon_sym___attribute__] = ACTIONS(1199),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1201),
    [anon_sym___declspec] = ACTIONS(1199),
    [anon_sym___cdecl] = ACTIONS(1199),
    [anon_sym___clrcall] = ACTIONS(1199),
    [anon_sym___stdcall] = ACTIONS(1199),
    [anon_sym___fastcall] = ACTIONS(1199),
    [anon_sym___thiscall] = ACTIONS(1199),
    [anon_sym___vectorcall] = ACTIONS(1199),
    [anon_sym_LBRACE] = ACTIONS(1201),
    [anon_sym_signed] = ACTIONS(1199),
    [anon_sym_unsigned] = ACTIONS(1199),
    [anon_sym_long] = ACTIONS(1199),
    [anon_sym_short] = ACTIONS(1199),
    [anon_sym_static] = ACTIONS(1199),
    [anon_sym_auto] = ACTIONS(1199),
    [anon_sym_register] = ACTIONS(1199),
    [anon_sym_inline] = ACTIONS(1199),
    [anon_sym___inline] = ACTIONS(1199),
    [anon_sym___inline__] = ACTIONS(1199),
    [anon_sym___forceinline] = ACTIONS(1199),
    [anon_sym_thread_local] = ACTIONS(1199),
    [anon_sym___thread] = ACTIONS(1199),
    [anon_sym_const] = ACTIONS(1199),
    [anon_sym_constexpr] = ACTIONS(1199),
    [anon_sym_volatile] = ACTIONS(1199),
    [anon_sym_restrict] = ACTIONS(1199),
    [anon_sym___restrict__] = ACTIONS(1199),
    [anon_sym__Atomic] = ACTIONS(1199),
    [anon_sym__Noreturn] = ACTIONS(1199),
    [anon_sym_noreturn] = ACTIONS(1199),
    [anon_sym_alignas] = ACTIONS(1199),
    [anon_sym__Alignas] = ACTIONS(1199),
    [sym_primitive_type] = ACTIONS(1199),
    [anon_sym_enum] = ACTIONS(1199),
    [anon_sym_struct] = ACTIONS(1199),
    [anon_sym_union] = ACTIONS(1199),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_else] = ACTIONS(1199),
    [anon_sym_switch] = ACTIONS(1199),
    [anon_sym_case] = ACTIONS(1199),
    [anon_sym_default] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(1199),
    [anon_sym_do] = ACTIONS(1199),
    [anon_sym_for] = ACTIONS(1199),
    [anon_sym_return] = ACTIONS(1199),
    [anon_sym_break] = ACTIONS(1199),
    [anon_sym_continue] = ACTIONS(1199),
    [anon_sym_goto] = ACTIONS(1199),
    [anon_sym___try] = ACTIONS(1199),
    [anon_sym___leave] = ACTIONS(1199),
    [anon_sym_DASH_DASH] = ACTIONS(1201),
    [anon_sym_PLUS_PLUS] = ACTIONS(1201),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym___alignof__] = ACTIONS(1199),
    [anon_sym___alignof] = ACTIONS(1199),
    [anon_sym__alignof] = ACTIONS(1199),
    [anon_sym_alignof] = ACTIONS(1199),
    [anon_sym__Alignof] = ACTIONS(1199),
    [anon_sym_offsetof] = ACTIONS(1199),
    [anon_sym__Generic] = ACTIONS(1199),
    [anon_sym_asm] = ACTIONS(1199),
    [anon_sym___asm__] = ACTIONS(1199),
    [sym_number_literal] = ACTIONS(1201),
    [anon_sym_L_SQUOTE] = ACTIONS(1201),
    [anon_sym_u_SQUOTE] = ACTIONS(1201),
    [anon_sym_U_SQUOTE] = ACTIONS(1201),
    [anon_sym_u8_SQUOTE] = ACTIONS(1201),
    [anon_sym_SQUOTE] = ACTIONS(1201),
    [anon_sym_L_DQUOTE] = ACTIONS(1201),
    [anon_sym_u_DQUOTE] = ACTIONS(1201),
    [anon_sym_U_DQUOTE] = ACTIONS(1201),
    [anon_sym_u8_DQUOTE] = ACTIONS(1201),
    [anon_sym_DQUOTE] = ACTIONS(1201),
    [sym_true] = ACTIONS(1199),
    [sym_false] = ACTIONS(1199),
    [anon_sym_NULL] = ACTIONS(1199),
    [anon_sym_nullptr] = ACTIONS(1199),
    [sym_comment] = ACTIONS(3),
  },
  [237] = {
    [ts_builtin_sym_end] = ACTIONS(1137),
    [sym_identifier] = ACTIONS(1135),
    [aux_sym_preproc_include_token1] = ACTIONS(1135),
    [aux_sym_preproc_def_token1] = ACTIONS(1135),
    [aux_sym_preproc_if_token1] = ACTIONS(1135),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1135),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1135),
    [sym_preproc_directive] = ACTIONS(1135),
    [anon_sym_LPAREN2] = ACTIONS(1137),
    [anon_sym_BANG] = ACTIONS(1137),
    [anon_sym_TILDE] = ACTIONS(1137),
    [anon_sym_DASH] = ACTIONS(1135),
    [anon_sym_PLUS] = ACTIONS(1135),
    [anon_sym_STAR] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(1137),
    [anon_sym_SEMI] = ACTIONS(1137),
    [anon_sym___extension__] = ACTIONS(1135),
    [anon_sym_typedef] = ACTIONS(1135),
    [anon_sym_extern] = ACTIONS(1135),
    [anon_sym___attribute__] = ACTIONS(1135),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1137),
    [anon_sym___declspec] = ACTIONS(1135),
    [anon_sym___cdecl] = ACTIONS(1135),
    [anon_sym___clrcall] = ACTIONS(1135),
    [anon_sym___stdcall] = ACTIONS(1135),
    [anon_sym___fastcall] = ACTIONS(1135),
    [anon_sym___thiscall] = ACTIONS(1135),
    [anon_sym___vectorcall] = ACTIONS(1135),
    [anon_sym_LBRACE] = ACTIONS(1137),
    [anon_sym_signed] = ACTIONS(1135),
    [anon_sym_unsigned] = ACTIONS(1135),
    [anon_sym_long] = ACTIONS(1135),
    [anon_sym_short] = ACTIONS(1135),
    [anon_sym_static] = ACTIONS(1135),
    [anon_sym_auto] = ACTIONS(1135),
    [anon_sym_register] = ACTIONS(1135),
    [anon_sym_inline] = ACTIONS(1135),
    [anon_sym___inline] = ACTIONS(1135),
    [anon_sym___inline__] = ACTIONS(1135),
    [anon_sym___forceinline] = ACTIONS(1135),
    [anon_sym_thread_local] = ACTIONS(1135),
    [anon_sym___thread] = ACTIONS(1135),
    [anon_sym_const] = ACTIONS(1135),
    [anon_sym_constexpr] = ACTIONS(1135),
    [anon_sym_volatile] = ACTIONS(1135),
    [anon_sym_restrict] = ACTIONS(1135),
    [anon_sym___restrict__] = ACTIONS(1135),
    [anon_sym__Atomic] = ACTIONS(1135),
    [anon_sym__Noreturn] = ACTIONS(1135),
    [anon_sym_noreturn] = ACTIONS(1135),
    [anon_sym_alignas] = ACTIONS(1135),
    [anon_sym__Alignas] = ACTIONS(1135),
    [sym_primitive_type] = ACTIONS(1135),
    [anon_sym_enum] = ACTIONS(1135),
    [anon_sym_struct] = ACTIONS(1135),
    [anon_sym_union] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(1135),
    [anon_sym_else] = ACTIONS(1135),
    [anon_sym_switch] = ACTIONS(1135),
    [anon_sym_case] = ACTIONS(1135),
    [anon_sym_default] = ACTIONS(1135),
    [anon_sym_while] = ACTIONS(1135),
    [anon_sym_do] = ACTIONS(1135),
    [anon_sym_for] = ACTIONS(1135),
    [anon_sym_return] = ACTIONS(1135),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [anon_sym_goto] = ACTIONS(1135),
    [anon_sym___try] = ACTIONS(1135),
    [anon_sym___leave] = ACTIONS(1135),
    [anon_sym_DASH_DASH] = ACTIONS(1137),
    [anon_sym_PLUS_PLUS] = ACTIONS(1137),
    [anon_sym_sizeof] = ACTIONS(1135),
    [anon_sym___alignof__] = ACTIONS(1135),
    [anon_sym___alignof] = ACTIONS(1135),
    [anon_sym__alignof] = ACTIONS(1135),
    [anon_sym_alignof] = ACTIONS(1135),
    [anon_sym__Alignof] = ACTIONS(1135),
    [anon_sym_offsetof] = ACTIONS(1135),
    [anon_sym__Generic] = ACTIONS(1135),
    [anon_sym_asm] = ACTIONS(1135),
    [anon_sym___asm__] = ACTIONS(1135),
    [sym_number_literal] = ACTIONS(1137),
    [anon_sym_L_SQUOTE] = ACTIONS(1137),
    [anon_sym_u_SQUOTE] = ACTIONS(1137),
    [anon_sym_U_SQUOTE] = ACTIONS(1137),
    [anon_sym_u8_SQUOTE] = ACTIONS(1137),
    [anon_sym_SQUOTE] = ACTIONS(1137),
    [anon_sym_L_DQUOTE] = ACTIONS(1137),
    [anon_sym_u_DQUOTE] = ACTIONS(1137),
    [anon_sym_U_DQUOTE] = ACTIONS(1137),
    [anon_sym_u8_DQUOTE] = ACTIONS(1137),
    [anon_sym_DQUOTE] = ACTIONS(1137),
    [sym_true] = ACTIONS(1135),
    [sym_false] = ACTIONS(1135),
    [anon_sym_NULL] = ACTIONS(1135),
    [anon_sym_nullptr] = ACTIONS(1135),
    [sym_comment] = ACTIONS(3),
  },
  [238] = {
    [ts_builtin_sym_end] = ACTIONS(1149),
    [sym_identifier] = ACTIONS(1147),
    [aux_sym_preproc_include_token1] = ACTIONS(1147),
    [aux_sym_preproc_def_token1] = ACTIONS(1147),
    [aux_sym_preproc_if_token1] = ACTIONS(1147),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1147),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1147),
    [sym_preproc_directive] = ACTIONS(1147),
    [anon_sym_LPAREN2] = ACTIONS(1149),
    [anon_sym_BANG] = ACTIONS(1149),
    [anon_sym_TILDE] = ACTIONS(1149),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_STAR] = ACTIONS(1149),
    [anon_sym_AMP] = ACTIONS(1149),
    [anon_sym_SEMI] = ACTIONS(1149),
    [anon_sym___extension__] = ACTIONS(1147),
    [anon_sym_typedef] = ACTIONS(1147),
    [anon_sym_extern] = ACTIONS(1147),
    [anon_sym___attribute__] = ACTIONS(1147),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1149),
    [anon_sym___declspec] = ACTIONS(1147),
    [anon_sym___cdecl] = ACTIONS(1147),
    [anon_sym___clrcall] = ACTIONS(1147),
    [anon_sym___stdcall] = ACTIONS(1147),
    [anon_sym___fastcall] = ACTIONS(1147),
    [anon_sym___thiscall] = ACTIONS(1147),
    [anon_sym___vectorcall] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1149),
    [anon_sym_signed] = ACTIONS(1147),
    [anon_sym_unsigned] = ACTIONS(1147),
    [anon_sym_long] = ACTIONS(1147),
    [anon_sym_short] = ACTIONS(1147),
    [anon_sym_static] = ACTIONS(1147),
    [anon_sym_auto] = ACTIONS(1147),
    [anon_sym_register] = ACTIONS(1147),
    [anon_sym_inline] = ACTIONS(1147),
    [anon_sym___inline] = ACTIONS(1147),
    [anon_sym___inline__] = ACTIONS(1147),
    [anon_sym___forceinline] = ACTIONS(1147),
    [anon_sym_thread_local] = ACTIONS(1147),
    [anon_sym___thread] = ACTIONS(1147),
    [anon_sym_const] = ACTIONS(1147),
    [anon_sym_constexpr] = ACTIONS(1147),
    [anon_sym_volatile] = ACTIONS(1147),
    [anon_sym_restrict] = ACTIONS(1147),
    [anon_sym___restrict__] = ACTIONS(1147),
    [anon_sym__Atomic] = ACTIONS(1147),
    [anon_sym__Noreturn] = ACTIONS(1147),
    [anon_sym_noreturn] = ACTIONS(1147),
    [anon_sym_alignas] = ACTIONS(1147),
    [anon_sym__Alignas] = ACTIONS(1147),
    [sym_primitive_type] = ACTIONS(1147),
    [anon_sym_enum] = ACTIONS(1147),
    [anon_sym_struct] = ACTIONS(1147),
    [anon_sym_union] = ACTIONS(1147),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_else] = ACTIONS(1147),
    [anon_sym_switch] = ACTIONS(1147),
    [anon_sym_case] = ACTIONS(1147),
    [anon_sym_default] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(1147),
    [anon_sym_do] = ACTIONS(1147),
    [anon_sym_for] = ACTIONS(1147),
    [anon_sym_return] = ACTIONS(1147),
    [anon_sym_break] = ACTIONS(1147),
    [anon_sym_continue] = ACTIONS(1147),
    [anon_sym_goto] = ACTIONS(1147),
    [anon_sym___try] = ACTIONS(1147),
    [anon_sym___leave] = ACTIONS(1147),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_sizeof] = ACTIONS(1147),
    [anon_sym___alignof__] = ACTIONS(1147),
    [anon_sym___alignof] = ACTIONS(1147),
    [anon_sym__alignof] = ACTIONS(1147),
    [anon_sym_alignof] = ACTIONS(1147),
    [anon_sym__Alignof] = ACTIONS(1147),
    [anon_sym_offsetof] = ACTIONS(1147),
    [anon_sym__Generic] = ACTIONS(1147),
    [anon_sym_asm] = ACTIONS(1147),
    [anon_sym___asm__] = ACTIONS(1147),
    [sym_number_literal] = ACTIONS(1149),
    [anon_sym_L_SQUOTE] = ACTIONS(1149),
    [anon_sym_u_SQUOTE] = ACTIONS(1149),
    [anon_sym_U_SQUOTE] = ACTIONS(1149),
    [anon_sym_u8_SQUOTE] = ACTIONS(1149),
    [anon_sym_SQUOTE] = ACTIONS(1149),
    [anon_sym_L_DQUOTE] = ACTIONS(1149),
    [anon_sym_u_DQUOTE] = ACTIONS(1149),
    [anon_sym_U_DQUOTE] = ACTIONS(1149),
    [anon_sym_u8_DQUOTE] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(1149),
    [sym_true] = ACTIONS(1147),
    [sym_false] = ACTIONS(1147),
    [anon_sym_NULL] = ACTIONS(1147),
    [anon_sym_nullptr] = ACTIONS(1147),
    [sym_comment] = ACTIONS(3),
  },
  [239] = {
    [ts_builtin_sym_end] = ACTIONS(1145),
    [sym_identifier] = ACTIONS(1143),
    [aux_sym_preproc_include_token1] = ACTIONS(1143),
    [aux_sym_preproc_def_token1] = ACTIONS(1143),
    [aux_sym_preproc_if_token1] = ACTIONS(1143),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1143),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1143),
    [sym_preproc_directive] = ACTIONS(1143),
    [anon_sym_LPAREN2] = ACTIONS(1145),
    [anon_sym_BANG] = ACTIONS(1145),
    [anon_sym_TILDE] = ACTIONS(1145),
    [anon_sym_DASH] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1143),
    [anon_sym_STAR] = ACTIONS(1145),
    [anon_sym_AMP] = ACTIONS(1145),
    [anon_sym_SEMI] = ACTIONS(1145),
    [anon_sym___extension__] = ACTIONS(1143),
    [anon_sym_typedef] = ACTIONS(1143),
    [anon_sym_extern] = ACTIONS(1143),
    [anon_sym___attribute__] = ACTIONS(1143),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1145),
    [anon_sym___declspec] = ACTIONS(1143),
    [anon_sym___cdecl] = ACTIONS(1143),
    [anon_sym___clrcall] = ACTIONS(1143),
    [anon_sym___stdcall] = ACTIONS(1143),
    [anon_sym___fastcall] = ACTIONS(1143),
    [anon_sym___thiscall] = ACTIONS(1143),
    [anon_sym___vectorcall] = ACTIONS(1143),
    [anon_sym_LBRACE] = ACTIONS(1145),
    [anon_sym_signed] = ACTIONS(1143),
    [anon_sym_unsigned] = ACTIONS(1143),
    [anon_sym_long] = ACTIONS(1143),
    [anon_sym_short] = ACTIONS(1143),
    [anon_sym_static] = ACTIONS(1143),
    [anon_sym_auto] = ACTIONS(1143),
    [anon_sym_register] = ACTIONS(1143),
    [anon_sym_inline] = ACTIONS(1143),
    [anon_sym___inline] = ACTIONS(1143),
    [anon_sym___inline__] = ACTIONS(1143),
    [anon_sym___forceinline] = ACTIONS(1143),
    [anon_sym_thread_local] = ACTIONS(1143),
    [anon_sym___thread] = ACTIONS(1143),
    [anon_sym_const] = ACTIONS(1143),
    [anon_sym_constexpr] = ACTIONS(1143),
    [anon_sym_volatile] = ACTIONS(1143),
    [anon_sym_restrict] = ACTIONS(1143),
    [anon_sym___restrict__] = ACTIONS(1143),
    [anon_sym__Atomic] = ACTIONS(1143),
    [anon_sym__Noreturn] = ACTIONS(1143),
    [anon_sym_noreturn] = ACTIONS(1143),
    [anon_sym_alignas] = ACTIONS(1143),
    [anon_sym__Alignas] = ACTIONS(1143),
    [sym_primitive_type] = ACTIONS(1143),
    [anon_sym_enum] = ACTIONS(1143),
    [anon_sym_struct] = ACTIONS(1143),
    [anon_sym_union] = ACTIONS(1143),
    [anon_sym_if] = ACTIONS(1143),
    [anon_sym_else] = ACTIONS(1143),
    [anon_sym_switch] = ACTIONS(1143),
    [anon_sym_case] = ACTIONS(1143),
    [anon_sym_default] = ACTIONS(1143),
    [anon_sym_while] = ACTIONS(1143),
    [anon_sym_do] = ACTIONS(1143),
    [anon_sym_for] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(1143),
    [anon_sym_break] = ACTIONS(1143),
    [anon_sym_continue] = ACTIONS(1143),
    [anon_sym_goto] = ACTIONS(1143),
    [anon_sym___try] = ACTIONS(1143),
    [anon_sym___leave] = ACTIONS(1143),
    [anon_sym_DASH_DASH] = ACTIONS(1145),
    [anon_sym_PLUS_PLUS] = ACTIONS(1145),
    [anon_sym_sizeof] = ACTIONS(1143),
    [anon_sym___alignof__] = ACTIONS(1143),
    [anon_sym___alignof] = ACTIONS(1143),
    [anon_sym__alignof] = ACTIONS(1143),
    [anon_sym_alignof] = ACTIONS(1143),
    [anon_sym__Alignof] = ACTIONS(1143),
    [anon_sym_offsetof] = ACTIONS(1143),
    [anon_sym__Generic] = ACTIONS(1143),
    [anon_sym_asm] = ACTIONS(1143),
    [anon_sym___asm__] = ACTIONS(1143),
    [sym_number_literal] = ACTIONS(1145),
    [anon_sym_L_SQUOTE] = ACTIONS(1145),
    [anon_sym_u_SQUOTE] = ACTIONS(1145),
    [anon_sym_U_SQUOTE] = ACTIONS(1145),
    [anon_sym_u8_SQUOTE] = ACTIONS(1145),
    [anon_sym_SQUOTE] = ACTIONS(1145),
    [anon_sym_L_DQUOTE] = ACTIONS(1145),
    [anon_sym_u_DQUOTE] = ACTIONS(1145),
    [anon_sym_U_DQUOTE] = ACTIONS(1145),
    [anon_sym_u8_DQUOTE] = ACTIONS(1145),
    [anon_sym_DQUOTE] = ACTIONS(1145),
    [sym_true] = ACTIONS(1143),
    [sym_false] = ACTIONS(1143),
    [anon_sym_NULL] = ACTIONS(1143),
    [anon_sym_nullptr] = ACTIONS(1143),
    [sym_comment] = ACTIONS(3),
  },
  [240] = {
    [sym_identifier] = ACTIONS(1187),
    [aux_sym_preproc_include_token1] = ACTIONS(1187),
    [aux_sym_preproc_def_token1] = ACTIONS(1187),
    [aux_sym_preproc_if_token1] = ACTIONS(1187),
    [aux_sym_preproc_if_token2] = ACTIONS(1187),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1187),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1187),
    [sym_preproc_directive] = ACTIONS(1187),
    [anon_sym_LPAREN2] = ACTIONS(1189),
    [anon_sym_BANG] = ACTIONS(1189),
    [anon_sym_TILDE] = ACTIONS(1189),
    [anon_sym_DASH] = ACTIONS(1187),
    [anon_sym_PLUS] = ACTIONS(1187),
    [anon_sym_STAR] = ACTIONS(1189),
    [anon_sym_AMP] = ACTIONS(1189),
    [anon_sym_SEMI] = ACTIONS(1189),
    [anon_sym___extension__] = ACTIONS(1187),
    [anon_sym_typedef] = ACTIONS(1187),
    [anon_sym_extern] = ACTIONS(1187),
    [anon_sym___attribute__] = ACTIONS(1187),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1189),
    [anon_sym___declspec] = ACTIONS(1187),
    [anon_sym___cdecl] = ACTIONS(1187),
    [anon_sym___clrcall] = ACTIONS(1187),
    [anon_sym___stdcall] = ACTIONS(1187),
    [anon_sym___fastcall] = ACTIONS(1187),
    [anon_sym___thiscall] = ACTIONS(1187),
    [anon_sym___vectorcall] = ACTIONS(1187),
    [anon_sym_LBRACE] = ACTIONS(1189),
    [anon_sym_signed] = ACTIONS(1187),
    [anon_sym_unsigned] = ACTIONS(1187),
    [anon_sym_long] = ACTIONS(1187),
    [anon_sym_short] = ACTIONS(1187),
    [anon_sym_static] = ACTIONS(1187),
    [anon_sym_auto] = ACTIONS(1187),
    [anon_sym_register] = ACTIONS(1187),
    [anon_sym_inline] = ACTIONS(1187),
    [anon_sym___inline] = ACTIONS(1187),
    [anon_sym___inline__] = ACTIONS(1187),
    [anon_sym___forceinline] = ACTIONS(1187),
    [anon_sym_thread_local] = ACTIONS(1187),
    [anon_sym___thread] = ACTIONS(1187),
    [anon_sym_const] = ACTIONS(1187),
    [anon_sym_constexpr] = ACTIONS(1187),
    [anon_sym_volatile] = ACTIONS(1187),
    [anon_sym_restrict] = ACTIONS(1187),
    [anon_sym___restrict__] = ACTIONS(1187),
    [anon_sym__Atomic] = ACTIONS(1187),
    [anon_sym__Noreturn] = ACTIONS(1187),
    [anon_sym_noreturn] = ACTIONS(1187),
    [anon_sym_alignas] = ACTIONS(1187),
    [anon_sym__Alignas] = ACTIONS(1187),
    [sym_primitive_type] = ACTIONS(1187),
    [anon_sym_enum] = ACTIONS(1187),
    [anon_sym_struct] = ACTIONS(1187),
    [anon_sym_union] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1187),
    [anon_sym_else] = ACTIONS(1187),
    [anon_sym_switch] = ACTIONS(1187),
    [anon_sym_case] = ACTIONS(1187),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_while] = ACTIONS(1187),
    [anon_sym_do] = ACTIONS(1187),
    [anon_sym_for] = ACTIONS(1187),
    [anon_sym_return] = ACTIONS(1187),
    [anon_sym_break] = ACTIONS(1187),
    [anon_sym_continue] = ACTIONS(1187),
    [anon_sym_goto] = ACTIONS(1187),
    [anon_sym___try] = ACTIONS(1187),
    [anon_sym___leave] = ACTIONS(1187),
    [anon_sym_DASH_DASH] = ACTIONS(1189),
    [anon_sym_PLUS_PLUS] = ACTIONS(1189),
    [anon_sym_sizeof] = ACTIONS(1187),
    [anon_sym___alignof__] = ACTIONS(1187),
    [anon_sym___alignof] = ACTIONS(1187),
    [anon_sym__alignof] = ACTIONS(1187),
    [anon_sym_alignof] = ACTIONS(1187),
    [anon_sym__Alignof] = ACTIONS(1187),
    [anon_sym_offsetof] = ACTIONS(1187),
    [anon_sym__Generic] = ACTIONS(1187),
    [anon_sym_asm] = ACTIONS(1187),
    [anon_sym___asm__] = ACTIONS(1187),
    [sym_number_literal] = ACTIONS(1189),
    [anon_sym_L_SQUOTE] = ACTIONS(1189),
    [anon_sym_u_SQUOTE] = ACTIONS(1189),
    [anon_sym_U_SQUOTE] = ACTIONS(1189),
    [anon_sym_u8_SQUOTE] = ACTIONS(1189),
    [anon_sym_SQUOTE] = ACTIONS(1189),
    [anon_sym_L_DQUOTE] = ACTIONS(1189),
    [anon_sym_u_DQUOTE] = ACTIONS(1189),
    [anon_sym_U_DQUOTE] = ACTIONS(1189),
    [anon_sym_u8_DQUOTE] = ACTIONS(1189),
    [anon_sym_DQUOTE] = ACTIONS(1189),
    [sym_true] = ACTIONS(1187),
    [sym_false] = ACTIONS(1187),
    [anon_sym_NULL] = ACTIONS(1187),
    [anon_sym_nullptr] = ACTIONS(1187),
    [sym_comment] = ACTIONS(3),
  },
  [241] = {
    [sym_identifier] = ACTIONS(1123),
    [aux_sym_preproc_include_token1] = ACTIONS(1123),
    [aux_sym_preproc_def_token1] = ACTIONS(1123),
    [aux_sym_preproc_if_token1] = ACTIONS(1123),
    [aux_sym_preproc_if_token2] = ACTIONS(1123),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1123),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1123),
    [sym_preproc_directive] = ACTIONS(1123),
    [anon_sym_LPAREN2] = ACTIONS(1125),
    [anon_sym_BANG] = ACTIONS(1125),
    [anon_sym_TILDE] = ACTIONS(1125),
    [anon_sym_DASH] = ACTIONS(1123),
    [anon_sym_PLUS] = ACTIONS(1123),
    [anon_sym_STAR] = ACTIONS(1125),
    [anon_sym_AMP] = ACTIONS(1125),
    [anon_sym_SEMI] = ACTIONS(1125),
    [anon_sym___extension__] = ACTIONS(1123),
    [anon_sym_typedef] = ACTIONS(1123),
    [anon_sym_extern] = ACTIONS(1123),
    [anon_sym___attribute__] = ACTIONS(1123),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1125),
    [anon_sym___declspec] = ACTIONS(1123),
    [anon_sym___cdecl] = ACTIONS(1123),
    [anon_sym___clrcall] = ACTIONS(1123),
    [anon_sym___stdcall] = ACTIONS(1123),
    [anon_sym___fastcall] = ACTIONS(1123),
    [anon_sym___thiscall] = ACTIONS(1123),
    [anon_sym___vectorcall] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_signed] = ACTIONS(1123),
    [anon_sym_unsigned] = ACTIONS(1123),
    [anon_sym_long] = ACTIONS(1123),
    [anon_sym_short] = ACTIONS(1123),
    [anon_sym_static] = ACTIONS(1123),
    [anon_sym_auto] = ACTIONS(1123),
    [anon_sym_register] = ACTIONS(1123),
    [anon_sym_inline] = ACTIONS(1123),
    [anon_sym___inline] = ACTIONS(1123),
    [anon_sym___inline__] = ACTIONS(1123),
    [anon_sym___forceinline] = ACTIONS(1123),
    [anon_sym_thread_local] = ACTIONS(1123),
    [anon_sym___thread] = ACTIONS(1123),
    [anon_sym_const] = ACTIONS(1123),
    [anon_sym_constexpr] = ACTIONS(1123),
    [anon_sym_volatile] = ACTIONS(1123),
    [anon_sym_restrict] = ACTIONS(1123),
    [anon_sym___restrict__] = ACTIONS(1123),
    [anon_sym__Atomic] = ACTIONS(1123),
    [anon_sym__Noreturn] = ACTIONS(1123),
    [anon_sym_noreturn] = ACTIONS(1123),
    [anon_sym_alignas] = ACTIONS(1123),
    [anon_sym__Alignas] = ACTIONS(1123),
    [sym_primitive_type] = ACTIONS(1123),
    [anon_sym_enum] = ACTIONS(1123),
    [anon_sym_struct] = ACTIONS(1123),
    [anon_sym_union] = ACTIONS(1123),
    [anon_sym_if] = ACTIONS(1123),
    [anon_sym_else] = ACTIONS(1123),
    [anon_sym_switch] = ACTIONS(1123),
    [anon_sym_case] = ACTIONS(1123),
    [anon_sym_default] = ACTIONS(1123),
    [anon_sym_while] = ACTIONS(1123),
    [anon_sym_do] = ACTIONS(1123),
    [anon_sym_for] = ACTIONS(1123),
    [anon_sym_return] = ACTIONS(1123),
    [anon_sym_break] = ACTIONS(1123),
    [anon_sym_continue] = ACTIONS(1123),
    [anon_sym_goto] = ACTIONS(1123),
    [anon_sym___try] = ACTIONS(1123),
    [anon_sym___leave] = ACTIONS(1123),
    [anon_sym_DASH_DASH] = ACTIONS(1125),
    [anon_sym_PLUS_PLUS] = ACTIONS(1125),
    [anon_sym_sizeof] = ACTIONS(1123),
    [anon_sym___alignof__] = ACTIONS(1123),
    [anon_sym___alignof] = ACTIONS(1123),
    [anon_sym__alignof] = ACTIONS(1123),
    [anon_sym_alignof] = ACTIONS(1123),
    [anon_sym__Alignof] = ACTIONS(1123),
    [anon_sym_offsetof] = ACTIONS(1123),
    [anon_sym__Generic] = ACTIONS(1123),
    [anon_sym_asm] = ACTIONS(1123),
    [anon_sym___asm__] = ACTIONS(1123),
    [sym_number_literal] = ACTIONS(1125),
    [anon_sym_L_SQUOTE] = ACTIONS(1125),
    [anon_sym_u_SQUOTE] = ACTIONS(1125),
    [anon_sym_U_SQUOTE] = ACTIONS(1125),
    [anon_sym_u8_SQUOTE] = ACTIONS(1125),
    [anon_sym_SQUOTE] = ACTIONS(1125),
    [anon_sym_L_DQUOTE] = ACTIONS(1125),
    [anon_sym_u_DQUOTE] = ACTIONS(1125),
    [anon_sym_U_DQUOTE] = ACTIONS(1125),
    [anon_sym_u8_DQUOTE] = ACTIONS(1125),
    [anon_sym_DQUOTE] = ACTIONS(1125),
    [sym_true] = ACTIONS(1123),
    [sym_false] = ACTIONS(1123),
    [anon_sym_NULL] = ACTIONS(1123),
    [anon_sym_nullptr] = ACTIONS(1123),
    [sym_comment] = ACTIONS(3),
  },
  [242] = {
    [sym_identifier] = ACTIONS(1175),
    [aux_sym_preproc_include_token1] = ACTIONS(1175),
    [aux_sym_preproc_def_token1] = ACTIONS(1175),
    [aux_sym_preproc_if_token1] = ACTIONS(1175),
    [aux_sym_preproc_if_token2] = ACTIONS(1175),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1175),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1175),
    [sym_preproc_directive] = ACTIONS(1175),
    [anon_sym_LPAREN2] = ACTIONS(1177),
    [anon_sym_BANG] = ACTIONS(1177),
    [anon_sym_TILDE] = ACTIONS(1177),
    [anon_sym_DASH] = ACTIONS(1175),
    [anon_sym_PLUS] = ACTIONS(1175),
    [anon_sym_STAR] = ACTIONS(1177),
    [anon_sym_AMP] = ACTIONS(1177),
    [anon_sym_SEMI] = ACTIONS(1177),
    [anon_sym___extension__] = ACTIONS(1175),
    [anon_sym_typedef] = ACTIONS(1175),
    [anon_sym_extern] = ACTIONS(1175),
    [anon_sym___attribute__] = ACTIONS(1175),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1177),
    [anon_sym___declspec] = ACTIONS(1175),
    [anon_sym___cdecl] = ACTIONS(1175),
    [anon_sym___clrcall] = ACTIONS(1175),
    [anon_sym___stdcall] = ACTIONS(1175),
    [anon_sym___fastcall] = ACTIONS(1175),
    [anon_sym___thiscall] = ACTIONS(1175),
    [anon_sym___vectorcall] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_signed] = ACTIONS(1175),
    [anon_sym_unsigned] = ACTIONS(1175),
    [anon_sym_long] = ACTIONS(1175),
    [anon_sym_short] = ACTIONS(1175),
    [anon_sym_static] = ACTIONS(1175),
    [anon_sym_auto] = ACTIONS(1175),
    [anon_sym_register] = ACTIONS(1175),
    [anon_sym_inline] = ACTIONS(1175),
    [anon_sym___inline] = ACTIONS(1175),
    [anon_sym___inline__] = ACTIONS(1175),
    [anon_sym___forceinline] = ACTIONS(1175),
    [anon_sym_thread_local] = ACTIONS(1175),
    [anon_sym___thread] = ACTIONS(1175),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_constexpr] = ACTIONS(1175),
    [anon_sym_volatile] = ACTIONS(1175),
    [anon_sym_restrict] = ACTIONS(1175),
    [anon_sym___restrict__] = ACTIONS(1175),
    [anon_sym__Atomic] = ACTIONS(1175),
    [anon_sym__Noreturn] = ACTIONS(1175),
    [anon_sym_noreturn] = ACTIONS(1175),
    [anon_sym_alignas] = ACTIONS(1175),
    [anon_sym__Alignas] = ACTIONS(1175),
    [sym_primitive_type] = ACTIONS(1175),
    [anon_sym_enum] = ACTIONS(1175),
    [anon_sym_struct] = ACTIONS(1175),
    [anon_sym_union] = ACTIONS(1175),
    [anon_sym_if] = ACTIONS(1175),
    [anon_sym_else] = ACTIONS(1175),
    [anon_sym_switch] = ACTIONS(1175),
    [anon_sym_case] = ACTIONS(1175),
    [anon_sym_default] = ACTIONS(1175),
    [anon_sym_while] = ACTIONS(1175),
    [anon_sym_do] = ACTIONS(1175),
    [anon_sym_for] = ACTIONS(1175),
    [anon_sym_return] = ACTIONS(1175),
    [anon_sym_break] = ACTIONS(1175),
    [anon_sym_continue] = ACTIONS(1175),
    [anon_sym_goto] = ACTIONS(1175),
    [anon_sym___try] = ACTIONS(1175),
    [anon_sym___leave] = ACTIONS(1175),
    [anon_sym_DASH_DASH] = ACTIONS(1177),
    [anon_sym_PLUS_PLUS] = ACTIONS(1177),
    [anon_sym_sizeof] = ACTIONS(1175),
    [anon_sym___alignof__] = ACTIONS(1175),
    [anon_sym___alignof] = ACTIONS(1175),
    [anon_sym__alignof] = ACTIONS(1175),
    [anon_sym_alignof] = ACTIONS(1175),
    [anon_sym__Alignof] = ACTIONS(1175),
    [anon_sym_offsetof] = ACTIONS(1175),
    [anon_sym__Generic] = ACTIONS(1175),
    [anon_sym_asm] = ACTIONS(1175),
    [anon_sym___asm__] = ACTIONS(1175),
    [sym_number_literal] = ACTIONS(1177),
    [anon_sym_L_SQUOTE] = ACTIONS(1177),
    [anon_sym_u_SQUOTE] = ACTIONS(1177),
    [anon_sym_U_SQUOTE] = ACTIONS(1177),
    [anon_sym_u8_SQUOTE] = ACTIONS(1177),
    [anon_sym_SQUOTE] = ACTIONS(1177),
    [anon_sym_L_DQUOTE] = ACTIONS(1177),
    [anon_sym_u_DQUOTE] = ACTIONS(1177),
    [anon_sym_U_DQUOTE] = ACTIONS(1177),
    [anon_sym_u8_DQUOTE] = ACTIONS(1177),
    [anon_sym_DQUOTE] = ACTIONS(1177),
    [sym_true] = ACTIONS(1175),
    [sym_false] = ACTIONS(1175),
    [anon_sym_NULL] = ACTIONS(1175),
    [anon_sym_nullptr] = ACTIONS(1175),
    [sym_comment] = ACTIONS(3),
  },
  [243] = {
    [sym_identifier] = ACTIONS(1207),
    [aux_sym_preproc_include_token1] = ACTIONS(1207),
    [aux_sym_preproc_def_token1] = ACTIONS(1207),
    [aux_sym_preproc_if_token1] = ACTIONS(1207),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1207),
    [sym_preproc_directive] = ACTIONS(1207),
    [anon_sym_LPAREN2] = ACTIONS(1209),
    [anon_sym_BANG] = ACTIONS(1209),
    [anon_sym_TILDE] = ACTIONS(1209),
    [anon_sym_DASH] = ACTIONS(1207),
    [anon_sym_PLUS] = ACTIONS(1207),
    [anon_sym_STAR] = ACTIONS(1209),
    [anon_sym_AMP] = ACTIONS(1209),
    [anon_sym_SEMI] = ACTIONS(1209),
    [anon_sym___extension__] = ACTIONS(1207),
    [anon_sym_typedef] = ACTIONS(1207),
    [anon_sym_extern] = ACTIONS(1207),
    [anon_sym___attribute__] = ACTIONS(1207),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1209),
    [anon_sym___declspec] = ACTIONS(1207),
    [anon_sym___cdecl] = ACTIONS(1207),
    [anon_sym___clrcall] = ACTIONS(1207),
    [anon_sym___stdcall] = ACTIONS(1207),
    [anon_sym___fastcall] = ACTIONS(1207),
    [anon_sym___thiscall] = ACTIONS(1207),
    [anon_sym___vectorcall] = ACTIONS(1207),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_RBRACE] = ACTIONS(1209),
    [anon_sym_signed] = ACTIONS(1207),
    [anon_sym_unsigned] = ACTIONS(1207),
    [anon_sym_long] = ACTIONS(1207),
    [anon_sym_short] = ACTIONS(1207),
    [anon_sym_static] = ACTIONS(1207),
    [anon_sym_auto] = ACTIONS(1207),
    [anon_sym_register] = ACTIONS(1207),
    [anon_sym_inline] = ACTIONS(1207),
    [anon_sym___inline] = ACTIONS(1207),
    [anon_sym___inline__] = ACTIONS(1207),
    [anon_sym___forceinline] = ACTIONS(1207),
    [anon_sym_thread_local] = ACTIONS(1207),
    [anon_sym___thread] = ACTIONS(1207),
    [anon_sym_const] = ACTIONS(1207),
    [anon_sym_constexpr] = ACTIONS(1207),
    [anon_sym_volatile] = ACTIONS(1207),
    [anon_sym_restrict] = ACTIONS(1207),
    [anon_sym___restrict__] = ACTIONS(1207),
    [anon_sym__Atomic] = ACTIONS(1207),
    [anon_sym__Noreturn] = ACTIONS(1207),
    [anon_sym_noreturn] = ACTIONS(1207),
    [anon_sym_alignas] = ACTIONS(1207),
    [anon_sym__Alignas] = ACTIONS(1207),
    [sym_primitive_type] = ACTIONS(1207),
    [anon_sym_enum] = ACTIONS(1207),
    [anon_sym_struct] = ACTIONS(1207),
    [anon_sym_union] = ACTIONS(1207),
    [anon_sym_if] = ACTIONS(1207),
    [anon_sym_else] = ACTIONS(1207),
    [anon_sym_switch] = ACTIONS(1207),
    [anon_sym_case] = ACTIONS(1207),
    [anon_sym_default] = ACTIONS(1207),
    [anon_sym_while] = ACTIONS(1207),
    [anon_sym_do] = ACTIONS(1207),
    [anon_sym_for] = ACTIONS(1207),
    [anon_sym_return] = ACTIONS(1207),
    [anon_sym_break] = ACTIONS(1207),
    [anon_sym_continue] = ACTIONS(1207),
    [anon_sym_goto] = ACTIONS(1207),
    [anon_sym___try] = ACTIONS(1207),
    [anon_sym___leave] = ACTIONS(1207),
    [anon_sym_DASH_DASH] = ACTIONS(1209),
    [anon_sym_PLUS_PLUS] = ACTIONS(1209),
    [anon_sym_sizeof] = ACTIONS(1207),
    [anon_sym___alignof__] = ACTIONS(1207),
    [anon_sym___alignof] = ACTIONS(1207),
    [anon_sym__alignof] = ACTIONS(1207),
    [anon_sym_alignof] = ACTIONS(1207),
    [anon_sym__Alignof] = ACTIONS(1207),
    [anon_sym_offsetof] = ACTIONS(1207),
    [anon_sym__Generic] = ACTIONS(1207),
    [anon_sym_asm] = ACTIONS(1207),
    [anon_sym___asm__] = ACTIONS(1207),
    [sym_number_literal] = ACTIONS(1209),
    [anon_sym_L_SQUOTE] = ACTIONS(1209),
    [anon_sym_u_SQUOTE] = ACTIONS(1209),
    [anon_sym_U_SQUOTE] = ACTIONS(1209),
    [anon_sym_u8_SQUOTE] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1209),
    [anon_sym_L_DQUOTE] = ACTIONS(1209),
    [anon_sym_u_DQUOTE] = ACTIONS(1209),
    [anon_sym_U_DQUOTE] = ACTIONS(1209),
    [anon_sym_u8_DQUOTE] = ACTIONS(1209),
    [anon_sym_DQUOTE] = ACTIONS(1209),
    [sym_true] = ACTIONS(1207),
    [sym_false] = ACTIONS(1207),
    [anon_sym_NULL] = ACTIONS(1207),
    [anon_sym_nullptr] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
  },
  [244] = {
    [sym_identifier] = ACTIONS(1175),
    [aux_sym_preproc_include_token1] = ACTIONS(1175),
    [aux_sym_preproc_def_token1] = ACTIONS(1175),
    [aux_sym_preproc_if_token1] = ACTIONS(1175),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1175),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1175),
    [sym_preproc_directive] = ACTIONS(1175),
    [anon_sym_LPAREN2] = ACTIONS(1177),
    [anon_sym_BANG] = ACTIONS(1177),
    [anon_sym_TILDE] = ACTIONS(1177),
    [anon_sym_DASH] = ACTIONS(1175),
    [anon_sym_PLUS] = ACTIONS(1175),
    [anon_sym_STAR] = ACTIONS(1177),
    [anon_sym_AMP] = ACTIONS(1177),
    [anon_sym_SEMI] = ACTIONS(1177),
    [anon_sym___extension__] = ACTIONS(1175),
    [anon_sym_typedef] = ACTIONS(1175),
    [anon_sym_extern] = ACTIONS(1175),
    [anon_sym___attribute__] = ACTIONS(1175),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1177),
    [anon_sym___declspec] = ACTIONS(1175),
    [anon_sym___cdecl] = ACTIONS(1175),
    [anon_sym___clrcall] = ACTIONS(1175),
    [anon_sym___stdcall] = ACTIONS(1175),
    [anon_sym___fastcall] = ACTIONS(1175),
    [anon_sym___thiscall] = ACTIONS(1175),
    [anon_sym___vectorcall] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_RBRACE] = ACTIONS(1177),
    [anon_sym_signed] = ACTIONS(1175),
    [anon_sym_unsigned] = ACTIONS(1175),
    [anon_sym_long] = ACTIONS(1175),
    [anon_sym_short] = ACTIONS(1175),
    [anon_sym_static] = ACTIONS(1175),
    [anon_sym_auto] = ACTIONS(1175),
    [anon_sym_register] = ACTIONS(1175),
    [anon_sym_inline] = ACTIONS(1175),
    [anon_sym___inline] = ACTIONS(1175),
    [anon_sym___inline__] = ACTIONS(1175),
    [anon_sym___forceinline] = ACTIONS(1175),
    [anon_sym_thread_local] = ACTIONS(1175),
    [anon_sym___thread] = ACTIONS(1175),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_constexpr] = ACTIONS(1175),
    [anon_sym_volatile] = ACTIONS(1175),
    [anon_sym_restrict] = ACTIONS(1175),
    [anon_sym___restrict__] = ACTIONS(1175),
    [anon_sym__Atomic] = ACTIONS(1175),
    [anon_sym__Noreturn] = ACTIONS(1175),
    [anon_sym_noreturn] = ACTIONS(1175),
    [anon_sym_alignas] = ACTIONS(1175),
    [anon_sym__Alignas] = ACTIONS(1175),
    [sym_primitive_type] = ACTIONS(1175),
    [anon_sym_enum] = ACTIONS(1175),
    [anon_sym_struct] = ACTIONS(1175),
    [anon_sym_union] = ACTIONS(1175),
    [anon_sym_if] = ACTIONS(1175),
    [anon_sym_else] = ACTIONS(1175),
    [anon_sym_switch] = ACTIONS(1175),
    [anon_sym_case] = ACTIONS(1175),
    [anon_sym_default] = ACTIONS(1175),
    [anon_sym_while] = ACTIONS(1175),
    [anon_sym_do] = ACTIONS(1175),
    [anon_sym_for] = ACTIONS(1175),
    [anon_sym_return] = ACTIONS(1175),
    [anon_sym_break] = ACTIONS(1175),
    [anon_sym_continue] = ACTIONS(1175),
    [anon_sym_goto] = ACTIONS(1175),
    [anon_sym___try] = ACTIONS(1175),
    [anon_sym___leave] = ACTIONS(1175),
    [anon_sym_DASH_DASH] = ACTIONS(1177),
    [anon_sym_PLUS_PLUS] = ACTIONS(1177),
    [anon_sym_sizeof] = ACTIONS(1175),
    [anon_sym___alignof__] = ACTIONS(1175),
    [anon_sym___alignof] = ACTIONS(1175),
    [anon_sym__alignof] = ACTIONS(1175),
    [anon_sym_alignof] = ACTIONS(1175),
    [anon_sym__Alignof] = ACTIONS(1175),
    [anon_sym_offsetof] = ACTIONS(1175),
    [anon_sym__Generic] = ACTIONS(1175),
    [anon_sym_asm] = ACTIONS(1175),
    [anon_sym___asm__] = ACTIONS(1175),
    [sym_number_literal] = ACTIONS(1177),
    [anon_sym_L_SQUOTE] = ACTIONS(1177),
    [anon_sym_u_SQUOTE] = ACTIONS(1177),
    [anon_sym_U_SQUOTE] = ACTIONS(1177),
    [anon_sym_u8_SQUOTE] = ACTIONS(1177),
    [anon_sym_SQUOTE] = ACTIONS(1177),
    [anon_sym_L_DQUOTE] = ACTIONS(1177),
    [anon_sym_u_DQUOTE] = ACTIONS(1177),
    [anon_sym_U_DQUOTE] = ACTIONS(1177),
    [anon_sym_u8_DQUOTE] = ACTIONS(1177),
    [anon_sym_DQUOTE] = ACTIONS(1177),
    [sym_true] = ACTIONS(1175),
    [sym_false] = ACTIONS(1175),
    [anon_sym_NULL] = ACTIONS(1175),
    [anon_sym_nullptr] = ACTIONS(1175),
    [sym_comment] = ACTIONS(3),
  },
  [245] = {
    [sym_identifier] = ACTIONS(1167),
    [aux_sym_preproc_include_token1] = ACTIONS(1167),
    [aux_sym_preproc_def_token1] = ACTIONS(1167),
    [aux_sym_preproc_if_token1] = ACTIONS(1167),
    [aux_sym_preproc_if_token2] = ACTIONS(1167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1167),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1167),
    [sym_preproc_directive] = ACTIONS(1167),
    [anon_sym_LPAREN2] = ACTIONS(1169),
    [anon_sym_BANG] = ACTIONS(1169),
    [anon_sym_TILDE] = ACTIONS(1169),
    [anon_sym_DASH] = ACTIONS(1167),
    [anon_sym_PLUS] = ACTIONS(1167),
    [anon_sym_STAR] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(1169),
    [anon_sym_SEMI] = ACTIONS(1169),
    [anon_sym___extension__] = ACTIONS(1167),
    [anon_sym_typedef] = ACTIONS(1167),
    [anon_sym_extern] = ACTIONS(1167),
    [anon_sym___attribute__] = ACTIONS(1167),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1169),
    [anon_sym___declspec] = ACTIONS(1167),
    [anon_sym___cdecl] = ACTIONS(1167),
    [anon_sym___clrcall] = ACTIONS(1167),
    [anon_sym___stdcall] = ACTIONS(1167),
    [anon_sym___fastcall] = ACTIONS(1167),
    [anon_sym___thiscall] = ACTIONS(1167),
    [anon_sym___vectorcall] = ACTIONS(1167),
    [anon_sym_LBRACE] = ACTIONS(1169),
    [anon_sym_signed] = ACTIONS(1167),
    [anon_sym_unsigned] = ACTIONS(1167),
    [anon_sym_long] = ACTIONS(1167),
    [anon_sym_short] = ACTIONS(1167),
    [anon_sym_static] = ACTIONS(1167),
    [anon_sym_auto] = ACTIONS(1167),
    [anon_sym_register] = ACTIONS(1167),
    [anon_sym_inline] = ACTIONS(1167),
    [anon_sym___inline] = ACTIONS(1167),
    [anon_sym___inline__] = ACTIONS(1167),
    [anon_sym___forceinline] = ACTIONS(1167),
    [anon_sym_thread_local] = ACTIONS(1167),
    [anon_sym___thread] = ACTIONS(1167),
    [anon_sym_const] = ACTIONS(1167),
    [anon_sym_constexpr] = ACTIONS(1167),
    [anon_sym_volatile] = ACTIONS(1167),
    [anon_sym_restrict] = ACTIONS(1167),
    [anon_sym___restrict__] = ACTIONS(1167),
    [anon_sym__Atomic] = ACTIONS(1167),
    [anon_sym__Noreturn] = ACTIONS(1167),
    [anon_sym_noreturn] = ACTIONS(1167),
    [anon_sym_alignas] = ACTIONS(1167),
    [anon_sym__Alignas] = ACTIONS(1167),
    [sym_primitive_type] = ACTIONS(1167),
    [anon_sym_enum] = ACTIONS(1167),
    [anon_sym_struct] = ACTIONS(1167),
    [anon_sym_union] = ACTIONS(1167),
    [anon_sym_if] = ACTIONS(1167),
    [anon_sym_else] = ACTIONS(1167),
    [anon_sym_switch] = ACTIONS(1167),
    [anon_sym_case] = ACTIONS(1167),
    [anon_sym_default] = ACTIONS(1167),
    [anon_sym_while] = ACTIONS(1167),
    [anon_sym_do] = ACTIONS(1167),
    [anon_sym_for] = ACTIONS(1167),
    [anon_sym_return] = ACTIONS(1167),
    [anon_sym_break] = ACTIONS(1167),
    [anon_sym_continue] = ACTIONS(1167),
    [anon_sym_goto] = ACTIONS(1167),
    [anon_sym___try] = ACTIONS(1167),
    [anon_sym___leave] = ACTIONS(1167),
    [anon_sym_DASH_DASH] = ACTIONS(1169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1169),
    [anon_sym_sizeof] = ACTIONS(1167),
    [anon_sym___alignof__] = ACTIONS(1167),
    [anon_sym___alignof] = ACTIONS(1167),
    [anon_sym__alignof] = ACTIONS(1167),
    [anon_sym_alignof] = ACTIONS(1167),
    [anon_sym__Alignof] = ACTIONS(1167),
    [anon_sym_offsetof] = ACTIONS(1167),
    [anon_sym__Generic] = ACTIONS(1167),
    [anon_sym_asm] = ACTIONS(1167),
    [anon_sym___asm__] = ACTIONS(1167),
    [sym_number_literal] = ACTIONS(1169),
    [anon_sym_L_SQUOTE] = ACTIONS(1169),
    [anon_sym_u_SQUOTE] = ACTIONS(1169),
    [anon_sym_U_SQUOTE] = ACTIONS(1169),
    [anon_sym_u8_SQUOTE] = ACTIONS(1169),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_L_DQUOTE] = ACTIONS(1169),
    [anon_sym_u_DQUOTE] = ACTIONS(1169),
    [anon_sym_U_DQUOTE] = ACTIONS(1169),
    [anon_sym_u8_DQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1169),
    [sym_true] = ACTIONS(1167),
    [sym_false] = ACTIONS(1167),
    [anon_sym_NULL] = ACTIONS(1167),
    [anon_sym_nullptr] = ACTIONS(1167),
    [sym_comment] = ACTIONS(3),
  },
  [246] = {
    [sym_identifier] = ACTIONS(1123),
    [aux_sym_preproc_include_token1] = ACTIONS(1123),
    [aux_sym_preproc_def_token1] = ACTIONS(1123),
    [aux_sym_preproc_if_token1] = ACTIONS(1123),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1123),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1123),
    [sym_preproc_directive] = ACTIONS(1123),
    [anon_sym_LPAREN2] = ACTIONS(1125),
    [anon_sym_BANG] = ACTIONS(1125),
    [anon_sym_TILDE] = ACTIONS(1125),
    [anon_sym_DASH] = ACTIONS(1123),
    [anon_sym_PLUS] = ACTIONS(1123),
    [anon_sym_STAR] = ACTIONS(1125),
    [anon_sym_AMP] = ACTIONS(1125),
    [anon_sym_SEMI] = ACTIONS(1125),
    [anon_sym___extension__] = ACTIONS(1123),
    [anon_sym_typedef] = ACTIONS(1123),
    [anon_sym_extern] = ACTIONS(1123),
    [anon_sym___attribute__] = ACTIONS(1123),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1125),
    [anon_sym___declspec] = ACTIONS(1123),
    [anon_sym___cdecl] = ACTIONS(1123),
    [anon_sym___clrcall] = ACTIONS(1123),
    [anon_sym___stdcall] = ACTIONS(1123),
    [anon_sym___fastcall] = ACTIONS(1123),
    [anon_sym___thiscall] = ACTIONS(1123),
    [anon_sym___vectorcall] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1125),
    [anon_sym_RBRACE] = ACTIONS(1125),
    [anon_sym_signed] = ACTIONS(1123),
    [anon_sym_unsigned] = ACTIONS(1123),
    [anon_sym_long] = ACTIONS(1123),
    [anon_sym_short] = ACTIONS(1123),
    [anon_sym_static] = ACTIONS(1123),
    [anon_sym_auto] = ACTIONS(1123),
    [anon_sym_register] = ACTIONS(1123),
    [anon_sym_inline] = ACTIONS(1123),
    [anon_sym___inline] = ACTIONS(1123),
    [anon_sym___inline__] = ACTIONS(1123),
    [anon_sym___forceinline] = ACTIONS(1123),
    [anon_sym_thread_local] = ACTIONS(1123),
    [anon_sym___thread] = ACTIONS(1123),
    [anon_sym_const] = ACTIONS(1123),
    [anon_sym_constexpr] = ACTIONS(1123),
    [anon_sym_volatile] = ACTIONS(1123),
    [anon_sym_restrict] = ACTIONS(1123),
    [anon_sym___restrict__] = ACTIONS(1123),
    [anon_sym__Atomic] = ACTIONS(1123),
    [anon_sym__Noreturn] = ACTIONS(1123),
    [anon_sym_noreturn] = ACTIONS(1123),
    [anon_sym_alignas] = ACTIONS(1123),
    [anon_sym__Alignas] = ACTIONS(1123),
    [sym_primitive_type] = ACTIONS(1123),
    [anon_sym_enum] = ACTIONS(1123),
    [anon_sym_struct] = ACTIONS(1123),
    [anon_sym_union] = ACTIONS(1123),
    [anon_sym_if] = ACTIONS(1123),
    [anon_sym_else] = ACTIONS(1123),
    [anon_sym_switch] = ACTIONS(1123),
    [anon_sym_case] = ACTIONS(1123),
    [anon_sym_default] = ACTIONS(1123),
    [anon_sym_while] = ACTIONS(1123),
    [anon_sym_do] = ACTIONS(1123),
    [anon_sym_for] = ACTIONS(1123),
    [anon_sym_return] = ACTIONS(1123),
    [anon_sym_break] = ACTIONS(1123),
    [anon_sym_continue] = ACTIONS(1123),
    [anon_sym_goto] = ACTIONS(1123),
    [anon_sym___try] = ACTIONS(1123),
    [anon_sym___leave] = ACTIONS(1123),
    [anon_sym_DASH_DASH] = ACTIONS(1125),
    [anon_sym_PLUS_PLUS] = ACTIONS(1125),
    [anon_sym_sizeof] = ACTIONS(1123),
    [anon_sym___alignof__] = ACTIONS(1123),
    [anon_sym___alignof] = ACTIONS(1123),
    [anon_sym__alignof] = ACTIONS(1123),
    [anon_sym_alignof] = ACTIONS(1123),
    [anon_sym__Alignof] = ACTIONS(1123),
    [anon_sym_offsetof] = ACTIONS(1123),
    [anon_sym__Generic] = ACTIONS(1123),
    [anon_sym_asm] = ACTIONS(1123),
    [anon_sym___asm__] = ACTIONS(1123),
    [sym_number_literal] = ACTIONS(1125),
    [anon_sym_L_SQUOTE] = ACTIONS(1125),
    [anon_sym_u_SQUOTE] = ACTIONS(1125),
    [anon_sym_U_SQUOTE] = ACTIONS(1125),
    [anon_sym_u8_SQUOTE] = ACTIONS(1125),
    [anon_sym_SQUOTE] = ACTIONS(1125),
    [anon_sym_L_DQUOTE] = ACTIONS(1125),
    [anon_sym_u_DQUOTE] = ACTIONS(1125),
    [anon_sym_U_DQUOTE] = ACTIONS(1125),
    [anon_sym_u8_DQUOTE] = ACTIONS(1125),
    [anon_sym_DQUOTE] = ACTIONS(1125),
    [sym_true] = ACTIONS(1123),
    [sym_false] = ACTIONS(1123),
    [anon_sym_NULL] = ACTIONS(1123),
    [anon_sym_nullptr] = ACTIONS(1123),
    [sym_comment] = ACTIONS(3),
  },
  [247] = {
    [sym_identifier] = ACTIONS(1195),
    [aux_sym_preproc_include_token1] = ACTIONS(1195),
    [aux_sym_preproc_def_token1] = ACTIONS(1195),
    [aux_sym_preproc_if_token1] = ACTIONS(1195),
    [aux_sym_preproc_if_token2] = ACTIONS(1195),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1195),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1195),
    [sym_preproc_directive] = ACTIONS(1195),
    [anon_sym_LPAREN2] = ACTIONS(1197),
    [anon_sym_BANG] = ACTIONS(1197),
    [anon_sym_TILDE] = ACTIONS(1197),
    [anon_sym_DASH] = ACTIONS(1195),
    [anon_sym_PLUS] = ACTIONS(1195),
    [anon_sym_STAR] = ACTIONS(1197),
    [anon_sym_AMP] = ACTIONS(1197),
    [anon_sym_SEMI] = ACTIONS(1197),
    [anon_sym___extension__] = ACTIONS(1195),
    [anon_sym_typedef] = ACTIONS(1195),
    [anon_sym_extern] = ACTIONS(1195),
    [anon_sym___attribute__] = ACTIONS(1195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1197),
    [anon_sym___declspec] = ACTIONS(1195),
    [anon_sym___cdecl] = ACTIONS(1195),
    [anon_sym___clrcall] = ACTIONS(1195),
    [anon_sym___stdcall] = ACTIONS(1195),
    [anon_sym___fastcall] = ACTIONS(1195),
    [anon_sym___thiscall] = ACTIONS(1195),
    [anon_sym___vectorcall] = ACTIONS(1195),
    [anon_sym_LBRACE] = ACTIONS(1197),
    [anon_sym_signed] = ACTIONS(1195),
    [anon_sym_unsigned] = ACTIONS(1195),
    [anon_sym_long] = ACTIONS(1195),
    [anon_sym_short] = ACTIONS(1195),
    [anon_sym_static] = ACTIONS(1195),
    [anon_sym_auto] = ACTIONS(1195),
    [anon_sym_register] = ACTIONS(1195),
    [anon_sym_inline] = ACTIONS(1195),
    [anon_sym___inline] = ACTIONS(1195),
    [anon_sym___inline__] = ACTIONS(1195),
    [anon_sym___forceinline] = ACTIONS(1195),
    [anon_sym_thread_local] = ACTIONS(1195),
    [anon_sym___thread] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1195),
    [anon_sym_constexpr] = ACTIONS(1195),
    [anon_sym_volatile] = ACTIONS(1195),
    [anon_sym_restrict] = ACTIONS(1195),
    [anon_sym___restrict__] = ACTIONS(1195),
    [anon_sym__Atomic] = ACTIONS(1195),
    [anon_sym__Noreturn] = ACTIONS(1195),
    [anon_sym_noreturn] = ACTIONS(1195),
    [anon_sym_alignas] = ACTIONS(1195),
    [anon_sym__Alignas] = ACTIONS(1195),
    [sym_primitive_type] = ACTIONS(1195),
    [anon_sym_enum] = ACTIONS(1195),
    [anon_sym_struct] = ACTIONS(1195),
    [anon_sym_union] = ACTIONS(1195),
    [anon_sym_if] = ACTIONS(1195),
    [anon_sym_else] = ACTIONS(1195),
    [anon_sym_switch] = ACTIONS(1195),
    [anon_sym_case] = ACTIONS(1195),
    [anon_sym_default] = ACTIONS(1195),
    [anon_sym_while] = ACTIONS(1195),
    [anon_sym_do] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1195),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_break] = ACTIONS(1195),
    [anon_sym_continue] = ACTIONS(1195),
    [anon_sym_goto] = ACTIONS(1195),
    [anon_sym___try] = ACTIONS(1195),
    [anon_sym___leave] = ACTIONS(1195),
    [anon_sym_DASH_DASH] = ACTIONS(1197),
    [anon_sym_PLUS_PLUS] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1195),
    [anon_sym___alignof__] = ACTIONS(1195),
    [anon_sym___alignof] = ACTIONS(1195),
    [anon_sym__alignof] = ACTIONS(1195),
    [anon_sym_alignof] = ACTIONS(1195),
    [anon_sym__Alignof] = ACTIONS(1195),
    [anon_sym_offsetof] = ACTIONS(1195),
    [anon_sym__Generic] = ACTIONS(1195),
    [anon_sym_asm] = ACTIONS(1195),
    [anon_sym___asm__] = ACTIONS(1195),
    [sym_number_literal] = ACTIONS(1197),
    [anon_sym_L_SQUOTE] = ACTIONS(1197),
    [anon_sym_u_SQUOTE] = ACTIONS(1197),
    [anon_sym_U_SQUOTE] = ACTIONS(1197),
    [anon_sym_u8_SQUOTE] = ACTIONS(1197),
    [anon_sym_SQUOTE] = ACTIONS(1197),
    [anon_sym_L_DQUOTE] = ACTIONS(1197),
    [anon_sym_u_DQUOTE] = ACTIONS(1197),
    [anon_sym_U_DQUOTE] = ACTIONS(1197),
    [anon_sym_u8_DQUOTE] = ACTIONS(1197),
    [anon_sym_DQUOTE] = ACTIONS(1197),
    [sym_true] = ACTIONS(1195),
    [sym_false] = ACTIONS(1195),
    [anon_sym_NULL] = ACTIONS(1195),
    [anon_sym_nullptr] = ACTIONS(1195),
    [sym_comment] = ACTIONS(3),
  },
  [248] = {
    [sym_identifier] = ACTIONS(1183),
    [aux_sym_preproc_include_token1] = ACTIONS(1183),
    [aux_sym_preproc_def_token1] = ACTIONS(1183),
    [aux_sym_preproc_if_token1] = ACTIONS(1183),
    [aux_sym_preproc_if_token2] = ACTIONS(1183),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1183),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1183),
    [sym_preproc_directive] = ACTIONS(1183),
    [anon_sym_LPAREN2] = ACTIONS(1185),
    [anon_sym_BANG] = ACTIONS(1185),
    [anon_sym_TILDE] = ACTIONS(1185),
    [anon_sym_DASH] = ACTIONS(1183),
    [anon_sym_PLUS] = ACTIONS(1183),
    [anon_sym_STAR] = ACTIONS(1185),
    [anon_sym_AMP] = ACTIONS(1185),
    [anon_sym_SEMI] = ACTIONS(1185),
    [anon_sym___extension__] = ACTIONS(1183),
    [anon_sym_typedef] = ACTIONS(1183),
    [anon_sym_extern] = ACTIONS(1183),
    [anon_sym___attribute__] = ACTIONS(1183),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1185),
    [anon_sym___declspec] = ACTIONS(1183),
    [anon_sym___cdecl] = ACTIONS(1183),
    [anon_sym___clrcall] = ACTIONS(1183),
    [anon_sym___stdcall] = ACTIONS(1183),
    [anon_sym___fastcall] = ACTIONS(1183),
    [anon_sym___thiscall] = ACTIONS(1183),
    [anon_sym___vectorcall] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1185),
    [anon_sym_signed] = ACTIONS(1183),
    [anon_sym_unsigned] = ACTIONS(1183),
    [anon_sym_long] = ACTIONS(1183),
    [anon_sym_short] = ACTIONS(1183),
    [anon_sym_static] = ACTIONS(1183),
    [anon_sym_auto] = ACTIONS(1183),
    [anon_sym_register] = ACTIONS(1183),
    [anon_sym_inline] = ACTIONS(1183),
    [anon_sym___inline] = ACTIONS(1183),
    [anon_sym___inline__] = ACTIONS(1183),
    [anon_sym___forceinline] = ACTIONS(1183),
    [anon_sym_thread_local] = ACTIONS(1183),
    [anon_sym___thread] = ACTIONS(1183),
    [anon_sym_const] = ACTIONS(1183),
    [anon_sym_constexpr] = ACTIONS(1183),
    [anon_sym_volatile] = ACTIONS(1183),
    [anon_sym_restrict] = ACTIONS(1183),
    [anon_sym___restrict__] = ACTIONS(1183),
    [anon_sym__Atomic] = ACTIONS(1183),
    [anon_sym__Noreturn] = ACTIONS(1183),
    [anon_sym_noreturn] = ACTIONS(1183),
    [anon_sym_alignas] = ACTIONS(1183),
    [anon_sym__Alignas] = ACTIONS(1183),
    [sym_primitive_type] = ACTIONS(1183),
    [anon_sym_enum] = ACTIONS(1183),
    [anon_sym_struct] = ACTIONS(1183),
    [anon_sym_union] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(1183),
    [anon_sym_else] = ACTIONS(1183),
    [anon_sym_switch] = ACTIONS(1183),
    [anon_sym_case] = ACTIONS(1183),
    [anon_sym_default] = ACTIONS(1183),
    [anon_sym_while] = ACTIONS(1183),
    [anon_sym_do] = ACTIONS(1183),
    [anon_sym_for] = ACTIONS(1183),
    [anon_sym_return] = ACTIONS(1183),
    [anon_sym_break] = ACTIONS(1183),
    [anon_sym_continue] = ACTIONS(1183),
    [anon_sym_goto] = ACTIONS(1183),
    [anon_sym___try] = ACTIONS(1183),
    [anon_sym___leave] = ACTIONS(1183),
    [anon_sym_DASH_DASH] = ACTIONS(1185),
    [anon_sym_PLUS_PLUS] = ACTIONS(1185),
    [anon_sym_sizeof] = ACTIONS(1183),
    [anon_sym___alignof__] = ACTIONS(1183),
    [anon_sym___alignof] = ACTIONS(1183),
    [anon_sym__alignof] = ACTIONS(1183),
    [anon_sym_alignof] = ACTIONS(1183),
    [anon_sym__Alignof] = ACTIONS(1183),
    [anon_sym_offsetof] = ACTIONS(1183),
    [anon_sym__Generic] = ACTIONS(1183),
    [anon_sym_asm] = ACTIONS(1183),
    [anon_sym___asm__] = ACTIONS(1183),
    [sym_number_literal] = ACTIONS(1185),
    [anon_sym_L_SQUOTE] = ACTIONS(1185),
    [anon_sym_u_SQUOTE] = ACTIONS(1185),
    [anon_sym_U_SQUOTE] = ACTIONS(1185),
    [anon_sym_u8_SQUOTE] = ACTIONS(1185),
    [anon_sym_SQUOTE] = ACTIONS(1185),
    [anon_sym_L_DQUOTE] = ACTIONS(1185),
    [anon_sym_u_DQUOTE] = ACTIONS(1185),
    [anon_sym_U_DQUOTE] = ACTIONS(1185),
    [anon_sym_u8_DQUOTE] = ACTIONS(1185),
    [anon_sym_DQUOTE] = ACTIONS(1185),
    [sym_true] = ACTIONS(1183),
    [sym_false] = ACTIONS(1183),
    [anon_sym_NULL] = ACTIONS(1183),
    [anon_sym_nullptr] = ACTIONS(1183),
    [sym_comment] = ACTIONS(3),
  },
  [249] = {
    [ts_builtin_sym_end] = ACTIONS(1141),
    [sym_identifier] = ACTIONS(1139),
    [aux_sym_preproc_include_token1] = ACTIONS(1139),
    [aux_sym_preproc_def_token1] = ACTIONS(1139),
    [aux_sym_preproc_if_token1] = ACTIONS(1139),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1139),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1139),
    [sym_preproc_directive] = ACTIONS(1139),
    [anon_sym_LPAREN2] = ACTIONS(1141),
    [anon_sym_BANG] = ACTIONS(1141),
    [anon_sym_TILDE] = ACTIONS(1141),
    [anon_sym_DASH] = ACTIONS(1139),
    [anon_sym_PLUS] = ACTIONS(1139),
    [anon_sym_STAR] = ACTIONS(1141),
    [anon_sym_AMP] = ACTIONS(1141),
    [anon_sym_SEMI] = ACTIONS(1141),
    [anon_sym___extension__] = ACTIONS(1139),
    [anon_sym_typedef] = ACTIONS(1139),
    [anon_sym_extern] = ACTIONS(1139),
    [anon_sym___attribute__] = ACTIONS(1139),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1141),
    [anon_sym___declspec] = ACTIONS(1139),
    [anon_sym___cdecl] = ACTIONS(1139),
    [anon_sym___clrcall] = ACTIONS(1139),
    [anon_sym___stdcall] = ACTIONS(1139),
    [anon_sym___fastcall] = ACTIONS(1139),
    [anon_sym___thiscall] = ACTIONS(1139),
    [anon_sym___vectorcall] = ACTIONS(1139),
    [anon_sym_LBRACE] = ACTIONS(1141),
    [anon_sym_signed] = ACTIONS(1139),
    [anon_sym_unsigned] = ACTIONS(1139),
    [anon_sym_long] = ACTIONS(1139),
    [anon_sym_short] = ACTIONS(1139),
    [anon_sym_static] = ACTIONS(1139),
    [anon_sym_auto] = ACTIONS(1139),
    [anon_sym_register] = ACTIONS(1139),
    [anon_sym_inline] = ACTIONS(1139),
    [anon_sym___inline] = ACTIONS(1139),
    [anon_sym___inline__] = ACTIONS(1139),
    [anon_sym___forceinline] = ACTIONS(1139),
    [anon_sym_thread_local] = ACTIONS(1139),
    [anon_sym___thread] = ACTIONS(1139),
    [anon_sym_const] = ACTIONS(1139),
    [anon_sym_constexpr] = ACTIONS(1139),
    [anon_sym_volatile] = ACTIONS(1139),
    [anon_sym_restrict] = ACTIONS(1139),
    [anon_sym___restrict__] = ACTIONS(1139),
    [anon_sym__Atomic] = ACTIONS(1139),
    [anon_sym__Noreturn] = ACTIONS(1139),
    [anon_sym_noreturn] = ACTIONS(1139),
    [anon_sym_alignas] = ACTIONS(1139),
    [anon_sym__Alignas] = ACTIONS(1139),
    [sym_primitive_type] = ACTIONS(1139),
    [anon_sym_enum] = ACTIONS(1139),
    [anon_sym_struct] = ACTIONS(1139),
    [anon_sym_union] = ACTIONS(1139),
    [anon_sym_if] = ACTIONS(1139),
    [anon_sym_else] = ACTIONS(1139),
    [anon_sym_switch] = ACTIONS(1139),
    [anon_sym_case] = ACTIONS(1139),
    [anon_sym_default] = ACTIONS(1139),
    [anon_sym_while] = ACTIONS(1139),
    [anon_sym_do] = ACTIONS(1139),
    [anon_sym_for] = ACTIONS(1139),
    [anon_sym_return] = ACTIONS(1139),
    [anon_sym_break] = ACTIONS(1139),
    [anon_sym_continue] = ACTIONS(1139),
    [anon_sym_goto] = ACTIONS(1139),
    [anon_sym___try] = ACTIONS(1139),
    [anon_sym___leave] = ACTIONS(1139),
    [anon_sym_DASH_DASH] = ACTIONS(1141),
    [anon_sym_PLUS_PLUS] = ACTIONS(1141),
    [anon_sym_sizeof] = ACTIONS(1139),
    [anon_sym___alignof__] = ACTIONS(1139),
    [anon_sym___alignof] = ACTIONS(1139),
    [anon_sym__alignof] = ACTIONS(1139),
    [anon_sym_alignof] = ACTIONS(1139),
    [anon_sym__Alignof] = ACTIONS(1139),
    [anon_sym_offsetof] = ACTIONS(1139),
    [anon_sym__Generic] = ACTIONS(1139),
    [anon_sym_asm] = ACTIONS(1139),
    [anon_sym___asm__] = ACTIONS(1139),
    [sym_number_literal] = ACTIONS(1141),
    [anon_sym_L_SQUOTE] = ACTIONS(1141),
    [anon_sym_u_SQUOTE] = ACTIONS(1141),
    [anon_sym_U_SQUOTE] = ACTIONS(1141),
    [anon_sym_u8_SQUOTE] = ACTIONS(1141),
    [anon_sym_SQUOTE] = ACTIONS(1141),
    [anon_sym_L_DQUOTE] = ACTIONS(1141),
    [anon_sym_u_DQUOTE] = ACTIONS(1141),
    [anon_sym_U_DQUOTE] = ACTIONS(1141),
    [anon_sym_u8_DQUOTE] = ACTIONS(1141),
    [anon_sym_DQUOTE] = ACTIONS(1141),
    [sym_true] = ACTIONS(1139),
    [sym_false] = ACTIONS(1139),
    [anon_sym_NULL] = ACTIONS(1139),
    [anon_sym_nullptr] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
  },
  [250] = {
    [sym_identifier] = ACTIONS(1239),
    [aux_sym_preproc_include_token1] = ACTIONS(1239),
    [aux_sym_preproc_def_token1] = ACTIONS(1239),
    [aux_sym_preproc_if_token1] = ACTIONS(1239),
    [aux_sym_preproc_if_token2] = ACTIONS(1239),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1239),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1239),
    [sym_preproc_directive] = ACTIONS(1239),
    [anon_sym_LPAREN2] = ACTIONS(1241),
    [anon_sym_BANG] = ACTIONS(1241),
    [anon_sym_TILDE] = ACTIONS(1241),
    [anon_sym_DASH] = ACTIONS(1239),
    [anon_sym_PLUS] = ACTIONS(1239),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_AMP] = ACTIONS(1241),
    [anon_sym_SEMI] = ACTIONS(1241),
    [anon_sym___extension__] = ACTIONS(1239),
    [anon_sym_typedef] = ACTIONS(1239),
    [anon_sym_extern] = ACTIONS(1239),
    [anon_sym___attribute__] = ACTIONS(1239),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1241),
    [anon_sym___declspec] = ACTIONS(1239),
    [anon_sym___cdecl] = ACTIONS(1239),
    [anon_sym___clrcall] = ACTIONS(1239),
    [anon_sym___stdcall] = ACTIONS(1239),
    [anon_sym___fastcall] = ACTIONS(1239),
    [anon_sym___thiscall] = ACTIONS(1239),
    [anon_sym___vectorcall] = ACTIONS(1239),
    [anon_sym_LBRACE] = ACTIONS(1241),
    [anon_sym_signed] = ACTIONS(1239),
    [anon_sym_unsigned] = ACTIONS(1239),
    [anon_sym_long] = ACTIONS(1239),
    [anon_sym_short] = ACTIONS(1239),
    [anon_sym_static] = ACTIONS(1239),
    [anon_sym_auto] = ACTIONS(1239),
    [anon_sym_register] = ACTIONS(1239),
    [anon_sym_inline] = ACTIONS(1239),
    [anon_sym___inline] = ACTIONS(1239),
    [anon_sym___inline__] = ACTIONS(1239),
    [anon_sym___forceinline] = ACTIONS(1239),
    [anon_sym_thread_local] = ACTIONS(1239),
    [anon_sym___thread] = ACTIONS(1239),
    [anon_sym_const] = ACTIONS(1239),
    [anon_sym_constexpr] = ACTIONS(1239),
    [anon_sym_volatile] = ACTIONS(1239),
    [anon_sym_restrict] = ACTIONS(1239),
    [anon_sym___restrict__] = ACTIONS(1239),
    [anon_sym__Atomic] = ACTIONS(1239),
    [anon_sym__Noreturn] = ACTIONS(1239),
    [anon_sym_noreturn] = ACTIONS(1239),
    [anon_sym_alignas] = ACTIONS(1239),
    [anon_sym__Alignas] = ACTIONS(1239),
    [sym_primitive_type] = ACTIONS(1239),
    [anon_sym_enum] = ACTIONS(1239),
    [anon_sym_struct] = ACTIONS(1239),
    [anon_sym_union] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1239),
    [anon_sym_else] = ACTIONS(1239),
    [anon_sym_switch] = ACTIONS(1239),
    [anon_sym_case] = ACTIONS(1239),
    [anon_sym_default] = ACTIONS(1239),
    [anon_sym_while] = ACTIONS(1239),
    [anon_sym_do] = ACTIONS(1239),
    [anon_sym_for] = ACTIONS(1239),
    [anon_sym_return] = ACTIONS(1239),
    [anon_sym_break] = ACTIONS(1239),
    [anon_sym_continue] = ACTIONS(1239),
    [anon_sym_goto] = ACTIONS(1239),
    [anon_sym___try] = ACTIONS(1239),
    [anon_sym___leave] = ACTIONS(1239),
    [anon_sym_DASH_DASH] = ACTIONS(1241),
    [anon_sym_PLUS_PLUS] = ACTIONS(1241),
    [anon_sym_sizeof] = ACTIONS(1239),
    [anon_sym___alignof__] = ACTIONS(1239),
    [anon_sym___alignof] = ACTIONS(1239),
    [anon_sym__alignof] = ACTIONS(1239),
    [anon_sym_alignof] = ACTIONS(1239),
    [anon_sym__Alignof] = ACTIONS(1239),
    [anon_sym_offsetof] = ACTIONS(1239),
    [anon_sym__Generic] = ACTIONS(1239),
    [anon_sym_asm] = ACTIONS(1239),
    [anon_sym___asm__] = ACTIONS(1239),
    [sym_number_literal] = ACTIONS(1241),
    [anon_sym_L_SQUOTE] = ACTIONS(1241),
    [anon_sym_u_SQUOTE] = ACTIONS(1241),
    [anon_sym_U_SQUOTE] = ACTIONS(1241),
    [anon_sym_u8_SQUOTE] = ACTIONS(1241),
    [anon_sym_SQUOTE] = ACTIONS(1241),
    [anon_sym_L_DQUOTE] = ACTIONS(1241),
    [anon_sym_u_DQUOTE] = ACTIONS(1241),
    [anon_sym_U_DQUOTE] = ACTIONS(1241),
    [anon_sym_u8_DQUOTE] = ACTIONS(1241),
    [anon_sym_DQUOTE] = ACTIONS(1241),
    [sym_true] = ACTIONS(1239),
    [sym_false] = ACTIONS(1239),
    [anon_sym_NULL] = ACTIONS(1239),
    [anon_sym_nullptr] = ACTIONS(1239),
    [sym_comment] = ACTIONS(3),
  },
  [251] = {
    [sym_identifier] = ACTIONS(1163),
    [aux_sym_preproc_include_token1] = ACTIONS(1163),
    [aux_sym_preproc_def_token1] = ACTIONS(1163),
    [aux_sym_preproc_if_token1] = ACTIONS(1163),
    [aux_sym_preproc_if_token2] = ACTIONS(1163),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1163),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1163),
    [sym_preproc_directive] = ACTIONS(1163),
    [anon_sym_LPAREN2] = ACTIONS(1165),
    [anon_sym_BANG] = ACTIONS(1165),
    [anon_sym_TILDE] = ACTIONS(1165),
    [anon_sym_DASH] = ACTIONS(1163),
    [anon_sym_PLUS] = ACTIONS(1163),
    [anon_sym_STAR] = ACTIONS(1165),
    [anon_sym_AMP] = ACTIONS(1165),
    [anon_sym_SEMI] = ACTIONS(1165),
    [anon_sym___extension__] = ACTIONS(1163),
    [anon_sym_typedef] = ACTIONS(1163),
    [anon_sym_extern] = ACTIONS(1163),
    [anon_sym___attribute__] = ACTIONS(1163),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1165),
    [anon_sym___declspec] = ACTIONS(1163),
    [anon_sym___cdecl] = ACTIONS(1163),
    [anon_sym___clrcall] = ACTIONS(1163),
    [anon_sym___stdcall] = ACTIONS(1163),
    [anon_sym___fastcall] = ACTIONS(1163),
    [anon_sym___thiscall] = ACTIONS(1163),
    [anon_sym___vectorcall] = ACTIONS(1163),
    [anon_sym_LBRACE] = ACTIONS(1165),
    [anon_sym_signed] = ACTIONS(1163),
    [anon_sym_unsigned] = ACTIONS(1163),
    [anon_sym_long] = ACTIONS(1163),
    [anon_sym_short] = ACTIONS(1163),
    [anon_sym_static] = ACTIONS(1163),
    [anon_sym_auto] = ACTIONS(1163),
    [anon_sym_register] = ACTIONS(1163),
    [anon_sym_inline] = ACTIONS(1163),
    [anon_sym___inline] = ACTIONS(1163),
    [anon_sym___inline__] = ACTIONS(1163),
    [anon_sym___forceinline] = ACTIONS(1163),
    [anon_sym_thread_local] = ACTIONS(1163),
    [anon_sym___thread] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1163),
    [anon_sym_constexpr] = ACTIONS(1163),
    [anon_sym_volatile] = ACTIONS(1163),
    [anon_sym_restrict] = ACTIONS(1163),
    [anon_sym___restrict__] = ACTIONS(1163),
    [anon_sym__Atomic] = ACTIONS(1163),
    [anon_sym__Noreturn] = ACTIONS(1163),
    [anon_sym_noreturn] = ACTIONS(1163),
    [anon_sym_alignas] = ACTIONS(1163),
    [anon_sym__Alignas] = ACTIONS(1163),
    [sym_primitive_type] = ACTIONS(1163),
    [anon_sym_enum] = ACTIONS(1163),
    [anon_sym_struct] = ACTIONS(1163),
    [anon_sym_union] = ACTIONS(1163),
    [anon_sym_if] = ACTIONS(1163),
    [anon_sym_else] = ACTIONS(1163),
    [anon_sym_switch] = ACTIONS(1163),
    [anon_sym_case] = ACTIONS(1163),
    [anon_sym_default] = ACTIONS(1163),
    [anon_sym_while] = ACTIONS(1163),
    [anon_sym_do] = ACTIONS(1163),
    [anon_sym_for] = ACTIONS(1163),
    [anon_sym_return] = ACTIONS(1163),
    [anon_sym_break] = ACTIONS(1163),
    [anon_sym_continue] = ACTIONS(1163),
    [anon_sym_goto] = ACTIONS(1163),
    [anon_sym___try] = ACTIONS(1163),
    [anon_sym___leave] = ACTIONS(1163),
    [anon_sym_DASH_DASH] = ACTIONS(1165),
    [anon_sym_PLUS_PLUS] = ACTIONS(1165),
    [anon_sym_sizeof] = ACTIONS(1163),
    [anon_sym___alignof__] = ACTIONS(1163),
    [anon_sym___alignof] = ACTIONS(1163),
    [anon_sym__alignof] = ACTIONS(1163),
    [anon_sym_alignof] = ACTIONS(1163),
    [anon_sym__Alignof] = ACTIONS(1163),
    [anon_sym_offsetof] = ACTIONS(1163),
    [anon_sym__Generic] = ACTIONS(1163),
    [anon_sym_asm] = ACTIONS(1163),
    [anon_sym___asm__] = ACTIONS(1163),
    [sym_number_literal] = ACTIONS(1165),
    [anon_sym_L_SQUOTE] = ACTIONS(1165),
    [anon_sym_u_SQUOTE] = ACTIONS(1165),
    [anon_sym_U_SQUOTE] = ACTIONS(1165),
    [anon_sym_u8_SQUOTE] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1165),
    [anon_sym_L_DQUOTE] = ACTIONS(1165),
    [anon_sym_u_DQUOTE] = ACTIONS(1165),
    [anon_sym_U_DQUOTE] = ACTIONS(1165),
    [anon_sym_u8_DQUOTE] = ACTIONS(1165),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [sym_true] = ACTIONS(1163),
    [sym_false] = ACTIONS(1163),
    [anon_sym_NULL] = ACTIONS(1163),
    [anon_sym_nullptr] = ACTIONS(1163),
    [sym_comment] = ACTIONS(3),
  },
  [252] = {
    [sym_identifier] = ACTIONS(1251),
    [aux_sym_preproc_include_token1] = ACTIONS(1251),
    [aux_sym_preproc_def_token1] = ACTIONS(1251),
    [aux_sym_preproc_if_token1] = ACTIONS(1251),
    [aux_sym_preproc_if_token2] = ACTIONS(1251),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1251),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1251),
    [sym_preproc_directive] = ACTIONS(1251),
    [anon_sym_LPAREN2] = ACTIONS(1253),
    [anon_sym_BANG] = ACTIONS(1253),
    [anon_sym_TILDE] = ACTIONS(1253),
    [anon_sym_DASH] = ACTIONS(1251),
    [anon_sym_PLUS] = ACTIONS(1251),
    [anon_sym_STAR] = ACTIONS(1253),
    [anon_sym_AMP] = ACTIONS(1253),
    [anon_sym_SEMI] = ACTIONS(1253),
    [anon_sym___extension__] = ACTIONS(1251),
    [anon_sym_typedef] = ACTIONS(1251),
    [anon_sym_extern] = ACTIONS(1251),
    [anon_sym___attribute__] = ACTIONS(1251),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1253),
    [anon_sym___declspec] = ACTIONS(1251),
    [anon_sym___cdecl] = ACTIONS(1251),
    [anon_sym___clrcall] = ACTIONS(1251),
    [anon_sym___stdcall] = ACTIONS(1251),
    [anon_sym___fastcall] = ACTIONS(1251),
    [anon_sym___thiscall] = ACTIONS(1251),
    [anon_sym___vectorcall] = ACTIONS(1251),
    [anon_sym_LBRACE] = ACTIONS(1253),
    [anon_sym_signed] = ACTIONS(1251),
    [anon_sym_unsigned] = ACTIONS(1251),
    [anon_sym_long] = ACTIONS(1251),
    [anon_sym_short] = ACTIONS(1251),
    [anon_sym_static] = ACTIONS(1251),
    [anon_sym_auto] = ACTIONS(1251),
    [anon_sym_register] = ACTIONS(1251),
    [anon_sym_inline] = ACTIONS(1251),
    [anon_sym___inline] = ACTIONS(1251),
    [anon_sym___inline__] = ACTIONS(1251),
    [anon_sym___forceinline] = ACTIONS(1251),
    [anon_sym_thread_local] = ACTIONS(1251),
    [anon_sym___thread] = ACTIONS(1251),
    [anon_sym_const] = ACTIONS(1251),
    [anon_sym_constexpr] = ACTIONS(1251),
    [anon_sym_volatile] = ACTIONS(1251),
    [anon_sym_restrict] = ACTIONS(1251),
    [anon_sym___restrict__] = ACTIONS(1251),
    [anon_sym__Atomic] = ACTIONS(1251),
    [anon_sym__Noreturn] = ACTIONS(1251),
    [anon_sym_noreturn] = ACTIONS(1251),
    [anon_sym_alignas] = ACTIONS(1251),
    [anon_sym__Alignas] = ACTIONS(1251),
    [sym_primitive_type] = ACTIONS(1251),
    [anon_sym_enum] = ACTIONS(1251),
    [anon_sym_struct] = ACTIONS(1251),
    [anon_sym_union] = ACTIONS(1251),
    [anon_sym_if] = ACTIONS(1251),
    [anon_sym_switch] = ACTIONS(1251),
    [anon_sym_case] = ACTIONS(1251),
    [anon_sym_default] = ACTIONS(1251),
    [anon_sym_while] = ACTIONS(1251),
    [anon_sym_do] = ACTIONS(1251),
    [anon_sym_for] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(1251),
    [anon_sym_break] = ACTIONS(1251),
    [anon_sym_continue] = ACTIONS(1251),
    [anon_sym_goto] = ACTIONS(1251),
    [anon_sym___try] = ACTIONS(1251),
    [anon_sym___leave] = ACTIONS(1251),
    [anon_sym_DASH_DASH] = ACTIONS(1253),
    [anon_sym_PLUS_PLUS] = ACTIONS(1253),
    [anon_sym_sizeof] = ACTIONS(1251),
    [anon_sym___alignof__] = ACTIONS(1251),
    [anon_sym___alignof] = ACTIONS(1251),
    [anon_sym__alignof] = ACTIONS(1251),
    [anon_sym_alignof] = ACTIONS(1251),
    [anon_sym__Alignof] = ACTIONS(1251),
    [anon_sym_offsetof] = ACTIONS(1251),
    [anon_sym__Generic] = ACTIONS(1251),
    [anon_sym_asm] = ACTIONS(1251),
    [anon_sym___asm__] = ACTIONS(1251),
    [sym_number_literal] = ACTIONS(1253),
    [anon_sym_L_SQUOTE] = ACTIONS(1253),
    [anon_sym_u_SQUOTE] = ACTIONS(1253),
    [anon_sym_U_SQUOTE] = ACTIONS(1253),
    [anon_sym_u8_SQUOTE] = ACTIONS(1253),
    [anon_sym_SQUOTE] = ACTIONS(1253),
    [anon_sym_L_DQUOTE] = ACTIONS(1253),
    [anon_sym_u_DQUOTE] = ACTIONS(1253),
    [anon_sym_U_DQUOTE] = ACTIONS(1253),
    [anon_sym_u8_DQUOTE] = ACTIONS(1253),
    [anon_sym_DQUOTE] = ACTIONS(1253),
    [sym_true] = ACTIONS(1251),
    [sym_false] = ACTIONS(1251),
    [anon_sym_NULL] = ACTIONS(1251),
    [anon_sym_nullptr] = ACTIONS(1251),
    [sym_comment] = ACTIONS(3),
  },
  [253] = {
    [sym_identifier] = ACTIONS(1355),
    [aux_sym_preproc_include_token1] = ACTIONS(1355),
    [aux_sym_preproc_def_token1] = ACTIONS(1355),
    [aux_sym_preproc_if_token1] = ACTIONS(1355),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1355),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1355),
    [sym_preproc_directive] = ACTIONS(1355),
    [anon_sym_LPAREN2] = ACTIONS(1358),
    [anon_sym_BANG] = ACTIONS(1358),
    [anon_sym_TILDE] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1355),
    [anon_sym_PLUS] = ACTIONS(1355),
    [anon_sym_STAR] = ACTIONS(1358),
    [anon_sym_AMP] = ACTIONS(1358),
    [anon_sym_SEMI] = ACTIONS(1358),
    [anon_sym___extension__] = ACTIONS(1355),
    [anon_sym_typedef] = ACTIONS(1355),
    [anon_sym_extern] = ACTIONS(1355),
    [anon_sym___attribute__] = ACTIONS(1355),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1358),
    [anon_sym___declspec] = ACTIONS(1355),
    [anon_sym___cdecl] = ACTIONS(1355),
    [anon_sym___clrcall] = ACTIONS(1355),
    [anon_sym___stdcall] = ACTIONS(1355),
    [anon_sym___fastcall] = ACTIONS(1355),
    [anon_sym___thiscall] = ACTIONS(1355),
    [anon_sym___vectorcall] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1358),
    [anon_sym_RBRACE] = ACTIONS(1358),
    [anon_sym_signed] = ACTIONS(1355),
    [anon_sym_unsigned] = ACTIONS(1355),
    [anon_sym_long] = ACTIONS(1355),
    [anon_sym_short] = ACTIONS(1355),
    [anon_sym_static] = ACTIONS(1355),
    [anon_sym_auto] = ACTIONS(1355),
    [anon_sym_register] = ACTIONS(1355),
    [anon_sym_inline] = ACTIONS(1355),
    [anon_sym___inline] = ACTIONS(1355),
    [anon_sym___inline__] = ACTIONS(1355),
    [anon_sym___forceinline] = ACTIONS(1355),
    [anon_sym_thread_local] = ACTIONS(1355),
    [anon_sym___thread] = ACTIONS(1355),
    [anon_sym_const] = ACTIONS(1355),
    [anon_sym_constexpr] = ACTIONS(1355),
    [anon_sym_volatile] = ACTIONS(1355),
    [anon_sym_restrict] = ACTIONS(1355),
    [anon_sym___restrict__] = ACTIONS(1355),
    [anon_sym__Atomic] = ACTIONS(1355),
    [anon_sym__Noreturn] = ACTIONS(1355),
    [anon_sym_noreturn] = ACTIONS(1355),
    [anon_sym_alignas] = ACTIONS(1355),
    [anon_sym__Alignas] = ACTIONS(1355),
    [sym_primitive_type] = ACTIONS(1355),
    [anon_sym_enum] = ACTIONS(1355),
    [anon_sym_struct] = ACTIONS(1355),
    [anon_sym_union] = ACTIONS(1355),
    [anon_sym_if] = ACTIONS(1355),
    [anon_sym_switch] = ACTIONS(1355),
    [anon_sym_case] = ACTIONS(1355),
    [anon_sym_default] = ACTIONS(1355),
    [anon_sym_while] = ACTIONS(1355),
    [anon_sym_do] = ACTIONS(1355),
    [anon_sym_for] = ACTIONS(1355),
    [anon_sym_return] = ACTIONS(1355),
    [anon_sym_break] = ACTIONS(1355),
    [anon_sym_continue] = ACTIONS(1355),
    [anon_sym_goto] = ACTIONS(1355),
    [anon_sym___try] = ACTIONS(1355),
    [anon_sym___leave] = ACTIONS(1355),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [anon_sym_sizeof] = ACTIONS(1355),
    [anon_sym___alignof__] = ACTIONS(1355),
    [anon_sym___alignof] = ACTIONS(1355),
    [anon_sym__alignof] = ACTIONS(1355),
    [anon_sym_alignof] = ACTIONS(1355),
    [anon_sym__Alignof] = ACTIONS(1355),
    [anon_sym_offsetof] = ACTIONS(1355),
    [anon_sym__Generic] = ACTIONS(1355),
    [anon_sym_asm] = ACTIONS(1355),
    [anon_sym___asm__] = ACTIONS(1355),
    [sym_number_literal] = ACTIONS(1358),
    [anon_sym_L_SQUOTE] = ACTIONS(1358),
    [anon_sym_u_SQUOTE] = ACTIONS(1358),
    [anon_sym_U_SQUOTE] = ACTIONS(1358),
    [anon_sym_u8_SQUOTE] = ACTIONS(1358),
    [anon_sym_SQUOTE] = ACTIONS(1358),
    [anon_sym_L_DQUOTE] = ACTIONS(1358),
    [anon_sym_u_DQUOTE] = ACTIONS(1358),
    [anon_sym_U_DQUOTE] = ACTIONS(1358),
    [anon_sym_u8_DQUOTE] = ACTIONS(1358),
    [anon_sym_DQUOTE] = ACTIONS(1358),
    [sym_true] = ACTIONS(1355),
    [sym_false] = ACTIONS(1355),
    [anon_sym_NULL] = ACTIONS(1355),
    [anon_sym_nullptr] = ACTIONS(1355),
    [sym_comment] = ACTIONS(3),
  },
  [254] = {
    [sym_identifier] = ACTIONS(1259),
    [aux_sym_preproc_include_token1] = ACTIONS(1259),
    [aux_sym_preproc_def_token1] = ACTIONS(1259),
    [aux_sym_preproc_if_token1] = ACTIONS(1259),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1259),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1259),
    [sym_preproc_directive] = ACTIONS(1259),
    [anon_sym_LPAREN2] = ACTIONS(1261),
    [anon_sym_BANG] = ACTIONS(1261),
    [anon_sym_TILDE] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1259),
    [anon_sym_STAR] = ACTIONS(1261),
    [anon_sym_AMP] = ACTIONS(1261),
    [anon_sym_SEMI] = ACTIONS(1261),
    [anon_sym___extension__] = ACTIONS(1259),
    [anon_sym_typedef] = ACTIONS(1259),
    [anon_sym_extern] = ACTIONS(1259),
    [anon_sym___attribute__] = ACTIONS(1259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1261),
    [anon_sym___declspec] = ACTIONS(1259),
    [anon_sym___cdecl] = ACTIONS(1259),
    [anon_sym___clrcall] = ACTIONS(1259),
    [anon_sym___stdcall] = ACTIONS(1259),
    [anon_sym___fastcall] = ACTIONS(1259),
    [anon_sym___thiscall] = ACTIONS(1259),
    [anon_sym___vectorcall] = ACTIONS(1259),
    [anon_sym_LBRACE] = ACTIONS(1261),
    [anon_sym_RBRACE] = ACTIONS(1261),
    [anon_sym_signed] = ACTIONS(1259),
    [anon_sym_unsigned] = ACTIONS(1259),
    [anon_sym_long] = ACTIONS(1259),
    [anon_sym_short] = ACTIONS(1259),
    [anon_sym_static] = ACTIONS(1259),
    [anon_sym_auto] = ACTIONS(1259),
    [anon_sym_register] = ACTIONS(1259),
    [anon_sym_inline] = ACTIONS(1259),
    [anon_sym___inline] = ACTIONS(1259),
    [anon_sym___inline__] = ACTIONS(1259),
    [anon_sym___forceinline] = ACTIONS(1259),
    [anon_sym_thread_local] = ACTIONS(1259),
    [anon_sym___thread] = ACTIONS(1259),
    [anon_sym_const] = ACTIONS(1259),
    [anon_sym_constexpr] = ACTIONS(1259),
    [anon_sym_volatile] = ACTIONS(1259),
    [anon_sym_restrict] = ACTIONS(1259),
    [anon_sym___restrict__] = ACTIONS(1259),
    [anon_sym__Atomic] = ACTIONS(1259),
    [anon_sym__Noreturn] = ACTIONS(1259),
    [anon_sym_noreturn] = ACTIONS(1259),
    [anon_sym_alignas] = ACTIONS(1259),
    [anon_sym__Alignas] = ACTIONS(1259),
    [sym_primitive_type] = ACTIONS(1259),
    [anon_sym_enum] = ACTIONS(1259),
    [anon_sym_struct] = ACTIONS(1259),
    [anon_sym_union] = ACTIONS(1259),
    [anon_sym_if] = ACTIONS(1259),
    [anon_sym_switch] = ACTIONS(1259),
    [anon_sym_case] = ACTIONS(1259),
    [anon_sym_default] = ACTIONS(1259),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_do] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1259),
    [anon_sym_return] = ACTIONS(1259),
    [anon_sym_break] = ACTIONS(1259),
    [anon_sym_continue] = ACTIONS(1259),
    [anon_sym_goto] = ACTIONS(1259),
    [anon_sym___try] = ACTIONS(1259),
    [anon_sym___leave] = ACTIONS(1259),
    [anon_sym_DASH_DASH] = ACTIONS(1261),
    [anon_sym_PLUS_PLUS] = ACTIONS(1261),
    [anon_sym_sizeof] = ACTIONS(1259),
    [anon_sym___alignof__] = ACTIONS(1259),
    [anon_sym___alignof] = ACTIONS(1259),
    [anon_sym__alignof] = ACTIONS(1259),
    [anon_sym_alignof] = ACTIONS(1259),
    [anon_sym__Alignof] = ACTIONS(1259),
    [anon_sym_offsetof] = ACTIONS(1259),
    [anon_sym__Generic] = ACTIONS(1259),
    [anon_sym_asm] = ACTIONS(1259),
    [anon_sym___asm__] = ACTIONS(1259),
    [sym_number_literal] = ACTIONS(1261),
    [anon_sym_L_SQUOTE] = ACTIONS(1261),
    [anon_sym_u_SQUOTE] = ACTIONS(1261),
    [anon_sym_U_SQUOTE] = ACTIONS(1261),
    [anon_sym_u8_SQUOTE] = ACTIONS(1261),
    [anon_sym_SQUOTE] = ACTIONS(1261),
    [anon_sym_L_DQUOTE] = ACTIONS(1261),
    [anon_sym_u_DQUOTE] = ACTIONS(1261),
    [anon_sym_U_DQUOTE] = ACTIONS(1261),
    [anon_sym_u8_DQUOTE] = ACTIONS(1261),
    [anon_sym_DQUOTE] = ACTIONS(1261),
    [sym_true] = ACTIONS(1259),
    [sym_false] = ACTIONS(1259),
    [anon_sym_NULL] = ACTIONS(1259),
    [anon_sym_nullptr] = ACTIONS(1259),
    [sym_comment] = ACTIONS(3),
  },
  [255] = {
    [sym_identifier] = ACTIONS(1275),
    [aux_sym_preproc_include_token1] = ACTIONS(1275),
    [aux_sym_preproc_def_token1] = ACTIONS(1275),
    [aux_sym_preproc_if_token1] = ACTIONS(1275),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1275),
    [sym_preproc_directive] = ACTIONS(1275),
    [anon_sym_LPAREN2] = ACTIONS(1277),
    [anon_sym_BANG] = ACTIONS(1277),
    [anon_sym_TILDE] = ACTIONS(1277),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_STAR] = ACTIONS(1277),
    [anon_sym_AMP] = ACTIONS(1277),
    [anon_sym_SEMI] = ACTIONS(1277),
    [anon_sym___extension__] = ACTIONS(1275),
    [anon_sym_typedef] = ACTIONS(1275),
    [anon_sym_extern] = ACTIONS(1275),
    [anon_sym___attribute__] = ACTIONS(1275),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1277),
    [anon_sym___declspec] = ACTIONS(1275),
    [anon_sym___cdecl] = ACTIONS(1275),
    [anon_sym___clrcall] = ACTIONS(1275),
    [anon_sym___stdcall] = ACTIONS(1275),
    [anon_sym___fastcall] = ACTIONS(1275),
    [anon_sym___thiscall] = ACTIONS(1275),
    [anon_sym___vectorcall] = ACTIONS(1275),
    [anon_sym_LBRACE] = ACTIONS(1277),
    [anon_sym_RBRACE] = ACTIONS(1277),
    [anon_sym_signed] = ACTIONS(1275),
    [anon_sym_unsigned] = ACTIONS(1275),
    [anon_sym_long] = ACTIONS(1275),
    [anon_sym_short] = ACTIONS(1275),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_auto] = ACTIONS(1275),
    [anon_sym_register] = ACTIONS(1275),
    [anon_sym_inline] = ACTIONS(1275),
    [anon_sym___inline] = ACTIONS(1275),
    [anon_sym___inline__] = ACTIONS(1275),
    [anon_sym___forceinline] = ACTIONS(1275),
    [anon_sym_thread_local] = ACTIONS(1275),
    [anon_sym___thread] = ACTIONS(1275),
    [anon_sym_const] = ACTIONS(1275),
    [anon_sym_constexpr] = ACTIONS(1275),
    [anon_sym_volatile] = ACTIONS(1275),
    [anon_sym_restrict] = ACTIONS(1275),
    [anon_sym___restrict__] = ACTIONS(1275),
    [anon_sym__Atomic] = ACTIONS(1275),
    [anon_sym__Noreturn] = ACTIONS(1275),
    [anon_sym_noreturn] = ACTIONS(1275),
    [anon_sym_alignas] = ACTIONS(1275),
    [anon_sym__Alignas] = ACTIONS(1275),
    [sym_primitive_type] = ACTIONS(1275),
    [anon_sym_enum] = ACTIONS(1275),
    [anon_sym_struct] = ACTIONS(1275),
    [anon_sym_union] = ACTIONS(1275),
    [anon_sym_if] = ACTIONS(1275),
    [anon_sym_switch] = ACTIONS(1275),
    [anon_sym_case] = ACTIONS(1275),
    [anon_sym_default] = ACTIONS(1275),
    [anon_sym_while] = ACTIONS(1275),
    [anon_sym_do] = ACTIONS(1275),
    [anon_sym_for] = ACTIONS(1275),
    [anon_sym_return] = ACTIONS(1275),
    [anon_sym_break] = ACTIONS(1275),
    [anon_sym_continue] = ACTIONS(1275),
    [anon_sym_goto] = ACTIONS(1275),
    [anon_sym___try] = ACTIONS(1275),
    [anon_sym___leave] = ACTIONS(1275),
    [anon_sym_DASH_DASH] = ACTIONS(1277),
    [anon_sym_PLUS_PLUS] = ACTIONS(1277),
    [anon_sym_sizeof] = ACTIONS(1275),
    [anon_sym___alignof__] = ACTIONS(1275),
    [anon_sym___alignof] = ACTIONS(1275),
    [anon_sym__alignof] = ACTIONS(1275),
    [anon_sym_alignof] = ACTIONS(1275),
    [anon_sym__Alignof] = ACTIONS(1275),
    [anon_sym_offsetof] = ACTIONS(1275),
    [anon_sym__Generic] = ACTIONS(1275),
    [anon_sym_asm] = ACTIONS(1275),
    [anon_sym___asm__] = ACTIONS(1275),
    [sym_number_literal] = ACTIONS(1277),
    [anon_sym_L_SQUOTE] = ACTIONS(1277),
    [anon_sym_u_SQUOTE] = ACTIONS(1277),
    [anon_sym_U_SQUOTE] = ACTIONS(1277),
    [anon_sym_u8_SQUOTE] = ACTIONS(1277),
    [anon_sym_SQUOTE] = ACTIONS(1277),
    [anon_sym_L_DQUOTE] = ACTIONS(1277),
    [anon_sym_u_DQUOTE] = ACTIONS(1277),
    [anon_sym_U_DQUOTE] = ACTIONS(1277),
    [anon_sym_u8_DQUOTE] = ACTIONS(1277),
    [anon_sym_DQUOTE] = ACTIONS(1277),
    [sym_true] = ACTIONS(1275),
    [sym_false] = ACTIONS(1275),
    [anon_sym_NULL] = ACTIONS(1275),
    [anon_sym_nullptr] = ACTIONS(1275),
    [sym_comment] = ACTIONS(3),
  },
  [256] = {
    [sym_identifier] = ACTIONS(1295),
    [aux_sym_preproc_include_token1] = ACTIONS(1295),
    [aux_sym_preproc_def_token1] = ACTIONS(1295),
    [aux_sym_preproc_if_token1] = ACTIONS(1295),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1295),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1295),
    [sym_preproc_directive] = ACTIONS(1295),
    [anon_sym_LPAREN2] = ACTIONS(1297),
    [anon_sym_BANG] = ACTIONS(1297),
    [anon_sym_TILDE] = ACTIONS(1297),
    [anon_sym_DASH] = ACTIONS(1295),
    [anon_sym_PLUS] = ACTIONS(1295),
    [anon_sym_STAR] = ACTIONS(1297),
    [anon_sym_AMP] = ACTIONS(1297),
    [anon_sym_SEMI] = ACTIONS(1297),
    [anon_sym___extension__] = ACTIONS(1295),
    [anon_sym_typedef] = ACTIONS(1295),
    [anon_sym_extern] = ACTIONS(1295),
    [anon_sym___attribute__] = ACTIONS(1295),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1297),
    [anon_sym___declspec] = ACTIONS(1295),
    [anon_sym___cdecl] = ACTIONS(1295),
    [anon_sym___clrcall] = ACTIONS(1295),
    [anon_sym___stdcall] = ACTIONS(1295),
    [anon_sym___fastcall] = ACTIONS(1295),
    [anon_sym___thiscall] = ACTIONS(1295),
    [anon_sym___vectorcall] = ACTIONS(1295),
    [anon_sym_LBRACE] = ACTIONS(1297),
    [anon_sym_RBRACE] = ACTIONS(1297),
    [anon_sym_signed] = ACTIONS(1295),
    [anon_sym_unsigned] = ACTIONS(1295),
    [anon_sym_long] = ACTIONS(1295),
    [anon_sym_short] = ACTIONS(1295),
    [anon_sym_static] = ACTIONS(1295),
    [anon_sym_auto] = ACTIONS(1295),
    [anon_sym_register] = ACTIONS(1295),
    [anon_sym_inline] = ACTIONS(1295),
    [anon_sym___inline] = ACTIONS(1295),
    [anon_sym___inline__] = ACTIONS(1295),
    [anon_sym___forceinline] = ACTIONS(1295),
    [anon_sym_thread_local] = ACTIONS(1295),
    [anon_sym___thread] = ACTIONS(1295),
    [anon_sym_const] = ACTIONS(1295),
    [anon_sym_constexpr] = ACTIONS(1295),
    [anon_sym_volatile] = ACTIONS(1295),
    [anon_sym_restrict] = ACTIONS(1295),
    [anon_sym___restrict__] = ACTIONS(1295),
    [anon_sym__Atomic] = ACTIONS(1295),
    [anon_sym__Noreturn] = ACTIONS(1295),
    [anon_sym_noreturn] = ACTIONS(1295),
    [anon_sym_alignas] = ACTIONS(1295),
    [anon_sym__Alignas] = ACTIONS(1295),
    [sym_primitive_type] = ACTIONS(1295),
    [anon_sym_enum] = ACTIONS(1295),
    [anon_sym_struct] = ACTIONS(1295),
    [anon_sym_union] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_switch] = ACTIONS(1295),
    [anon_sym_case] = ACTIONS(1295),
    [anon_sym_default] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_do] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1295),
    [anon_sym_return] = ACTIONS(1295),
    [anon_sym_break] = ACTIONS(1295),
    [anon_sym_continue] = ACTIONS(1295),
    [anon_sym_goto] = ACTIONS(1295),
    [anon_sym___try] = ACTIONS(1295),
    [anon_sym___leave] = ACTIONS(1295),
    [anon_sym_DASH_DASH] = ACTIONS(1297),
    [anon_sym_PLUS_PLUS] = ACTIONS(1297),
    [anon_sym_sizeof] = ACTIONS(1295),
    [anon_sym___alignof__] = ACTIONS(1295),
    [anon_sym___alignof] = ACTIONS(1295),
    [anon_sym__alignof] = ACTIONS(1295),
    [anon_sym_alignof] = ACTIONS(1295),
    [anon_sym__Alignof] = ACTIONS(1295),
    [anon_sym_offsetof] = ACTIONS(1295),
    [anon_sym__Generic] = ACTIONS(1295),
    [anon_sym_asm] = ACTIONS(1295),
    [anon_sym___asm__] = ACTIONS(1295),
    [sym_number_literal] = ACTIONS(1297),
    [anon_sym_L_SQUOTE] = ACTIONS(1297),
    [anon_sym_u_SQUOTE] = ACTIONS(1297),
    [anon_sym_U_SQUOTE] = ACTIONS(1297),
    [anon_sym_u8_SQUOTE] = ACTIONS(1297),
    [anon_sym_SQUOTE] = ACTIONS(1297),
    [anon_sym_L_DQUOTE] = ACTIONS(1297),
    [anon_sym_u_DQUOTE] = ACTIONS(1297),
    [anon_sym_U_DQUOTE] = ACTIONS(1297),
    [anon_sym_u8_DQUOTE] = ACTIONS(1297),
    [anon_sym_DQUOTE] = ACTIONS(1297),
    [sym_true] = ACTIONS(1295),
    [sym_false] = ACTIONS(1295),
    [anon_sym_NULL] = ACTIONS(1295),
    [anon_sym_nullptr] = ACTIONS(1295),
    [sym_comment] = ACTIONS(3),
  },
  [257] = {
    [sym_identifier] = ACTIONS(1339),
    [aux_sym_preproc_include_token1] = ACTIONS(1339),
    [aux_sym_preproc_def_token1] = ACTIONS(1339),
    [aux_sym_preproc_if_token1] = ACTIONS(1339),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1339),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1339),
    [sym_preproc_directive] = ACTIONS(1339),
    [anon_sym_LPAREN2] = ACTIONS(1341),
    [anon_sym_BANG] = ACTIONS(1341),
    [anon_sym_TILDE] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1339),
    [anon_sym_PLUS] = ACTIONS(1339),
    [anon_sym_STAR] = ACTIONS(1341),
    [anon_sym_AMP] = ACTIONS(1341),
    [anon_sym_SEMI] = ACTIONS(1341),
    [anon_sym___extension__] = ACTIONS(1339),
    [anon_sym_typedef] = ACTIONS(1339),
    [anon_sym_extern] = ACTIONS(1339),
    [anon_sym___attribute__] = ACTIONS(1339),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1341),
    [anon_sym___declspec] = ACTIONS(1339),
    [anon_sym___cdecl] = ACTIONS(1339),
    [anon_sym___clrcall] = ACTIONS(1339),
    [anon_sym___stdcall] = ACTIONS(1339),
    [anon_sym___fastcall] = ACTIONS(1339),
    [anon_sym___thiscall] = ACTIONS(1339),
    [anon_sym___vectorcall] = ACTIONS(1339),
    [anon_sym_LBRACE] = ACTIONS(1341),
    [anon_sym_RBRACE] = ACTIONS(1341),
    [anon_sym_signed] = ACTIONS(1339),
    [anon_sym_unsigned] = ACTIONS(1339),
    [anon_sym_long] = ACTIONS(1339),
    [anon_sym_short] = ACTIONS(1339),
    [anon_sym_static] = ACTIONS(1339),
    [anon_sym_auto] = ACTIONS(1339),
    [anon_sym_register] = ACTIONS(1339),
    [anon_sym_inline] = ACTIONS(1339),
    [anon_sym___inline] = ACTIONS(1339),
    [anon_sym___inline__] = ACTIONS(1339),
    [anon_sym___forceinline] = ACTIONS(1339),
    [anon_sym_thread_local] = ACTIONS(1339),
    [anon_sym___thread] = ACTIONS(1339),
    [anon_sym_const] = ACTIONS(1339),
    [anon_sym_constexpr] = ACTIONS(1339),
    [anon_sym_volatile] = ACTIONS(1339),
    [anon_sym_restrict] = ACTIONS(1339),
    [anon_sym___restrict__] = ACTIONS(1339),
    [anon_sym__Atomic] = ACTIONS(1339),
    [anon_sym__Noreturn] = ACTIONS(1339),
    [anon_sym_noreturn] = ACTIONS(1339),
    [anon_sym_alignas] = ACTIONS(1339),
    [anon_sym__Alignas] = ACTIONS(1339),
    [sym_primitive_type] = ACTIONS(1339),
    [anon_sym_enum] = ACTIONS(1339),
    [anon_sym_struct] = ACTIONS(1339),
    [anon_sym_union] = ACTIONS(1339),
    [anon_sym_if] = ACTIONS(1339),
    [anon_sym_switch] = ACTIONS(1339),
    [anon_sym_case] = ACTIONS(1339),
    [anon_sym_default] = ACTIONS(1339),
    [anon_sym_while] = ACTIONS(1339),
    [anon_sym_do] = ACTIONS(1339),
    [anon_sym_for] = ACTIONS(1339),
    [anon_sym_return] = ACTIONS(1339),
    [anon_sym_break] = ACTIONS(1339),
    [anon_sym_continue] = ACTIONS(1339),
    [anon_sym_goto] = ACTIONS(1339),
    [anon_sym___try] = ACTIONS(1339),
    [anon_sym___leave] = ACTIONS(1339),
    [anon_sym_DASH_DASH] = ACTIONS(1341),
    [anon_sym_PLUS_PLUS] = ACTIONS(1341),
    [anon_sym_sizeof] = ACTIONS(1339),
    [anon_sym___alignof__] = ACTIONS(1339),
    [anon_sym___alignof] = ACTIONS(1339),
    [anon_sym__alignof] = ACTIONS(1339),
    [anon_sym_alignof] = ACTIONS(1339),
    [anon_sym__Alignof] = ACTIONS(1339),
    [anon_sym_offsetof] = ACTIONS(1339),
    [anon_sym__Generic] = ACTIONS(1339),
    [anon_sym_asm] = ACTIONS(1339),
    [anon_sym___asm__] = ACTIONS(1339),
    [sym_number_literal] = ACTIONS(1341),
    [anon_sym_L_SQUOTE] = ACTIONS(1341),
    [anon_sym_u_SQUOTE] = ACTIONS(1341),
    [anon_sym_U_SQUOTE] = ACTIONS(1341),
    [anon_sym_u8_SQUOTE] = ACTIONS(1341),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_L_DQUOTE] = ACTIONS(1341),
    [anon_sym_u_DQUOTE] = ACTIONS(1341),
    [anon_sym_U_DQUOTE] = ACTIONS(1341),
    [anon_sym_u8_DQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_true] = ACTIONS(1339),
    [sym_false] = ACTIONS(1339),
    [anon_sym_NULL] = ACTIONS(1339),
    [anon_sym_nullptr] = ACTIONS(1339),
    [sym_comment] = ACTIONS(3),
  },
  [258] = {
    [sym_identifier] = ACTIONS(1311),
    [aux_sym_preproc_include_token1] = ACTIONS(1311),
    [aux_sym_preproc_def_token1] = ACTIONS(1311),
    [aux_sym_preproc_if_token1] = ACTIONS(1311),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1311),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1311),
    [sym_preproc_directive] = ACTIONS(1311),
    [anon_sym_LPAREN2] = ACTIONS(1313),
    [anon_sym_BANG] = ACTIONS(1313),
    [anon_sym_TILDE] = ACTIONS(1313),
    [anon_sym_DASH] = ACTIONS(1311),
    [anon_sym_PLUS] = ACTIONS(1311),
    [anon_sym_STAR] = ACTIONS(1313),
    [anon_sym_AMP] = ACTIONS(1313),
    [anon_sym_SEMI] = ACTIONS(1313),
    [anon_sym___extension__] = ACTIONS(1311),
    [anon_sym_typedef] = ACTIONS(1311),
    [anon_sym_extern] = ACTIONS(1311),
    [anon_sym___attribute__] = ACTIONS(1311),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1313),
    [anon_sym___declspec] = ACTIONS(1311),
    [anon_sym___cdecl] = ACTIONS(1311),
    [anon_sym___clrcall] = ACTIONS(1311),
    [anon_sym___stdcall] = ACTIONS(1311),
    [anon_sym___fastcall] = ACTIONS(1311),
    [anon_sym___thiscall] = ACTIONS(1311),
    [anon_sym___vectorcall] = ACTIONS(1311),
    [anon_sym_LBRACE] = ACTIONS(1313),
    [anon_sym_RBRACE] = ACTIONS(1313),
    [anon_sym_signed] = ACTIONS(1311),
    [anon_sym_unsigned] = ACTIONS(1311),
    [anon_sym_long] = ACTIONS(1311),
    [anon_sym_short] = ACTIONS(1311),
    [anon_sym_static] = ACTIONS(1311),
    [anon_sym_auto] = ACTIONS(1311),
    [anon_sym_register] = ACTIONS(1311),
    [anon_sym_inline] = ACTIONS(1311),
    [anon_sym___inline] = ACTIONS(1311),
    [anon_sym___inline__] = ACTIONS(1311),
    [anon_sym___forceinline] = ACTIONS(1311),
    [anon_sym_thread_local] = ACTIONS(1311),
    [anon_sym___thread] = ACTIONS(1311),
    [anon_sym_const] = ACTIONS(1311),
    [anon_sym_constexpr] = ACTIONS(1311),
    [anon_sym_volatile] = ACTIONS(1311),
    [anon_sym_restrict] = ACTIONS(1311),
    [anon_sym___restrict__] = ACTIONS(1311),
    [anon_sym__Atomic] = ACTIONS(1311),
    [anon_sym__Noreturn] = ACTIONS(1311),
    [anon_sym_noreturn] = ACTIONS(1311),
    [anon_sym_alignas] = ACTIONS(1311),
    [anon_sym__Alignas] = ACTIONS(1311),
    [sym_primitive_type] = ACTIONS(1311),
    [anon_sym_enum] = ACTIONS(1311),
    [anon_sym_struct] = ACTIONS(1311),
    [anon_sym_union] = ACTIONS(1311),
    [anon_sym_if] = ACTIONS(1311),
    [anon_sym_switch] = ACTIONS(1311),
    [anon_sym_case] = ACTIONS(1311),
    [anon_sym_default] = ACTIONS(1311),
    [anon_sym_while] = ACTIONS(1311),
    [anon_sym_do] = ACTIONS(1311),
    [anon_sym_for] = ACTIONS(1311),
    [anon_sym_return] = ACTIONS(1311),
    [anon_sym_break] = ACTIONS(1311),
    [anon_sym_continue] = ACTIONS(1311),
    [anon_sym_goto] = ACTIONS(1311),
    [anon_sym___try] = ACTIONS(1311),
    [anon_sym___leave] = ACTIONS(1311),
    [anon_sym_DASH_DASH] = ACTIONS(1313),
    [anon_sym_PLUS_PLUS] = ACTIONS(1313),
    [anon_sym_sizeof] = ACTIONS(1311),
    [anon_sym___alignof__] = ACTIONS(1311),
    [anon_sym___alignof] = ACTIONS(1311),
    [anon_sym__alignof] = ACTIONS(1311),
    [anon_sym_alignof] = ACTIONS(1311),
    [anon_sym__Alignof] = ACTIONS(1311),
    [anon_sym_offsetof] = ACTIONS(1311),
    [anon_sym__Generic] = ACTIONS(1311),
    [anon_sym_asm] = ACTIONS(1311),
    [anon_sym___asm__] = ACTIONS(1311),
    [sym_number_literal] = ACTIONS(1313),
    [anon_sym_L_SQUOTE] = ACTIONS(1313),
    [anon_sym_u_SQUOTE] = ACTIONS(1313),
    [anon_sym_U_SQUOTE] = ACTIONS(1313),
    [anon_sym_u8_SQUOTE] = ACTIONS(1313),
    [anon_sym_SQUOTE] = ACTIONS(1313),
    [anon_sym_L_DQUOTE] = ACTIONS(1313),
    [anon_sym_u_DQUOTE] = ACTIONS(1313),
    [anon_sym_U_DQUOTE] = ACTIONS(1313),
    [anon_sym_u8_DQUOTE] = ACTIONS(1313),
    [anon_sym_DQUOTE] = ACTIONS(1313),
    [sym_true] = ACTIONS(1311),
    [sym_false] = ACTIONS(1311),
    [anon_sym_NULL] = ACTIONS(1311),
    [anon_sym_nullptr] = ACTIONS(1311),
    [sym_comment] = ACTIONS(3),
  },
  [259] = {
    [sym_identifier] = ACTIONS(1255),
    [aux_sym_preproc_include_token1] = ACTIONS(1255),
    [aux_sym_preproc_def_token1] = ACTIONS(1255),
    [aux_sym_preproc_if_token1] = ACTIONS(1255),
    [aux_sym_preproc_if_token2] = ACTIONS(1255),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1255),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1255),
    [sym_preproc_directive] = ACTIONS(1255),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(1257),
    [anon_sym_TILDE] = ACTIONS(1257),
    [anon_sym_DASH] = ACTIONS(1255),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_STAR] = ACTIONS(1257),
    [anon_sym_AMP] = ACTIONS(1257),
    [anon_sym_SEMI] = ACTIONS(1257),
    [anon_sym___extension__] = ACTIONS(1255),
    [anon_sym_typedef] = ACTIONS(1255),
    [anon_sym_extern] = ACTIONS(1255),
    [anon_sym___attribute__] = ACTIONS(1255),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1257),
    [anon_sym___declspec] = ACTIONS(1255),
    [anon_sym___cdecl] = ACTIONS(1255),
    [anon_sym___clrcall] = ACTIONS(1255),
    [anon_sym___stdcall] = ACTIONS(1255),
    [anon_sym___fastcall] = ACTIONS(1255),
    [anon_sym___thiscall] = ACTIONS(1255),
    [anon_sym___vectorcall] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1257),
    [anon_sym_signed] = ACTIONS(1255),
    [anon_sym_unsigned] = ACTIONS(1255),
    [anon_sym_long] = ACTIONS(1255),
    [anon_sym_short] = ACTIONS(1255),
    [anon_sym_static] = ACTIONS(1255),
    [anon_sym_auto] = ACTIONS(1255),
    [anon_sym_register] = ACTIONS(1255),
    [anon_sym_inline] = ACTIONS(1255),
    [anon_sym___inline] = ACTIONS(1255),
    [anon_sym___inline__] = ACTIONS(1255),
    [anon_sym___forceinline] = ACTIONS(1255),
    [anon_sym_thread_local] = ACTIONS(1255),
    [anon_sym___thread] = ACTIONS(1255),
    [anon_sym_const] = ACTIONS(1255),
    [anon_sym_constexpr] = ACTIONS(1255),
    [anon_sym_volatile] = ACTIONS(1255),
    [anon_sym_restrict] = ACTIONS(1255),
    [anon_sym___restrict__] = ACTIONS(1255),
    [anon_sym__Atomic] = ACTIONS(1255),
    [anon_sym__Noreturn] = ACTIONS(1255),
    [anon_sym_noreturn] = ACTIONS(1255),
    [anon_sym_alignas] = ACTIONS(1255),
    [anon_sym__Alignas] = ACTIONS(1255),
    [sym_primitive_type] = ACTIONS(1255),
    [anon_sym_enum] = ACTIONS(1255),
    [anon_sym_struct] = ACTIONS(1255),
    [anon_sym_union] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1255),
    [anon_sym_switch] = ACTIONS(1255),
    [anon_sym_case] = ACTIONS(1255),
    [anon_sym_default] = ACTIONS(1255),
    [anon_sym_while] = ACTIONS(1255),
    [anon_sym_do] = ACTIONS(1255),
    [anon_sym_for] = ACTIONS(1255),
    [anon_sym_return] = ACTIONS(1255),
    [anon_sym_break] = ACTIONS(1255),
    [anon_sym_continue] = ACTIONS(1255),
    [anon_sym_goto] = ACTIONS(1255),
    [anon_sym___try] = ACTIONS(1255),
    [anon_sym___leave] = ACTIONS(1255),
    [anon_sym_DASH_DASH] = ACTIONS(1257),
    [anon_sym_PLUS_PLUS] = ACTIONS(1257),
    [anon_sym_sizeof] = ACTIONS(1255),
    [anon_sym___alignof__] = ACTIONS(1255),
    [anon_sym___alignof] = ACTIONS(1255),
    [anon_sym__alignof] = ACTIONS(1255),
    [anon_sym_alignof] = ACTIONS(1255),
    [anon_sym__Alignof] = ACTIONS(1255),
    [anon_sym_offsetof] = ACTIONS(1255),
    [anon_sym__Generic] = ACTIONS(1255),
    [anon_sym_asm] = ACTIONS(1255),
    [anon_sym___asm__] = ACTIONS(1255),
    [sym_number_literal] = ACTIONS(1257),
    [anon_sym_L_SQUOTE] = ACTIONS(1257),
    [anon_sym_u_SQUOTE] = ACTIONS(1257),
    [anon_sym_U_SQUOTE] = ACTIONS(1257),
    [anon_sym_u8_SQUOTE] = ACTIONS(1257),
    [anon_sym_SQUOTE] = ACTIONS(1257),
    [anon_sym_L_DQUOTE] = ACTIONS(1257),
    [anon_sym_u_DQUOTE] = ACTIONS(1257),
    [anon_sym_U_DQUOTE] = ACTIONS(1257),
    [anon_sym_u8_DQUOTE] = ACTIONS(1257),
    [anon_sym_DQUOTE] = ACTIONS(1257),
    [sym_true] = ACTIONS(1255),
    [sym_false] = ACTIONS(1255),
    [anon_sym_NULL] = ACTIONS(1255),
    [anon_sym_nullptr] = ACTIONS(1255),
    [sym_comment] = ACTIONS(3),
  },
  [260] = {
    [sym_identifier] = ACTIONS(1315),
    [aux_sym_preproc_include_token1] = ACTIONS(1315),
    [aux_sym_preproc_def_token1] = ACTIONS(1315),
    [aux_sym_preproc_if_token1] = ACTIONS(1315),
    [aux_sym_preproc_if_token2] = ACTIONS(1315),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1315),
    [sym_preproc_directive] = ACTIONS(1315),
    [anon_sym_LPAREN2] = ACTIONS(1317),
    [anon_sym_BANG] = ACTIONS(1317),
    [anon_sym_TILDE] = ACTIONS(1317),
    [anon_sym_DASH] = ACTIONS(1315),
    [anon_sym_PLUS] = ACTIONS(1315),
    [anon_sym_STAR] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(1317),
    [anon_sym_SEMI] = ACTIONS(1317),
    [anon_sym___extension__] = ACTIONS(1315),
    [anon_sym_typedef] = ACTIONS(1315),
    [anon_sym_extern] = ACTIONS(1315),
    [anon_sym___attribute__] = ACTIONS(1315),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1317),
    [anon_sym___declspec] = ACTIONS(1315),
    [anon_sym___cdecl] = ACTIONS(1315),
    [anon_sym___clrcall] = ACTIONS(1315),
    [anon_sym___stdcall] = ACTIONS(1315),
    [anon_sym___fastcall] = ACTIONS(1315),
    [anon_sym___thiscall] = ACTIONS(1315),
    [anon_sym___vectorcall] = ACTIONS(1315),
    [anon_sym_LBRACE] = ACTIONS(1317),
    [anon_sym_signed] = ACTIONS(1315),
    [anon_sym_unsigned] = ACTIONS(1315),
    [anon_sym_long] = ACTIONS(1315),
    [anon_sym_short] = ACTIONS(1315),
    [anon_sym_static] = ACTIONS(1315),
    [anon_sym_auto] = ACTIONS(1315),
    [anon_sym_register] = ACTIONS(1315),
    [anon_sym_inline] = ACTIONS(1315),
    [anon_sym___inline] = ACTIONS(1315),
    [anon_sym___inline__] = ACTIONS(1315),
    [anon_sym___forceinline] = ACTIONS(1315),
    [anon_sym_thread_local] = ACTIONS(1315),
    [anon_sym___thread] = ACTIONS(1315),
    [anon_sym_const] = ACTIONS(1315),
    [anon_sym_constexpr] = ACTIONS(1315),
    [anon_sym_volatile] = ACTIONS(1315),
    [anon_sym_restrict] = ACTIONS(1315),
    [anon_sym___restrict__] = ACTIONS(1315),
    [anon_sym__Atomic] = ACTIONS(1315),
    [anon_sym__Noreturn] = ACTIONS(1315),
    [anon_sym_noreturn] = ACTIONS(1315),
    [anon_sym_alignas] = ACTIONS(1315),
    [anon_sym__Alignas] = ACTIONS(1315),
    [sym_primitive_type] = ACTIONS(1315),
    [anon_sym_enum] = ACTIONS(1315),
    [anon_sym_struct] = ACTIONS(1315),
    [anon_sym_union] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1315),
    [anon_sym_switch] = ACTIONS(1315),
    [anon_sym_case] = ACTIONS(1315),
    [anon_sym_default] = ACTIONS(1315),
    [anon_sym_while] = ACTIONS(1315),
    [anon_sym_do] = ACTIONS(1315),
    [anon_sym_for] = ACTIONS(1315),
    [anon_sym_return] = ACTIONS(1315),
    [anon_sym_break] = ACTIONS(1315),
    [anon_sym_continue] = ACTIONS(1315),
    [anon_sym_goto] = ACTIONS(1315),
    [anon_sym___try] = ACTIONS(1315),
    [anon_sym___leave] = ACTIONS(1315),
    [anon_sym_DASH_DASH] = ACTIONS(1317),
    [anon_sym_PLUS_PLUS] = ACTIONS(1317),
    [anon_sym_sizeof] = ACTIONS(1315),
    [anon_sym___alignof__] = ACTIONS(1315),
    [anon_sym___alignof] = ACTIONS(1315),
    [anon_sym__alignof] = ACTIONS(1315),
    [anon_sym_alignof] = ACTIONS(1315),
    [anon_sym__Alignof] = ACTIONS(1315),
    [anon_sym_offsetof] = ACTIONS(1315),
    [anon_sym__Generic] = ACTIONS(1315),
    [anon_sym_asm] = ACTIONS(1315),
    [anon_sym___asm__] = ACTIONS(1315),
    [sym_number_literal] = ACTIONS(1317),
    [anon_sym_L_SQUOTE] = ACTIONS(1317),
    [anon_sym_u_SQUOTE] = ACTIONS(1317),
    [anon_sym_U_SQUOTE] = ACTIONS(1317),
    [anon_sym_u8_SQUOTE] = ACTIONS(1317),
    [anon_sym_SQUOTE] = ACTIONS(1317),
    [anon_sym_L_DQUOTE] = ACTIONS(1317),
    [anon_sym_u_DQUOTE] = ACTIONS(1317),
    [anon_sym_U_DQUOTE] = ACTIONS(1317),
    [anon_sym_u8_DQUOTE] = ACTIONS(1317),
    [anon_sym_DQUOTE] = ACTIONS(1317),
    [sym_true] = ACTIONS(1315),
    [sym_false] = ACTIONS(1315),
    [anon_sym_NULL] = ACTIONS(1315),
    [anon_sym_nullptr] = ACTIONS(1315),
    [sym_comment] = ACTIONS(3),
  },
  [261] = {
    [sym_identifier] = ACTIONS(1327),
    [aux_sym_preproc_include_token1] = ACTIONS(1327),
    [aux_sym_preproc_def_token1] = ACTIONS(1327),
    [aux_sym_preproc_if_token1] = ACTIONS(1327),
    [aux_sym_preproc_if_token2] = ACTIONS(1327),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1327),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1327),
    [sym_preproc_directive] = ACTIONS(1327),
    [anon_sym_LPAREN2] = ACTIONS(1329),
    [anon_sym_BANG] = ACTIONS(1329),
    [anon_sym_TILDE] = ACTIONS(1329),
    [anon_sym_DASH] = ACTIONS(1327),
    [anon_sym_PLUS] = ACTIONS(1327),
    [anon_sym_STAR] = ACTIONS(1329),
    [anon_sym_AMP] = ACTIONS(1329),
    [anon_sym_SEMI] = ACTIONS(1329),
    [anon_sym___extension__] = ACTIONS(1327),
    [anon_sym_typedef] = ACTIONS(1327),
    [anon_sym_extern] = ACTIONS(1327),
    [anon_sym___attribute__] = ACTIONS(1327),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1329),
    [anon_sym___declspec] = ACTIONS(1327),
    [anon_sym___cdecl] = ACTIONS(1327),
    [anon_sym___clrcall] = ACTIONS(1327),
    [anon_sym___stdcall] = ACTIONS(1327),
    [anon_sym___fastcall] = ACTIONS(1327),
    [anon_sym___thiscall] = ACTIONS(1327),
    [anon_sym___vectorcall] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(1329),
    [anon_sym_signed] = ACTIONS(1327),
    [anon_sym_unsigned] = ACTIONS(1327),
    [anon_sym_long] = ACTIONS(1327),
    [anon_sym_short] = ACTIONS(1327),
    [anon_sym_static] = ACTIONS(1327),
    [anon_sym_auto] = ACTIONS(1327),
    [anon_sym_register] = ACTIONS(1327),
    [anon_sym_inline] = ACTIONS(1327),
    [anon_sym___inline] = ACTIONS(1327),
    [anon_sym___inline__] = ACTIONS(1327),
    [anon_sym___forceinline] = ACTIONS(1327),
    [anon_sym_thread_local] = ACTIONS(1327),
    [anon_sym___thread] = ACTIONS(1327),
    [anon_sym_const] = ACTIONS(1327),
    [anon_sym_constexpr] = ACTIONS(1327),
    [anon_sym_volatile] = ACTIONS(1327),
    [anon_sym_restrict] = ACTIONS(1327),
    [anon_sym___restrict__] = ACTIONS(1327),
    [anon_sym__Atomic] = ACTIONS(1327),
    [anon_sym__Noreturn] = ACTIONS(1327),
    [anon_sym_noreturn] = ACTIONS(1327),
    [anon_sym_alignas] = ACTIONS(1327),
    [anon_sym__Alignas] = ACTIONS(1327),
    [sym_primitive_type] = ACTIONS(1327),
    [anon_sym_enum] = ACTIONS(1327),
    [anon_sym_struct] = ACTIONS(1327),
    [anon_sym_union] = ACTIONS(1327),
    [anon_sym_if] = ACTIONS(1327),
    [anon_sym_switch] = ACTIONS(1327),
    [anon_sym_case] = ACTIONS(1327),
    [anon_sym_default] = ACTIONS(1327),
    [anon_sym_while] = ACTIONS(1327),
    [anon_sym_do] = ACTIONS(1327),
    [anon_sym_for] = ACTIONS(1327),
    [anon_sym_return] = ACTIONS(1327),
    [anon_sym_break] = ACTIONS(1327),
    [anon_sym_continue] = ACTIONS(1327),
    [anon_sym_goto] = ACTIONS(1327),
    [anon_sym___try] = ACTIONS(1327),
    [anon_sym___leave] = ACTIONS(1327),
    [anon_sym_DASH_DASH] = ACTIONS(1329),
    [anon_sym_PLUS_PLUS] = ACTIONS(1329),
    [anon_sym_sizeof] = ACTIONS(1327),
    [anon_sym___alignof__] = ACTIONS(1327),
    [anon_sym___alignof] = ACTIONS(1327),
    [anon_sym__alignof] = ACTIONS(1327),
    [anon_sym_alignof] = ACTIONS(1327),
    [anon_sym__Alignof] = ACTIONS(1327),
    [anon_sym_offsetof] = ACTIONS(1327),
    [anon_sym__Generic] = ACTIONS(1327),
    [anon_sym_asm] = ACTIONS(1327),
    [anon_sym___asm__] = ACTIONS(1327),
    [sym_number_literal] = ACTIONS(1329),
    [anon_sym_L_SQUOTE] = ACTIONS(1329),
    [anon_sym_u_SQUOTE] = ACTIONS(1329),
    [anon_sym_U_SQUOTE] = ACTIONS(1329),
    [anon_sym_u8_SQUOTE] = ACTIONS(1329),
    [anon_sym_SQUOTE] = ACTIONS(1329),
    [anon_sym_L_DQUOTE] = ACTIONS(1329),
    [anon_sym_u_DQUOTE] = ACTIONS(1329),
    [anon_sym_U_DQUOTE] = ACTIONS(1329),
    [anon_sym_u8_DQUOTE] = ACTIONS(1329),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_true] = ACTIONS(1327),
    [sym_false] = ACTIONS(1327),
    [anon_sym_NULL] = ACTIONS(1327),
    [anon_sym_nullptr] = ACTIONS(1327),
    [sym_comment] = ACTIONS(3),
  },
  [262] = {
    [sym_identifier] = ACTIONS(1287),
    [aux_sym_preproc_include_token1] = ACTIONS(1287),
    [aux_sym_preproc_def_token1] = ACTIONS(1287),
    [aux_sym_preproc_if_token1] = ACTIONS(1287),
    [aux_sym_preproc_if_token2] = ACTIONS(1287),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1287),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1287),
    [sym_preproc_directive] = ACTIONS(1287),
    [anon_sym_LPAREN2] = ACTIONS(1289),
    [anon_sym_BANG] = ACTIONS(1289),
    [anon_sym_TILDE] = ACTIONS(1289),
    [anon_sym_DASH] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(1287),
    [anon_sym_STAR] = ACTIONS(1289),
    [anon_sym_AMP] = ACTIONS(1289),
    [anon_sym_SEMI] = ACTIONS(1289),
    [anon_sym___extension__] = ACTIONS(1287),
    [anon_sym_typedef] = ACTIONS(1287),
    [anon_sym_extern] = ACTIONS(1287),
    [anon_sym___attribute__] = ACTIONS(1287),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1289),
    [anon_sym___declspec] = ACTIONS(1287),
    [anon_sym___cdecl] = ACTIONS(1287),
    [anon_sym___clrcall] = ACTIONS(1287),
    [anon_sym___stdcall] = ACTIONS(1287),
    [anon_sym___fastcall] = ACTIONS(1287),
    [anon_sym___thiscall] = ACTIONS(1287),
    [anon_sym___vectorcall] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_signed] = ACTIONS(1287),
    [anon_sym_unsigned] = ACTIONS(1287),
    [anon_sym_long] = ACTIONS(1287),
    [anon_sym_short] = ACTIONS(1287),
    [anon_sym_static] = ACTIONS(1287),
    [anon_sym_auto] = ACTIONS(1287),
    [anon_sym_register] = ACTIONS(1287),
    [anon_sym_inline] = ACTIONS(1287),
    [anon_sym___inline] = ACTIONS(1287),
    [anon_sym___inline__] = ACTIONS(1287),
    [anon_sym___forceinline] = ACTIONS(1287),
    [anon_sym_thread_local] = ACTIONS(1287),
    [anon_sym___thread] = ACTIONS(1287),
    [anon_sym_const] = ACTIONS(1287),
    [anon_sym_constexpr] = ACTIONS(1287),
    [anon_sym_volatile] = ACTIONS(1287),
    [anon_sym_restrict] = ACTIONS(1287),
    [anon_sym___restrict__] = ACTIONS(1287),
    [anon_sym__Atomic] = ACTIONS(1287),
    [anon_sym__Noreturn] = ACTIONS(1287),
    [anon_sym_noreturn] = ACTIONS(1287),
    [anon_sym_alignas] = ACTIONS(1287),
    [anon_sym__Alignas] = ACTIONS(1287),
    [sym_primitive_type] = ACTIONS(1287),
    [anon_sym_enum] = ACTIONS(1287),
    [anon_sym_struct] = ACTIONS(1287),
    [anon_sym_union] = ACTIONS(1287),
    [anon_sym_if] = ACTIONS(1287),
    [anon_sym_switch] = ACTIONS(1287),
    [anon_sym_case] = ACTIONS(1287),
    [anon_sym_default] = ACTIONS(1287),
    [anon_sym_while] = ACTIONS(1287),
    [anon_sym_do] = ACTIONS(1287),
    [anon_sym_for] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(1287),
    [anon_sym_break] = ACTIONS(1287),
    [anon_sym_continue] = ACTIONS(1287),
    [anon_sym_goto] = ACTIONS(1287),
    [anon_sym___try] = ACTIONS(1287),
    [anon_sym___leave] = ACTIONS(1287),
    [anon_sym_DASH_DASH] = ACTIONS(1289),
    [anon_sym_PLUS_PLUS] = ACTIONS(1289),
    [anon_sym_sizeof] = ACTIONS(1287),
    [anon_sym___alignof__] = ACTIONS(1287),
    [anon_sym___alignof] = ACTIONS(1287),
    [anon_sym__alignof] = ACTIONS(1287),
    [anon_sym_alignof] = ACTIONS(1287),
    [anon_sym__Alignof] = ACTIONS(1287),
    [anon_sym_offsetof] = ACTIONS(1287),
    [anon_sym__Generic] = ACTIONS(1287),
    [anon_sym_asm] = ACTIONS(1287),
    [anon_sym___asm__] = ACTIONS(1287),
    [sym_number_literal] = ACTIONS(1289),
    [anon_sym_L_SQUOTE] = ACTIONS(1289),
    [anon_sym_u_SQUOTE] = ACTIONS(1289),
    [anon_sym_U_SQUOTE] = ACTIONS(1289),
    [anon_sym_u8_SQUOTE] = ACTIONS(1289),
    [anon_sym_SQUOTE] = ACTIONS(1289),
    [anon_sym_L_DQUOTE] = ACTIONS(1289),
    [anon_sym_u_DQUOTE] = ACTIONS(1289),
    [anon_sym_U_DQUOTE] = ACTIONS(1289),
    [anon_sym_u8_DQUOTE] = ACTIONS(1289),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_true] = ACTIONS(1287),
    [sym_false] = ACTIONS(1287),
    [anon_sym_NULL] = ACTIONS(1287),
    [anon_sym_nullptr] = ACTIONS(1287),
    [sym_comment] = ACTIONS(3),
  },
  [263] = {
    [sym_identifier] = ACTIONS(1323),
    [aux_sym_preproc_include_token1] = ACTIONS(1323),
    [aux_sym_preproc_def_token1] = ACTIONS(1323),
    [aux_sym_preproc_if_token1] = ACTIONS(1323),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1323),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1323),
    [sym_preproc_directive] = ACTIONS(1323),
    [anon_sym_LPAREN2] = ACTIONS(1325),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_TILDE] = ACTIONS(1325),
    [anon_sym_DASH] = ACTIONS(1323),
    [anon_sym_PLUS] = ACTIONS(1323),
    [anon_sym_STAR] = ACTIONS(1325),
    [anon_sym_AMP] = ACTIONS(1325),
    [anon_sym_SEMI] = ACTIONS(1325),
    [anon_sym___extension__] = ACTIONS(1323),
    [anon_sym_typedef] = ACTIONS(1323),
    [anon_sym_extern] = ACTIONS(1323),
    [anon_sym___attribute__] = ACTIONS(1323),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1325),
    [anon_sym___declspec] = ACTIONS(1323),
    [anon_sym___cdecl] = ACTIONS(1323),
    [anon_sym___clrcall] = ACTIONS(1323),
    [anon_sym___stdcall] = ACTIONS(1323),
    [anon_sym___fastcall] = ACTIONS(1323),
    [anon_sym___thiscall] = ACTIONS(1323),
    [anon_sym___vectorcall] = ACTIONS(1323),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_RBRACE] = ACTIONS(1325),
    [anon_sym_signed] = ACTIONS(1323),
    [anon_sym_unsigned] = ACTIONS(1323),
    [anon_sym_long] = ACTIONS(1323),
    [anon_sym_short] = ACTIONS(1323),
    [anon_sym_static] = ACTIONS(1323),
    [anon_sym_auto] = ACTIONS(1323),
    [anon_sym_register] = ACTIONS(1323),
    [anon_sym_inline] = ACTIONS(1323),
    [anon_sym___inline] = ACTIONS(1323),
    [anon_sym___inline__] = ACTIONS(1323),
    [anon_sym___forceinline] = ACTIONS(1323),
    [anon_sym_thread_local] = ACTIONS(1323),
    [anon_sym___thread] = ACTIONS(1323),
    [anon_sym_const] = ACTIONS(1323),
    [anon_sym_constexpr] = ACTIONS(1323),
    [anon_sym_volatile] = ACTIONS(1323),
    [anon_sym_restrict] = ACTIONS(1323),
    [anon_sym___restrict__] = ACTIONS(1323),
    [anon_sym__Atomic] = ACTIONS(1323),
    [anon_sym__Noreturn] = ACTIONS(1323),
    [anon_sym_noreturn] = ACTIONS(1323),
    [anon_sym_alignas] = ACTIONS(1323),
    [anon_sym__Alignas] = ACTIONS(1323),
    [sym_primitive_type] = ACTIONS(1323),
    [anon_sym_enum] = ACTIONS(1323),
    [anon_sym_struct] = ACTIONS(1323),
    [anon_sym_union] = ACTIONS(1323),
    [anon_sym_if] = ACTIONS(1323),
    [anon_sym_switch] = ACTIONS(1323),
    [anon_sym_case] = ACTIONS(1323),
    [anon_sym_default] = ACTIONS(1323),
    [anon_sym_while] = ACTIONS(1323),
    [anon_sym_do] = ACTIONS(1323),
    [anon_sym_for] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(1323),
    [anon_sym_break] = ACTIONS(1323),
    [anon_sym_continue] = ACTIONS(1323),
    [anon_sym_goto] = ACTIONS(1323),
    [anon_sym___try] = ACTIONS(1323),
    [anon_sym___leave] = ACTIONS(1323),
    [anon_sym_DASH_DASH] = ACTIONS(1325),
    [anon_sym_PLUS_PLUS] = ACTIONS(1325),
    [anon_sym_sizeof] = ACTIONS(1323),
    [anon_sym___alignof__] = ACTIONS(1323),
    [anon_sym___alignof] = ACTIONS(1323),
    [anon_sym__alignof] = ACTIONS(1323),
    [anon_sym_alignof] = ACTIONS(1323),
    [anon_sym__Alignof] = ACTIONS(1323),
    [anon_sym_offsetof] = ACTIONS(1323),
    [anon_sym__Generic] = ACTIONS(1323),
    [anon_sym_asm] = ACTIONS(1323),
    [anon_sym___asm__] = ACTIONS(1323),
    [sym_number_literal] = ACTIONS(1325),
    [anon_sym_L_SQUOTE] = ACTIONS(1325),
    [anon_sym_u_SQUOTE] = ACTIONS(1325),
    [anon_sym_U_SQUOTE] = ACTIONS(1325),
    [anon_sym_u8_SQUOTE] = ACTIONS(1325),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_L_DQUOTE] = ACTIONS(1325),
    [anon_sym_u_DQUOTE] = ACTIONS(1325),
    [anon_sym_U_DQUOTE] = ACTIONS(1325),
    [anon_sym_u8_DQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_true] = ACTIONS(1323),
    [sym_false] = ACTIONS(1323),
    [anon_sym_NULL] = ACTIONS(1323),
    [anon_sym_nullptr] = ACTIONS(1323),
    [sym_comment] = ACTIONS(3),
  },
  [264] = {
    [sym_identifier] = ACTIONS(1311),
    [aux_sym_preproc_include_token1] = ACTIONS(1311),
    [aux_sym_preproc_def_token1] = ACTIONS(1311),
    [aux_sym_preproc_if_token1] = ACTIONS(1311),
    [aux_sym_preproc_if_token2] = ACTIONS(1311),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1311),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1311),
    [sym_preproc_directive] = ACTIONS(1311),
    [anon_sym_LPAREN2] = ACTIONS(1313),
    [anon_sym_BANG] = ACTIONS(1313),
    [anon_sym_TILDE] = ACTIONS(1313),
    [anon_sym_DASH] = ACTIONS(1311),
    [anon_sym_PLUS] = ACTIONS(1311),
    [anon_sym_STAR] = ACTIONS(1313),
    [anon_sym_AMP] = ACTIONS(1313),
    [anon_sym_SEMI] = ACTIONS(1313),
    [anon_sym___extension__] = ACTIONS(1311),
    [anon_sym_typedef] = ACTIONS(1311),
    [anon_sym_extern] = ACTIONS(1311),
    [anon_sym___attribute__] = ACTIONS(1311),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1313),
    [anon_sym___declspec] = ACTIONS(1311),
    [anon_sym___cdecl] = ACTIONS(1311),
    [anon_sym___clrcall] = ACTIONS(1311),
    [anon_sym___stdcall] = ACTIONS(1311),
    [anon_sym___fastcall] = ACTIONS(1311),
    [anon_sym___thiscall] = ACTIONS(1311),
    [anon_sym___vectorcall] = ACTIONS(1311),
    [anon_sym_LBRACE] = ACTIONS(1313),
    [anon_sym_signed] = ACTIONS(1311),
    [anon_sym_unsigned] = ACTIONS(1311),
    [anon_sym_long] = ACTIONS(1311),
    [anon_sym_short] = ACTIONS(1311),
    [anon_sym_static] = ACTIONS(1311),
    [anon_sym_auto] = ACTIONS(1311),
    [anon_sym_register] = ACTIONS(1311),
    [anon_sym_inline] = ACTIONS(1311),
    [anon_sym___inline] = ACTIONS(1311),
    [anon_sym___inline__] = ACTIONS(1311),
    [anon_sym___forceinline] = ACTIONS(1311),
    [anon_sym_thread_local] = ACTIONS(1311),
    [anon_sym___thread] = ACTIONS(1311),
    [anon_sym_const] = ACTIONS(1311),
    [anon_sym_constexpr] = ACTIONS(1311),
    [anon_sym_volatile] = ACTIONS(1311),
    [anon_sym_restrict] = ACTIONS(1311),
    [anon_sym___restrict__] = ACTIONS(1311),
    [anon_sym__Atomic] = ACTIONS(1311),
    [anon_sym__Noreturn] = ACTIONS(1311),
    [anon_sym_noreturn] = ACTIONS(1311),
    [anon_sym_alignas] = ACTIONS(1311),
    [anon_sym__Alignas] = ACTIONS(1311),
    [sym_primitive_type] = ACTIONS(1311),
    [anon_sym_enum] = ACTIONS(1311),
    [anon_sym_struct] = ACTIONS(1311),
    [anon_sym_union] = ACTIONS(1311),
    [anon_sym_if] = ACTIONS(1311),
    [anon_sym_switch] = ACTIONS(1311),
    [anon_sym_case] = ACTIONS(1311),
    [anon_sym_default] = ACTIONS(1311),
    [anon_sym_while] = ACTIONS(1311),
    [anon_sym_do] = ACTIONS(1311),
    [anon_sym_for] = ACTIONS(1311),
    [anon_sym_return] = ACTIONS(1311),
    [anon_sym_break] = ACTIONS(1311),
    [anon_sym_continue] = ACTIONS(1311),
    [anon_sym_goto] = ACTIONS(1311),
    [anon_sym___try] = ACTIONS(1311),
    [anon_sym___leave] = ACTIONS(1311),
    [anon_sym_DASH_DASH] = ACTIONS(1313),
    [anon_sym_PLUS_PLUS] = ACTIONS(1313),
    [anon_sym_sizeof] = ACTIONS(1311),
    [anon_sym___alignof__] = ACTIONS(1311),
    [anon_sym___alignof] = ACTIONS(1311),
    [anon_sym__alignof] = ACTIONS(1311),
    [anon_sym_alignof] = ACTIONS(1311),
    [anon_sym__Alignof] = ACTIONS(1311),
    [anon_sym_offsetof] = ACTIONS(1311),
    [anon_sym__Generic] = ACTIONS(1311),
    [anon_sym_asm] = ACTIONS(1311),
    [anon_sym___asm__] = ACTIONS(1311),
    [sym_number_literal] = ACTIONS(1313),
    [anon_sym_L_SQUOTE] = ACTIONS(1313),
    [anon_sym_u_SQUOTE] = ACTIONS(1313),
    [anon_sym_U_SQUOTE] = ACTIONS(1313),
    [anon_sym_u8_SQUOTE] = ACTIONS(1313),
    [anon_sym_SQUOTE] = ACTIONS(1313),
    [anon_sym_L_DQUOTE] = ACTIONS(1313),
    [anon_sym_u_DQUOTE] = ACTIONS(1313),
    [anon_sym_U_DQUOTE] = ACTIONS(1313),
    [anon_sym_u8_DQUOTE] = ACTIONS(1313),
    [anon_sym_DQUOTE] = ACTIONS(1313),
    [sym_true] = ACTIONS(1311),
    [sym_false] = ACTIONS(1311),
    [anon_sym_NULL] = ACTIONS(1311),
    [anon_sym_nullptr] = ACTIONS(1311),
    [sym_comment] = ACTIONS(3),
  },
  [265] = {
    [sym_identifier] = ACTIONS(1315),
    [aux_sym_preproc_include_token1] = ACTIONS(1315),
    [aux_sym_preproc_def_token1] = ACTIONS(1315),
    [aux_sym_preproc_if_token1] = ACTIONS(1315),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1315),
    [sym_preproc_directive] = ACTIONS(1315),
    [anon_sym_LPAREN2] = ACTIONS(1317),
    [anon_sym_BANG] = ACTIONS(1317),
    [anon_sym_TILDE] = ACTIONS(1317),
    [anon_sym_DASH] = ACTIONS(1315),
    [anon_sym_PLUS] = ACTIONS(1315),
    [anon_sym_STAR] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(1317),
    [anon_sym_SEMI] = ACTIONS(1317),
    [anon_sym___extension__] = ACTIONS(1315),
    [anon_sym_typedef] = ACTIONS(1315),
    [anon_sym_extern] = ACTIONS(1315),
    [anon_sym___attribute__] = ACTIONS(1315),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1317),
    [anon_sym___declspec] = ACTIONS(1315),
    [anon_sym___cdecl] = ACTIONS(1315),
    [anon_sym___clrcall] = ACTIONS(1315),
    [anon_sym___stdcall] = ACTIONS(1315),
    [anon_sym___fastcall] = ACTIONS(1315),
    [anon_sym___thiscall] = ACTIONS(1315),
    [anon_sym___vectorcall] = ACTIONS(1315),
    [anon_sym_LBRACE] = ACTIONS(1317),
    [anon_sym_RBRACE] = ACTIONS(1317),
    [anon_sym_signed] = ACTIONS(1315),
    [anon_sym_unsigned] = ACTIONS(1315),
    [anon_sym_long] = ACTIONS(1315),
    [anon_sym_short] = ACTIONS(1315),
    [anon_sym_static] = ACTIONS(1315),
    [anon_sym_auto] = ACTIONS(1315),
    [anon_sym_register] = ACTIONS(1315),
    [anon_sym_inline] = ACTIONS(1315),
    [anon_sym___inline] = ACTIONS(1315),
    [anon_sym___inline__] = ACTIONS(1315),
    [anon_sym___forceinline] = ACTIONS(1315),
    [anon_sym_thread_local] = ACTIONS(1315),
    [anon_sym___thread] = ACTIONS(1315),
    [anon_sym_const] = ACTIONS(1315),
    [anon_sym_constexpr] = ACTIONS(1315),
    [anon_sym_volatile] = ACTIONS(1315),
    [anon_sym_restrict] = ACTIONS(1315),
    [anon_sym___restrict__] = ACTIONS(1315),
    [anon_sym__Atomic] = ACTIONS(1315),
    [anon_sym__Noreturn] = ACTIONS(1315),
    [anon_sym_noreturn] = ACTIONS(1315),
    [anon_sym_alignas] = ACTIONS(1315),
    [anon_sym__Alignas] = ACTIONS(1315),
    [sym_primitive_type] = ACTIONS(1315),
    [anon_sym_enum] = ACTIONS(1315),
    [anon_sym_struct] = ACTIONS(1315),
    [anon_sym_union] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1315),
    [anon_sym_switch] = ACTIONS(1315),
    [anon_sym_case] = ACTIONS(1315),
    [anon_sym_default] = ACTIONS(1315),
    [anon_sym_while] = ACTIONS(1315),
    [anon_sym_do] = ACTIONS(1315),
    [anon_sym_for] = ACTIONS(1315),
    [anon_sym_return] = ACTIONS(1315),
    [anon_sym_break] = ACTIONS(1315),
    [anon_sym_continue] = ACTIONS(1315),
    [anon_sym_goto] = ACTIONS(1315),
    [anon_sym___try] = ACTIONS(1315),
    [anon_sym___leave] = ACTIONS(1315),
    [anon_sym_DASH_DASH] = ACTIONS(1317),
    [anon_sym_PLUS_PLUS] = ACTIONS(1317),
    [anon_sym_sizeof] = ACTIONS(1315),
    [anon_sym___alignof__] = ACTIONS(1315),
    [anon_sym___alignof] = ACTIONS(1315),
    [anon_sym__alignof] = ACTIONS(1315),
    [anon_sym_alignof] = ACTIONS(1315),
    [anon_sym__Alignof] = ACTIONS(1315),
    [anon_sym_offsetof] = ACTIONS(1315),
    [anon_sym__Generic] = ACTIONS(1315),
    [anon_sym_asm] = ACTIONS(1315),
    [anon_sym___asm__] = ACTIONS(1315),
    [sym_number_literal] = ACTIONS(1317),
    [anon_sym_L_SQUOTE] = ACTIONS(1317),
    [anon_sym_u_SQUOTE] = ACTIONS(1317),
    [anon_sym_U_SQUOTE] = ACTIONS(1317),
    [anon_sym_u8_SQUOTE] = ACTIONS(1317),
    [anon_sym_SQUOTE] = ACTIONS(1317),
    [anon_sym_L_DQUOTE] = ACTIONS(1317),
    [anon_sym_u_DQUOTE] = ACTIONS(1317),
    [anon_sym_U_DQUOTE] = ACTIONS(1317),
    [anon_sym_u8_DQUOTE] = ACTIONS(1317),
    [anon_sym_DQUOTE] = ACTIONS(1317),
    [sym_true] = ACTIONS(1315),
    [sym_false] = ACTIONS(1315),
    [anon_sym_NULL] = ACTIONS(1315),
    [anon_sym_nullptr] = ACTIONS(1315),
    [sym_comment] = ACTIONS(3),
  },
  [266] = {
    [sym_identifier] = ACTIONS(1275),
    [aux_sym_preproc_include_token1] = ACTIONS(1275),
    [aux_sym_preproc_def_token1] = ACTIONS(1275),
    [aux_sym_preproc_if_token1] = ACTIONS(1275),
    [aux_sym_preproc_if_token2] = ACTIONS(1275),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1275),
    [sym_preproc_directive] = ACTIONS(1275),
    [anon_sym_LPAREN2] = ACTIONS(1277),
    [anon_sym_BANG] = ACTIONS(1277),
    [anon_sym_TILDE] = ACTIONS(1277),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_STAR] = ACTIONS(1277),
    [anon_sym_AMP] = ACTIONS(1277),
    [anon_sym_SEMI] = ACTIONS(1277),
    [anon_sym___extension__] = ACTIONS(1275),
    [anon_sym_typedef] = ACTIONS(1275),
    [anon_sym_extern] = ACTIONS(1275),
    [anon_sym___attribute__] = ACTIONS(1275),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1277),
    [anon_sym___declspec] = ACTIONS(1275),
    [anon_sym___cdecl] = ACTIONS(1275),
    [anon_sym___clrcall] = ACTIONS(1275),
    [anon_sym___stdcall] = ACTIONS(1275),
    [anon_sym___fastcall] = ACTIONS(1275),
    [anon_sym___thiscall] = ACTIONS(1275),
    [anon_sym___vectorcall] = ACTIONS(1275),
    [anon_sym_LBRACE] = ACTIONS(1277),
    [anon_sym_signed] = ACTIONS(1275),
    [anon_sym_unsigned] = ACTIONS(1275),
    [anon_sym_long] = ACTIONS(1275),
    [anon_sym_short] = ACTIONS(1275),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_auto] = ACTIONS(1275),
    [anon_sym_register] = ACTIONS(1275),
    [anon_sym_inline] = ACTIONS(1275),
    [anon_sym___inline] = ACTIONS(1275),
    [anon_sym___inline__] = ACTIONS(1275),
    [anon_sym___forceinline] = ACTIONS(1275),
    [anon_sym_thread_local] = ACTIONS(1275),
    [anon_sym___thread] = ACTIONS(1275),
    [anon_sym_const] = ACTIONS(1275),
    [anon_sym_constexpr] = ACTIONS(1275),
    [anon_sym_volatile] = ACTIONS(1275),
    [anon_sym_restrict] = ACTIONS(1275),
    [anon_sym___restrict__] = ACTIONS(1275),
    [anon_sym__Atomic] = ACTIONS(1275),
    [anon_sym__Noreturn] = ACTIONS(1275),
    [anon_sym_noreturn] = ACTIONS(1275),
    [anon_sym_alignas] = ACTIONS(1275),
    [anon_sym__Alignas] = ACTIONS(1275),
    [sym_primitive_type] = ACTIONS(1275),
    [anon_sym_enum] = ACTIONS(1275),
    [anon_sym_struct] = ACTIONS(1275),
    [anon_sym_union] = ACTIONS(1275),
    [anon_sym_if] = ACTIONS(1275),
    [anon_sym_switch] = ACTIONS(1275),
    [anon_sym_case] = ACTIONS(1275),
    [anon_sym_default] = ACTIONS(1275),
    [anon_sym_while] = ACTIONS(1275),
    [anon_sym_do] = ACTIONS(1275),
    [anon_sym_for] = ACTIONS(1275),
    [anon_sym_return] = ACTIONS(1275),
    [anon_sym_break] = ACTIONS(1275),
    [anon_sym_continue] = ACTIONS(1275),
    [anon_sym_goto] = ACTIONS(1275),
    [anon_sym___try] = ACTIONS(1275),
    [anon_sym___leave] = ACTIONS(1275),
    [anon_sym_DASH_DASH] = ACTIONS(1277),
    [anon_sym_PLUS_PLUS] = ACTIONS(1277),
    [anon_sym_sizeof] = ACTIONS(1275),
    [anon_sym___alignof__] = ACTIONS(1275),
    [anon_sym___alignof] = ACTIONS(1275),
    [anon_sym__alignof] = ACTIONS(1275),
    [anon_sym_alignof] = ACTIONS(1275),
    [anon_sym__Alignof] = ACTIONS(1275),
    [anon_sym_offsetof] = ACTIONS(1275),
    [anon_sym__Generic] = ACTIONS(1275),
    [anon_sym_asm] = ACTIONS(1275),
    [anon_sym___asm__] = ACTIONS(1275),
    [sym_number_literal] = ACTIONS(1277),
    [anon_sym_L_SQUOTE] = ACTIONS(1277),
    [anon_sym_u_SQUOTE] = ACTIONS(1277),
    [anon_sym_U_SQUOTE] = ACTIONS(1277),
    [anon_sym_u8_SQUOTE] = ACTIONS(1277),
    [anon_sym_SQUOTE] = ACTIONS(1277),
    [anon_sym_L_DQUOTE] = ACTIONS(1277),
    [anon_sym_u_DQUOTE] = ACTIONS(1277),
    [anon_sym_U_DQUOTE] = ACTIONS(1277),
    [anon_sym_u8_DQUOTE] = ACTIONS(1277),
    [anon_sym_DQUOTE] = ACTIONS(1277),
    [sym_true] = ACTIONS(1275),
    [sym_false] = ACTIONS(1275),
    [anon_sym_NULL] = ACTIONS(1275),
    [anon_sym_nullptr] = ACTIONS(1275),
    [sym_comment] = ACTIONS(3),
  },
  [267] = {
    [sym_identifier] = ACTIONS(1287),
    [aux_sym_preproc_include_token1] = ACTIONS(1287),
    [aux_sym_preproc_def_token1] = ACTIONS(1287),
    [aux_sym_preproc_if_token1] = ACTIONS(1287),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1287),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1287),
    [sym_preproc_directive] = ACTIONS(1287),
    [anon_sym_LPAREN2] = ACTIONS(1289),
    [anon_sym_BANG] = ACTIONS(1289),
    [anon_sym_TILDE] = ACTIONS(1289),
    [anon_sym_DASH] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(1287),
    [anon_sym_STAR] = ACTIONS(1289),
    [anon_sym_AMP] = ACTIONS(1289),
    [anon_sym_SEMI] = ACTIONS(1289),
    [anon_sym___extension__] = ACTIONS(1287),
    [anon_sym_typedef] = ACTIONS(1287),
    [anon_sym_extern] = ACTIONS(1287),
    [anon_sym___attribute__] = ACTIONS(1287),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1289),
    [anon_sym___declspec] = ACTIONS(1287),
    [anon_sym___cdecl] = ACTIONS(1287),
    [anon_sym___clrcall] = ACTIONS(1287),
    [anon_sym___stdcall] = ACTIONS(1287),
    [anon_sym___fastcall] = ACTIONS(1287),
    [anon_sym___thiscall] = ACTIONS(1287),
    [anon_sym___vectorcall] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_RBRACE] = ACTIONS(1289),
    [anon_sym_signed] = ACTIONS(1287),
    [anon_sym_unsigned] = ACTIONS(1287),
    [anon_sym_long] = ACTIONS(1287),
    [anon_sym_short] = ACTIONS(1287),
    [anon_sym_static] = ACTIONS(1287),
    [anon_sym_auto] = ACTIONS(1287),
    [anon_sym_register] = ACTIONS(1287),
    [anon_sym_inline] = ACTIONS(1287),
    [anon_sym___inline] = ACTIONS(1287),
    [anon_sym___inline__] = ACTIONS(1287),
    [anon_sym___forceinline] = ACTIONS(1287),
    [anon_sym_thread_local] = ACTIONS(1287),
    [anon_sym___thread] = ACTIONS(1287),
    [anon_sym_const] = ACTIONS(1287),
    [anon_sym_constexpr] = ACTIONS(1287),
    [anon_sym_volatile] = ACTIONS(1287),
    [anon_sym_restrict] = ACTIONS(1287),
    [anon_sym___restrict__] = ACTIONS(1287),
    [anon_sym__Atomic] = ACTIONS(1287),
    [anon_sym__Noreturn] = ACTIONS(1287),
    [anon_sym_noreturn] = ACTIONS(1287),
    [anon_sym_alignas] = ACTIONS(1287),
    [anon_sym__Alignas] = ACTIONS(1287),
    [sym_primitive_type] = ACTIONS(1287),
    [anon_sym_enum] = ACTIONS(1287),
    [anon_sym_struct] = ACTIONS(1287),
    [anon_sym_union] = ACTIONS(1287),
    [anon_sym_if] = ACTIONS(1287),
    [anon_sym_switch] = ACTIONS(1287),
    [anon_sym_case] = ACTIONS(1287),
    [anon_sym_default] = ACTIONS(1287),
    [anon_sym_while] = ACTIONS(1287),
    [anon_sym_do] = ACTIONS(1287),
    [anon_sym_for] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(1287),
    [anon_sym_break] = ACTIONS(1287),
    [anon_sym_continue] = ACTIONS(1287),
    [anon_sym_goto] = ACTIONS(1287),
    [anon_sym___try] = ACTIONS(1287),
    [anon_sym___leave] = ACTIONS(1287),
    [anon_sym_DASH_DASH] = ACTIONS(1289),
    [anon_sym_PLUS_PLUS] = ACTIONS(1289),
    [anon_sym_sizeof] = ACTIONS(1287),
    [anon_sym___alignof__] = ACTIONS(1287),
    [anon_sym___alignof] = ACTIONS(1287),
    [anon_sym__alignof] = ACTIONS(1287),
    [anon_sym_alignof] = ACTIONS(1287),
    [anon_sym__Alignof] = ACTIONS(1287),
    [anon_sym_offsetof] = ACTIONS(1287),
    [anon_sym__Generic] = ACTIONS(1287),
    [anon_sym_asm] = ACTIONS(1287),
    [anon_sym___asm__] = ACTIONS(1287),
    [sym_number_literal] = ACTIONS(1289),
    [anon_sym_L_SQUOTE] = ACTIONS(1289),
    [anon_sym_u_SQUOTE] = ACTIONS(1289),
    [anon_sym_U_SQUOTE] = ACTIONS(1289),
    [anon_sym_u8_SQUOTE] = ACTIONS(1289),
    [anon_sym_SQUOTE] = ACTIONS(1289),
    [anon_sym_L_DQUOTE] = ACTIONS(1289),
    [anon_sym_u_DQUOTE] = ACTIONS(1289),
    [anon_sym_U_DQUOTE] = ACTIONS(1289),
    [anon_sym_u8_DQUOTE] = ACTIONS(1289),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_true] = ACTIONS(1287),
    [sym_false] = ACTIONS(1287),
    [anon_sym_NULL] = ACTIONS(1287),
    [anon_sym_nullptr] = ACTIONS(1287),
    [sym_comment] = ACTIONS(3),
  },
  [268] = {
    [sym_identifier] = ACTIONS(1295),
    [aux_sym_preproc_include_token1] = ACTIONS(1295),
    [aux_sym_preproc_def_token1] = ACTIONS(1295),
    [aux_sym_preproc_if_token1] = ACTIONS(1295),
    [aux_sym_preproc_if_token2] = ACTIONS(1295),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1295),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1295),
    [sym_preproc_directive] = ACTIONS(1295),
    [anon_sym_LPAREN2] = ACTIONS(1297),
    [anon_sym_BANG] = ACTIONS(1297),
    [anon_sym_TILDE] = ACTIONS(1297),
    [anon_sym_DASH] = ACTIONS(1295),
    [anon_sym_PLUS] = ACTIONS(1295),
    [anon_sym_STAR] = ACTIONS(1297),
    [anon_sym_AMP] = ACTIONS(1297),
    [anon_sym_SEMI] = ACTIONS(1297),
    [anon_sym___extension__] = ACTIONS(1295),
    [anon_sym_typedef] = ACTIONS(1295),
    [anon_sym_extern] = ACTIONS(1295),
    [anon_sym___attribute__] = ACTIONS(1295),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1297),
    [anon_sym___declspec] = ACTIONS(1295),
    [anon_sym___cdecl] = ACTIONS(1295),
    [anon_sym___clrcall] = ACTIONS(1295),
    [anon_sym___stdcall] = ACTIONS(1295),
    [anon_sym___fastcall] = ACTIONS(1295),
    [anon_sym___thiscall] = ACTIONS(1295),
    [anon_sym___vectorcall] = ACTIONS(1295),
    [anon_sym_LBRACE] = ACTIONS(1297),
    [anon_sym_signed] = ACTIONS(1295),
    [anon_sym_unsigned] = ACTIONS(1295),
    [anon_sym_long] = ACTIONS(1295),
    [anon_sym_short] = ACTIONS(1295),
    [anon_sym_static] = ACTIONS(1295),
    [anon_sym_auto] = ACTIONS(1295),
    [anon_sym_register] = ACTIONS(1295),
    [anon_sym_inline] = ACTIONS(1295),
    [anon_sym___inline] = ACTIONS(1295),
    [anon_sym___inline__] = ACTIONS(1295),
    [anon_sym___forceinline] = ACTIONS(1295),
    [anon_sym_thread_local] = ACTIONS(1295),
    [anon_sym___thread] = ACTIONS(1295),
    [anon_sym_const] = ACTIONS(1295),
    [anon_sym_constexpr] = ACTIONS(1295),
    [anon_sym_volatile] = ACTIONS(1295),
    [anon_sym_restrict] = ACTIONS(1295),
    [anon_sym___restrict__] = ACTIONS(1295),
    [anon_sym__Atomic] = ACTIONS(1295),
    [anon_sym__Noreturn] = ACTIONS(1295),
    [anon_sym_noreturn] = ACTIONS(1295),
    [anon_sym_alignas] = ACTIONS(1295),
    [anon_sym__Alignas] = ACTIONS(1295),
    [sym_primitive_type] = ACTIONS(1295),
    [anon_sym_enum] = ACTIONS(1295),
    [anon_sym_struct] = ACTIONS(1295),
    [anon_sym_union] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_switch] = ACTIONS(1295),
    [anon_sym_case] = ACTIONS(1295),
    [anon_sym_default] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_do] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1295),
    [anon_sym_return] = ACTIONS(1295),
    [anon_sym_break] = ACTIONS(1295),
    [anon_sym_continue] = ACTIONS(1295),
    [anon_sym_goto] = ACTIONS(1295),
    [anon_sym___try] = ACTIONS(1295),
    [anon_sym___leave] = ACTIONS(1295),
    [anon_sym_DASH_DASH] = ACTIONS(1297),
    [anon_sym_PLUS_PLUS] = ACTIONS(1297),
    [anon_sym_sizeof] = ACTIONS(1295),
    [anon_sym___alignof__] = ACTIONS(1295),
    [anon_sym___alignof] = ACTIONS(1295),
    [anon_sym__alignof] = ACTIONS(1295),
    [anon_sym_alignof] = ACTIONS(1295),
    [anon_sym__Alignof] = ACTIONS(1295),
    [anon_sym_offsetof] = ACTIONS(1295),
    [anon_sym__Generic] = ACTIONS(1295),
    [anon_sym_asm] = ACTIONS(1295),
    [anon_sym___asm__] = ACTIONS(1295),
    [sym_number_literal] = ACTIONS(1297),
    [anon_sym_L_SQUOTE] = ACTIONS(1297),
    [anon_sym_u_SQUOTE] = ACTIONS(1297),
    [anon_sym_U_SQUOTE] = ACTIONS(1297),
    [anon_sym_u8_SQUOTE] = ACTIONS(1297),
    [anon_sym_SQUOTE] = ACTIONS(1297),
    [anon_sym_L_DQUOTE] = ACTIONS(1297),
    [anon_sym_u_DQUOTE] = ACTIONS(1297),
    [anon_sym_U_DQUOTE] = ACTIONS(1297),
    [anon_sym_u8_DQUOTE] = ACTIONS(1297),
    [anon_sym_DQUOTE] = ACTIONS(1297),
    [sym_true] = ACTIONS(1295),
    [sym_false] = ACTIONS(1295),
    [anon_sym_NULL] = ACTIONS(1295),
    [anon_sym_nullptr] = ACTIONS(1295),
    [sym_comment] = ACTIONS(3),
  },
  [269] = {
    [sym_identifier] = ACTIONS(1339),
    [aux_sym_preproc_include_token1] = ACTIONS(1339),
    [aux_sym_preproc_def_token1] = ACTIONS(1339),
    [aux_sym_preproc_if_token1] = ACTIONS(1339),
    [aux_sym_preproc_if_token2] = ACTIONS(1339),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1339),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1339),
    [sym_preproc_directive] = ACTIONS(1339),
    [anon_sym_LPAREN2] = ACTIONS(1341),
    [anon_sym_BANG] = ACTIONS(1341),
    [anon_sym_TILDE] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1339),
    [anon_sym_PLUS] = ACTIONS(1339),
    [anon_sym_STAR] = ACTIONS(1341),
    [anon_sym_AMP] = ACTIONS(1341),
    [anon_sym_SEMI] = ACTIONS(1341),
    [anon_sym___extension__] = ACTIONS(1339),
    [anon_sym_typedef] = ACTIONS(1339),
    [anon_sym_extern] = ACTIONS(1339),
    [anon_sym___attribute__] = ACTIONS(1339),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1341),
    [anon_sym___declspec] = ACTIONS(1339),
    [anon_sym___cdecl] = ACTIONS(1339),
    [anon_sym___clrcall] = ACTIONS(1339),
    [anon_sym___stdcall] = ACTIONS(1339),
    [anon_sym___fastcall] = ACTIONS(1339),
    [anon_sym___thiscall] = ACTIONS(1339),
    [anon_sym___vectorcall] = ACTIONS(1339),
    [anon_sym_LBRACE] = ACTIONS(1341),
    [anon_sym_signed] = ACTIONS(1339),
    [anon_sym_unsigned] = ACTIONS(1339),
    [anon_sym_long] = ACTIONS(1339),
    [anon_sym_short] = ACTIONS(1339),
    [anon_sym_static] = ACTIONS(1339),
    [anon_sym_auto] = ACTIONS(1339),
    [anon_sym_register] = ACTIONS(1339),
    [anon_sym_inline] = ACTIONS(1339),
    [anon_sym___inline] = ACTIONS(1339),
    [anon_sym___inline__] = ACTIONS(1339),
    [anon_sym___forceinline] = ACTIONS(1339),
    [anon_sym_thread_local] = ACTIONS(1339),
    [anon_sym___thread] = ACTIONS(1339),
    [anon_sym_const] = ACTIONS(1339),
    [anon_sym_constexpr] = ACTIONS(1339),
    [anon_sym_volatile] = ACTIONS(1339),
    [anon_sym_restrict] = ACTIONS(1339),
    [anon_sym___restrict__] = ACTIONS(1339),
    [anon_sym__Atomic] = ACTIONS(1339),
    [anon_sym__Noreturn] = ACTIONS(1339),
    [anon_sym_noreturn] = ACTIONS(1339),
    [anon_sym_alignas] = ACTIONS(1339),
    [anon_sym__Alignas] = ACTIONS(1339),
    [sym_primitive_type] = ACTIONS(1339),
    [anon_sym_enum] = ACTIONS(1339),
    [anon_sym_struct] = ACTIONS(1339),
    [anon_sym_union] = ACTIONS(1339),
    [anon_sym_if] = ACTIONS(1339),
    [anon_sym_switch] = ACTIONS(1339),
    [anon_sym_case] = ACTIONS(1339),
    [anon_sym_default] = ACTIONS(1339),
    [anon_sym_while] = ACTIONS(1339),
    [anon_sym_do] = ACTIONS(1339),
    [anon_sym_for] = ACTIONS(1339),
    [anon_sym_return] = ACTIONS(1339),
    [anon_sym_break] = ACTIONS(1339),
    [anon_sym_continue] = ACTIONS(1339),
    [anon_sym_goto] = ACTIONS(1339),
    [anon_sym___try] = ACTIONS(1339),
    [anon_sym___leave] = ACTIONS(1339),
    [anon_sym_DASH_DASH] = ACTIONS(1341),
    [anon_sym_PLUS_PLUS] = ACTIONS(1341),
    [anon_sym_sizeof] = ACTIONS(1339),
    [anon_sym___alignof__] = ACTIONS(1339),
    [anon_sym___alignof] = ACTIONS(1339),
    [anon_sym__alignof] = ACTIONS(1339),
    [anon_sym_alignof] = ACTIONS(1339),
    [anon_sym__Alignof] = ACTIONS(1339),
    [anon_sym_offsetof] = ACTIONS(1339),
    [anon_sym__Generic] = ACTIONS(1339),
    [anon_sym_asm] = ACTIONS(1339),
    [anon_sym___asm__] = ACTIONS(1339),
    [sym_number_literal] = ACTIONS(1341),
    [anon_sym_L_SQUOTE] = ACTIONS(1341),
    [anon_sym_u_SQUOTE] = ACTIONS(1341),
    [anon_sym_U_SQUOTE] = ACTIONS(1341),
    [anon_sym_u8_SQUOTE] = ACTIONS(1341),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_L_DQUOTE] = ACTIONS(1341),
    [anon_sym_u_DQUOTE] = ACTIONS(1341),
    [anon_sym_U_DQUOTE] = ACTIONS(1341),
    [anon_sym_u8_DQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_true] = ACTIONS(1339),
    [sym_false] = ACTIONS(1339),
    [anon_sym_NULL] = ACTIONS(1339),
    [anon_sym_nullptr] = ACTIONS(1339),
    [sym_comment] = ACTIONS(3),
  },
  [270] = {
    [sym_identifier] = ACTIONS(1291),
    [aux_sym_preproc_include_token1] = ACTIONS(1291),
    [aux_sym_preproc_def_token1] = ACTIONS(1291),
    [aux_sym_preproc_if_token1] = ACTIONS(1291),
    [aux_sym_preproc_if_token2] = ACTIONS(1291),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1291),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1291),
    [sym_preproc_directive] = ACTIONS(1291),
    [anon_sym_LPAREN2] = ACTIONS(1293),
    [anon_sym_BANG] = ACTIONS(1293),
    [anon_sym_TILDE] = ACTIONS(1293),
    [anon_sym_DASH] = ACTIONS(1291),
    [anon_sym_PLUS] = ACTIONS(1291),
    [anon_sym_STAR] = ACTIONS(1293),
    [anon_sym_AMP] = ACTIONS(1293),
    [anon_sym_SEMI] = ACTIONS(1293),
    [anon_sym___extension__] = ACTIONS(1291),
    [anon_sym_typedef] = ACTIONS(1291),
    [anon_sym_extern] = ACTIONS(1291),
    [anon_sym___attribute__] = ACTIONS(1291),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1293),
    [anon_sym___declspec] = ACTIONS(1291),
    [anon_sym___cdecl] = ACTIONS(1291),
    [anon_sym___clrcall] = ACTIONS(1291),
    [anon_sym___stdcall] = ACTIONS(1291),
    [anon_sym___fastcall] = ACTIONS(1291),
    [anon_sym___thiscall] = ACTIONS(1291),
    [anon_sym___vectorcall] = ACTIONS(1291),
    [anon_sym_LBRACE] = ACTIONS(1293),
    [anon_sym_signed] = ACTIONS(1291),
    [anon_sym_unsigned] = ACTIONS(1291),
    [anon_sym_long] = ACTIONS(1291),
    [anon_sym_short] = ACTIONS(1291),
    [anon_sym_static] = ACTIONS(1291),
    [anon_sym_auto] = ACTIONS(1291),
    [anon_sym_register] = ACTIONS(1291),
    [anon_sym_inline] = ACTIONS(1291),
    [anon_sym___inline] = ACTIONS(1291),
    [anon_sym___inline__] = ACTIONS(1291),
    [anon_sym___forceinline] = ACTIONS(1291),
    [anon_sym_thread_local] = ACTIONS(1291),
    [anon_sym___thread] = ACTIONS(1291),
    [anon_sym_const] = ACTIONS(1291),
    [anon_sym_constexpr] = ACTIONS(1291),
    [anon_sym_volatile] = ACTIONS(1291),
    [anon_sym_restrict] = ACTIONS(1291),
    [anon_sym___restrict__] = ACTIONS(1291),
    [anon_sym__Atomic] = ACTIONS(1291),
    [anon_sym__Noreturn] = ACTIONS(1291),
    [anon_sym_noreturn] = ACTIONS(1291),
    [anon_sym_alignas] = ACTIONS(1291),
    [anon_sym__Alignas] = ACTIONS(1291),
    [sym_primitive_type] = ACTIONS(1291),
    [anon_sym_enum] = ACTIONS(1291),
    [anon_sym_struct] = ACTIONS(1291),
    [anon_sym_union] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1291),
    [anon_sym_switch] = ACTIONS(1291),
    [anon_sym_case] = ACTIONS(1291),
    [anon_sym_default] = ACTIONS(1291),
    [anon_sym_while] = ACTIONS(1291),
    [anon_sym_do] = ACTIONS(1291),
    [anon_sym_for] = ACTIONS(1291),
    [anon_sym_return] = ACTIONS(1291),
    [anon_sym_break] = ACTIONS(1291),
    [anon_sym_continue] = ACTIONS(1291),
    [anon_sym_goto] = ACTIONS(1291),
    [anon_sym___try] = ACTIONS(1291),
    [anon_sym___leave] = ACTIONS(1291),
    [anon_sym_DASH_DASH] = ACTIONS(1293),
    [anon_sym_PLUS_PLUS] = ACTIONS(1293),
    [anon_sym_sizeof] = ACTIONS(1291),
    [anon_sym___alignof__] = ACTIONS(1291),
    [anon_sym___alignof] = ACTIONS(1291),
    [anon_sym__alignof] = ACTIONS(1291),
    [anon_sym_alignof] = ACTIONS(1291),
    [anon_sym__Alignof] = ACTIONS(1291),
    [anon_sym_offsetof] = ACTIONS(1291),
    [anon_sym__Generic] = ACTIONS(1291),
    [anon_sym_asm] = ACTIONS(1291),
    [anon_sym___asm__] = ACTIONS(1291),
    [sym_number_literal] = ACTIONS(1293),
    [anon_sym_L_SQUOTE] = ACTIONS(1293),
    [anon_sym_u_SQUOTE] = ACTIONS(1293),
    [anon_sym_U_SQUOTE] = ACTIONS(1293),
    [anon_sym_u8_SQUOTE] = ACTIONS(1293),
    [anon_sym_SQUOTE] = ACTIONS(1293),
    [anon_sym_L_DQUOTE] = ACTIONS(1293),
    [anon_sym_u_DQUOTE] = ACTIONS(1293),
    [anon_sym_U_DQUOTE] = ACTIONS(1293),
    [anon_sym_u8_DQUOTE] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(1293),
    [sym_true] = ACTIONS(1291),
    [sym_false] = ACTIONS(1291),
    [anon_sym_NULL] = ACTIONS(1291),
    [anon_sym_nullptr] = ACTIONS(1291),
    [sym_comment] = ACTIONS(3),
  },
  [271] = {
    [sym_identifier] = ACTIONS(1355),
    [aux_sym_preproc_include_token1] = ACTIONS(1355),
    [aux_sym_preproc_def_token1] = ACTIONS(1355),
    [aux_sym_preproc_if_token1] = ACTIONS(1355),
    [aux_sym_preproc_if_token2] = ACTIONS(1355),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1355),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1355),
    [sym_preproc_directive] = ACTIONS(1355),
    [anon_sym_LPAREN2] = ACTIONS(1358),
    [anon_sym_BANG] = ACTIONS(1358),
    [anon_sym_TILDE] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1355),
    [anon_sym_PLUS] = ACTIONS(1355),
    [anon_sym_STAR] = ACTIONS(1358),
    [anon_sym_AMP] = ACTIONS(1358),
    [anon_sym_SEMI] = ACTIONS(1358),
    [anon_sym___extension__] = ACTIONS(1355),
    [anon_sym_typedef] = ACTIONS(1355),
    [anon_sym_extern] = ACTIONS(1355),
    [anon_sym___attribute__] = ACTIONS(1355),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1358),
    [anon_sym___declspec] = ACTIONS(1355),
    [anon_sym___cdecl] = ACTIONS(1355),
    [anon_sym___clrcall] = ACTIONS(1355),
    [anon_sym___stdcall] = ACTIONS(1355),
    [anon_sym___fastcall] = ACTIONS(1355),
    [anon_sym___thiscall] = ACTIONS(1355),
    [anon_sym___vectorcall] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1358),
    [anon_sym_signed] = ACTIONS(1355),
    [anon_sym_unsigned] = ACTIONS(1355),
    [anon_sym_long] = ACTIONS(1355),
    [anon_sym_short] = ACTIONS(1355),
    [anon_sym_static] = ACTIONS(1355),
    [anon_sym_auto] = ACTIONS(1355),
    [anon_sym_register] = ACTIONS(1355),
    [anon_sym_inline] = ACTIONS(1355),
    [anon_sym___inline] = ACTIONS(1355),
    [anon_sym___inline__] = ACTIONS(1355),
    [anon_sym___forceinline] = ACTIONS(1355),
    [anon_sym_thread_local] = ACTIONS(1355),
    [anon_sym___thread] = ACTIONS(1355),
    [anon_sym_const] = ACTIONS(1355),
    [anon_sym_constexpr] = ACTIONS(1355),
    [anon_sym_volatile] = ACTIONS(1355),
    [anon_sym_restrict] = ACTIONS(1355),
    [anon_sym___restrict__] = ACTIONS(1355),
    [anon_sym__Atomic] = ACTIONS(1355),
    [anon_sym__Noreturn] = ACTIONS(1355),
    [anon_sym_noreturn] = ACTIONS(1355),
    [anon_sym_alignas] = ACTIONS(1355),
    [anon_sym__Alignas] = ACTIONS(1355),
    [sym_primitive_type] = ACTIONS(1355),
    [anon_sym_enum] = ACTIONS(1355),
    [anon_sym_struct] = ACTIONS(1355),
    [anon_sym_union] = ACTIONS(1355),
    [anon_sym_if] = ACTIONS(1355),
    [anon_sym_switch] = ACTIONS(1355),
    [anon_sym_case] = ACTIONS(1355),
    [anon_sym_default] = ACTIONS(1355),
    [anon_sym_while] = ACTIONS(1355),
    [anon_sym_do] = ACTIONS(1355),
    [anon_sym_for] = ACTIONS(1355),
    [anon_sym_return] = ACTIONS(1355),
    [anon_sym_break] = ACTIONS(1355),
    [anon_sym_continue] = ACTIONS(1355),
    [anon_sym_goto] = ACTIONS(1355),
    [anon_sym___try] = ACTIONS(1355),
    [anon_sym___leave] = ACTIONS(1355),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [anon_sym_sizeof] = ACTIONS(1355),
    [anon_sym___alignof__] = ACTIONS(1355),
    [anon_sym___alignof] = ACTIONS(1355),
    [anon_sym__alignof] = ACTIONS(1355),
    [anon_sym_alignof] = ACTIONS(1355),
    [anon_sym__Alignof] = ACTIONS(1355),
    [anon_sym_offsetof] = ACTIONS(1355),
    [anon_sym__Generic] = ACTIONS(1355),
    [anon_sym_asm] = ACTIONS(1355),
    [anon_sym___asm__] = ACTIONS(1355),
    [sym_number_literal] = ACTIONS(1358),
    [anon_sym_L_SQUOTE] = ACTIONS(1358),
    [anon_sym_u_SQUOTE] = ACTIONS(1358),
    [anon_sym_U_SQUOTE] = ACTIONS(1358),
    [anon_sym_u8_SQUOTE] = ACTIONS(1358),
    [anon_sym_SQUOTE] = ACTIONS(1358),
    [anon_sym_L_DQUOTE] = ACTIONS(1358),
    [anon_sym_u_DQUOTE] = ACTIONS(1358),
    [anon_sym_U_DQUOTE] = ACTIONS(1358),
    [anon_sym_u8_DQUOTE] = ACTIONS(1358),
    [anon_sym_DQUOTE] = ACTIONS(1358),
    [sym_true] = ACTIONS(1355),
    [sym_false] = ACTIONS(1355),
    [anon_sym_NULL] = ACTIONS(1355),
    [anon_sym_nullptr] = ACTIONS(1355),
    [sym_comment] = ACTIONS(3),
  },
  [272] = {
    [sym_identifier] = ACTIONS(1299),
    [aux_sym_preproc_include_token1] = ACTIONS(1299),
    [aux_sym_preproc_def_token1] = ACTIONS(1299),
    [aux_sym_preproc_if_token1] = ACTIONS(1299),
    [aux_sym_preproc_if_token2] = ACTIONS(1299),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1299),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1299),
    [sym_preproc_directive] = ACTIONS(1299),
    [anon_sym_LPAREN2] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(1301),
    [anon_sym_TILDE] = ACTIONS(1301),
    [anon_sym_DASH] = ACTIONS(1299),
    [anon_sym_PLUS] = ACTIONS(1299),
    [anon_sym_STAR] = ACTIONS(1301),
    [anon_sym_AMP] = ACTIONS(1301),
    [anon_sym_SEMI] = ACTIONS(1301),
    [anon_sym___extension__] = ACTIONS(1299),
    [anon_sym_typedef] = ACTIONS(1299),
    [anon_sym_extern] = ACTIONS(1299),
    [anon_sym___attribute__] = ACTIONS(1299),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1301),
    [anon_sym___declspec] = ACTIONS(1299),
    [anon_sym___cdecl] = ACTIONS(1299),
    [anon_sym___clrcall] = ACTIONS(1299),
    [anon_sym___stdcall] = ACTIONS(1299),
    [anon_sym___fastcall] = ACTIONS(1299),
    [anon_sym___thiscall] = ACTIONS(1299),
    [anon_sym___vectorcall] = ACTIONS(1299),
    [anon_sym_LBRACE] = ACTIONS(1301),
    [anon_sym_signed] = ACTIONS(1299),
    [anon_sym_unsigned] = ACTIONS(1299),
    [anon_sym_long] = ACTIONS(1299),
    [anon_sym_short] = ACTIONS(1299),
    [anon_sym_static] = ACTIONS(1299),
    [anon_sym_auto] = ACTIONS(1299),
    [anon_sym_register] = ACTIONS(1299),
    [anon_sym_inline] = ACTIONS(1299),
    [anon_sym___inline] = ACTIONS(1299),
    [anon_sym___inline__] = ACTIONS(1299),
    [anon_sym___forceinline] = ACTIONS(1299),
    [anon_sym_thread_local] = ACTIONS(1299),
    [anon_sym___thread] = ACTIONS(1299),
    [anon_sym_const] = ACTIONS(1299),
    [anon_sym_constexpr] = ACTIONS(1299),
    [anon_sym_volatile] = ACTIONS(1299),
    [anon_sym_restrict] = ACTIONS(1299),
    [anon_sym___restrict__] = ACTIONS(1299),
    [anon_sym__Atomic] = ACTIONS(1299),
    [anon_sym__Noreturn] = ACTIONS(1299),
    [anon_sym_noreturn] = ACTIONS(1299),
    [anon_sym_alignas] = ACTIONS(1299),
    [anon_sym__Alignas] = ACTIONS(1299),
    [sym_primitive_type] = ACTIONS(1299),
    [anon_sym_enum] = ACTIONS(1299),
    [anon_sym_struct] = ACTIONS(1299),
    [anon_sym_union] = ACTIONS(1299),
    [anon_sym_if] = ACTIONS(1299),
    [anon_sym_switch] = ACTIONS(1299),
    [anon_sym_case] = ACTIONS(1299),
    [anon_sym_default] = ACTIONS(1299),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_do] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_return] = ACTIONS(1299),
    [anon_sym_break] = ACTIONS(1299),
    [anon_sym_continue] = ACTIONS(1299),
    [anon_sym_goto] = ACTIONS(1299),
    [anon_sym___try] = ACTIONS(1299),
    [anon_sym___leave] = ACTIONS(1299),
    [anon_sym_DASH_DASH] = ACTIONS(1301),
    [anon_sym_PLUS_PLUS] = ACTIONS(1301),
    [anon_sym_sizeof] = ACTIONS(1299),
    [anon_sym___alignof__] = ACTIONS(1299),
    [anon_sym___alignof] = ACTIONS(1299),
    [anon_sym__alignof] = ACTIONS(1299),
    [anon_sym_alignof] = ACTIONS(1299),
    [anon_sym__Alignof] = ACTIONS(1299),
    [anon_sym_offsetof] = ACTIONS(1299),
    [anon_sym__Generic] = ACTIONS(1299),
    [anon_sym_asm] = ACTIONS(1299),
    [anon_sym___asm__] = ACTIONS(1299),
    [sym_number_literal] = ACTIONS(1301),
    [anon_sym_L_SQUOTE] = ACTIONS(1301),
    [anon_sym_u_SQUOTE] = ACTIONS(1301),
    [anon_sym_U_SQUOTE] = ACTIONS(1301),
    [anon_sym_u8_SQUOTE] = ACTIONS(1301),
    [anon_sym_SQUOTE] = ACTIONS(1301),
    [anon_sym_L_DQUOTE] = ACTIONS(1301),
    [anon_sym_u_DQUOTE] = ACTIONS(1301),
    [anon_sym_U_DQUOTE] = ACTIONS(1301),
    [anon_sym_u8_DQUOTE] = ACTIONS(1301),
    [anon_sym_DQUOTE] = ACTIONS(1301),
    [sym_true] = ACTIONS(1299),
    [sym_false] = ACTIONS(1299),
    [anon_sym_NULL] = ACTIONS(1299),
    [anon_sym_nullptr] = ACTIONS(1299),
    [sym_comment] = ACTIONS(3),
  },
  [273] = {
    [sym_identifier] = ACTIONS(1283),
    [aux_sym_preproc_include_token1] = ACTIONS(1283),
    [aux_sym_preproc_def_token1] = ACTIONS(1283),
    [aux_sym_preproc_if_token1] = ACTIONS(1283),
    [aux_sym_preproc_if_token2] = ACTIONS(1283),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1283),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1283),
    [sym_preproc_directive] = ACTIONS(1283),
    [anon_sym_LPAREN2] = ACTIONS(1285),
    [anon_sym_BANG] = ACTIONS(1285),
    [anon_sym_TILDE] = ACTIONS(1285),
    [anon_sym_DASH] = ACTIONS(1283),
    [anon_sym_PLUS] = ACTIONS(1283),
    [anon_sym_STAR] = ACTIONS(1285),
    [anon_sym_AMP] = ACTIONS(1285),
    [anon_sym_SEMI] = ACTIONS(1285),
    [anon_sym___extension__] = ACTIONS(1283),
    [anon_sym_typedef] = ACTIONS(1283),
    [anon_sym_extern] = ACTIONS(1283),
    [anon_sym___attribute__] = ACTIONS(1283),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1285),
    [anon_sym___declspec] = ACTIONS(1283),
    [anon_sym___cdecl] = ACTIONS(1283),
    [anon_sym___clrcall] = ACTIONS(1283),
    [anon_sym___stdcall] = ACTIONS(1283),
    [anon_sym___fastcall] = ACTIONS(1283),
    [anon_sym___thiscall] = ACTIONS(1283),
    [anon_sym___vectorcall] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_signed] = ACTIONS(1283),
    [anon_sym_unsigned] = ACTIONS(1283),
    [anon_sym_long] = ACTIONS(1283),
    [anon_sym_short] = ACTIONS(1283),
    [anon_sym_static] = ACTIONS(1283),
    [anon_sym_auto] = ACTIONS(1283),
    [anon_sym_register] = ACTIONS(1283),
    [anon_sym_inline] = ACTIONS(1283),
    [anon_sym___inline] = ACTIONS(1283),
    [anon_sym___inline__] = ACTIONS(1283),
    [anon_sym___forceinline] = ACTIONS(1283),
    [anon_sym_thread_local] = ACTIONS(1283),
    [anon_sym___thread] = ACTIONS(1283),
    [anon_sym_const] = ACTIONS(1283),
    [anon_sym_constexpr] = ACTIONS(1283),
    [anon_sym_volatile] = ACTIONS(1283),
    [anon_sym_restrict] = ACTIONS(1283),
    [anon_sym___restrict__] = ACTIONS(1283),
    [anon_sym__Atomic] = ACTIONS(1283),
    [anon_sym__Noreturn] = ACTIONS(1283),
    [anon_sym_noreturn] = ACTIONS(1283),
    [anon_sym_alignas] = ACTIONS(1283),
    [anon_sym__Alignas] = ACTIONS(1283),
    [sym_primitive_type] = ACTIONS(1283),
    [anon_sym_enum] = ACTIONS(1283),
    [anon_sym_struct] = ACTIONS(1283),
    [anon_sym_union] = ACTIONS(1283),
    [anon_sym_if] = ACTIONS(1283),
    [anon_sym_switch] = ACTIONS(1283),
    [anon_sym_case] = ACTIONS(1283),
    [anon_sym_default] = ACTIONS(1283),
    [anon_sym_while] = ACTIONS(1283),
    [anon_sym_do] = ACTIONS(1283),
    [anon_sym_for] = ACTIONS(1283),
    [anon_sym_return] = ACTIONS(1283),
    [anon_sym_break] = ACTIONS(1283),
    [anon_sym_continue] = ACTIONS(1283),
    [anon_sym_goto] = ACTIONS(1283),
    [anon_sym___try] = ACTIONS(1283),
    [anon_sym___leave] = ACTIONS(1283),
    [anon_sym_DASH_DASH] = ACTIONS(1285),
    [anon_sym_PLUS_PLUS] = ACTIONS(1285),
    [anon_sym_sizeof] = ACTIONS(1283),
    [anon_sym___alignof__] = ACTIONS(1283),
    [anon_sym___alignof] = ACTIONS(1283),
    [anon_sym__alignof] = ACTIONS(1283),
    [anon_sym_alignof] = ACTIONS(1283),
    [anon_sym__Alignof] = ACTIONS(1283),
    [anon_sym_offsetof] = ACTIONS(1283),
    [anon_sym__Generic] = ACTIONS(1283),
    [anon_sym_asm] = ACTIONS(1283),
    [anon_sym___asm__] = ACTIONS(1283),
    [sym_number_literal] = ACTIONS(1285),
    [anon_sym_L_SQUOTE] = ACTIONS(1285),
    [anon_sym_u_SQUOTE] = ACTIONS(1285),
    [anon_sym_U_SQUOTE] = ACTIONS(1285),
    [anon_sym_u8_SQUOTE] = ACTIONS(1285),
    [anon_sym_SQUOTE] = ACTIONS(1285),
    [anon_sym_L_DQUOTE] = ACTIONS(1285),
    [anon_sym_u_DQUOTE] = ACTIONS(1285),
    [anon_sym_U_DQUOTE] = ACTIONS(1285),
    [anon_sym_u8_DQUOTE] = ACTIONS(1285),
    [anon_sym_DQUOTE] = ACTIONS(1285),
    [sym_true] = ACTIONS(1283),
    [sym_false] = ACTIONS(1283),
    [anon_sym_NULL] = ACTIONS(1283),
    [anon_sym_nullptr] = ACTIONS(1283),
    [sym_comment] = ACTIONS(3),
  },
  [274] = {
    [sym_identifier] = ACTIONS(1279),
    [aux_sym_preproc_include_token1] = ACTIONS(1279),
    [aux_sym_preproc_def_token1] = ACTIONS(1279),
    [aux_sym_preproc_if_token1] = ACTIONS(1279),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1279),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1279),
    [sym_preproc_directive] = ACTIONS(1279),
    [anon_sym_LPAREN2] = ACTIONS(1281),
    [anon_sym_BANG] = ACTIONS(1281),
    [anon_sym_TILDE] = ACTIONS(1281),
    [anon_sym_DASH] = ACTIONS(1279),
    [anon_sym_PLUS] = ACTIONS(1279),
    [anon_sym_STAR] = ACTIONS(1281),
    [anon_sym_AMP] = ACTIONS(1281),
    [anon_sym_SEMI] = ACTIONS(1281),
    [anon_sym___extension__] = ACTIONS(1279),
    [anon_sym_typedef] = ACTIONS(1279),
    [anon_sym_extern] = ACTIONS(1279),
    [anon_sym___attribute__] = ACTIONS(1279),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1281),
    [anon_sym___declspec] = ACTIONS(1279),
    [anon_sym___cdecl] = ACTIONS(1279),
    [anon_sym___clrcall] = ACTIONS(1279),
    [anon_sym___stdcall] = ACTIONS(1279),
    [anon_sym___fastcall] = ACTIONS(1279),
    [anon_sym___thiscall] = ACTIONS(1279),
    [anon_sym___vectorcall] = ACTIONS(1279),
    [anon_sym_LBRACE] = ACTIONS(1281),
    [anon_sym_RBRACE] = ACTIONS(1281),
    [anon_sym_signed] = ACTIONS(1279),
    [anon_sym_unsigned] = ACTIONS(1279),
    [anon_sym_long] = ACTIONS(1279),
    [anon_sym_short] = ACTIONS(1279),
    [anon_sym_static] = ACTIONS(1279),
    [anon_sym_auto] = ACTIONS(1279),
    [anon_sym_register] = ACTIONS(1279),
    [anon_sym_inline] = ACTIONS(1279),
    [anon_sym___inline] = ACTIONS(1279),
    [anon_sym___inline__] = ACTIONS(1279),
    [anon_sym___forceinline] = ACTIONS(1279),
    [anon_sym_thread_local] = ACTIONS(1279),
    [anon_sym___thread] = ACTIONS(1279),
    [anon_sym_const] = ACTIONS(1279),
    [anon_sym_constexpr] = ACTIONS(1279),
    [anon_sym_volatile] = ACTIONS(1279),
    [anon_sym_restrict] = ACTIONS(1279),
    [anon_sym___restrict__] = ACTIONS(1279),
    [anon_sym__Atomic] = ACTIONS(1279),
    [anon_sym__Noreturn] = ACTIONS(1279),
    [anon_sym_noreturn] = ACTIONS(1279),
    [anon_sym_alignas] = ACTIONS(1279),
    [anon_sym__Alignas] = ACTIONS(1279),
    [sym_primitive_type] = ACTIONS(1279),
    [anon_sym_enum] = ACTIONS(1279),
    [anon_sym_struct] = ACTIONS(1279),
    [anon_sym_union] = ACTIONS(1279),
    [anon_sym_if] = ACTIONS(1279),
    [anon_sym_switch] = ACTIONS(1279),
    [anon_sym_case] = ACTIONS(1279),
    [anon_sym_default] = ACTIONS(1279),
    [anon_sym_while] = ACTIONS(1279),
    [anon_sym_do] = ACTIONS(1279),
    [anon_sym_for] = ACTIONS(1279),
    [anon_sym_return] = ACTIONS(1279),
    [anon_sym_break] = ACTIONS(1279),
    [anon_sym_continue] = ACTIONS(1279),
    [anon_sym_goto] = ACTIONS(1279),
    [anon_sym___try] = ACTIONS(1279),
    [anon_sym___leave] = ACTIONS(1279),
    [anon_sym_DASH_DASH] = ACTIONS(1281),
    [anon_sym_PLUS_PLUS] = ACTIONS(1281),
    [anon_sym_sizeof] = ACTIONS(1279),
    [anon_sym___alignof__] = ACTIONS(1279),
    [anon_sym___alignof] = ACTIONS(1279),
    [anon_sym__alignof] = ACTIONS(1279),
    [anon_sym_alignof] = ACTIONS(1279),
    [anon_sym__Alignof] = ACTIONS(1279),
    [anon_sym_offsetof] = ACTIONS(1279),
    [anon_sym__Generic] = ACTIONS(1279),
    [anon_sym_asm] = ACTIONS(1279),
    [anon_sym___asm__] = ACTIONS(1279),
    [sym_number_literal] = ACTIONS(1281),
    [anon_sym_L_SQUOTE] = ACTIONS(1281),
    [anon_sym_u_SQUOTE] = ACTIONS(1281),
    [anon_sym_U_SQUOTE] = ACTIONS(1281),
    [anon_sym_u8_SQUOTE] = ACTIONS(1281),
    [anon_sym_SQUOTE] = ACTIONS(1281),
    [anon_sym_L_DQUOTE] = ACTIONS(1281),
    [anon_sym_u_DQUOTE] = ACTIONS(1281),
    [anon_sym_U_DQUOTE] = ACTIONS(1281),
    [anon_sym_u8_DQUOTE] = ACTIONS(1281),
    [anon_sym_DQUOTE] = ACTIONS(1281),
    [sym_true] = ACTIONS(1279),
    [sym_false] = ACTIONS(1279),
    [anon_sym_NULL] = ACTIONS(1279),
    [anon_sym_nullptr] = ACTIONS(1279),
    [sym_comment] = ACTIONS(3),
  },
  [275] = {
    [sym_identifier] = ACTIONS(1271),
    [aux_sym_preproc_include_token1] = ACTIONS(1271),
    [aux_sym_preproc_def_token1] = ACTIONS(1271),
    [aux_sym_preproc_if_token1] = ACTIONS(1271),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1271),
    [sym_preproc_directive] = ACTIONS(1271),
    [anon_sym_LPAREN2] = ACTIONS(1273),
    [anon_sym_BANG] = ACTIONS(1273),
    [anon_sym_TILDE] = ACTIONS(1273),
    [anon_sym_DASH] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1271),
    [anon_sym_STAR] = ACTIONS(1273),
    [anon_sym_AMP] = ACTIONS(1273),
    [anon_sym_SEMI] = ACTIONS(1273),
    [anon_sym___extension__] = ACTIONS(1271),
    [anon_sym_typedef] = ACTIONS(1271),
    [anon_sym_extern] = ACTIONS(1271),
    [anon_sym___attribute__] = ACTIONS(1271),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1273),
    [anon_sym___declspec] = ACTIONS(1271),
    [anon_sym___cdecl] = ACTIONS(1271),
    [anon_sym___clrcall] = ACTIONS(1271),
    [anon_sym___stdcall] = ACTIONS(1271),
    [anon_sym___fastcall] = ACTIONS(1271),
    [anon_sym___thiscall] = ACTIONS(1271),
    [anon_sym___vectorcall] = ACTIONS(1271),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_RBRACE] = ACTIONS(1273),
    [anon_sym_signed] = ACTIONS(1271),
    [anon_sym_unsigned] = ACTIONS(1271),
    [anon_sym_long] = ACTIONS(1271),
    [anon_sym_short] = ACTIONS(1271),
    [anon_sym_static] = ACTIONS(1271),
    [anon_sym_auto] = ACTIONS(1271),
    [anon_sym_register] = ACTIONS(1271),
    [anon_sym_inline] = ACTIONS(1271),
    [anon_sym___inline] = ACTIONS(1271),
    [anon_sym___inline__] = ACTIONS(1271),
    [anon_sym___forceinline] = ACTIONS(1271),
    [anon_sym_thread_local] = ACTIONS(1271),
    [anon_sym___thread] = ACTIONS(1271),
    [anon_sym_const] = ACTIONS(1271),
    [anon_sym_constexpr] = ACTIONS(1271),
    [anon_sym_volatile] = ACTIONS(1271),
    [anon_sym_restrict] = ACTIONS(1271),
    [anon_sym___restrict__] = ACTIONS(1271),
    [anon_sym__Atomic] = ACTIONS(1271),
    [anon_sym__Noreturn] = ACTIONS(1271),
    [anon_sym_noreturn] = ACTIONS(1271),
    [anon_sym_alignas] = ACTIONS(1271),
    [anon_sym__Alignas] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(1271),
    [anon_sym_enum] = ACTIONS(1271),
    [anon_sym_struct] = ACTIONS(1271),
    [anon_sym_union] = ACTIONS(1271),
    [anon_sym_if] = ACTIONS(1271),
    [anon_sym_switch] = ACTIONS(1271),
    [anon_sym_case] = ACTIONS(1271),
    [anon_sym_default] = ACTIONS(1271),
    [anon_sym_while] = ACTIONS(1271),
    [anon_sym_do] = ACTIONS(1271),
    [anon_sym_for] = ACTIONS(1271),
    [anon_sym_return] = ACTIONS(1271),
    [anon_sym_break] = ACTIONS(1271),
    [anon_sym_continue] = ACTIONS(1271),
    [anon_sym_goto] = ACTIONS(1271),
    [anon_sym___try] = ACTIONS(1271),
    [anon_sym___leave] = ACTIONS(1271),
    [anon_sym_DASH_DASH] = ACTIONS(1273),
    [anon_sym_PLUS_PLUS] = ACTIONS(1273),
    [anon_sym_sizeof] = ACTIONS(1271),
    [anon_sym___alignof__] = ACTIONS(1271),
    [anon_sym___alignof] = ACTIONS(1271),
    [anon_sym__alignof] = ACTIONS(1271),
    [anon_sym_alignof] = ACTIONS(1271),
    [anon_sym__Alignof] = ACTIONS(1271),
    [anon_sym_offsetof] = ACTIONS(1271),
    [anon_sym__Generic] = ACTIONS(1271),
    [anon_sym_asm] = ACTIONS(1271),
    [anon_sym___asm__] = ACTIONS(1271),
    [sym_number_literal] = ACTIONS(1273),
    [anon_sym_L_SQUOTE] = ACTIONS(1273),
    [anon_sym_u_SQUOTE] = ACTIONS(1273),
    [anon_sym_U_SQUOTE] = ACTIONS(1273),
    [anon_sym_u8_SQUOTE] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1273),
    [anon_sym_L_DQUOTE] = ACTIONS(1273),
    [anon_sym_u_DQUOTE] = ACTIONS(1273),
    [anon_sym_U_DQUOTE] = ACTIONS(1273),
    [anon_sym_u8_DQUOTE] = ACTIONS(1273),
    [anon_sym_DQUOTE] = ACTIONS(1273),
    [sym_true] = ACTIONS(1271),
    [sym_false] = ACTIONS(1271),
    [anon_sym_NULL] = ACTIONS(1271),
    [anon_sym_nullptr] = ACTIONS(1271),
    [sym_comment] = ACTIONS(3),
  },
  [276] = {
    [sym_identifier] = ACTIONS(1267),
    [aux_sym_preproc_include_token1] = ACTIONS(1267),
    [aux_sym_preproc_def_token1] = ACTIONS(1267),
    [aux_sym_preproc_if_token1] = ACTIONS(1267),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1267),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1267),
    [sym_preproc_directive] = ACTIONS(1267),
    [anon_sym_LPAREN2] = ACTIONS(1269),
    [anon_sym_BANG] = ACTIONS(1269),
    [anon_sym_TILDE] = ACTIONS(1269),
    [anon_sym_DASH] = ACTIONS(1267),
    [anon_sym_PLUS] = ACTIONS(1267),
    [anon_sym_STAR] = ACTIONS(1269),
    [anon_sym_AMP] = ACTIONS(1269),
    [anon_sym_SEMI] = ACTIONS(1269),
    [anon_sym___extension__] = ACTIONS(1267),
    [anon_sym_typedef] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(1267),
    [anon_sym___attribute__] = ACTIONS(1267),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym___declspec] = ACTIONS(1267),
    [anon_sym___cdecl] = ACTIONS(1267),
    [anon_sym___clrcall] = ACTIONS(1267),
    [anon_sym___stdcall] = ACTIONS(1267),
    [anon_sym___fastcall] = ACTIONS(1267),
    [anon_sym___thiscall] = ACTIONS(1267),
    [anon_sym___vectorcall] = ACTIONS(1267),
    [anon_sym_LBRACE] = ACTIONS(1269),
    [anon_sym_RBRACE] = ACTIONS(1269),
    [anon_sym_signed] = ACTIONS(1267),
    [anon_sym_unsigned] = ACTIONS(1267),
    [anon_sym_long] = ACTIONS(1267),
    [anon_sym_short] = ACTIONS(1267),
    [anon_sym_static] = ACTIONS(1267),
    [anon_sym_auto] = ACTIONS(1267),
    [anon_sym_register] = ACTIONS(1267),
    [anon_sym_inline] = ACTIONS(1267),
    [anon_sym___inline] = ACTIONS(1267),
    [anon_sym___inline__] = ACTIONS(1267),
    [anon_sym___forceinline] = ACTIONS(1267),
    [anon_sym_thread_local] = ACTIONS(1267),
    [anon_sym___thread] = ACTIONS(1267),
    [anon_sym_const] = ACTIONS(1267),
    [anon_sym_constexpr] = ACTIONS(1267),
    [anon_sym_volatile] = ACTIONS(1267),
    [anon_sym_restrict] = ACTIONS(1267),
    [anon_sym___restrict__] = ACTIONS(1267),
    [anon_sym__Atomic] = ACTIONS(1267),
    [anon_sym__Noreturn] = ACTIONS(1267),
    [anon_sym_noreturn] = ACTIONS(1267),
    [anon_sym_alignas] = ACTIONS(1267),
    [anon_sym__Alignas] = ACTIONS(1267),
    [sym_primitive_type] = ACTIONS(1267),
    [anon_sym_enum] = ACTIONS(1267),
    [anon_sym_struct] = ACTIONS(1267),
    [anon_sym_union] = ACTIONS(1267),
    [anon_sym_if] = ACTIONS(1267),
    [anon_sym_switch] = ACTIONS(1267),
    [anon_sym_case] = ACTIONS(1267),
    [anon_sym_default] = ACTIONS(1267),
    [anon_sym_while] = ACTIONS(1267),
    [anon_sym_do] = ACTIONS(1267),
    [anon_sym_for] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(1267),
    [anon_sym_break] = ACTIONS(1267),
    [anon_sym_continue] = ACTIONS(1267),
    [anon_sym_goto] = ACTIONS(1267),
    [anon_sym___try] = ACTIONS(1267),
    [anon_sym___leave] = ACTIONS(1267),
    [anon_sym_DASH_DASH] = ACTIONS(1269),
    [anon_sym_PLUS_PLUS] = ACTIONS(1269),
    [anon_sym_sizeof] = ACTIONS(1267),
    [anon_sym___alignof__] = ACTIONS(1267),
    [anon_sym___alignof] = ACTIONS(1267),
    [anon_sym__alignof] = ACTIONS(1267),
    [anon_sym_alignof] = ACTIONS(1267),
    [anon_sym__Alignof] = ACTIONS(1267),
    [anon_sym_offsetof] = ACTIONS(1267),
    [anon_sym__Generic] = ACTIONS(1267),
    [anon_sym_asm] = ACTIONS(1267),
    [anon_sym___asm__] = ACTIONS(1267),
    [sym_number_literal] = ACTIONS(1269),
    [anon_sym_L_SQUOTE] = ACTIONS(1269),
    [anon_sym_u_SQUOTE] = ACTIONS(1269),
    [anon_sym_U_SQUOTE] = ACTIONS(1269),
    [anon_sym_u8_SQUOTE] = ACTIONS(1269),
    [anon_sym_SQUOTE] = ACTIONS(1269),
    [anon_sym_L_DQUOTE] = ACTIONS(1269),
    [anon_sym_u_DQUOTE] = ACTIONS(1269),
    [anon_sym_U_DQUOTE] = ACTIONS(1269),
    [anon_sym_u8_DQUOTE] = ACTIONS(1269),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_true] = ACTIONS(1267),
    [sym_false] = ACTIONS(1267),
    [anon_sym_NULL] = ACTIONS(1267),
    [anon_sym_nullptr] = ACTIONS(1267),
    [sym_comment] = ACTIONS(3),
  },
  [277] = {
    [sym_identifier] = ACTIONS(1307),
    [aux_sym_preproc_include_token1] = ACTIONS(1307),
    [aux_sym_preproc_def_token1] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1307),
    [aux_sym_preproc_if_token2] = ACTIONS(1307),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1307),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1307),
    [sym_preproc_directive] = ACTIONS(1307),
    [anon_sym_LPAREN2] = ACTIONS(1309),
    [anon_sym_BANG] = ACTIONS(1309),
    [anon_sym_TILDE] = ACTIONS(1309),
    [anon_sym_DASH] = ACTIONS(1307),
    [anon_sym_PLUS] = ACTIONS(1307),
    [anon_sym_STAR] = ACTIONS(1309),
    [anon_sym_AMP] = ACTIONS(1309),
    [anon_sym_SEMI] = ACTIONS(1309),
    [anon_sym___extension__] = ACTIONS(1307),
    [anon_sym_typedef] = ACTIONS(1307),
    [anon_sym_extern] = ACTIONS(1307),
    [anon_sym___attribute__] = ACTIONS(1307),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1309),
    [anon_sym___declspec] = ACTIONS(1307),
    [anon_sym___cdecl] = ACTIONS(1307),
    [anon_sym___clrcall] = ACTIONS(1307),
    [anon_sym___stdcall] = ACTIONS(1307),
    [anon_sym___fastcall] = ACTIONS(1307),
    [anon_sym___thiscall] = ACTIONS(1307),
    [anon_sym___vectorcall] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_signed] = ACTIONS(1307),
    [anon_sym_unsigned] = ACTIONS(1307),
    [anon_sym_long] = ACTIONS(1307),
    [anon_sym_short] = ACTIONS(1307),
    [anon_sym_static] = ACTIONS(1307),
    [anon_sym_auto] = ACTIONS(1307),
    [anon_sym_register] = ACTIONS(1307),
    [anon_sym_inline] = ACTIONS(1307),
    [anon_sym___inline] = ACTIONS(1307),
    [anon_sym___inline__] = ACTIONS(1307),
    [anon_sym___forceinline] = ACTIONS(1307),
    [anon_sym_thread_local] = ACTIONS(1307),
    [anon_sym___thread] = ACTIONS(1307),
    [anon_sym_const] = ACTIONS(1307),
    [anon_sym_constexpr] = ACTIONS(1307),
    [anon_sym_volatile] = ACTIONS(1307),
    [anon_sym_restrict] = ACTIONS(1307),
    [anon_sym___restrict__] = ACTIONS(1307),
    [anon_sym__Atomic] = ACTIONS(1307),
    [anon_sym__Noreturn] = ACTIONS(1307),
    [anon_sym_noreturn] = ACTIONS(1307),
    [anon_sym_alignas] = ACTIONS(1307),
    [anon_sym__Alignas] = ACTIONS(1307),
    [sym_primitive_type] = ACTIONS(1307),
    [anon_sym_enum] = ACTIONS(1307),
    [anon_sym_struct] = ACTIONS(1307),
    [anon_sym_union] = ACTIONS(1307),
    [anon_sym_if] = ACTIONS(1307),
    [anon_sym_switch] = ACTIONS(1307),
    [anon_sym_case] = ACTIONS(1307),
    [anon_sym_default] = ACTIONS(1307),
    [anon_sym_while] = ACTIONS(1307),
    [anon_sym_do] = ACTIONS(1307),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_return] = ACTIONS(1307),
    [anon_sym_break] = ACTIONS(1307),
    [anon_sym_continue] = ACTIONS(1307),
    [anon_sym_goto] = ACTIONS(1307),
    [anon_sym___try] = ACTIONS(1307),
    [anon_sym___leave] = ACTIONS(1307),
    [anon_sym_DASH_DASH] = ACTIONS(1309),
    [anon_sym_PLUS_PLUS] = ACTIONS(1309),
    [anon_sym_sizeof] = ACTIONS(1307),
    [anon_sym___alignof__] = ACTIONS(1307),
    [anon_sym___alignof] = ACTIONS(1307),
    [anon_sym__alignof] = ACTIONS(1307),
    [anon_sym_alignof] = ACTIONS(1307),
    [anon_sym__Alignof] = ACTIONS(1307),
    [anon_sym_offsetof] = ACTIONS(1307),
    [anon_sym__Generic] = ACTIONS(1307),
    [anon_sym_asm] = ACTIONS(1307),
    [anon_sym___asm__] = ACTIONS(1307),
    [sym_number_literal] = ACTIONS(1309),
    [anon_sym_L_SQUOTE] = ACTIONS(1309),
    [anon_sym_u_SQUOTE] = ACTIONS(1309),
    [anon_sym_U_SQUOTE] = ACTIONS(1309),
    [anon_sym_u8_SQUOTE] = ACTIONS(1309),
    [anon_sym_SQUOTE] = ACTIONS(1309),
    [anon_sym_L_DQUOTE] = ACTIONS(1309),
    [anon_sym_u_DQUOTE] = ACTIONS(1309),
    [anon_sym_U_DQUOTE] = ACTIONS(1309),
    [anon_sym_u8_DQUOTE] = ACTIONS(1309),
    [anon_sym_DQUOTE] = ACTIONS(1309),
    [sym_true] = ACTIONS(1307),
    [sym_false] = ACTIONS(1307),
    [anon_sym_NULL] = ACTIONS(1307),
    [anon_sym_nullptr] = ACTIONS(1307),
    [sym_comment] = ACTIONS(3),
  },
  [278] = {
    [sym_identifier] = ACTIONS(1319),
    [aux_sym_preproc_include_token1] = ACTIONS(1319),
    [aux_sym_preproc_def_token1] = ACTIONS(1319),
    [aux_sym_preproc_if_token1] = ACTIONS(1319),
    [aux_sym_preproc_if_token2] = ACTIONS(1319),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1319),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1319),
    [sym_preproc_directive] = ACTIONS(1319),
    [anon_sym_LPAREN2] = ACTIONS(1321),
    [anon_sym_BANG] = ACTIONS(1321),
    [anon_sym_TILDE] = ACTIONS(1321),
    [anon_sym_DASH] = ACTIONS(1319),
    [anon_sym_PLUS] = ACTIONS(1319),
    [anon_sym_STAR] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(1321),
    [anon_sym_SEMI] = ACTIONS(1321),
    [anon_sym___extension__] = ACTIONS(1319),
    [anon_sym_typedef] = ACTIONS(1319),
    [anon_sym_extern] = ACTIONS(1319),
    [anon_sym___attribute__] = ACTIONS(1319),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1321),
    [anon_sym___declspec] = ACTIONS(1319),
    [anon_sym___cdecl] = ACTIONS(1319),
    [anon_sym___clrcall] = ACTIONS(1319),
    [anon_sym___stdcall] = ACTIONS(1319),
    [anon_sym___fastcall] = ACTIONS(1319),
    [anon_sym___thiscall] = ACTIONS(1319),
    [anon_sym___vectorcall] = ACTIONS(1319),
    [anon_sym_LBRACE] = ACTIONS(1321),
    [anon_sym_signed] = ACTIONS(1319),
    [anon_sym_unsigned] = ACTIONS(1319),
    [anon_sym_long] = ACTIONS(1319),
    [anon_sym_short] = ACTIONS(1319),
    [anon_sym_static] = ACTIONS(1319),
    [anon_sym_auto] = ACTIONS(1319),
    [anon_sym_register] = ACTIONS(1319),
    [anon_sym_inline] = ACTIONS(1319),
    [anon_sym___inline] = ACTIONS(1319),
    [anon_sym___inline__] = ACTIONS(1319),
    [anon_sym___forceinline] = ACTIONS(1319),
    [anon_sym_thread_local] = ACTIONS(1319),
    [anon_sym___thread] = ACTIONS(1319),
    [anon_sym_const] = ACTIONS(1319),
    [anon_sym_constexpr] = ACTIONS(1319),
    [anon_sym_volatile] = ACTIONS(1319),
    [anon_sym_restrict] = ACTIONS(1319),
    [anon_sym___restrict__] = ACTIONS(1319),
    [anon_sym__Atomic] = ACTIONS(1319),
    [anon_sym__Noreturn] = ACTIONS(1319),
    [anon_sym_noreturn] = ACTIONS(1319),
    [anon_sym_alignas] = ACTIONS(1319),
    [anon_sym__Alignas] = ACTIONS(1319),
    [sym_primitive_type] = ACTIONS(1319),
    [anon_sym_enum] = ACTIONS(1319),
    [anon_sym_struct] = ACTIONS(1319),
    [anon_sym_union] = ACTIONS(1319),
    [anon_sym_if] = ACTIONS(1319),
    [anon_sym_switch] = ACTIONS(1319),
    [anon_sym_case] = ACTIONS(1319),
    [anon_sym_default] = ACTIONS(1319),
    [anon_sym_while] = ACTIONS(1319),
    [anon_sym_do] = ACTIONS(1319),
    [anon_sym_for] = ACTIONS(1319),
    [anon_sym_return] = ACTIONS(1319),
    [anon_sym_break] = ACTIONS(1319),
    [anon_sym_continue] = ACTIONS(1319),
    [anon_sym_goto] = ACTIONS(1319),
    [anon_sym___try] = ACTIONS(1319),
    [anon_sym___leave] = ACTIONS(1319),
    [anon_sym_DASH_DASH] = ACTIONS(1321),
    [anon_sym_PLUS_PLUS] = ACTIONS(1321),
    [anon_sym_sizeof] = ACTIONS(1319),
    [anon_sym___alignof__] = ACTIONS(1319),
    [anon_sym___alignof] = ACTIONS(1319),
    [anon_sym__alignof] = ACTIONS(1319),
    [anon_sym_alignof] = ACTIONS(1319),
    [anon_sym__Alignof] = ACTIONS(1319),
    [anon_sym_offsetof] = ACTIONS(1319),
    [anon_sym__Generic] = ACTIONS(1319),
    [anon_sym_asm] = ACTIONS(1319),
    [anon_sym___asm__] = ACTIONS(1319),
    [sym_number_literal] = ACTIONS(1321),
    [anon_sym_L_SQUOTE] = ACTIONS(1321),
    [anon_sym_u_SQUOTE] = ACTIONS(1321),
    [anon_sym_U_SQUOTE] = ACTIONS(1321),
    [anon_sym_u8_SQUOTE] = ACTIONS(1321),
    [anon_sym_SQUOTE] = ACTIONS(1321),
    [anon_sym_L_DQUOTE] = ACTIONS(1321),
    [anon_sym_u_DQUOTE] = ACTIONS(1321),
    [anon_sym_U_DQUOTE] = ACTIONS(1321),
    [anon_sym_u8_DQUOTE] = ACTIONS(1321),
    [anon_sym_DQUOTE] = ACTIONS(1321),
    [sym_true] = ACTIONS(1319),
    [sym_false] = ACTIONS(1319),
    [anon_sym_NULL] = ACTIONS(1319),
    [anon_sym_nullptr] = ACTIONS(1319),
    [sym_comment] = ACTIONS(3),
  },
  [279] = {
    [sym_identifier] = ACTIONS(1331),
    [aux_sym_preproc_include_token1] = ACTIONS(1331),
    [aux_sym_preproc_def_token1] = ACTIONS(1331),
    [aux_sym_preproc_if_token1] = ACTIONS(1331),
    [aux_sym_preproc_if_token2] = ACTIONS(1331),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1331),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1331),
    [sym_preproc_directive] = ACTIONS(1331),
    [anon_sym_LPAREN2] = ACTIONS(1333),
    [anon_sym_BANG] = ACTIONS(1333),
    [anon_sym_TILDE] = ACTIONS(1333),
    [anon_sym_DASH] = ACTIONS(1331),
    [anon_sym_PLUS] = ACTIONS(1331),
    [anon_sym_STAR] = ACTIONS(1333),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_SEMI] = ACTIONS(1333),
    [anon_sym___extension__] = ACTIONS(1331),
    [anon_sym_typedef] = ACTIONS(1331),
    [anon_sym_extern] = ACTIONS(1331),
    [anon_sym___attribute__] = ACTIONS(1331),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1333),
    [anon_sym___declspec] = ACTIONS(1331),
    [anon_sym___cdecl] = ACTIONS(1331),
    [anon_sym___clrcall] = ACTIONS(1331),
    [anon_sym___stdcall] = ACTIONS(1331),
    [anon_sym___fastcall] = ACTIONS(1331),
    [anon_sym___thiscall] = ACTIONS(1331),
    [anon_sym___vectorcall] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(1333),
    [anon_sym_signed] = ACTIONS(1331),
    [anon_sym_unsigned] = ACTIONS(1331),
    [anon_sym_long] = ACTIONS(1331),
    [anon_sym_short] = ACTIONS(1331),
    [anon_sym_static] = ACTIONS(1331),
    [anon_sym_auto] = ACTIONS(1331),
    [anon_sym_register] = ACTIONS(1331),
    [anon_sym_inline] = ACTIONS(1331),
    [anon_sym___inline] = ACTIONS(1331),
    [anon_sym___inline__] = ACTIONS(1331),
    [anon_sym___forceinline] = ACTIONS(1331),
    [anon_sym_thread_local] = ACTIONS(1331),
    [anon_sym___thread] = ACTIONS(1331),
    [anon_sym_const] = ACTIONS(1331),
    [anon_sym_constexpr] = ACTIONS(1331),
    [anon_sym_volatile] = ACTIONS(1331),
    [anon_sym_restrict] = ACTIONS(1331),
    [anon_sym___restrict__] = ACTIONS(1331),
    [anon_sym__Atomic] = ACTIONS(1331),
    [anon_sym__Noreturn] = ACTIONS(1331),
    [anon_sym_noreturn] = ACTIONS(1331),
    [anon_sym_alignas] = ACTIONS(1331),
    [anon_sym__Alignas] = ACTIONS(1331),
    [sym_primitive_type] = ACTIONS(1331),
    [anon_sym_enum] = ACTIONS(1331),
    [anon_sym_struct] = ACTIONS(1331),
    [anon_sym_union] = ACTIONS(1331),
    [anon_sym_if] = ACTIONS(1331),
    [anon_sym_switch] = ACTIONS(1331),
    [anon_sym_case] = ACTIONS(1331),
    [anon_sym_default] = ACTIONS(1331),
    [anon_sym_while] = ACTIONS(1331),
    [anon_sym_do] = ACTIONS(1331),
    [anon_sym_for] = ACTIONS(1331),
    [anon_sym_return] = ACTIONS(1331),
    [anon_sym_break] = ACTIONS(1331),
    [anon_sym_continue] = ACTIONS(1331),
    [anon_sym_goto] = ACTIONS(1331),
    [anon_sym___try] = ACTIONS(1331),
    [anon_sym___leave] = ACTIONS(1331),
    [anon_sym_DASH_DASH] = ACTIONS(1333),
    [anon_sym_PLUS_PLUS] = ACTIONS(1333),
    [anon_sym_sizeof] = ACTIONS(1331),
    [anon_sym___alignof__] = ACTIONS(1331),
    [anon_sym___alignof] = ACTIONS(1331),
    [anon_sym__alignof] = ACTIONS(1331),
    [anon_sym_alignof] = ACTIONS(1331),
    [anon_sym__Alignof] = ACTIONS(1331),
    [anon_sym_offsetof] = ACTIONS(1331),
    [anon_sym__Generic] = ACTIONS(1331),
    [anon_sym_asm] = ACTIONS(1331),
    [anon_sym___asm__] = ACTIONS(1331),
    [sym_number_literal] = ACTIONS(1333),
    [anon_sym_L_SQUOTE] = ACTIONS(1333),
    [anon_sym_u_SQUOTE] = ACTIONS(1333),
    [anon_sym_U_SQUOTE] = ACTIONS(1333),
    [anon_sym_u8_SQUOTE] = ACTIONS(1333),
    [anon_sym_SQUOTE] = ACTIONS(1333),
    [anon_sym_L_DQUOTE] = ACTIONS(1333),
    [anon_sym_u_DQUOTE] = ACTIONS(1333),
    [anon_sym_U_DQUOTE] = ACTIONS(1333),
    [anon_sym_u8_DQUOTE] = ACTIONS(1333),
    [anon_sym_DQUOTE] = ACTIONS(1333),
    [sym_true] = ACTIONS(1331),
    [sym_false] = ACTIONS(1331),
    [anon_sym_NULL] = ACTIONS(1331),
    [anon_sym_nullptr] = ACTIONS(1331),
    [sym_comment] = ACTIONS(3),
  },
  [280] = {
    [sym_identifier] = ACTIONS(1343),
    [aux_sym_preproc_include_token1] = ACTIONS(1343),
    [aux_sym_preproc_def_token1] = ACTIONS(1343),
    [aux_sym_preproc_if_token1] = ACTIONS(1343),
    [aux_sym_preproc_if_token2] = ACTIONS(1343),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1343),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1343),
    [sym_preproc_directive] = ACTIONS(1343),
    [anon_sym_LPAREN2] = ACTIONS(1345),
    [anon_sym_BANG] = ACTIONS(1345),
    [anon_sym_TILDE] = ACTIONS(1345),
    [anon_sym_DASH] = ACTIONS(1343),
    [anon_sym_PLUS] = ACTIONS(1343),
    [anon_sym_STAR] = ACTIONS(1345),
    [anon_sym_AMP] = ACTIONS(1345),
    [anon_sym_SEMI] = ACTIONS(1345),
    [anon_sym___extension__] = ACTIONS(1343),
    [anon_sym_typedef] = ACTIONS(1343),
    [anon_sym_extern] = ACTIONS(1343),
    [anon_sym___attribute__] = ACTIONS(1343),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1345),
    [anon_sym___declspec] = ACTIONS(1343),
    [anon_sym___cdecl] = ACTIONS(1343),
    [anon_sym___clrcall] = ACTIONS(1343),
    [anon_sym___stdcall] = ACTIONS(1343),
    [anon_sym___fastcall] = ACTIONS(1343),
    [anon_sym___thiscall] = ACTIONS(1343),
    [anon_sym___vectorcall] = ACTIONS(1343),
    [anon_sym_LBRACE] = ACTIONS(1345),
    [anon_sym_signed] = ACTIONS(1343),
    [anon_sym_unsigned] = ACTIONS(1343),
    [anon_sym_long] = ACTIONS(1343),
    [anon_sym_short] = ACTIONS(1343),
    [anon_sym_static] = ACTIONS(1343),
    [anon_sym_auto] = ACTIONS(1343),
    [anon_sym_register] = ACTIONS(1343),
    [anon_sym_inline] = ACTIONS(1343),
    [anon_sym___inline] = ACTIONS(1343),
    [anon_sym___inline__] = ACTIONS(1343),
    [anon_sym___forceinline] = ACTIONS(1343),
    [anon_sym_thread_local] = ACTIONS(1343),
    [anon_sym___thread] = ACTIONS(1343),
    [anon_sym_const] = ACTIONS(1343),
    [anon_sym_constexpr] = ACTIONS(1343),
    [anon_sym_volatile] = ACTIONS(1343),
    [anon_sym_restrict] = ACTIONS(1343),
    [anon_sym___restrict__] = ACTIONS(1343),
    [anon_sym__Atomic] = ACTIONS(1343),
    [anon_sym__Noreturn] = ACTIONS(1343),
    [anon_sym_noreturn] = ACTIONS(1343),
    [anon_sym_alignas] = ACTIONS(1343),
    [anon_sym__Alignas] = ACTIONS(1343),
    [sym_primitive_type] = ACTIONS(1343),
    [anon_sym_enum] = ACTIONS(1343),
    [anon_sym_struct] = ACTIONS(1343),
    [anon_sym_union] = ACTIONS(1343),
    [anon_sym_if] = ACTIONS(1343),
    [anon_sym_switch] = ACTIONS(1343),
    [anon_sym_case] = ACTIONS(1343),
    [anon_sym_default] = ACTIONS(1343),
    [anon_sym_while] = ACTIONS(1343),
    [anon_sym_do] = ACTIONS(1343),
    [anon_sym_for] = ACTIONS(1343),
    [anon_sym_return] = ACTIONS(1343),
    [anon_sym_break] = ACTIONS(1343),
    [anon_sym_continue] = ACTIONS(1343),
    [anon_sym_goto] = ACTIONS(1343),
    [anon_sym___try] = ACTIONS(1343),
    [anon_sym___leave] = ACTIONS(1343),
    [anon_sym_DASH_DASH] = ACTIONS(1345),
    [anon_sym_PLUS_PLUS] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(1343),
    [anon_sym___alignof__] = ACTIONS(1343),
    [anon_sym___alignof] = ACTIONS(1343),
    [anon_sym__alignof] = ACTIONS(1343),
    [anon_sym_alignof] = ACTIONS(1343),
    [anon_sym__Alignof] = ACTIONS(1343),
    [anon_sym_offsetof] = ACTIONS(1343),
    [anon_sym__Generic] = ACTIONS(1343),
    [anon_sym_asm] = ACTIONS(1343),
    [anon_sym___asm__] = ACTIONS(1343),
    [sym_number_literal] = ACTIONS(1345),
    [anon_sym_L_SQUOTE] = ACTIONS(1345),
    [anon_sym_u_SQUOTE] = ACTIONS(1345),
    [anon_sym_U_SQUOTE] = ACTIONS(1345),
    [anon_sym_u8_SQUOTE] = ACTIONS(1345),
    [anon_sym_SQUOTE] = ACTIONS(1345),
    [anon_sym_L_DQUOTE] = ACTIONS(1345),
    [anon_sym_u_DQUOTE] = ACTIONS(1345),
    [anon_sym_U_DQUOTE] = ACTIONS(1345),
    [anon_sym_u8_DQUOTE] = ACTIONS(1345),
    [anon_sym_DQUOTE] = ACTIONS(1345),
    [sym_true] = ACTIONS(1343),
    [sym_false] = ACTIONS(1343),
    [anon_sym_NULL] = ACTIONS(1343),
    [anon_sym_nullptr] = ACTIONS(1343),
    [sym_comment] = ACTIONS(3),
  },
  [281] = {
    [sym_identifier] = ACTIONS(1351),
    [aux_sym_preproc_include_token1] = ACTIONS(1351),
    [aux_sym_preproc_def_token1] = ACTIONS(1351),
    [aux_sym_preproc_if_token1] = ACTIONS(1351),
    [aux_sym_preproc_if_token2] = ACTIONS(1351),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1351),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1351),
    [sym_preproc_directive] = ACTIONS(1351),
    [anon_sym_LPAREN2] = ACTIONS(1353),
    [anon_sym_BANG] = ACTIONS(1353),
    [anon_sym_TILDE] = ACTIONS(1353),
    [anon_sym_DASH] = ACTIONS(1351),
    [anon_sym_PLUS] = ACTIONS(1351),
    [anon_sym_STAR] = ACTIONS(1353),
    [anon_sym_AMP] = ACTIONS(1353),
    [anon_sym_SEMI] = ACTIONS(1353),
    [anon_sym___extension__] = ACTIONS(1351),
    [anon_sym_typedef] = ACTIONS(1351),
    [anon_sym_extern] = ACTIONS(1351),
    [anon_sym___attribute__] = ACTIONS(1351),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1353),
    [anon_sym___declspec] = ACTIONS(1351),
    [anon_sym___cdecl] = ACTIONS(1351),
    [anon_sym___clrcall] = ACTIONS(1351),
    [anon_sym___stdcall] = ACTIONS(1351),
    [anon_sym___fastcall] = ACTIONS(1351),
    [anon_sym___thiscall] = ACTIONS(1351),
    [anon_sym___vectorcall] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_signed] = ACTIONS(1351),
    [anon_sym_unsigned] = ACTIONS(1351),
    [anon_sym_long] = ACTIONS(1351),
    [anon_sym_short] = ACTIONS(1351),
    [anon_sym_static] = ACTIONS(1351),
    [anon_sym_auto] = ACTIONS(1351),
    [anon_sym_register] = ACTIONS(1351),
    [anon_sym_inline] = ACTIONS(1351),
    [anon_sym___inline] = ACTIONS(1351),
    [anon_sym___inline__] = ACTIONS(1351),
    [anon_sym___forceinline] = ACTIONS(1351),
    [anon_sym_thread_local] = ACTIONS(1351),
    [anon_sym___thread] = ACTIONS(1351),
    [anon_sym_const] = ACTIONS(1351),
    [anon_sym_constexpr] = ACTIONS(1351),
    [anon_sym_volatile] = ACTIONS(1351),
    [anon_sym_restrict] = ACTIONS(1351),
    [anon_sym___restrict__] = ACTIONS(1351),
    [anon_sym__Atomic] = ACTIONS(1351),
    [anon_sym__Noreturn] = ACTIONS(1351),
    [anon_sym_noreturn] = ACTIONS(1351),
    [anon_sym_alignas] = ACTIONS(1351),
    [anon_sym__Alignas] = ACTIONS(1351),
    [sym_primitive_type] = ACTIONS(1351),
    [anon_sym_enum] = ACTIONS(1351),
    [anon_sym_struct] = ACTIONS(1351),
    [anon_sym_union] = ACTIONS(1351),
    [anon_sym_if] = ACTIONS(1351),
    [anon_sym_switch] = ACTIONS(1351),
    [anon_sym_case] = ACTIONS(1351),
    [anon_sym_default] = ACTIONS(1351),
    [anon_sym_while] = ACTIONS(1351),
    [anon_sym_do] = ACTIONS(1351),
    [anon_sym_for] = ACTIONS(1351),
    [anon_sym_return] = ACTIONS(1351),
    [anon_sym_break] = ACTIONS(1351),
    [anon_sym_continue] = ACTIONS(1351),
    [anon_sym_goto] = ACTIONS(1351),
    [anon_sym___try] = ACTIONS(1351),
    [anon_sym___leave] = ACTIONS(1351),
    [anon_sym_DASH_DASH] = ACTIONS(1353),
    [anon_sym_PLUS_PLUS] = ACTIONS(1353),
    [anon_sym_sizeof] = ACTIONS(1351),
    [anon_sym___alignof__] = ACTIONS(1351),
    [anon_sym___alignof] = ACTIONS(1351),
    [anon_sym__alignof] = ACTIONS(1351),
    [anon_sym_alignof] = ACTIONS(1351),
    [anon_sym__Alignof] = ACTIONS(1351),
    [anon_sym_offsetof] = ACTIONS(1351),
    [anon_sym__Generic] = ACTIONS(1351),
    [anon_sym_asm] = ACTIONS(1351),
    [anon_sym___asm__] = ACTIONS(1351),
    [sym_number_literal] = ACTIONS(1353),
    [anon_sym_L_SQUOTE] = ACTIONS(1353),
    [anon_sym_u_SQUOTE] = ACTIONS(1353),
    [anon_sym_U_SQUOTE] = ACTIONS(1353),
    [anon_sym_u8_SQUOTE] = ACTIONS(1353),
    [anon_sym_SQUOTE] = ACTIONS(1353),
    [anon_sym_L_DQUOTE] = ACTIONS(1353),
    [anon_sym_u_DQUOTE] = ACTIONS(1353),
    [anon_sym_U_DQUOTE] = ACTIONS(1353),
    [anon_sym_u8_DQUOTE] = ACTIONS(1353),
    [anon_sym_DQUOTE] = ACTIONS(1353),
    [sym_true] = ACTIONS(1351),
    [sym_false] = ACTIONS(1351),
    [anon_sym_NULL] = ACTIONS(1351),
    [anon_sym_nullptr] = ACTIONS(1351),
    [sym_comment] = ACTIONS(3),
  },
  [282] = {
    [sym_identifier] = ACTIONS(1263),
    [aux_sym_preproc_include_token1] = ACTIONS(1263),
    [aux_sym_preproc_def_token1] = ACTIONS(1263),
    [aux_sym_preproc_if_token1] = ACTIONS(1263),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1263),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1263),
    [sym_preproc_directive] = ACTIONS(1263),
    [anon_sym_LPAREN2] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1265),
    [anon_sym_TILDE] = ACTIONS(1265),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_STAR] = ACTIONS(1265),
    [anon_sym_AMP] = ACTIONS(1265),
    [anon_sym_SEMI] = ACTIONS(1265),
    [anon_sym___extension__] = ACTIONS(1263),
    [anon_sym_typedef] = ACTIONS(1263),
    [anon_sym_extern] = ACTIONS(1263),
    [anon_sym___attribute__] = ACTIONS(1263),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1265),
    [anon_sym___declspec] = ACTIONS(1263),
    [anon_sym___cdecl] = ACTIONS(1263),
    [anon_sym___clrcall] = ACTIONS(1263),
    [anon_sym___stdcall] = ACTIONS(1263),
    [anon_sym___fastcall] = ACTIONS(1263),
    [anon_sym___thiscall] = ACTIONS(1263),
    [anon_sym___vectorcall] = ACTIONS(1263),
    [anon_sym_LBRACE] = ACTIONS(1265),
    [anon_sym_RBRACE] = ACTIONS(1265),
    [anon_sym_signed] = ACTIONS(1263),
    [anon_sym_unsigned] = ACTIONS(1263),
    [anon_sym_long] = ACTIONS(1263),
    [anon_sym_short] = ACTIONS(1263),
    [anon_sym_static] = ACTIONS(1263),
    [anon_sym_auto] = ACTIONS(1263),
    [anon_sym_register] = ACTIONS(1263),
    [anon_sym_inline] = ACTIONS(1263),
    [anon_sym___inline] = ACTIONS(1263),
    [anon_sym___inline__] = ACTIONS(1263),
    [anon_sym___forceinline] = ACTIONS(1263),
    [anon_sym_thread_local] = ACTIONS(1263),
    [anon_sym___thread] = ACTIONS(1263),
    [anon_sym_const] = ACTIONS(1263),
    [anon_sym_constexpr] = ACTIONS(1263),
    [anon_sym_volatile] = ACTIONS(1263),
    [anon_sym_restrict] = ACTIONS(1263),
    [anon_sym___restrict__] = ACTIONS(1263),
    [anon_sym__Atomic] = ACTIONS(1263),
    [anon_sym__Noreturn] = ACTIONS(1263),
    [anon_sym_noreturn] = ACTIONS(1263),
    [anon_sym_alignas] = ACTIONS(1263),
    [anon_sym__Alignas] = ACTIONS(1263),
    [sym_primitive_type] = ACTIONS(1263),
    [anon_sym_enum] = ACTIONS(1263),
    [anon_sym_struct] = ACTIONS(1263),
    [anon_sym_union] = ACTIONS(1263),
    [anon_sym_if] = ACTIONS(1263),
    [anon_sym_switch] = ACTIONS(1263),
    [anon_sym_case] = ACTIONS(1263),
    [anon_sym_default] = ACTIONS(1263),
    [anon_sym_while] = ACTIONS(1263),
    [anon_sym_do] = ACTIONS(1263),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_return] = ACTIONS(1263),
    [anon_sym_break] = ACTIONS(1263),
    [anon_sym_continue] = ACTIONS(1263),
    [anon_sym_goto] = ACTIONS(1263),
    [anon_sym___try] = ACTIONS(1263),
    [anon_sym___leave] = ACTIONS(1263),
    [anon_sym_DASH_DASH] = ACTIONS(1265),
    [anon_sym_PLUS_PLUS] = ACTIONS(1265),
    [anon_sym_sizeof] = ACTIONS(1263),
    [anon_sym___alignof__] = ACTIONS(1263),
    [anon_sym___alignof] = ACTIONS(1263),
    [anon_sym__alignof] = ACTIONS(1263),
    [anon_sym_alignof] = ACTIONS(1263),
    [anon_sym__Alignof] = ACTIONS(1263),
    [anon_sym_offsetof] = ACTIONS(1263),
    [anon_sym__Generic] = ACTIONS(1263),
    [anon_sym_asm] = ACTIONS(1263),
    [anon_sym___asm__] = ACTIONS(1263),
    [sym_number_literal] = ACTIONS(1265),
    [anon_sym_L_SQUOTE] = ACTIONS(1265),
    [anon_sym_u_SQUOTE] = ACTIONS(1265),
    [anon_sym_U_SQUOTE] = ACTIONS(1265),
    [anon_sym_u8_SQUOTE] = ACTIONS(1265),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_L_DQUOTE] = ACTIONS(1265),
    [anon_sym_u_DQUOTE] = ACTIONS(1265),
    [anon_sym_U_DQUOTE] = ACTIONS(1265),
    [anon_sym_u8_DQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_true] = ACTIONS(1263),
    [sym_false] = ACTIONS(1263),
    [anon_sym_NULL] = ACTIONS(1263),
    [anon_sym_nullptr] = ACTIONS(1263),
    [sym_comment] = ACTIONS(3),
  },
  [283] = {
    [sym_identifier] = ACTIONS(1335),
    [aux_sym_preproc_include_token1] = ACTIONS(1335),
    [aux_sym_preproc_def_token1] = ACTIONS(1335),
    [aux_sym_preproc_if_token1] = ACTIONS(1335),
    [aux_sym_preproc_if_token2] = ACTIONS(1335),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1335),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1335),
    [sym_preproc_directive] = ACTIONS(1335),
    [anon_sym_LPAREN2] = ACTIONS(1337),
    [anon_sym_BANG] = ACTIONS(1337),
    [anon_sym_TILDE] = ACTIONS(1337),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_STAR] = ACTIONS(1337),
    [anon_sym_AMP] = ACTIONS(1337),
    [anon_sym_SEMI] = ACTIONS(1337),
    [anon_sym___extension__] = ACTIONS(1335),
    [anon_sym_typedef] = ACTIONS(1335),
    [anon_sym_extern] = ACTIONS(1335),
    [anon_sym___attribute__] = ACTIONS(1335),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1337),
    [anon_sym___declspec] = ACTIONS(1335),
    [anon_sym___cdecl] = ACTIONS(1335),
    [anon_sym___clrcall] = ACTIONS(1335),
    [anon_sym___stdcall] = ACTIONS(1335),
    [anon_sym___fastcall] = ACTIONS(1335),
    [anon_sym___thiscall] = ACTIONS(1335),
    [anon_sym___vectorcall] = ACTIONS(1335),
    [anon_sym_LBRACE] = ACTIONS(1337),
    [anon_sym_signed] = ACTIONS(1335),
    [anon_sym_unsigned] = ACTIONS(1335),
    [anon_sym_long] = ACTIONS(1335),
    [anon_sym_short] = ACTIONS(1335),
    [anon_sym_static] = ACTIONS(1335),
    [anon_sym_auto] = ACTIONS(1335),
    [anon_sym_register] = ACTIONS(1335),
    [anon_sym_inline] = ACTIONS(1335),
    [anon_sym___inline] = ACTIONS(1335),
    [anon_sym___inline__] = ACTIONS(1335),
    [anon_sym___forceinline] = ACTIONS(1335),
    [anon_sym_thread_local] = ACTIONS(1335),
    [anon_sym___thread] = ACTIONS(1335),
    [anon_sym_const] = ACTIONS(1335),
    [anon_sym_constexpr] = ACTIONS(1335),
    [anon_sym_volatile] = ACTIONS(1335),
    [anon_sym_restrict] = ACTIONS(1335),
    [anon_sym___restrict__] = ACTIONS(1335),
    [anon_sym__Atomic] = ACTIONS(1335),
    [anon_sym__Noreturn] = ACTIONS(1335),
    [anon_sym_noreturn] = ACTIONS(1335),
    [anon_sym_alignas] = ACTIONS(1335),
    [anon_sym__Alignas] = ACTIONS(1335),
    [sym_primitive_type] = ACTIONS(1335),
    [anon_sym_enum] = ACTIONS(1335),
    [anon_sym_struct] = ACTIONS(1335),
    [anon_sym_union] = ACTIONS(1335),
    [anon_sym_if] = ACTIONS(1335),
    [anon_sym_switch] = ACTIONS(1335),
    [anon_sym_case] = ACTIONS(1335),
    [anon_sym_default] = ACTIONS(1335),
    [anon_sym_while] = ACTIONS(1335),
    [anon_sym_do] = ACTIONS(1335),
    [anon_sym_for] = ACTIONS(1335),
    [anon_sym_return] = ACTIONS(1335),
    [anon_sym_break] = ACTIONS(1335),
    [anon_sym_continue] = ACTIONS(1335),
    [anon_sym_goto] = ACTIONS(1335),
    [anon_sym___try] = ACTIONS(1335),
    [anon_sym___leave] = ACTIONS(1335),
    [anon_sym_DASH_DASH] = ACTIONS(1337),
    [anon_sym_PLUS_PLUS] = ACTIONS(1337),
    [anon_sym_sizeof] = ACTIONS(1335),
    [anon_sym___alignof__] = ACTIONS(1335),
    [anon_sym___alignof] = ACTIONS(1335),
    [anon_sym__alignof] = ACTIONS(1335),
    [anon_sym_alignof] = ACTIONS(1335),
    [anon_sym__Alignof] = ACTIONS(1335),
    [anon_sym_offsetof] = ACTIONS(1335),
    [anon_sym__Generic] = ACTIONS(1335),
    [anon_sym_asm] = ACTIONS(1335),
    [anon_sym___asm__] = ACTIONS(1335),
    [sym_number_literal] = ACTIONS(1337),
    [anon_sym_L_SQUOTE] = ACTIONS(1337),
    [anon_sym_u_SQUOTE] = ACTIONS(1337),
    [anon_sym_U_SQUOTE] = ACTIONS(1337),
    [anon_sym_u8_SQUOTE] = ACTIONS(1337),
    [anon_sym_SQUOTE] = ACTIONS(1337),
    [anon_sym_L_DQUOTE] = ACTIONS(1337),
    [anon_sym_u_DQUOTE] = ACTIONS(1337),
    [anon_sym_U_DQUOTE] = ACTIONS(1337),
    [anon_sym_u8_DQUOTE] = ACTIONS(1337),
    [anon_sym_DQUOTE] = ACTIONS(1337),
    [sym_true] = ACTIONS(1335),
    [sym_false] = ACTIONS(1335),
    [anon_sym_NULL] = ACTIONS(1335),
    [anon_sym_nullptr] = ACTIONS(1335),
    [sym_comment] = ACTIONS(3),
  },
  [284] = {
    [sym_identifier] = ACTIONS(1263),
    [aux_sym_preproc_include_token1] = ACTIONS(1263),
    [aux_sym_preproc_def_token1] = ACTIONS(1263),
    [aux_sym_preproc_if_token1] = ACTIONS(1263),
    [aux_sym_preproc_if_token2] = ACTIONS(1263),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1263),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1263),
    [sym_preproc_directive] = ACTIONS(1263),
    [anon_sym_LPAREN2] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1265),
    [anon_sym_TILDE] = ACTIONS(1265),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_STAR] = ACTIONS(1265),
    [anon_sym_AMP] = ACTIONS(1265),
    [anon_sym_SEMI] = ACTIONS(1265),
    [anon_sym___extension__] = ACTIONS(1263),
    [anon_sym_typedef] = ACTIONS(1263),
    [anon_sym_extern] = ACTIONS(1263),
    [anon_sym___attribute__] = ACTIONS(1263),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1265),
    [anon_sym___declspec] = ACTIONS(1263),
    [anon_sym___cdecl] = ACTIONS(1263),
    [anon_sym___clrcall] = ACTIONS(1263),
    [anon_sym___stdcall] = ACTIONS(1263),
    [anon_sym___fastcall] = ACTIONS(1263),
    [anon_sym___thiscall] = ACTIONS(1263),
    [anon_sym___vectorcall] = ACTIONS(1263),
    [anon_sym_LBRACE] = ACTIONS(1265),
    [anon_sym_signed] = ACTIONS(1263),
    [anon_sym_unsigned] = ACTIONS(1263),
    [anon_sym_long] = ACTIONS(1263),
    [anon_sym_short] = ACTIONS(1263),
    [anon_sym_static] = ACTIONS(1263),
    [anon_sym_auto] = ACTIONS(1263),
    [anon_sym_register] = ACTIONS(1263),
    [anon_sym_inline] = ACTIONS(1263),
    [anon_sym___inline] = ACTIONS(1263),
    [anon_sym___inline__] = ACTIONS(1263),
    [anon_sym___forceinline] = ACTIONS(1263),
    [anon_sym_thread_local] = ACTIONS(1263),
    [anon_sym___thread] = ACTIONS(1263),
    [anon_sym_const] = ACTIONS(1263),
    [anon_sym_constexpr] = ACTIONS(1263),
    [anon_sym_volatile] = ACTIONS(1263),
    [anon_sym_restrict] = ACTIONS(1263),
    [anon_sym___restrict__] = ACTIONS(1263),
    [anon_sym__Atomic] = ACTIONS(1263),
    [anon_sym__Noreturn] = ACTIONS(1263),
    [anon_sym_noreturn] = ACTIONS(1263),
    [anon_sym_alignas] = ACTIONS(1263),
    [anon_sym__Alignas] = ACTIONS(1263),
    [sym_primitive_type] = ACTIONS(1263),
    [anon_sym_enum] = ACTIONS(1263),
    [anon_sym_struct] = ACTIONS(1263),
    [anon_sym_union] = ACTIONS(1263),
    [anon_sym_if] = ACTIONS(1263),
    [anon_sym_switch] = ACTIONS(1263),
    [anon_sym_case] = ACTIONS(1263),
    [anon_sym_default] = ACTIONS(1263),
    [anon_sym_while] = ACTIONS(1263),
    [anon_sym_do] = ACTIONS(1263),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_return] = ACTIONS(1263),
    [anon_sym_break] = ACTIONS(1263),
    [anon_sym_continue] = ACTIONS(1263),
    [anon_sym_goto] = ACTIONS(1263),
    [anon_sym___try] = ACTIONS(1263),
    [anon_sym___leave] = ACTIONS(1263),
    [anon_sym_DASH_DASH] = ACTIONS(1265),
    [anon_sym_PLUS_PLUS] = ACTIONS(1265),
    [anon_sym_sizeof] = ACTIONS(1263),
    [anon_sym___alignof__] = ACTIONS(1263),
    [anon_sym___alignof] = ACTIONS(1263),
    [anon_sym__alignof] = ACTIONS(1263),
    [anon_sym_alignof] = ACTIONS(1263),
    [anon_sym__Alignof] = ACTIONS(1263),
    [anon_sym_offsetof] = ACTIONS(1263),
    [anon_sym__Generic] = ACTIONS(1263),
    [anon_sym_asm] = ACTIONS(1263),
    [anon_sym___asm__] = ACTIONS(1263),
    [sym_number_literal] = ACTIONS(1265),
    [anon_sym_L_SQUOTE] = ACTIONS(1265),
    [anon_sym_u_SQUOTE] = ACTIONS(1265),
    [anon_sym_U_SQUOTE] = ACTIONS(1265),
    [anon_sym_u8_SQUOTE] = ACTIONS(1265),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_L_DQUOTE] = ACTIONS(1265),
    [anon_sym_u_DQUOTE] = ACTIONS(1265),
    [anon_sym_U_DQUOTE] = ACTIONS(1265),
    [anon_sym_u8_DQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_true] = ACTIONS(1263),
    [sym_false] = ACTIONS(1263),
    [anon_sym_NULL] = ACTIONS(1263),
    [anon_sym_nullptr] = ACTIONS(1263),
    [sym_comment] = ACTIONS(3),
  },
  [285] = {
    [sym_identifier] = ACTIONS(1299),
    [aux_sym_preproc_include_token1] = ACTIONS(1299),
    [aux_sym_preproc_def_token1] = ACTIONS(1299),
    [aux_sym_preproc_if_token1] = ACTIONS(1299),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1299),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1299),
    [sym_preproc_directive] = ACTIONS(1299),
    [anon_sym_LPAREN2] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(1301),
    [anon_sym_TILDE] = ACTIONS(1301),
    [anon_sym_DASH] = ACTIONS(1299),
    [anon_sym_PLUS] = ACTIONS(1299),
    [anon_sym_STAR] = ACTIONS(1301),
    [anon_sym_AMP] = ACTIONS(1301),
    [anon_sym_SEMI] = ACTIONS(1301),
    [anon_sym___extension__] = ACTIONS(1299),
    [anon_sym_typedef] = ACTIONS(1299),
    [anon_sym_extern] = ACTIONS(1299),
    [anon_sym___attribute__] = ACTIONS(1299),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1301),
    [anon_sym___declspec] = ACTIONS(1299),
    [anon_sym___cdecl] = ACTIONS(1299),
    [anon_sym___clrcall] = ACTIONS(1299),
    [anon_sym___stdcall] = ACTIONS(1299),
    [anon_sym___fastcall] = ACTIONS(1299),
    [anon_sym___thiscall] = ACTIONS(1299),
    [anon_sym___vectorcall] = ACTIONS(1299),
    [anon_sym_LBRACE] = ACTIONS(1301),
    [anon_sym_RBRACE] = ACTIONS(1301),
    [anon_sym_signed] = ACTIONS(1299),
    [anon_sym_unsigned] = ACTIONS(1299),
    [anon_sym_long] = ACTIONS(1299),
    [anon_sym_short] = ACTIONS(1299),
    [anon_sym_static] = ACTIONS(1299),
    [anon_sym_auto] = ACTIONS(1299),
    [anon_sym_register] = ACTIONS(1299),
    [anon_sym_inline] = ACTIONS(1299),
    [anon_sym___inline] = ACTIONS(1299),
    [anon_sym___inline__] = ACTIONS(1299),
    [anon_sym___forceinline] = ACTIONS(1299),
    [anon_sym_thread_local] = ACTIONS(1299),
    [anon_sym___thread] = ACTIONS(1299),
    [anon_sym_const] = ACTIONS(1299),
    [anon_sym_constexpr] = ACTIONS(1299),
    [anon_sym_volatile] = ACTIONS(1299),
    [anon_sym_restrict] = ACTIONS(1299),
    [anon_sym___restrict__] = ACTIONS(1299),
    [anon_sym__Atomic] = ACTIONS(1299),
    [anon_sym__Noreturn] = ACTIONS(1299),
    [anon_sym_noreturn] = ACTIONS(1299),
    [anon_sym_alignas] = ACTIONS(1299),
    [anon_sym__Alignas] = ACTIONS(1299),
    [sym_primitive_type] = ACTIONS(1299),
    [anon_sym_enum] = ACTIONS(1299),
    [anon_sym_struct] = ACTIONS(1299),
    [anon_sym_union] = ACTIONS(1299),
    [anon_sym_if] = ACTIONS(1299),
    [anon_sym_switch] = ACTIONS(1299),
    [anon_sym_case] = ACTIONS(1299),
    [anon_sym_default] = ACTIONS(1299),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_do] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_return] = ACTIONS(1299),
    [anon_sym_break] = ACTIONS(1299),
    [anon_sym_continue] = ACTIONS(1299),
    [anon_sym_goto] = ACTIONS(1299),
    [anon_sym___try] = ACTIONS(1299),
    [anon_sym___leave] = ACTIONS(1299),
    [anon_sym_DASH_DASH] = ACTIONS(1301),
    [anon_sym_PLUS_PLUS] = ACTIONS(1301),
    [anon_sym_sizeof] = ACTIONS(1299),
    [anon_sym___alignof__] = ACTIONS(1299),
    [anon_sym___alignof] = ACTIONS(1299),
    [anon_sym__alignof] = ACTIONS(1299),
    [anon_sym_alignof] = ACTIONS(1299),
    [anon_sym__Alignof] = ACTIONS(1299),
    [anon_sym_offsetof] = ACTIONS(1299),
    [anon_sym__Generic] = ACTIONS(1299),
    [anon_sym_asm] = ACTIONS(1299),
    [anon_sym___asm__] = ACTIONS(1299),
    [sym_number_literal] = ACTIONS(1301),
    [anon_sym_L_SQUOTE] = ACTIONS(1301),
    [anon_sym_u_SQUOTE] = ACTIONS(1301),
    [anon_sym_U_SQUOTE] = ACTIONS(1301),
    [anon_sym_u8_SQUOTE] = ACTIONS(1301),
    [anon_sym_SQUOTE] = ACTIONS(1301),
    [anon_sym_L_DQUOTE] = ACTIONS(1301),
    [anon_sym_u_DQUOTE] = ACTIONS(1301),
    [anon_sym_U_DQUOTE] = ACTIONS(1301),
    [anon_sym_u8_DQUOTE] = ACTIONS(1301),
    [anon_sym_DQUOTE] = ACTIONS(1301),
    [sym_true] = ACTIONS(1299),
    [sym_false] = ACTIONS(1299),
    [anon_sym_NULL] = ACTIONS(1299),
    [anon_sym_nullptr] = ACTIONS(1299),
    [sym_comment] = ACTIONS(3),
  },
  [286] = {
    [sym_identifier] = ACTIONS(1365),
    [aux_sym_preproc_include_token1] = ACTIONS(1365),
    [aux_sym_preproc_def_token1] = ACTIONS(1365),
    [aux_sym_preproc_if_token1] = ACTIONS(1365),
    [aux_sym_preproc_if_token2] = ACTIONS(1365),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1365),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1365),
    [sym_preproc_directive] = ACTIONS(1365),
    [anon_sym_LPAREN2] = ACTIONS(1367),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_TILDE] = ACTIONS(1367),
    [anon_sym_DASH] = ACTIONS(1365),
    [anon_sym_PLUS] = ACTIONS(1365),
    [anon_sym_STAR] = ACTIONS(1367),
    [anon_sym_AMP] = ACTIONS(1367),
    [anon_sym_SEMI] = ACTIONS(1367),
    [anon_sym___extension__] = ACTIONS(1365),
    [anon_sym_typedef] = ACTIONS(1365),
    [anon_sym_extern] = ACTIONS(1365),
    [anon_sym___attribute__] = ACTIONS(1365),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1367),
    [anon_sym___declspec] = ACTIONS(1365),
    [anon_sym___cdecl] = ACTIONS(1365),
    [anon_sym___clrcall] = ACTIONS(1365),
    [anon_sym___stdcall] = ACTIONS(1365),
    [anon_sym___fastcall] = ACTIONS(1365),
    [anon_sym___thiscall] = ACTIONS(1365),
    [anon_sym___vectorcall] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym_signed] = ACTIONS(1365),
    [anon_sym_unsigned] = ACTIONS(1365),
    [anon_sym_long] = ACTIONS(1365),
    [anon_sym_short] = ACTIONS(1365),
    [anon_sym_static] = ACTIONS(1365),
    [anon_sym_auto] = ACTIONS(1365),
    [anon_sym_register] = ACTIONS(1365),
    [anon_sym_inline] = ACTIONS(1365),
    [anon_sym___inline] = ACTIONS(1365),
    [anon_sym___inline__] = ACTIONS(1365),
    [anon_sym___forceinline] = ACTIONS(1365),
    [anon_sym_thread_local] = ACTIONS(1365),
    [anon_sym___thread] = ACTIONS(1365),
    [anon_sym_const] = ACTIONS(1365),
    [anon_sym_constexpr] = ACTIONS(1365),
    [anon_sym_volatile] = ACTIONS(1365),
    [anon_sym_restrict] = ACTIONS(1365),
    [anon_sym___restrict__] = ACTIONS(1365),
    [anon_sym__Atomic] = ACTIONS(1365),
    [anon_sym__Noreturn] = ACTIONS(1365),
    [anon_sym_noreturn] = ACTIONS(1365),
    [anon_sym_alignas] = ACTIONS(1365),
    [anon_sym__Alignas] = ACTIONS(1365),
    [sym_primitive_type] = ACTIONS(1365),
    [anon_sym_enum] = ACTIONS(1365),
    [anon_sym_struct] = ACTIONS(1365),
    [anon_sym_union] = ACTIONS(1365),
    [anon_sym_if] = ACTIONS(1365),
    [anon_sym_switch] = ACTIONS(1365),
    [anon_sym_case] = ACTIONS(1365),
    [anon_sym_default] = ACTIONS(1365),
    [anon_sym_while] = ACTIONS(1365),
    [anon_sym_do] = ACTIONS(1365),
    [anon_sym_for] = ACTIONS(1365),
    [anon_sym_return] = ACTIONS(1365),
    [anon_sym_break] = ACTIONS(1365),
    [anon_sym_continue] = ACTIONS(1365),
    [anon_sym_goto] = ACTIONS(1365),
    [anon_sym___try] = ACTIONS(1365),
    [anon_sym___leave] = ACTIONS(1365),
    [anon_sym_DASH_DASH] = ACTIONS(1367),
    [anon_sym_PLUS_PLUS] = ACTIONS(1367),
    [anon_sym_sizeof] = ACTIONS(1365),
    [anon_sym___alignof__] = ACTIONS(1365),
    [anon_sym___alignof] = ACTIONS(1365),
    [anon_sym__alignof] = ACTIONS(1365),
    [anon_sym_alignof] = ACTIONS(1365),
    [anon_sym__Alignof] = ACTIONS(1365),
    [anon_sym_offsetof] = ACTIONS(1365),
    [anon_sym__Generic] = ACTIONS(1365),
    [anon_sym_asm] = ACTIONS(1365),
    [anon_sym___asm__] = ACTIONS(1365),
    [sym_number_literal] = ACTIONS(1367),
    [anon_sym_L_SQUOTE] = ACTIONS(1367),
    [anon_sym_u_SQUOTE] = ACTIONS(1367),
    [anon_sym_U_SQUOTE] = ACTIONS(1367),
    [anon_sym_u8_SQUOTE] = ACTIONS(1367),
    [anon_sym_SQUOTE] = ACTIONS(1367),
    [anon_sym_L_DQUOTE] = ACTIONS(1367),
    [anon_sym_u_DQUOTE] = ACTIONS(1367),
    [anon_sym_U_DQUOTE] = ACTIONS(1367),
    [anon_sym_u8_DQUOTE] = ACTIONS(1367),
    [anon_sym_DQUOTE] = ACTIONS(1367),
    [sym_true] = ACTIONS(1365),
    [sym_false] = ACTIONS(1365),
    [anon_sym_NULL] = ACTIONS(1365),
    [anon_sym_nullptr] = ACTIONS(1365),
    [sym_comment] = ACTIONS(3),
  },
  [287] = {
    [sym_identifier] = ACTIONS(1303),
    [aux_sym_preproc_include_token1] = ACTIONS(1303),
    [aux_sym_preproc_def_token1] = ACTIONS(1303),
    [aux_sym_preproc_if_token1] = ACTIONS(1303),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1303),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1303),
    [sym_preproc_directive] = ACTIONS(1303),
    [anon_sym_LPAREN2] = ACTIONS(1305),
    [anon_sym_BANG] = ACTIONS(1305),
    [anon_sym_TILDE] = ACTIONS(1305),
    [anon_sym_DASH] = ACTIONS(1303),
    [anon_sym_PLUS] = ACTIONS(1303),
    [anon_sym_STAR] = ACTIONS(1305),
    [anon_sym_AMP] = ACTIONS(1305),
    [anon_sym_SEMI] = ACTIONS(1305),
    [anon_sym___extension__] = ACTIONS(1303),
    [anon_sym_typedef] = ACTIONS(1303),
    [anon_sym_extern] = ACTIONS(1303),
    [anon_sym___attribute__] = ACTIONS(1303),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1305),
    [anon_sym___declspec] = ACTIONS(1303),
    [anon_sym___cdecl] = ACTIONS(1303),
    [anon_sym___clrcall] = ACTIONS(1303),
    [anon_sym___stdcall] = ACTIONS(1303),
    [anon_sym___fastcall] = ACTIONS(1303),
    [anon_sym___thiscall] = ACTIONS(1303),
    [anon_sym___vectorcall] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1305),
    [anon_sym_RBRACE] = ACTIONS(1305),
    [anon_sym_signed] = ACTIONS(1303),
    [anon_sym_unsigned] = ACTIONS(1303),
    [anon_sym_long] = ACTIONS(1303),
    [anon_sym_short] = ACTIONS(1303),
    [anon_sym_static] = ACTIONS(1303),
    [anon_sym_auto] = ACTIONS(1303),
    [anon_sym_register] = ACTIONS(1303),
    [anon_sym_inline] = ACTIONS(1303),
    [anon_sym___inline] = ACTIONS(1303),
    [anon_sym___inline__] = ACTIONS(1303),
    [anon_sym___forceinline] = ACTIONS(1303),
    [anon_sym_thread_local] = ACTIONS(1303),
    [anon_sym___thread] = ACTIONS(1303),
    [anon_sym_const] = ACTIONS(1303),
    [anon_sym_constexpr] = ACTIONS(1303),
    [anon_sym_volatile] = ACTIONS(1303),
    [anon_sym_restrict] = ACTIONS(1303),
    [anon_sym___restrict__] = ACTIONS(1303),
    [anon_sym__Atomic] = ACTIONS(1303),
    [anon_sym__Noreturn] = ACTIONS(1303),
    [anon_sym_noreturn] = ACTIONS(1303),
    [anon_sym_alignas] = ACTIONS(1303),
    [anon_sym__Alignas] = ACTIONS(1303),
    [sym_primitive_type] = ACTIONS(1303),
    [anon_sym_enum] = ACTIONS(1303),
    [anon_sym_struct] = ACTIONS(1303),
    [anon_sym_union] = ACTIONS(1303),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_switch] = ACTIONS(1303),
    [anon_sym_case] = ACTIONS(1303),
    [anon_sym_default] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1303),
    [anon_sym_do] = ACTIONS(1303),
    [anon_sym_for] = ACTIONS(1303),
    [anon_sym_return] = ACTIONS(1303),
    [anon_sym_break] = ACTIONS(1303),
    [anon_sym_continue] = ACTIONS(1303),
    [anon_sym_goto] = ACTIONS(1303),
    [anon_sym___try] = ACTIONS(1303),
    [anon_sym___leave] = ACTIONS(1303),
    [anon_sym_DASH_DASH] = ACTIONS(1305),
    [anon_sym_PLUS_PLUS] = ACTIONS(1305),
    [anon_sym_sizeof] = ACTIONS(1303),
    [anon_sym___alignof__] = ACTIONS(1303),
    [anon_sym___alignof] = ACTIONS(1303),
    [anon_sym__alignof] = ACTIONS(1303),
    [anon_sym_alignof] = ACTIONS(1303),
    [anon_sym__Alignof] = ACTIONS(1303),
    [anon_sym_offsetof] = ACTIONS(1303),
    [anon_sym__Generic] = ACTIONS(1303),
    [anon_sym_asm] = ACTIONS(1303),
    [anon_sym___asm__] = ACTIONS(1303),
    [sym_number_literal] = ACTIONS(1305),
    [anon_sym_L_SQUOTE] = ACTIONS(1305),
    [anon_sym_u_SQUOTE] = ACTIONS(1305),
    [anon_sym_U_SQUOTE] = ACTIONS(1305),
    [anon_sym_u8_SQUOTE] = ACTIONS(1305),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [anon_sym_L_DQUOTE] = ACTIONS(1305),
    [anon_sym_u_DQUOTE] = ACTIONS(1305),
    [anon_sym_U_DQUOTE] = ACTIONS(1305),
    [anon_sym_u8_DQUOTE] = ACTIONS(1305),
    [anon_sym_DQUOTE] = ACTIONS(1305),
    [sym_true] = ACTIONS(1303),
    [sym_false] = ACTIONS(1303),
    [anon_sym_NULL] = ACTIONS(1303),
    [anon_sym_nullptr] = ACTIONS(1303),
    [sym_comment] = ACTIONS(3),
  },
  [288] = {
    [sym_identifier] = ACTIONS(1361),
    [aux_sym_preproc_include_token1] = ACTIONS(1361),
    [aux_sym_preproc_def_token1] = ACTIONS(1361),
    [aux_sym_preproc_if_token1] = ACTIONS(1361),
    [aux_sym_preproc_if_token2] = ACTIONS(1361),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1361),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1361),
    [sym_preproc_directive] = ACTIONS(1361),
    [anon_sym_LPAREN2] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_TILDE] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_AMP] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1363),
    [anon_sym___extension__] = ACTIONS(1361),
    [anon_sym_typedef] = ACTIONS(1361),
    [anon_sym_extern] = ACTIONS(1361),
    [anon_sym___attribute__] = ACTIONS(1361),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1363),
    [anon_sym___declspec] = ACTIONS(1361),
    [anon_sym___cdecl] = ACTIONS(1361),
    [anon_sym___clrcall] = ACTIONS(1361),
    [anon_sym___stdcall] = ACTIONS(1361),
    [anon_sym___fastcall] = ACTIONS(1361),
    [anon_sym___thiscall] = ACTIONS(1361),
    [anon_sym___vectorcall] = ACTIONS(1361),
    [anon_sym_LBRACE] = ACTIONS(1363),
    [anon_sym_signed] = ACTIONS(1361),
    [anon_sym_unsigned] = ACTIONS(1361),
    [anon_sym_long] = ACTIONS(1361),
    [anon_sym_short] = ACTIONS(1361),
    [anon_sym_static] = ACTIONS(1361),
    [anon_sym_auto] = ACTIONS(1361),
    [anon_sym_register] = ACTIONS(1361),
    [anon_sym_inline] = ACTIONS(1361),
    [anon_sym___inline] = ACTIONS(1361),
    [anon_sym___inline__] = ACTIONS(1361),
    [anon_sym___forceinline] = ACTIONS(1361),
    [anon_sym_thread_local] = ACTIONS(1361),
    [anon_sym___thread] = ACTIONS(1361),
    [anon_sym_const] = ACTIONS(1361),
    [anon_sym_constexpr] = ACTIONS(1361),
    [anon_sym_volatile] = ACTIONS(1361),
    [anon_sym_restrict] = ACTIONS(1361),
    [anon_sym___restrict__] = ACTIONS(1361),
    [anon_sym__Atomic] = ACTIONS(1361),
    [anon_sym__Noreturn] = ACTIONS(1361),
    [anon_sym_noreturn] = ACTIONS(1361),
    [anon_sym_alignas] = ACTIONS(1361),
    [anon_sym__Alignas] = ACTIONS(1361),
    [sym_primitive_type] = ACTIONS(1361),
    [anon_sym_enum] = ACTIONS(1361),
    [anon_sym_struct] = ACTIONS(1361),
    [anon_sym_union] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_switch] = ACTIONS(1361),
    [anon_sym_case] = ACTIONS(1361),
    [anon_sym_default] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1361),
    [anon_sym_do] = ACTIONS(1361),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_return] = ACTIONS(1361),
    [anon_sym_break] = ACTIONS(1361),
    [anon_sym_continue] = ACTIONS(1361),
    [anon_sym_goto] = ACTIONS(1361),
    [anon_sym___try] = ACTIONS(1361),
    [anon_sym___leave] = ACTIONS(1361),
    [anon_sym_DASH_DASH] = ACTIONS(1363),
    [anon_sym_PLUS_PLUS] = ACTIONS(1363),
    [anon_sym_sizeof] = ACTIONS(1361),
    [anon_sym___alignof__] = ACTIONS(1361),
    [anon_sym___alignof] = ACTIONS(1361),
    [anon_sym__alignof] = ACTIONS(1361),
    [anon_sym_alignof] = ACTIONS(1361),
    [anon_sym__Alignof] = ACTIONS(1361),
    [anon_sym_offsetof] = ACTIONS(1361),
    [anon_sym__Generic] = ACTIONS(1361),
    [anon_sym_asm] = ACTIONS(1361),
    [anon_sym___asm__] = ACTIONS(1361),
    [sym_number_literal] = ACTIONS(1363),
    [anon_sym_L_SQUOTE] = ACTIONS(1363),
    [anon_sym_u_SQUOTE] = ACTIONS(1363),
    [anon_sym_U_SQUOTE] = ACTIONS(1363),
    [anon_sym_u8_SQUOTE] = ACTIONS(1363),
    [anon_sym_SQUOTE] = ACTIONS(1363),
    [anon_sym_L_DQUOTE] = ACTIONS(1363),
    [anon_sym_u_DQUOTE] = ACTIONS(1363),
    [anon_sym_U_DQUOTE] = ACTIONS(1363),
    [anon_sym_u8_DQUOTE] = ACTIONS(1363),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_true] = ACTIONS(1361),
    [sym_false] = ACTIONS(1361),
    [anon_sym_NULL] = ACTIONS(1361),
    [anon_sym_nullptr] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
  },
  [289] = {
    [sym_identifier] = ACTIONS(1283),
    [aux_sym_preproc_include_token1] = ACTIONS(1283),
    [aux_sym_preproc_def_token1] = ACTIONS(1283),
    [aux_sym_preproc_if_token1] = ACTIONS(1283),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1283),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1283),
    [sym_preproc_directive] = ACTIONS(1283),
    [anon_sym_LPAREN2] = ACTIONS(1285),
    [anon_sym_BANG] = ACTIONS(1285),
    [anon_sym_TILDE] = ACTIONS(1285),
    [anon_sym_DASH] = ACTIONS(1283),
    [anon_sym_PLUS] = ACTIONS(1283),
    [anon_sym_STAR] = ACTIONS(1285),
    [anon_sym_AMP] = ACTIONS(1285),
    [anon_sym_SEMI] = ACTIONS(1285),
    [anon_sym___extension__] = ACTIONS(1283),
    [anon_sym_typedef] = ACTIONS(1283),
    [anon_sym_extern] = ACTIONS(1283),
    [anon_sym___attribute__] = ACTIONS(1283),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1285),
    [anon_sym___declspec] = ACTIONS(1283),
    [anon_sym___cdecl] = ACTIONS(1283),
    [anon_sym___clrcall] = ACTIONS(1283),
    [anon_sym___stdcall] = ACTIONS(1283),
    [anon_sym___fastcall] = ACTIONS(1283),
    [anon_sym___thiscall] = ACTIONS(1283),
    [anon_sym___vectorcall] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_RBRACE] = ACTIONS(1285),
    [anon_sym_signed] = ACTIONS(1283),
    [anon_sym_unsigned] = ACTIONS(1283),
    [anon_sym_long] = ACTIONS(1283),
    [anon_sym_short] = ACTIONS(1283),
    [anon_sym_static] = ACTIONS(1283),
    [anon_sym_auto] = ACTIONS(1283),
    [anon_sym_register] = ACTIONS(1283),
    [anon_sym_inline] = ACTIONS(1283),
    [anon_sym___inline] = ACTIONS(1283),
    [anon_sym___inline__] = ACTIONS(1283),
    [anon_sym___forceinline] = ACTIONS(1283),
    [anon_sym_thread_local] = ACTIONS(1283),
    [anon_sym___thread] = ACTIONS(1283),
    [anon_sym_const] = ACTIONS(1283),
    [anon_sym_constexpr] = ACTIONS(1283),
    [anon_sym_volatile] = ACTIONS(1283),
    [anon_sym_restrict] = ACTIONS(1283),
    [anon_sym___restrict__] = ACTIONS(1283),
    [anon_sym__Atomic] = ACTIONS(1283),
    [anon_sym__Noreturn] = ACTIONS(1283),
    [anon_sym_noreturn] = ACTIONS(1283),
    [anon_sym_alignas] = ACTIONS(1283),
    [anon_sym__Alignas] = ACTIONS(1283),
    [sym_primitive_type] = ACTIONS(1283),
    [anon_sym_enum] = ACTIONS(1283),
    [anon_sym_struct] = ACTIONS(1283),
    [anon_sym_union] = ACTIONS(1283),
    [anon_sym_if] = ACTIONS(1283),
    [anon_sym_switch] = ACTIONS(1283),
    [anon_sym_case] = ACTIONS(1283),
    [anon_sym_default] = ACTIONS(1283),
    [anon_sym_while] = ACTIONS(1283),
    [anon_sym_do] = ACTIONS(1283),
    [anon_sym_for] = ACTIONS(1283),
    [anon_sym_return] = ACTIONS(1283),
    [anon_sym_break] = ACTIONS(1283),
    [anon_sym_continue] = ACTIONS(1283),
    [anon_sym_goto] = ACTIONS(1283),
    [anon_sym___try] = ACTIONS(1283),
    [anon_sym___leave] = ACTIONS(1283),
    [anon_sym_DASH_DASH] = ACTIONS(1285),
    [anon_sym_PLUS_PLUS] = ACTIONS(1285),
    [anon_sym_sizeof] = ACTIONS(1283),
    [anon_sym___alignof__] = ACTIONS(1283),
    [anon_sym___alignof] = ACTIONS(1283),
    [anon_sym__alignof] = ACTIONS(1283),
    [anon_sym_alignof] = ACTIONS(1283),
    [anon_sym__Alignof] = ACTIONS(1283),
    [anon_sym_offsetof] = ACTIONS(1283),
    [anon_sym__Generic] = ACTIONS(1283),
    [anon_sym_asm] = ACTIONS(1283),
    [anon_sym___asm__] = ACTIONS(1283),
    [sym_number_literal] = ACTIONS(1285),
    [anon_sym_L_SQUOTE] = ACTIONS(1285),
    [anon_sym_u_SQUOTE] = ACTIONS(1285),
    [anon_sym_U_SQUOTE] = ACTIONS(1285),
    [anon_sym_u8_SQUOTE] = ACTIONS(1285),
    [anon_sym_SQUOTE] = ACTIONS(1285),
    [anon_sym_L_DQUOTE] = ACTIONS(1285),
    [anon_sym_u_DQUOTE] = ACTIONS(1285),
    [anon_sym_U_DQUOTE] = ACTIONS(1285),
    [anon_sym_u8_DQUOTE] = ACTIONS(1285),
    [anon_sym_DQUOTE] = ACTIONS(1285),
    [sym_true] = ACTIONS(1283),
    [sym_false] = ACTIONS(1283),
    [anon_sym_NULL] = ACTIONS(1283),
    [anon_sym_nullptr] = ACTIONS(1283),
    [sym_comment] = ACTIONS(3),
  },
  [290] = {
    [sym_identifier] = ACTIONS(1365),
    [aux_sym_preproc_include_token1] = ACTIONS(1365),
    [aux_sym_preproc_def_token1] = ACTIONS(1365),
    [aux_sym_preproc_if_token1] = ACTIONS(1365),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1365),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1365),
    [sym_preproc_directive] = ACTIONS(1365),
    [anon_sym_LPAREN2] = ACTIONS(1367),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_TILDE] = ACTIONS(1367),
    [anon_sym_DASH] = ACTIONS(1365),
    [anon_sym_PLUS] = ACTIONS(1365),
    [anon_sym_STAR] = ACTIONS(1367),
    [anon_sym_AMP] = ACTIONS(1367),
    [anon_sym_SEMI] = ACTIONS(1367),
    [anon_sym___extension__] = ACTIONS(1365),
    [anon_sym_typedef] = ACTIONS(1365),
    [anon_sym_extern] = ACTIONS(1365),
    [anon_sym___attribute__] = ACTIONS(1365),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1367),
    [anon_sym___declspec] = ACTIONS(1365),
    [anon_sym___cdecl] = ACTIONS(1365),
    [anon_sym___clrcall] = ACTIONS(1365),
    [anon_sym___stdcall] = ACTIONS(1365),
    [anon_sym___fastcall] = ACTIONS(1365),
    [anon_sym___thiscall] = ACTIONS(1365),
    [anon_sym___vectorcall] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym_RBRACE] = ACTIONS(1367),
    [anon_sym_signed] = ACTIONS(1365),
    [anon_sym_unsigned] = ACTIONS(1365),
    [anon_sym_long] = ACTIONS(1365),
    [anon_sym_short] = ACTIONS(1365),
    [anon_sym_static] = ACTIONS(1365),
    [anon_sym_auto] = ACTIONS(1365),
    [anon_sym_register] = ACTIONS(1365),
    [anon_sym_inline] = ACTIONS(1365),
    [anon_sym___inline] = ACTIONS(1365),
    [anon_sym___inline__] = ACTIONS(1365),
    [anon_sym___forceinline] = ACTIONS(1365),
    [anon_sym_thread_local] = ACTIONS(1365),
    [anon_sym___thread] = ACTIONS(1365),
    [anon_sym_const] = ACTIONS(1365),
    [anon_sym_constexpr] = ACTIONS(1365),
    [anon_sym_volatile] = ACTIONS(1365),
    [anon_sym_restrict] = ACTIONS(1365),
    [anon_sym___restrict__] = ACTIONS(1365),
    [anon_sym__Atomic] = ACTIONS(1365),
    [anon_sym__Noreturn] = ACTIONS(1365),
    [anon_sym_noreturn] = ACTIONS(1365),
    [anon_sym_alignas] = ACTIONS(1365),
    [anon_sym__Alignas] = ACTIONS(1365),
    [sym_primitive_type] = ACTIONS(1365),
    [anon_sym_enum] = ACTIONS(1365),
    [anon_sym_struct] = ACTIONS(1365),
    [anon_sym_union] = ACTIONS(1365),
    [anon_sym_if] = ACTIONS(1365),
    [anon_sym_switch] = ACTIONS(1365),
    [anon_sym_case] = ACTIONS(1365),
    [anon_sym_default] = ACTIONS(1365),
    [anon_sym_while] = ACTIONS(1365),
    [anon_sym_do] = ACTIONS(1365),
    [anon_sym_for] = ACTIONS(1365),
    [anon_sym_return] = ACTIONS(1365),
    [anon_sym_break] = ACTIONS(1365),
    [anon_sym_continue] = ACTIONS(1365),
    [anon_sym_goto] = ACTIONS(1365),
    [anon_sym___try] = ACTIONS(1365),
    [anon_sym___leave] = ACTIONS(1365),
    [anon_sym_DASH_DASH] = ACTIONS(1367),
    [anon_sym_PLUS_PLUS] = ACTIONS(1367),
    [anon_sym_sizeof] = ACTIONS(1365),
    [anon_sym___alignof__] = ACTIONS(1365),
    [anon_sym___alignof] = ACTIONS(1365),
    [anon_sym__alignof] = ACTIONS(1365),
    [anon_sym_alignof] = ACTIONS(1365),
    [anon_sym__Alignof] = ACTIONS(1365),
    [anon_sym_offsetof] = ACTIONS(1365),
    [anon_sym__Generic] = ACTIONS(1365),
    [anon_sym_asm] = ACTIONS(1365),
    [anon_sym___asm__] = ACTIONS(1365),
    [sym_number_literal] = ACTIONS(1367),
    [anon_sym_L_SQUOTE] = ACTIONS(1367),
    [anon_sym_u_SQUOTE] = ACTIONS(1367),
    [anon_sym_U_SQUOTE] = ACTIONS(1367),
    [anon_sym_u8_SQUOTE] = ACTIONS(1367),
    [anon_sym_SQUOTE] = ACTIONS(1367),
    [anon_sym_L_DQUOTE] = ACTIONS(1367),
    [anon_sym_u_DQUOTE] = ACTIONS(1367),
    [anon_sym_U_DQUOTE] = ACTIONS(1367),
    [anon_sym_u8_DQUOTE] = ACTIONS(1367),
    [anon_sym_DQUOTE] = ACTIONS(1367),
    [sym_true] = ACTIONS(1365),
    [sym_false] = ACTIONS(1365),
    [anon_sym_NULL] = ACTIONS(1365),
    [anon_sym_nullptr] = ACTIONS(1365),
    [sym_comment] = ACTIONS(3),
  },
  [291] = {
    [sym_identifier] = ACTIONS(1361),
    [aux_sym_preproc_include_token1] = ACTIONS(1361),
    [aux_sym_preproc_def_token1] = ACTIONS(1361),
    [aux_sym_preproc_if_token1] = ACTIONS(1361),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1361),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1361),
    [sym_preproc_directive] = ACTIONS(1361),
    [anon_sym_LPAREN2] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_TILDE] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_AMP] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1363),
    [anon_sym___extension__] = ACTIONS(1361),
    [anon_sym_typedef] = ACTIONS(1361),
    [anon_sym_extern] = ACTIONS(1361),
    [anon_sym___attribute__] = ACTIONS(1361),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1363),
    [anon_sym___declspec] = ACTIONS(1361),
    [anon_sym___cdecl] = ACTIONS(1361),
    [anon_sym___clrcall] = ACTIONS(1361),
    [anon_sym___stdcall] = ACTIONS(1361),
    [anon_sym___fastcall] = ACTIONS(1361),
    [anon_sym___thiscall] = ACTIONS(1361),
    [anon_sym___vectorcall] = ACTIONS(1361),
    [anon_sym_LBRACE] = ACTIONS(1363),
    [anon_sym_RBRACE] = ACTIONS(1363),
    [anon_sym_signed] = ACTIONS(1361),
    [anon_sym_unsigned] = ACTIONS(1361),
    [anon_sym_long] = ACTIONS(1361),
    [anon_sym_short] = ACTIONS(1361),
    [anon_sym_static] = ACTIONS(1361),
    [anon_sym_auto] = ACTIONS(1361),
    [anon_sym_register] = ACTIONS(1361),
    [anon_sym_inline] = ACTIONS(1361),
    [anon_sym___inline] = ACTIONS(1361),
    [anon_sym___inline__] = ACTIONS(1361),
    [anon_sym___forceinline] = ACTIONS(1361),
    [anon_sym_thread_local] = ACTIONS(1361),
    [anon_sym___thread] = ACTIONS(1361),
    [anon_sym_const] = ACTIONS(1361),
    [anon_sym_constexpr] = ACTIONS(1361),
    [anon_sym_volatile] = ACTIONS(1361),
    [anon_sym_restrict] = ACTIONS(1361),
    [anon_sym___restrict__] = ACTIONS(1361),
    [anon_sym__Atomic] = ACTIONS(1361),
    [anon_sym__Noreturn] = ACTIONS(1361),
    [anon_sym_noreturn] = ACTIONS(1361),
    [anon_sym_alignas] = ACTIONS(1361),
    [anon_sym__Alignas] = ACTIONS(1361),
    [sym_primitive_type] = ACTIONS(1361),
    [anon_sym_enum] = ACTIONS(1361),
    [anon_sym_struct] = ACTIONS(1361),
    [anon_sym_union] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_switch] = ACTIONS(1361),
    [anon_sym_case] = ACTIONS(1361),
    [anon_sym_default] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1361),
    [anon_sym_do] = ACTIONS(1361),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_return] = ACTIONS(1361),
    [anon_sym_break] = ACTIONS(1361),
    [anon_sym_continue] = ACTIONS(1361),
    [anon_sym_goto] = ACTIONS(1361),
    [anon_sym___try] = ACTIONS(1361),
    [anon_sym___leave] = ACTIONS(1361),
    [anon_sym_DASH_DASH] = ACTIONS(1363),
    [anon_sym_PLUS_PLUS] = ACTIONS(1363),
    [anon_sym_sizeof] = ACTIONS(1361),
    [anon_sym___alignof__] = ACTIONS(1361),
    [anon_sym___alignof] = ACTIONS(1361),
    [anon_sym__alignof] = ACTIONS(1361),
    [anon_sym_alignof] = ACTIONS(1361),
    [anon_sym__Alignof] = ACTIONS(1361),
    [anon_sym_offsetof] = ACTIONS(1361),
    [anon_sym__Generic] = ACTIONS(1361),
    [anon_sym_asm] = ACTIONS(1361),
    [anon_sym___asm__] = ACTIONS(1361),
    [sym_number_literal] = ACTIONS(1363),
    [anon_sym_L_SQUOTE] = ACTIONS(1363),
    [anon_sym_u_SQUOTE] = ACTIONS(1363),
    [anon_sym_U_SQUOTE] = ACTIONS(1363),
    [anon_sym_u8_SQUOTE] = ACTIONS(1363),
    [anon_sym_SQUOTE] = ACTIONS(1363),
    [anon_sym_L_DQUOTE] = ACTIONS(1363),
    [anon_sym_u_DQUOTE] = ACTIONS(1363),
    [anon_sym_U_DQUOTE] = ACTIONS(1363),
    [anon_sym_u8_DQUOTE] = ACTIONS(1363),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_true] = ACTIONS(1361),
    [sym_false] = ACTIONS(1361),
    [anon_sym_NULL] = ACTIONS(1361),
    [anon_sym_nullptr] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
  },
  [292] = {
    [sym_identifier] = ACTIONS(1323),
    [aux_sym_preproc_include_token1] = ACTIONS(1323),
    [aux_sym_preproc_def_token1] = ACTIONS(1323),
    [aux_sym_preproc_if_token1] = ACTIONS(1323),
    [aux_sym_preproc_if_token2] = ACTIONS(1323),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1323),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1323),
    [sym_preproc_directive] = ACTIONS(1323),
    [anon_sym_LPAREN2] = ACTIONS(1325),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_TILDE] = ACTIONS(1325),
    [anon_sym_DASH] = ACTIONS(1323),
    [anon_sym_PLUS] = ACTIONS(1323),
    [anon_sym_STAR] = ACTIONS(1325),
    [anon_sym_AMP] = ACTIONS(1325),
    [anon_sym_SEMI] = ACTIONS(1325),
    [anon_sym___extension__] = ACTIONS(1323),
    [anon_sym_typedef] = ACTIONS(1323),
    [anon_sym_extern] = ACTIONS(1323),
    [anon_sym___attribute__] = ACTIONS(1323),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1325),
    [anon_sym___declspec] = ACTIONS(1323),
    [anon_sym___cdecl] = ACTIONS(1323),
    [anon_sym___clrcall] = ACTIONS(1323),
    [anon_sym___stdcall] = ACTIONS(1323),
    [anon_sym___fastcall] = ACTIONS(1323),
    [anon_sym___thiscall] = ACTIONS(1323),
    [anon_sym___vectorcall] = ACTIONS(1323),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_signed] = ACTIONS(1323),
    [anon_sym_unsigned] = ACTIONS(1323),
    [anon_sym_long] = ACTIONS(1323),
    [anon_sym_short] = ACTIONS(1323),
    [anon_sym_static] = ACTIONS(1323),
    [anon_sym_auto] = ACTIONS(1323),
    [anon_sym_register] = ACTIONS(1323),
    [anon_sym_inline] = ACTIONS(1323),
    [anon_sym___inline] = ACTIONS(1323),
    [anon_sym___inline__] = ACTIONS(1323),
    [anon_sym___forceinline] = ACTIONS(1323),
    [anon_sym_thread_local] = ACTIONS(1323),
    [anon_sym___thread] = ACTIONS(1323),
    [anon_sym_const] = ACTIONS(1323),
    [anon_sym_constexpr] = ACTIONS(1323),
    [anon_sym_volatile] = ACTIONS(1323),
    [anon_sym_restrict] = ACTIONS(1323),
    [anon_sym___restrict__] = ACTIONS(1323),
    [anon_sym__Atomic] = ACTIONS(1323),
    [anon_sym__Noreturn] = ACTIONS(1323),
    [anon_sym_noreturn] = ACTIONS(1323),
    [anon_sym_alignas] = ACTIONS(1323),
    [anon_sym__Alignas] = ACTIONS(1323),
    [sym_primitive_type] = ACTIONS(1323),
    [anon_sym_enum] = ACTIONS(1323),
    [anon_sym_struct] = ACTIONS(1323),
    [anon_sym_union] = ACTIONS(1323),
    [anon_sym_if] = ACTIONS(1323),
    [anon_sym_switch] = ACTIONS(1323),
    [anon_sym_case] = ACTIONS(1323),
    [anon_sym_default] = ACTIONS(1323),
    [anon_sym_while] = ACTIONS(1323),
    [anon_sym_do] = ACTIONS(1323),
    [anon_sym_for] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(1323),
    [anon_sym_break] = ACTIONS(1323),
    [anon_sym_continue] = ACTIONS(1323),
    [anon_sym_goto] = ACTIONS(1323),
    [anon_sym___try] = ACTIONS(1323),
    [anon_sym___leave] = ACTIONS(1323),
    [anon_sym_DASH_DASH] = ACTIONS(1325),
    [anon_sym_PLUS_PLUS] = ACTIONS(1325),
    [anon_sym_sizeof] = ACTIONS(1323),
    [anon_sym___alignof__] = ACTIONS(1323),
    [anon_sym___alignof] = ACTIONS(1323),
    [anon_sym__alignof] = ACTIONS(1323),
    [anon_sym_alignof] = ACTIONS(1323),
    [anon_sym__Alignof] = ACTIONS(1323),
    [anon_sym_offsetof] = ACTIONS(1323),
    [anon_sym__Generic] = ACTIONS(1323),
    [anon_sym_asm] = ACTIONS(1323),
    [anon_sym___asm__] = ACTIONS(1323),
    [sym_number_literal] = ACTIONS(1325),
    [anon_sym_L_SQUOTE] = ACTIONS(1325),
    [anon_sym_u_SQUOTE] = ACTIONS(1325),
    [anon_sym_U_SQUOTE] = ACTIONS(1325),
    [anon_sym_u8_SQUOTE] = ACTIONS(1325),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_L_DQUOTE] = ACTIONS(1325),
    [anon_sym_u_DQUOTE] = ACTIONS(1325),
    [anon_sym_U_DQUOTE] = ACTIONS(1325),
    [anon_sym_u8_DQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_true] = ACTIONS(1323),
    [sym_false] = ACTIONS(1323),
    [anon_sym_NULL] = ACTIONS(1323),
    [anon_sym_nullptr] = ACTIONS(1323),
    [sym_comment] = ACTIONS(3),
  },
  [293] = {
    [sym_identifier] = ACTIONS(1335),
    [aux_sym_preproc_include_token1] = ACTIONS(1335),
    [aux_sym_preproc_def_token1] = ACTIONS(1335),
    [aux_sym_preproc_if_token1] = ACTIONS(1335),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1335),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1335),
    [sym_preproc_directive] = ACTIONS(1335),
    [anon_sym_LPAREN2] = ACTIONS(1337),
    [anon_sym_BANG] = ACTIONS(1337),
    [anon_sym_TILDE] = ACTIONS(1337),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_STAR] = ACTIONS(1337),
    [anon_sym_AMP] = ACTIONS(1337),
    [anon_sym_SEMI] = ACTIONS(1337),
    [anon_sym___extension__] = ACTIONS(1335),
    [anon_sym_typedef] = ACTIONS(1335),
    [anon_sym_extern] = ACTIONS(1335),
    [anon_sym___attribute__] = ACTIONS(1335),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1337),
    [anon_sym___declspec] = ACTIONS(1335),
    [anon_sym___cdecl] = ACTIONS(1335),
    [anon_sym___clrcall] = ACTIONS(1335),
    [anon_sym___stdcall] = ACTIONS(1335),
    [anon_sym___fastcall] = ACTIONS(1335),
    [anon_sym___thiscall] = ACTIONS(1335),
    [anon_sym___vectorcall] = ACTIONS(1335),
    [anon_sym_LBRACE] = ACTIONS(1337),
    [anon_sym_RBRACE] = ACTIONS(1337),
    [anon_sym_signed] = ACTIONS(1335),
    [anon_sym_unsigned] = ACTIONS(1335),
    [anon_sym_long] = ACTIONS(1335),
    [anon_sym_short] = ACTIONS(1335),
    [anon_sym_static] = ACTIONS(1335),
    [anon_sym_auto] = ACTIONS(1335),
    [anon_sym_register] = ACTIONS(1335),
    [anon_sym_inline] = ACTIONS(1335),
    [anon_sym___inline] = ACTIONS(1335),
    [anon_sym___inline__] = ACTIONS(1335),
    [anon_sym___forceinline] = ACTIONS(1335),
    [anon_sym_thread_local] = ACTIONS(1335),
    [anon_sym___thread] = ACTIONS(1335),
    [anon_sym_const] = ACTIONS(1335),
    [anon_sym_constexpr] = ACTIONS(1335),
    [anon_sym_volatile] = ACTIONS(1335),
    [anon_sym_restrict] = ACTIONS(1335),
    [anon_sym___restrict__] = ACTIONS(1335),
    [anon_sym__Atomic] = ACTIONS(1335),
    [anon_sym__Noreturn] = ACTIONS(1335),
    [anon_sym_noreturn] = ACTIONS(1335),
    [anon_sym_alignas] = ACTIONS(1335),
    [anon_sym__Alignas] = ACTIONS(1335),
    [sym_primitive_type] = ACTIONS(1335),
    [anon_sym_enum] = ACTIONS(1335),
    [anon_sym_struct] = ACTIONS(1335),
    [anon_sym_union] = ACTIONS(1335),
    [anon_sym_if] = ACTIONS(1335),
    [anon_sym_switch] = ACTIONS(1335),
    [anon_sym_case] = ACTIONS(1335),
    [anon_sym_default] = ACTIONS(1335),
    [anon_sym_while] = ACTIONS(1335),
    [anon_sym_do] = ACTIONS(1335),
    [anon_sym_for] = ACTIONS(1335),
    [anon_sym_return] = ACTIONS(1335),
    [anon_sym_break] = ACTIONS(1335),
    [anon_sym_continue] = ACTIONS(1335),
    [anon_sym_goto] = ACTIONS(1335),
    [anon_sym___try] = ACTIONS(1335),
    [anon_sym___leave] = ACTIONS(1335),
    [anon_sym_DASH_DASH] = ACTIONS(1337),
    [anon_sym_PLUS_PLUS] = ACTIONS(1337),
    [anon_sym_sizeof] = ACTIONS(1335),
    [anon_sym___alignof__] = ACTIONS(1335),
    [anon_sym___alignof] = ACTIONS(1335),
    [anon_sym__alignof] = ACTIONS(1335),
    [anon_sym_alignof] = ACTIONS(1335),
    [anon_sym__Alignof] = ACTIONS(1335),
    [anon_sym_offsetof] = ACTIONS(1335),
    [anon_sym__Generic] = ACTIONS(1335),
    [anon_sym_asm] = ACTIONS(1335),
    [anon_sym___asm__] = ACTIONS(1335),
    [sym_number_literal] = ACTIONS(1337),
    [anon_sym_L_SQUOTE] = ACTIONS(1337),
    [anon_sym_u_SQUOTE] = ACTIONS(1337),
    [anon_sym_U_SQUOTE] = ACTIONS(1337),
    [anon_sym_u8_SQUOTE] = ACTIONS(1337),
    [anon_sym_SQUOTE] = ACTIONS(1337),
    [anon_sym_L_DQUOTE] = ACTIONS(1337),
    [anon_sym_u_DQUOTE] = ACTIONS(1337),
    [anon_sym_U_DQUOTE] = ACTIONS(1337),
    [anon_sym_u8_DQUOTE] = ACTIONS(1337),
    [anon_sym_DQUOTE] = ACTIONS(1337),
    [sym_true] = ACTIONS(1335),
    [sym_false] = ACTIONS(1335),
    [anon_sym_NULL] = ACTIONS(1335),
    [anon_sym_nullptr] = ACTIONS(1335),
    [sym_comment] = ACTIONS(3),
  },
  [294] = {
    [sym_identifier] = ACTIONS(1327),
    [aux_sym_preproc_include_token1] = ACTIONS(1327),
    [aux_sym_preproc_def_token1] = ACTIONS(1327),
    [aux_sym_preproc_if_token1] = ACTIONS(1327),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1327),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1327),
    [sym_preproc_directive] = ACTIONS(1327),
    [anon_sym_LPAREN2] = ACTIONS(1329),
    [anon_sym_BANG] = ACTIONS(1329),
    [anon_sym_TILDE] = ACTIONS(1329),
    [anon_sym_DASH] = ACTIONS(1327),
    [anon_sym_PLUS] = ACTIONS(1327),
    [anon_sym_STAR] = ACTIONS(1329),
    [anon_sym_AMP] = ACTIONS(1329),
    [anon_sym_SEMI] = ACTIONS(1329),
    [anon_sym___extension__] = ACTIONS(1327),
    [anon_sym_typedef] = ACTIONS(1327),
    [anon_sym_extern] = ACTIONS(1327),
    [anon_sym___attribute__] = ACTIONS(1327),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1329),
    [anon_sym___declspec] = ACTIONS(1327),
    [anon_sym___cdecl] = ACTIONS(1327),
    [anon_sym___clrcall] = ACTIONS(1327),
    [anon_sym___stdcall] = ACTIONS(1327),
    [anon_sym___fastcall] = ACTIONS(1327),
    [anon_sym___thiscall] = ACTIONS(1327),
    [anon_sym___vectorcall] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(1329),
    [anon_sym_RBRACE] = ACTIONS(1329),
    [anon_sym_signed] = ACTIONS(1327),
    [anon_sym_unsigned] = ACTIONS(1327),
    [anon_sym_long] = ACTIONS(1327),
    [anon_sym_short] = ACTIONS(1327),
    [anon_sym_static] = ACTIONS(1327),
    [anon_sym_auto] = ACTIONS(1327),
    [anon_sym_register] = ACTIONS(1327),
    [anon_sym_inline] = ACTIONS(1327),
    [anon_sym___inline] = ACTIONS(1327),
    [anon_sym___inline__] = ACTIONS(1327),
    [anon_sym___forceinline] = ACTIONS(1327),
    [anon_sym_thread_local] = ACTIONS(1327),
    [anon_sym___thread] = ACTIONS(1327),
    [anon_sym_const] = ACTIONS(1327),
    [anon_sym_constexpr] = ACTIONS(1327),
    [anon_sym_volatile] = ACTIONS(1327),
    [anon_sym_restrict] = ACTIONS(1327),
    [anon_sym___restrict__] = ACTIONS(1327),
    [anon_sym__Atomic] = ACTIONS(1327),
    [anon_sym__Noreturn] = ACTIONS(1327),
    [anon_sym_noreturn] = ACTIONS(1327),
    [anon_sym_alignas] = ACTIONS(1327),
    [anon_sym__Alignas] = ACTIONS(1327),
    [sym_primitive_type] = ACTIONS(1327),
    [anon_sym_enum] = ACTIONS(1327),
    [anon_sym_struct] = ACTIONS(1327),
    [anon_sym_union] = ACTIONS(1327),
    [anon_sym_if] = ACTIONS(1327),
    [anon_sym_switch] = ACTIONS(1327),
    [anon_sym_case] = ACTIONS(1327),
    [anon_sym_default] = ACTIONS(1327),
    [anon_sym_while] = ACTIONS(1327),
    [anon_sym_do] = ACTIONS(1327),
    [anon_sym_for] = ACTIONS(1327),
    [anon_sym_return] = ACTIONS(1327),
    [anon_sym_break] = ACTIONS(1327),
    [anon_sym_continue] = ACTIONS(1327),
    [anon_sym_goto] = ACTIONS(1327),
    [anon_sym___try] = ACTIONS(1327),
    [anon_sym___leave] = ACTIONS(1327),
    [anon_sym_DASH_DASH] = ACTIONS(1329),
    [anon_sym_PLUS_PLUS] = ACTIONS(1329),
    [anon_sym_sizeof] = ACTIONS(1327),
    [anon_sym___alignof__] = ACTIONS(1327),
    [anon_sym___alignof] = ACTIONS(1327),
    [anon_sym__alignof] = ACTIONS(1327),
    [anon_sym_alignof] = ACTIONS(1327),
    [anon_sym__Alignof] = ACTIONS(1327),
    [anon_sym_offsetof] = ACTIONS(1327),
    [anon_sym__Generic] = ACTIONS(1327),
    [anon_sym_asm] = ACTIONS(1327),
    [anon_sym___asm__] = ACTIONS(1327),
    [sym_number_literal] = ACTIONS(1329),
    [anon_sym_L_SQUOTE] = ACTIONS(1329),
    [anon_sym_u_SQUOTE] = ACTIONS(1329),
    [anon_sym_U_SQUOTE] = ACTIONS(1329),
    [anon_sym_u8_SQUOTE] = ACTIONS(1329),
    [anon_sym_SQUOTE] = ACTIONS(1329),
    [anon_sym_L_DQUOTE] = ACTIONS(1329),
    [anon_sym_u_DQUOTE] = ACTIONS(1329),
    [anon_sym_U_DQUOTE] = ACTIONS(1329),
    [anon_sym_u8_DQUOTE] = ACTIONS(1329),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_true] = ACTIONS(1327),
    [sym_false] = ACTIONS(1327),
    [anon_sym_NULL] = ACTIONS(1327),
    [anon_sym_nullptr] = ACTIONS(1327),
    [sym_comment] = ACTIONS(3),
  },
  [295] = {
    [sym_identifier] = ACTIONS(1251),
    [aux_sym_preproc_include_token1] = ACTIONS(1251),
    [aux_sym_preproc_def_token1] = ACTIONS(1251),
    [aux_sym_preproc_if_token1] = ACTIONS(1251),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1251),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1251),
    [sym_preproc_directive] = ACTIONS(1251),
    [anon_sym_LPAREN2] = ACTIONS(1253),
    [anon_sym_BANG] = ACTIONS(1253),
    [anon_sym_TILDE] = ACTIONS(1253),
    [anon_sym_DASH] = ACTIONS(1251),
    [anon_sym_PLUS] = ACTIONS(1251),
    [anon_sym_STAR] = ACTIONS(1253),
    [anon_sym_AMP] = ACTIONS(1253),
    [anon_sym_SEMI] = ACTIONS(1253),
    [anon_sym___extension__] = ACTIONS(1251),
    [anon_sym_typedef] = ACTIONS(1251),
    [anon_sym_extern] = ACTIONS(1251),
    [anon_sym___attribute__] = ACTIONS(1251),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1253),
    [anon_sym___declspec] = ACTIONS(1251),
    [anon_sym___cdecl] = ACTIONS(1251),
    [anon_sym___clrcall] = ACTIONS(1251),
    [anon_sym___stdcall] = ACTIONS(1251),
    [anon_sym___fastcall] = ACTIONS(1251),
    [anon_sym___thiscall] = ACTIONS(1251),
    [anon_sym___vectorcall] = ACTIONS(1251),
    [anon_sym_LBRACE] = ACTIONS(1253),
    [anon_sym_RBRACE] = ACTIONS(1253),
    [anon_sym_signed] = ACTIONS(1251),
    [anon_sym_unsigned] = ACTIONS(1251),
    [anon_sym_long] = ACTIONS(1251),
    [anon_sym_short] = ACTIONS(1251),
    [anon_sym_static] = ACTIONS(1251),
    [anon_sym_auto] = ACTIONS(1251),
    [anon_sym_register] = ACTIONS(1251),
    [anon_sym_inline] = ACTIONS(1251),
    [anon_sym___inline] = ACTIONS(1251),
    [anon_sym___inline__] = ACTIONS(1251),
    [anon_sym___forceinline] = ACTIONS(1251),
    [anon_sym_thread_local] = ACTIONS(1251),
    [anon_sym___thread] = ACTIONS(1251),
    [anon_sym_const] = ACTIONS(1251),
    [anon_sym_constexpr] = ACTIONS(1251),
    [anon_sym_volatile] = ACTIONS(1251),
    [anon_sym_restrict] = ACTIONS(1251),
    [anon_sym___restrict__] = ACTIONS(1251),
    [anon_sym__Atomic] = ACTIONS(1251),
    [anon_sym__Noreturn] = ACTIONS(1251),
    [anon_sym_noreturn] = ACTIONS(1251),
    [anon_sym_alignas] = ACTIONS(1251),
    [anon_sym__Alignas] = ACTIONS(1251),
    [sym_primitive_type] = ACTIONS(1251),
    [anon_sym_enum] = ACTIONS(1251),
    [anon_sym_struct] = ACTIONS(1251),
    [anon_sym_union] = ACTIONS(1251),
    [anon_sym_if] = ACTIONS(1251),
    [anon_sym_switch] = ACTIONS(1251),
    [anon_sym_case] = ACTIONS(1251),
    [anon_sym_default] = ACTIONS(1251),
    [anon_sym_while] = ACTIONS(1251),
    [anon_sym_do] = ACTIONS(1251),
    [anon_sym_for] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(1251),
    [anon_sym_break] = ACTIONS(1251),
    [anon_sym_continue] = ACTIONS(1251),
    [anon_sym_goto] = ACTIONS(1251),
    [anon_sym___try] = ACTIONS(1251),
    [anon_sym___leave] = ACTIONS(1251),
    [anon_sym_DASH_DASH] = ACTIONS(1253),
    [anon_sym_PLUS_PLUS] = ACTIONS(1253),
    [anon_sym_sizeof] = ACTIONS(1251),
    [anon_sym___alignof__] = ACTIONS(1251),
    [anon_sym___alignof] = ACTIONS(1251),
    [anon_sym__alignof] = ACTIONS(1251),
    [anon_sym_alignof] = ACTIONS(1251),
    [anon_sym__Alignof] = ACTIONS(1251),
    [anon_sym_offsetof] = ACTIONS(1251),
    [anon_sym__Generic] = ACTIONS(1251),
    [anon_sym_asm] = ACTIONS(1251),
    [anon_sym___asm__] = ACTIONS(1251),
    [sym_number_literal] = ACTIONS(1253),
    [anon_sym_L_SQUOTE] = ACTIONS(1253),
    [anon_sym_u_SQUOTE] = ACTIONS(1253),
    [anon_sym_U_SQUOTE] = ACTIONS(1253),
    [anon_sym_u8_SQUOTE] = ACTIONS(1253),
    [anon_sym_SQUOTE] = ACTIONS(1253),
    [anon_sym_L_DQUOTE] = ACTIONS(1253),
    [anon_sym_u_DQUOTE] = ACTIONS(1253),
    [anon_sym_U_DQUOTE] = ACTIONS(1253),
    [anon_sym_u8_DQUOTE] = ACTIONS(1253),
    [anon_sym_DQUOTE] = ACTIONS(1253),
    [sym_true] = ACTIONS(1251),
    [sym_false] = ACTIONS(1251),
    [anon_sym_NULL] = ACTIONS(1251),
    [anon_sym_nullptr] = ACTIONS(1251),
    [sym_comment] = ACTIONS(3),
  },
  [296] = {
    [sym_identifier] = ACTIONS(1351),
    [aux_sym_preproc_include_token1] = ACTIONS(1351),
    [aux_sym_preproc_def_token1] = ACTIONS(1351),
    [aux_sym_preproc_if_token1] = ACTIONS(1351),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1351),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1351),
    [sym_preproc_directive] = ACTIONS(1351),
    [anon_sym_LPAREN2] = ACTIONS(1353),
    [anon_sym_BANG] = ACTIONS(1353),
    [anon_sym_TILDE] = ACTIONS(1353),
    [anon_sym_DASH] = ACTIONS(1351),
    [anon_sym_PLUS] = ACTIONS(1351),
    [anon_sym_STAR] = ACTIONS(1353),
    [anon_sym_AMP] = ACTIONS(1353),
    [anon_sym_SEMI] = ACTIONS(1353),
    [anon_sym___extension__] = ACTIONS(1351),
    [anon_sym_typedef] = ACTIONS(1351),
    [anon_sym_extern] = ACTIONS(1351),
    [anon_sym___attribute__] = ACTIONS(1351),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1353),
    [anon_sym___declspec] = ACTIONS(1351),
    [anon_sym___cdecl] = ACTIONS(1351),
    [anon_sym___clrcall] = ACTIONS(1351),
    [anon_sym___stdcall] = ACTIONS(1351),
    [anon_sym___fastcall] = ACTIONS(1351),
    [anon_sym___thiscall] = ACTIONS(1351),
    [anon_sym___vectorcall] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_RBRACE] = ACTIONS(1353),
    [anon_sym_signed] = ACTIONS(1351),
    [anon_sym_unsigned] = ACTIONS(1351),
    [anon_sym_long] = ACTIONS(1351),
    [anon_sym_short] = ACTIONS(1351),
    [anon_sym_static] = ACTIONS(1351),
    [anon_sym_auto] = ACTIONS(1351),
    [anon_sym_register] = ACTIONS(1351),
    [anon_sym_inline] = ACTIONS(1351),
    [anon_sym___inline] = ACTIONS(1351),
    [anon_sym___inline__] = ACTIONS(1351),
    [anon_sym___forceinline] = ACTIONS(1351),
    [anon_sym_thread_local] = ACTIONS(1351),
    [anon_sym___thread] = ACTIONS(1351),
    [anon_sym_const] = ACTIONS(1351),
    [anon_sym_constexpr] = ACTIONS(1351),
    [anon_sym_volatile] = ACTIONS(1351),
    [anon_sym_restrict] = ACTIONS(1351),
    [anon_sym___restrict__] = ACTIONS(1351),
    [anon_sym__Atomic] = ACTIONS(1351),
    [anon_sym__Noreturn] = ACTIONS(1351),
    [anon_sym_noreturn] = ACTIONS(1351),
    [anon_sym_alignas] = ACTIONS(1351),
    [anon_sym__Alignas] = ACTIONS(1351),
    [sym_primitive_type] = ACTIONS(1351),
    [anon_sym_enum] = ACTIONS(1351),
    [anon_sym_struct] = ACTIONS(1351),
    [anon_sym_union] = ACTIONS(1351),
    [anon_sym_if] = ACTIONS(1351),
    [anon_sym_switch] = ACTIONS(1351),
    [anon_sym_case] = ACTIONS(1351),
    [anon_sym_default] = ACTIONS(1351),
    [anon_sym_while] = ACTIONS(1351),
    [anon_sym_do] = ACTIONS(1351),
    [anon_sym_for] = ACTIONS(1351),
    [anon_sym_return] = ACTIONS(1351),
    [anon_sym_break] = ACTIONS(1351),
    [anon_sym_continue] = ACTIONS(1351),
    [anon_sym_goto] = ACTIONS(1351),
    [anon_sym___try] = ACTIONS(1351),
    [anon_sym___leave] = ACTIONS(1351),
    [anon_sym_DASH_DASH] = ACTIONS(1353),
    [anon_sym_PLUS_PLUS] = ACTIONS(1353),
    [anon_sym_sizeof] = ACTIONS(1351),
    [anon_sym___alignof__] = ACTIONS(1351),
    [anon_sym___alignof] = ACTIONS(1351),
    [anon_sym__alignof] = ACTIONS(1351),
    [anon_sym_alignof] = ACTIONS(1351),
    [anon_sym__Alignof] = ACTIONS(1351),
    [anon_sym_offsetof] = ACTIONS(1351),
    [anon_sym__Generic] = ACTIONS(1351),
    [anon_sym_asm] = ACTIONS(1351),
    [anon_sym___asm__] = ACTIONS(1351),
    [sym_number_literal] = ACTIONS(1353),
    [anon_sym_L_SQUOTE] = ACTIONS(1353),
    [anon_sym_u_SQUOTE] = ACTIONS(1353),
    [anon_sym_U_SQUOTE] = ACTIONS(1353),
    [anon_sym_u8_SQUOTE] = ACTIONS(1353),
    [anon_sym_SQUOTE] = ACTIONS(1353),
    [anon_sym_L_DQUOTE] = ACTIONS(1353),
    [anon_sym_u_DQUOTE] = ACTIONS(1353),
    [anon_sym_U_DQUOTE] = ACTIONS(1353),
    [anon_sym_u8_DQUOTE] = ACTIONS(1353),
    [anon_sym_DQUOTE] = ACTIONS(1353),
    [sym_true] = ACTIONS(1351),
    [sym_false] = ACTIONS(1351),
    [anon_sym_NULL] = ACTIONS(1351),
    [anon_sym_nullptr] = ACTIONS(1351),
    [sym_comment] = ACTIONS(3),
  },
  [297] = {
    [sym_identifier] = ACTIONS(1347),
    [aux_sym_preproc_include_token1] = ACTIONS(1347),
    [aux_sym_preproc_def_token1] = ACTIONS(1347),
    [aux_sym_preproc_if_token1] = ACTIONS(1347),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1347),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1347),
    [sym_preproc_directive] = ACTIONS(1347),
    [anon_sym_LPAREN2] = ACTIONS(1349),
    [anon_sym_BANG] = ACTIONS(1349),
    [anon_sym_TILDE] = ACTIONS(1349),
    [anon_sym_DASH] = ACTIONS(1347),
    [anon_sym_PLUS] = ACTIONS(1347),
    [anon_sym_STAR] = ACTIONS(1349),
    [anon_sym_AMP] = ACTIONS(1349),
    [anon_sym_SEMI] = ACTIONS(1349),
    [anon_sym___extension__] = ACTIONS(1347),
    [anon_sym_typedef] = ACTIONS(1347),
    [anon_sym_extern] = ACTIONS(1347),
    [anon_sym___attribute__] = ACTIONS(1347),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1349),
    [anon_sym___declspec] = ACTIONS(1347),
    [anon_sym___cdecl] = ACTIONS(1347),
    [anon_sym___clrcall] = ACTIONS(1347),
    [anon_sym___stdcall] = ACTIONS(1347),
    [anon_sym___fastcall] = ACTIONS(1347),
    [anon_sym___thiscall] = ACTIONS(1347),
    [anon_sym___vectorcall] = ACTIONS(1347),
    [anon_sym_LBRACE] = ACTIONS(1349),
    [anon_sym_RBRACE] = ACTIONS(1349),
    [anon_sym_signed] = ACTIONS(1347),
    [anon_sym_unsigned] = ACTIONS(1347),
    [anon_sym_long] = ACTIONS(1347),
    [anon_sym_short] = ACTIONS(1347),
    [anon_sym_static] = ACTIONS(1347),
    [anon_sym_auto] = ACTIONS(1347),
    [anon_sym_register] = ACTIONS(1347),
    [anon_sym_inline] = ACTIONS(1347),
    [anon_sym___inline] = ACTIONS(1347),
    [anon_sym___inline__] = ACTIONS(1347),
    [anon_sym___forceinline] = ACTIONS(1347),
    [anon_sym_thread_local] = ACTIONS(1347),
    [anon_sym___thread] = ACTIONS(1347),
    [anon_sym_const] = ACTIONS(1347),
    [anon_sym_constexpr] = ACTIONS(1347),
    [anon_sym_volatile] = ACTIONS(1347),
    [anon_sym_restrict] = ACTIONS(1347),
    [anon_sym___restrict__] = ACTIONS(1347),
    [anon_sym__Atomic] = ACTIONS(1347),
    [anon_sym__Noreturn] = ACTIONS(1347),
    [anon_sym_noreturn] = ACTIONS(1347),
    [anon_sym_alignas] = ACTIONS(1347),
    [anon_sym__Alignas] = ACTIONS(1347),
    [sym_primitive_type] = ACTIONS(1347),
    [anon_sym_enum] = ACTIONS(1347),
    [anon_sym_struct] = ACTIONS(1347),
    [anon_sym_union] = ACTIONS(1347),
    [anon_sym_if] = ACTIONS(1347),
    [anon_sym_switch] = ACTIONS(1347),
    [anon_sym_case] = ACTIONS(1347),
    [anon_sym_default] = ACTIONS(1347),
    [anon_sym_while] = ACTIONS(1347),
    [anon_sym_do] = ACTIONS(1347),
    [anon_sym_for] = ACTIONS(1347),
    [anon_sym_return] = ACTIONS(1347),
    [anon_sym_break] = ACTIONS(1347),
    [anon_sym_continue] = ACTIONS(1347),
    [anon_sym_goto] = ACTIONS(1347),
    [anon_sym___try] = ACTIONS(1347),
    [anon_sym___leave] = ACTIONS(1347),
    [anon_sym_DASH_DASH] = ACTIONS(1349),
    [anon_sym_PLUS_PLUS] = ACTIONS(1349),
    [anon_sym_sizeof] = ACTIONS(1347),
    [anon_sym___alignof__] = ACTIONS(1347),
    [anon_sym___alignof] = ACTIONS(1347),
    [anon_sym__alignof] = ACTIONS(1347),
    [anon_sym_alignof] = ACTIONS(1347),
    [anon_sym__Alignof] = ACTIONS(1347),
    [anon_sym_offsetof] = ACTIONS(1347),
    [anon_sym__Generic] = ACTIONS(1347),
    [anon_sym_asm] = ACTIONS(1347),
    [anon_sym___asm__] = ACTIONS(1347),
    [sym_number_literal] = ACTIONS(1349),
    [anon_sym_L_SQUOTE] = ACTIONS(1349),
    [anon_sym_u_SQUOTE] = ACTIONS(1349),
    [anon_sym_U_SQUOTE] = ACTIONS(1349),
    [anon_sym_u8_SQUOTE] = ACTIONS(1349),
    [anon_sym_SQUOTE] = ACTIONS(1349),
    [anon_sym_L_DQUOTE] = ACTIONS(1349),
    [anon_sym_u_DQUOTE] = ACTIONS(1349),
    [anon_sym_U_DQUOTE] = ACTIONS(1349),
    [anon_sym_u8_DQUOTE] = ACTIONS(1349),
    [anon_sym_DQUOTE] = ACTIONS(1349),
    [sym_true] = ACTIONS(1347),
    [sym_false] = ACTIONS(1347),
    [anon_sym_NULL] = ACTIONS(1347),
    [anon_sym_nullptr] = ACTIONS(1347),
    [sym_comment] = ACTIONS(3),
  },
  [298] = {
    [sym_identifier] = ACTIONS(1303),
    [aux_sym_preproc_include_token1] = ACTIONS(1303),
    [aux_sym_preproc_def_token1] = ACTIONS(1303),
    [aux_sym_preproc_if_token1] = ACTIONS(1303),
    [aux_sym_preproc_if_token2] = ACTIONS(1303),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1303),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1303),
    [sym_preproc_directive] = ACTIONS(1303),
    [anon_sym_LPAREN2] = ACTIONS(1305),
    [anon_sym_BANG] = ACTIONS(1305),
    [anon_sym_TILDE] = ACTIONS(1305),
    [anon_sym_DASH] = ACTIONS(1303),
    [anon_sym_PLUS] = ACTIONS(1303),
    [anon_sym_STAR] = ACTIONS(1305),
    [anon_sym_AMP] = ACTIONS(1305),
    [anon_sym_SEMI] = ACTIONS(1305),
    [anon_sym___extension__] = ACTIONS(1303),
    [anon_sym_typedef] = ACTIONS(1303),
    [anon_sym_extern] = ACTIONS(1303),
    [anon_sym___attribute__] = ACTIONS(1303),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1305),
    [anon_sym___declspec] = ACTIONS(1303),
    [anon_sym___cdecl] = ACTIONS(1303),
    [anon_sym___clrcall] = ACTIONS(1303),
    [anon_sym___stdcall] = ACTIONS(1303),
    [anon_sym___fastcall] = ACTIONS(1303),
    [anon_sym___thiscall] = ACTIONS(1303),
    [anon_sym___vectorcall] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1305),
    [anon_sym_signed] = ACTIONS(1303),
    [anon_sym_unsigned] = ACTIONS(1303),
    [anon_sym_long] = ACTIONS(1303),
    [anon_sym_short] = ACTIONS(1303),
    [anon_sym_static] = ACTIONS(1303),
    [anon_sym_auto] = ACTIONS(1303),
    [anon_sym_register] = ACTIONS(1303),
    [anon_sym_inline] = ACTIONS(1303),
    [anon_sym___inline] = ACTIONS(1303),
    [anon_sym___inline__] = ACTIONS(1303),
    [anon_sym___forceinline] = ACTIONS(1303),
    [anon_sym_thread_local] = ACTIONS(1303),
    [anon_sym___thread] = ACTIONS(1303),
    [anon_sym_const] = ACTIONS(1303),
    [anon_sym_constexpr] = ACTIONS(1303),
    [anon_sym_volatile] = ACTIONS(1303),
    [anon_sym_restrict] = ACTIONS(1303),
    [anon_sym___restrict__] = ACTIONS(1303),
    [anon_sym__Atomic] = ACTIONS(1303),
    [anon_sym__Noreturn] = ACTIONS(1303),
    [anon_sym_noreturn] = ACTIONS(1303),
    [anon_sym_alignas] = ACTIONS(1303),
    [anon_sym__Alignas] = ACTIONS(1303),
    [sym_primitive_type] = ACTIONS(1303),
    [anon_sym_enum] = ACTIONS(1303),
    [anon_sym_struct] = ACTIONS(1303),
    [anon_sym_union] = ACTIONS(1303),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_switch] = ACTIONS(1303),
    [anon_sym_case] = ACTIONS(1303),
    [anon_sym_default] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1303),
    [anon_sym_do] = ACTIONS(1303),
    [anon_sym_for] = ACTIONS(1303),
    [anon_sym_return] = ACTIONS(1303),
    [anon_sym_break] = ACTIONS(1303),
    [anon_sym_continue] = ACTIONS(1303),
    [anon_sym_goto] = ACTIONS(1303),
    [anon_sym___try] = ACTIONS(1303),
    [anon_sym___leave] = ACTIONS(1303),
    [anon_sym_DASH_DASH] = ACTIONS(1305),
    [anon_sym_PLUS_PLUS] = ACTIONS(1305),
    [anon_sym_sizeof] = ACTIONS(1303),
    [anon_sym___alignof__] = ACTIONS(1303),
    [anon_sym___alignof] = ACTIONS(1303),
    [anon_sym__alignof] = ACTIONS(1303),
    [anon_sym_alignof] = ACTIONS(1303),
    [anon_sym__Alignof] = ACTIONS(1303),
    [anon_sym_offsetof] = ACTIONS(1303),
    [anon_sym__Generic] = ACTIONS(1303),
    [anon_sym_asm] = ACTIONS(1303),
    [anon_sym___asm__] = ACTIONS(1303),
    [sym_number_literal] = ACTIONS(1305),
    [anon_sym_L_SQUOTE] = ACTIONS(1305),
    [anon_sym_u_SQUOTE] = ACTIONS(1305),
    [anon_sym_U_SQUOTE] = ACTIONS(1305),
    [anon_sym_u8_SQUOTE] = ACTIONS(1305),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [anon_sym_L_DQUOTE] = ACTIONS(1305),
    [anon_sym_u_DQUOTE] = ACTIONS(1305),
    [anon_sym_U_DQUOTE] = ACTIONS(1305),
    [anon_sym_u8_DQUOTE] = ACTIONS(1305),
    [anon_sym_DQUOTE] = ACTIONS(1305),
    [sym_true] = ACTIONS(1303),
    [sym_false] = ACTIONS(1303),
    [anon_sym_NULL] = ACTIONS(1303),
    [anon_sym_nullptr] = ACTIONS(1303),
    [sym_comment] = ACTIONS(3),
  },
  [299] = {
    [sym_identifier] = ACTIONS(1271),
    [aux_sym_preproc_include_token1] = ACTIONS(1271),
    [aux_sym_preproc_def_token1] = ACTIONS(1271),
    [aux_sym_preproc_if_token1] = ACTIONS(1271),
    [aux_sym_preproc_if_token2] = ACTIONS(1271),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1271),
    [sym_preproc_directive] = ACTIONS(1271),
    [anon_sym_LPAREN2] = ACTIONS(1273),
    [anon_sym_BANG] = ACTIONS(1273),
    [anon_sym_TILDE] = ACTIONS(1273),
    [anon_sym_DASH] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1271),
    [anon_sym_STAR] = ACTIONS(1273),
    [anon_sym_AMP] = ACTIONS(1273),
    [anon_sym_SEMI] = ACTIONS(1273),
    [anon_sym___extension__] = ACTIONS(1271),
    [anon_sym_typedef] = ACTIONS(1271),
    [anon_sym_extern] = ACTIONS(1271),
    [anon_sym___attribute__] = ACTIONS(1271),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1273),
    [anon_sym___declspec] = ACTIONS(1271),
    [anon_sym___cdecl] = ACTIONS(1271),
    [anon_sym___clrcall] = ACTIONS(1271),
    [anon_sym___stdcall] = ACTIONS(1271),
    [anon_sym___fastcall] = ACTIONS(1271),
    [anon_sym___thiscall] = ACTIONS(1271),
    [anon_sym___vectorcall] = ACTIONS(1271),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_signed] = ACTIONS(1271),
    [anon_sym_unsigned] = ACTIONS(1271),
    [anon_sym_long] = ACTIONS(1271),
    [anon_sym_short] = ACTIONS(1271),
    [anon_sym_static] = ACTIONS(1271),
    [anon_sym_auto] = ACTIONS(1271),
    [anon_sym_register] = ACTIONS(1271),
    [anon_sym_inline] = ACTIONS(1271),
    [anon_sym___inline] = ACTIONS(1271),
    [anon_sym___inline__] = ACTIONS(1271),
    [anon_sym___forceinline] = ACTIONS(1271),
    [anon_sym_thread_local] = ACTIONS(1271),
    [anon_sym___thread] = ACTIONS(1271),
    [anon_sym_const] = ACTIONS(1271),
    [anon_sym_constexpr] = ACTIONS(1271),
    [anon_sym_volatile] = ACTIONS(1271),
    [anon_sym_restrict] = ACTIONS(1271),
    [anon_sym___restrict__] = ACTIONS(1271),
    [anon_sym__Atomic] = ACTIONS(1271),
    [anon_sym__Noreturn] = ACTIONS(1271),
    [anon_sym_noreturn] = ACTIONS(1271),
    [anon_sym_alignas] = ACTIONS(1271),
    [anon_sym__Alignas] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(1271),
    [anon_sym_enum] = ACTIONS(1271),
    [anon_sym_struct] = ACTIONS(1271),
    [anon_sym_union] = ACTIONS(1271),
    [anon_sym_if] = ACTIONS(1271),
    [anon_sym_switch] = ACTIONS(1271),
    [anon_sym_case] = ACTIONS(1271),
    [anon_sym_default] = ACTIONS(1271),
    [anon_sym_while] = ACTIONS(1271),
    [anon_sym_do] = ACTIONS(1271),
    [anon_sym_for] = ACTIONS(1271),
    [anon_sym_return] = ACTIONS(1271),
    [anon_sym_break] = ACTIONS(1271),
    [anon_sym_continue] = ACTIONS(1271),
    [anon_sym_goto] = ACTIONS(1271),
    [anon_sym___try] = ACTIONS(1271),
    [anon_sym___leave] = ACTIONS(1271),
    [anon_sym_DASH_DASH] = ACTIONS(1273),
    [anon_sym_PLUS_PLUS] = ACTIONS(1273),
    [anon_sym_sizeof] = ACTIONS(1271),
    [anon_sym___alignof__] = ACTIONS(1271),
    [anon_sym___alignof] = ACTIONS(1271),
    [anon_sym__alignof] = ACTIONS(1271),
    [anon_sym_alignof] = ACTIONS(1271),
    [anon_sym__Alignof] = ACTIONS(1271),
    [anon_sym_offsetof] = ACTIONS(1271),
    [anon_sym__Generic] = ACTIONS(1271),
    [anon_sym_asm] = ACTIONS(1271),
    [anon_sym___asm__] = ACTIONS(1271),
    [sym_number_literal] = ACTIONS(1273),
    [anon_sym_L_SQUOTE] = ACTIONS(1273),
    [anon_sym_u_SQUOTE] = ACTIONS(1273),
    [anon_sym_U_SQUOTE] = ACTIONS(1273),
    [anon_sym_u8_SQUOTE] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1273),
    [anon_sym_L_DQUOTE] = ACTIONS(1273),
    [anon_sym_u_DQUOTE] = ACTIONS(1273),
    [anon_sym_U_DQUOTE] = ACTIONS(1273),
    [anon_sym_u8_DQUOTE] = ACTIONS(1273),
    [anon_sym_DQUOTE] = ACTIONS(1273),
    [sym_true] = ACTIONS(1271),
    [sym_false] = ACTIONS(1271),
    [anon_sym_NULL] = ACTIONS(1271),
    [anon_sym_nullptr] = ACTIONS(1271),
    [sym_comment] = ACTIONS(3),
  },
  [300] = {
    [sym_identifier] = ACTIONS(1267),
    [aux_sym_preproc_include_token1] = ACTIONS(1267),
    [aux_sym_preproc_def_token1] = ACTIONS(1267),
    [aux_sym_preproc_if_token1] = ACTIONS(1267),
    [aux_sym_preproc_if_token2] = ACTIONS(1267),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1267),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1267),
    [sym_preproc_directive] = ACTIONS(1267),
    [anon_sym_LPAREN2] = ACTIONS(1269),
    [anon_sym_BANG] = ACTIONS(1269),
    [anon_sym_TILDE] = ACTIONS(1269),
    [anon_sym_DASH] = ACTIONS(1267),
    [anon_sym_PLUS] = ACTIONS(1267),
    [anon_sym_STAR] = ACTIONS(1269),
    [anon_sym_AMP] = ACTIONS(1269),
    [anon_sym_SEMI] = ACTIONS(1269),
    [anon_sym___extension__] = ACTIONS(1267),
    [anon_sym_typedef] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(1267),
    [anon_sym___attribute__] = ACTIONS(1267),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym___declspec] = ACTIONS(1267),
    [anon_sym___cdecl] = ACTIONS(1267),
    [anon_sym___clrcall] = ACTIONS(1267),
    [anon_sym___stdcall] = ACTIONS(1267),
    [anon_sym___fastcall] = ACTIONS(1267),
    [anon_sym___thiscall] = ACTIONS(1267),
    [anon_sym___vectorcall] = ACTIONS(1267),
    [anon_sym_LBRACE] = ACTIONS(1269),
    [anon_sym_signed] = ACTIONS(1267),
    [anon_sym_unsigned] = ACTIONS(1267),
    [anon_sym_long] = ACTIONS(1267),
    [anon_sym_short] = ACTIONS(1267),
    [anon_sym_static] = ACTIONS(1267),
    [anon_sym_auto] = ACTIONS(1267),
    [anon_sym_register] = ACTIONS(1267),
    [anon_sym_inline] = ACTIONS(1267),
    [anon_sym___inline] = ACTIONS(1267),
    [anon_sym___inline__] = ACTIONS(1267),
    [anon_sym___forceinline] = ACTIONS(1267),
    [anon_sym_thread_local] = ACTIONS(1267),
    [anon_sym___thread] = ACTIONS(1267),
    [anon_sym_const] = ACTIONS(1267),
    [anon_sym_constexpr] = ACTIONS(1267),
    [anon_sym_volatile] = ACTIONS(1267),
    [anon_sym_restrict] = ACTIONS(1267),
    [anon_sym___restrict__] = ACTIONS(1267),
    [anon_sym__Atomic] = ACTIONS(1267),
    [anon_sym__Noreturn] = ACTIONS(1267),
    [anon_sym_noreturn] = ACTIONS(1267),
    [anon_sym_alignas] = ACTIONS(1267),
    [anon_sym__Alignas] = ACTIONS(1267),
    [sym_primitive_type] = ACTIONS(1267),
    [anon_sym_enum] = ACTIONS(1267),
    [anon_sym_struct] = ACTIONS(1267),
    [anon_sym_union] = ACTIONS(1267),
    [anon_sym_if] = ACTIONS(1267),
    [anon_sym_switch] = ACTIONS(1267),
    [anon_sym_case] = ACTIONS(1267),
    [anon_sym_default] = ACTIONS(1267),
    [anon_sym_while] = ACTIONS(1267),
    [anon_sym_do] = ACTIONS(1267),
    [anon_sym_for] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(1267),
    [anon_sym_break] = ACTIONS(1267),
    [anon_sym_continue] = ACTIONS(1267),
    [anon_sym_goto] = ACTIONS(1267),
    [anon_sym___try] = ACTIONS(1267),
    [anon_sym___leave] = ACTIONS(1267),
    [anon_sym_DASH_DASH] = ACTIONS(1269),
    [anon_sym_PLUS_PLUS] = ACTIONS(1269),
    [anon_sym_sizeof] = ACTIONS(1267),
    [anon_sym___alignof__] = ACTIONS(1267),
    [anon_sym___alignof] = ACTIONS(1267),
    [anon_sym__alignof] = ACTIONS(1267),
    [anon_sym_alignof] = ACTIONS(1267),
    [anon_sym__Alignof] = ACTIONS(1267),
    [anon_sym_offsetof] = ACTIONS(1267),
    [anon_sym__Generic] = ACTIONS(1267),
    [anon_sym_asm] = ACTIONS(1267),
    [anon_sym___asm__] = ACTIONS(1267),
    [sym_number_literal] = ACTIONS(1269),
    [anon_sym_L_SQUOTE] = ACTIONS(1269),
    [anon_sym_u_SQUOTE] = ACTIONS(1269),
    [anon_sym_U_SQUOTE] = ACTIONS(1269),
    [anon_sym_u8_SQUOTE] = ACTIONS(1269),
    [anon_sym_SQUOTE] = ACTIONS(1269),
    [anon_sym_L_DQUOTE] = ACTIONS(1269),
    [anon_sym_u_DQUOTE] = ACTIONS(1269),
    [anon_sym_U_DQUOTE] = ACTIONS(1269),
    [anon_sym_u8_DQUOTE] = ACTIONS(1269),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_true] = ACTIONS(1267),
    [sym_false] = ACTIONS(1267),
    [anon_sym_NULL] = ACTIONS(1267),
    [anon_sym_nullptr] = ACTIONS(1267),
    [sym_comment] = ACTIONS(3),
  },
  [301] = {
    [sym_identifier] = ACTIONS(1343),
    [aux_sym_preproc_include_token1] = ACTIONS(1343),
    [aux_sym_preproc_def_token1] = ACTIONS(1343),
    [aux_sym_preproc_if_token1] = ACTIONS(1343),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1343),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1343),
    [sym_preproc_directive] = ACTIONS(1343),
    [anon_sym_LPAREN2] = ACTIONS(1345),
    [anon_sym_BANG] = ACTIONS(1345),
    [anon_sym_TILDE] = ACTIONS(1345),
    [anon_sym_DASH] = ACTIONS(1343),
    [anon_sym_PLUS] = ACTIONS(1343),
    [anon_sym_STAR] = ACTIONS(1345),
    [anon_sym_AMP] = ACTIONS(1345),
    [anon_sym_SEMI] = ACTIONS(1345),
    [anon_sym___extension__] = ACTIONS(1343),
    [anon_sym_typedef] = ACTIONS(1343),
    [anon_sym_extern] = ACTIONS(1343),
    [anon_sym___attribute__] = ACTIONS(1343),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1345),
    [anon_sym___declspec] = ACTIONS(1343),
    [anon_sym___cdecl] = ACTIONS(1343),
    [anon_sym___clrcall] = ACTIONS(1343),
    [anon_sym___stdcall] = ACTIONS(1343),
    [anon_sym___fastcall] = ACTIONS(1343),
    [anon_sym___thiscall] = ACTIONS(1343),
    [anon_sym___vectorcall] = ACTIONS(1343),
    [anon_sym_LBRACE] = ACTIONS(1345),
    [anon_sym_RBRACE] = ACTIONS(1345),
    [anon_sym_signed] = ACTIONS(1343),
    [anon_sym_unsigned] = ACTIONS(1343),
    [anon_sym_long] = ACTIONS(1343),
    [anon_sym_short] = ACTIONS(1343),
    [anon_sym_static] = ACTIONS(1343),
    [anon_sym_auto] = ACTIONS(1343),
    [anon_sym_register] = ACTIONS(1343),
    [anon_sym_inline] = ACTIONS(1343),
    [anon_sym___inline] = ACTIONS(1343),
    [anon_sym___inline__] = ACTIONS(1343),
    [anon_sym___forceinline] = ACTIONS(1343),
    [anon_sym_thread_local] = ACTIONS(1343),
    [anon_sym___thread] = ACTIONS(1343),
    [anon_sym_const] = ACTIONS(1343),
    [anon_sym_constexpr] = ACTIONS(1343),
    [anon_sym_volatile] = ACTIONS(1343),
    [anon_sym_restrict] = ACTIONS(1343),
    [anon_sym___restrict__] = ACTIONS(1343),
    [anon_sym__Atomic] = ACTIONS(1343),
    [anon_sym__Noreturn] = ACTIONS(1343),
    [anon_sym_noreturn] = ACTIONS(1343),
    [anon_sym_alignas] = ACTIONS(1343),
    [anon_sym__Alignas] = ACTIONS(1343),
    [sym_primitive_type] = ACTIONS(1343),
    [anon_sym_enum] = ACTIONS(1343),
    [anon_sym_struct] = ACTIONS(1343),
    [anon_sym_union] = ACTIONS(1343),
    [anon_sym_if] = ACTIONS(1343),
    [anon_sym_switch] = ACTIONS(1343),
    [anon_sym_case] = ACTIONS(1343),
    [anon_sym_default] = ACTIONS(1343),
    [anon_sym_while] = ACTIONS(1343),
    [anon_sym_do] = ACTIONS(1343),
    [anon_sym_for] = ACTIONS(1343),
    [anon_sym_return] = ACTIONS(1343),
    [anon_sym_break] = ACTIONS(1343),
    [anon_sym_continue] = ACTIONS(1343),
    [anon_sym_goto] = ACTIONS(1343),
    [anon_sym___try] = ACTIONS(1343),
    [anon_sym___leave] = ACTIONS(1343),
    [anon_sym_DASH_DASH] = ACTIONS(1345),
    [anon_sym_PLUS_PLUS] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(1343),
    [anon_sym___alignof__] = ACTIONS(1343),
    [anon_sym___alignof] = ACTIONS(1343),
    [anon_sym__alignof] = ACTIONS(1343),
    [anon_sym_alignof] = ACTIONS(1343),
    [anon_sym__Alignof] = ACTIONS(1343),
    [anon_sym_offsetof] = ACTIONS(1343),
    [anon_sym__Generic] = ACTIONS(1343),
    [anon_sym_asm] = ACTIONS(1343),
    [anon_sym___asm__] = ACTIONS(1343),
    [sym_number_literal] = ACTIONS(1345),
    [anon_sym_L_SQUOTE] = ACTIONS(1345),
    [anon_sym_u_SQUOTE] = ACTIONS(1345),
    [anon_sym_U_SQUOTE] = ACTIONS(1345),
    [anon_sym_u8_SQUOTE] = ACTIONS(1345),
    [anon_sym_SQUOTE] = ACTIONS(1345),
    [anon_sym_L_DQUOTE] = ACTIONS(1345),
    [anon_sym_u_DQUOTE] = ACTIONS(1345),
    [anon_sym_U_DQUOTE] = ACTIONS(1345),
    [anon_sym_u8_DQUOTE] = ACTIONS(1345),
    [anon_sym_DQUOTE] = ACTIONS(1345),
    [sym_true] = ACTIONS(1343),
    [sym_false] = ACTIONS(1343),
    [anon_sym_NULL] = ACTIONS(1343),
    [anon_sym_nullptr] = ACTIONS(1343),
    [sym_comment] = ACTIONS(3),
  },
  [302] = {
    [sym_identifier] = ACTIONS(1319),
    [aux_sym_preproc_include_token1] = ACTIONS(1319),
    [aux_sym_preproc_def_token1] = ACTIONS(1319),
    [aux_sym_preproc_if_token1] = ACTIONS(1319),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1319),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1319),
    [sym_preproc_directive] = ACTIONS(1319),
    [anon_sym_LPAREN2] = ACTIONS(1321),
    [anon_sym_BANG] = ACTIONS(1321),
    [anon_sym_TILDE] = ACTIONS(1321),
    [anon_sym_DASH] = ACTIONS(1319),
    [anon_sym_PLUS] = ACTIONS(1319),
    [anon_sym_STAR] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(1321),
    [anon_sym_SEMI] = ACTIONS(1321),
    [anon_sym___extension__] = ACTIONS(1319),
    [anon_sym_typedef] = ACTIONS(1319),
    [anon_sym_extern] = ACTIONS(1319),
    [anon_sym___attribute__] = ACTIONS(1319),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1321),
    [anon_sym___declspec] = ACTIONS(1319),
    [anon_sym___cdecl] = ACTIONS(1319),
    [anon_sym___clrcall] = ACTIONS(1319),
    [anon_sym___stdcall] = ACTIONS(1319),
    [anon_sym___fastcall] = ACTIONS(1319),
    [anon_sym___thiscall] = ACTIONS(1319),
    [anon_sym___vectorcall] = ACTIONS(1319),
    [anon_sym_LBRACE] = ACTIONS(1321),
    [anon_sym_RBRACE] = ACTIONS(1321),
    [anon_sym_signed] = ACTIONS(1319),
    [anon_sym_unsigned] = ACTIONS(1319),
    [anon_sym_long] = ACTIONS(1319),
    [anon_sym_short] = ACTIONS(1319),
    [anon_sym_static] = ACTIONS(1319),
    [anon_sym_auto] = ACTIONS(1319),
    [anon_sym_register] = ACTIONS(1319),
    [anon_sym_inline] = ACTIONS(1319),
    [anon_sym___inline] = ACTIONS(1319),
    [anon_sym___inline__] = ACTIONS(1319),
    [anon_sym___forceinline] = ACTIONS(1319),
    [anon_sym_thread_local] = ACTIONS(1319),
    [anon_sym___thread] = ACTIONS(1319),
    [anon_sym_const] = ACTIONS(1319),
    [anon_sym_constexpr] = ACTIONS(1319),
    [anon_sym_volatile] = ACTIONS(1319),
    [anon_sym_restrict] = ACTIONS(1319),
    [anon_sym___restrict__] = ACTIONS(1319),
    [anon_sym__Atomic] = ACTIONS(1319),
    [anon_sym__Noreturn] = ACTIONS(1319),
    [anon_sym_noreturn] = ACTIONS(1319),
    [anon_sym_alignas] = ACTIONS(1319),
    [anon_sym__Alignas] = ACTIONS(1319),
    [sym_primitive_type] = ACTIONS(1319),
    [anon_sym_enum] = ACTIONS(1319),
    [anon_sym_struct] = ACTIONS(1319),
    [anon_sym_union] = ACTIONS(1319),
    [anon_sym_if] = ACTIONS(1319),
    [anon_sym_switch] = ACTIONS(1319),
    [anon_sym_case] = ACTIONS(1319),
    [anon_sym_default] = ACTIONS(1319),
    [anon_sym_while] = ACTIONS(1319),
    [anon_sym_do] = ACTIONS(1319),
    [anon_sym_for] = ACTIONS(1319),
    [anon_sym_return] = ACTIONS(1319),
    [anon_sym_break] = ACTIONS(1319),
    [anon_sym_continue] = ACTIONS(1319),
    [anon_sym_goto] = ACTIONS(1319),
    [anon_sym___try] = ACTIONS(1319),
    [anon_sym___leave] = ACTIONS(1319),
    [anon_sym_DASH_DASH] = ACTIONS(1321),
    [anon_sym_PLUS_PLUS] = ACTIONS(1321),
    [anon_sym_sizeof] = ACTIONS(1319),
    [anon_sym___alignof__] = ACTIONS(1319),
    [anon_sym___alignof] = ACTIONS(1319),
    [anon_sym__alignof] = ACTIONS(1319),
    [anon_sym_alignof] = ACTIONS(1319),
    [anon_sym__Alignof] = ACTIONS(1319),
    [anon_sym_offsetof] = ACTIONS(1319),
    [anon_sym__Generic] = ACTIONS(1319),
    [anon_sym_asm] = ACTIONS(1319),
    [anon_sym___asm__] = ACTIONS(1319),
    [sym_number_literal] = ACTIONS(1321),
    [anon_sym_L_SQUOTE] = ACTIONS(1321),
    [anon_sym_u_SQUOTE] = ACTIONS(1321),
    [anon_sym_U_SQUOTE] = ACTIONS(1321),
    [anon_sym_u8_SQUOTE] = ACTIONS(1321),
    [anon_sym_SQUOTE] = ACTIONS(1321),
    [anon_sym_L_DQUOTE] = ACTIONS(1321),
    [anon_sym_u_DQUOTE] = ACTIONS(1321),
    [anon_sym_U_DQUOTE] = ACTIONS(1321),
    [anon_sym_u8_DQUOTE] = ACTIONS(1321),
    [anon_sym_DQUOTE] = ACTIONS(1321),
    [sym_true] = ACTIONS(1319),
    [sym_false] = ACTIONS(1319),
    [anon_sym_NULL] = ACTIONS(1319),
    [anon_sym_nullptr] = ACTIONS(1319),
    [sym_comment] = ACTIONS(3),
  },
  [303] = {
    [sym_identifier] = ACTIONS(1279),
    [aux_sym_preproc_include_token1] = ACTIONS(1279),
    [aux_sym_preproc_def_token1] = ACTIONS(1279),
    [aux_sym_preproc_if_token1] = ACTIONS(1279),
    [aux_sym_preproc_if_token2] = ACTIONS(1279),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1279),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1279),
    [sym_preproc_directive] = ACTIONS(1279),
    [anon_sym_LPAREN2] = ACTIONS(1281),
    [anon_sym_BANG] = ACTIONS(1281),
    [anon_sym_TILDE] = ACTIONS(1281),
    [anon_sym_DASH] = ACTIONS(1279),
    [anon_sym_PLUS] = ACTIONS(1279),
    [anon_sym_STAR] = ACTIONS(1281),
    [anon_sym_AMP] = ACTIONS(1281),
    [anon_sym_SEMI] = ACTIONS(1281),
    [anon_sym___extension__] = ACTIONS(1279),
    [anon_sym_typedef] = ACTIONS(1279),
    [anon_sym_extern] = ACTIONS(1279),
    [anon_sym___attribute__] = ACTIONS(1279),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1281),
    [anon_sym___declspec] = ACTIONS(1279),
    [anon_sym___cdecl] = ACTIONS(1279),
    [anon_sym___clrcall] = ACTIONS(1279),
    [anon_sym___stdcall] = ACTIONS(1279),
    [anon_sym___fastcall] = ACTIONS(1279),
    [anon_sym___thiscall] = ACTIONS(1279),
    [anon_sym___vectorcall] = ACTIONS(1279),
    [anon_sym_LBRACE] = ACTIONS(1281),
    [anon_sym_signed] = ACTIONS(1279),
    [anon_sym_unsigned] = ACTIONS(1279),
    [anon_sym_long] = ACTIONS(1279),
    [anon_sym_short] = ACTIONS(1279),
    [anon_sym_static] = ACTIONS(1279),
    [anon_sym_auto] = ACTIONS(1279),
    [anon_sym_register] = ACTIONS(1279),
    [anon_sym_inline] = ACTIONS(1279),
    [anon_sym___inline] = ACTIONS(1279),
    [anon_sym___inline__] = ACTIONS(1279),
    [anon_sym___forceinline] = ACTIONS(1279),
    [anon_sym_thread_local] = ACTIONS(1279),
    [anon_sym___thread] = ACTIONS(1279),
    [anon_sym_const] = ACTIONS(1279),
    [anon_sym_constexpr] = ACTIONS(1279),
    [anon_sym_volatile] = ACTIONS(1279),
    [anon_sym_restrict] = ACTIONS(1279),
    [anon_sym___restrict__] = ACTIONS(1279),
    [anon_sym__Atomic] = ACTIONS(1279),
    [anon_sym__Noreturn] = ACTIONS(1279),
    [anon_sym_noreturn] = ACTIONS(1279),
    [anon_sym_alignas] = ACTIONS(1279),
    [anon_sym__Alignas] = ACTIONS(1279),
    [sym_primitive_type] = ACTIONS(1279),
    [anon_sym_enum] = ACTIONS(1279),
    [anon_sym_struct] = ACTIONS(1279),
    [anon_sym_union] = ACTIONS(1279),
    [anon_sym_if] = ACTIONS(1279),
    [anon_sym_switch] = ACTIONS(1279),
    [anon_sym_case] = ACTIONS(1279),
    [anon_sym_default] = ACTIONS(1279),
    [anon_sym_while] = ACTIONS(1279),
    [anon_sym_do] = ACTIONS(1279),
    [anon_sym_for] = ACTIONS(1279),
    [anon_sym_return] = ACTIONS(1279),
    [anon_sym_break] = ACTIONS(1279),
    [anon_sym_continue] = ACTIONS(1279),
    [anon_sym_goto] = ACTIONS(1279),
    [anon_sym___try] = ACTIONS(1279),
    [anon_sym___leave] = ACTIONS(1279),
    [anon_sym_DASH_DASH] = ACTIONS(1281),
    [anon_sym_PLUS_PLUS] = ACTIONS(1281),
    [anon_sym_sizeof] = ACTIONS(1279),
    [anon_sym___alignof__] = ACTIONS(1279),
    [anon_sym___alignof] = ACTIONS(1279),
    [anon_sym__alignof] = ACTIONS(1279),
    [anon_sym_alignof] = ACTIONS(1279),
    [anon_sym__Alignof] = ACTIONS(1279),
    [anon_sym_offsetof] = ACTIONS(1279),
    [anon_sym__Generic] = ACTIONS(1279),
    [anon_sym_asm] = ACTIONS(1279),
    [anon_sym___asm__] = ACTIONS(1279),
    [sym_number_literal] = ACTIONS(1281),
    [anon_sym_L_SQUOTE] = ACTIONS(1281),
    [anon_sym_u_SQUOTE] = ACTIONS(1281),
    [anon_sym_U_SQUOTE] = ACTIONS(1281),
    [anon_sym_u8_SQUOTE] = ACTIONS(1281),
    [anon_sym_SQUOTE] = ACTIONS(1281),
    [anon_sym_L_DQUOTE] = ACTIONS(1281),
    [anon_sym_u_DQUOTE] = ACTIONS(1281),
    [anon_sym_U_DQUOTE] = ACTIONS(1281),
    [anon_sym_u8_DQUOTE] = ACTIONS(1281),
    [anon_sym_DQUOTE] = ACTIONS(1281),
    [sym_true] = ACTIONS(1279),
    [sym_false] = ACTIONS(1279),
    [anon_sym_NULL] = ACTIONS(1279),
    [anon_sym_nullptr] = ACTIONS(1279),
    [sym_comment] = ACTIONS(3),
  },
  [304] = {
    [sym_identifier] = ACTIONS(1307),
    [aux_sym_preproc_include_token1] = ACTIONS(1307),
    [aux_sym_preproc_def_token1] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1307),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1307),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1307),
    [sym_preproc_directive] = ACTIONS(1307),
    [anon_sym_LPAREN2] = ACTIONS(1309),
    [anon_sym_BANG] = ACTIONS(1309),
    [anon_sym_TILDE] = ACTIONS(1309),
    [anon_sym_DASH] = ACTIONS(1307),
    [anon_sym_PLUS] = ACTIONS(1307),
    [anon_sym_STAR] = ACTIONS(1309),
    [anon_sym_AMP] = ACTIONS(1309),
    [anon_sym_SEMI] = ACTIONS(1309),
    [anon_sym___extension__] = ACTIONS(1307),
    [anon_sym_typedef] = ACTIONS(1307),
    [anon_sym_extern] = ACTIONS(1307),
    [anon_sym___attribute__] = ACTIONS(1307),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1309),
    [anon_sym___declspec] = ACTIONS(1307),
    [anon_sym___cdecl] = ACTIONS(1307),
    [anon_sym___clrcall] = ACTIONS(1307),
    [anon_sym___stdcall] = ACTIONS(1307),
    [anon_sym___fastcall] = ACTIONS(1307),
    [anon_sym___thiscall] = ACTIONS(1307),
    [anon_sym___vectorcall] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_RBRACE] = ACTIONS(1309),
    [anon_sym_signed] = ACTIONS(1307),
    [anon_sym_unsigned] = ACTIONS(1307),
    [anon_sym_long] = ACTIONS(1307),
    [anon_sym_short] = ACTIONS(1307),
    [anon_sym_static] = ACTIONS(1307),
    [anon_sym_auto] = ACTIONS(1307),
    [anon_sym_register] = ACTIONS(1307),
    [anon_sym_inline] = ACTIONS(1307),
    [anon_sym___inline] = ACTIONS(1307),
    [anon_sym___inline__] = ACTIONS(1307),
    [anon_sym___forceinline] = ACTIONS(1307),
    [anon_sym_thread_local] = ACTIONS(1307),
    [anon_sym___thread] = ACTIONS(1307),
    [anon_sym_const] = ACTIONS(1307),
    [anon_sym_constexpr] = ACTIONS(1307),
    [anon_sym_volatile] = ACTIONS(1307),
    [anon_sym_restrict] = ACTIONS(1307),
    [anon_sym___restrict__] = ACTIONS(1307),
    [anon_sym__Atomic] = ACTIONS(1307),
    [anon_sym__Noreturn] = ACTIONS(1307),
    [anon_sym_noreturn] = ACTIONS(1307),
    [anon_sym_alignas] = ACTIONS(1307),
    [anon_sym__Alignas] = ACTIONS(1307),
    [sym_primitive_type] = ACTIONS(1307),
    [anon_sym_enum] = ACTIONS(1307),
    [anon_sym_struct] = ACTIONS(1307),
    [anon_sym_union] = ACTIONS(1307),
    [anon_sym_if] = ACTIONS(1307),
    [anon_sym_switch] = ACTIONS(1307),
    [anon_sym_case] = ACTIONS(1307),
    [anon_sym_default] = ACTIONS(1307),
    [anon_sym_while] = ACTIONS(1307),
    [anon_sym_do] = ACTIONS(1307),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_return] = ACTIONS(1307),
    [anon_sym_break] = ACTIONS(1307),
    [anon_sym_continue] = ACTIONS(1307),
    [anon_sym_goto] = ACTIONS(1307),
    [anon_sym___try] = ACTIONS(1307),
    [anon_sym___leave] = ACTIONS(1307),
    [anon_sym_DASH_DASH] = ACTIONS(1309),
    [anon_sym_PLUS_PLUS] = ACTIONS(1309),
    [anon_sym_sizeof] = ACTIONS(1307),
    [anon_sym___alignof__] = ACTIONS(1307),
    [anon_sym___alignof] = ACTIONS(1307),
    [anon_sym__alignof] = ACTIONS(1307),
    [anon_sym_alignof] = ACTIONS(1307),
    [anon_sym__Alignof] = ACTIONS(1307),
    [anon_sym_offsetof] = ACTIONS(1307),
    [anon_sym__Generic] = ACTIONS(1307),
    [anon_sym_asm] = ACTIONS(1307),
    [anon_sym___asm__] = ACTIONS(1307),
    [sym_number_literal] = ACTIONS(1309),
    [anon_sym_L_SQUOTE] = ACTIONS(1309),
    [anon_sym_u_SQUOTE] = ACTIONS(1309),
    [anon_sym_U_SQUOTE] = ACTIONS(1309),
    [anon_sym_u8_SQUOTE] = ACTIONS(1309),
    [anon_sym_SQUOTE] = ACTIONS(1309),
    [anon_sym_L_DQUOTE] = ACTIONS(1309),
    [anon_sym_u_DQUOTE] = ACTIONS(1309),
    [anon_sym_U_DQUOTE] = ACTIONS(1309),
    [anon_sym_u8_DQUOTE] = ACTIONS(1309),
    [anon_sym_DQUOTE] = ACTIONS(1309),
    [sym_true] = ACTIONS(1307),
    [sym_false] = ACTIONS(1307),
    [anon_sym_NULL] = ACTIONS(1307),
    [anon_sym_nullptr] = ACTIONS(1307),
    [sym_comment] = ACTIONS(3),
  },
  [305] = {
    [sym_identifier] = ACTIONS(1347),
    [aux_sym_preproc_include_token1] = ACTIONS(1347),
    [aux_sym_preproc_def_token1] = ACTIONS(1347),
    [aux_sym_preproc_if_token1] = ACTIONS(1347),
    [aux_sym_preproc_if_token2] = ACTIONS(1347),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1347),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1347),
    [sym_preproc_directive] = ACTIONS(1347),
    [anon_sym_LPAREN2] = ACTIONS(1349),
    [anon_sym_BANG] = ACTIONS(1349),
    [anon_sym_TILDE] = ACTIONS(1349),
    [anon_sym_DASH] = ACTIONS(1347),
    [anon_sym_PLUS] = ACTIONS(1347),
    [anon_sym_STAR] = ACTIONS(1349),
    [anon_sym_AMP] = ACTIONS(1349),
    [anon_sym_SEMI] = ACTIONS(1349),
    [anon_sym___extension__] = ACTIONS(1347),
    [anon_sym_typedef] = ACTIONS(1347),
    [anon_sym_extern] = ACTIONS(1347),
    [anon_sym___attribute__] = ACTIONS(1347),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1349),
    [anon_sym___declspec] = ACTIONS(1347),
    [anon_sym___cdecl] = ACTIONS(1347),
    [anon_sym___clrcall] = ACTIONS(1347),
    [anon_sym___stdcall] = ACTIONS(1347),
    [anon_sym___fastcall] = ACTIONS(1347),
    [anon_sym___thiscall] = ACTIONS(1347),
    [anon_sym___vectorcall] = ACTIONS(1347),
    [anon_sym_LBRACE] = ACTIONS(1349),
    [anon_sym_signed] = ACTIONS(1347),
    [anon_sym_unsigned] = ACTIONS(1347),
    [anon_sym_long] = ACTIONS(1347),
    [anon_sym_short] = ACTIONS(1347),
    [anon_sym_static] = ACTIONS(1347),
    [anon_sym_auto] = ACTIONS(1347),
    [anon_sym_register] = ACTIONS(1347),
    [anon_sym_inline] = ACTIONS(1347),
    [anon_sym___inline] = ACTIONS(1347),
    [anon_sym___inline__] = ACTIONS(1347),
    [anon_sym___forceinline] = ACTIONS(1347),
    [anon_sym_thread_local] = ACTIONS(1347),
    [anon_sym___thread] = ACTIONS(1347),
    [anon_sym_const] = ACTIONS(1347),
    [anon_sym_constexpr] = ACTIONS(1347),
    [anon_sym_volatile] = ACTIONS(1347),
    [anon_sym_restrict] = ACTIONS(1347),
    [anon_sym___restrict__] = ACTIONS(1347),
    [anon_sym__Atomic] = ACTIONS(1347),
    [anon_sym__Noreturn] = ACTIONS(1347),
    [anon_sym_noreturn] = ACTIONS(1347),
    [anon_sym_alignas] = ACTIONS(1347),
    [anon_sym__Alignas] = ACTIONS(1347),
    [sym_primitive_type] = ACTIONS(1347),
    [anon_sym_enum] = ACTIONS(1347),
    [anon_sym_struct] = ACTIONS(1347),
    [anon_sym_union] = ACTIONS(1347),
    [anon_sym_if] = ACTIONS(1347),
    [anon_sym_switch] = ACTIONS(1347),
    [anon_sym_case] = ACTIONS(1347),
    [anon_sym_default] = ACTIONS(1347),
    [anon_sym_while] = ACTIONS(1347),
    [anon_sym_do] = ACTIONS(1347),
    [anon_sym_for] = ACTIONS(1347),
    [anon_sym_return] = ACTIONS(1347),
    [anon_sym_break] = ACTIONS(1347),
    [anon_sym_continue] = ACTIONS(1347),
    [anon_sym_goto] = ACTIONS(1347),
    [anon_sym___try] = ACTIONS(1347),
    [anon_sym___leave] = ACTIONS(1347),
    [anon_sym_DASH_DASH] = ACTIONS(1349),
    [anon_sym_PLUS_PLUS] = ACTIONS(1349),
    [anon_sym_sizeof] = ACTIONS(1347),
    [anon_sym___alignof__] = ACTIONS(1347),
    [anon_sym___alignof] = ACTIONS(1347),
    [anon_sym__alignof] = ACTIONS(1347),
    [anon_sym_alignof] = ACTIONS(1347),
    [anon_sym__Alignof] = ACTIONS(1347),
    [anon_sym_offsetof] = ACTIONS(1347),
    [anon_sym__Generic] = ACTIONS(1347),
    [anon_sym_asm] = ACTIONS(1347),
    [anon_sym___asm__] = ACTIONS(1347),
    [sym_number_literal] = ACTIONS(1349),
    [anon_sym_L_SQUOTE] = ACTIONS(1349),
    [anon_sym_u_SQUOTE] = ACTIONS(1349),
    [anon_sym_U_SQUOTE] = ACTIONS(1349),
    [anon_sym_u8_SQUOTE] = ACTIONS(1349),
    [anon_sym_SQUOTE] = ACTIONS(1349),
    [anon_sym_L_DQUOTE] = ACTIONS(1349),
    [anon_sym_u_DQUOTE] = ACTIONS(1349),
    [anon_sym_U_DQUOTE] = ACTIONS(1349),
    [anon_sym_u8_DQUOTE] = ACTIONS(1349),
    [anon_sym_DQUOTE] = ACTIONS(1349),
    [sym_true] = ACTIONS(1347),
    [sym_false] = ACTIONS(1347),
    [anon_sym_NULL] = ACTIONS(1347),
    [anon_sym_nullptr] = ACTIONS(1347),
    [sym_comment] = ACTIONS(3),
  },
  [306] = {
    [sym_identifier] = ACTIONS(1291),
    [aux_sym_preproc_include_token1] = ACTIONS(1291),
    [aux_sym_preproc_def_token1] = ACTIONS(1291),
    [aux_sym_preproc_if_token1] = ACTIONS(1291),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1291),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1291),
    [sym_preproc_directive] = ACTIONS(1291),
    [anon_sym_LPAREN2] = ACTIONS(1293),
    [anon_sym_BANG] = ACTIONS(1293),
    [anon_sym_TILDE] = ACTIONS(1293),
    [anon_sym_DASH] = ACTIONS(1291),
    [anon_sym_PLUS] = ACTIONS(1291),
    [anon_sym_STAR] = ACTIONS(1293),
    [anon_sym_AMP] = ACTIONS(1293),
    [anon_sym_SEMI] = ACTIONS(1293),
    [anon_sym___extension__] = ACTIONS(1291),
    [anon_sym_typedef] = ACTIONS(1291),
    [anon_sym_extern] = ACTIONS(1291),
    [anon_sym___attribute__] = ACTIONS(1291),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1293),
    [anon_sym___declspec] = ACTIONS(1291),
    [anon_sym___cdecl] = ACTIONS(1291),
    [anon_sym___clrcall] = ACTIONS(1291),
    [anon_sym___stdcall] = ACTIONS(1291),
    [anon_sym___fastcall] = ACTIONS(1291),
    [anon_sym___thiscall] = ACTIONS(1291),
    [anon_sym___vectorcall] = ACTIONS(1291),
    [anon_sym_LBRACE] = ACTIONS(1293),
    [anon_sym_RBRACE] = ACTIONS(1293),
    [anon_sym_signed] = ACTIONS(1291),
    [anon_sym_unsigned] = ACTIONS(1291),
    [anon_sym_long] = ACTIONS(1291),
    [anon_sym_short] = ACTIONS(1291),
    [anon_sym_static] = ACTIONS(1291),
    [anon_sym_auto] = ACTIONS(1291),
    [anon_sym_register] = ACTIONS(1291),
    [anon_sym_inline] = ACTIONS(1291),
    [anon_sym___inline] = ACTIONS(1291),
    [anon_sym___inline__] = ACTIONS(1291),
    [anon_sym___forceinline] = ACTIONS(1291),
    [anon_sym_thread_local] = ACTIONS(1291),
    [anon_sym___thread] = ACTIONS(1291),
    [anon_sym_const] = ACTIONS(1291),
    [anon_sym_constexpr] = ACTIONS(1291),
    [anon_sym_volatile] = ACTIONS(1291),
    [anon_sym_restrict] = ACTIONS(1291),
    [anon_sym___restrict__] = ACTIONS(1291),
    [anon_sym__Atomic] = ACTIONS(1291),
    [anon_sym__Noreturn] = ACTIONS(1291),
    [anon_sym_noreturn] = ACTIONS(1291),
    [anon_sym_alignas] = ACTIONS(1291),
    [anon_sym__Alignas] = ACTIONS(1291),
    [sym_primitive_type] = ACTIONS(1291),
    [anon_sym_enum] = ACTIONS(1291),
    [anon_sym_struct] = ACTIONS(1291),
    [anon_sym_union] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1291),
    [anon_sym_switch] = ACTIONS(1291),
    [anon_sym_case] = ACTIONS(1291),
    [anon_sym_default] = ACTIONS(1291),
    [anon_sym_while] = ACTIONS(1291),
    [anon_sym_do] = ACTIONS(1291),
    [anon_sym_for] = ACTIONS(1291),
    [anon_sym_return] = ACTIONS(1291),
    [anon_sym_break] = ACTIONS(1291),
    [anon_sym_continue] = ACTIONS(1291),
    [anon_sym_goto] = ACTIONS(1291),
    [anon_sym___try] = ACTIONS(1291),
    [anon_sym___leave] = ACTIONS(1291),
    [anon_sym_DASH_DASH] = ACTIONS(1293),
    [anon_sym_PLUS_PLUS] = ACTIONS(1293),
    [anon_sym_sizeof] = ACTIONS(1291),
    [anon_sym___alignof__] = ACTIONS(1291),
    [anon_sym___alignof] = ACTIONS(1291),
    [anon_sym__alignof] = ACTIONS(1291),
    [anon_sym_alignof] = ACTIONS(1291),
    [anon_sym__Alignof] = ACTIONS(1291),
    [anon_sym_offsetof] = ACTIONS(1291),
    [anon_sym__Generic] = ACTIONS(1291),
    [anon_sym_asm] = ACTIONS(1291),
    [anon_sym___asm__] = ACTIONS(1291),
    [sym_number_literal] = ACTIONS(1293),
    [anon_sym_L_SQUOTE] = ACTIONS(1293),
    [anon_sym_u_SQUOTE] = ACTIONS(1293),
    [anon_sym_U_SQUOTE] = ACTIONS(1293),
    [anon_sym_u8_SQUOTE] = ACTIONS(1293),
    [anon_sym_SQUOTE] = ACTIONS(1293),
    [anon_sym_L_DQUOTE] = ACTIONS(1293),
    [anon_sym_u_DQUOTE] = ACTIONS(1293),
    [anon_sym_U_DQUOTE] = ACTIONS(1293),
    [anon_sym_u8_DQUOTE] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(1293),
    [sym_true] = ACTIONS(1291),
    [sym_false] = ACTIONS(1291),
    [anon_sym_NULL] = ACTIONS(1291),
    [anon_sym_nullptr] = ACTIONS(1291),
    [sym_comment] = ACTIONS(3),
  },
  [307] = {
    [sym_identifier] = ACTIONS(1331),
    [aux_sym_preproc_include_token1] = ACTIONS(1331),
    [aux_sym_preproc_def_token1] = ACTIONS(1331),
    [aux_sym_preproc_if_token1] = ACTIONS(1331),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1331),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1331),
    [sym_preproc_directive] = ACTIONS(1331),
    [anon_sym_LPAREN2] = ACTIONS(1333),
    [anon_sym_BANG] = ACTIONS(1333),
    [anon_sym_TILDE] = ACTIONS(1333),
    [anon_sym_DASH] = ACTIONS(1331),
    [anon_sym_PLUS] = ACTIONS(1331),
    [anon_sym_STAR] = ACTIONS(1333),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_SEMI] = ACTIONS(1333),
    [anon_sym___extension__] = ACTIONS(1331),
    [anon_sym_typedef] = ACTIONS(1331),
    [anon_sym_extern] = ACTIONS(1331),
    [anon_sym___attribute__] = ACTIONS(1331),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1333),
    [anon_sym___declspec] = ACTIONS(1331),
    [anon_sym___cdecl] = ACTIONS(1331),
    [anon_sym___clrcall] = ACTIONS(1331),
    [anon_sym___stdcall] = ACTIONS(1331),
    [anon_sym___fastcall] = ACTIONS(1331),
    [anon_sym___thiscall] = ACTIONS(1331),
    [anon_sym___vectorcall] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(1333),
    [anon_sym_RBRACE] = ACTIONS(1333),
    [anon_sym_signed] = ACTIONS(1331),
    [anon_sym_unsigned] = ACTIONS(1331),
    [anon_sym_long] = ACTIONS(1331),
    [anon_sym_short] = ACTIONS(1331),
    [anon_sym_static] = ACTIONS(1331),
    [anon_sym_auto] = ACTIONS(1331),
    [anon_sym_register] = ACTIONS(1331),
    [anon_sym_inline] = ACTIONS(1331),
    [anon_sym___inline] = ACTIONS(1331),
    [anon_sym___inline__] = ACTIONS(1331),
    [anon_sym___forceinline] = ACTIONS(1331),
    [anon_sym_thread_local] = ACTIONS(1331),
    [anon_sym___thread] = ACTIONS(1331),
    [anon_sym_const] = ACTIONS(1331),
    [anon_sym_constexpr] = ACTIONS(1331),
    [anon_sym_volatile] = ACTIONS(1331),
    [anon_sym_restrict] = ACTIONS(1331),
    [anon_sym___restrict__] = ACTIONS(1331),
    [anon_sym__Atomic] = ACTIONS(1331),
    [anon_sym__Noreturn] = ACTIONS(1331),
    [anon_sym_noreturn] = ACTIONS(1331),
    [anon_sym_alignas] = ACTIONS(1331),
    [anon_sym__Alignas] = ACTIONS(1331),
    [sym_primitive_type] = ACTIONS(1331),
    [anon_sym_enum] = ACTIONS(1331),
    [anon_sym_struct] = ACTIONS(1331),
    [anon_sym_union] = ACTIONS(1331),
    [anon_sym_if] = ACTIONS(1331),
    [anon_sym_switch] = ACTIONS(1331),
    [anon_sym_case] = ACTIONS(1331),
    [anon_sym_default] = ACTIONS(1331),
    [anon_sym_while] = ACTIONS(1331),
    [anon_sym_do] = ACTIONS(1331),
    [anon_sym_for] = ACTIONS(1331),
    [anon_sym_return] = ACTIONS(1331),
    [anon_sym_break] = ACTIONS(1331),
    [anon_sym_continue] = ACTIONS(1331),
    [anon_sym_goto] = ACTIONS(1331),
    [anon_sym___try] = ACTIONS(1331),
    [anon_sym___leave] = ACTIONS(1331),
    [anon_sym_DASH_DASH] = ACTIONS(1333),
    [anon_sym_PLUS_PLUS] = ACTIONS(1333),
    [anon_sym_sizeof] = ACTIONS(1331),
    [anon_sym___alignof__] = ACTIONS(1331),
    [anon_sym___alignof] = ACTIONS(1331),
    [anon_sym__alignof] = ACTIONS(1331),
    [anon_sym_alignof] = ACTIONS(1331),
    [anon_sym__Alignof] = ACTIONS(1331),
    [anon_sym_offsetof] = ACTIONS(1331),
    [anon_sym__Generic] = ACTIONS(1331),
    [anon_sym_asm] = ACTIONS(1331),
    [anon_sym___asm__] = ACTIONS(1331),
    [sym_number_literal] = ACTIONS(1333),
    [anon_sym_L_SQUOTE] = ACTIONS(1333),
    [anon_sym_u_SQUOTE] = ACTIONS(1333),
    [anon_sym_U_SQUOTE] = ACTIONS(1333),
    [anon_sym_u8_SQUOTE] = ACTIONS(1333),
    [anon_sym_SQUOTE] = ACTIONS(1333),
    [anon_sym_L_DQUOTE] = ACTIONS(1333),
    [anon_sym_u_DQUOTE] = ACTIONS(1333),
    [anon_sym_U_DQUOTE] = ACTIONS(1333),
    [anon_sym_u8_DQUOTE] = ACTIONS(1333),
    [anon_sym_DQUOTE] = ACTIONS(1333),
    [sym_true] = ACTIONS(1331),
    [sym_false] = ACTIONS(1331),
    [anon_sym_NULL] = ACTIONS(1331),
    [anon_sym_nullptr] = ACTIONS(1331),
    [sym_comment] = ACTIONS(3),
  },
  [308] = {
    [sym_identifier] = ACTIONS(1259),
    [aux_sym_preproc_include_token1] = ACTIONS(1259),
    [aux_sym_preproc_def_token1] = ACTIONS(1259),
    [aux_sym_preproc_if_token1] = ACTIONS(1259),
    [aux_sym_preproc_if_token2] = ACTIONS(1259),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1259),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1259),
    [sym_preproc_directive] = ACTIONS(1259),
    [anon_sym_LPAREN2] = ACTIONS(1261),
    [anon_sym_BANG] = ACTIONS(1261),
    [anon_sym_TILDE] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1259),
    [anon_sym_STAR] = ACTIONS(1261),
    [anon_sym_AMP] = ACTIONS(1261),
    [anon_sym_SEMI] = ACTIONS(1261),
    [anon_sym___extension__] = ACTIONS(1259),
    [anon_sym_typedef] = ACTIONS(1259),
    [anon_sym_extern] = ACTIONS(1259),
    [anon_sym___attribute__] = ACTIONS(1259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1261),
    [anon_sym___declspec] = ACTIONS(1259),
    [anon_sym___cdecl] = ACTIONS(1259),
    [anon_sym___clrcall] = ACTIONS(1259),
    [anon_sym___stdcall] = ACTIONS(1259),
    [anon_sym___fastcall] = ACTIONS(1259),
    [anon_sym___thiscall] = ACTIONS(1259),
    [anon_sym___vectorcall] = ACTIONS(1259),
    [anon_sym_LBRACE] = ACTIONS(1261),
    [anon_sym_signed] = ACTIONS(1259),
    [anon_sym_unsigned] = ACTIONS(1259),
    [anon_sym_long] = ACTIONS(1259),
    [anon_sym_short] = ACTIONS(1259),
    [anon_sym_static] = ACTIONS(1259),
    [anon_sym_auto] = ACTIONS(1259),
    [anon_sym_register] = ACTIONS(1259),
    [anon_sym_inline] = ACTIONS(1259),
    [anon_sym___inline] = ACTIONS(1259),
    [anon_sym___inline__] = ACTIONS(1259),
    [anon_sym___forceinline] = ACTIONS(1259),
    [anon_sym_thread_local] = ACTIONS(1259),
    [anon_sym___thread] = ACTIONS(1259),
    [anon_sym_const] = ACTIONS(1259),
    [anon_sym_constexpr] = ACTIONS(1259),
    [anon_sym_volatile] = ACTIONS(1259),
    [anon_sym_restrict] = ACTIONS(1259),
    [anon_sym___restrict__] = ACTIONS(1259),
    [anon_sym__Atomic] = ACTIONS(1259),
    [anon_sym__Noreturn] = ACTIONS(1259),
    [anon_sym_noreturn] = ACTIONS(1259),
    [anon_sym_alignas] = ACTIONS(1259),
    [anon_sym__Alignas] = ACTIONS(1259),
    [sym_primitive_type] = ACTIONS(1259),
    [anon_sym_enum] = ACTIONS(1259),
    [anon_sym_struct] = ACTIONS(1259),
    [anon_sym_union] = ACTIONS(1259),
    [anon_sym_if] = ACTIONS(1259),
    [anon_sym_switch] = ACTIONS(1259),
    [anon_sym_case] = ACTIONS(1259),
    [anon_sym_default] = ACTIONS(1259),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_do] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1259),
    [anon_sym_return] = ACTIONS(1259),
    [anon_sym_break] = ACTIONS(1259),
    [anon_sym_continue] = ACTIONS(1259),
    [anon_sym_goto] = ACTIONS(1259),
    [anon_sym___try] = ACTIONS(1259),
    [anon_sym___leave] = ACTIONS(1259),
    [anon_sym_DASH_DASH] = ACTIONS(1261),
    [anon_sym_PLUS_PLUS] = ACTIONS(1261),
    [anon_sym_sizeof] = ACTIONS(1259),
    [anon_sym___alignof__] = ACTIONS(1259),
    [anon_sym___alignof] = ACTIONS(1259),
    [anon_sym__alignof] = ACTIONS(1259),
    [anon_sym_alignof] = ACTIONS(1259),
    [anon_sym__Alignof] = ACTIONS(1259),
    [anon_sym_offsetof] = ACTIONS(1259),
    [anon_sym__Generic] = ACTIONS(1259),
    [anon_sym_asm] = ACTIONS(1259),
    [anon_sym___asm__] = ACTIONS(1259),
    [sym_number_literal] = ACTIONS(1261),
    [anon_sym_L_SQUOTE] = ACTIONS(1261),
    [anon_sym_u_SQUOTE] = ACTIONS(1261),
    [anon_sym_U_SQUOTE] = ACTIONS(1261),
    [anon_sym_u8_SQUOTE] = ACTIONS(1261),
    [anon_sym_SQUOTE] = ACTIONS(1261),
    [anon_sym_L_DQUOTE] = ACTIONS(1261),
    [anon_sym_u_DQUOTE] = ACTIONS(1261),
    [anon_sym_U_DQUOTE] = ACTIONS(1261),
    [anon_sym_u8_DQUOTE] = ACTIONS(1261),
    [anon_sym_DQUOTE] = ACTIONS(1261),
    [sym_true] = ACTIONS(1259),
    [sym_false] = ACTIONS(1259),
    [anon_sym_NULL] = ACTIONS(1259),
    [anon_sym_nullptr] = ACTIONS(1259),
    [sym_comment] = ACTIONS(3),
  },
  [309] = {
    [sym_identifier] = ACTIONS(1255),
    [aux_sym_preproc_include_token1] = ACTIONS(1255),
    [aux_sym_preproc_def_token1] = ACTIONS(1255),
    [aux_sym_preproc_if_token1] = ACTIONS(1255),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1255),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1255),
    [sym_preproc_directive] = ACTIONS(1255),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(1257),
    [anon_sym_TILDE] = ACTIONS(1257),
    [anon_sym_DASH] = ACTIONS(1255),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_STAR] = ACTIONS(1257),
    [anon_sym_AMP] = ACTIONS(1257),
    [anon_sym_SEMI] = ACTIONS(1257),
    [anon_sym___extension__] = ACTIONS(1255),
    [anon_sym_typedef] = ACTIONS(1255),
    [anon_sym_extern] = ACTIONS(1255),
    [anon_sym___attribute__] = ACTIONS(1255),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1257),
    [anon_sym___declspec] = ACTIONS(1255),
    [anon_sym___cdecl] = ACTIONS(1255),
    [anon_sym___clrcall] = ACTIONS(1255),
    [anon_sym___stdcall] = ACTIONS(1255),
    [anon_sym___fastcall] = ACTIONS(1255),
    [anon_sym___thiscall] = ACTIONS(1255),
    [anon_sym___vectorcall] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1257),
    [anon_sym_RBRACE] = ACTIONS(1257),
    [anon_sym_signed] = ACTIONS(1255),
    [anon_sym_unsigned] = ACTIONS(1255),
    [anon_sym_long] = ACTIONS(1255),
    [anon_sym_short] = ACTIONS(1255),
    [anon_sym_static] = ACTIONS(1255),
    [anon_sym_auto] = ACTIONS(1255),
    [anon_sym_register] = ACTIONS(1255),
    [anon_sym_inline] = ACTIONS(1255),
    [anon_sym___inline] = ACTIONS(1255),
    [anon_sym___inline__] = ACTIONS(1255),
    [anon_sym___forceinline] = ACTIONS(1255),
    [anon_sym_thread_local] = ACTIONS(1255),
    [anon_sym___thread] = ACTIONS(1255),
    [anon_sym_const] = ACTIONS(1255),
    [anon_sym_constexpr] = ACTIONS(1255),
    [anon_sym_volatile] = ACTIONS(1255),
    [anon_sym_restrict] = ACTIONS(1255),
    [anon_sym___restrict__] = ACTIONS(1255),
    [anon_sym__Atomic] = ACTIONS(1255),
    [anon_sym__Noreturn] = ACTIONS(1255),
    [anon_sym_noreturn] = ACTIONS(1255),
    [anon_sym_alignas] = ACTIONS(1255),
    [anon_sym__Alignas] = ACTIONS(1255),
    [sym_primitive_type] = ACTIONS(1255),
    [anon_sym_enum] = ACTIONS(1255),
    [anon_sym_struct] = ACTIONS(1255),
    [anon_sym_union] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1255),
    [anon_sym_switch] = ACTIONS(1255),
    [anon_sym_case] = ACTIONS(1255),
    [anon_sym_default] = ACTIONS(1255),
    [anon_sym_while] = ACTIONS(1255),
    [anon_sym_do] = ACTIONS(1255),
    [anon_sym_for] = ACTIONS(1255),
    [anon_sym_return] = ACTIONS(1255),
    [anon_sym_break] = ACTIONS(1255),
    [anon_sym_continue] = ACTIONS(1255),
    [anon_sym_goto] = ACTIONS(1255),
    [anon_sym___try] = ACTIONS(1255),
    [anon_sym___leave] = ACTIONS(1255),
    [anon_sym_DASH_DASH] = ACTIONS(1257),
    [anon_sym_PLUS_PLUS] = ACTIONS(1257),
    [anon_sym_sizeof] = ACTIONS(1255),
    [anon_sym___alignof__] = ACTIONS(1255),
    [anon_sym___alignof] = ACTIONS(1255),
    [anon_sym__alignof] = ACTIONS(1255),
    [anon_sym_alignof] = ACTIONS(1255),
    [anon_sym__Alignof] = ACTIONS(1255),
    [anon_sym_offsetof] = ACTIONS(1255),
    [anon_sym__Generic] = ACTIONS(1255),
    [anon_sym_asm] = ACTIONS(1255),
    [anon_sym___asm__] = ACTIONS(1255),
    [sym_number_literal] = ACTIONS(1257),
    [anon_sym_L_SQUOTE] = ACTIONS(1257),
    [anon_sym_u_SQUOTE] = ACTIONS(1257),
    [anon_sym_U_SQUOTE] = ACTIONS(1257),
    [anon_sym_u8_SQUOTE] = ACTIONS(1257),
    [anon_sym_SQUOTE] = ACTIONS(1257),
    [anon_sym_L_DQUOTE] = ACTIONS(1257),
    [anon_sym_u_DQUOTE] = ACTIONS(1257),
    [anon_sym_U_DQUOTE] = ACTIONS(1257),
    [anon_sym_u8_DQUOTE] = ACTIONS(1257),
    [anon_sym_DQUOTE] = ACTIONS(1257),
    [sym_true] = ACTIONS(1255),
    [sym_false] = ACTIONS(1255),
    [anon_sym_NULL] = ACTIONS(1255),
    [anon_sym_nullptr] = ACTIONS(1255),
    [sym_comment] = ACTIONS(3),
  },
  [310] = {
    [sym_expression] = STATE(680),
    [sym__string] = STATE(672),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(668),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(668),
    [sym_call_expression] = STATE(668),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(668),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(668),
    [sym_initializer_list] = STATE(676),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym_identifier] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1377),
    [anon_sym_LPAREN2] = ACTIONS(1377),
    [anon_sym_BANG] = ACTIONS(1379),
    [anon_sym_TILDE] = ACTIONS(1381),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_PLUS] = ACTIONS(1383),
    [anon_sym_STAR] = ACTIONS(1383),
    [anon_sym_SLASH] = ACTIONS(1383),
    [anon_sym_PERCENT] = ACTIONS(1383),
    [anon_sym_PIPE_PIPE] = ACTIONS(1377),
    [anon_sym_AMP_AMP] = ACTIONS(1377),
    [anon_sym_PIPE] = ACTIONS(1383),
    [anon_sym_CARET] = ACTIONS(1383),
    [anon_sym_AMP] = ACTIONS(1383),
    [anon_sym_EQ_EQ] = ACTIONS(1377),
    [anon_sym_BANG_EQ] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1383),
    [anon_sym_GT_EQ] = ACTIONS(1377),
    [anon_sym_LT_EQ] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1383),
    [anon_sym_LT_LT] = ACTIONS(1383),
    [anon_sym_GT_GT] = ACTIONS(1383),
    [anon_sym_SEMI] = ACTIONS(1377),
    [anon_sym___attribute__] = ACTIONS(1383),
    [anon_sym_LBRACE] = ACTIONS(1385),
    [anon_sym_RBRACE] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1383),
    [anon_sym_COLON] = ACTIONS(1377),
    [anon_sym_QMARK] = ACTIONS(1377),
    [anon_sym_STAR_EQ] = ACTIONS(1377),
    [anon_sym_SLASH_EQ] = ACTIONS(1377),
    [anon_sym_PERCENT_EQ] = ACTIONS(1377),
    [anon_sym_PLUS_EQ] = ACTIONS(1377),
    [anon_sym_DASH_EQ] = ACTIONS(1377),
    [anon_sym_LT_LT_EQ] = ACTIONS(1377),
    [anon_sym_GT_GT_EQ] = ACTIONS(1377),
    [anon_sym_AMP_EQ] = ACTIONS(1377),
    [anon_sym_CARET_EQ] = ACTIONS(1377),
    [anon_sym_PIPE_EQ] = ACTIONS(1377),
    [anon_sym_DASH_DASH] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1377),
    [anon_sym_sizeof] = ACTIONS(1387),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(1383),
    [anon_sym_DASH_GT] = ACTIONS(1377),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [311] = {
    [ts_builtin_sym_end] = ACTIONS(1273),
    [sym_identifier] = ACTIONS(1271),
    [aux_sym_preproc_include_token1] = ACTIONS(1271),
    [aux_sym_preproc_def_token1] = ACTIONS(1271),
    [anon_sym_COMMA] = ACTIONS(1273),
    [aux_sym_preproc_if_token1] = ACTIONS(1271),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1271),
    [sym_preproc_directive] = ACTIONS(1271),
    [anon_sym_LPAREN2] = ACTIONS(1273),
    [anon_sym_BANG] = ACTIONS(1273),
    [anon_sym_TILDE] = ACTIONS(1273),
    [anon_sym_DASH] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1271),
    [anon_sym_STAR] = ACTIONS(1273),
    [anon_sym_AMP] = ACTIONS(1273),
    [anon_sym___extension__] = ACTIONS(1271),
    [anon_sym_typedef] = ACTIONS(1271),
    [anon_sym_extern] = ACTIONS(1271),
    [anon_sym___attribute__] = ACTIONS(1271),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1273),
    [anon_sym___declspec] = ACTIONS(1271),
    [anon_sym___cdecl] = ACTIONS(1271),
    [anon_sym___clrcall] = ACTIONS(1271),
    [anon_sym___stdcall] = ACTIONS(1271),
    [anon_sym___fastcall] = ACTIONS(1271),
    [anon_sym___thiscall] = ACTIONS(1271),
    [anon_sym___vectorcall] = ACTIONS(1271),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_RBRACE] = ACTIONS(1273),
    [anon_sym_signed] = ACTIONS(1271),
    [anon_sym_unsigned] = ACTIONS(1271),
    [anon_sym_long] = ACTIONS(1271),
    [anon_sym_short] = ACTIONS(1271),
    [anon_sym_static] = ACTIONS(1271),
    [anon_sym_auto] = ACTIONS(1271),
    [anon_sym_register] = ACTIONS(1271),
    [anon_sym_inline] = ACTIONS(1271),
    [anon_sym___inline] = ACTIONS(1271),
    [anon_sym___inline__] = ACTIONS(1271),
    [anon_sym___forceinline] = ACTIONS(1271),
    [anon_sym_thread_local] = ACTIONS(1271),
    [anon_sym___thread] = ACTIONS(1271),
    [anon_sym_const] = ACTIONS(1271),
    [anon_sym_constexpr] = ACTIONS(1271),
    [anon_sym_volatile] = ACTIONS(1271),
    [anon_sym_restrict] = ACTIONS(1271),
    [anon_sym___restrict__] = ACTIONS(1271),
    [anon_sym__Atomic] = ACTIONS(1271),
    [anon_sym__Noreturn] = ACTIONS(1271),
    [anon_sym_noreturn] = ACTIONS(1271),
    [anon_sym_alignas] = ACTIONS(1271),
    [anon_sym__Alignas] = ACTIONS(1271),
    [sym_primitive_type] = ACTIONS(1271),
    [anon_sym_enum] = ACTIONS(1271),
    [anon_sym_struct] = ACTIONS(1271),
    [anon_sym_union] = ACTIONS(1271),
    [anon_sym_if] = ACTIONS(1271),
    [anon_sym_switch] = ACTIONS(1271),
    [anon_sym_case] = ACTIONS(1271),
    [anon_sym_default] = ACTIONS(1271),
    [anon_sym_while] = ACTIONS(1271),
    [anon_sym_do] = ACTIONS(1271),
    [anon_sym_for] = ACTIONS(1271),
    [anon_sym_return] = ACTIONS(1271),
    [anon_sym_break] = ACTIONS(1271),
    [anon_sym_continue] = ACTIONS(1271),
    [anon_sym_goto] = ACTIONS(1271),
    [anon_sym_DASH_DASH] = ACTIONS(1273),
    [anon_sym_PLUS_PLUS] = ACTIONS(1273),
    [anon_sym_sizeof] = ACTIONS(1271),
    [anon_sym___alignof__] = ACTIONS(1271),
    [anon_sym___alignof] = ACTIONS(1271),
    [anon_sym__alignof] = ACTIONS(1271),
    [anon_sym_alignof] = ACTIONS(1271),
    [anon_sym__Alignof] = ACTIONS(1271),
    [anon_sym_offsetof] = ACTIONS(1271),
    [anon_sym__Generic] = ACTIONS(1271),
    [anon_sym_asm] = ACTIONS(1271),
    [anon_sym___asm__] = ACTIONS(1271),
    [sym_number_literal] = ACTIONS(1273),
    [anon_sym_L_SQUOTE] = ACTIONS(1273),
    [anon_sym_u_SQUOTE] = ACTIONS(1273),
    [anon_sym_U_SQUOTE] = ACTIONS(1273),
    [anon_sym_u8_SQUOTE] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1273),
    [anon_sym_L_DQUOTE] = ACTIONS(1273),
    [anon_sym_u_DQUOTE] = ACTIONS(1273),
    [anon_sym_U_DQUOTE] = ACTIONS(1273),
    [anon_sym_u8_DQUOTE] = ACTIONS(1273),
    [anon_sym_DQUOTE] = ACTIONS(1273),
    [sym_true] = ACTIONS(1271),
    [sym_false] = ACTIONS(1271),
    [anon_sym_NULL] = ACTIONS(1271),
    [anon_sym_nullptr] = ACTIONS(1271),
    [sym_comment] = ACTIONS(3),
  },
  [312] = {
    [sym_expression] = STATE(680),
    [sym__string] = STATE(672),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(668),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(668),
    [sym_call_expression] = STATE(668),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(668),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(668),
    [sym_initializer_list] = STATE(676),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(679),
    [sym_null] = STATE(672),
    [sym_identifier] = ACTIONS(1383),
    [anon_sym_COMMA] = ACTIONS(1377),
    [aux_sym_preproc_if_token2] = ACTIONS(1377),
    [aux_sym_preproc_else_token1] = ACTIONS(1377),
    [aux_sym_preproc_elif_token1] = ACTIONS(1383),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1377),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1377),
    [anon_sym_LPAREN2] = ACTIONS(1377),
    [anon_sym_BANG] = ACTIONS(1389),
    [anon_sym_TILDE] = ACTIONS(1391),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_PLUS] = ACTIONS(1383),
    [anon_sym_STAR] = ACTIONS(1383),
    [anon_sym_SLASH] = ACTIONS(1383),
    [anon_sym_PERCENT] = ACTIONS(1383),
    [anon_sym_PIPE_PIPE] = ACTIONS(1377),
    [anon_sym_AMP_AMP] = ACTIONS(1377),
    [anon_sym_PIPE] = ACTIONS(1383),
    [anon_sym_CARET] = ACTIONS(1383),
    [anon_sym_AMP] = ACTIONS(1383),
    [anon_sym_EQ_EQ] = ACTIONS(1377),
    [anon_sym_BANG_EQ] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1383),
    [anon_sym_GT_EQ] = ACTIONS(1377),
    [anon_sym_LT_EQ] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1383),
    [anon_sym_LT_LT] = ACTIONS(1383),
    [anon_sym_GT_GT] = ACTIONS(1383),
    [anon_sym_LBRACE] = ACTIONS(1385),
    [anon_sym_LBRACK] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1383),
    [anon_sym_QMARK] = ACTIONS(1377),
    [anon_sym_STAR_EQ] = ACTIONS(1377),
    [anon_sym_SLASH_EQ] = ACTIONS(1377),
    [anon_sym_PERCENT_EQ] = ACTIONS(1377),
    [anon_sym_PLUS_EQ] = ACTIONS(1377),
    [anon_sym_DASH_EQ] = ACTIONS(1377),
    [anon_sym_LT_LT_EQ] = ACTIONS(1377),
    [anon_sym_GT_GT_EQ] = ACTIONS(1377),
    [anon_sym_AMP_EQ] = ACTIONS(1377),
    [anon_sym_CARET_EQ] = ACTIONS(1377),
    [anon_sym_PIPE_EQ] = ACTIONS(1377),
    [anon_sym_DASH_DASH] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1377),
    [anon_sym_sizeof] = ACTIONS(1393),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(1383),
    [anon_sym_DASH_GT] = ACTIONS(1377),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [313] = {
    [ts_builtin_sym_end] = ACTIONS(1337),
    [sym_identifier] = ACTIONS(1335),
    [aux_sym_preproc_include_token1] = ACTIONS(1335),
    [aux_sym_preproc_def_token1] = ACTIONS(1335),
    [anon_sym_COMMA] = ACTIONS(1337),
    [aux_sym_preproc_if_token1] = ACTIONS(1335),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1335),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1335),
    [sym_preproc_directive] = ACTIONS(1335),
    [anon_sym_LPAREN2] = ACTIONS(1337),
    [anon_sym_BANG] = ACTIONS(1337),
    [anon_sym_TILDE] = ACTIONS(1337),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_STAR] = ACTIONS(1337),
    [anon_sym_AMP] = ACTIONS(1337),
    [anon_sym___extension__] = ACTIONS(1335),
    [anon_sym_typedef] = ACTIONS(1335),
    [anon_sym_extern] = ACTIONS(1335),
    [anon_sym___attribute__] = ACTIONS(1335),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1337),
    [anon_sym___declspec] = ACTIONS(1335),
    [anon_sym___cdecl] = ACTIONS(1335),
    [anon_sym___clrcall] = ACTIONS(1335),
    [anon_sym___stdcall] = ACTIONS(1335),
    [anon_sym___fastcall] = ACTIONS(1335),
    [anon_sym___thiscall] = ACTIONS(1335),
    [anon_sym___vectorcall] = ACTIONS(1335),
    [anon_sym_LBRACE] = ACTIONS(1337),
    [anon_sym_RBRACE] = ACTIONS(1337),
    [anon_sym_signed] = ACTIONS(1335),
    [anon_sym_unsigned] = ACTIONS(1335),
    [anon_sym_long] = ACTIONS(1335),
    [anon_sym_short] = ACTIONS(1335),
    [anon_sym_static] = ACTIONS(1335),
    [anon_sym_auto] = ACTIONS(1335),
    [anon_sym_register] = ACTIONS(1335),
    [anon_sym_inline] = ACTIONS(1335),
    [anon_sym___inline] = ACTIONS(1335),
    [anon_sym___inline__] = ACTIONS(1335),
    [anon_sym___forceinline] = ACTIONS(1335),
    [anon_sym_thread_local] = ACTIONS(1335),
    [anon_sym___thread] = ACTIONS(1335),
    [anon_sym_const] = ACTIONS(1335),
    [anon_sym_constexpr] = ACTIONS(1335),
    [anon_sym_volatile] = ACTIONS(1335),
    [anon_sym_restrict] = ACTIONS(1335),
    [anon_sym___restrict__] = ACTIONS(1335),
    [anon_sym__Atomic] = ACTIONS(1335),
    [anon_sym__Noreturn] = ACTIONS(1335),
    [anon_sym_noreturn] = ACTIONS(1335),
    [anon_sym_alignas] = ACTIONS(1335),
    [anon_sym__Alignas] = ACTIONS(1335),
    [sym_primitive_type] = ACTIONS(1335),
    [anon_sym_enum] = ACTIONS(1335),
    [anon_sym_struct] = ACTIONS(1335),
    [anon_sym_union] = ACTIONS(1335),
    [anon_sym_if] = ACTIONS(1335),
    [anon_sym_switch] = ACTIONS(1335),
    [anon_sym_case] = ACTIONS(1335),
    [anon_sym_default] = ACTIONS(1335),
    [anon_sym_while] = ACTIONS(1335),
    [anon_sym_do] = ACTIONS(1335),
    [anon_sym_for] = ACTIONS(1335),
    [anon_sym_return] = ACTIONS(1335),
    [anon_sym_break] = ACTIONS(1335),
    [anon_sym_continue] = ACTIONS(1335),
    [anon_sym_goto] = ACTIONS(1335),
    [anon_sym_DASH_DASH] = ACTIONS(1337),
    [anon_sym_PLUS_PLUS] = ACTIONS(1337),
    [anon_sym_sizeof] = ACTIONS(1335),
    [anon_sym___alignof__] = ACTIONS(1335),
    [anon_sym___alignof] = ACTIONS(1335),
    [anon_sym__alignof] = ACTIONS(1335),
    [anon_sym_alignof] = ACTIONS(1335),
    [anon_sym__Alignof] = ACTIONS(1335),
    [anon_sym_offsetof] = ACTIONS(1335),
    [anon_sym__Generic] = ACTIONS(1335),
    [anon_sym_asm] = ACTIONS(1335),
    [anon_sym___asm__] = ACTIONS(1335),
    [sym_number_literal] = ACTIONS(1337),
    [anon_sym_L_SQUOTE] = ACTIONS(1337),
    [anon_sym_u_SQUOTE] = ACTIONS(1337),
    [anon_sym_U_SQUOTE] = ACTIONS(1337),
    [anon_sym_u8_SQUOTE] = ACTIONS(1337),
    [anon_sym_SQUOTE] = ACTIONS(1337),
    [anon_sym_L_DQUOTE] = ACTIONS(1337),
    [anon_sym_u_DQUOTE] = ACTIONS(1337),
    [anon_sym_U_DQUOTE] = ACTIONS(1337),
    [anon_sym_u8_DQUOTE] = ACTIONS(1337),
    [anon_sym_DQUOTE] = ACTIONS(1337),
    [sym_true] = ACTIONS(1335),
    [sym_false] = ACTIONS(1335),
    [anon_sym_NULL] = ACTIONS(1335),
    [anon_sym_nullptr] = ACTIONS(1335),
    [sym_comment] = ACTIONS(3),
  },
  [314] = {
    [sym_attribute_declaration] = STATE(330),
    [sym_compound_statement] = STATE(172),
    [sym_attributed_statement] = STATE(172),
    [sym_statement] = STATE(186),
    [sym_labeled_statement] = STATE(172),
    [sym_expression_statement] = STATE(172),
    [sym_if_statement] = STATE(172),
    [sym_switch_statement] = STATE(172),
    [sym_case_statement] = STATE(172),
    [sym_while_statement] = STATE(172),
    [sym_do_statement] = STATE(172),
    [sym_for_statement] = STATE(172),
    [sym_return_statement] = STATE(172),
    [sym_break_statement] = STATE(172),
    [sym_continue_statement] = STATE(172),
    [sym_goto_statement] = STATE(172),
    [sym_seh_try_statement] = STATE(172),
    [sym_seh_leave_statement] = STATE(172),
    [sym_expression] = STATE(1014),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1860),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [aux_sym_attributed_declarator_repeat1] = STATE(330),
    [sym_identifier] = ACTIONS(1395),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(1088),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(1399),
    [anon_sym_default] = ACTIONS(1401),
    [anon_sym_while] = ACTIONS(1090),
    [anon_sym_do] = ACTIONS(69),
    [anon_sym_for] = ACTIONS(1092),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym___try] = ACTIONS(1094),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [315] = {
    [sym_attribute_declaration] = STATE(347),
    [sym_compound_statement] = STATE(159),
    [sym_attributed_statement] = STATE(159),
    [sym_statement] = STATE(210),
    [sym_labeled_statement] = STATE(159),
    [sym_expression_statement] = STATE(159),
    [sym_if_statement] = STATE(159),
    [sym_switch_statement] = STATE(159),
    [sym_case_statement] = STATE(159),
    [sym_while_statement] = STATE(159),
    [sym_do_statement] = STATE(159),
    [sym_for_statement] = STATE(159),
    [sym_return_statement] = STATE(159),
    [sym_break_statement] = STATE(159),
    [sym_continue_statement] = STATE(159),
    [sym_goto_statement] = STATE(159),
    [sym_seh_try_statement] = STATE(159),
    [sym_seh_leave_statement] = STATE(159),
    [sym_expression] = STATE(1019),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1826),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [aux_sym_attributed_declarator_repeat1] = STATE(347),
    [sym_identifier] = ACTIONS(1403),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(930),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(63),
    [anon_sym_default] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_do] = ACTIONS(69),
    [anon_sym_for] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym___try] = ACTIONS(932),
    [anon_sym___leave] = ACTIONS(934),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [316] = {
    [sym_attribute_declaration] = STATE(349),
    [sym_compound_statement] = STATE(112),
    [sym_attributed_statement] = STATE(112),
    [sym_statement] = STATE(83),
    [sym_labeled_statement] = STATE(112),
    [sym_expression_statement] = STATE(112),
    [sym_if_statement] = STATE(112),
    [sym_switch_statement] = STATE(112),
    [sym_case_statement] = STATE(112),
    [sym_while_statement] = STATE(112),
    [sym_do_statement] = STATE(112),
    [sym_for_statement] = STATE(112),
    [sym_return_statement] = STATE(112),
    [sym_break_statement] = STATE(112),
    [sym_continue_statement] = STATE(112),
    [sym_goto_statement] = STATE(112),
    [sym_seh_try_statement] = STATE(112),
    [sym_seh_leave_statement] = STATE(112),
    [sym_expression] = STATE(1029),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1759),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [aux_sym_attributed_declarator_repeat1] = STATE(349),
    [sym_identifier] = ACTIONS(1405),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_case] = ACTIONS(137),
    [anon_sym_default] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_return] = ACTIONS(147),
    [anon_sym_break] = ACTIONS(149),
    [anon_sym_continue] = ACTIONS(151),
    [anon_sym_goto] = ACTIONS(153),
    [anon_sym___try] = ACTIONS(155),
    [anon_sym___leave] = ACTIONS(157),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [317] = {
    [sym_attribute_declaration] = STATE(318),
    [sym_compound_statement] = STATE(229),
    [sym_attributed_statement] = STATE(229),
    [sym_statement] = STATE(236),
    [sym_labeled_statement] = STATE(229),
    [sym_expression_statement] = STATE(229),
    [sym_if_statement] = STATE(229),
    [sym_switch_statement] = STATE(229),
    [sym_case_statement] = STATE(229),
    [sym_while_statement] = STATE(229),
    [sym_do_statement] = STATE(229),
    [sym_for_statement] = STATE(229),
    [sym_return_statement] = STATE(229),
    [sym_break_statement] = STATE(229),
    [sym_continue_statement] = STATE(229),
    [sym_goto_statement] = STATE(229),
    [sym_seh_try_statement] = STATE(229),
    [sym_seh_leave_statement] = STATE(229),
    [sym_expression] = STATE(1004),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1799),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [aux_sym_attributed_declarator_repeat1] = STATE(318),
    [sym_identifier] = ACTIONS(1407),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(424),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(432),
    [anon_sym_if] = ACTIONS(434),
    [anon_sym_switch] = ACTIONS(436),
    [anon_sym_case] = ACTIONS(438),
    [anon_sym_default] = ACTIONS(440),
    [anon_sym_while] = ACTIONS(442),
    [anon_sym_do] = ACTIONS(444),
    [anon_sym_for] = ACTIONS(446),
    [anon_sym_return] = ACTIONS(448),
    [anon_sym_break] = ACTIONS(450),
    [anon_sym_continue] = ACTIONS(452),
    [anon_sym_goto] = ACTIONS(454),
    [anon_sym___try] = ACTIONS(456),
    [anon_sym___leave] = ACTIONS(458),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [318] = {
    [sym_attribute_declaration] = STATE(318),
    [sym_compound_statement] = STATE(229),
    [sym_attributed_statement] = STATE(229),
    [sym_statement] = STATE(236),
    [sym_labeled_statement] = STATE(229),
    [sym_expression_statement] = STATE(229),
    [sym_if_statement] = STATE(229),
    [sym_switch_statement] = STATE(229),
    [sym_case_statement] = STATE(229),
    [sym_while_statement] = STATE(229),
    [sym_do_statement] = STATE(229),
    [sym_for_statement] = STATE(229),
    [sym_return_statement] = STATE(229),
    [sym_break_statement] = STATE(229),
    [sym_continue_statement] = STATE(229),
    [sym_goto_statement] = STATE(229),
    [sym_seh_try_statement] = STATE(229),
    [sym_seh_leave_statement] = STATE(229),
    [sym_expression] = STATE(1004),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1799),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [aux_sym_attributed_declarator_repeat1] = STATE(318),
    [sym_identifier] = ACTIONS(1409),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(1415),
    [anon_sym_TILDE] = ACTIONS(1415),
    [anon_sym_DASH] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1424),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1427),
    [anon_sym_LBRACE] = ACTIONS(1430),
    [anon_sym_if] = ACTIONS(1433),
    [anon_sym_switch] = ACTIONS(1436),
    [anon_sym_case] = ACTIONS(1439),
    [anon_sym_default] = ACTIONS(1442),
    [anon_sym_while] = ACTIONS(1445),
    [anon_sym_do] = ACTIONS(1448),
    [anon_sym_for] = ACTIONS(1451),
    [anon_sym_return] = ACTIONS(1454),
    [anon_sym_break] = ACTIONS(1457),
    [anon_sym_continue] = ACTIONS(1460),
    [anon_sym_goto] = ACTIONS(1463),
    [anon_sym___try] = ACTIONS(1466),
    [anon_sym___leave] = ACTIONS(1469),
    [anon_sym_DASH_DASH] = ACTIONS(1472),
    [anon_sym_PLUS_PLUS] = ACTIONS(1472),
    [anon_sym_sizeof] = ACTIONS(1475),
    [anon_sym___alignof__] = ACTIONS(1478),
    [anon_sym___alignof] = ACTIONS(1478),
    [anon_sym__alignof] = ACTIONS(1478),
    [anon_sym_alignof] = ACTIONS(1478),
    [anon_sym__Alignof] = ACTIONS(1478),
    [anon_sym_offsetof] = ACTIONS(1481),
    [anon_sym__Generic] = ACTIONS(1484),
    [anon_sym_asm] = ACTIONS(1487),
    [anon_sym___asm__] = ACTIONS(1487),
    [sym_number_literal] = ACTIONS(1490),
    [anon_sym_L_SQUOTE] = ACTIONS(1493),
    [anon_sym_u_SQUOTE] = ACTIONS(1493),
    [anon_sym_U_SQUOTE] = ACTIONS(1493),
    [anon_sym_u8_SQUOTE] = ACTIONS(1493),
    [anon_sym_SQUOTE] = ACTIONS(1493),
    [anon_sym_L_DQUOTE] = ACTIONS(1496),
    [anon_sym_u_DQUOTE] = ACTIONS(1496),
    [anon_sym_U_DQUOTE] = ACTIONS(1496),
    [anon_sym_u8_DQUOTE] = ACTIONS(1496),
    [anon_sym_DQUOTE] = ACTIONS(1496),
    [sym_true] = ACTIONS(1499),
    [sym_false] = ACTIONS(1499),
    [anon_sym_NULL] = ACTIONS(1502),
    [anon_sym_nullptr] = ACTIONS(1502),
    [sym_comment] = ACTIONS(3),
  },
  [319] = {
    [sym_attribute_declaration] = STATE(349),
    [sym_compound_statement] = STATE(112),
    [sym_attributed_statement] = STATE(112),
    [sym_statement] = STATE(81),
    [sym_labeled_statement] = STATE(112),
    [sym_expression_statement] = STATE(112),
    [sym_if_statement] = STATE(112),
    [sym_switch_statement] = STATE(112),
    [sym_case_statement] = STATE(112),
    [sym_while_statement] = STATE(112),
    [sym_do_statement] = STATE(112),
    [sym_for_statement] = STATE(112),
    [sym_return_statement] = STATE(112),
    [sym_break_statement] = STATE(112),
    [sym_continue_statement] = STATE(112),
    [sym_goto_statement] = STATE(112),
    [sym_seh_try_statement] = STATE(112),
    [sym_seh_leave_statement] = STATE(112),
    [sym_expression] = STATE(1029),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1759),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [aux_sym_attributed_declarator_repeat1] = STATE(349),
    [sym_identifier] = ACTIONS(1405),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_case] = ACTIONS(137),
    [anon_sym_default] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_return] = ACTIONS(147),
    [anon_sym_break] = ACTIONS(149),
    [anon_sym_continue] = ACTIONS(151),
    [anon_sym_goto] = ACTIONS(153),
    [anon_sym___try] = ACTIONS(155),
    [anon_sym___leave] = ACTIONS(157),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [320] = {
    [sym_attribute_declaration] = STATE(317),
    [sym_compound_statement] = STATE(229),
    [sym_attributed_statement] = STATE(229),
    [sym_statement] = STATE(240),
    [sym_labeled_statement] = STATE(229),
    [sym_expression_statement] = STATE(229),
    [sym_if_statement] = STATE(229),
    [sym_switch_statement] = STATE(229),
    [sym_case_statement] = STATE(229),
    [sym_while_statement] = STATE(229),
    [sym_do_statement] = STATE(229),
    [sym_for_statement] = STATE(229),
    [sym_return_statement] = STATE(229),
    [sym_break_statement] = STATE(229),
    [sym_continue_statement] = STATE(229),
    [sym_goto_statement] = STATE(229),
    [sym_seh_try_statement] = STATE(229),
    [sym_seh_leave_statement] = STATE(229),
    [sym_expression] = STATE(1004),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1799),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [aux_sym_attributed_declarator_repeat1] = STATE(317),
    [sym_identifier] = ACTIONS(1407),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(424),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(432),
    [anon_sym_if] = ACTIONS(434),
    [anon_sym_switch] = ACTIONS(436),
    [anon_sym_case] = ACTIONS(438),
    [anon_sym_default] = ACTIONS(440),
    [anon_sym_while] = ACTIONS(442),
    [anon_sym_do] = ACTIONS(444),
    [anon_sym_for] = ACTIONS(446),
    [anon_sym_return] = ACTIONS(448),
    [anon_sym_break] = ACTIONS(450),
    [anon_sym_continue] = ACTIONS(452),
    [anon_sym_goto] = ACTIONS(454),
    [anon_sym___try] = ACTIONS(456),
    [anon_sym___leave] = ACTIONS(458),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [321] = {
    [sym_attribute_declaration] = STATE(317),
    [sym_compound_statement] = STATE(229),
    [sym_attributed_statement] = STATE(229),
    [sym_statement] = STATE(250),
    [sym_labeled_statement] = STATE(229),
    [sym_expression_statement] = STATE(229),
    [sym_if_statement] = STATE(229),
    [sym_switch_statement] = STATE(229),
    [sym_case_statement] = STATE(229),
    [sym_while_statement] = STATE(229),
    [sym_do_statement] = STATE(229),
    [sym_for_statement] = STATE(229),
    [sym_return_statement] = STATE(229),
    [sym_break_statement] = STATE(229),
    [sym_continue_statement] = STATE(229),
    [sym_goto_statement] = STATE(229),
    [sym_seh_try_statement] = STATE(229),
    [sym_seh_leave_statement] = STATE(229),
    [sym_expression] = STATE(1004),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1799),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [aux_sym_attributed_declarator_repeat1] = STATE(317),
    [sym_identifier] = ACTIONS(1407),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(424),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(432),
    [anon_sym_if] = ACTIONS(434),
    [anon_sym_switch] = ACTIONS(436),
    [anon_sym_case] = ACTIONS(438),
    [anon_sym_default] = ACTIONS(440),
    [anon_sym_while] = ACTIONS(442),
    [anon_sym_do] = ACTIONS(444),
    [anon_sym_for] = ACTIONS(446),
    [anon_sym_return] = ACTIONS(448),
    [anon_sym_break] = ACTIONS(450),
    [anon_sym_continue] = ACTIONS(452),
    [anon_sym_goto] = ACTIONS(454),
    [anon_sym___try] = ACTIONS(456),
    [anon_sym___leave] = ACTIONS(458),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [322] = {
    [sym_attribute_declaration] = STATE(317),
    [sym_compound_statement] = STATE(229),
    [sym_attributed_statement] = STATE(229),
    [sym_statement] = STATE(143),
    [sym_labeled_statement] = STATE(229),
    [sym_expression_statement] = STATE(229),
    [sym_if_statement] = STATE(229),
    [sym_switch_statement] = STATE(229),
    [sym_case_statement] = STATE(229),
    [sym_while_statement] = STATE(229),
    [sym_do_statement] = STATE(229),
    [sym_for_statement] = STATE(229),
    [sym_return_statement] = STATE(229),
    [sym_break_statement] = STATE(229),
    [sym_continue_statement] = STATE(229),
    [sym_goto_statement] = STATE(229),
    [sym_seh_try_statement] = STATE(229),
    [sym_seh_leave_statement] = STATE(229),
    [sym_expression] = STATE(1004),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1799),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [aux_sym_attributed_declarator_repeat1] = STATE(317),
    [sym_identifier] = ACTIONS(1407),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(424),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(432),
    [anon_sym_if] = ACTIONS(434),
    [anon_sym_switch] = ACTIONS(436),
    [anon_sym_case] = ACTIONS(438),
    [anon_sym_default] = ACTIONS(440),
    [anon_sym_while] = ACTIONS(442),
    [anon_sym_do] = ACTIONS(444),
    [anon_sym_for] = ACTIONS(446),
    [anon_sym_return] = ACTIONS(448),
    [anon_sym_break] = ACTIONS(450),
    [anon_sym_continue] = ACTIONS(452),
    [anon_sym_goto] = ACTIONS(454),
    [anon_sym___try] = ACTIONS(456),
    [anon_sym___leave] = ACTIONS(458),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [323] = {
    [sym_attribute_declaration] = STATE(347),
    [sym_compound_statement] = STATE(159),
    [sym_attributed_statement] = STATE(159),
    [sym_statement] = STATE(195),
    [sym_labeled_statement] = STATE(159),
    [sym_expression_statement] = STATE(159),
    [sym_if_statement] = STATE(159),
    [sym_switch_statement] = STATE(159),
    [sym_case_statement] = STATE(159),
    [sym_while_statement] = STATE(159),
    [sym_do_statement] = STATE(159),
    [sym_for_statement] = STATE(159),
    [sym_return_statement] = STATE(159),
    [sym_break_statement] = STATE(159),
    [sym_continue_statement] = STATE(159),
    [sym_goto_statement] = STATE(159),
    [sym_seh_try_statement] = STATE(159),
    [sym_seh_leave_statement] = STATE(159),
    [sym_expression] = STATE(1019),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1826),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [aux_sym_attributed_declarator_repeat1] = STATE(347),
    [sym_identifier] = ACTIONS(1403),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(930),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(63),
    [anon_sym_default] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_do] = ACTIONS(69),
    [anon_sym_for] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym___try] = ACTIONS(932),
    [anon_sym___leave] = ACTIONS(934),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [324] = {
    [sym_attribute_declaration] = STATE(314),
    [sym_compound_statement] = STATE(172),
    [sym_attributed_statement] = STATE(172),
    [sym_statement] = STATE(400),
    [sym_labeled_statement] = STATE(172),
    [sym_expression_statement] = STATE(172),
    [sym_if_statement] = STATE(172),
    [sym_switch_statement] = STATE(172),
    [sym_case_statement] = STATE(172),
    [sym_while_statement] = STATE(172),
    [sym_do_statement] = STATE(172),
    [sym_for_statement] = STATE(172),
    [sym_return_statement] = STATE(172),
    [sym_break_statement] = STATE(172),
    [sym_continue_statement] = STATE(172),
    [sym_goto_statement] = STATE(172),
    [sym_seh_try_statement] = STATE(172),
    [sym_seh_leave_statement] = STATE(172),
    [sym_expression] = STATE(1014),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1860),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [aux_sym_attributed_declarator_repeat1] = STATE(314),
    [sym_identifier] = ACTIONS(1395),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(1088),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(1399),
    [anon_sym_default] = ACTIONS(1401),
    [anon_sym_while] = ACTIONS(1090),
    [anon_sym_do] = ACTIONS(69),
    [anon_sym_for] = ACTIONS(1092),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym___try] = ACTIONS(1094),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [325] = {
    [sym_attribute_declaration] = STATE(314),
    [sym_compound_statement] = STATE(172),
    [sym_attributed_statement] = STATE(172),
    [sym_statement] = STATE(1848),
    [sym_labeled_statement] = STATE(172),
    [sym_expression_statement] = STATE(172),
    [sym_if_statement] = STATE(172),
    [sym_switch_statement] = STATE(172),
    [sym_case_statement] = STATE(172),
    [sym_while_statement] = STATE(172),
    [sym_do_statement] = STATE(172),
    [sym_for_statement] = STATE(172),
    [sym_return_statement] = STATE(172),
    [sym_break_statement] = STATE(172),
    [sym_continue_statement] = STATE(172),
    [sym_goto_statement] = STATE(172),
    [sym_seh_try_statement] = STATE(172),
    [sym_seh_leave_statement] = STATE(172),
    [sym_expression] = STATE(1014),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1860),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [aux_sym_attributed_declarator_repeat1] = STATE(314),
    [sym_identifier] = ACTIONS(1395),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(1088),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(1399),
    [anon_sym_default] = ACTIONS(1401),
    [anon_sym_while] = ACTIONS(1090),
    [anon_sym_do] = ACTIONS(69),
    [anon_sym_for] = ACTIONS(1092),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym___try] = ACTIONS(1094),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [326] = {
    [sym_attribute_declaration] = STATE(314),
    [sym_compound_statement] = STATE(172),
    [sym_attributed_statement] = STATE(172),
    [sym_statement] = STATE(210),
    [sym_labeled_statement] = STATE(172),
    [sym_expression_statement] = STATE(172),
    [sym_if_statement] = STATE(172),
    [sym_switch_statement] = STATE(172),
    [sym_case_statement] = STATE(172),
    [sym_while_statement] = STATE(172),
    [sym_do_statement] = STATE(172),
    [sym_for_statement] = STATE(172),
    [sym_return_statement] = STATE(172),
    [sym_break_statement] = STATE(172),
    [sym_continue_statement] = STATE(172),
    [sym_goto_statement] = STATE(172),
    [sym_seh_try_statement] = STATE(172),
    [sym_seh_leave_statement] = STATE(172),
    [sym_expression] = STATE(1014),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1860),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [aux_sym_attributed_declarator_repeat1] = STATE(314),
    [sym_identifier] = ACTIONS(1395),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(1088),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(1399),
    [anon_sym_default] = ACTIONS(1401),
    [anon_sym_while] = ACTIONS(1090),
    [anon_sym_do] = ACTIONS(69),
    [anon_sym_for] = ACTIONS(1092),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym___try] = ACTIONS(1094),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [327] = {
    [sym_attribute_declaration] = STATE(314),
    [sym_compound_statement] = STATE(172),
    [sym_attributed_statement] = STATE(172),
    [sym_statement] = STATE(195),
    [sym_labeled_statement] = STATE(172),
    [sym_expression_statement] = STATE(172),
    [sym_if_statement] = STATE(172),
    [sym_switch_statement] = STATE(172),
    [sym_case_statement] = STATE(172),
    [sym_while_statement] = STATE(172),
    [sym_do_statement] = STATE(172),
    [sym_for_statement] = STATE(172),
    [sym_return_statement] = STATE(172),
    [sym_break_statement] = STATE(172),
    [sym_continue_statement] = STATE(172),
    [sym_goto_statement] = STATE(172),
    [sym_seh_try_statement] = STATE(172),
    [sym_seh_leave_statement] = STATE(172),
    [sym_expression] = STATE(1014),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1860),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [aux_sym_attributed_declarator_repeat1] = STATE(314),
    [sym_identifier] = ACTIONS(1395),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(1088),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(1399),
    [anon_sym_default] = ACTIONS(1401),
    [anon_sym_while] = ACTIONS(1090),
    [anon_sym_do] = ACTIONS(69),
    [anon_sym_for] = ACTIONS(1092),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym___try] = ACTIONS(1094),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [328] = {
    [sym_attribute_declaration] = STATE(314),
    [sym_compound_statement] = STATE(172),
    [sym_attributed_statement] = STATE(172),
    [sym_statement] = STATE(1962),
    [sym_labeled_statement] = STATE(172),
    [sym_expression_statement] = STATE(172),
    [sym_if_statement] = STATE(172),
    [sym_switch_statement] = STATE(172),
    [sym_case_statement] = STATE(172),
    [sym_while_statement] = STATE(172),
    [sym_do_statement] = STATE(172),
    [sym_for_statement] = STATE(172),
    [sym_return_statement] = STATE(172),
    [sym_break_statement] = STATE(172),
    [sym_continue_statement] = STATE(172),
    [sym_goto_statement] = STATE(172),
    [sym_seh_try_statement] = STATE(172),
    [sym_seh_leave_statement] = STATE(172),
    [sym_expression] = STATE(1014),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1860),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [aux_sym_attributed_declarator_repeat1] = STATE(314),
    [sym_identifier] = ACTIONS(1395),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(1088),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(1399),
    [anon_sym_default] = ACTIONS(1401),
    [anon_sym_while] = ACTIONS(1090),
    [anon_sym_do] = ACTIONS(69),
    [anon_sym_for] = ACTIONS(1092),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym___try] = ACTIONS(1094),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [329] = {
    [sym_attribute_declaration] = STATE(317),
    [sym_compound_statement] = STATE(229),
    [sym_attributed_statement] = STATE(229),
    [sym_statement] = STATE(208),
    [sym_labeled_statement] = STATE(229),
    [sym_expression_statement] = STATE(229),
    [sym_if_statement] = STATE(229),
    [sym_switch_statement] = STATE(229),
    [sym_case_statement] = STATE(229),
    [sym_while_statement] = STATE(229),
    [sym_do_statement] = STATE(229),
    [sym_for_statement] = STATE(229),
    [sym_return_statement] = STATE(229),
    [sym_break_statement] = STATE(229),
    [sym_continue_statement] = STATE(229),
    [sym_goto_statement] = STATE(229),
    [sym_seh_try_statement] = STATE(229),
    [sym_seh_leave_statement] = STATE(229),
    [sym_expression] = STATE(1004),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1799),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [aux_sym_attributed_declarator_repeat1] = STATE(317),
    [sym_identifier] = ACTIONS(1407),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(424),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(432),
    [anon_sym_if] = ACTIONS(434),
    [anon_sym_switch] = ACTIONS(436),
    [anon_sym_case] = ACTIONS(438),
    [anon_sym_default] = ACTIONS(440),
    [anon_sym_while] = ACTIONS(442),
    [anon_sym_do] = ACTIONS(444),
    [anon_sym_for] = ACTIONS(446),
    [anon_sym_return] = ACTIONS(448),
    [anon_sym_break] = ACTIONS(450),
    [anon_sym_continue] = ACTIONS(452),
    [anon_sym_goto] = ACTIONS(454),
    [anon_sym___try] = ACTIONS(456),
    [anon_sym___leave] = ACTIONS(458),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [330] = {
    [sym_attribute_declaration] = STATE(330),
    [sym_compound_statement] = STATE(172),
    [sym_attributed_statement] = STATE(172),
    [sym_statement] = STATE(186),
    [sym_labeled_statement] = STATE(172),
    [sym_expression_statement] = STATE(172),
    [sym_if_statement] = STATE(172),
    [sym_switch_statement] = STATE(172),
    [sym_case_statement] = STATE(172),
    [sym_while_statement] = STATE(172),
    [sym_do_statement] = STATE(172),
    [sym_for_statement] = STATE(172),
    [sym_return_statement] = STATE(172),
    [sym_break_statement] = STATE(172),
    [sym_continue_statement] = STATE(172),
    [sym_goto_statement] = STATE(172),
    [sym_seh_try_statement] = STATE(172),
    [sym_seh_leave_statement] = STATE(172),
    [sym_expression] = STATE(1014),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1860),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [aux_sym_attributed_declarator_repeat1] = STATE(330),
    [sym_identifier] = ACTIONS(1505),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(1415),
    [anon_sym_TILDE] = ACTIONS(1415),
    [anon_sym_DASH] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1508),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1427),
    [anon_sym_LBRACE] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(1514),
    [anon_sym_switch] = ACTIONS(1517),
    [anon_sym_case] = ACTIONS(1520),
    [anon_sym_default] = ACTIONS(1523),
    [anon_sym_while] = ACTIONS(1526),
    [anon_sym_do] = ACTIONS(1529),
    [anon_sym_for] = ACTIONS(1532),
    [anon_sym_return] = ACTIONS(1535),
    [anon_sym_break] = ACTIONS(1538),
    [anon_sym_continue] = ACTIONS(1541),
    [anon_sym_goto] = ACTIONS(1544),
    [anon_sym___try] = ACTIONS(1547),
    [anon_sym___leave] = ACTIONS(1550),
    [anon_sym_DASH_DASH] = ACTIONS(1472),
    [anon_sym_PLUS_PLUS] = ACTIONS(1472),
    [anon_sym_sizeof] = ACTIONS(1475),
    [anon_sym___alignof__] = ACTIONS(1478),
    [anon_sym___alignof] = ACTIONS(1478),
    [anon_sym__alignof] = ACTIONS(1478),
    [anon_sym_alignof] = ACTIONS(1478),
    [anon_sym__Alignof] = ACTIONS(1478),
    [anon_sym_offsetof] = ACTIONS(1481),
    [anon_sym__Generic] = ACTIONS(1484),
    [anon_sym_asm] = ACTIONS(1487),
    [anon_sym___asm__] = ACTIONS(1487),
    [sym_number_literal] = ACTIONS(1490),
    [anon_sym_L_SQUOTE] = ACTIONS(1493),
    [anon_sym_u_SQUOTE] = ACTIONS(1493),
    [anon_sym_U_SQUOTE] = ACTIONS(1493),
    [anon_sym_u8_SQUOTE] = ACTIONS(1493),
    [anon_sym_SQUOTE] = ACTIONS(1493),
    [anon_sym_L_DQUOTE] = ACTIONS(1496),
    [anon_sym_u_DQUOTE] = ACTIONS(1496),
    [anon_sym_U_DQUOTE] = ACTIONS(1496),
    [anon_sym_u8_DQUOTE] = ACTIONS(1496),
    [anon_sym_DQUOTE] = ACTIONS(1496),
    [sym_true] = ACTIONS(1499),
    [sym_false] = ACTIONS(1499),
    [anon_sym_NULL] = ACTIONS(1502),
    [anon_sym_nullptr] = ACTIONS(1502),
    [sym_comment] = ACTIONS(3),
  },
  [331] = {
    [sym_attribute_declaration] = STATE(352),
    [sym_compound_statement] = STATE(172),
    [sym_attributed_statement] = STATE(172),
    [sym_statement] = STATE(176),
    [sym_labeled_statement] = STATE(172),
    [sym_expression_statement] = STATE(172),
    [sym_if_statement] = STATE(172),
    [sym_switch_statement] = STATE(172),
    [sym_case_statement] = STATE(172),
    [sym_while_statement] = STATE(172),
    [sym_do_statement] = STATE(172),
    [sym_for_statement] = STATE(172),
    [sym_return_statement] = STATE(172),
    [sym_break_statement] = STATE(172),
    [sym_continue_statement] = STATE(172),
    [sym_goto_statement] = STATE(172),
    [sym_seh_try_statement] = STATE(172),
    [sym_seh_leave_statement] = STATE(172),
    [sym_expression] = STATE(1014),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1860),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [aux_sym_attributed_declarator_repeat1] = STATE(352),
    [sym_identifier] = ACTIONS(1553),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(376),
    [anon_sym_if] = ACTIONS(380),
    [anon_sym_switch] = ACTIONS(382),
    [anon_sym_case] = ACTIONS(384),
    [anon_sym_default] = ACTIONS(386),
    [anon_sym_while] = ACTIONS(388),
    [anon_sym_do] = ACTIONS(390),
    [anon_sym_for] = ACTIONS(392),
    [anon_sym_return] = ACTIONS(394),
    [anon_sym_break] = ACTIONS(396),
    [anon_sym_continue] = ACTIONS(398),
    [anon_sym_goto] = ACTIONS(400),
    [anon_sym___try] = ACTIONS(402),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [332] = {
    [sym_attribute_declaration] = STATE(314),
    [sym_compound_statement] = STATE(172),
    [sym_attributed_statement] = STATE(172),
    [sym_statement] = STATE(1949),
    [sym_labeled_statement] = STATE(172),
    [sym_expression_statement] = STATE(172),
    [sym_if_statement] = STATE(172),
    [sym_switch_statement] = STATE(172),
    [sym_case_statement] = STATE(172),
    [sym_while_statement] = STATE(172),
    [sym_do_statement] = STATE(172),
    [sym_for_statement] = STATE(172),
    [sym_return_statement] = STATE(172),
    [sym_break_statement] = STATE(172),
    [sym_continue_statement] = STATE(172),
    [sym_goto_statement] = STATE(172),
    [sym_seh_try_statement] = STATE(172),
    [sym_seh_leave_statement] = STATE(172),
    [sym_expression] = STATE(1014),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1860),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [aux_sym_attributed_declarator_repeat1] = STATE(314),
    [sym_identifier] = ACTIONS(1395),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(1088),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(1399),
    [anon_sym_default] = ACTIONS(1401),
    [anon_sym_while] = ACTIONS(1090),
    [anon_sym_do] = ACTIONS(69),
    [anon_sym_for] = ACTIONS(1092),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym___try] = ACTIONS(1094),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [333] = {
    [sym_attribute_declaration] = STATE(352),
    [sym_compound_statement] = STATE(172),
    [sym_attributed_statement] = STATE(172),
    [sym_statement] = STATE(223),
    [sym_labeled_statement] = STATE(172),
    [sym_expression_statement] = STATE(172),
    [sym_if_statement] = STATE(172),
    [sym_switch_statement] = STATE(172),
    [sym_case_statement] = STATE(172),
    [sym_while_statement] = STATE(172),
    [sym_do_statement] = STATE(172),
    [sym_for_statement] = STATE(172),
    [sym_return_statement] = STATE(172),
    [sym_break_statement] = STATE(172),
    [sym_continue_statement] = STATE(172),
    [sym_goto_statement] = STATE(172),
    [sym_seh_try_statement] = STATE(172),
    [sym_seh_leave_statement] = STATE(172),
    [sym_expression] = STATE(1014),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1860),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [aux_sym_attributed_declarator_repeat1] = STATE(352),
    [sym_identifier] = ACTIONS(1553),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(376),
    [anon_sym_if] = ACTIONS(380),
    [anon_sym_switch] = ACTIONS(382),
    [anon_sym_case] = ACTIONS(384),
    [anon_sym_default] = ACTIONS(386),
    [anon_sym_while] = ACTIONS(388),
    [anon_sym_do] = ACTIONS(390),
    [anon_sym_for] = ACTIONS(392),
    [anon_sym_return] = ACTIONS(394),
    [anon_sym_break] = ACTIONS(396),
    [anon_sym_continue] = ACTIONS(398),
    [anon_sym_goto] = ACTIONS(400),
    [anon_sym___try] = ACTIONS(402),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [334] = {
    [sym_attribute_declaration] = STATE(317),
    [sym_compound_statement] = STATE(229),
    [sym_attributed_statement] = STATE(229),
    [sym_statement] = STATE(213),
    [sym_labeled_statement] = STATE(229),
    [sym_expression_statement] = STATE(229),
    [sym_if_statement] = STATE(229),
    [sym_switch_statement] = STATE(229),
    [sym_case_statement] = STATE(229),
    [sym_while_statement] = STATE(229),
    [sym_do_statement] = STATE(229),
    [sym_for_statement] = STATE(229),
    [sym_return_statement] = STATE(229),
    [sym_break_statement] = STATE(229),
    [sym_continue_statement] = STATE(229),
    [sym_goto_statement] = STATE(229),
    [sym_seh_try_statement] = STATE(229),
    [sym_seh_leave_statement] = STATE(229),
    [sym_expression] = STATE(1004),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1799),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [aux_sym_attributed_declarator_repeat1] = STATE(317),
    [sym_identifier] = ACTIONS(1407),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(424),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(432),
    [anon_sym_if] = ACTIONS(434),
    [anon_sym_switch] = ACTIONS(436),
    [anon_sym_case] = ACTIONS(438),
    [anon_sym_default] = ACTIONS(440),
    [anon_sym_while] = ACTIONS(442),
    [anon_sym_do] = ACTIONS(444),
    [anon_sym_for] = ACTIONS(446),
    [anon_sym_return] = ACTIONS(448),
    [anon_sym_break] = ACTIONS(450),
    [anon_sym_continue] = ACTIONS(452),
    [anon_sym_goto] = ACTIONS(454),
    [anon_sym___try] = ACTIONS(456),
    [anon_sym___leave] = ACTIONS(458),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [335] = {
    [sym_attribute_declaration] = STATE(347),
    [sym_compound_statement] = STATE(159),
    [sym_attributed_statement] = STATE(159),
    [sym_statement] = STATE(145),
    [sym_labeled_statement] = STATE(159),
    [sym_expression_statement] = STATE(159),
    [sym_if_statement] = STATE(159),
    [sym_switch_statement] = STATE(159),
    [sym_case_statement] = STATE(159),
    [sym_while_statement] = STATE(159),
    [sym_do_statement] = STATE(159),
    [sym_for_statement] = STATE(159),
    [sym_return_statement] = STATE(159),
    [sym_break_statement] = STATE(159),
    [sym_continue_statement] = STATE(159),
    [sym_goto_statement] = STATE(159),
    [sym_seh_try_statement] = STATE(159),
    [sym_seh_leave_statement] = STATE(159),
    [sym_expression] = STATE(1019),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1826),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [aux_sym_attributed_declarator_repeat1] = STATE(347),
    [sym_identifier] = ACTIONS(1403),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(930),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(63),
    [anon_sym_default] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_do] = ACTIONS(69),
    [anon_sym_for] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym___try] = ACTIONS(932),
    [anon_sym___leave] = ACTIONS(934),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [336] = {
    [sym_attribute_declaration] = STATE(352),
    [sym_compound_statement] = STATE(172),
    [sym_attributed_statement] = STATE(172),
    [sym_statement] = STATE(212),
    [sym_labeled_statement] = STATE(172),
    [sym_expression_statement] = STATE(172),
    [sym_if_statement] = STATE(172),
    [sym_switch_statement] = STATE(172),
    [sym_case_statement] = STATE(172),
    [sym_while_statement] = STATE(172),
    [sym_do_statement] = STATE(172),
    [sym_for_statement] = STATE(172),
    [sym_return_statement] = STATE(172),
    [sym_break_statement] = STATE(172),
    [sym_continue_statement] = STATE(172),
    [sym_goto_statement] = STATE(172),
    [sym_seh_try_statement] = STATE(172),
    [sym_seh_leave_statement] = STATE(172),
    [sym_expression] = STATE(1014),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1860),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [aux_sym_attributed_declarator_repeat1] = STATE(352),
    [sym_identifier] = ACTIONS(1553),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(376),
    [anon_sym_if] = ACTIONS(380),
    [anon_sym_switch] = ACTIONS(382),
    [anon_sym_case] = ACTIONS(384),
    [anon_sym_default] = ACTIONS(386),
    [anon_sym_while] = ACTIONS(388),
    [anon_sym_do] = ACTIONS(390),
    [anon_sym_for] = ACTIONS(392),
    [anon_sym_return] = ACTIONS(394),
    [anon_sym_break] = ACTIONS(396),
    [anon_sym_continue] = ACTIONS(398),
    [anon_sym_goto] = ACTIONS(400),
    [anon_sym___try] = ACTIONS(402),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [337] = {
    [sym_attribute_declaration] = STATE(337),
    [sym_compound_statement] = STATE(112),
    [sym_attributed_statement] = STATE(112),
    [sym_statement] = STATE(96),
    [sym_labeled_statement] = STATE(112),
    [sym_expression_statement] = STATE(112),
    [sym_if_statement] = STATE(112),
    [sym_switch_statement] = STATE(112),
    [sym_case_statement] = STATE(112),
    [sym_while_statement] = STATE(112),
    [sym_do_statement] = STATE(112),
    [sym_for_statement] = STATE(112),
    [sym_return_statement] = STATE(112),
    [sym_break_statement] = STATE(112),
    [sym_continue_statement] = STATE(112),
    [sym_goto_statement] = STATE(112),
    [sym_seh_try_statement] = STATE(112),
    [sym_seh_leave_statement] = STATE(112),
    [sym_expression] = STATE(1029),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1759),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [aux_sym_attributed_declarator_repeat1] = STATE(337),
    [sym_identifier] = ACTIONS(1555),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(1415),
    [anon_sym_TILDE] = ACTIONS(1415),
    [anon_sym_DASH] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1558),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1427),
    [anon_sym_LBRACE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1564),
    [anon_sym_switch] = ACTIONS(1567),
    [anon_sym_case] = ACTIONS(1570),
    [anon_sym_default] = ACTIONS(1573),
    [anon_sym_while] = ACTIONS(1576),
    [anon_sym_do] = ACTIONS(1579),
    [anon_sym_for] = ACTIONS(1582),
    [anon_sym_return] = ACTIONS(1585),
    [anon_sym_break] = ACTIONS(1588),
    [anon_sym_continue] = ACTIONS(1591),
    [anon_sym_goto] = ACTIONS(1594),
    [anon_sym___try] = ACTIONS(1597),
    [anon_sym___leave] = ACTIONS(1600),
    [anon_sym_DASH_DASH] = ACTIONS(1472),
    [anon_sym_PLUS_PLUS] = ACTIONS(1472),
    [anon_sym_sizeof] = ACTIONS(1475),
    [anon_sym___alignof__] = ACTIONS(1478),
    [anon_sym___alignof] = ACTIONS(1478),
    [anon_sym__alignof] = ACTIONS(1478),
    [anon_sym_alignof] = ACTIONS(1478),
    [anon_sym__Alignof] = ACTIONS(1478),
    [anon_sym_offsetof] = ACTIONS(1481),
    [anon_sym__Generic] = ACTIONS(1484),
    [anon_sym_asm] = ACTIONS(1487),
    [anon_sym___asm__] = ACTIONS(1487),
    [sym_number_literal] = ACTIONS(1490),
    [anon_sym_L_SQUOTE] = ACTIONS(1493),
    [anon_sym_u_SQUOTE] = ACTIONS(1493),
    [anon_sym_U_SQUOTE] = ACTIONS(1493),
    [anon_sym_u8_SQUOTE] = ACTIONS(1493),
    [anon_sym_SQUOTE] = ACTIONS(1493),
    [anon_sym_L_DQUOTE] = ACTIONS(1496),
    [anon_sym_u_DQUOTE] = ACTIONS(1496),
    [anon_sym_U_DQUOTE] = ACTIONS(1496),
    [anon_sym_u8_DQUOTE] = ACTIONS(1496),
    [anon_sym_DQUOTE] = ACTIONS(1496),
    [sym_true] = ACTIONS(1499),
    [sym_false] = ACTIONS(1499),
    [anon_sym_NULL] = ACTIONS(1502),
    [anon_sym_nullptr] = ACTIONS(1502),
    [sym_comment] = ACTIONS(3),
  },
  [338] = {
    [sym_attribute_declaration] = STATE(338),
    [sym_compound_statement] = STATE(159),
    [sym_attributed_statement] = STATE(159),
    [sym_statement] = STATE(186),
    [sym_labeled_statement] = STATE(159),
    [sym_expression_statement] = STATE(159),
    [sym_if_statement] = STATE(159),
    [sym_switch_statement] = STATE(159),
    [sym_case_statement] = STATE(159),
    [sym_while_statement] = STATE(159),
    [sym_do_statement] = STATE(159),
    [sym_for_statement] = STATE(159),
    [sym_return_statement] = STATE(159),
    [sym_break_statement] = STATE(159),
    [sym_continue_statement] = STATE(159),
    [sym_goto_statement] = STATE(159),
    [sym_seh_try_statement] = STATE(159),
    [sym_seh_leave_statement] = STATE(159),
    [sym_expression] = STATE(1019),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1826),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [aux_sym_attributed_declarator_repeat1] = STATE(338),
    [sym_identifier] = ACTIONS(1603),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(1415),
    [anon_sym_TILDE] = ACTIONS(1415),
    [anon_sym_DASH] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1606),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1427),
    [anon_sym_LBRACE] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(1609),
    [anon_sym_switch] = ACTIONS(1517),
    [anon_sym_case] = ACTIONS(1612),
    [anon_sym_default] = ACTIONS(1615),
    [anon_sym_while] = ACTIONS(1618),
    [anon_sym_do] = ACTIONS(1529),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_return] = ACTIONS(1535),
    [anon_sym_break] = ACTIONS(1538),
    [anon_sym_continue] = ACTIONS(1541),
    [anon_sym_goto] = ACTIONS(1544),
    [anon_sym___try] = ACTIONS(1624),
    [anon_sym___leave] = ACTIONS(1627),
    [anon_sym_DASH_DASH] = ACTIONS(1472),
    [anon_sym_PLUS_PLUS] = ACTIONS(1472),
    [anon_sym_sizeof] = ACTIONS(1475),
    [anon_sym___alignof__] = ACTIONS(1478),
    [anon_sym___alignof] = ACTIONS(1478),
    [anon_sym__alignof] = ACTIONS(1478),
    [anon_sym_alignof] = ACTIONS(1478),
    [anon_sym__Alignof] = ACTIONS(1478),
    [anon_sym_offsetof] = ACTIONS(1481),
    [anon_sym__Generic] = ACTIONS(1484),
    [anon_sym_asm] = ACTIONS(1487),
    [anon_sym___asm__] = ACTIONS(1487),
    [sym_number_literal] = ACTIONS(1490),
    [anon_sym_L_SQUOTE] = ACTIONS(1493),
    [anon_sym_u_SQUOTE] = ACTIONS(1493),
    [anon_sym_U_SQUOTE] = ACTIONS(1493),
    [anon_sym_u8_SQUOTE] = ACTIONS(1493),
    [anon_sym_SQUOTE] = ACTIONS(1493),
    [anon_sym_L_DQUOTE] = ACTIONS(1496),
    [anon_sym_u_DQUOTE] = ACTIONS(1496),
    [anon_sym_U_DQUOTE] = ACTIONS(1496),
    [anon_sym_u8_DQUOTE] = ACTIONS(1496),
    [anon_sym_DQUOTE] = ACTIONS(1496),
    [sym_true] = ACTIONS(1499),
    [sym_false] = ACTIONS(1499),
    [anon_sym_NULL] = ACTIONS(1502),
    [anon_sym_nullptr] = ACTIONS(1502),
    [sym_comment] = ACTIONS(3),
  },
  [339] = {
    [sym_attribute_declaration] = STATE(347),
    [sym_compound_statement] = STATE(159),
    [sym_attributed_statement] = STATE(159),
    [sym_statement] = STATE(238),
    [sym_labeled_statement] = STATE(159),
    [sym_expression_statement] = STATE(159),
    [sym_if_statement] = STATE(159),
    [sym_switch_statement] = STATE(159),
    [sym_case_statement] = STATE(159),
    [sym_while_statement] = STATE(159),
    [sym_do_statement] = STATE(159),
    [sym_for_statement] = STATE(159),
    [sym_return_statement] = STATE(159),
    [sym_break_statement] = STATE(159),
    [sym_continue_statement] = STATE(159),
    [sym_goto_statement] = STATE(159),
    [sym_seh_try_statement] = STATE(159),
    [sym_seh_leave_statement] = STATE(159),
    [sym_expression] = STATE(1019),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1826),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [aux_sym_attributed_declarator_repeat1] = STATE(347),
    [sym_identifier] = ACTIONS(1403),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(930),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(63),
    [anon_sym_default] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_do] = ACTIONS(69),
    [anon_sym_for] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym___try] = ACTIONS(932),
    [anon_sym___leave] = ACTIONS(934),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [340] = {
    [sym_attribute_declaration] = STATE(314),
    [sym_compound_statement] = STATE(172),
    [sym_attributed_statement] = STATE(172),
    [sym_statement] = STATE(238),
    [sym_labeled_statement] = STATE(172),
    [sym_expression_statement] = STATE(172),
    [sym_if_statement] = STATE(172),
    [sym_switch_statement] = STATE(172),
    [sym_case_statement] = STATE(172),
    [sym_while_statement] = STATE(172),
    [sym_do_statement] = STATE(172),
    [sym_for_statement] = STATE(172),
    [sym_return_statement] = STATE(172),
    [sym_break_statement] = STATE(172),
    [sym_continue_statement] = STATE(172),
    [sym_goto_statement] = STATE(172),
    [sym_seh_try_statement] = STATE(172),
    [sym_seh_leave_statement] = STATE(172),
    [sym_expression] = STATE(1014),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1860),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [aux_sym_attributed_declarator_repeat1] = STATE(314),
    [sym_identifier] = ACTIONS(1395),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(1088),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(1399),
    [anon_sym_default] = ACTIONS(1401),
    [anon_sym_while] = ACTIONS(1090),
    [anon_sym_do] = ACTIONS(69),
    [anon_sym_for] = ACTIONS(1092),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym___try] = ACTIONS(1094),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [341] = {
    [sym_attribute_declaration] = STATE(352),
    [sym_compound_statement] = STATE(172),
    [sym_attributed_statement] = STATE(172),
    [sym_statement] = STATE(144),
    [sym_labeled_statement] = STATE(172),
    [sym_expression_statement] = STATE(172),
    [sym_if_statement] = STATE(172),
    [sym_switch_statement] = STATE(172),
    [sym_case_statement] = STATE(172),
    [sym_while_statement] = STATE(172),
    [sym_do_statement] = STATE(172),
    [sym_for_statement] = STATE(172),
    [sym_return_statement] = STATE(172),
    [sym_break_statement] = STATE(172),
    [sym_continue_statement] = STATE(172),
    [sym_goto_statement] = STATE(172),
    [sym_seh_try_statement] = STATE(172),
    [sym_seh_leave_statement] = STATE(172),
    [sym_expression] = STATE(1014),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1860),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [aux_sym_attributed_declarator_repeat1] = STATE(352),
    [sym_identifier] = ACTIONS(1553),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(376),
    [anon_sym_if] = ACTIONS(380),
    [anon_sym_switch] = ACTIONS(382),
    [anon_sym_case] = ACTIONS(384),
    [anon_sym_default] = ACTIONS(386),
    [anon_sym_while] = ACTIONS(388),
    [anon_sym_do] = ACTIONS(390),
    [anon_sym_for] = ACTIONS(392),
    [anon_sym_return] = ACTIONS(394),
    [anon_sym_break] = ACTIONS(396),
    [anon_sym_continue] = ACTIONS(398),
    [anon_sym_goto] = ACTIONS(400),
    [anon_sym___try] = ACTIONS(402),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [342] = {
    [sym_attribute_declaration] = STATE(342),
    [sym_compound_statement] = STATE(172),
    [sym_attributed_statement] = STATE(172),
    [sym_statement] = STATE(158),
    [sym_labeled_statement] = STATE(172),
    [sym_expression_statement] = STATE(172),
    [sym_if_statement] = STATE(172),
    [sym_switch_statement] = STATE(172),
    [sym_case_statement] = STATE(172),
    [sym_while_statement] = STATE(172),
    [sym_do_statement] = STATE(172),
    [sym_for_statement] = STATE(172),
    [sym_return_statement] = STATE(172),
    [sym_break_statement] = STATE(172),
    [sym_continue_statement] = STATE(172),
    [sym_goto_statement] = STATE(172),
    [sym_seh_try_statement] = STATE(172),
    [sym_seh_leave_statement] = STATE(172),
    [sym_expression] = STATE(1014),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1860),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [aux_sym_attributed_declarator_repeat1] = STATE(342),
    [sym_identifier] = ACTIONS(1630),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(1415),
    [anon_sym_TILDE] = ACTIONS(1415),
    [anon_sym_DASH] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1508),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1427),
    [anon_sym_LBRACE] = ACTIONS(1633),
    [anon_sym_if] = ACTIONS(1636),
    [anon_sym_switch] = ACTIONS(1639),
    [anon_sym_case] = ACTIONS(1642),
    [anon_sym_default] = ACTIONS(1645),
    [anon_sym_while] = ACTIONS(1648),
    [anon_sym_do] = ACTIONS(1651),
    [anon_sym_for] = ACTIONS(1654),
    [anon_sym_return] = ACTIONS(1657),
    [anon_sym_break] = ACTIONS(1660),
    [anon_sym_continue] = ACTIONS(1663),
    [anon_sym_goto] = ACTIONS(1666),
    [anon_sym___try] = ACTIONS(1669),
    [anon_sym___leave] = ACTIONS(1550),
    [anon_sym_DASH_DASH] = ACTIONS(1472),
    [anon_sym_PLUS_PLUS] = ACTIONS(1472),
    [anon_sym_sizeof] = ACTIONS(1475),
    [anon_sym___alignof__] = ACTIONS(1478),
    [anon_sym___alignof] = ACTIONS(1478),
    [anon_sym__alignof] = ACTIONS(1478),
    [anon_sym_alignof] = ACTIONS(1478),
    [anon_sym__Alignof] = ACTIONS(1478),
    [anon_sym_offsetof] = ACTIONS(1481),
    [anon_sym__Generic] = ACTIONS(1484),
    [anon_sym_asm] = ACTIONS(1487),
    [anon_sym___asm__] = ACTIONS(1487),
    [sym_number_literal] = ACTIONS(1490),
    [anon_sym_L_SQUOTE] = ACTIONS(1493),
    [anon_sym_u_SQUOTE] = ACTIONS(1493),
    [anon_sym_U_SQUOTE] = ACTIONS(1493),
    [anon_sym_u8_SQUOTE] = ACTIONS(1493),
    [anon_sym_SQUOTE] = ACTIONS(1493),
    [anon_sym_L_DQUOTE] = ACTIONS(1496),
    [anon_sym_u_DQUOTE] = ACTIONS(1496),
    [anon_sym_U_DQUOTE] = ACTIONS(1496),
    [anon_sym_u8_DQUOTE] = ACTIONS(1496),
    [anon_sym_DQUOTE] = ACTIONS(1496),
    [sym_true] = ACTIONS(1499),
    [sym_false] = ACTIONS(1499),
    [anon_sym_NULL] = ACTIONS(1502),
    [anon_sym_nullptr] = ACTIONS(1502),
    [sym_comment] = ACTIONS(3),
  },
  [343] = {
    [sym_attribute_declaration] = STATE(314),
    [sym_compound_statement] = STATE(172),
    [sym_attributed_statement] = STATE(172),
    [sym_statement] = STATE(249),
    [sym_labeled_statement] = STATE(172),
    [sym_expression_statement] = STATE(172),
    [sym_if_statement] = STATE(172),
    [sym_switch_statement] = STATE(172),
    [sym_case_statement] = STATE(172),
    [sym_while_statement] = STATE(172),
    [sym_do_statement] = STATE(172),
    [sym_for_statement] = STATE(172),
    [sym_return_statement] = STATE(172),
    [sym_break_statement] = STATE(172),
    [sym_continue_statement] = STATE(172),
    [sym_goto_statement] = STATE(172),
    [sym_seh_try_statement] = STATE(172),
    [sym_seh_leave_statement] = STATE(172),
    [sym_expression] = STATE(1014),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1860),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [aux_sym_attributed_declarator_repeat1] = STATE(314),
    [sym_identifier] = ACTIONS(1395),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(1088),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(1399),
    [anon_sym_default] = ACTIONS(1401),
    [anon_sym_while] = ACTIONS(1090),
    [anon_sym_do] = ACTIONS(69),
    [anon_sym_for] = ACTIONS(1092),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym___try] = ACTIONS(1094),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [344] = {
    [sym_attribute_declaration] = STATE(349),
    [sym_compound_statement] = STATE(112),
    [sym_attributed_statement] = STATE(112),
    [sym_statement] = STATE(93),
    [sym_labeled_statement] = STATE(112),
    [sym_expression_statement] = STATE(112),
    [sym_if_statement] = STATE(112),
    [sym_switch_statement] = STATE(112),
    [sym_case_statement] = STATE(112),
    [sym_while_statement] = STATE(112),
    [sym_do_statement] = STATE(112),
    [sym_for_statement] = STATE(112),
    [sym_return_statement] = STATE(112),
    [sym_break_statement] = STATE(112),
    [sym_continue_statement] = STATE(112),
    [sym_goto_statement] = STATE(112),
    [sym_seh_try_statement] = STATE(112),
    [sym_seh_leave_statement] = STATE(112),
    [sym_expression] = STATE(1029),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1759),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [aux_sym_attributed_declarator_repeat1] = STATE(349),
    [sym_identifier] = ACTIONS(1405),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_case] = ACTIONS(137),
    [anon_sym_default] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_return] = ACTIONS(147),
    [anon_sym_break] = ACTIONS(149),
    [anon_sym_continue] = ACTIONS(151),
    [anon_sym_goto] = ACTIONS(153),
    [anon_sym___try] = ACTIONS(155),
    [anon_sym___leave] = ACTIONS(157),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [345] = {
    [sym_attribute_declaration] = STATE(347),
    [sym_compound_statement] = STATE(159),
    [sym_attributed_statement] = STATE(159),
    [sym_statement] = STATE(249),
    [sym_labeled_statement] = STATE(159),
    [sym_expression_statement] = STATE(159),
    [sym_if_statement] = STATE(159),
    [sym_switch_statement] = STATE(159),
    [sym_case_statement] = STATE(159),
    [sym_while_statement] = STATE(159),
    [sym_do_statement] = STATE(159),
    [sym_for_statement] = STATE(159),
    [sym_return_statement] = STATE(159),
    [sym_break_statement] = STATE(159),
    [sym_continue_statement] = STATE(159),
    [sym_goto_statement] = STATE(159),
    [sym_seh_try_statement] = STATE(159),
    [sym_seh_leave_statement] = STATE(159),
    [sym_expression] = STATE(1019),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1826),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [aux_sym_attributed_declarator_repeat1] = STATE(347),
    [sym_identifier] = ACTIONS(1403),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(930),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(63),
    [anon_sym_default] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_do] = ACTIONS(69),
    [anon_sym_for] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym___try] = ACTIONS(932),
    [anon_sym___leave] = ACTIONS(934),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [346] = {
    [sym_attribute_declaration] = STATE(352),
    [sym_compound_statement] = STATE(172),
    [sym_attributed_statement] = STATE(172),
    [sym_statement] = STATE(180),
    [sym_labeled_statement] = STATE(172),
    [sym_expression_statement] = STATE(172),
    [sym_if_statement] = STATE(172),
    [sym_switch_statement] = STATE(172),
    [sym_case_statement] = STATE(172),
    [sym_while_statement] = STATE(172),
    [sym_do_statement] = STATE(172),
    [sym_for_statement] = STATE(172),
    [sym_return_statement] = STATE(172),
    [sym_break_statement] = STATE(172),
    [sym_continue_statement] = STATE(172),
    [sym_goto_statement] = STATE(172),
    [sym_seh_try_statement] = STATE(172),
    [sym_seh_leave_statement] = STATE(172),
    [sym_expression] = STATE(1014),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1860),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [aux_sym_attributed_declarator_repeat1] = STATE(352),
    [sym_identifier] = ACTIONS(1553),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(376),
    [anon_sym_if] = ACTIONS(380),
    [anon_sym_switch] = ACTIONS(382),
    [anon_sym_case] = ACTIONS(384),
    [anon_sym_default] = ACTIONS(386),
    [anon_sym_while] = ACTIONS(388),
    [anon_sym_do] = ACTIONS(390),
    [anon_sym_for] = ACTIONS(392),
    [anon_sym_return] = ACTIONS(394),
    [anon_sym_break] = ACTIONS(396),
    [anon_sym_continue] = ACTIONS(398),
    [anon_sym_goto] = ACTIONS(400),
    [anon_sym___try] = ACTIONS(402),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [347] = {
    [sym_attribute_declaration] = STATE(338),
    [sym_compound_statement] = STATE(159),
    [sym_attributed_statement] = STATE(159),
    [sym_statement] = STATE(186),
    [sym_labeled_statement] = STATE(159),
    [sym_expression_statement] = STATE(159),
    [sym_if_statement] = STATE(159),
    [sym_switch_statement] = STATE(159),
    [sym_case_statement] = STATE(159),
    [sym_while_statement] = STATE(159),
    [sym_do_statement] = STATE(159),
    [sym_for_statement] = STATE(159),
    [sym_return_statement] = STATE(159),
    [sym_break_statement] = STATE(159),
    [sym_continue_statement] = STATE(159),
    [sym_goto_statement] = STATE(159),
    [sym_seh_try_statement] = STATE(159),
    [sym_seh_leave_statement] = STATE(159),
    [sym_expression] = STATE(1019),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1826),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [aux_sym_attributed_declarator_repeat1] = STATE(338),
    [sym_identifier] = ACTIONS(1403),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(930),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(63),
    [anon_sym_default] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_do] = ACTIONS(69),
    [anon_sym_for] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym___try] = ACTIONS(932),
    [anon_sym___leave] = ACTIONS(934),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [348] = {
    [sym_attribute_declaration] = STATE(349),
    [sym_compound_statement] = STATE(112),
    [sym_attributed_statement] = STATE(112),
    [sym_statement] = STATE(109),
    [sym_labeled_statement] = STATE(112),
    [sym_expression_statement] = STATE(112),
    [sym_if_statement] = STATE(112),
    [sym_switch_statement] = STATE(112),
    [sym_case_statement] = STATE(112),
    [sym_while_statement] = STATE(112),
    [sym_do_statement] = STATE(112),
    [sym_for_statement] = STATE(112),
    [sym_return_statement] = STATE(112),
    [sym_break_statement] = STATE(112),
    [sym_continue_statement] = STATE(112),
    [sym_goto_statement] = STATE(112),
    [sym_seh_try_statement] = STATE(112),
    [sym_seh_leave_statement] = STATE(112),
    [sym_expression] = STATE(1029),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1759),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [aux_sym_attributed_declarator_repeat1] = STATE(349),
    [sym_identifier] = ACTIONS(1405),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_case] = ACTIONS(137),
    [anon_sym_default] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_return] = ACTIONS(147),
    [anon_sym_break] = ACTIONS(149),
    [anon_sym_continue] = ACTIONS(151),
    [anon_sym_goto] = ACTIONS(153),
    [anon_sym___try] = ACTIONS(155),
    [anon_sym___leave] = ACTIONS(157),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [349] = {
    [sym_attribute_declaration] = STATE(337),
    [sym_compound_statement] = STATE(112),
    [sym_attributed_statement] = STATE(112),
    [sym_statement] = STATE(96),
    [sym_labeled_statement] = STATE(112),
    [sym_expression_statement] = STATE(112),
    [sym_if_statement] = STATE(112),
    [sym_switch_statement] = STATE(112),
    [sym_case_statement] = STATE(112),
    [sym_while_statement] = STATE(112),
    [sym_do_statement] = STATE(112),
    [sym_for_statement] = STATE(112),
    [sym_return_statement] = STATE(112),
    [sym_break_statement] = STATE(112),
    [sym_continue_statement] = STATE(112),
    [sym_goto_statement] = STATE(112),
    [sym_seh_try_statement] = STATE(112),
    [sym_seh_leave_statement] = STATE(112),
    [sym_expression] = STATE(1029),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1759),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [aux_sym_attributed_declarator_repeat1] = STATE(337),
    [sym_identifier] = ACTIONS(1405),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_case] = ACTIONS(137),
    [anon_sym_default] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_return] = ACTIONS(147),
    [anon_sym_break] = ACTIONS(149),
    [anon_sym_continue] = ACTIONS(151),
    [anon_sym_goto] = ACTIONS(153),
    [anon_sym___try] = ACTIONS(155),
    [anon_sym___leave] = ACTIONS(157),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [350] = {
    [sym_attribute_declaration] = STATE(349),
    [sym_compound_statement] = STATE(112),
    [sym_attributed_statement] = STATE(112),
    [sym_statement] = STATE(75),
    [sym_labeled_statement] = STATE(112),
    [sym_expression_statement] = STATE(112),
    [sym_if_statement] = STATE(112),
    [sym_switch_statement] = STATE(112),
    [sym_case_statement] = STATE(112),
    [sym_while_statement] = STATE(112),
    [sym_do_statement] = STATE(112),
    [sym_for_statement] = STATE(112),
    [sym_return_statement] = STATE(112),
    [sym_break_statement] = STATE(112),
    [sym_continue_statement] = STATE(112),
    [sym_goto_statement] = STATE(112),
    [sym_seh_try_statement] = STATE(112),
    [sym_seh_leave_statement] = STATE(112),
    [sym_expression] = STATE(1029),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1759),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [aux_sym_attributed_declarator_repeat1] = STATE(349),
    [sym_identifier] = ACTIONS(1405),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_switch] = ACTIONS(135),
    [anon_sym_case] = ACTIONS(137),
    [anon_sym_default] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_return] = ACTIONS(147),
    [anon_sym_break] = ACTIONS(149),
    [anon_sym_continue] = ACTIONS(151),
    [anon_sym_goto] = ACTIONS(153),
    [anon_sym___try] = ACTIONS(155),
    [anon_sym___leave] = ACTIONS(157),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [351] = {
    [sym_attribute_declaration] = STATE(314),
    [sym_compound_statement] = STATE(172),
    [sym_attributed_statement] = STATE(172),
    [sym_statement] = STATE(1970),
    [sym_labeled_statement] = STATE(172),
    [sym_expression_statement] = STATE(172),
    [sym_if_statement] = STATE(172),
    [sym_switch_statement] = STATE(172),
    [sym_case_statement] = STATE(172),
    [sym_while_statement] = STATE(172),
    [sym_do_statement] = STATE(172),
    [sym_for_statement] = STATE(172),
    [sym_return_statement] = STATE(172),
    [sym_break_statement] = STATE(172),
    [sym_continue_statement] = STATE(172),
    [sym_goto_statement] = STATE(172),
    [sym_seh_try_statement] = STATE(172),
    [sym_seh_leave_statement] = STATE(172),
    [sym_expression] = STATE(1014),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1860),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [aux_sym_attributed_declarator_repeat1] = STATE(314),
    [sym_identifier] = ACTIONS(1395),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(1088),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(1399),
    [anon_sym_default] = ACTIONS(1401),
    [anon_sym_while] = ACTIONS(1090),
    [anon_sym_do] = ACTIONS(69),
    [anon_sym_for] = ACTIONS(1092),
    [anon_sym_return] = ACTIONS(73),
    [anon_sym_break] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym___try] = ACTIONS(1094),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [352] = {
    [sym_attribute_declaration] = STATE(342),
    [sym_compound_statement] = STATE(172),
    [sym_attributed_statement] = STATE(172),
    [sym_statement] = STATE(158),
    [sym_labeled_statement] = STATE(172),
    [sym_expression_statement] = STATE(172),
    [sym_if_statement] = STATE(172),
    [sym_switch_statement] = STATE(172),
    [sym_case_statement] = STATE(172),
    [sym_while_statement] = STATE(172),
    [sym_do_statement] = STATE(172),
    [sym_for_statement] = STATE(172),
    [sym_return_statement] = STATE(172),
    [sym_break_statement] = STATE(172),
    [sym_continue_statement] = STATE(172),
    [sym_goto_statement] = STATE(172),
    [sym_seh_try_statement] = STATE(172),
    [sym_seh_leave_statement] = STATE(172),
    [sym_expression] = STATE(1014),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1860),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [aux_sym_attributed_declarator_repeat1] = STATE(342),
    [sym_identifier] = ACTIONS(1553),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(376),
    [anon_sym_if] = ACTIONS(380),
    [anon_sym_switch] = ACTIONS(382),
    [anon_sym_case] = ACTIONS(384),
    [anon_sym_default] = ACTIONS(386),
    [anon_sym_while] = ACTIONS(388),
    [anon_sym_do] = ACTIONS(390),
    [anon_sym_for] = ACTIONS(392),
    [anon_sym_return] = ACTIONS(394),
    [anon_sym_break] = ACTIONS(396),
    [anon_sym_continue] = ACTIONS(398),
    [anon_sym_goto] = ACTIONS(400),
    [anon_sym___try] = ACTIONS(402),
    [anon_sym___leave] = ACTIONS(404),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [353] = {
    [ts_builtin_sym_end] = ACTIONS(1367),
    [sym_identifier] = ACTIONS(1365),
    [aux_sym_preproc_include_token1] = ACTIONS(1365),
    [aux_sym_preproc_def_token1] = ACTIONS(1365),
    [aux_sym_preproc_if_token1] = ACTIONS(1365),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1365),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1365),
    [sym_preproc_directive] = ACTIONS(1365),
    [anon_sym_LPAREN2] = ACTIONS(1367),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_TILDE] = ACTIONS(1367),
    [anon_sym_DASH] = ACTIONS(1365),
    [anon_sym_PLUS] = ACTIONS(1365),
    [anon_sym_STAR] = ACTIONS(1367),
    [anon_sym_AMP] = ACTIONS(1367),
    [anon_sym___extension__] = ACTIONS(1365),
    [anon_sym_typedef] = ACTIONS(1365),
    [anon_sym_extern] = ACTIONS(1365),
    [anon_sym___attribute__] = ACTIONS(1365),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1367),
    [anon_sym___declspec] = ACTIONS(1365),
    [anon_sym___cdecl] = ACTIONS(1365),
    [anon_sym___clrcall] = ACTIONS(1365),
    [anon_sym___stdcall] = ACTIONS(1365),
    [anon_sym___fastcall] = ACTIONS(1365),
    [anon_sym___thiscall] = ACTIONS(1365),
    [anon_sym___vectorcall] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym_signed] = ACTIONS(1365),
    [anon_sym_unsigned] = ACTIONS(1365),
    [anon_sym_long] = ACTIONS(1365),
    [anon_sym_short] = ACTIONS(1365),
    [anon_sym_static] = ACTIONS(1365),
    [anon_sym_auto] = ACTIONS(1365),
    [anon_sym_register] = ACTIONS(1365),
    [anon_sym_inline] = ACTIONS(1365),
    [anon_sym___inline] = ACTIONS(1365),
    [anon_sym___inline__] = ACTIONS(1365),
    [anon_sym___forceinline] = ACTIONS(1365),
    [anon_sym_thread_local] = ACTIONS(1365),
    [anon_sym___thread] = ACTIONS(1365),
    [anon_sym_const] = ACTIONS(1365),
    [anon_sym_constexpr] = ACTIONS(1365),
    [anon_sym_volatile] = ACTIONS(1365),
    [anon_sym_restrict] = ACTIONS(1365),
    [anon_sym___restrict__] = ACTIONS(1365),
    [anon_sym__Atomic] = ACTIONS(1365),
    [anon_sym__Noreturn] = ACTIONS(1365),
    [anon_sym_noreturn] = ACTIONS(1365),
    [anon_sym_alignas] = ACTIONS(1365),
    [anon_sym__Alignas] = ACTIONS(1365),
    [sym_primitive_type] = ACTIONS(1365),
    [anon_sym_enum] = ACTIONS(1365),
    [anon_sym_struct] = ACTIONS(1365),
    [anon_sym_union] = ACTIONS(1365),
    [anon_sym_if] = ACTIONS(1365),
    [anon_sym_switch] = ACTIONS(1365),
    [anon_sym_case] = ACTIONS(1365),
    [anon_sym_default] = ACTIONS(1365),
    [anon_sym_while] = ACTIONS(1365),
    [anon_sym_do] = ACTIONS(1365),
    [anon_sym_for] = ACTIONS(1365),
    [anon_sym_return] = ACTIONS(1365),
    [anon_sym_break] = ACTIONS(1365),
    [anon_sym_continue] = ACTIONS(1365),
    [anon_sym_goto] = ACTIONS(1365),
    [anon_sym_DASH_DASH] = ACTIONS(1367),
    [anon_sym_PLUS_PLUS] = ACTIONS(1367),
    [anon_sym_sizeof] = ACTIONS(1365),
    [anon_sym___alignof__] = ACTIONS(1365),
    [anon_sym___alignof] = ACTIONS(1365),
    [anon_sym__alignof] = ACTIONS(1365),
    [anon_sym_alignof] = ACTIONS(1365),
    [anon_sym__Alignof] = ACTIONS(1365),
    [anon_sym_offsetof] = ACTIONS(1365),
    [anon_sym__Generic] = ACTIONS(1365),
    [anon_sym_asm] = ACTIONS(1365),
    [anon_sym___asm__] = ACTIONS(1365),
    [sym_number_literal] = ACTIONS(1367),
    [anon_sym_L_SQUOTE] = ACTIONS(1367),
    [anon_sym_u_SQUOTE] = ACTIONS(1367),
    [anon_sym_U_SQUOTE] = ACTIONS(1367),
    [anon_sym_u8_SQUOTE] = ACTIONS(1367),
    [anon_sym_SQUOTE] = ACTIONS(1367),
    [anon_sym_L_DQUOTE] = ACTIONS(1367),
    [anon_sym_u_DQUOTE] = ACTIONS(1367),
    [anon_sym_U_DQUOTE] = ACTIONS(1367),
    [anon_sym_u8_DQUOTE] = ACTIONS(1367),
    [anon_sym_DQUOTE] = ACTIONS(1367),
    [sym_true] = ACTIONS(1365),
    [sym_false] = ACTIONS(1365),
    [anon_sym_NULL] = ACTIONS(1365),
    [anon_sym_nullptr] = ACTIONS(1365),
    [sym_comment] = ACTIONS(3),
  },
  [354] = {
    [ts_builtin_sym_end] = ACTIONS(1329),
    [sym_identifier] = ACTIONS(1327),
    [aux_sym_preproc_include_token1] = ACTIONS(1327),
    [aux_sym_preproc_def_token1] = ACTIONS(1327),
    [aux_sym_preproc_if_token1] = ACTIONS(1327),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1327),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1327),
    [sym_preproc_directive] = ACTIONS(1327),
    [anon_sym_LPAREN2] = ACTIONS(1329),
    [anon_sym_BANG] = ACTIONS(1329),
    [anon_sym_TILDE] = ACTIONS(1329),
    [anon_sym_DASH] = ACTIONS(1327),
    [anon_sym_PLUS] = ACTIONS(1327),
    [anon_sym_STAR] = ACTIONS(1329),
    [anon_sym_AMP] = ACTIONS(1329),
    [anon_sym___extension__] = ACTIONS(1327),
    [anon_sym_typedef] = ACTIONS(1327),
    [anon_sym_extern] = ACTIONS(1327),
    [anon_sym___attribute__] = ACTIONS(1327),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1329),
    [anon_sym___declspec] = ACTIONS(1327),
    [anon_sym___cdecl] = ACTIONS(1327),
    [anon_sym___clrcall] = ACTIONS(1327),
    [anon_sym___stdcall] = ACTIONS(1327),
    [anon_sym___fastcall] = ACTIONS(1327),
    [anon_sym___thiscall] = ACTIONS(1327),
    [anon_sym___vectorcall] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(1329),
    [anon_sym_signed] = ACTIONS(1327),
    [anon_sym_unsigned] = ACTIONS(1327),
    [anon_sym_long] = ACTIONS(1327),
    [anon_sym_short] = ACTIONS(1327),
    [anon_sym_static] = ACTIONS(1327),
    [anon_sym_auto] = ACTIONS(1327),
    [anon_sym_register] = ACTIONS(1327),
    [anon_sym_inline] = ACTIONS(1327),
    [anon_sym___inline] = ACTIONS(1327),
    [anon_sym___inline__] = ACTIONS(1327),
    [anon_sym___forceinline] = ACTIONS(1327),
    [anon_sym_thread_local] = ACTIONS(1327),
    [anon_sym___thread] = ACTIONS(1327),
    [anon_sym_const] = ACTIONS(1327),
    [anon_sym_constexpr] = ACTIONS(1327),
    [anon_sym_volatile] = ACTIONS(1327),
    [anon_sym_restrict] = ACTIONS(1327),
    [anon_sym___restrict__] = ACTIONS(1327),
    [anon_sym__Atomic] = ACTIONS(1327),
    [anon_sym__Noreturn] = ACTIONS(1327),
    [anon_sym_noreturn] = ACTIONS(1327),
    [anon_sym_alignas] = ACTIONS(1327),
    [anon_sym__Alignas] = ACTIONS(1327),
    [sym_primitive_type] = ACTIONS(1327),
    [anon_sym_enum] = ACTIONS(1327),
    [anon_sym_struct] = ACTIONS(1327),
    [anon_sym_union] = ACTIONS(1327),
    [anon_sym_if] = ACTIONS(1327),
    [anon_sym_switch] = ACTIONS(1327),
    [anon_sym_case] = ACTIONS(1327),
    [anon_sym_default] = ACTIONS(1327),
    [anon_sym_while] = ACTIONS(1327),
    [anon_sym_do] = ACTIONS(1327),
    [anon_sym_for] = ACTIONS(1327),
    [anon_sym_return] = ACTIONS(1327),
    [anon_sym_break] = ACTIONS(1327),
    [anon_sym_continue] = ACTIONS(1327),
    [anon_sym_goto] = ACTIONS(1327),
    [anon_sym_DASH_DASH] = ACTIONS(1329),
    [anon_sym_PLUS_PLUS] = ACTIONS(1329),
    [anon_sym_sizeof] = ACTIONS(1327),
    [anon_sym___alignof__] = ACTIONS(1327),
    [anon_sym___alignof] = ACTIONS(1327),
    [anon_sym__alignof] = ACTIONS(1327),
    [anon_sym_alignof] = ACTIONS(1327),
    [anon_sym__Alignof] = ACTIONS(1327),
    [anon_sym_offsetof] = ACTIONS(1327),
    [anon_sym__Generic] = ACTIONS(1327),
    [anon_sym_asm] = ACTIONS(1327),
    [anon_sym___asm__] = ACTIONS(1327),
    [sym_number_literal] = ACTIONS(1329),
    [anon_sym_L_SQUOTE] = ACTIONS(1329),
    [anon_sym_u_SQUOTE] = ACTIONS(1329),
    [anon_sym_U_SQUOTE] = ACTIONS(1329),
    [anon_sym_u8_SQUOTE] = ACTIONS(1329),
    [anon_sym_SQUOTE] = ACTIONS(1329),
    [anon_sym_L_DQUOTE] = ACTIONS(1329),
    [anon_sym_u_DQUOTE] = ACTIONS(1329),
    [anon_sym_U_DQUOTE] = ACTIONS(1329),
    [anon_sym_u8_DQUOTE] = ACTIONS(1329),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_true] = ACTIONS(1327),
    [sym_false] = ACTIONS(1327),
    [anon_sym_NULL] = ACTIONS(1327),
    [anon_sym_nullptr] = ACTIONS(1327),
    [sym_comment] = ACTIONS(3),
  },
  [355] = {
    [ts_builtin_sym_end] = ACTIONS(1309),
    [sym_identifier] = ACTIONS(1307),
    [aux_sym_preproc_include_token1] = ACTIONS(1307),
    [aux_sym_preproc_def_token1] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1307),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1307),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1307),
    [sym_preproc_directive] = ACTIONS(1307),
    [anon_sym_LPAREN2] = ACTIONS(1309),
    [anon_sym_BANG] = ACTIONS(1309),
    [anon_sym_TILDE] = ACTIONS(1309),
    [anon_sym_DASH] = ACTIONS(1307),
    [anon_sym_PLUS] = ACTIONS(1307),
    [anon_sym_STAR] = ACTIONS(1309),
    [anon_sym_AMP] = ACTIONS(1309),
    [anon_sym___extension__] = ACTIONS(1307),
    [anon_sym_typedef] = ACTIONS(1307),
    [anon_sym_extern] = ACTIONS(1307),
    [anon_sym___attribute__] = ACTIONS(1307),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1309),
    [anon_sym___declspec] = ACTIONS(1307),
    [anon_sym___cdecl] = ACTIONS(1307),
    [anon_sym___clrcall] = ACTIONS(1307),
    [anon_sym___stdcall] = ACTIONS(1307),
    [anon_sym___fastcall] = ACTIONS(1307),
    [anon_sym___thiscall] = ACTIONS(1307),
    [anon_sym___vectorcall] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_signed] = ACTIONS(1307),
    [anon_sym_unsigned] = ACTIONS(1307),
    [anon_sym_long] = ACTIONS(1307),
    [anon_sym_short] = ACTIONS(1307),
    [anon_sym_static] = ACTIONS(1307),
    [anon_sym_auto] = ACTIONS(1307),
    [anon_sym_register] = ACTIONS(1307),
    [anon_sym_inline] = ACTIONS(1307),
    [anon_sym___inline] = ACTIONS(1307),
    [anon_sym___inline__] = ACTIONS(1307),
    [anon_sym___forceinline] = ACTIONS(1307),
    [anon_sym_thread_local] = ACTIONS(1307),
    [anon_sym___thread] = ACTIONS(1307),
    [anon_sym_const] = ACTIONS(1307),
    [anon_sym_constexpr] = ACTIONS(1307),
    [anon_sym_volatile] = ACTIONS(1307),
    [anon_sym_restrict] = ACTIONS(1307),
    [anon_sym___restrict__] = ACTIONS(1307),
    [anon_sym__Atomic] = ACTIONS(1307),
    [anon_sym__Noreturn] = ACTIONS(1307),
    [anon_sym_noreturn] = ACTIONS(1307),
    [anon_sym_alignas] = ACTIONS(1307),
    [anon_sym__Alignas] = ACTIONS(1307),
    [sym_primitive_type] = ACTIONS(1307),
    [anon_sym_enum] = ACTIONS(1307),
    [anon_sym_struct] = ACTIONS(1307),
    [anon_sym_union] = ACTIONS(1307),
    [anon_sym_if] = ACTIONS(1307),
    [anon_sym_switch] = ACTIONS(1307),
    [anon_sym_case] = ACTIONS(1307),
    [anon_sym_default] = ACTIONS(1307),
    [anon_sym_while] = ACTIONS(1307),
    [anon_sym_do] = ACTIONS(1307),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_return] = ACTIONS(1307),
    [anon_sym_break] = ACTIONS(1307),
    [anon_sym_continue] = ACTIONS(1307),
    [anon_sym_goto] = ACTIONS(1307),
    [anon_sym_DASH_DASH] = ACTIONS(1309),
    [anon_sym_PLUS_PLUS] = ACTIONS(1309),
    [anon_sym_sizeof] = ACTIONS(1307),
    [anon_sym___alignof__] = ACTIONS(1307),
    [anon_sym___alignof] = ACTIONS(1307),
    [anon_sym__alignof] = ACTIONS(1307),
    [anon_sym_alignof] = ACTIONS(1307),
    [anon_sym__Alignof] = ACTIONS(1307),
    [anon_sym_offsetof] = ACTIONS(1307),
    [anon_sym__Generic] = ACTIONS(1307),
    [anon_sym_asm] = ACTIONS(1307),
    [anon_sym___asm__] = ACTIONS(1307),
    [sym_number_literal] = ACTIONS(1309),
    [anon_sym_L_SQUOTE] = ACTIONS(1309),
    [anon_sym_u_SQUOTE] = ACTIONS(1309),
    [anon_sym_U_SQUOTE] = ACTIONS(1309),
    [anon_sym_u8_SQUOTE] = ACTIONS(1309),
    [anon_sym_SQUOTE] = ACTIONS(1309),
    [anon_sym_L_DQUOTE] = ACTIONS(1309),
    [anon_sym_u_DQUOTE] = ACTIONS(1309),
    [anon_sym_U_DQUOTE] = ACTIONS(1309),
    [anon_sym_u8_DQUOTE] = ACTIONS(1309),
    [anon_sym_DQUOTE] = ACTIONS(1309),
    [sym_true] = ACTIONS(1307),
    [sym_false] = ACTIONS(1307),
    [anon_sym_NULL] = ACTIONS(1307),
    [anon_sym_nullptr] = ACTIONS(1307),
    [sym_comment] = ACTIONS(3),
  },
  [356] = {
    [ts_builtin_sym_end] = ACTIONS(1281),
    [sym_identifier] = ACTIONS(1279),
    [aux_sym_preproc_include_token1] = ACTIONS(1279),
    [aux_sym_preproc_def_token1] = ACTIONS(1279),
    [aux_sym_preproc_if_token1] = ACTIONS(1279),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1279),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1279),
    [sym_preproc_directive] = ACTIONS(1279),
    [anon_sym_LPAREN2] = ACTIONS(1281),
    [anon_sym_BANG] = ACTIONS(1281),
    [anon_sym_TILDE] = ACTIONS(1281),
    [anon_sym_DASH] = ACTIONS(1279),
    [anon_sym_PLUS] = ACTIONS(1279),
    [anon_sym_STAR] = ACTIONS(1281),
    [anon_sym_AMP] = ACTIONS(1281),
    [anon_sym___extension__] = ACTIONS(1279),
    [anon_sym_typedef] = ACTIONS(1279),
    [anon_sym_extern] = ACTIONS(1279),
    [anon_sym___attribute__] = ACTIONS(1279),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1281),
    [anon_sym___declspec] = ACTIONS(1279),
    [anon_sym___cdecl] = ACTIONS(1279),
    [anon_sym___clrcall] = ACTIONS(1279),
    [anon_sym___stdcall] = ACTIONS(1279),
    [anon_sym___fastcall] = ACTIONS(1279),
    [anon_sym___thiscall] = ACTIONS(1279),
    [anon_sym___vectorcall] = ACTIONS(1279),
    [anon_sym_LBRACE] = ACTIONS(1281),
    [anon_sym_signed] = ACTIONS(1279),
    [anon_sym_unsigned] = ACTIONS(1279),
    [anon_sym_long] = ACTIONS(1279),
    [anon_sym_short] = ACTIONS(1279),
    [anon_sym_static] = ACTIONS(1279),
    [anon_sym_auto] = ACTIONS(1279),
    [anon_sym_register] = ACTIONS(1279),
    [anon_sym_inline] = ACTIONS(1279),
    [anon_sym___inline] = ACTIONS(1279),
    [anon_sym___inline__] = ACTIONS(1279),
    [anon_sym___forceinline] = ACTIONS(1279),
    [anon_sym_thread_local] = ACTIONS(1279),
    [anon_sym___thread] = ACTIONS(1279),
    [anon_sym_const] = ACTIONS(1279),
    [anon_sym_constexpr] = ACTIONS(1279),
    [anon_sym_volatile] = ACTIONS(1279),
    [anon_sym_restrict] = ACTIONS(1279),
    [anon_sym___restrict__] = ACTIONS(1279),
    [anon_sym__Atomic] = ACTIONS(1279),
    [anon_sym__Noreturn] = ACTIONS(1279),
    [anon_sym_noreturn] = ACTIONS(1279),
    [anon_sym_alignas] = ACTIONS(1279),
    [anon_sym__Alignas] = ACTIONS(1279),
    [sym_primitive_type] = ACTIONS(1279),
    [anon_sym_enum] = ACTIONS(1279),
    [anon_sym_struct] = ACTIONS(1279),
    [anon_sym_union] = ACTIONS(1279),
    [anon_sym_if] = ACTIONS(1279),
    [anon_sym_switch] = ACTIONS(1279),
    [anon_sym_case] = ACTIONS(1279),
    [anon_sym_default] = ACTIONS(1279),
    [anon_sym_while] = ACTIONS(1279),
    [anon_sym_do] = ACTIONS(1279),
    [anon_sym_for] = ACTIONS(1279),
    [anon_sym_return] = ACTIONS(1279),
    [anon_sym_break] = ACTIONS(1279),
    [anon_sym_continue] = ACTIONS(1279),
    [anon_sym_goto] = ACTIONS(1279),
    [anon_sym_DASH_DASH] = ACTIONS(1281),
    [anon_sym_PLUS_PLUS] = ACTIONS(1281),
    [anon_sym_sizeof] = ACTIONS(1279),
    [anon_sym___alignof__] = ACTIONS(1279),
    [anon_sym___alignof] = ACTIONS(1279),
    [anon_sym__alignof] = ACTIONS(1279),
    [anon_sym_alignof] = ACTIONS(1279),
    [anon_sym__Alignof] = ACTIONS(1279),
    [anon_sym_offsetof] = ACTIONS(1279),
    [anon_sym__Generic] = ACTIONS(1279),
    [anon_sym_asm] = ACTIONS(1279),
    [anon_sym___asm__] = ACTIONS(1279),
    [sym_number_literal] = ACTIONS(1281),
    [anon_sym_L_SQUOTE] = ACTIONS(1281),
    [anon_sym_u_SQUOTE] = ACTIONS(1281),
    [anon_sym_U_SQUOTE] = ACTIONS(1281),
    [anon_sym_u8_SQUOTE] = ACTIONS(1281),
    [anon_sym_SQUOTE] = ACTIONS(1281),
    [anon_sym_L_DQUOTE] = ACTIONS(1281),
    [anon_sym_u_DQUOTE] = ACTIONS(1281),
    [anon_sym_U_DQUOTE] = ACTIONS(1281),
    [anon_sym_u8_DQUOTE] = ACTIONS(1281),
    [anon_sym_DQUOTE] = ACTIONS(1281),
    [sym_true] = ACTIONS(1279),
    [sym_false] = ACTIONS(1279),
    [anon_sym_NULL] = ACTIONS(1279),
    [anon_sym_nullptr] = ACTIONS(1279),
    [sym_comment] = ACTIONS(3),
  },
  [357] = {
    [ts_builtin_sym_end] = ACTIONS(1325),
    [sym_identifier] = ACTIONS(1323),
    [aux_sym_preproc_include_token1] = ACTIONS(1323),
    [aux_sym_preproc_def_token1] = ACTIONS(1323),
    [aux_sym_preproc_if_token1] = ACTIONS(1323),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1323),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1323),
    [sym_preproc_directive] = ACTIONS(1323),
    [anon_sym_LPAREN2] = ACTIONS(1325),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_TILDE] = ACTIONS(1325),
    [anon_sym_DASH] = ACTIONS(1323),
    [anon_sym_PLUS] = ACTIONS(1323),
    [anon_sym_STAR] = ACTIONS(1325),
    [anon_sym_AMP] = ACTIONS(1325),
    [anon_sym___extension__] = ACTIONS(1323),
    [anon_sym_typedef] = ACTIONS(1323),
    [anon_sym_extern] = ACTIONS(1323),
    [anon_sym___attribute__] = ACTIONS(1323),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1325),
    [anon_sym___declspec] = ACTIONS(1323),
    [anon_sym___cdecl] = ACTIONS(1323),
    [anon_sym___clrcall] = ACTIONS(1323),
    [anon_sym___stdcall] = ACTIONS(1323),
    [anon_sym___fastcall] = ACTIONS(1323),
    [anon_sym___thiscall] = ACTIONS(1323),
    [anon_sym___vectorcall] = ACTIONS(1323),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_signed] = ACTIONS(1323),
    [anon_sym_unsigned] = ACTIONS(1323),
    [anon_sym_long] = ACTIONS(1323),
    [anon_sym_short] = ACTIONS(1323),
    [anon_sym_static] = ACTIONS(1323),
    [anon_sym_auto] = ACTIONS(1323),
    [anon_sym_register] = ACTIONS(1323),
    [anon_sym_inline] = ACTIONS(1323),
    [anon_sym___inline] = ACTIONS(1323),
    [anon_sym___inline__] = ACTIONS(1323),
    [anon_sym___forceinline] = ACTIONS(1323),
    [anon_sym_thread_local] = ACTIONS(1323),
    [anon_sym___thread] = ACTIONS(1323),
    [anon_sym_const] = ACTIONS(1323),
    [anon_sym_constexpr] = ACTIONS(1323),
    [anon_sym_volatile] = ACTIONS(1323),
    [anon_sym_restrict] = ACTIONS(1323),
    [anon_sym___restrict__] = ACTIONS(1323),
    [anon_sym__Atomic] = ACTIONS(1323),
    [anon_sym__Noreturn] = ACTIONS(1323),
    [anon_sym_noreturn] = ACTIONS(1323),
    [anon_sym_alignas] = ACTIONS(1323),
    [anon_sym__Alignas] = ACTIONS(1323),
    [sym_primitive_type] = ACTIONS(1323),
    [anon_sym_enum] = ACTIONS(1323),
    [anon_sym_struct] = ACTIONS(1323),
    [anon_sym_union] = ACTIONS(1323),
    [anon_sym_if] = ACTIONS(1323),
    [anon_sym_switch] = ACTIONS(1323),
    [anon_sym_case] = ACTIONS(1323),
    [anon_sym_default] = ACTIONS(1323),
    [anon_sym_while] = ACTIONS(1323),
    [anon_sym_do] = ACTIONS(1323),
    [anon_sym_for] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(1323),
    [anon_sym_break] = ACTIONS(1323),
    [anon_sym_continue] = ACTIONS(1323),
    [anon_sym_goto] = ACTIONS(1323),
    [anon_sym_DASH_DASH] = ACTIONS(1325),
    [anon_sym_PLUS_PLUS] = ACTIONS(1325),
    [anon_sym_sizeof] = ACTIONS(1323),
    [anon_sym___alignof__] = ACTIONS(1323),
    [anon_sym___alignof] = ACTIONS(1323),
    [anon_sym__alignof] = ACTIONS(1323),
    [anon_sym_alignof] = ACTIONS(1323),
    [anon_sym__Alignof] = ACTIONS(1323),
    [anon_sym_offsetof] = ACTIONS(1323),
    [anon_sym__Generic] = ACTIONS(1323),
    [anon_sym_asm] = ACTIONS(1323),
    [anon_sym___asm__] = ACTIONS(1323),
    [sym_number_literal] = ACTIONS(1325),
    [anon_sym_L_SQUOTE] = ACTIONS(1325),
    [anon_sym_u_SQUOTE] = ACTIONS(1325),
    [anon_sym_U_SQUOTE] = ACTIONS(1325),
    [anon_sym_u8_SQUOTE] = ACTIONS(1325),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_L_DQUOTE] = ACTIONS(1325),
    [anon_sym_u_DQUOTE] = ACTIONS(1325),
    [anon_sym_U_DQUOTE] = ACTIONS(1325),
    [anon_sym_u8_DQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [sym_true] = ACTIONS(1323),
    [sym_false] = ACTIONS(1323),
    [anon_sym_NULL] = ACTIONS(1323),
    [anon_sym_nullptr] = ACTIONS(1323),
    [sym_comment] = ACTIONS(3),
  },
  [358] = {
    [ts_builtin_sym_end] = ACTIONS(1363),
    [sym_identifier] = ACTIONS(1361),
    [aux_sym_preproc_include_token1] = ACTIONS(1361),
    [aux_sym_preproc_def_token1] = ACTIONS(1361),
    [aux_sym_preproc_if_token1] = ACTIONS(1361),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1361),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1361),
    [sym_preproc_directive] = ACTIONS(1361),
    [anon_sym_LPAREN2] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_TILDE] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_AMP] = ACTIONS(1363),
    [anon_sym___extension__] = ACTIONS(1361),
    [anon_sym_typedef] = ACTIONS(1361),
    [anon_sym_extern] = ACTIONS(1361),
    [anon_sym___attribute__] = ACTIONS(1361),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1363),
    [anon_sym___declspec] = ACTIONS(1361),
    [anon_sym___cdecl] = ACTIONS(1361),
    [anon_sym___clrcall] = ACTIONS(1361),
    [anon_sym___stdcall] = ACTIONS(1361),
    [anon_sym___fastcall] = ACTIONS(1361),
    [anon_sym___thiscall] = ACTIONS(1361),
    [anon_sym___vectorcall] = ACTIONS(1361),
    [anon_sym_LBRACE] = ACTIONS(1363),
    [anon_sym_signed] = ACTIONS(1361),
    [anon_sym_unsigned] = ACTIONS(1361),
    [anon_sym_long] = ACTIONS(1361),
    [anon_sym_short] = ACTIONS(1361),
    [anon_sym_static] = ACTIONS(1361),
    [anon_sym_auto] = ACTIONS(1361),
    [anon_sym_register] = ACTIONS(1361),
    [anon_sym_inline] = ACTIONS(1361),
    [anon_sym___inline] = ACTIONS(1361),
    [anon_sym___inline__] = ACTIONS(1361),
    [anon_sym___forceinline] = ACTIONS(1361),
    [anon_sym_thread_local] = ACTIONS(1361),
    [anon_sym___thread] = ACTIONS(1361),
    [anon_sym_const] = ACTIONS(1361),
    [anon_sym_constexpr] = ACTIONS(1361),
    [anon_sym_volatile] = ACTIONS(1361),
    [anon_sym_restrict] = ACTIONS(1361),
    [anon_sym___restrict__] = ACTIONS(1361),
    [anon_sym__Atomic] = ACTIONS(1361),
    [anon_sym__Noreturn] = ACTIONS(1361),
    [anon_sym_noreturn] = ACTIONS(1361),
    [anon_sym_alignas] = ACTIONS(1361),
    [anon_sym__Alignas] = ACTIONS(1361),
    [sym_primitive_type] = ACTIONS(1361),
    [anon_sym_enum] = ACTIONS(1361),
    [anon_sym_struct] = ACTIONS(1361),
    [anon_sym_union] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_switch] = ACTIONS(1361),
    [anon_sym_case] = ACTIONS(1361),
    [anon_sym_default] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1361),
    [anon_sym_do] = ACTIONS(1361),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_return] = ACTIONS(1361),
    [anon_sym_break] = ACTIONS(1361),
    [anon_sym_continue] = ACTIONS(1361),
    [anon_sym_goto] = ACTIONS(1361),
    [anon_sym_DASH_DASH] = ACTIONS(1363),
    [anon_sym_PLUS_PLUS] = ACTIONS(1363),
    [anon_sym_sizeof] = ACTIONS(1361),
    [anon_sym___alignof__] = ACTIONS(1361),
    [anon_sym___alignof] = ACTIONS(1361),
    [anon_sym__alignof] = ACTIONS(1361),
    [anon_sym_alignof] = ACTIONS(1361),
    [anon_sym__Alignof] = ACTIONS(1361),
    [anon_sym_offsetof] = ACTIONS(1361),
    [anon_sym__Generic] = ACTIONS(1361),
    [anon_sym_asm] = ACTIONS(1361),
    [anon_sym___asm__] = ACTIONS(1361),
    [sym_number_literal] = ACTIONS(1363),
    [anon_sym_L_SQUOTE] = ACTIONS(1363),
    [anon_sym_u_SQUOTE] = ACTIONS(1363),
    [anon_sym_U_SQUOTE] = ACTIONS(1363),
    [anon_sym_u8_SQUOTE] = ACTIONS(1363),
    [anon_sym_SQUOTE] = ACTIONS(1363),
    [anon_sym_L_DQUOTE] = ACTIONS(1363),
    [anon_sym_u_DQUOTE] = ACTIONS(1363),
    [anon_sym_U_DQUOTE] = ACTIONS(1363),
    [anon_sym_u8_DQUOTE] = ACTIONS(1363),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [sym_true] = ACTIONS(1361),
    [sym_false] = ACTIONS(1361),
    [anon_sym_NULL] = ACTIONS(1361),
    [anon_sym_nullptr] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
  },
  [359] = {
    [ts_builtin_sym_end] = ACTIONS(1672),
    [sym_identifier] = ACTIONS(1674),
    [aux_sym_preproc_include_token1] = ACTIONS(1674),
    [aux_sym_preproc_def_token1] = ACTIONS(1674),
    [aux_sym_preproc_if_token1] = ACTIONS(1674),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1674),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1674),
    [sym_preproc_directive] = ACTIONS(1674),
    [anon_sym_LPAREN2] = ACTIONS(1672),
    [anon_sym_BANG] = ACTIONS(1672),
    [anon_sym_TILDE] = ACTIONS(1672),
    [anon_sym_DASH] = ACTIONS(1674),
    [anon_sym_PLUS] = ACTIONS(1674),
    [anon_sym_STAR] = ACTIONS(1672),
    [anon_sym_AMP] = ACTIONS(1672),
    [anon_sym___extension__] = ACTIONS(1674),
    [anon_sym_typedef] = ACTIONS(1674),
    [anon_sym_extern] = ACTIONS(1674),
    [anon_sym___attribute__] = ACTIONS(1674),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1672),
    [anon_sym___declspec] = ACTIONS(1674),
    [anon_sym___cdecl] = ACTIONS(1674),
    [anon_sym___clrcall] = ACTIONS(1674),
    [anon_sym___stdcall] = ACTIONS(1674),
    [anon_sym___fastcall] = ACTIONS(1674),
    [anon_sym___thiscall] = ACTIONS(1674),
    [anon_sym___vectorcall] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1672),
    [anon_sym_signed] = ACTIONS(1674),
    [anon_sym_unsigned] = ACTIONS(1674),
    [anon_sym_long] = ACTIONS(1674),
    [anon_sym_short] = ACTIONS(1674),
    [anon_sym_static] = ACTIONS(1674),
    [anon_sym_auto] = ACTIONS(1674),
    [anon_sym_register] = ACTIONS(1674),
    [anon_sym_inline] = ACTIONS(1674),
    [anon_sym___inline] = ACTIONS(1674),
    [anon_sym___inline__] = ACTIONS(1674),
    [anon_sym___forceinline] = ACTIONS(1674),
    [anon_sym_thread_local] = ACTIONS(1674),
    [anon_sym___thread] = ACTIONS(1674),
    [anon_sym_const] = ACTIONS(1674),
    [anon_sym_constexpr] = ACTIONS(1674),
    [anon_sym_volatile] = ACTIONS(1674),
    [anon_sym_restrict] = ACTIONS(1674),
    [anon_sym___restrict__] = ACTIONS(1674),
    [anon_sym__Atomic] = ACTIONS(1674),
    [anon_sym__Noreturn] = ACTIONS(1674),
    [anon_sym_noreturn] = ACTIONS(1674),
    [anon_sym_alignas] = ACTIONS(1674),
    [anon_sym__Alignas] = ACTIONS(1674),
    [sym_primitive_type] = ACTIONS(1674),
    [anon_sym_enum] = ACTIONS(1674),
    [anon_sym_struct] = ACTIONS(1674),
    [anon_sym_union] = ACTIONS(1674),
    [anon_sym_if] = ACTIONS(1674),
    [anon_sym_switch] = ACTIONS(1674),
    [anon_sym_case] = ACTIONS(1674),
    [anon_sym_default] = ACTIONS(1674),
    [anon_sym_while] = ACTIONS(1674),
    [anon_sym_do] = ACTIONS(1674),
    [anon_sym_for] = ACTIONS(1674),
    [anon_sym_return] = ACTIONS(1674),
    [anon_sym_break] = ACTIONS(1674),
    [anon_sym_continue] = ACTIONS(1674),
    [anon_sym_goto] = ACTIONS(1674),
    [anon_sym_DASH_DASH] = ACTIONS(1672),
    [anon_sym_PLUS_PLUS] = ACTIONS(1672),
    [anon_sym_sizeof] = ACTIONS(1674),
    [anon_sym___alignof__] = ACTIONS(1674),
    [anon_sym___alignof] = ACTIONS(1674),
    [anon_sym__alignof] = ACTIONS(1674),
    [anon_sym_alignof] = ACTIONS(1674),
    [anon_sym__Alignof] = ACTIONS(1674),
    [anon_sym_offsetof] = ACTIONS(1674),
    [anon_sym__Generic] = ACTIONS(1674),
    [anon_sym_asm] = ACTIONS(1674),
    [anon_sym___asm__] = ACTIONS(1674),
    [sym_number_literal] = ACTIONS(1672),
    [anon_sym_L_SQUOTE] = ACTIONS(1672),
    [anon_sym_u_SQUOTE] = ACTIONS(1672),
    [anon_sym_U_SQUOTE] = ACTIONS(1672),
    [anon_sym_u8_SQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1672),
    [anon_sym_L_DQUOTE] = ACTIONS(1672),
    [anon_sym_u_DQUOTE] = ACTIONS(1672),
    [anon_sym_U_DQUOTE] = ACTIONS(1672),
    [anon_sym_u8_DQUOTE] = ACTIONS(1672),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [sym_true] = ACTIONS(1674),
    [sym_false] = ACTIONS(1674),
    [anon_sym_NULL] = ACTIONS(1674),
    [anon_sym_nullptr] = ACTIONS(1674),
    [sym_comment] = ACTIONS(3),
  },
  [360] = {
    [ts_builtin_sym_end] = ACTIONS(1253),
    [sym_identifier] = ACTIONS(1251),
    [aux_sym_preproc_include_token1] = ACTIONS(1251),
    [aux_sym_preproc_def_token1] = ACTIONS(1251),
    [aux_sym_preproc_if_token1] = ACTIONS(1251),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1251),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1251),
    [sym_preproc_directive] = ACTIONS(1251),
    [anon_sym_LPAREN2] = ACTIONS(1253),
    [anon_sym_BANG] = ACTIONS(1253),
    [anon_sym_TILDE] = ACTIONS(1253),
    [anon_sym_DASH] = ACTIONS(1251),
    [anon_sym_PLUS] = ACTIONS(1251),
    [anon_sym_STAR] = ACTIONS(1253),
    [anon_sym_AMP] = ACTIONS(1253),
    [anon_sym___extension__] = ACTIONS(1251),
    [anon_sym_typedef] = ACTIONS(1251),
    [anon_sym_extern] = ACTIONS(1251),
    [anon_sym___attribute__] = ACTIONS(1251),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1253),
    [anon_sym___declspec] = ACTIONS(1251),
    [anon_sym___cdecl] = ACTIONS(1251),
    [anon_sym___clrcall] = ACTIONS(1251),
    [anon_sym___stdcall] = ACTIONS(1251),
    [anon_sym___fastcall] = ACTIONS(1251),
    [anon_sym___thiscall] = ACTIONS(1251),
    [anon_sym___vectorcall] = ACTIONS(1251),
    [anon_sym_LBRACE] = ACTIONS(1253),
    [anon_sym_signed] = ACTIONS(1251),
    [anon_sym_unsigned] = ACTIONS(1251),
    [anon_sym_long] = ACTIONS(1251),
    [anon_sym_short] = ACTIONS(1251),
    [anon_sym_static] = ACTIONS(1251),
    [anon_sym_auto] = ACTIONS(1251),
    [anon_sym_register] = ACTIONS(1251),
    [anon_sym_inline] = ACTIONS(1251),
    [anon_sym___inline] = ACTIONS(1251),
    [anon_sym___inline__] = ACTIONS(1251),
    [anon_sym___forceinline] = ACTIONS(1251),
    [anon_sym_thread_local] = ACTIONS(1251),
    [anon_sym___thread] = ACTIONS(1251),
    [anon_sym_const] = ACTIONS(1251),
    [anon_sym_constexpr] = ACTIONS(1251),
    [anon_sym_volatile] = ACTIONS(1251),
    [anon_sym_restrict] = ACTIONS(1251),
    [anon_sym___restrict__] = ACTIONS(1251),
    [anon_sym__Atomic] = ACTIONS(1251),
    [anon_sym__Noreturn] = ACTIONS(1251),
    [anon_sym_noreturn] = ACTIONS(1251),
    [anon_sym_alignas] = ACTIONS(1251),
    [anon_sym__Alignas] = ACTIONS(1251),
    [sym_primitive_type] = ACTIONS(1251),
    [anon_sym_enum] = ACTIONS(1251),
    [anon_sym_struct] = ACTIONS(1251),
    [anon_sym_union] = ACTIONS(1251),
    [anon_sym_if] = ACTIONS(1251),
    [anon_sym_switch] = ACTIONS(1251),
    [anon_sym_case] = ACTIONS(1251),
    [anon_sym_default] = ACTIONS(1251),
    [anon_sym_while] = ACTIONS(1251),
    [anon_sym_do] = ACTIONS(1251),
    [anon_sym_for] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(1251),
    [anon_sym_break] = ACTIONS(1251),
    [anon_sym_continue] = ACTIONS(1251),
    [anon_sym_goto] = ACTIONS(1251),
    [anon_sym_DASH_DASH] = ACTIONS(1253),
    [anon_sym_PLUS_PLUS] = ACTIONS(1253),
    [anon_sym_sizeof] = ACTIONS(1251),
    [anon_sym___alignof__] = ACTIONS(1251),
    [anon_sym___alignof] = ACTIONS(1251),
    [anon_sym__alignof] = ACTIONS(1251),
    [anon_sym_alignof] = ACTIONS(1251),
    [anon_sym__Alignof] = ACTIONS(1251),
    [anon_sym_offsetof] = ACTIONS(1251),
    [anon_sym__Generic] = ACTIONS(1251),
    [anon_sym_asm] = ACTIONS(1251),
    [anon_sym___asm__] = ACTIONS(1251),
    [sym_number_literal] = ACTIONS(1253),
    [anon_sym_L_SQUOTE] = ACTIONS(1253),
    [anon_sym_u_SQUOTE] = ACTIONS(1253),
    [anon_sym_U_SQUOTE] = ACTIONS(1253),
    [anon_sym_u8_SQUOTE] = ACTIONS(1253),
    [anon_sym_SQUOTE] = ACTIONS(1253),
    [anon_sym_L_DQUOTE] = ACTIONS(1253),
    [anon_sym_u_DQUOTE] = ACTIONS(1253),
    [anon_sym_U_DQUOTE] = ACTIONS(1253),
    [anon_sym_u8_DQUOTE] = ACTIONS(1253),
    [anon_sym_DQUOTE] = ACTIONS(1253),
    [sym_true] = ACTIONS(1251),
    [sym_false] = ACTIONS(1251),
    [anon_sym_NULL] = ACTIONS(1251),
    [anon_sym_nullptr] = ACTIONS(1251),
    [sym_comment] = ACTIONS(3),
  },
  [361] = {
    [ts_builtin_sym_end] = ACTIONS(1321),
    [sym_identifier] = ACTIONS(1319),
    [aux_sym_preproc_include_token1] = ACTIONS(1319),
    [aux_sym_preproc_def_token1] = ACTIONS(1319),
    [aux_sym_preproc_if_token1] = ACTIONS(1319),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1319),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1319),
    [sym_preproc_directive] = ACTIONS(1319),
    [anon_sym_LPAREN2] = ACTIONS(1321),
    [anon_sym_BANG] = ACTIONS(1321),
    [anon_sym_TILDE] = ACTIONS(1321),
    [anon_sym_DASH] = ACTIONS(1319),
    [anon_sym_PLUS] = ACTIONS(1319),
    [anon_sym_STAR] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(1321),
    [anon_sym___extension__] = ACTIONS(1319),
    [anon_sym_typedef] = ACTIONS(1319),
    [anon_sym_extern] = ACTIONS(1319),
    [anon_sym___attribute__] = ACTIONS(1319),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1321),
    [anon_sym___declspec] = ACTIONS(1319),
    [anon_sym___cdecl] = ACTIONS(1319),
    [anon_sym___clrcall] = ACTIONS(1319),
    [anon_sym___stdcall] = ACTIONS(1319),
    [anon_sym___fastcall] = ACTIONS(1319),
    [anon_sym___thiscall] = ACTIONS(1319),
    [anon_sym___vectorcall] = ACTIONS(1319),
    [anon_sym_LBRACE] = ACTIONS(1321),
    [anon_sym_signed] = ACTIONS(1319),
    [anon_sym_unsigned] = ACTIONS(1319),
    [anon_sym_long] = ACTIONS(1319),
    [anon_sym_short] = ACTIONS(1319),
    [anon_sym_static] = ACTIONS(1319),
    [anon_sym_auto] = ACTIONS(1319),
    [anon_sym_register] = ACTIONS(1319),
    [anon_sym_inline] = ACTIONS(1319),
    [anon_sym___inline] = ACTIONS(1319),
    [anon_sym___inline__] = ACTIONS(1319),
    [anon_sym___forceinline] = ACTIONS(1319),
    [anon_sym_thread_local] = ACTIONS(1319),
    [anon_sym___thread] = ACTIONS(1319),
    [anon_sym_const] = ACTIONS(1319),
    [anon_sym_constexpr] = ACTIONS(1319),
    [anon_sym_volatile] = ACTIONS(1319),
    [anon_sym_restrict] = ACTIONS(1319),
    [anon_sym___restrict__] = ACTIONS(1319),
    [anon_sym__Atomic] = ACTIONS(1319),
    [anon_sym__Noreturn] = ACTIONS(1319),
    [anon_sym_noreturn] = ACTIONS(1319),
    [anon_sym_alignas] = ACTIONS(1319),
    [anon_sym__Alignas] = ACTIONS(1319),
    [sym_primitive_type] = ACTIONS(1319),
    [anon_sym_enum] = ACTIONS(1319),
    [anon_sym_struct] = ACTIONS(1319),
    [anon_sym_union] = ACTIONS(1319),
    [anon_sym_if] = ACTIONS(1319),
    [anon_sym_switch] = ACTIONS(1319),
    [anon_sym_case] = ACTIONS(1319),
    [anon_sym_default] = ACTIONS(1319),
    [anon_sym_while] = ACTIONS(1319),
    [anon_sym_do] = ACTIONS(1319),
    [anon_sym_for] = ACTIONS(1319),
    [anon_sym_return] = ACTIONS(1319),
    [anon_sym_break] = ACTIONS(1319),
    [anon_sym_continue] = ACTIONS(1319),
    [anon_sym_goto] = ACTIONS(1319),
    [anon_sym_DASH_DASH] = ACTIONS(1321),
    [anon_sym_PLUS_PLUS] = ACTIONS(1321),
    [anon_sym_sizeof] = ACTIONS(1319),
    [anon_sym___alignof__] = ACTIONS(1319),
    [anon_sym___alignof] = ACTIONS(1319),
    [anon_sym__alignof] = ACTIONS(1319),
    [anon_sym_alignof] = ACTIONS(1319),
    [anon_sym__Alignof] = ACTIONS(1319),
    [anon_sym_offsetof] = ACTIONS(1319),
    [anon_sym__Generic] = ACTIONS(1319),
    [anon_sym_asm] = ACTIONS(1319),
    [anon_sym___asm__] = ACTIONS(1319),
    [sym_number_literal] = ACTIONS(1321),
    [anon_sym_L_SQUOTE] = ACTIONS(1321),
    [anon_sym_u_SQUOTE] = ACTIONS(1321),
    [anon_sym_U_SQUOTE] = ACTIONS(1321),
    [anon_sym_u8_SQUOTE] = ACTIONS(1321),
    [anon_sym_SQUOTE] = ACTIONS(1321),
    [anon_sym_L_DQUOTE] = ACTIONS(1321),
    [anon_sym_u_DQUOTE] = ACTIONS(1321),
    [anon_sym_U_DQUOTE] = ACTIONS(1321),
    [anon_sym_u8_DQUOTE] = ACTIONS(1321),
    [anon_sym_DQUOTE] = ACTIONS(1321),
    [sym_true] = ACTIONS(1319),
    [sym_false] = ACTIONS(1319),
    [anon_sym_NULL] = ACTIONS(1319),
    [anon_sym_nullptr] = ACTIONS(1319),
    [sym_comment] = ACTIONS(3),
  },
  [362] = {
    [ts_builtin_sym_end] = ACTIONS(1269),
    [sym_identifier] = ACTIONS(1267),
    [aux_sym_preproc_include_token1] = ACTIONS(1267),
    [aux_sym_preproc_def_token1] = ACTIONS(1267),
    [aux_sym_preproc_if_token1] = ACTIONS(1267),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1267),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1267),
    [sym_preproc_directive] = ACTIONS(1267),
    [anon_sym_LPAREN2] = ACTIONS(1269),
    [anon_sym_BANG] = ACTIONS(1269),
    [anon_sym_TILDE] = ACTIONS(1269),
    [anon_sym_DASH] = ACTIONS(1267),
    [anon_sym_PLUS] = ACTIONS(1267),
    [anon_sym_STAR] = ACTIONS(1269),
    [anon_sym_AMP] = ACTIONS(1269),
    [anon_sym___extension__] = ACTIONS(1267),
    [anon_sym_typedef] = ACTIONS(1267),
    [anon_sym_extern] = ACTIONS(1267),
    [anon_sym___attribute__] = ACTIONS(1267),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1269),
    [anon_sym___declspec] = ACTIONS(1267),
    [anon_sym___cdecl] = ACTIONS(1267),
    [anon_sym___clrcall] = ACTIONS(1267),
    [anon_sym___stdcall] = ACTIONS(1267),
    [anon_sym___fastcall] = ACTIONS(1267),
    [anon_sym___thiscall] = ACTIONS(1267),
    [anon_sym___vectorcall] = ACTIONS(1267),
    [anon_sym_LBRACE] = ACTIONS(1269),
    [anon_sym_signed] = ACTIONS(1267),
    [anon_sym_unsigned] = ACTIONS(1267),
    [anon_sym_long] = ACTIONS(1267),
    [anon_sym_short] = ACTIONS(1267),
    [anon_sym_static] = ACTIONS(1267),
    [anon_sym_auto] = ACTIONS(1267),
    [anon_sym_register] = ACTIONS(1267),
    [anon_sym_inline] = ACTIONS(1267),
    [anon_sym___inline] = ACTIONS(1267),
    [anon_sym___inline__] = ACTIONS(1267),
    [anon_sym___forceinline] = ACTIONS(1267),
    [anon_sym_thread_local] = ACTIONS(1267),
    [anon_sym___thread] = ACTIONS(1267),
    [anon_sym_const] = ACTIONS(1267),
    [anon_sym_constexpr] = ACTIONS(1267),
    [anon_sym_volatile] = ACTIONS(1267),
    [anon_sym_restrict] = ACTIONS(1267),
    [anon_sym___restrict__] = ACTIONS(1267),
    [anon_sym__Atomic] = ACTIONS(1267),
    [anon_sym__Noreturn] = ACTIONS(1267),
    [anon_sym_noreturn] = ACTIONS(1267),
    [anon_sym_alignas] = ACTIONS(1267),
    [anon_sym__Alignas] = ACTIONS(1267),
    [sym_primitive_type] = ACTIONS(1267),
    [anon_sym_enum] = ACTIONS(1267),
    [anon_sym_struct] = ACTIONS(1267),
    [anon_sym_union] = ACTIONS(1267),
    [anon_sym_if] = ACTIONS(1267),
    [anon_sym_switch] = ACTIONS(1267),
    [anon_sym_case] = ACTIONS(1267),
    [anon_sym_default] = ACTIONS(1267),
    [anon_sym_while] = ACTIONS(1267),
    [anon_sym_do] = ACTIONS(1267),
    [anon_sym_for] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(1267),
    [anon_sym_break] = ACTIONS(1267),
    [anon_sym_continue] = ACTIONS(1267),
    [anon_sym_goto] = ACTIONS(1267),
    [anon_sym_DASH_DASH] = ACTIONS(1269),
    [anon_sym_PLUS_PLUS] = ACTIONS(1269),
    [anon_sym_sizeof] = ACTIONS(1267),
    [anon_sym___alignof__] = ACTIONS(1267),
    [anon_sym___alignof] = ACTIONS(1267),
    [anon_sym__alignof] = ACTIONS(1267),
    [anon_sym_alignof] = ACTIONS(1267),
    [anon_sym__Alignof] = ACTIONS(1267),
    [anon_sym_offsetof] = ACTIONS(1267),
    [anon_sym__Generic] = ACTIONS(1267),
    [anon_sym_asm] = ACTIONS(1267),
    [anon_sym___asm__] = ACTIONS(1267),
    [sym_number_literal] = ACTIONS(1269),
    [anon_sym_L_SQUOTE] = ACTIONS(1269),
    [anon_sym_u_SQUOTE] = ACTIONS(1269),
    [anon_sym_U_SQUOTE] = ACTIONS(1269),
    [anon_sym_u8_SQUOTE] = ACTIONS(1269),
    [anon_sym_SQUOTE] = ACTIONS(1269),
    [anon_sym_L_DQUOTE] = ACTIONS(1269),
    [anon_sym_u_DQUOTE] = ACTIONS(1269),
    [anon_sym_U_DQUOTE] = ACTIONS(1269),
    [anon_sym_u8_DQUOTE] = ACTIONS(1269),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_true] = ACTIONS(1267),
    [sym_false] = ACTIONS(1267),
    [anon_sym_NULL] = ACTIONS(1267),
    [anon_sym_nullptr] = ACTIONS(1267),
    [sym_comment] = ACTIONS(3),
  },
  [363] = {
    [ts_builtin_sym_end] = ACTIONS(1676),
    [sym_identifier] = ACTIONS(1678),
    [aux_sym_preproc_include_token1] = ACTIONS(1678),
    [aux_sym_preproc_def_token1] = ACTIONS(1678),
    [aux_sym_preproc_if_token1] = ACTIONS(1678),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1678),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1678),
    [sym_preproc_directive] = ACTIONS(1678),
    [anon_sym_LPAREN2] = ACTIONS(1676),
    [anon_sym_BANG] = ACTIONS(1676),
    [anon_sym_TILDE] = ACTIONS(1676),
    [anon_sym_DASH] = ACTIONS(1678),
    [anon_sym_PLUS] = ACTIONS(1678),
    [anon_sym_STAR] = ACTIONS(1676),
    [anon_sym_AMP] = ACTIONS(1676),
    [anon_sym___extension__] = ACTIONS(1678),
    [anon_sym_typedef] = ACTIONS(1678),
    [anon_sym_extern] = ACTIONS(1678),
    [anon_sym___attribute__] = ACTIONS(1678),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1676),
    [anon_sym___declspec] = ACTIONS(1678),
    [anon_sym___cdecl] = ACTIONS(1678),
    [anon_sym___clrcall] = ACTIONS(1678),
    [anon_sym___stdcall] = ACTIONS(1678),
    [anon_sym___fastcall] = ACTIONS(1678),
    [anon_sym___thiscall] = ACTIONS(1678),
    [anon_sym___vectorcall] = ACTIONS(1678),
    [anon_sym_LBRACE] = ACTIONS(1676),
    [anon_sym_signed] = ACTIONS(1678),
    [anon_sym_unsigned] = ACTIONS(1678),
    [anon_sym_long] = ACTIONS(1678),
    [anon_sym_short] = ACTIONS(1678),
    [anon_sym_static] = ACTIONS(1678),
    [anon_sym_auto] = ACTIONS(1678),
    [anon_sym_register] = ACTIONS(1678),
    [anon_sym_inline] = ACTIONS(1678),
    [anon_sym___inline] = ACTIONS(1678),
    [anon_sym___inline__] = ACTIONS(1678),
    [anon_sym___forceinline] = ACTIONS(1678),
    [anon_sym_thread_local] = ACTIONS(1678),
    [anon_sym___thread] = ACTIONS(1678),
    [anon_sym_const] = ACTIONS(1678),
    [anon_sym_constexpr] = ACTIONS(1678),
    [anon_sym_volatile] = ACTIONS(1678),
    [anon_sym_restrict] = ACTIONS(1678),
    [anon_sym___restrict__] = ACTIONS(1678),
    [anon_sym__Atomic] = ACTIONS(1678),
    [anon_sym__Noreturn] = ACTIONS(1678),
    [anon_sym_noreturn] = ACTIONS(1678),
    [anon_sym_alignas] = ACTIONS(1678),
    [anon_sym__Alignas] = ACTIONS(1678),
    [sym_primitive_type] = ACTIONS(1678),
    [anon_sym_enum] = ACTIONS(1678),
    [anon_sym_struct] = ACTIONS(1678),
    [anon_sym_union] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1678),
    [anon_sym_switch] = ACTIONS(1678),
    [anon_sym_case] = ACTIONS(1678),
    [anon_sym_default] = ACTIONS(1678),
    [anon_sym_while] = ACTIONS(1678),
    [anon_sym_do] = ACTIONS(1678),
    [anon_sym_for] = ACTIONS(1678),
    [anon_sym_return] = ACTIONS(1678),
    [anon_sym_break] = ACTIONS(1678),
    [anon_sym_continue] = ACTIONS(1678),
    [anon_sym_goto] = ACTIONS(1678),
    [anon_sym_DASH_DASH] = ACTIONS(1676),
    [anon_sym_PLUS_PLUS] = ACTIONS(1676),
    [anon_sym_sizeof] = ACTIONS(1678),
    [anon_sym___alignof__] = ACTIONS(1678),
    [anon_sym___alignof] = ACTIONS(1678),
    [anon_sym__alignof] = ACTIONS(1678),
    [anon_sym_alignof] = ACTIONS(1678),
    [anon_sym__Alignof] = ACTIONS(1678),
    [anon_sym_offsetof] = ACTIONS(1678),
    [anon_sym__Generic] = ACTIONS(1678),
    [anon_sym_asm] = ACTIONS(1678),
    [anon_sym___asm__] = ACTIONS(1678),
    [sym_number_literal] = ACTIONS(1676),
    [anon_sym_L_SQUOTE] = ACTIONS(1676),
    [anon_sym_u_SQUOTE] = ACTIONS(1676),
    [anon_sym_U_SQUOTE] = ACTIONS(1676),
    [anon_sym_u8_SQUOTE] = ACTIONS(1676),
    [anon_sym_SQUOTE] = ACTIONS(1676),
    [anon_sym_L_DQUOTE] = ACTIONS(1676),
    [anon_sym_u_DQUOTE] = ACTIONS(1676),
    [anon_sym_U_DQUOTE] = ACTIONS(1676),
    [anon_sym_u8_DQUOTE] = ACTIONS(1676),
    [anon_sym_DQUOTE] = ACTIONS(1676),
    [sym_true] = ACTIONS(1678),
    [sym_false] = ACTIONS(1678),
    [anon_sym_NULL] = ACTIONS(1678),
    [anon_sym_nullptr] = ACTIONS(1678),
    [sym_comment] = ACTIONS(3),
  },
  [364] = {
    [ts_builtin_sym_end] = ACTIONS(1293),
    [sym_identifier] = ACTIONS(1291),
    [aux_sym_preproc_include_token1] = ACTIONS(1291),
    [aux_sym_preproc_def_token1] = ACTIONS(1291),
    [aux_sym_preproc_if_token1] = ACTIONS(1291),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1291),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1291),
    [sym_preproc_directive] = ACTIONS(1291),
    [anon_sym_LPAREN2] = ACTIONS(1293),
    [anon_sym_BANG] = ACTIONS(1293),
    [anon_sym_TILDE] = ACTIONS(1293),
    [anon_sym_DASH] = ACTIONS(1291),
    [anon_sym_PLUS] = ACTIONS(1291),
    [anon_sym_STAR] = ACTIONS(1293),
    [anon_sym_AMP] = ACTIONS(1293),
    [anon_sym___extension__] = ACTIONS(1291),
    [anon_sym_typedef] = ACTIONS(1291),
    [anon_sym_extern] = ACTIONS(1291),
    [anon_sym___attribute__] = ACTIONS(1291),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1293),
    [anon_sym___declspec] = ACTIONS(1291),
    [anon_sym___cdecl] = ACTIONS(1291),
    [anon_sym___clrcall] = ACTIONS(1291),
    [anon_sym___stdcall] = ACTIONS(1291),
    [anon_sym___fastcall] = ACTIONS(1291),
    [anon_sym___thiscall] = ACTIONS(1291),
    [anon_sym___vectorcall] = ACTIONS(1291),
    [anon_sym_LBRACE] = ACTIONS(1293),
    [anon_sym_signed] = ACTIONS(1291),
    [anon_sym_unsigned] = ACTIONS(1291),
    [anon_sym_long] = ACTIONS(1291),
    [anon_sym_short] = ACTIONS(1291),
    [anon_sym_static] = ACTIONS(1291),
    [anon_sym_auto] = ACTIONS(1291),
    [anon_sym_register] = ACTIONS(1291),
    [anon_sym_inline] = ACTIONS(1291),
    [anon_sym___inline] = ACTIONS(1291),
    [anon_sym___inline__] = ACTIONS(1291),
    [anon_sym___forceinline] = ACTIONS(1291),
    [anon_sym_thread_local] = ACTIONS(1291),
    [anon_sym___thread] = ACTIONS(1291),
    [anon_sym_const] = ACTIONS(1291),
    [anon_sym_constexpr] = ACTIONS(1291),
    [anon_sym_volatile] = ACTIONS(1291),
    [anon_sym_restrict] = ACTIONS(1291),
    [anon_sym___restrict__] = ACTIONS(1291),
    [anon_sym__Atomic] = ACTIONS(1291),
    [anon_sym__Noreturn] = ACTIONS(1291),
    [anon_sym_noreturn] = ACTIONS(1291),
    [anon_sym_alignas] = ACTIONS(1291),
    [anon_sym__Alignas] = ACTIONS(1291),
    [sym_primitive_type] = ACTIONS(1291),
    [anon_sym_enum] = ACTIONS(1291),
    [anon_sym_struct] = ACTIONS(1291),
    [anon_sym_union] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1291),
    [anon_sym_switch] = ACTIONS(1291),
    [anon_sym_case] = ACTIONS(1291),
    [anon_sym_default] = ACTIONS(1291),
    [anon_sym_while] = ACTIONS(1291),
    [anon_sym_do] = ACTIONS(1291),
    [anon_sym_for] = ACTIONS(1291),
    [anon_sym_return] = ACTIONS(1291),
    [anon_sym_break] = ACTIONS(1291),
    [anon_sym_continue] = ACTIONS(1291),
    [anon_sym_goto] = ACTIONS(1291),
    [anon_sym_DASH_DASH] = ACTIONS(1293),
    [anon_sym_PLUS_PLUS] = ACTIONS(1293),
    [anon_sym_sizeof] = ACTIONS(1291),
    [anon_sym___alignof__] = ACTIONS(1291),
    [anon_sym___alignof] = ACTIONS(1291),
    [anon_sym__alignof] = ACTIONS(1291),
    [anon_sym_alignof] = ACTIONS(1291),
    [anon_sym__Alignof] = ACTIONS(1291),
    [anon_sym_offsetof] = ACTIONS(1291),
    [anon_sym__Generic] = ACTIONS(1291),
    [anon_sym_asm] = ACTIONS(1291),
    [anon_sym___asm__] = ACTIONS(1291),
    [sym_number_literal] = ACTIONS(1293),
    [anon_sym_L_SQUOTE] = ACTIONS(1293),
    [anon_sym_u_SQUOTE] = ACTIONS(1293),
    [anon_sym_U_SQUOTE] = ACTIONS(1293),
    [anon_sym_u8_SQUOTE] = ACTIONS(1293),
    [anon_sym_SQUOTE] = ACTIONS(1293),
    [anon_sym_L_DQUOTE] = ACTIONS(1293),
    [anon_sym_u_DQUOTE] = ACTIONS(1293),
    [anon_sym_U_DQUOTE] = ACTIONS(1293),
    [anon_sym_u8_DQUOTE] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(1293),
    [sym_true] = ACTIONS(1291),
    [sym_false] = ACTIONS(1291),
    [anon_sym_NULL] = ACTIONS(1291),
    [anon_sym_nullptr] = ACTIONS(1291),
    [sym_comment] = ACTIONS(3),
  },
  [365] = {
    [ts_builtin_sym_end] = ACTIONS(1305),
    [sym_identifier] = ACTIONS(1303),
    [aux_sym_preproc_include_token1] = ACTIONS(1303),
    [aux_sym_preproc_def_token1] = ACTIONS(1303),
    [aux_sym_preproc_if_token1] = ACTIONS(1303),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1303),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1303),
    [sym_preproc_directive] = ACTIONS(1303),
    [anon_sym_LPAREN2] = ACTIONS(1305),
    [anon_sym_BANG] = ACTIONS(1305),
    [anon_sym_TILDE] = ACTIONS(1305),
    [anon_sym_DASH] = ACTIONS(1303),
    [anon_sym_PLUS] = ACTIONS(1303),
    [anon_sym_STAR] = ACTIONS(1305),
    [anon_sym_AMP] = ACTIONS(1305),
    [anon_sym___extension__] = ACTIONS(1303),
    [anon_sym_typedef] = ACTIONS(1303),
    [anon_sym_extern] = ACTIONS(1303),
    [anon_sym___attribute__] = ACTIONS(1303),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1305),
    [anon_sym___declspec] = ACTIONS(1303),
    [anon_sym___cdecl] = ACTIONS(1303),
    [anon_sym___clrcall] = ACTIONS(1303),
    [anon_sym___stdcall] = ACTIONS(1303),
    [anon_sym___fastcall] = ACTIONS(1303),
    [anon_sym___thiscall] = ACTIONS(1303),
    [anon_sym___vectorcall] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1305),
    [anon_sym_signed] = ACTIONS(1303),
    [anon_sym_unsigned] = ACTIONS(1303),
    [anon_sym_long] = ACTIONS(1303),
    [anon_sym_short] = ACTIONS(1303),
    [anon_sym_static] = ACTIONS(1303),
    [anon_sym_auto] = ACTIONS(1303),
    [anon_sym_register] = ACTIONS(1303),
    [anon_sym_inline] = ACTIONS(1303),
    [anon_sym___inline] = ACTIONS(1303),
    [anon_sym___inline__] = ACTIONS(1303),
    [anon_sym___forceinline] = ACTIONS(1303),
    [anon_sym_thread_local] = ACTIONS(1303),
    [anon_sym___thread] = ACTIONS(1303),
    [anon_sym_const] = ACTIONS(1303),
    [anon_sym_constexpr] = ACTIONS(1303),
    [anon_sym_volatile] = ACTIONS(1303),
    [anon_sym_restrict] = ACTIONS(1303),
    [anon_sym___restrict__] = ACTIONS(1303),
    [anon_sym__Atomic] = ACTIONS(1303),
    [anon_sym__Noreturn] = ACTIONS(1303),
    [anon_sym_noreturn] = ACTIONS(1303),
    [anon_sym_alignas] = ACTIONS(1303),
    [anon_sym__Alignas] = ACTIONS(1303),
    [sym_primitive_type] = ACTIONS(1303),
    [anon_sym_enum] = ACTIONS(1303),
    [anon_sym_struct] = ACTIONS(1303),
    [anon_sym_union] = ACTIONS(1303),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_switch] = ACTIONS(1303),
    [anon_sym_case] = ACTIONS(1303),
    [anon_sym_default] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1303),
    [anon_sym_do] = ACTIONS(1303),
    [anon_sym_for] = ACTIONS(1303),
    [anon_sym_return] = ACTIONS(1303),
    [anon_sym_break] = ACTIONS(1303),
    [anon_sym_continue] = ACTIONS(1303),
    [anon_sym_goto] = ACTIONS(1303),
    [anon_sym_DASH_DASH] = ACTIONS(1305),
    [anon_sym_PLUS_PLUS] = ACTIONS(1305),
    [anon_sym_sizeof] = ACTIONS(1303),
    [anon_sym___alignof__] = ACTIONS(1303),
    [anon_sym___alignof] = ACTIONS(1303),
    [anon_sym__alignof] = ACTIONS(1303),
    [anon_sym_alignof] = ACTIONS(1303),
    [anon_sym__Alignof] = ACTIONS(1303),
    [anon_sym_offsetof] = ACTIONS(1303),
    [anon_sym__Generic] = ACTIONS(1303),
    [anon_sym_asm] = ACTIONS(1303),
    [anon_sym___asm__] = ACTIONS(1303),
    [sym_number_literal] = ACTIONS(1305),
    [anon_sym_L_SQUOTE] = ACTIONS(1305),
    [anon_sym_u_SQUOTE] = ACTIONS(1305),
    [anon_sym_U_SQUOTE] = ACTIONS(1305),
    [anon_sym_u8_SQUOTE] = ACTIONS(1305),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [anon_sym_L_DQUOTE] = ACTIONS(1305),
    [anon_sym_u_DQUOTE] = ACTIONS(1305),
    [anon_sym_U_DQUOTE] = ACTIONS(1305),
    [anon_sym_u8_DQUOTE] = ACTIONS(1305),
    [anon_sym_DQUOTE] = ACTIONS(1305),
    [sym_true] = ACTIONS(1303),
    [sym_false] = ACTIONS(1303),
    [anon_sym_NULL] = ACTIONS(1303),
    [anon_sym_nullptr] = ACTIONS(1303),
    [sym_comment] = ACTIONS(3),
  },
  [366] = {
    [ts_builtin_sym_end] = ACTIONS(1341),
    [sym_identifier] = ACTIONS(1339),
    [aux_sym_preproc_include_token1] = ACTIONS(1339),
    [aux_sym_preproc_def_token1] = ACTIONS(1339),
    [aux_sym_preproc_if_token1] = ACTIONS(1339),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1339),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1339),
    [sym_preproc_directive] = ACTIONS(1339),
    [anon_sym_LPAREN2] = ACTIONS(1341),
    [anon_sym_BANG] = ACTIONS(1341),
    [anon_sym_TILDE] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1339),
    [anon_sym_PLUS] = ACTIONS(1339),
    [anon_sym_STAR] = ACTIONS(1341),
    [anon_sym_AMP] = ACTIONS(1341),
    [anon_sym___extension__] = ACTIONS(1339),
    [anon_sym_typedef] = ACTIONS(1339),
    [anon_sym_extern] = ACTIONS(1339),
    [anon_sym___attribute__] = ACTIONS(1339),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1341),
    [anon_sym___declspec] = ACTIONS(1339),
    [anon_sym___cdecl] = ACTIONS(1339),
    [anon_sym___clrcall] = ACTIONS(1339),
    [anon_sym___stdcall] = ACTIONS(1339),
    [anon_sym___fastcall] = ACTIONS(1339),
    [anon_sym___thiscall] = ACTIONS(1339),
    [anon_sym___vectorcall] = ACTIONS(1339),
    [anon_sym_LBRACE] = ACTIONS(1341),
    [anon_sym_signed] = ACTIONS(1339),
    [anon_sym_unsigned] = ACTIONS(1339),
    [anon_sym_long] = ACTIONS(1339),
    [anon_sym_short] = ACTIONS(1339),
    [anon_sym_static] = ACTIONS(1339),
    [anon_sym_auto] = ACTIONS(1339),
    [anon_sym_register] = ACTIONS(1339),
    [anon_sym_inline] = ACTIONS(1339),
    [anon_sym___inline] = ACTIONS(1339),
    [anon_sym___inline__] = ACTIONS(1339),
    [anon_sym___forceinline] = ACTIONS(1339),
    [anon_sym_thread_local] = ACTIONS(1339),
    [anon_sym___thread] = ACTIONS(1339),
    [anon_sym_const] = ACTIONS(1339),
    [anon_sym_constexpr] = ACTIONS(1339),
    [anon_sym_volatile] = ACTIONS(1339),
    [anon_sym_restrict] = ACTIONS(1339),
    [anon_sym___restrict__] = ACTIONS(1339),
    [anon_sym__Atomic] = ACTIONS(1339),
    [anon_sym__Noreturn] = ACTIONS(1339),
    [anon_sym_noreturn] = ACTIONS(1339),
    [anon_sym_alignas] = ACTIONS(1339),
    [anon_sym__Alignas] = ACTIONS(1339),
    [sym_primitive_type] = ACTIONS(1339),
    [anon_sym_enum] = ACTIONS(1339),
    [anon_sym_struct] = ACTIONS(1339),
    [anon_sym_union] = ACTIONS(1339),
    [anon_sym_if] = ACTIONS(1339),
    [anon_sym_switch] = ACTIONS(1339),
    [anon_sym_case] = ACTIONS(1339),
    [anon_sym_default] = ACTIONS(1339),
    [anon_sym_while] = ACTIONS(1339),
    [anon_sym_do] = ACTIONS(1339),
    [anon_sym_for] = ACTIONS(1339),
    [anon_sym_return] = ACTIONS(1339),
    [anon_sym_break] = ACTIONS(1339),
    [anon_sym_continue] = ACTIONS(1339),
    [anon_sym_goto] = ACTIONS(1339),
    [anon_sym_DASH_DASH] = ACTIONS(1341),
    [anon_sym_PLUS_PLUS] = ACTIONS(1341),
    [anon_sym_sizeof] = ACTIONS(1339),
    [anon_sym___alignof__] = ACTIONS(1339),
    [anon_sym___alignof] = ACTIONS(1339),
    [anon_sym__alignof] = ACTIONS(1339),
    [anon_sym_alignof] = ACTIONS(1339),
    [anon_sym__Alignof] = ACTIONS(1339),
    [anon_sym_offsetof] = ACTIONS(1339),
    [anon_sym__Generic] = ACTIONS(1339),
    [anon_sym_asm] = ACTIONS(1339),
    [anon_sym___asm__] = ACTIONS(1339),
    [sym_number_literal] = ACTIONS(1341),
    [anon_sym_L_SQUOTE] = ACTIONS(1341),
    [anon_sym_u_SQUOTE] = ACTIONS(1341),
    [anon_sym_U_SQUOTE] = ACTIONS(1341),
    [anon_sym_u8_SQUOTE] = ACTIONS(1341),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_L_DQUOTE] = ACTIONS(1341),
    [anon_sym_u_DQUOTE] = ACTIONS(1341),
    [anon_sym_U_DQUOTE] = ACTIONS(1341),
    [anon_sym_u8_DQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_true] = ACTIONS(1339),
    [sym_false] = ACTIONS(1339),
    [anon_sym_NULL] = ACTIONS(1339),
    [anon_sym_nullptr] = ACTIONS(1339),
    [sym_comment] = ACTIONS(3),
  },
  [367] = {
    [ts_builtin_sym_end] = ACTIONS(1333),
    [sym_identifier] = ACTIONS(1331),
    [aux_sym_preproc_include_token1] = ACTIONS(1331),
    [aux_sym_preproc_def_token1] = ACTIONS(1331),
    [aux_sym_preproc_if_token1] = ACTIONS(1331),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1331),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1331),
    [sym_preproc_directive] = ACTIONS(1331),
    [anon_sym_LPAREN2] = ACTIONS(1333),
    [anon_sym_BANG] = ACTIONS(1333),
    [anon_sym_TILDE] = ACTIONS(1333),
    [anon_sym_DASH] = ACTIONS(1331),
    [anon_sym_PLUS] = ACTIONS(1331),
    [anon_sym_STAR] = ACTIONS(1333),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym___extension__] = ACTIONS(1331),
    [anon_sym_typedef] = ACTIONS(1331),
    [anon_sym_extern] = ACTIONS(1331),
    [anon_sym___attribute__] = ACTIONS(1331),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1333),
    [anon_sym___declspec] = ACTIONS(1331),
    [anon_sym___cdecl] = ACTIONS(1331),
    [anon_sym___clrcall] = ACTIONS(1331),
    [anon_sym___stdcall] = ACTIONS(1331),
    [anon_sym___fastcall] = ACTIONS(1331),
    [anon_sym___thiscall] = ACTIONS(1331),
    [anon_sym___vectorcall] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(1333),
    [anon_sym_signed] = ACTIONS(1331),
    [anon_sym_unsigned] = ACTIONS(1331),
    [anon_sym_long] = ACTIONS(1331),
    [anon_sym_short] = ACTIONS(1331),
    [anon_sym_static] = ACTIONS(1331),
    [anon_sym_auto] = ACTIONS(1331),
    [anon_sym_register] = ACTIONS(1331),
    [anon_sym_inline] = ACTIONS(1331),
    [anon_sym___inline] = ACTIONS(1331),
    [anon_sym___inline__] = ACTIONS(1331),
    [anon_sym___forceinline] = ACTIONS(1331),
    [anon_sym_thread_local] = ACTIONS(1331),
    [anon_sym___thread] = ACTIONS(1331),
    [anon_sym_const] = ACTIONS(1331),
    [anon_sym_constexpr] = ACTIONS(1331),
    [anon_sym_volatile] = ACTIONS(1331),
    [anon_sym_restrict] = ACTIONS(1331),
    [anon_sym___restrict__] = ACTIONS(1331),
    [anon_sym__Atomic] = ACTIONS(1331),
    [anon_sym__Noreturn] = ACTIONS(1331),
    [anon_sym_noreturn] = ACTIONS(1331),
    [anon_sym_alignas] = ACTIONS(1331),
    [anon_sym__Alignas] = ACTIONS(1331),
    [sym_primitive_type] = ACTIONS(1331),
    [anon_sym_enum] = ACTIONS(1331),
    [anon_sym_struct] = ACTIONS(1331),
    [anon_sym_union] = ACTIONS(1331),
    [anon_sym_if] = ACTIONS(1331),
    [anon_sym_switch] = ACTIONS(1331),
    [anon_sym_case] = ACTIONS(1331),
    [anon_sym_default] = ACTIONS(1331),
    [anon_sym_while] = ACTIONS(1331),
    [anon_sym_do] = ACTIONS(1331),
    [anon_sym_for] = ACTIONS(1331),
    [anon_sym_return] = ACTIONS(1331),
    [anon_sym_break] = ACTIONS(1331),
    [anon_sym_continue] = ACTIONS(1331),
    [anon_sym_goto] = ACTIONS(1331),
    [anon_sym_DASH_DASH] = ACTIONS(1333),
    [anon_sym_PLUS_PLUS] = ACTIONS(1333),
    [anon_sym_sizeof] = ACTIONS(1331),
    [anon_sym___alignof__] = ACTIONS(1331),
    [anon_sym___alignof] = ACTIONS(1331),
    [anon_sym__alignof] = ACTIONS(1331),
    [anon_sym_alignof] = ACTIONS(1331),
    [anon_sym__Alignof] = ACTIONS(1331),
    [anon_sym_offsetof] = ACTIONS(1331),
    [anon_sym__Generic] = ACTIONS(1331),
    [anon_sym_asm] = ACTIONS(1331),
    [anon_sym___asm__] = ACTIONS(1331),
    [sym_number_literal] = ACTIONS(1333),
    [anon_sym_L_SQUOTE] = ACTIONS(1333),
    [anon_sym_u_SQUOTE] = ACTIONS(1333),
    [anon_sym_U_SQUOTE] = ACTIONS(1333),
    [anon_sym_u8_SQUOTE] = ACTIONS(1333),
    [anon_sym_SQUOTE] = ACTIONS(1333),
    [anon_sym_L_DQUOTE] = ACTIONS(1333),
    [anon_sym_u_DQUOTE] = ACTIONS(1333),
    [anon_sym_U_DQUOTE] = ACTIONS(1333),
    [anon_sym_u8_DQUOTE] = ACTIONS(1333),
    [anon_sym_DQUOTE] = ACTIONS(1333),
    [sym_true] = ACTIONS(1331),
    [sym_false] = ACTIONS(1331),
    [anon_sym_NULL] = ACTIONS(1331),
    [anon_sym_nullptr] = ACTIONS(1331),
    [sym_comment] = ACTIONS(3),
  },
  [368] = {
    [ts_builtin_sym_end] = ACTIONS(1289),
    [sym_identifier] = ACTIONS(1287),
    [aux_sym_preproc_include_token1] = ACTIONS(1287),
    [aux_sym_preproc_def_token1] = ACTIONS(1287),
    [aux_sym_preproc_if_token1] = ACTIONS(1287),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1287),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1287),
    [sym_preproc_directive] = ACTIONS(1287),
    [anon_sym_LPAREN2] = ACTIONS(1289),
    [anon_sym_BANG] = ACTIONS(1289),
    [anon_sym_TILDE] = ACTIONS(1289),
    [anon_sym_DASH] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(1287),
    [anon_sym_STAR] = ACTIONS(1289),
    [anon_sym_AMP] = ACTIONS(1289),
    [anon_sym___extension__] = ACTIONS(1287),
    [anon_sym_typedef] = ACTIONS(1287),
    [anon_sym_extern] = ACTIONS(1287),
    [anon_sym___attribute__] = ACTIONS(1287),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1289),
    [anon_sym___declspec] = ACTIONS(1287),
    [anon_sym___cdecl] = ACTIONS(1287),
    [anon_sym___clrcall] = ACTIONS(1287),
    [anon_sym___stdcall] = ACTIONS(1287),
    [anon_sym___fastcall] = ACTIONS(1287),
    [anon_sym___thiscall] = ACTIONS(1287),
    [anon_sym___vectorcall] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_signed] = ACTIONS(1287),
    [anon_sym_unsigned] = ACTIONS(1287),
    [anon_sym_long] = ACTIONS(1287),
    [anon_sym_short] = ACTIONS(1287),
    [anon_sym_static] = ACTIONS(1287),
    [anon_sym_auto] = ACTIONS(1287),
    [anon_sym_register] = ACTIONS(1287),
    [anon_sym_inline] = ACTIONS(1287),
    [anon_sym___inline] = ACTIONS(1287),
    [anon_sym___inline__] = ACTIONS(1287),
    [anon_sym___forceinline] = ACTIONS(1287),
    [anon_sym_thread_local] = ACTIONS(1287),
    [anon_sym___thread] = ACTIONS(1287),
    [anon_sym_const] = ACTIONS(1287),
    [anon_sym_constexpr] = ACTIONS(1287),
    [anon_sym_volatile] = ACTIONS(1287),
    [anon_sym_restrict] = ACTIONS(1287),
    [anon_sym___restrict__] = ACTIONS(1287),
    [anon_sym__Atomic] = ACTIONS(1287),
    [anon_sym__Noreturn] = ACTIONS(1287),
    [anon_sym_noreturn] = ACTIONS(1287),
    [anon_sym_alignas] = ACTIONS(1287),
    [anon_sym__Alignas] = ACTIONS(1287),
    [sym_primitive_type] = ACTIONS(1287),
    [anon_sym_enum] = ACTIONS(1287),
    [anon_sym_struct] = ACTIONS(1287),
    [anon_sym_union] = ACTIONS(1287),
    [anon_sym_if] = ACTIONS(1287),
    [anon_sym_switch] = ACTIONS(1287),
    [anon_sym_case] = ACTIONS(1287),
    [anon_sym_default] = ACTIONS(1287),
    [anon_sym_while] = ACTIONS(1287),
    [anon_sym_do] = ACTIONS(1287),
    [anon_sym_for] = ACTIONS(1287),
    [anon_sym_return] = ACTIONS(1287),
    [anon_sym_break] = ACTIONS(1287),
    [anon_sym_continue] = ACTIONS(1287),
    [anon_sym_goto] = ACTIONS(1287),
    [anon_sym_DASH_DASH] = ACTIONS(1289),
    [anon_sym_PLUS_PLUS] = ACTIONS(1289),
    [anon_sym_sizeof] = ACTIONS(1287),
    [anon_sym___alignof__] = ACTIONS(1287),
    [anon_sym___alignof] = ACTIONS(1287),
    [anon_sym__alignof] = ACTIONS(1287),
    [anon_sym_alignof] = ACTIONS(1287),
    [anon_sym__Alignof] = ACTIONS(1287),
    [anon_sym_offsetof] = ACTIONS(1287),
    [anon_sym__Generic] = ACTIONS(1287),
    [anon_sym_asm] = ACTIONS(1287),
    [anon_sym___asm__] = ACTIONS(1287),
    [sym_number_literal] = ACTIONS(1289),
    [anon_sym_L_SQUOTE] = ACTIONS(1289),
    [anon_sym_u_SQUOTE] = ACTIONS(1289),
    [anon_sym_U_SQUOTE] = ACTIONS(1289),
    [anon_sym_u8_SQUOTE] = ACTIONS(1289),
    [anon_sym_SQUOTE] = ACTIONS(1289),
    [anon_sym_L_DQUOTE] = ACTIONS(1289),
    [anon_sym_u_DQUOTE] = ACTIONS(1289),
    [anon_sym_U_DQUOTE] = ACTIONS(1289),
    [anon_sym_u8_DQUOTE] = ACTIONS(1289),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_true] = ACTIONS(1287),
    [sym_false] = ACTIONS(1287),
    [anon_sym_NULL] = ACTIONS(1287),
    [anon_sym_nullptr] = ACTIONS(1287),
    [sym_comment] = ACTIONS(3),
  },
  [369] = {
    [ts_builtin_sym_end] = ACTIONS(1353),
    [sym_identifier] = ACTIONS(1351),
    [aux_sym_preproc_include_token1] = ACTIONS(1351),
    [aux_sym_preproc_def_token1] = ACTIONS(1351),
    [aux_sym_preproc_if_token1] = ACTIONS(1351),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1351),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1351),
    [sym_preproc_directive] = ACTIONS(1351),
    [anon_sym_LPAREN2] = ACTIONS(1353),
    [anon_sym_BANG] = ACTIONS(1353),
    [anon_sym_TILDE] = ACTIONS(1353),
    [anon_sym_DASH] = ACTIONS(1351),
    [anon_sym_PLUS] = ACTIONS(1351),
    [anon_sym_STAR] = ACTIONS(1353),
    [anon_sym_AMP] = ACTIONS(1353),
    [anon_sym___extension__] = ACTIONS(1351),
    [anon_sym_typedef] = ACTIONS(1351),
    [anon_sym_extern] = ACTIONS(1351),
    [anon_sym___attribute__] = ACTIONS(1351),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1353),
    [anon_sym___declspec] = ACTIONS(1351),
    [anon_sym___cdecl] = ACTIONS(1351),
    [anon_sym___clrcall] = ACTIONS(1351),
    [anon_sym___stdcall] = ACTIONS(1351),
    [anon_sym___fastcall] = ACTIONS(1351),
    [anon_sym___thiscall] = ACTIONS(1351),
    [anon_sym___vectorcall] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_signed] = ACTIONS(1351),
    [anon_sym_unsigned] = ACTIONS(1351),
    [anon_sym_long] = ACTIONS(1351),
    [anon_sym_short] = ACTIONS(1351),
    [anon_sym_static] = ACTIONS(1351),
    [anon_sym_auto] = ACTIONS(1351),
    [anon_sym_register] = ACTIONS(1351),
    [anon_sym_inline] = ACTIONS(1351),
    [anon_sym___inline] = ACTIONS(1351),
    [anon_sym___inline__] = ACTIONS(1351),
    [anon_sym___forceinline] = ACTIONS(1351),
    [anon_sym_thread_local] = ACTIONS(1351),
    [anon_sym___thread] = ACTIONS(1351),
    [anon_sym_const] = ACTIONS(1351),
    [anon_sym_constexpr] = ACTIONS(1351),
    [anon_sym_volatile] = ACTIONS(1351),
    [anon_sym_restrict] = ACTIONS(1351),
    [anon_sym___restrict__] = ACTIONS(1351),
    [anon_sym__Atomic] = ACTIONS(1351),
    [anon_sym__Noreturn] = ACTIONS(1351),
    [anon_sym_noreturn] = ACTIONS(1351),
    [anon_sym_alignas] = ACTIONS(1351),
    [anon_sym__Alignas] = ACTIONS(1351),
    [sym_primitive_type] = ACTIONS(1351),
    [anon_sym_enum] = ACTIONS(1351),
    [anon_sym_struct] = ACTIONS(1351),
    [anon_sym_union] = ACTIONS(1351),
    [anon_sym_if] = ACTIONS(1351),
    [anon_sym_switch] = ACTIONS(1351),
    [anon_sym_case] = ACTIONS(1351),
    [anon_sym_default] = ACTIONS(1351),
    [anon_sym_while] = ACTIONS(1351),
    [anon_sym_do] = ACTIONS(1351),
    [anon_sym_for] = ACTIONS(1351),
    [anon_sym_return] = ACTIONS(1351),
    [anon_sym_break] = ACTIONS(1351),
    [anon_sym_continue] = ACTIONS(1351),
    [anon_sym_goto] = ACTIONS(1351),
    [anon_sym_DASH_DASH] = ACTIONS(1353),
    [anon_sym_PLUS_PLUS] = ACTIONS(1353),
    [anon_sym_sizeof] = ACTIONS(1351),
    [anon_sym___alignof__] = ACTIONS(1351),
    [anon_sym___alignof] = ACTIONS(1351),
    [anon_sym__alignof] = ACTIONS(1351),
    [anon_sym_alignof] = ACTIONS(1351),
    [anon_sym__Alignof] = ACTIONS(1351),
    [anon_sym_offsetof] = ACTIONS(1351),
    [anon_sym__Generic] = ACTIONS(1351),
    [anon_sym_asm] = ACTIONS(1351),
    [anon_sym___asm__] = ACTIONS(1351),
    [sym_number_literal] = ACTIONS(1353),
    [anon_sym_L_SQUOTE] = ACTIONS(1353),
    [anon_sym_u_SQUOTE] = ACTIONS(1353),
    [anon_sym_U_SQUOTE] = ACTIONS(1353),
    [anon_sym_u8_SQUOTE] = ACTIONS(1353),
    [anon_sym_SQUOTE] = ACTIONS(1353),
    [anon_sym_L_DQUOTE] = ACTIONS(1353),
    [anon_sym_u_DQUOTE] = ACTIONS(1353),
    [anon_sym_U_DQUOTE] = ACTIONS(1353),
    [anon_sym_u8_DQUOTE] = ACTIONS(1353),
    [anon_sym_DQUOTE] = ACTIONS(1353),
    [sym_true] = ACTIONS(1351),
    [sym_false] = ACTIONS(1351),
    [anon_sym_NULL] = ACTIONS(1351),
    [anon_sym_nullptr] = ACTIONS(1351),
    [sym_comment] = ACTIONS(3),
  },
  [370] = {
    [ts_builtin_sym_end] = ACTIONS(1257),
    [sym_identifier] = ACTIONS(1255),
    [aux_sym_preproc_include_token1] = ACTIONS(1255),
    [aux_sym_preproc_def_token1] = ACTIONS(1255),
    [aux_sym_preproc_if_token1] = ACTIONS(1255),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1255),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1255),
    [sym_preproc_directive] = ACTIONS(1255),
    [anon_sym_LPAREN2] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(1257),
    [anon_sym_TILDE] = ACTIONS(1257),
    [anon_sym_DASH] = ACTIONS(1255),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_STAR] = ACTIONS(1257),
    [anon_sym_AMP] = ACTIONS(1257),
    [anon_sym___extension__] = ACTIONS(1255),
    [anon_sym_typedef] = ACTIONS(1255),
    [anon_sym_extern] = ACTIONS(1255),
    [anon_sym___attribute__] = ACTIONS(1255),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1257),
    [anon_sym___declspec] = ACTIONS(1255),
    [anon_sym___cdecl] = ACTIONS(1255),
    [anon_sym___clrcall] = ACTIONS(1255),
    [anon_sym___stdcall] = ACTIONS(1255),
    [anon_sym___fastcall] = ACTIONS(1255),
    [anon_sym___thiscall] = ACTIONS(1255),
    [anon_sym___vectorcall] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(1257),
    [anon_sym_signed] = ACTIONS(1255),
    [anon_sym_unsigned] = ACTIONS(1255),
    [anon_sym_long] = ACTIONS(1255),
    [anon_sym_short] = ACTIONS(1255),
    [anon_sym_static] = ACTIONS(1255),
    [anon_sym_auto] = ACTIONS(1255),
    [anon_sym_register] = ACTIONS(1255),
    [anon_sym_inline] = ACTIONS(1255),
    [anon_sym___inline] = ACTIONS(1255),
    [anon_sym___inline__] = ACTIONS(1255),
    [anon_sym___forceinline] = ACTIONS(1255),
    [anon_sym_thread_local] = ACTIONS(1255),
    [anon_sym___thread] = ACTIONS(1255),
    [anon_sym_const] = ACTIONS(1255),
    [anon_sym_constexpr] = ACTIONS(1255),
    [anon_sym_volatile] = ACTIONS(1255),
    [anon_sym_restrict] = ACTIONS(1255),
    [anon_sym___restrict__] = ACTIONS(1255),
    [anon_sym__Atomic] = ACTIONS(1255),
    [anon_sym__Noreturn] = ACTIONS(1255),
    [anon_sym_noreturn] = ACTIONS(1255),
    [anon_sym_alignas] = ACTIONS(1255),
    [anon_sym__Alignas] = ACTIONS(1255),
    [sym_primitive_type] = ACTIONS(1255),
    [anon_sym_enum] = ACTIONS(1255),
    [anon_sym_struct] = ACTIONS(1255),
    [anon_sym_union] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1255),
    [anon_sym_switch] = ACTIONS(1255),
    [anon_sym_case] = ACTIONS(1255),
    [anon_sym_default] = ACTIONS(1255),
    [anon_sym_while] = ACTIONS(1255),
    [anon_sym_do] = ACTIONS(1255),
    [anon_sym_for] = ACTIONS(1255),
    [anon_sym_return] = ACTIONS(1255),
    [anon_sym_break] = ACTIONS(1255),
    [anon_sym_continue] = ACTIONS(1255),
    [anon_sym_goto] = ACTIONS(1255),
    [anon_sym_DASH_DASH] = ACTIONS(1257),
    [anon_sym_PLUS_PLUS] = ACTIONS(1257),
    [anon_sym_sizeof] = ACTIONS(1255),
    [anon_sym___alignof__] = ACTIONS(1255),
    [anon_sym___alignof] = ACTIONS(1255),
    [anon_sym__alignof] = ACTIONS(1255),
    [anon_sym_alignof] = ACTIONS(1255),
    [anon_sym__Alignof] = ACTIONS(1255),
    [anon_sym_offsetof] = ACTIONS(1255),
    [anon_sym__Generic] = ACTIONS(1255),
    [anon_sym_asm] = ACTIONS(1255),
    [anon_sym___asm__] = ACTIONS(1255),
    [sym_number_literal] = ACTIONS(1257),
    [anon_sym_L_SQUOTE] = ACTIONS(1257),
    [anon_sym_u_SQUOTE] = ACTIONS(1257),
    [anon_sym_U_SQUOTE] = ACTIONS(1257),
    [anon_sym_u8_SQUOTE] = ACTIONS(1257),
    [anon_sym_SQUOTE] = ACTIONS(1257),
    [anon_sym_L_DQUOTE] = ACTIONS(1257),
    [anon_sym_u_DQUOTE] = ACTIONS(1257),
    [anon_sym_U_DQUOTE] = ACTIONS(1257),
    [anon_sym_u8_DQUOTE] = ACTIONS(1257),
    [anon_sym_DQUOTE] = ACTIONS(1257),
    [sym_true] = ACTIONS(1255),
    [sym_false] = ACTIONS(1255),
    [anon_sym_NULL] = ACTIONS(1255),
    [anon_sym_nullptr] = ACTIONS(1255),
    [sym_comment] = ACTIONS(3),
  },
  [371] = {
    [ts_builtin_sym_end] = ACTIONS(1349),
    [sym_identifier] = ACTIONS(1347),
    [aux_sym_preproc_include_token1] = ACTIONS(1347),
    [aux_sym_preproc_def_token1] = ACTIONS(1347),
    [aux_sym_preproc_if_token1] = ACTIONS(1347),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1347),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1347),
    [sym_preproc_directive] = ACTIONS(1347),
    [anon_sym_LPAREN2] = ACTIONS(1349),
    [anon_sym_BANG] = ACTIONS(1349),
    [anon_sym_TILDE] = ACTIONS(1349),
    [anon_sym_DASH] = ACTIONS(1347),
    [anon_sym_PLUS] = ACTIONS(1347),
    [anon_sym_STAR] = ACTIONS(1349),
    [anon_sym_AMP] = ACTIONS(1349),
    [anon_sym___extension__] = ACTIONS(1347),
    [anon_sym_typedef] = ACTIONS(1347),
    [anon_sym_extern] = ACTIONS(1347),
    [anon_sym___attribute__] = ACTIONS(1347),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1349),
    [anon_sym___declspec] = ACTIONS(1347),
    [anon_sym___cdecl] = ACTIONS(1347),
    [anon_sym___clrcall] = ACTIONS(1347),
    [anon_sym___stdcall] = ACTIONS(1347),
    [anon_sym___fastcall] = ACTIONS(1347),
    [anon_sym___thiscall] = ACTIONS(1347),
    [anon_sym___vectorcall] = ACTIONS(1347),
    [anon_sym_LBRACE] = ACTIONS(1349),
    [anon_sym_signed] = ACTIONS(1347),
    [anon_sym_unsigned] = ACTIONS(1347),
    [anon_sym_long] = ACTIONS(1347),
    [anon_sym_short] = ACTIONS(1347),
    [anon_sym_static] = ACTIONS(1347),
    [anon_sym_auto] = ACTIONS(1347),
    [anon_sym_register] = ACTIONS(1347),
    [anon_sym_inline] = ACTIONS(1347),
    [anon_sym___inline] = ACTIONS(1347),
    [anon_sym___inline__] = ACTIONS(1347),
    [anon_sym___forceinline] = ACTIONS(1347),
    [anon_sym_thread_local] = ACTIONS(1347),
    [anon_sym___thread] = ACTIONS(1347),
    [anon_sym_const] = ACTIONS(1347),
    [anon_sym_constexpr] = ACTIONS(1347),
    [anon_sym_volatile] = ACTIONS(1347),
    [anon_sym_restrict] = ACTIONS(1347),
    [anon_sym___restrict__] = ACTIONS(1347),
    [anon_sym__Atomic] = ACTIONS(1347),
    [anon_sym__Noreturn] = ACTIONS(1347),
    [anon_sym_noreturn] = ACTIONS(1347),
    [anon_sym_alignas] = ACTIONS(1347),
    [anon_sym__Alignas] = ACTIONS(1347),
    [sym_primitive_type] = ACTIONS(1347),
    [anon_sym_enum] = ACTIONS(1347),
    [anon_sym_struct] = ACTIONS(1347),
    [anon_sym_union] = ACTIONS(1347),
    [anon_sym_if] = ACTIONS(1347),
    [anon_sym_switch] = ACTIONS(1347),
    [anon_sym_case] = ACTIONS(1347),
    [anon_sym_default] = ACTIONS(1347),
    [anon_sym_while] = ACTIONS(1347),
    [anon_sym_do] = ACTIONS(1347),
    [anon_sym_for] = ACTIONS(1347),
    [anon_sym_return] = ACTIONS(1347),
    [anon_sym_break] = ACTIONS(1347),
    [anon_sym_continue] = ACTIONS(1347),
    [anon_sym_goto] = ACTIONS(1347),
    [anon_sym_DASH_DASH] = ACTIONS(1349),
    [anon_sym_PLUS_PLUS] = ACTIONS(1349),
    [anon_sym_sizeof] = ACTIONS(1347),
    [anon_sym___alignof__] = ACTIONS(1347),
    [anon_sym___alignof] = ACTIONS(1347),
    [anon_sym__alignof] = ACTIONS(1347),
    [anon_sym_alignof] = ACTIONS(1347),
    [anon_sym__Alignof] = ACTIONS(1347),
    [anon_sym_offsetof] = ACTIONS(1347),
    [anon_sym__Generic] = ACTIONS(1347),
    [anon_sym_asm] = ACTIONS(1347),
    [anon_sym___asm__] = ACTIONS(1347),
    [sym_number_literal] = ACTIONS(1349),
    [anon_sym_L_SQUOTE] = ACTIONS(1349),
    [anon_sym_u_SQUOTE] = ACTIONS(1349),
    [anon_sym_U_SQUOTE] = ACTIONS(1349),
    [anon_sym_u8_SQUOTE] = ACTIONS(1349),
    [anon_sym_SQUOTE] = ACTIONS(1349),
    [anon_sym_L_DQUOTE] = ACTIONS(1349),
    [anon_sym_u_DQUOTE] = ACTIONS(1349),
    [anon_sym_U_DQUOTE] = ACTIONS(1349),
    [anon_sym_u8_DQUOTE] = ACTIONS(1349),
    [anon_sym_DQUOTE] = ACTIONS(1349),
    [sym_true] = ACTIONS(1347),
    [sym_false] = ACTIONS(1347),
    [anon_sym_NULL] = ACTIONS(1347),
    [anon_sym_nullptr] = ACTIONS(1347),
    [sym_comment] = ACTIONS(3),
  },
  [372] = {
    [ts_builtin_sym_end] = ACTIONS(1345),
    [sym_identifier] = ACTIONS(1343),
    [aux_sym_preproc_include_token1] = ACTIONS(1343),
    [aux_sym_preproc_def_token1] = ACTIONS(1343),
    [aux_sym_preproc_if_token1] = ACTIONS(1343),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1343),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1343),
    [sym_preproc_directive] = ACTIONS(1343),
    [anon_sym_LPAREN2] = ACTIONS(1345),
    [anon_sym_BANG] = ACTIONS(1345),
    [anon_sym_TILDE] = ACTIONS(1345),
    [anon_sym_DASH] = ACTIONS(1343),
    [anon_sym_PLUS] = ACTIONS(1343),
    [anon_sym_STAR] = ACTIONS(1345),
    [anon_sym_AMP] = ACTIONS(1345),
    [anon_sym___extension__] = ACTIONS(1343),
    [anon_sym_typedef] = ACTIONS(1343),
    [anon_sym_extern] = ACTIONS(1343),
    [anon_sym___attribute__] = ACTIONS(1343),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1345),
    [anon_sym___declspec] = ACTIONS(1343),
    [anon_sym___cdecl] = ACTIONS(1343),
    [anon_sym___clrcall] = ACTIONS(1343),
    [anon_sym___stdcall] = ACTIONS(1343),
    [anon_sym___fastcall] = ACTIONS(1343),
    [anon_sym___thiscall] = ACTIONS(1343),
    [anon_sym___vectorcall] = ACTIONS(1343),
    [anon_sym_LBRACE] = ACTIONS(1345),
    [anon_sym_signed] = ACTIONS(1343),
    [anon_sym_unsigned] = ACTIONS(1343),
    [anon_sym_long] = ACTIONS(1343),
    [anon_sym_short] = ACTIONS(1343),
    [anon_sym_static] = ACTIONS(1343),
    [anon_sym_auto] = ACTIONS(1343),
    [anon_sym_register] = ACTIONS(1343),
    [anon_sym_inline] = ACTIONS(1343),
    [anon_sym___inline] = ACTIONS(1343),
    [anon_sym___inline__] = ACTIONS(1343),
    [anon_sym___forceinline] = ACTIONS(1343),
    [anon_sym_thread_local] = ACTIONS(1343),
    [anon_sym___thread] = ACTIONS(1343),
    [anon_sym_const] = ACTIONS(1343),
    [anon_sym_constexpr] = ACTIONS(1343),
    [anon_sym_volatile] = ACTIONS(1343),
    [anon_sym_restrict] = ACTIONS(1343),
    [anon_sym___restrict__] = ACTIONS(1343),
    [anon_sym__Atomic] = ACTIONS(1343),
    [anon_sym__Noreturn] = ACTIONS(1343),
    [anon_sym_noreturn] = ACTIONS(1343),
    [anon_sym_alignas] = ACTIONS(1343),
    [anon_sym__Alignas] = ACTIONS(1343),
    [sym_primitive_type] = ACTIONS(1343),
    [anon_sym_enum] = ACTIONS(1343),
    [anon_sym_struct] = ACTIONS(1343),
    [anon_sym_union] = ACTIONS(1343),
    [anon_sym_if] = ACTIONS(1343),
    [anon_sym_switch] = ACTIONS(1343),
    [anon_sym_case] = ACTIONS(1343),
    [anon_sym_default] = ACTIONS(1343),
    [anon_sym_while] = ACTIONS(1343),
    [anon_sym_do] = ACTIONS(1343),
    [anon_sym_for] = ACTIONS(1343),
    [anon_sym_return] = ACTIONS(1343),
    [anon_sym_break] = ACTIONS(1343),
    [anon_sym_continue] = ACTIONS(1343),
    [anon_sym_goto] = ACTIONS(1343),
    [anon_sym_DASH_DASH] = ACTIONS(1345),
    [anon_sym_PLUS_PLUS] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(1343),
    [anon_sym___alignof__] = ACTIONS(1343),
    [anon_sym___alignof] = ACTIONS(1343),
    [anon_sym__alignof] = ACTIONS(1343),
    [anon_sym_alignof] = ACTIONS(1343),
    [anon_sym__Alignof] = ACTIONS(1343),
    [anon_sym_offsetof] = ACTIONS(1343),
    [anon_sym__Generic] = ACTIONS(1343),
    [anon_sym_asm] = ACTIONS(1343),
    [anon_sym___asm__] = ACTIONS(1343),
    [sym_number_literal] = ACTIONS(1345),
    [anon_sym_L_SQUOTE] = ACTIONS(1345),
    [anon_sym_u_SQUOTE] = ACTIONS(1345),
    [anon_sym_U_SQUOTE] = ACTIONS(1345),
    [anon_sym_u8_SQUOTE] = ACTIONS(1345),
    [anon_sym_SQUOTE] = ACTIONS(1345),
    [anon_sym_L_DQUOTE] = ACTIONS(1345),
    [anon_sym_u_DQUOTE] = ACTIONS(1345),
    [anon_sym_U_DQUOTE] = ACTIONS(1345),
    [anon_sym_u8_DQUOTE] = ACTIONS(1345),
    [anon_sym_DQUOTE] = ACTIONS(1345),
    [sym_true] = ACTIONS(1343),
    [sym_false] = ACTIONS(1343),
    [anon_sym_NULL] = ACTIONS(1343),
    [anon_sym_nullptr] = ACTIONS(1343),
    [sym_comment] = ACTIONS(3),
  },
  [373] = {
    [ts_builtin_sym_end] = ACTIONS(1313),
    [sym_identifier] = ACTIONS(1311),
    [aux_sym_preproc_include_token1] = ACTIONS(1311),
    [aux_sym_preproc_def_token1] = ACTIONS(1311),
    [aux_sym_preproc_if_token1] = ACTIONS(1311),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1311),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1311),
    [sym_preproc_directive] = ACTIONS(1311),
    [anon_sym_LPAREN2] = ACTIONS(1313),
    [anon_sym_BANG] = ACTIONS(1313),
    [anon_sym_TILDE] = ACTIONS(1313),
    [anon_sym_DASH] = ACTIONS(1311),
    [anon_sym_PLUS] = ACTIONS(1311),
    [anon_sym_STAR] = ACTIONS(1313),
    [anon_sym_AMP] = ACTIONS(1313),
    [anon_sym___extension__] = ACTIONS(1311),
    [anon_sym_typedef] = ACTIONS(1311),
    [anon_sym_extern] = ACTIONS(1311),
    [anon_sym___attribute__] = ACTIONS(1311),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1313),
    [anon_sym___declspec] = ACTIONS(1311),
    [anon_sym___cdecl] = ACTIONS(1311),
    [anon_sym___clrcall] = ACTIONS(1311),
    [anon_sym___stdcall] = ACTIONS(1311),
    [anon_sym___fastcall] = ACTIONS(1311),
    [anon_sym___thiscall] = ACTIONS(1311),
    [anon_sym___vectorcall] = ACTIONS(1311),
    [anon_sym_LBRACE] = ACTIONS(1313),
    [anon_sym_signed] = ACTIONS(1311),
    [anon_sym_unsigned] = ACTIONS(1311),
    [anon_sym_long] = ACTIONS(1311),
    [anon_sym_short] = ACTIONS(1311),
    [anon_sym_static] = ACTIONS(1311),
    [anon_sym_auto] = ACTIONS(1311),
    [anon_sym_register] = ACTIONS(1311),
    [anon_sym_inline] = ACTIONS(1311),
    [anon_sym___inline] = ACTIONS(1311),
    [anon_sym___inline__] = ACTIONS(1311),
    [anon_sym___forceinline] = ACTIONS(1311),
    [anon_sym_thread_local] = ACTIONS(1311),
    [anon_sym___thread] = ACTIONS(1311),
    [anon_sym_const] = ACTIONS(1311),
    [anon_sym_constexpr] = ACTIONS(1311),
    [anon_sym_volatile] = ACTIONS(1311),
    [anon_sym_restrict] = ACTIONS(1311),
    [anon_sym___restrict__] = ACTIONS(1311),
    [anon_sym__Atomic] = ACTIONS(1311),
    [anon_sym__Noreturn] = ACTIONS(1311),
    [anon_sym_noreturn] = ACTIONS(1311),
    [anon_sym_alignas] = ACTIONS(1311),
    [anon_sym__Alignas] = ACTIONS(1311),
    [sym_primitive_type] = ACTIONS(1311),
    [anon_sym_enum] = ACTIONS(1311),
    [anon_sym_struct] = ACTIONS(1311),
    [anon_sym_union] = ACTIONS(1311),
    [anon_sym_if] = ACTIONS(1311),
    [anon_sym_switch] = ACTIONS(1311),
    [anon_sym_case] = ACTIONS(1311),
    [anon_sym_default] = ACTIONS(1311),
    [anon_sym_while] = ACTIONS(1311),
    [anon_sym_do] = ACTIONS(1311),
    [anon_sym_for] = ACTIONS(1311),
    [anon_sym_return] = ACTIONS(1311),
    [anon_sym_break] = ACTIONS(1311),
    [anon_sym_continue] = ACTIONS(1311),
    [anon_sym_goto] = ACTIONS(1311),
    [anon_sym_DASH_DASH] = ACTIONS(1313),
    [anon_sym_PLUS_PLUS] = ACTIONS(1313),
    [anon_sym_sizeof] = ACTIONS(1311),
    [anon_sym___alignof__] = ACTIONS(1311),
    [anon_sym___alignof] = ACTIONS(1311),
    [anon_sym__alignof] = ACTIONS(1311),
    [anon_sym_alignof] = ACTIONS(1311),
    [anon_sym__Alignof] = ACTIONS(1311),
    [anon_sym_offsetof] = ACTIONS(1311),
    [anon_sym__Generic] = ACTIONS(1311),
    [anon_sym_asm] = ACTIONS(1311),
    [anon_sym___asm__] = ACTIONS(1311),
    [sym_number_literal] = ACTIONS(1313),
    [anon_sym_L_SQUOTE] = ACTIONS(1313),
    [anon_sym_u_SQUOTE] = ACTIONS(1313),
    [anon_sym_U_SQUOTE] = ACTIONS(1313),
    [anon_sym_u8_SQUOTE] = ACTIONS(1313),
    [anon_sym_SQUOTE] = ACTIONS(1313),
    [anon_sym_L_DQUOTE] = ACTIONS(1313),
    [anon_sym_u_DQUOTE] = ACTIONS(1313),
    [anon_sym_U_DQUOTE] = ACTIONS(1313),
    [anon_sym_u8_DQUOTE] = ACTIONS(1313),
    [anon_sym_DQUOTE] = ACTIONS(1313),
    [sym_true] = ACTIONS(1311),
    [sym_false] = ACTIONS(1311),
    [anon_sym_NULL] = ACTIONS(1311),
    [anon_sym_nullptr] = ACTIONS(1311),
    [sym_comment] = ACTIONS(3),
  },
  [374] = {
    [ts_builtin_sym_end] = ACTIONS(1265),
    [sym_identifier] = ACTIONS(1263),
    [aux_sym_preproc_include_token1] = ACTIONS(1263),
    [aux_sym_preproc_def_token1] = ACTIONS(1263),
    [aux_sym_preproc_if_token1] = ACTIONS(1263),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1263),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1263),
    [sym_preproc_directive] = ACTIONS(1263),
    [anon_sym_LPAREN2] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1265),
    [anon_sym_TILDE] = ACTIONS(1265),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_STAR] = ACTIONS(1265),
    [anon_sym_AMP] = ACTIONS(1265),
    [anon_sym___extension__] = ACTIONS(1263),
    [anon_sym_typedef] = ACTIONS(1263),
    [anon_sym_extern] = ACTIONS(1263),
    [anon_sym___attribute__] = ACTIONS(1263),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1265),
    [anon_sym___declspec] = ACTIONS(1263),
    [anon_sym___cdecl] = ACTIONS(1263),
    [anon_sym___clrcall] = ACTIONS(1263),
    [anon_sym___stdcall] = ACTIONS(1263),
    [anon_sym___fastcall] = ACTIONS(1263),
    [anon_sym___thiscall] = ACTIONS(1263),
    [anon_sym___vectorcall] = ACTIONS(1263),
    [anon_sym_LBRACE] = ACTIONS(1265),
    [anon_sym_signed] = ACTIONS(1263),
    [anon_sym_unsigned] = ACTIONS(1263),
    [anon_sym_long] = ACTIONS(1263),
    [anon_sym_short] = ACTIONS(1263),
    [anon_sym_static] = ACTIONS(1263),
    [anon_sym_auto] = ACTIONS(1263),
    [anon_sym_register] = ACTIONS(1263),
    [anon_sym_inline] = ACTIONS(1263),
    [anon_sym___inline] = ACTIONS(1263),
    [anon_sym___inline__] = ACTIONS(1263),
    [anon_sym___forceinline] = ACTIONS(1263),
    [anon_sym_thread_local] = ACTIONS(1263),
    [anon_sym___thread] = ACTIONS(1263),
    [anon_sym_const] = ACTIONS(1263),
    [anon_sym_constexpr] = ACTIONS(1263),
    [anon_sym_volatile] = ACTIONS(1263),
    [anon_sym_restrict] = ACTIONS(1263),
    [anon_sym___restrict__] = ACTIONS(1263),
    [anon_sym__Atomic] = ACTIONS(1263),
    [anon_sym__Noreturn] = ACTIONS(1263),
    [anon_sym_noreturn] = ACTIONS(1263),
    [anon_sym_alignas] = ACTIONS(1263),
    [anon_sym__Alignas] = ACTIONS(1263),
    [sym_primitive_type] = ACTIONS(1263),
    [anon_sym_enum] = ACTIONS(1263),
    [anon_sym_struct] = ACTIONS(1263),
    [anon_sym_union] = ACTIONS(1263),
    [anon_sym_if] = ACTIONS(1263),
    [anon_sym_switch] = ACTIONS(1263),
    [anon_sym_case] = ACTIONS(1263),
    [anon_sym_default] = ACTIONS(1263),
    [anon_sym_while] = ACTIONS(1263),
    [anon_sym_do] = ACTIONS(1263),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_return] = ACTIONS(1263),
    [anon_sym_break] = ACTIONS(1263),
    [anon_sym_continue] = ACTIONS(1263),
    [anon_sym_goto] = ACTIONS(1263),
    [anon_sym_DASH_DASH] = ACTIONS(1265),
    [anon_sym_PLUS_PLUS] = ACTIONS(1265),
    [anon_sym_sizeof] = ACTIONS(1263),
    [anon_sym___alignof__] = ACTIONS(1263),
    [anon_sym___alignof] = ACTIONS(1263),
    [anon_sym__alignof] = ACTIONS(1263),
    [anon_sym_alignof] = ACTIONS(1263),
    [anon_sym__Alignof] = ACTIONS(1263),
    [anon_sym_offsetof] = ACTIONS(1263),
    [anon_sym__Generic] = ACTIONS(1263),
    [anon_sym_asm] = ACTIONS(1263),
    [anon_sym___asm__] = ACTIONS(1263),
    [sym_number_literal] = ACTIONS(1265),
    [anon_sym_L_SQUOTE] = ACTIONS(1265),
    [anon_sym_u_SQUOTE] = ACTIONS(1265),
    [anon_sym_U_SQUOTE] = ACTIONS(1265),
    [anon_sym_u8_SQUOTE] = ACTIONS(1265),
    [anon_sym_SQUOTE] = ACTIONS(1265),
    [anon_sym_L_DQUOTE] = ACTIONS(1265),
    [anon_sym_u_DQUOTE] = ACTIONS(1265),
    [anon_sym_U_DQUOTE] = ACTIONS(1265),
    [anon_sym_u8_DQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_true] = ACTIONS(1263),
    [sym_false] = ACTIONS(1263),
    [anon_sym_NULL] = ACTIONS(1263),
    [anon_sym_nullptr] = ACTIONS(1263),
    [sym_comment] = ACTIONS(3),
  },
  [375] = {
    [ts_builtin_sym_end] = ACTIONS(1297),
    [sym_identifier] = ACTIONS(1295),
    [aux_sym_preproc_include_token1] = ACTIONS(1295),
    [aux_sym_preproc_def_token1] = ACTIONS(1295),
    [aux_sym_preproc_if_token1] = ACTIONS(1295),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1295),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1295),
    [sym_preproc_directive] = ACTIONS(1295),
    [anon_sym_LPAREN2] = ACTIONS(1297),
    [anon_sym_BANG] = ACTIONS(1297),
    [anon_sym_TILDE] = ACTIONS(1297),
    [anon_sym_DASH] = ACTIONS(1295),
    [anon_sym_PLUS] = ACTIONS(1295),
    [anon_sym_STAR] = ACTIONS(1297),
    [anon_sym_AMP] = ACTIONS(1297),
    [anon_sym___extension__] = ACTIONS(1295),
    [anon_sym_typedef] = ACTIONS(1295),
    [anon_sym_extern] = ACTIONS(1295),
    [anon_sym___attribute__] = ACTIONS(1295),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1297),
    [anon_sym___declspec] = ACTIONS(1295),
    [anon_sym___cdecl] = ACTIONS(1295),
    [anon_sym___clrcall] = ACTIONS(1295),
    [anon_sym___stdcall] = ACTIONS(1295),
    [anon_sym___fastcall] = ACTIONS(1295),
    [anon_sym___thiscall] = ACTIONS(1295),
    [anon_sym___vectorcall] = ACTIONS(1295),
    [anon_sym_LBRACE] = ACTIONS(1297),
    [anon_sym_signed] = ACTIONS(1295),
    [anon_sym_unsigned] = ACTIONS(1295),
    [anon_sym_long] = ACTIONS(1295),
    [anon_sym_short] = ACTIONS(1295),
    [anon_sym_static] = ACTIONS(1295),
    [anon_sym_auto] = ACTIONS(1295),
    [anon_sym_register] = ACTIONS(1295),
    [anon_sym_inline] = ACTIONS(1295),
    [anon_sym___inline] = ACTIONS(1295),
    [anon_sym___inline__] = ACTIONS(1295),
    [anon_sym___forceinline] = ACTIONS(1295),
    [anon_sym_thread_local] = ACTIONS(1295),
    [anon_sym___thread] = ACTIONS(1295),
    [anon_sym_const] = ACTIONS(1295),
    [anon_sym_constexpr] = ACTIONS(1295),
    [anon_sym_volatile] = ACTIONS(1295),
    [anon_sym_restrict] = ACTIONS(1295),
    [anon_sym___restrict__] = ACTIONS(1295),
    [anon_sym__Atomic] = ACTIONS(1295),
    [anon_sym__Noreturn] = ACTIONS(1295),
    [anon_sym_noreturn] = ACTIONS(1295),
    [anon_sym_alignas] = ACTIONS(1295),
    [anon_sym__Alignas] = ACTIONS(1295),
    [sym_primitive_type] = ACTIONS(1295),
    [anon_sym_enum] = ACTIONS(1295),
    [anon_sym_struct] = ACTIONS(1295),
    [anon_sym_union] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_switch] = ACTIONS(1295),
    [anon_sym_case] = ACTIONS(1295),
    [anon_sym_default] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_do] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1295),
    [anon_sym_return] = ACTIONS(1295),
    [anon_sym_break] = ACTIONS(1295),
    [anon_sym_continue] = ACTIONS(1295),
    [anon_sym_goto] = ACTIONS(1295),
    [anon_sym_DASH_DASH] = ACTIONS(1297),
    [anon_sym_PLUS_PLUS] = ACTIONS(1297),
    [anon_sym_sizeof] = ACTIONS(1295),
    [anon_sym___alignof__] = ACTIONS(1295),
    [anon_sym___alignof] = ACTIONS(1295),
    [anon_sym__alignof] = ACTIONS(1295),
    [anon_sym_alignof] = ACTIONS(1295),
    [anon_sym__Alignof] = ACTIONS(1295),
    [anon_sym_offsetof] = ACTIONS(1295),
    [anon_sym__Generic] = ACTIONS(1295),
    [anon_sym_asm] = ACTIONS(1295),
    [anon_sym___asm__] = ACTIONS(1295),
    [sym_number_literal] = ACTIONS(1297),
    [anon_sym_L_SQUOTE] = ACTIONS(1297),
    [anon_sym_u_SQUOTE] = ACTIONS(1297),
    [anon_sym_U_SQUOTE] = ACTIONS(1297),
    [anon_sym_u8_SQUOTE] = ACTIONS(1297),
    [anon_sym_SQUOTE] = ACTIONS(1297),
    [anon_sym_L_DQUOTE] = ACTIONS(1297),
    [anon_sym_u_DQUOTE] = ACTIONS(1297),
    [anon_sym_U_DQUOTE] = ACTIONS(1297),
    [anon_sym_u8_DQUOTE] = ACTIONS(1297),
    [anon_sym_DQUOTE] = ACTIONS(1297),
    [sym_true] = ACTIONS(1295),
    [sym_false] = ACTIONS(1295),
    [anon_sym_NULL] = ACTIONS(1295),
    [anon_sym_nullptr] = ACTIONS(1295),
    [sym_comment] = ACTIONS(3),
  },
  [376] = {
    [ts_builtin_sym_end] = ACTIONS(1261),
    [sym_identifier] = ACTIONS(1259),
    [aux_sym_preproc_include_token1] = ACTIONS(1259),
    [aux_sym_preproc_def_token1] = ACTIONS(1259),
    [aux_sym_preproc_if_token1] = ACTIONS(1259),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1259),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1259),
    [sym_preproc_directive] = ACTIONS(1259),
    [anon_sym_LPAREN2] = ACTIONS(1261),
    [anon_sym_BANG] = ACTIONS(1261),
    [anon_sym_TILDE] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1259),
    [anon_sym_STAR] = ACTIONS(1261),
    [anon_sym_AMP] = ACTIONS(1261),
    [anon_sym___extension__] = ACTIONS(1259),
    [anon_sym_typedef] = ACTIONS(1259),
    [anon_sym_extern] = ACTIONS(1259),
    [anon_sym___attribute__] = ACTIONS(1259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1261),
    [anon_sym___declspec] = ACTIONS(1259),
    [anon_sym___cdecl] = ACTIONS(1259),
    [anon_sym___clrcall] = ACTIONS(1259),
    [anon_sym___stdcall] = ACTIONS(1259),
    [anon_sym___fastcall] = ACTIONS(1259),
    [anon_sym___thiscall] = ACTIONS(1259),
    [anon_sym___vectorcall] = ACTIONS(1259),
    [anon_sym_LBRACE] = ACTIONS(1261),
    [anon_sym_signed] = ACTIONS(1259),
    [anon_sym_unsigned] = ACTIONS(1259),
    [anon_sym_long] = ACTIONS(1259),
    [anon_sym_short] = ACTIONS(1259),
    [anon_sym_static] = ACTIONS(1259),
    [anon_sym_auto] = ACTIONS(1259),
    [anon_sym_register] = ACTIONS(1259),
    [anon_sym_inline] = ACTIONS(1259),
    [anon_sym___inline] = ACTIONS(1259),
    [anon_sym___inline__] = ACTIONS(1259),
    [anon_sym___forceinline] = ACTIONS(1259),
    [anon_sym_thread_local] = ACTIONS(1259),
    [anon_sym___thread] = ACTIONS(1259),
    [anon_sym_const] = ACTIONS(1259),
    [anon_sym_constexpr] = ACTIONS(1259),
    [anon_sym_volatile] = ACTIONS(1259),
    [anon_sym_restrict] = ACTIONS(1259),
    [anon_sym___restrict__] = ACTIONS(1259),
    [anon_sym__Atomic] = ACTIONS(1259),
    [anon_sym__Noreturn] = ACTIONS(1259),
    [anon_sym_noreturn] = ACTIONS(1259),
    [anon_sym_alignas] = ACTIONS(1259),
    [anon_sym__Alignas] = ACTIONS(1259),
    [sym_primitive_type] = ACTIONS(1259),
    [anon_sym_enum] = ACTIONS(1259),
    [anon_sym_struct] = ACTIONS(1259),
    [anon_sym_union] = ACTIONS(1259),
    [anon_sym_if] = ACTIONS(1259),
    [anon_sym_switch] = ACTIONS(1259),
    [anon_sym_case] = ACTIONS(1259),
    [anon_sym_default] = ACTIONS(1259),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_do] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1259),
    [anon_sym_return] = ACTIONS(1259),
    [anon_sym_break] = ACTIONS(1259),
    [anon_sym_continue] = ACTIONS(1259),
    [anon_sym_goto] = ACTIONS(1259),
    [anon_sym_DASH_DASH] = ACTIONS(1261),
    [anon_sym_PLUS_PLUS] = ACTIONS(1261),
    [anon_sym_sizeof] = ACTIONS(1259),
    [anon_sym___alignof__] = ACTIONS(1259),
    [anon_sym___alignof] = ACTIONS(1259),
    [anon_sym__alignof] = ACTIONS(1259),
    [anon_sym_alignof] = ACTIONS(1259),
    [anon_sym__Alignof] = ACTIONS(1259),
    [anon_sym_offsetof] = ACTIONS(1259),
    [anon_sym__Generic] = ACTIONS(1259),
    [anon_sym_asm] = ACTIONS(1259),
    [anon_sym___asm__] = ACTIONS(1259),
    [sym_number_literal] = ACTIONS(1261),
    [anon_sym_L_SQUOTE] = ACTIONS(1261),
    [anon_sym_u_SQUOTE] = ACTIONS(1261),
    [anon_sym_U_SQUOTE] = ACTIONS(1261),
    [anon_sym_u8_SQUOTE] = ACTIONS(1261),
    [anon_sym_SQUOTE] = ACTIONS(1261),
    [anon_sym_L_DQUOTE] = ACTIONS(1261),
    [anon_sym_u_DQUOTE] = ACTIONS(1261),
    [anon_sym_U_DQUOTE] = ACTIONS(1261),
    [anon_sym_u8_DQUOTE] = ACTIONS(1261),
    [anon_sym_DQUOTE] = ACTIONS(1261),
    [sym_true] = ACTIONS(1259),
    [sym_false] = ACTIONS(1259),
    [anon_sym_NULL] = ACTIONS(1259),
    [anon_sym_nullptr] = ACTIONS(1259),
    [sym_comment] = ACTIONS(3),
  },
  [377] = {
    [ts_builtin_sym_end] = ACTIONS(1301),
    [sym_identifier] = ACTIONS(1299),
    [aux_sym_preproc_include_token1] = ACTIONS(1299),
    [aux_sym_preproc_def_token1] = ACTIONS(1299),
    [aux_sym_preproc_if_token1] = ACTIONS(1299),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1299),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1299),
    [sym_preproc_directive] = ACTIONS(1299),
    [anon_sym_LPAREN2] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(1301),
    [anon_sym_TILDE] = ACTIONS(1301),
    [anon_sym_DASH] = ACTIONS(1299),
    [anon_sym_PLUS] = ACTIONS(1299),
    [anon_sym_STAR] = ACTIONS(1301),
    [anon_sym_AMP] = ACTIONS(1301),
    [anon_sym___extension__] = ACTIONS(1299),
    [anon_sym_typedef] = ACTIONS(1299),
    [anon_sym_extern] = ACTIONS(1299),
    [anon_sym___attribute__] = ACTIONS(1299),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1301),
    [anon_sym___declspec] = ACTIONS(1299),
    [anon_sym___cdecl] = ACTIONS(1299),
    [anon_sym___clrcall] = ACTIONS(1299),
    [anon_sym___stdcall] = ACTIONS(1299),
    [anon_sym___fastcall] = ACTIONS(1299),
    [anon_sym___thiscall] = ACTIONS(1299),
    [anon_sym___vectorcall] = ACTIONS(1299),
    [anon_sym_LBRACE] = ACTIONS(1301),
    [anon_sym_signed] = ACTIONS(1299),
    [anon_sym_unsigned] = ACTIONS(1299),
    [anon_sym_long] = ACTIONS(1299),
    [anon_sym_short] = ACTIONS(1299),
    [anon_sym_static] = ACTIONS(1299),
    [anon_sym_auto] = ACTIONS(1299),
    [anon_sym_register] = ACTIONS(1299),
    [anon_sym_inline] = ACTIONS(1299),
    [anon_sym___inline] = ACTIONS(1299),
    [anon_sym___inline__] = ACTIONS(1299),
    [anon_sym___forceinline] = ACTIONS(1299),
    [anon_sym_thread_local] = ACTIONS(1299),
    [anon_sym___thread] = ACTIONS(1299),
    [anon_sym_const] = ACTIONS(1299),
    [anon_sym_constexpr] = ACTIONS(1299),
    [anon_sym_volatile] = ACTIONS(1299),
    [anon_sym_restrict] = ACTIONS(1299),
    [anon_sym___restrict__] = ACTIONS(1299),
    [anon_sym__Atomic] = ACTIONS(1299),
    [anon_sym__Noreturn] = ACTIONS(1299),
    [anon_sym_noreturn] = ACTIONS(1299),
    [anon_sym_alignas] = ACTIONS(1299),
    [anon_sym__Alignas] = ACTIONS(1299),
    [sym_primitive_type] = ACTIONS(1299),
    [anon_sym_enum] = ACTIONS(1299),
    [anon_sym_struct] = ACTIONS(1299),
    [anon_sym_union] = ACTIONS(1299),
    [anon_sym_if] = ACTIONS(1299),
    [anon_sym_switch] = ACTIONS(1299),
    [anon_sym_case] = ACTIONS(1299),
    [anon_sym_default] = ACTIONS(1299),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_do] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_return] = ACTIONS(1299),
    [anon_sym_break] = ACTIONS(1299),
    [anon_sym_continue] = ACTIONS(1299),
    [anon_sym_goto] = ACTIONS(1299),
    [anon_sym_DASH_DASH] = ACTIONS(1301),
    [anon_sym_PLUS_PLUS] = ACTIONS(1301),
    [anon_sym_sizeof] = ACTIONS(1299),
    [anon_sym___alignof__] = ACTIONS(1299),
    [anon_sym___alignof] = ACTIONS(1299),
    [anon_sym__alignof] = ACTIONS(1299),
    [anon_sym_alignof] = ACTIONS(1299),
    [anon_sym__Alignof] = ACTIONS(1299),
    [anon_sym_offsetof] = ACTIONS(1299),
    [anon_sym__Generic] = ACTIONS(1299),
    [anon_sym_asm] = ACTIONS(1299),
    [anon_sym___asm__] = ACTIONS(1299),
    [sym_number_literal] = ACTIONS(1301),
    [anon_sym_L_SQUOTE] = ACTIONS(1301),
    [anon_sym_u_SQUOTE] = ACTIONS(1301),
    [anon_sym_U_SQUOTE] = ACTIONS(1301),
    [anon_sym_u8_SQUOTE] = ACTIONS(1301),
    [anon_sym_SQUOTE] = ACTIONS(1301),
    [anon_sym_L_DQUOTE] = ACTIONS(1301),
    [anon_sym_u_DQUOTE] = ACTIONS(1301),
    [anon_sym_U_DQUOTE] = ACTIONS(1301),
    [anon_sym_u8_DQUOTE] = ACTIONS(1301),
    [anon_sym_DQUOTE] = ACTIONS(1301),
    [sym_true] = ACTIONS(1299),
    [sym_false] = ACTIONS(1299),
    [anon_sym_NULL] = ACTIONS(1299),
    [anon_sym_nullptr] = ACTIONS(1299),
    [sym_comment] = ACTIONS(3),
  },
  [378] = {
    [ts_builtin_sym_end] = ACTIONS(1317),
    [sym_identifier] = ACTIONS(1315),
    [aux_sym_preproc_include_token1] = ACTIONS(1315),
    [aux_sym_preproc_def_token1] = ACTIONS(1315),
    [aux_sym_preproc_if_token1] = ACTIONS(1315),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1315),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1315),
    [sym_preproc_directive] = ACTIONS(1315),
    [anon_sym_LPAREN2] = ACTIONS(1317),
    [anon_sym_BANG] = ACTIONS(1317),
    [anon_sym_TILDE] = ACTIONS(1317),
    [anon_sym_DASH] = ACTIONS(1315),
    [anon_sym_PLUS] = ACTIONS(1315),
    [anon_sym_STAR] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(1317),
    [anon_sym___extension__] = ACTIONS(1315),
    [anon_sym_typedef] = ACTIONS(1315),
    [anon_sym_extern] = ACTIONS(1315),
    [anon_sym___attribute__] = ACTIONS(1315),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1317),
    [anon_sym___declspec] = ACTIONS(1315),
    [anon_sym___cdecl] = ACTIONS(1315),
    [anon_sym___clrcall] = ACTIONS(1315),
    [anon_sym___stdcall] = ACTIONS(1315),
    [anon_sym___fastcall] = ACTIONS(1315),
    [anon_sym___thiscall] = ACTIONS(1315),
    [anon_sym___vectorcall] = ACTIONS(1315),
    [anon_sym_LBRACE] = ACTIONS(1317),
    [anon_sym_signed] = ACTIONS(1315),
    [anon_sym_unsigned] = ACTIONS(1315),
    [anon_sym_long] = ACTIONS(1315),
    [anon_sym_short] = ACTIONS(1315),
    [anon_sym_static] = ACTIONS(1315),
    [anon_sym_auto] = ACTIONS(1315),
    [anon_sym_register] = ACTIONS(1315),
    [anon_sym_inline] = ACTIONS(1315),
    [anon_sym___inline] = ACTIONS(1315),
    [anon_sym___inline__] = ACTIONS(1315),
    [anon_sym___forceinline] = ACTIONS(1315),
    [anon_sym_thread_local] = ACTIONS(1315),
    [anon_sym___thread] = ACTIONS(1315),
    [anon_sym_const] = ACTIONS(1315),
    [anon_sym_constexpr] = ACTIONS(1315),
    [anon_sym_volatile] = ACTIONS(1315),
    [anon_sym_restrict] = ACTIONS(1315),
    [anon_sym___restrict__] = ACTIONS(1315),
    [anon_sym__Atomic] = ACTIONS(1315),
    [anon_sym__Noreturn] = ACTIONS(1315),
    [anon_sym_noreturn] = ACTIONS(1315),
    [anon_sym_alignas] = ACTIONS(1315),
    [anon_sym__Alignas] = ACTIONS(1315),
    [sym_primitive_type] = ACTIONS(1315),
    [anon_sym_enum] = ACTIONS(1315),
    [anon_sym_struct] = ACTIONS(1315),
    [anon_sym_union] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1315),
    [anon_sym_switch] = ACTIONS(1315),
    [anon_sym_case] = ACTIONS(1315),
    [anon_sym_default] = ACTIONS(1315),
    [anon_sym_while] = ACTIONS(1315),
    [anon_sym_do] = ACTIONS(1315),
    [anon_sym_for] = ACTIONS(1315),
    [anon_sym_return] = ACTIONS(1315),
    [anon_sym_break] = ACTIONS(1315),
    [anon_sym_continue] = ACTIONS(1315),
    [anon_sym_goto] = ACTIONS(1315),
    [anon_sym_DASH_DASH] = ACTIONS(1317),
    [anon_sym_PLUS_PLUS] = ACTIONS(1317),
    [anon_sym_sizeof] = ACTIONS(1315),
    [anon_sym___alignof__] = ACTIONS(1315),
    [anon_sym___alignof] = ACTIONS(1315),
    [anon_sym__alignof] = ACTIONS(1315),
    [anon_sym_alignof] = ACTIONS(1315),
    [anon_sym__Alignof] = ACTIONS(1315),
    [anon_sym_offsetof] = ACTIONS(1315),
    [anon_sym__Generic] = ACTIONS(1315),
    [anon_sym_asm] = ACTIONS(1315),
    [anon_sym___asm__] = ACTIONS(1315),
    [sym_number_literal] = ACTIONS(1317),
    [anon_sym_L_SQUOTE] = ACTIONS(1317),
    [anon_sym_u_SQUOTE] = ACTIONS(1317),
    [anon_sym_U_SQUOTE] = ACTIONS(1317),
    [anon_sym_u8_SQUOTE] = ACTIONS(1317),
    [anon_sym_SQUOTE] = ACTIONS(1317),
    [anon_sym_L_DQUOTE] = ACTIONS(1317),
    [anon_sym_u_DQUOTE] = ACTIONS(1317),
    [anon_sym_U_DQUOTE] = ACTIONS(1317),
    [anon_sym_u8_DQUOTE] = ACTIONS(1317),
    [anon_sym_DQUOTE] = ACTIONS(1317),
    [sym_true] = ACTIONS(1315),
    [sym_false] = ACTIONS(1315),
    [anon_sym_NULL] = ACTIONS(1315),
    [anon_sym_nullptr] = ACTIONS(1315),
    [sym_comment] = ACTIONS(3),
  },
  [379] = {
    [ts_builtin_sym_end] = ACTIONS(1277),
    [sym_identifier] = ACTIONS(1275),
    [aux_sym_preproc_include_token1] = ACTIONS(1275),
    [aux_sym_preproc_def_token1] = ACTIONS(1275),
    [aux_sym_preproc_if_token1] = ACTIONS(1275),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1275),
    [sym_preproc_directive] = ACTIONS(1275),
    [anon_sym_LPAREN2] = ACTIONS(1277),
    [anon_sym_BANG] = ACTIONS(1277),
    [anon_sym_TILDE] = ACTIONS(1277),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_STAR] = ACTIONS(1277),
    [anon_sym_AMP] = ACTIONS(1277),
    [anon_sym___extension__] = ACTIONS(1275),
    [anon_sym_typedef] = ACTIONS(1275),
    [anon_sym_extern] = ACTIONS(1275),
    [anon_sym___attribute__] = ACTIONS(1275),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1277),
    [anon_sym___declspec] = ACTIONS(1275),
    [anon_sym___cdecl] = ACTIONS(1275),
    [anon_sym___clrcall] = ACTIONS(1275),
    [anon_sym___stdcall] = ACTIONS(1275),
    [anon_sym___fastcall] = ACTIONS(1275),
    [anon_sym___thiscall] = ACTIONS(1275),
    [anon_sym___vectorcall] = ACTIONS(1275),
    [anon_sym_LBRACE] = ACTIONS(1277),
    [anon_sym_signed] = ACTIONS(1275),
    [anon_sym_unsigned] = ACTIONS(1275),
    [anon_sym_long] = ACTIONS(1275),
    [anon_sym_short] = ACTIONS(1275),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_auto] = ACTIONS(1275),
    [anon_sym_register] = ACTIONS(1275),
    [anon_sym_inline] = ACTIONS(1275),
    [anon_sym___inline] = ACTIONS(1275),
    [anon_sym___inline__] = ACTIONS(1275),
    [anon_sym___forceinline] = ACTIONS(1275),
    [anon_sym_thread_local] = ACTIONS(1275),
    [anon_sym___thread] = ACTIONS(1275),
    [anon_sym_const] = ACTIONS(1275),
    [anon_sym_constexpr] = ACTIONS(1275),
    [anon_sym_volatile] = ACTIONS(1275),
    [anon_sym_restrict] = ACTIONS(1275),
    [anon_sym___restrict__] = ACTIONS(1275),
    [anon_sym__Atomic] = ACTIONS(1275),
    [anon_sym__Noreturn] = ACTIONS(1275),
    [anon_sym_noreturn] = ACTIONS(1275),
    [anon_sym_alignas] = ACTIONS(1275),
    [anon_sym__Alignas] = ACTIONS(1275),
    [sym_primitive_type] = ACTIONS(1275),
    [anon_sym_enum] = ACTIONS(1275),
    [anon_sym_struct] = ACTIONS(1275),
    [anon_sym_union] = ACTIONS(1275),
    [anon_sym_if] = ACTIONS(1275),
    [anon_sym_switch] = ACTIONS(1275),
    [anon_sym_case] = ACTIONS(1275),
    [anon_sym_default] = ACTIONS(1275),
    [anon_sym_while] = ACTIONS(1275),
    [anon_sym_do] = ACTIONS(1275),
    [anon_sym_for] = ACTIONS(1275),
    [anon_sym_return] = ACTIONS(1275),
    [anon_sym_break] = ACTIONS(1275),
    [anon_sym_continue] = ACTIONS(1275),
    [anon_sym_goto] = ACTIONS(1275),
    [anon_sym_DASH_DASH] = ACTIONS(1277),
    [anon_sym_PLUS_PLUS] = ACTIONS(1277),
    [anon_sym_sizeof] = ACTIONS(1275),
    [anon_sym___alignof__] = ACTIONS(1275),
    [anon_sym___alignof] = ACTIONS(1275),
    [anon_sym__alignof] = ACTIONS(1275),
    [anon_sym_alignof] = ACTIONS(1275),
    [anon_sym__Alignof] = ACTIONS(1275),
    [anon_sym_offsetof] = ACTIONS(1275),
    [anon_sym__Generic] = ACTIONS(1275),
    [anon_sym_asm] = ACTIONS(1275),
    [anon_sym___asm__] = ACTIONS(1275),
    [sym_number_literal] = ACTIONS(1277),
    [anon_sym_L_SQUOTE] = ACTIONS(1277),
    [anon_sym_u_SQUOTE] = ACTIONS(1277),
    [anon_sym_U_SQUOTE] = ACTIONS(1277),
    [anon_sym_u8_SQUOTE] = ACTIONS(1277),
    [anon_sym_SQUOTE] = ACTIONS(1277),
    [anon_sym_L_DQUOTE] = ACTIONS(1277),
    [anon_sym_u_DQUOTE] = ACTIONS(1277),
    [anon_sym_U_DQUOTE] = ACTIONS(1277),
    [anon_sym_u8_DQUOTE] = ACTIONS(1277),
    [anon_sym_DQUOTE] = ACTIONS(1277),
    [sym_true] = ACTIONS(1275),
    [sym_false] = ACTIONS(1275),
    [anon_sym_NULL] = ACTIONS(1275),
    [anon_sym_nullptr] = ACTIONS(1275),
    [sym_comment] = ACTIONS(3),
  },
  [380] = {
    [ts_builtin_sym_end] = ACTIONS(1680),
    [sym_identifier] = ACTIONS(1683),
    [aux_sym_preproc_include_token1] = ACTIONS(1683),
    [aux_sym_preproc_def_token1] = ACTIONS(1683),
    [aux_sym_preproc_if_token1] = ACTIONS(1683),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1683),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1683),
    [sym_preproc_directive] = ACTIONS(1683),
    [anon_sym_LPAREN2] = ACTIONS(1680),
    [anon_sym_BANG] = ACTIONS(1680),
    [anon_sym_TILDE] = ACTIONS(1680),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_PLUS] = ACTIONS(1683),
    [anon_sym_STAR] = ACTIONS(1680),
    [anon_sym_AMP] = ACTIONS(1680),
    [anon_sym___extension__] = ACTIONS(1683),
    [anon_sym_typedef] = ACTIONS(1683),
    [anon_sym_extern] = ACTIONS(1683),
    [anon_sym___attribute__] = ACTIONS(1683),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1680),
    [anon_sym___declspec] = ACTIONS(1683),
    [anon_sym___cdecl] = ACTIONS(1683),
    [anon_sym___clrcall] = ACTIONS(1683),
    [anon_sym___stdcall] = ACTIONS(1683),
    [anon_sym___fastcall] = ACTIONS(1683),
    [anon_sym___thiscall] = ACTIONS(1683),
    [anon_sym___vectorcall] = ACTIONS(1683),
    [anon_sym_LBRACE] = ACTIONS(1680),
    [anon_sym_signed] = ACTIONS(1683),
    [anon_sym_unsigned] = ACTIONS(1683),
    [anon_sym_long] = ACTIONS(1683),
    [anon_sym_short] = ACTIONS(1683),
    [anon_sym_static] = ACTIONS(1683),
    [anon_sym_auto] = ACTIONS(1683),
    [anon_sym_register] = ACTIONS(1683),
    [anon_sym_inline] = ACTIONS(1683),
    [anon_sym___inline] = ACTIONS(1683),
    [anon_sym___inline__] = ACTIONS(1683),
    [anon_sym___forceinline] = ACTIONS(1683),
    [anon_sym_thread_local] = ACTIONS(1683),
    [anon_sym___thread] = ACTIONS(1683),
    [anon_sym_const] = ACTIONS(1683),
    [anon_sym_constexpr] = ACTIONS(1683),
    [anon_sym_volatile] = ACTIONS(1683),
    [anon_sym_restrict] = ACTIONS(1683),
    [anon_sym___restrict__] = ACTIONS(1683),
    [anon_sym__Atomic] = ACTIONS(1683),
    [anon_sym__Noreturn] = ACTIONS(1683),
    [anon_sym_noreturn] = ACTIONS(1683),
    [anon_sym_alignas] = ACTIONS(1683),
    [anon_sym__Alignas] = ACTIONS(1683),
    [sym_primitive_type] = ACTIONS(1683),
    [anon_sym_enum] = ACTIONS(1683),
    [anon_sym_struct] = ACTIONS(1683),
    [anon_sym_union] = ACTIONS(1683),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_switch] = ACTIONS(1683),
    [anon_sym_case] = ACTIONS(1683),
    [anon_sym_default] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1683),
    [anon_sym_do] = ACTIONS(1683),
    [anon_sym_for] = ACTIONS(1683),
    [anon_sym_return] = ACTIONS(1683),
    [anon_sym_break] = ACTIONS(1683),
    [anon_sym_continue] = ACTIONS(1683),
    [anon_sym_goto] = ACTIONS(1683),
    [anon_sym_DASH_DASH] = ACTIONS(1680),
    [anon_sym_PLUS_PLUS] = ACTIONS(1680),
    [anon_sym_sizeof] = ACTIONS(1683),
    [anon_sym___alignof__] = ACTIONS(1683),
    [anon_sym___alignof] = ACTIONS(1683),
    [anon_sym__alignof] = ACTIONS(1683),
    [anon_sym_alignof] = ACTIONS(1683),
    [anon_sym__Alignof] = ACTIONS(1683),
    [anon_sym_offsetof] = ACTIONS(1683),
    [anon_sym__Generic] = ACTIONS(1683),
    [anon_sym_asm] = ACTIONS(1683),
    [anon_sym___asm__] = ACTIONS(1683),
    [sym_number_literal] = ACTIONS(1680),
    [anon_sym_L_SQUOTE] = ACTIONS(1680),
    [anon_sym_u_SQUOTE] = ACTIONS(1680),
    [anon_sym_U_SQUOTE] = ACTIONS(1680),
    [anon_sym_u8_SQUOTE] = ACTIONS(1680),
    [anon_sym_SQUOTE] = ACTIONS(1680),
    [anon_sym_L_DQUOTE] = ACTIONS(1680),
    [anon_sym_u_DQUOTE] = ACTIONS(1680),
    [anon_sym_U_DQUOTE] = ACTIONS(1680),
    [anon_sym_u8_DQUOTE] = ACTIONS(1680),
    [anon_sym_DQUOTE] = ACTIONS(1680),
    [sym_true] = ACTIONS(1683),
    [sym_false] = ACTIONS(1683),
    [anon_sym_NULL] = ACTIONS(1683),
    [anon_sym_nullptr] = ACTIONS(1683),
    [sym_comment] = ACTIONS(3),
  },
  [381] = {
    [sym_expression] = STATE(838),
    [sym__string] = STATE(672),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(668),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(668),
    [sym_call_expression] = STATE(668),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(668),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(668),
    [sym_initializer_list] = STATE(676),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym_identifier] = ACTIONS(1375),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1377),
    [anon_sym_LPAREN2] = ACTIONS(1377),
    [anon_sym_BANG] = ACTIONS(1686),
    [anon_sym_TILDE] = ACTIONS(1688),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_PLUS] = ACTIONS(1383),
    [anon_sym_STAR] = ACTIONS(1383),
    [anon_sym_SLASH] = ACTIONS(1383),
    [anon_sym_PERCENT] = ACTIONS(1383),
    [anon_sym_PIPE_PIPE] = ACTIONS(1377),
    [anon_sym_AMP_AMP] = ACTIONS(1377),
    [anon_sym_PIPE] = ACTIONS(1383),
    [anon_sym_CARET] = ACTIONS(1383),
    [anon_sym_AMP] = ACTIONS(1383),
    [anon_sym_EQ_EQ] = ACTIONS(1377),
    [anon_sym_BANG_EQ] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1383),
    [anon_sym_GT_EQ] = ACTIONS(1377),
    [anon_sym_LT_EQ] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1383),
    [anon_sym_LT_LT] = ACTIONS(1383),
    [anon_sym_GT_GT] = ACTIONS(1383),
    [anon_sym_LBRACE] = ACTIONS(1385),
    [anon_sym_LBRACK] = ACTIONS(1377),
    [anon_sym_RBRACK] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1383),
    [anon_sym_QMARK] = ACTIONS(1377),
    [anon_sym_STAR_EQ] = ACTIONS(1377),
    [anon_sym_SLASH_EQ] = ACTIONS(1377),
    [anon_sym_PERCENT_EQ] = ACTIONS(1377),
    [anon_sym_PLUS_EQ] = ACTIONS(1377),
    [anon_sym_DASH_EQ] = ACTIONS(1377),
    [anon_sym_LT_LT_EQ] = ACTIONS(1377),
    [anon_sym_GT_GT_EQ] = ACTIONS(1377),
    [anon_sym_AMP_EQ] = ACTIONS(1377),
    [anon_sym_CARET_EQ] = ACTIONS(1377),
    [anon_sym_PIPE_EQ] = ACTIONS(1377),
    [anon_sym_DASH_DASH] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1377),
    [anon_sym_sizeof] = ACTIONS(1690),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(1383),
    [anon_sym_DASH_GT] = ACTIONS(1377),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [382] = {
    [sym_type_qualifier] = STATE(983),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_expression] = STATE(1044),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1879),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_type_descriptor] = STATE(1973),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym__type_definition_type_repeat1] = STATE(983),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1091),
    [sym_identifier] = ACTIONS(1692),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1694),
    [anon_sym_unsigned] = ACTIONS(1694),
    [anon_sym_long] = ACTIONS(1694),
    [anon_sym_short] = ACTIONS(1694),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(1696),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [383] = {
    [sym_type_qualifier] = STATE(983),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_expression] = STATE(1044),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1879),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_type_descriptor] = STATE(1734),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym__type_definition_type_repeat1] = STATE(983),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1091),
    [sym_identifier] = ACTIONS(1692),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1694),
    [anon_sym_unsigned] = ACTIONS(1694),
    [anon_sym_long] = ACTIONS(1694),
    [anon_sym_short] = ACTIONS(1694),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(1696),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [384] = {
    [sym_type_qualifier] = STATE(983),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_expression] = STATE(1044),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1879),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_type_descriptor] = STATE(1846),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym__type_definition_type_repeat1] = STATE(983),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1091),
    [sym_identifier] = ACTIONS(1692),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1694),
    [anon_sym_unsigned] = ACTIONS(1694),
    [anon_sym_long] = ACTIONS(1694),
    [anon_sym_short] = ACTIONS(1694),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(1696),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [385] = {
    [sym_type_qualifier] = STATE(983),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_expression] = STATE(1044),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1879),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_type_descriptor] = STATE(1871),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym__type_definition_type_repeat1] = STATE(983),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1091),
    [sym_identifier] = ACTIONS(1692),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1694),
    [anon_sym_unsigned] = ACTIONS(1694),
    [anon_sym_long] = ACTIONS(1694),
    [anon_sym_short] = ACTIONS(1694),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(1696),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [386] = {
    [sym_type_qualifier] = STATE(983),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_expression] = STATE(1044),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1879),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_type_descriptor] = STATE(1801),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym__type_definition_type_repeat1] = STATE(983),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1091),
    [sym_identifier] = ACTIONS(1692),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1694),
    [anon_sym_unsigned] = ACTIONS(1694),
    [anon_sym_long] = ACTIONS(1694),
    [anon_sym_short] = ACTIONS(1694),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(1696),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [387] = {
    [sym_type_qualifier] = STATE(983),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_expression] = STATE(1044),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1879),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_type_descriptor] = STATE(1735),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym__type_definition_type_repeat1] = STATE(983),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1091),
    [sym_identifier] = ACTIONS(1692),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1694),
    [anon_sym_unsigned] = ACTIONS(1694),
    [anon_sym_long] = ACTIONS(1694),
    [anon_sym_short] = ACTIONS(1694),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(1696),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [388] = {
    [sym_type_qualifier] = STATE(983),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_expression] = STATE(1044),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1879),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_type_descriptor] = STATE(1945),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym__type_definition_type_repeat1] = STATE(983),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1091),
    [sym_identifier] = ACTIONS(1692),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1694),
    [anon_sym_unsigned] = ACTIONS(1694),
    [anon_sym_long] = ACTIONS(1694),
    [anon_sym_short] = ACTIONS(1694),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(1696),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [389] = {
    [sym_type_qualifier] = STATE(983),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_expression] = STATE(1044),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1879),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_type_descriptor] = STATE(1930),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym__type_definition_type_repeat1] = STATE(983),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1091),
    [sym_identifier] = ACTIONS(1692),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1694),
    [anon_sym_unsigned] = ACTIONS(1694),
    [anon_sym_long] = ACTIONS(1694),
    [anon_sym_short] = ACTIONS(1694),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(1696),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [390] = {
    [sym_type_qualifier] = STATE(983),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_expression] = STATE(1044),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1879),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_type_descriptor] = STATE(1811),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym__type_definition_type_repeat1] = STATE(983),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1091),
    [sym_identifier] = ACTIONS(1692),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1694),
    [anon_sym_unsigned] = ACTIONS(1694),
    [anon_sym_long] = ACTIONS(1694),
    [anon_sym_short] = ACTIONS(1694),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(1696),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [391] = {
    [sym_type_qualifier] = STATE(983),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_expression] = STATE(1044),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1879),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_type_descriptor] = STATE(1764),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym__type_definition_type_repeat1] = STATE(983),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1091),
    [sym_identifier] = ACTIONS(1692),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1694),
    [anon_sym_unsigned] = ACTIONS(1694),
    [anon_sym_long] = ACTIONS(1694),
    [anon_sym_short] = ACTIONS(1694),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(1696),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [392] = {
    [sym_type_qualifier] = STATE(983),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_expression] = STATE(1044),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1879),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_type_descriptor] = STATE(1823),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym__type_definition_type_repeat1] = STATE(983),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1091),
    [sym_identifier] = ACTIONS(1692),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1694),
    [anon_sym_unsigned] = ACTIONS(1694),
    [anon_sym_long] = ACTIONS(1694),
    [anon_sym_short] = ACTIONS(1694),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(1696),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [393] = {
    [sym_type_qualifier] = STATE(983),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_expression] = STATE(1044),
    [sym__string] = STATE(672),
    [sym_comma_expression] = STATE(1879),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_type_descriptor] = STATE(1767),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym__type_definition_type_repeat1] = STATE(983),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1091),
    [sym_identifier] = ACTIONS(1692),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1694),
    [anon_sym_unsigned] = ACTIONS(1694),
    [anon_sym_long] = ACTIONS(1694),
    [anon_sym_short] = ACTIONS(1694),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(1696),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [394] = {
    [sym_type_qualifier] = STATE(983),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_expression] = STATE(1051),
    [sym__string] = STATE(672),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_type_descriptor] = STATE(1889),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym__type_definition_type_repeat1] = STATE(983),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1091),
    [sym_identifier] = ACTIONS(1692),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1694),
    [anon_sym_unsigned] = ACTIONS(1694),
    [anon_sym_long] = ACTIONS(1694),
    [anon_sym_short] = ACTIONS(1694),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(1696),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [395] = {
    [sym_type_qualifier] = STATE(983),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_expression] = STATE(1060),
    [sym__string] = STATE(672),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_type_descriptor] = STATE(1916),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym__type_definition_type_repeat1] = STATE(983),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1091),
    [sym_identifier] = ACTIONS(1692),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1694),
    [anon_sym_unsigned] = ACTIONS(1694),
    [anon_sym_long] = ACTIONS(1694),
    [anon_sym_short] = ACTIONS(1694),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(1696),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [396] = {
    [sym_identifier] = ACTIONS(1698),
    [anon_sym_COMMA] = ACTIONS(1700),
    [anon_sym_RPAREN] = ACTIONS(1700),
    [anon_sym_LPAREN2] = ACTIONS(1700),
    [anon_sym_BANG] = ACTIONS(1700),
    [anon_sym_TILDE] = ACTIONS(1700),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_PLUS] = ACTIONS(1698),
    [anon_sym_STAR] = ACTIONS(1700),
    [anon_sym_AMP] = ACTIONS(1700),
    [anon_sym_SEMI] = ACTIONS(1700),
    [anon_sym___extension__] = ACTIONS(1698),
    [anon_sym_extern] = ACTIONS(1698),
    [anon_sym___attribute__] = ACTIONS(1698),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1700),
    [anon_sym___declspec] = ACTIONS(1698),
    [anon_sym_LBRACE] = ACTIONS(1700),
    [anon_sym_signed] = ACTIONS(1698),
    [anon_sym_unsigned] = ACTIONS(1698),
    [anon_sym_long] = ACTIONS(1698),
    [anon_sym_short] = ACTIONS(1698),
    [anon_sym_LBRACK] = ACTIONS(1698),
    [anon_sym_static] = ACTIONS(1698),
    [anon_sym_EQ] = ACTIONS(1700),
    [anon_sym_auto] = ACTIONS(1698),
    [anon_sym_register] = ACTIONS(1698),
    [anon_sym_inline] = ACTIONS(1698),
    [anon_sym___inline] = ACTIONS(1698),
    [anon_sym___inline__] = ACTIONS(1698),
    [anon_sym___forceinline] = ACTIONS(1698),
    [anon_sym_thread_local] = ACTIONS(1698),
    [anon_sym___thread] = ACTIONS(1698),
    [anon_sym_const] = ACTIONS(1698),
    [anon_sym_constexpr] = ACTIONS(1698),
    [anon_sym_volatile] = ACTIONS(1698),
    [anon_sym_restrict] = ACTIONS(1698),
    [anon_sym___restrict__] = ACTIONS(1698),
    [anon_sym__Atomic] = ACTIONS(1698),
    [anon_sym__Noreturn] = ACTIONS(1698),
    [anon_sym_noreturn] = ACTIONS(1698),
    [anon_sym_alignas] = ACTIONS(1698),
    [anon_sym__Alignas] = ACTIONS(1698),
    [sym_primitive_type] = ACTIONS(1698),
    [anon_sym_enum] = ACTIONS(1698),
    [anon_sym_COLON] = ACTIONS(1700),
    [anon_sym_struct] = ACTIONS(1698),
    [anon_sym_union] = ACTIONS(1698),
    [anon_sym_if] = ACTIONS(1698),
    [anon_sym_switch] = ACTIONS(1698),
    [anon_sym_case] = ACTIONS(1698),
    [anon_sym_default] = ACTIONS(1698),
    [anon_sym_while] = ACTIONS(1698),
    [anon_sym_do] = ACTIONS(1698),
    [anon_sym_for] = ACTIONS(1698),
    [anon_sym_return] = ACTIONS(1698),
    [anon_sym_break] = ACTIONS(1698),
    [anon_sym_continue] = ACTIONS(1698),
    [anon_sym_goto] = ACTIONS(1698),
    [anon_sym___try] = ACTIONS(1698),
    [anon_sym___leave] = ACTIONS(1698),
    [anon_sym_DASH_DASH] = ACTIONS(1700),
    [anon_sym_PLUS_PLUS] = ACTIONS(1700),
    [anon_sym_sizeof] = ACTIONS(1698),
    [anon_sym___alignof__] = ACTIONS(1698),
    [anon_sym___alignof] = ACTIONS(1698),
    [anon_sym__alignof] = ACTIONS(1698),
    [anon_sym_alignof] = ACTIONS(1698),
    [anon_sym__Alignof] = ACTIONS(1698),
    [anon_sym_offsetof] = ACTIONS(1698),
    [anon_sym__Generic] = ACTIONS(1698),
    [anon_sym_asm] = ACTIONS(1698),
    [anon_sym___asm__] = ACTIONS(1698),
    [sym_number_literal] = ACTIONS(1700),
    [anon_sym_L_SQUOTE] = ACTIONS(1700),
    [anon_sym_u_SQUOTE] = ACTIONS(1700),
    [anon_sym_U_SQUOTE] = ACTIONS(1700),
    [anon_sym_u8_SQUOTE] = ACTIONS(1700),
    [anon_sym_SQUOTE] = ACTIONS(1700),
    [anon_sym_L_DQUOTE] = ACTIONS(1700),
    [anon_sym_u_DQUOTE] = ACTIONS(1700),
    [anon_sym_U_DQUOTE] = ACTIONS(1700),
    [anon_sym_u8_DQUOTE] = ACTIONS(1700),
    [anon_sym_DQUOTE] = ACTIONS(1700),
    [sym_true] = ACTIONS(1698),
    [sym_false] = ACTIONS(1698),
    [anon_sym_NULL] = ACTIONS(1698),
    [anon_sym_nullptr] = ACTIONS(1698),
    [sym_comment] = ACTIONS(3),
  },
  [397] = {
    [sym_identifier] = ACTIONS(1702),
    [anon_sym_COMMA] = ACTIONS(1704),
    [anon_sym_RPAREN] = ACTIONS(1704),
    [anon_sym_LPAREN2] = ACTIONS(1704),
    [anon_sym_BANG] = ACTIONS(1704),
    [anon_sym_TILDE] = ACTIONS(1704),
    [anon_sym_DASH] = ACTIONS(1702),
    [anon_sym_PLUS] = ACTIONS(1702),
    [anon_sym_STAR] = ACTIONS(1704),
    [anon_sym_AMP] = ACTIONS(1704),
    [anon_sym_SEMI] = ACTIONS(1704),
    [anon_sym___extension__] = ACTIONS(1702),
    [anon_sym_extern] = ACTIONS(1702),
    [anon_sym___attribute__] = ACTIONS(1702),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1704),
    [anon_sym___declspec] = ACTIONS(1702),
    [anon_sym_LBRACE] = ACTIONS(1704),
    [anon_sym_signed] = ACTIONS(1702),
    [anon_sym_unsigned] = ACTIONS(1702),
    [anon_sym_long] = ACTIONS(1702),
    [anon_sym_short] = ACTIONS(1702),
    [anon_sym_LBRACK] = ACTIONS(1702),
    [anon_sym_static] = ACTIONS(1702),
    [anon_sym_EQ] = ACTIONS(1704),
    [anon_sym_auto] = ACTIONS(1702),
    [anon_sym_register] = ACTIONS(1702),
    [anon_sym_inline] = ACTIONS(1702),
    [anon_sym___inline] = ACTIONS(1702),
    [anon_sym___inline__] = ACTIONS(1702),
    [anon_sym___forceinline] = ACTIONS(1702),
    [anon_sym_thread_local] = ACTIONS(1702),
    [anon_sym___thread] = ACTIONS(1702),
    [anon_sym_const] = ACTIONS(1702),
    [anon_sym_constexpr] = ACTIONS(1702),
    [anon_sym_volatile] = ACTIONS(1702),
    [anon_sym_restrict] = ACTIONS(1702),
    [anon_sym___restrict__] = ACTIONS(1702),
    [anon_sym__Atomic] = ACTIONS(1702),
    [anon_sym__Noreturn] = ACTIONS(1702),
    [anon_sym_noreturn] = ACTIONS(1702),
    [anon_sym_alignas] = ACTIONS(1702),
    [anon_sym__Alignas] = ACTIONS(1702),
    [sym_primitive_type] = ACTIONS(1702),
    [anon_sym_enum] = ACTIONS(1702),
    [anon_sym_COLON] = ACTIONS(1704),
    [anon_sym_struct] = ACTIONS(1702),
    [anon_sym_union] = ACTIONS(1702),
    [anon_sym_if] = ACTIONS(1702),
    [anon_sym_switch] = ACTIONS(1702),
    [anon_sym_case] = ACTIONS(1702),
    [anon_sym_default] = ACTIONS(1702),
    [anon_sym_while] = ACTIONS(1702),
    [anon_sym_do] = ACTIONS(1702),
    [anon_sym_for] = ACTIONS(1702),
    [anon_sym_return] = ACTIONS(1702),
    [anon_sym_break] = ACTIONS(1702),
    [anon_sym_continue] = ACTIONS(1702),
    [anon_sym_goto] = ACTIONS(1702),
    [anon_sym___try] = ACTIONS(1702),
    [anon_sym___leave] = ACTIONS(1702),
    [anon_sym_DASH_DASH] = ACTIONS(1704),
    [anon_sym_PLUS_PLUS] = ACTIONS(1704),
    [anon_sym_sizeof] = ACTIONS(1702),
    [anon_sym___alignof__] = ACTIONS(1702),
    [anon_sym___alignof] = ACTIONS(1702),
    [anon_sym__alignof] = ACTIONS(1702),
    [anon_sym_alignof] = ACTIONS(1702),
    [anon_sym__Alignof] = ACTIONS(1702),
    [anon_sym_offsetof] = ACTIONS(1702),
    [anon_sym__Generic] = ACTIONS(1702),
    [anon_sym_asm] = ACTIONS(1702),
    [anon_sym___asm__] = ACTIONS(1702),
    [sym_number_literal] = ACTIONS(1704),
    [anon_sym_L_SQUOTE] = ACTIONS(1704),
    [anon_sym_u_SQUOTE] = ACTIONS(1704),
    [anon_sym_U_SQUOTE] = ACTIONS(1704),
    [anon_sym_u8_SQUOTE] = ACTIONS(1704),
    [anon_sym_SQUOTE] = ACTIONS(1704),
    [anon_sym_L_DQUOTE] = ACTIONS(1704),
    [anon_sym_u_DQUOTE] = ACTIONS(1704),
    [anon_sym_U_DQUOTE] = ACTIONS(1704),
    [anon_sym_u8_DQUOTE] = ACTIONS(1704),
    [anon_sym_DQUOTE] = ACTIONS(1704),
    [sym_true] = ACTIONS(1702),
    [sym_false] = ACTIONS(1702),
    [anon_sym_NULL] = ACTIONS(1702),
    [anon_sym_nullptr] = ACTIONS(1702),
    [sym_comment] = ACTIONS(3),
  },
  [398] = {
    [sym_expression] = STATE(680),
    [sym__string] = STATE(672),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_initializer_list] = STATE(676),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym_identifier] = ACTIONS(1706),
    [anon_sym_COMMA] = ACTIONS(1377),
    [anon_sym_RPAREN] = ACTIONS(1377),
    [anon_sym_LPAREN2] = ACTIONS(1377),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_PLUS] = ACTIONS(1383),
    [anon_sym_STAR] = ACTIONS(1377),
    [anon_sym_SLASH] = ACTIONS(1383),
    [anon_sym_PERCENT] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1377),
    [anon_sym_AMP_AMP] = ACTIONS(1377),
    [anon_sym_PIPE] = ACTIONS(1383),
    [anon_sym_CARET] = ACTIONS(1377),
    [anon_sym_AMP] = ACTIONS(1383),
    [anon_sym_EQ_EQ] = ACTIONS(1377),
    [anon_sym_BANG_EQ] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1383),
    [anon_sym_GT_EQ] = ACTIONS(1377),
    [anon_sym_LT_EQ] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1383),
    [anon_sym_LT_LT] = ACTIONS(1377),
    [anon_sym_GT_GT] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1377),
    [anon_sym___attribute__] = ACTIONS(1383),
    [anon_sym_LBRACE] = ACTIONS(1385),
    [anon_sym_RBRACE] = ACTIONS(1377),
    [anon_sym_LBRACK] = ACTIONS(1377),
    [anon_sym_COLON] = ACTIONS(1377),
    [anon_sym_QMARK] = ACTIONS(1377),
    [anon_sym_DASH_DASH] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1377),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(1383),
    [anon_sym_DASH_GT] = ACTIONS(1377),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [399] = {
    [sym_expression] = STATE(680),
    [sym__string] = STATE(672),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(793),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(793),
    [sym_call_expression] = STATE(793),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(793),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(793),
    [sym_initializer_list] = STATE(676),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(679),
    [sym_null] = STATE(672),
    [sym_identifier] = ACTIONS(1383),
    [anon_sym_COMMA] = ACTIONS(1377),
    [aux_sym_preproc_if_token2] = ACTIONS(1377),
    [aux_sym_preproc_else_token1] = ACTIONS(1377),
    [aux_sym_preproc_elif_token1] = ACTIONS(1383),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1377),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1377),
    [anon_sym_LPAREN2] = ACTIONS(1377),
    [anon_sym_BANG] = ACTIONS(1708),
    [anon_sym_TILDE] = ACTIONS(1710),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_PLUS] = ACTIONS(1383),
    [anon_sym_STAR] = ACTIONS(1377),
    [anon_sym_SLASH] = ACTIONS(1383),
    [anon_sym_PERCENT] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1377),
    [anon_sym_AMP_AMP] = ACTIONS(1377),
    [anon_sym_PIPE] = ACTIONS(1383),
    [anon_sym_CARET] = ACTIONS(1377),
    [anon_sym_AMP] = ACTIONS(1383),
    [anon_sym_EQ_EQ] = ACTIONS(1377),
    [anon_sym_BANG_EQ] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1383),
    [anon_sym_GT_EQ] = ACTIONS(1377),
    [anon_sym_LT_EQ] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1383),
    [anon_sym_LT_LT] = ACTIONS(1377),
    [anon_sym_GT_GT] = ACTIONS(1377),
    [anon_sym_LBRACE] = ACTIONS(1385),
    [anon_sym_LBRACK] = ACTIONS(1377),
    [anon_sym_QMARK] = ACTIONS(1377),
    [anon_sym_DASH_DASH] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1377),
    [anon_sym_sizeof] = ACTIONS(1712),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(1383),
    [anon_sym_DASH_GT] = ACTIONS(1377),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [400] = {
    [sym_else_clause] = STATE(157),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_LPAREN2] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_DASH] = ACTIONS(1117),
    [anon_sym_PLUS] = ACTIONS(1117),
    [anon_sym_STAR] = ACTIONS(1119),
    [anon_sym_AMP] = ACTIONS(1119),
    [anon_sym_SEMI] = ACTIONS(1119),
    [anon_sym___extension__] = ACTIONS(1117),
    [anon_sym_typedef] = ACTIONS(1117),
    [anon_sym_extern] = ACTIONS(1117),
    [anon_sym___attribute__] = ACTIONS(1117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1119),
    [anon_sym___declspec] = ACTIONS(1117),
    [anon_sym_LBRACE] = ACTIONS(1119),
    [anon_sym_signed] = ACTIONS(1117),
    [anon_sym_unsigned] = ACTIONS(1117),
    [anon_sym_long] = ACTIONS(1117),
    [anon_sym_short] = ACTIONS(1117),
    [anon_sym_static] = ACTIONS(1117),
    [anon_sym_auto] = ACTIONS(1117),
    [anon_sym_register] = ACTIONS(1117),
    [anon_sym_inline] = ACTIONS(1117),
    [anon_sym___inline] = ACTIONS(1117),
    [anon_sym___inline__] = ACTIONS(1117),
    [anon_sym___forceinline] = ACTIONS(1117),
    [anon_sym_thread_local] = ACTIONS(1117),
    [anon_sym___thread] = ACTIONS(1117),
    [anon_sym_const] = ACTIONS(1117),
    [anon_sym_constexpr] = ACTIONS(1117),
    [anon_sym_volatile] = ACTIONS(1117),
    [anon_sym_restrict] = ACTIONS(1117),
    [anon_sym___restrict__] = ACTIONS(1117),
    [anon_sym__Atomic] = ACTIONS(1117),
    [anon_sym__Noreturn] = ACTIONS(1117),
    [anon_sym_noreturn] = ACTIONS(1117),
    [anon_sym_alignas] = ACTIONS(1117),
    [anon_sym__Alignas] = ACTIONS(1117),
    [sym_primitive_type] = ACTIONS(1117),
    [anon_sym_enum] = ACTIONS(1117),
    [anon_sym_struct] = ACTIONS(1117),
    [anon_sym_union] = ACTIONS(1117),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_else] = ACTIONS(1714),
    [anon_sym_switch] = ACTIONS(1117),
    [anon_sym_while] = ACTIONS(1117),
    [anon_sym_do] = ACTIONS(1117),
    [anon_sym_for] = ACTIONS(1117),
    [anon_sym_return] = ACTIONS(1117),
    [anon_sym_break] = ACTIONS(1117),
    [anon_sym_continue] = ACTIONS(1117),
    [anon_sym_goto] = ACTIONS(1117),
    [anon_sym___try] = ACTIONS(1117),
    [anon_sym___leave] = ACTIONS(1117),
    [anon_sym_DASH_DASH] = ACTIONS(1119),
    [anon_sym_PLUS_PLUS] = ACTIONS(1119),
    [anon_sym_sizeof] = ACTIONS(1117),
    [anon_sym___alignof__] = ACTIONS(1117),
    [anon_sym___alignof] = ACTIONS(1117),
    [anon_sym__alignof] = ACTIONS(1117),
    [anon_sym_alignof] = ACTIONS(1117),
    [anon_sym__Alignof] = ACTIONS(1117),
    [anon_sym_offsetof] = ACTIONS(1117),
    [anon_sym__Generic] = ACTIONS(1117),
    [anon_sym_asm] = ACTIONS(1117),
    [anon_sym___asm__] = ACTIONS(1117),
    [sym_number_literal] = ACTIONS(1119),
    [anon_sym_L_SQUOTE] = ACTIONS(1119),
    [anon_sym_u_SQUOTE] = ACTIONS(1119),
    [anon_sym_U_SQUOTE] = ACTIONS(1119),
    [anon_sym_u8_SQUOTE] = ACTIONS(1119),
    [anon_sym_SQUOTE] = ACTIONS(1119),
    [anon_sym_L_DQUOTE] = ACTIONS(1119),
    [anon_sym_u_DQUOTE] = ACTIONS(1119),
    [anon_sym_U_DQUOTE] = ACTIONS(1119),
    [anon_sym_u8_DQUOTE] = ACTIONS(1119),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_true] = ACTIONS(1117),
    [sym_false] = ACTIONS(1117),
    [anon_sym_NULL] = ACTIONS(1117),
    [anon_sym_nullptr] = ACTIONS(1117),
    [sym_comment] = ACTIONS(3),
  },
  [401] = {
    [sym_string_literal] = STATE(616),
    [aux_sym_sized_type_specifier_repeat1] = STATE(782),
    [sym_identifier] = ACTIONS(1716),
    [anon_sym_COMMA] = ACTIONS(1718),
    [anon_sym_LPAREN2] = ACTIONS(1720),
    [anon_sym_DASH] = ACTIONS(1724),
    [anon_sym_PLUS] = ACTIONS(1724),
    [anon_sym_STAR] = ACTIONS(1726),
    [anon_sym_SLASH] = ACTIONS(1724),
    [anon_sym_PERCENT] = ACTIONS(1724),
    [anon_sym_PIPE_PIPE] = ACTIONS(1718),
    [anon_sym_AMP_AMP] = ACTIONS(1718),
    [anon_sym_PIPE] = ACTIONS(1724),
    [anon_sym_CARET] = ACTIONS(1724),
    [anon_sym_AMP] = ACTIONS(1724),
    [anon_sym_EQ_EQ] = ACTIONS(1718),
    [anon_sym_BANG_EQ] = ACTIONS(1718),
    [anon_sym_GT] = ACTIONS(1724),
    [anon_sym_GT_EQ] = ACTIONS(1718),
    [anon_sym_LT_EQ] = ACTIONS(1718),
    [anon_sym_LT] = ACTIONS(1724),
    [anon_sym_LT_LT] = ACTIONS(1724),
    [anon_sym_GT_GT] = ACTIONS(1724),
    [anon_sym_SEMI] = ACTIONS(1718),
    [anon_sym___extension__] = ACTIONS(1716),
    [anon_sym_extern] = ACTIONS(1716),
    [anon_sym___attribute__] = ACTIONS(1716),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1729),
    [anon_sym___declspec] = ACTIONS(1716),
    [anon_sym___based] = ACTIONS(1716),
    [anon_sym___cdecl] = ACTIONS(1716),
    [anon_sym___clrcall] = ACTIONS(1716),
    [anon_sym___stdcall] = ACTIONS(1716),
    [anon_sym___fastcall] = ACTIONS(1716),
    [anon_sym___thiscall] = ACTIONS(1716),
    [anon_sym___vectorcall] = ACTIONS(1716),
    [anon_sym_signed] = ACTIONS(1731),
    [anon_sym_unsigned] = ACTIONS(1731),
    [anon_sym_long] = ACTIONS(1731),
    [anon_sym_short] = ACTIONS(1731),
    [anon_sym_LBRACK] = ACTIONS(1724),
    [anon_sym_static] = ACTIONS(1716),
    [anon_sym_EQ] = ACTIONS(1733),
    [anon_sym_auto] = ACTIONS(1716),
    [anon_sym_register] = ACTIONS(1716),
    [anon_sym_inline] = ACTIONS(1716),
    [anon_sym___inline] = ACTIONS(1716),
    [anon_sym___inline__] = ACTIONS(1716),
    [anon_sym___forceinline] = ACTIONS(1716),
    [anon_sym_thread_local] = ACTIONS(1716),
    [anon_sym___thread] = ACTIONS(1716),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_constexpr] = ACTIONS(1716),
    [anon_sym_volatile] = ACTIONS(1716),
    [anon_sym_restrict] = ACTIONS(1716),
    [anon_sym___restrict__] = ACTIONS(1716),
    [anon_sym__Atomic] = ACTIONS(1716),
    [anon_sym__Noreturn] = ACTIONS(1716),
    [anon_sym_noreturn] = ACTIONS(1716),
    [anon_sym_alignas] = ACTIONS(1716),
    [anon_sym__Alignas] = ACTIONS(1716),
    [anon_sym_COLON] = ACTIONS(1735),
    [anon_sym_QMARK] = ACTIONS(1718),
    [anon_sym_STAR_EQ] = ACTIONS(1737),
    [anon_sym_SLASH_EQ] = ACTIONS(1737),
    [anon_sym_PERCENT_EQ] = ACTIONS(1737),
    [anon_sym_PLUS_EQ] = ACTIONS(1737),
    [anon_sym_DASH_EQ] = ACTIONS(1737),
    [anon_sym_LT_LT_EQ] = ACTIONS(1737),
    [anon_sym_GT_GT_EQ] = ACTIONS(1737),
    [anon_sym_AMP_EQ] = ACTIONS(1737),
    [anon_sym_CARET_EQ] = ACTIONS(1737),
    [anon_sym_PIPE_EQ] = ACTIONS(1737),
    [anon_sym_DASH_DASH] = ACTIONS(1718),
    [anon_sym_PLUS_PLUS] = ACTIONS(1718),
    [anon_sym_DOT] = ACTIONS(1718),
    [anon_sym_DASH_GT] = ACTIONS(1718),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_comment] = ACTIONS(3),
  },
  [402] = {
    [sym_string_literal] = STATE(616),
    [aux_sym_sized_type_specifier_repeat1] = STATE(782),
    [sym_identifier] = ACTIONS(1716),
    [anon_sym_COMMA] = ACTIONS(1718),
    [anon_sym_LPAREN2] = ACTIONS(1720),
    [anon_sym_DASH] = ACTIONS(1724),
    [anon_sym_PLUS] = ACTIONS(1724),
    [anon_sym_STAR] = ACTIONS(1726),
    [anon_sym_SLASH] = ACTIONS(1724),
    [anon_sym_PERCENT] = ACTIONS(1724),
    [anon_sym_PIPE_PIPE] = ACTIONS(1718),
    [anon_sym_AMP_AMP] = ACTIONS(1718),
    [anon_sym_PIPE] = ACTIONS(1724),
    [anon_sym_CARET] = ACTIONS(1724),
    [anon_sym_AMP] = ACTIONS(1724),
    [anon_sym_EQ_EQ] = ACTIONS(1718),
    [anon_sym_BANG_EQ] = ACTIONS(1718),
    [anon_sym_GT] = ACTIONS(1724),
    [anon_sym_GT_EQ] = ACTIONS(1718),
    [anon_sym_LT_EQ] = ACTIONS(1718),
    [anon_sym_LT] = ACTIONS(1724),
    [anon_sym_LT_LT] = ACTIONS(1724),
    [anon_sym_GT_GT] = ACTIONS(1724),
    [anon_sym_SEMI] = ACTIONS(1718),
    [anon_sym___extension__] = ACTIONS(1716),
    [anon_sym_extern] = ACTIONS(1716),
    [anon_sym___attribute__] = ACTIONS(1716),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1729),
    [anon_sym___declspec] = ACTIONS(1716),
    [anon_sym___based] = ACTIONS(1716),
    [anon_sym___cdecl] = ACTIONS(1716),
    [anon_sym___clrcall] = ACTIONS(1716),
    [anon_sym___stdcall] = ACTIONS(1716),
    [anon_sym___fastcall] = ACTIONS(1716),
    [anon_sym___thiscall] = ACTIONS(1716),
    [anon_sym___vectorcall] = ACTIONS(1716),
    [anon_sym_signed] = ACTIONS(1731),
    [anon_sym_unsigned] = ACTIONS(1731),
    [anon_sym_long] = ACTIONS(1731),
    [anon_sym_short] = ACTIONS(1731),
    [anon_sym_LBRACK] = ACTIONS(1724),
    [anon_sym_static] = ACTIONS(1716),
    [anon_sym_EQ] = ACTIONS(1733),
    [anon_sym_auto] = ACTIONS(1716),
    [anon_sym_register] = ACTIONS(1716),
    [anon_sym_inline] = ACTIONS(1716),
    [anon_sym___inline] = ACTIONS(1716),
    [anon_sym___inline__] = ACTIONS(1716),
    [anon_sym___forceinline] = ACTIONS(1716),
    [anon_sym_thread_local] = ACTIONS(1716),
    [anon_sym___thread] = ACTIONS(1716),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_constexpr] = ACTIONS(1716),
    [anon_sym_volatile] = ACTIONS(1716),
    [anon_sym_restrict] = ACTIONS(1716),
    [anon_sym___restrict__] = ACTIONS(1716),
    [anon_sym__Atomic] = ACTIONS(1716),
    [anon_sym__Noreturn] = ACTIONS(1716),
    [anon_sym_noreturn] = ACTIONS(1716),
    [anon_sym_alignas] = ACTIONS(1716),
    [anon_sym__Alignas] = ACTIONS(1716),
    [anon_sym_COLON] = ACTIONS(1739),
    [anon_sym_QMARK] = ACTIONS(1718),
    [anon_sym_STAR_EQ] = ACTIONS(1737),
    [anon_sym_SLASH_EQ] = ACTIONS(1737),
    [anon_sym_PERCENT_EQ] = ACTIONS(1737),
    [anon_sym_PLUS_EQ] = ACTIONS(1737),
    [anon_sym_DASH_EQ] = ACTIONS(1737),
    [anon_sym_LT_LT_EQ] = ACTIONS(1737),
    [anon_sym_GT_GT_EQ] = ACTIONS(1737),
    [anon_sym_AMP_EQ] = ACTIONS(1737),
    [anon_sym_CARET_EQ] = ACTIONS(1737),
    [anon_sym_PIPE_EQ] = ACTIONS(1737),
    [anon_sym_DASH_DASH] = ACTIONS(1718),
    [anon_sym_PLUS_PLUS] = ACTIONS(1718),
    [anon_sym_DOT] = ACTIONS(1718),
    [anon_sym_DASH_GT] = ACTIONS(1718),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_comment] = ACTIONS(3),
  },
  [403] = {
    [sym_string_literal] = STATE(616),
    [aux_sym_sized_type_specifier_repeat1] = STATE(782),
    [sym_identifier] = ACTIONS(1716),
    [anon_sym_COMMA] = ACTIONS(1718),
    [anon_sym_LPAREN2] = ACTIONS(1720),
    [anon_sym_DASH] = ACTIONS(1724),
    [anon_sym_PLUS] = ACTIONS(1724),
    [anon_sym_STAR] = ACTIONS(1726),
    [anon_sym_SLASH] = ACTIONS(1724),
    [anon_sym_PERCENT] = ACTIONS(1724),
    [anon_sym_PIPE_PIPE] = ACTIONS(1718),
    [anon_sym_AMP_AMP] = ACTIONS(1718),
    [anon_sym_PIPE] = ACTIONS(1724),
    [anon_sym_CARET] = ACTIONS(1724),
    [anon_sym_AMP] = ACTIONS(1724),
    [anon_sym_EQ_EQ] = ACTIONS(1718),
    [anon_sym_BANG_EQ] = ACTIONS(1718),
    [anon_sym_GT] = ACTIONS(1724),
    [anon_sym_GT_EQ] = ACTIONS(1718),
    [anon_sym_LT_EQ] = ACTIONS(1718),
    [anon_sym_LT] = ACTIONS(1724),
    [anon_sym_LT_LT] = ACTIONS(1724),
    [anon_sym_GT_GT] = ACTIONS(1724),
    [anon_sym_SEMI] = ACTIONS(1741),
    [anon_sym___extension__] = ACTIONS(1716),
    [anon_sym_extern] = ACTIONS(1716),
    [anon_sym___attribute__] = ACTIONS(1716),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1729),
    [anon_sym___declspec] = ACTIONS(1716),
    [anon_sym___based] = ACTIONS(1716),
    [anon_sym___cdecl] = ACTIONS(1716),
    [anon_sym___clrcall] = ACTIONS(1716),
    [anon_sym___stdcall] = ACTIONS(1716),
    [anon_sym___fastcall] = ACTIONS(1716),
    [anon_sym___thiscall] = ACTIONS(1716),
    [anon_sym___vectorcall] = ACTIONS(1716),
    [anon_sym_signed] = ACTIONS(1731),
    [anon_sym_unsigned] = ACTIONS(1731),
    [anon_sym_long] = ACTIONS(1731),
    [anon_sym_short] = ACTIONS(1731),
    [anon_sym_LBRACK] = ACTIONS(1724),
    [anon_sym_static] = ACTIONS(1716),
    [anon_sym_EQ] = ACTIONS(1733),
    [anon_sym_auto] = ACTIONS(1716),
    [anon_sym_register] = ACTIONS(1716),
    [anon_sym_inline] = ACTIONS(1716),
    [anon_sym___inline] = ACTIONS(1716),
    [anon_sym___inline__] = ACTIONS(1716),
    [anon_sym___forceinline] = ACTIONS(1716),
    [anon_sym_thread_local] = ACTIONS(1716),
    [anon_sym___thread] = ACTIONS(1716),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_constexpr] = ACTIONS(1716),
    [anon_sym_volatile] = ACTIONS(1716),
    [anon_sym_restrict] = ACTIONS(1716),
    [anon_sym___restrict__] = ACTIONS(1716),
    [anon_sym__Atomic] = ACTIONS(1716),
    [anon_sym__Noreturn] = ACTIONS(1716),
    [anon_sym_noreturn] = ACTIONS(1716),
    [anon_sym_alignas] = ACTIONS(1716),
    [anon_sym__Alignas] = ACTIONS(1716),
    [anon_sym_COLON] = ACTIONS(1739),
    [anon_sym_QMARK] = ACTIONS(1718),
    [anon_sym_STAR_EQ] = ACTIONS(1737),
    [anon_sym_SLASH_EQ] = ACTIONS(1737),
    [anon_sym_PERCENT_EQ] = ACTIONS(1737),
    [anon_sym_PLUS_EQ] = ACTIONS(1737),
    [anon_sym_DASH_EQ] = ACTIONS(1737),
    [anon_sym_LT_LT_EQ] = ACTIONS(1737),
    [anon_sym_GT_GT_EQ] = ACTIONS(1737),
    [anon_sym_AMP_EQ] = ACTIONS(1737),
    [anon_sym_CARET_EQ] = ACTIONS(1737),
    [anon_sym_PIPE_EQ] = ACTIONS(1737),
    [anon_sym_DASH_DASH] = ACTIONS(1718),
    [anon_sym_PLUS_PLUS] = ACTIONS(1718),
    [anon_sym_DOT] = ACTIONS(1718),
    [anon_sym_DASH_GT] = ACTIONS(1718),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_comment] = ACTIONS(3),
  },
  [404] = {
    [sym_string_literal] = STATE(616),
    [aux_sym_sized_type_specifier_repeat1] = STATE(782),
    [sym_identifier] = ACTIONS(1716),
    [anon_sym_COMMA] = ACTIONS(1718),
    [anon_sym_LPAREN2] = ACTIONS(1720),
    [anon_sym_DASH] = ACTIONS(1724),
    [anon_sym_PLUS] = ACTIONS(1724),
    [anon_sym_STAR] = ACTIONS(1726),
    [anon_sym_SLASH] = ACTIONS(1724),
    [anon_sym_PERCENT] = ACTIONS(1724),
    [anon_sym_PIPE_PIPE] = ACTIONS(1718),
    [anon_sym_AMP_AMP] = ACTIONS(1718),
    [anon_sym_PIPE] = ACTIONS(1724),
    [anon_sym_CARET] = ACTIONS(1724),
    [anon_sym_AMP] = ACTIONS(1724),
    [anon_sym_EQ_EQ] = ACTIONS(1718),
    [anon_sym_BANG_EQ] = ACTIONS(1718),
    [anon_sym_GT] = ACTIONS(1724),
    [anon_sym_GT_EQ] = ACTIONS(1718),
    [anon_sym_LT_EQ] = ACTIONS(1718),
    [anon_sym_LT] = ACTIONS(1724),
    [anon_sym_LT_LT] = ACTIONS(1724),
    [anon_sym_GT_GT] = ACTIONS(1724),
    [anon_sym_SEMI] = ACTIONS(1718),
    [anon_sym___extension__] = ACTIONS(1716),
    [anon_sym_extern] = ACTIONS(1716),
    [anon_sym___attribute__] = ACTIONS(1716),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1729),
    [anon_sym___declspec] = ACTIONS(1716),
    [anon_sym___based] = ACTIONS(1716),
    [anon_sym___cdecl] = ACTIONS(1716),
    [anon_sym___clrcall] = ACTIONS(1716),
    [anon_sym___stdcall] = ACTIONS(1716),
    [anon_sym___fastcall] = ACTIONS(1716),
    [anon_sym___thiscall] = ACTIONS(1716),
    [anon_sym___vectorcall] = ACTIONS(1716),
    [anon_sym_signed] = ACTIONS(1731),
    [anon_sym_unsigned] = ACTIONS(1731),
    [anon_sym_long] = ACTIONS(1731),
    [anon_sym_short] = ACTIONS(1731),
    [anon_sym_LBRACK] = ACTIONS(1724),
    [anon_sym_static] = ACTIONS(1716),
    [anon_sym_EQ] = ACTIONS(1733),
    [anon_sym_auto] = ACTIONS(1716),
    [anon_sym_register] = ACTIONS(1716),
    [anon_sym_inline] = ACTIONS(1716),
    [anon_sym___inline] = ACTIONS(1716),
    [anon_sym___inline__] = ACTIONS(1716),
    [anon_sym___forceinline] = ACTIONS(1716),
    [anon_sym_thread_local] = ACTIONS(1716),
    [anon_sym___thread] = ACTIONS(1716),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_constexpr] = ACTIONS(1716),
    [anon_sym_volatile] = ACTIONS(1716),
    [anon_sym_restrict] = ACTIONS(1716),
    [anon_sym___restrict__] = ACTIONS(1716),
    [anon_sym__Atomic] = ACTIONS(1716),
    [anon_sym__Noreturn] = ACTIONS(1716),
    [anon_sym_noreturn] = ACTIONS(1716),
    [anon_sym_alignas] = ACTIONS(1716),
    [anon_sym__Alignas] = ACTIONS(1716),
    [anon_sym_COLON] = ACTIONS(1744),
    [anon_sym_QMARK] = ACTIONS(1718),
    [anon_sym_STAR_EQ] = ACTIONS(1737),
    [anon_sym_SLASH_EQ] = ACTIONS(1737),
    [anon_sym_PERCENT_EQ] = ACTIONS(1737),
    [anon_sym_PLUS_EQ] = ACTIONS(1737),
    [anon_sym_DASH_EQ] = ACTIONS(1737),
    [anon_sym_LT_LT_EQ] = ACTIONS(1737),
    [anon_sym_GT_GT_EQ] = ACTIONS(1737),
    [anon_sym_AMP_EQ] = ACTIONS(1737),
    [anon_sym_CARET_EQ] = ACTIONS(1737),
    [anon_sym_PIPE_EQ] = ACTIONS(1737),
    [anon_sym_DASH_DASH] = ACTIONS(1718),
    [anon_sym_PLUS_PLUS] = ACTIONS(1718),
    [anon_sym_DOT] = ACTIONS(1718),
    [anon_sym_DASH_GT] = ACTIONS(1718),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_comment] = ACTIONS(3),
  },
  [405] = {
    [sym_identifier] = ACTIONS(1746),
    [anon_sym_LPAREN2] = ACTIONS(1749),
    [anon_sym_BANG] = ACTIONS(1749),
    [anon_sym_TILDE] = ACTIONS(1749),
    [anon_sym_DASH] = ACTIONS(1751),
    [anon_sym_PLUS] = ACTIONS(1751),
    [anon_sym_STAR] = ACTIONS(1749),
    [anon_sym_AMP] = ACTIONS(1749),
    [anon_sym_SEMI] = ACTIONS(1749),
    [anon_sym___extension__] = ACTIONS(1753),
    [anon_sym_extern] = ACTIONS(1753),
    [anon_sym___attribute__] = ACTIONS(1753),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1755),
    [anon_sym___declspec] = ACTIONS(1753),
    [anon_sym_LBRACE] = ACTIONS(1749),
    [anon_sym_signed] = ACTIONS(1753),
    [anon_sym_unsigned] = ACTIONS(1753),
    [anon_sym_long] = ACTIONS(1753),
    [anon_sym_short] = ACTIONS(1753),
    [anon_sym_static] = ACTIONS(1753),
    [anon_sym_auto] = ACTIONS(1753),
    [anon_sym_register] = ACTIONS(1753),
    [anon_sym_inline] = ACTIONS(1753),
    [anon_sym___inline] = ACTIONS(1753),
    [anon_sym___inline__] = ACTIONS(1753),
    [anon_sym___forceinline] = ACTIONS(1753),
    [anon_sym_thread_local] = ACTIONS(1753),
    [anon_sym___thread] = ACTIONS(1753),
    [anon_sym_const] = ACTIONS(1753),
    [anon_sym_constexpr] = ACTIONS(1753),
    [anon_sym_volatile] = ACTIONS(1753),
    [anon_sym_restrict] = ACTIONS(1753),
    [anon_sym___restrict__] = ACTIONS(1753),
    [anon_sym__Atomic] = ACTIONS(1753),
    [anon_sym__Noreturn] = ACTIONS(1753),
    [anon_sym_noreturn] = ACTIONS(1753),
    [anon_sym_alignas] = ACTIONS(1753),
    [anon_sym__Alignas] = ACTIONS(1753),
    [sym_primitive_type] = ACTIONS(1753),
    [anon_sym_enum] = ACTIONS(1753),
    [anon_sym_struct] = ACTIONS(1753),
    [anon_sym_union] = ACTIONS(1753),
    [anon_sym_if] = ACTIONS(1751),
    [anon_sym_switch] = ACTIONS(1751),
    [anon_sym_case] = ACTIONS(1751),
    [anon_sym_default] = ACTIONS(1751),
    [anon_sym_while] = ACTIONS(1751),
    [anon_sym_do] = ACTIONS(1751),
    [anon_sym_for] = ACTIONS(1751),
    [anon_sym_return] = ACTIONS(1751),
    [anon_sym_break] = ACTIONS(1751),
    [anon_sym_continue] = ACTIONS(1751),
    [anon_sym_goto] = ACTIONS(1751),
    [anon_sym___try] = ACTIONS(1751),
    [anon_sym___leave] = ACTIONS(1751),
    [anon_sym_DASH_DASH] = ACTIONS(1749),
    [anon_sym_PLUS_PLUS] = ACTIONS(1749),
    [anon_sym_sizeof] = ACTIONS(1751),
    [anon_sym___alignof__] = ACTIONS(1751),
    [anon_sym___alignof] = ACTIONS(1751),
    [anon_sym__alignof] = ACTIONS(1751),
    [anon_sym_alignof] = ACTIONS(1751),
    [anon_sym__Alignof] = ACTIONS(1751),
    [anon_sym_offsetof] = ACTIONS(1751),
    [anon_sym__Generic] = ACTIONS(1751),
    [anon_sym_asm] = ACTIONS(1751),
    [anon_sym___asm__] = ACTIONS(1751),
    [sym_number_literal] = ACTIONS(1749),
    [anon_sym_L_SQUOTE] = ACTIONS(1749),
    [anon_sym_u_SQUOTE] = ACTIONS(1749),
    [anon_sym_U_SQUOTE] = ACTIONS(1749),
    [anon_sym_u8_SQUOTE] = ACTIONS(1749),
    [anon_sym_SQUOTE] = ACTIONS(1749),
    [anon_sym_L_DQUOTE] = ACTIONS(1749),
    [anon_sym_u_DQUOTE] = ACTIONS(1749),
    [anon_sym_U_DQUOTE] = ACTIONS(1749),
    [anon_sym_u8_DQUOTE] = ACTIONS(1749),
    [anon_sym_DQUOTE] = ACTIONS(1749),
    [sym_true] = ACTIONS(1751),
    [sym_false] = ACTIONS(1751),
    [anon_sym_NULL] = ACTIONS(1751),
    [anon_sym_nullptr] = ACTIONS(1751),
    [sym_comment] = ACTIONS(3),
  },
  [406] = {
    [sym_string_literal] = STATE(616),
    [aux_sym_sized_type_specifier_repeat1] = STATE(782),
    [sym_identifier] = ACTIONS(1716),
    [anon_sym_COMMA] = ACTIONS(1718),
    [anon_sym_LPAREN2] = ACTIONS(1720),
    [anon_sym_DASH] = ACTIONS(1724),
    [anon_sym_PLUS] = ACTIONS(1724),
    [anon_sym_STAR] = ACTIONS(1726),
    [anon_sym_SLASH] = ACTIONS(1724),
    [anon_sym_PERCENT] = ACTIONS(1724),
    [anon_sym_PIPE_PIPE] = ACTIONS(1718),
    [anon_sym_AMP_AMP] = ACTIONS(1718),
    [anon_sym_PIPE] = ACTIONS(1724),
    [anon_sym_CARET] = ACTIONS(1724),
    [anon_sym_AMP] = ACTIONS(1724),
    [anon_sym_EQ_EQ] = ACTIONS(1718),
    [anon_sym_BANG_EQ] = ACTIONS(1718),
    [anon_sym_GT] = ACTIONS(1724),
    [anon_sym_GT_EQ] = ACTIONS(1718),
    [anon_sym_LT_EQ] = ACTIONS(1718),
    [anon_sym_LT] = ACTIONS(1724),
    [anon_sym_LT_LT] = ACTIONS(1724),
    [anon_sym_GT_GT] = ACTIONS(1724),
    [anon_sym_SEMI] = ACTIONS(1718),
    [anon_sym___extension__] = ACTIONS(1716),
    [anon_sym_extern] = ACTIONS(1716),
    [anon_sym___attribute__] = ACTIONS(1716),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1729),
    [anon_sym___declspec] = ACTIONS(1716),
    [anon_sym___based] = ACTIONS(1716),
    [anon_sym___cdecl] = ACTIONS(1716),
    [anon_sym___clrcall] = ACTIONS(1716),
    [anon_sym___stdcall] = ACTIONS(1716),
    [anon_sym___fastcall] = ACTIONS(1716),
    [anon_sym___thiscall] = ACTIONS(1716),
    [anon_sym___vectorcall] = ACTIONS(1716),
    [anon_sym_signed] = ACTIONS(1731),
    [anon_sym_unsigned] = ACTIONS(1731),
    [anon_sym_long] = ACTIONS(1731),
    [anon_sym_short] = ACTIONS(1731),
    [anon_sym_LBRACK] = ACTIONS(1724),
    [anon_sym_static] = ACTIONS(1716),
    [anon_sym_EQ] = ACTIONS(1733),
    [anon_sym_auto] = ACTIONS(1716),
    [anon_sym_register] = ACTIONS(1716),
    [anon_sym_inline] = ACTIONS(1716),
    [anon_sym___inline] = ACTIONS(1716),
    [anon_sym___inline__] = ACTIONS(1716),
    [anon_sym___forceinline] = ACTIONS(1716),
    [anon_sym_thread_local] = ACTIONS(1716),
    [anon_sym___thread] = ACTIONS(1716),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_constexpr] = ACTIONS(1716),
    [anon_sym_volatile] = ACTIONS(1716),
    [anon_sym_restrict] = ACTIONS(1716),
    [anon_sym___restrict__] = ACTIONS(1716),
    [anon_sym__Atomic] = ACTIONS(1716),
    [anon_sym__Noreturn] = ACTIONS(1716),
    [anon_sym_noreturn] = ACTIONS(1716),
    [anon_sym_alignas] = ACTIONS(1716),
    [anon_sym__Alignas] = ACTIONS(1716),
    [anon_sym_COLON] = ACTIONS(1758),
    [anon_sym_QMARK] = ACTIONS(1718),
    [anon_sym_STAR_EQ] = ACTIONS(1737),
    [anon_sym_SLASH_EQ] = ACTIONS(1737),
    [anon_sym_PERCENT_EQ] = ACTIONS(1737),
    [anon_sym_PLUS_EQ] = ACTIONS(1737),
    [anon_sym_DASH_EQ] = ACTIONS(1737),
    [anon_sym_LT_LT_EQ] = ACTIONS(1737),
    [anon_sym_GT_GT_EQ] = ACTIONS(1737),
    [anon_sym_AMP_EQ] = ACTIONS(1737),
    [anon_sym_CARET_EQ] = ACTIONS(1737),
    [anon_sym_PIPE_EQ] = ACTIONS(1737),
    [anon_sym_DASH_DASH] = ACTIONS(1718),
    [anon_sym_PLUS_PLUS] = ACTIONS(1718),
    [anon_sym_DOT] = ACTIONS(1718),
    [anon_sym_DASH_GT] = ACTIONS(1718),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_comment] = ACTIONS(3),
  },
  [407] = {
    [sym_string_literal] = STATE(616),
    [aux_sym_sized_type_specifier_repeat1] = STATE(782),
    [sym_identifier] = ACTIONS(1716),
    [anon_sym_COMMA] = ACTIONS(1718),
    [anon_sym_LPAREN2] = ACTIONS(1720),
    [anon_sym_DASH] = ACTIONS(1724),
    [anon_sym_PLUS] = ACTIONS(1724),
    [anon_sym_STAR] = ACTIONS(1726),
    [anon_sym_SLASH] = ACTIONS(1724),
    [anon_sym_PERCENT] = ACTIONS(1724),
    [anon_sym_PIPE_PIPE] = ACTIONS(1718),
    [anon_sym_AMP_AMP] = ACTIONS(1718),
    [anon_sym_PIPE] = ACTIONS(1724),
    [anon_sym_CARET] = ACTIONS(1724),
    [anon_sym_AMP] = ACTIONS(1724),
    [anon_sym_EQ_EQ] = ACTIONS(1718),
    [anon_sym_BANG_EQ] = ACTIONS(1718),
    [anon_sym_GT] = ACTIONS(1724),
    [anon_sym_GT_EQ] = ACTIONS(1718),
    [anon_sym_LT_EQ] = ACTIONS(1718),
    [anon_sym_LT] = ACTIONS(1724),
    [anon_sym_LT_LT] = ACTIONS(1724),
    [anon_sym_GT_GT] = ACTIONS(1724),
    [anon_sym_SEMI] = ACTIONS(1718),
    [anon_sym___extension__] = ACTIONS(1716),
    [anon_sym_extern] = ACTIONS(1716),
    [anon_sym___attribute__] = ACTIONS(1716),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1729),
    [anon_sym___declspec] = ACTIONS(1716),
    [anon_sym___based] = ACTIONS(1716),
    [anon_sym___cdecl] = ACTIONS(1716),
    [anon_sym___clrcall] = ACTIONS(1716),
    [anon_sym___stdcall] = ACTIONS(1716),
    [anon_sym___fastcall] = ACTIONS(1716),
    [anon_sym___thiscall] = ACTIONS(1716),
    [anon_sym___vectorcall] = ACTIONS(1716),
    [anon_sym_signed] = ACTIONS(1731),
    [anon_sym_unsigned] = ACTIONS(1731),
    [anon_sym_long] = ACTIONS(1731),
    [anon_sym_short] = ACTIONS(1731),
    [anon_sym_LBRACK] = ACTIONS(1724),
    [anon_sym_static] = ACTIONS(1716),
    [anon_sym_EQ] = ACTIONS(1733),
    [anon_sym_auto] = ACTIONS(1716),
    [anon_sym_register] = ACTIONS(1716),
    [anon_sym_inline] = ACTIONS(1716),
    [anon_sym___inline] = ACTIONS(1716),
    [anon_sym___inline__] = ACTIONS(1716),
    [anon_sym___forceinline] = ACTIONS(1716),
    [anon_sym_thread_local] = ACTIONS(1716),
    [anon_sym___thread] = ACTIONS(1716),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_constexpr] = ACTIONS(1716),
    [anon_sym_volatile] = ACTIONS(1716),
    [anon_sym_restrict] = ACTIONS(1716),
    [anon_sym___restrict__] = ACTIONS(1716),
    [anon_sym__Atomic] = ACTIONS(1716),
    [anon_sym__Noreturn] = ACTIONS(1716),
    [anon_sym_noreturn] = ACTIONS(1716),
    [anon_sym_alignas] = ACTIONS(1716),
    [anon_sym__Alignas] = ACTIONS(1716),
    [anon_sym_COLON] = ACTIONS(1760),
    [anon_sym_QMARK] = ACTIONS(1718),
    [anon_sym_STAR_EQ] = ACTIONS(1737),
    [anon_sym_SLASH_EQ] = ACTIONS(1737),
    [anon_sym_PERCENT_EQ] = ACTIONS(1737),
    [anon_sym_PLUS_EQ] = ACTIONS(1737),
    [anon_sym_DASH_EQ] = ACTIONS(1737),
    [anon_sym_LT_LT_EQ] = ACTIONS(1737),
    [anon_sym_GT_GT_EQ] = ACTIONS(1737),
    [anon_sym_AMP_EQ] = ACTIONS(1737),
    [anon_sym_CARET_EQ] = ACTIONS(1737),
    [anon_sym_PIPE_EQ] = ACTIONS(1737),
    [anon_sym_DASH_DASH] = ACTIONS(1718),
    [anon_sym_PLUS_PLUS] = ACTIONS(1718),
    [anon_sym_DOT] = ACTIONS(1718),
    [anon_sym_DASH_GT] = ACTIONS(1718),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_comment] = ACTIONS(3),
  },
  [408] = {
    [sym_string_literal] = STATE(616),
    [aux_sym_sized_type_specifier_repeat1] = STATE(782),
    [sym_identifier] = ACTIONS(1716),
    [anon_sym_COMMA] = ACTIONS(1718),
    [anon_sym_LPAREN2] = ACTIONS(1720),
    [anon_sym_DASH] = ACTIONS(1724),
    [anon_sym_PLUS] = ACTIONS(1724),
    [anon_sym_STAR] = ACTIONS(1726),
    [anon_sym_SLASH] = ACTIONS(1724),
    [anon_sym_PERCENT] = ACTIONS(1724),
    [anon_sym_PIPE_PIPE] = ACTIONS(1718),
    [anon_sym_AMP_AMP] = ACTIONS(1718),
    [anon_sym_PIPE] = ACTIONS(1724),
    [anon_sym_CARET] = ACTIONS(1724),
    [anon_sym_AMP] = ACTIONS(1724),
    [anon_sym_EQ_EQ] = ACTIONS(1718),
    [anon_sym_BANG_EQ] = ACTIONS(1718),
    [anon_sym_GT] = ACTIONS(1724),
    [anon_sym_GT_EQ] = ACTIONS(1718),
    [anon_sym_LT_EQ] = ACTIONS(1718),
    [anon_sym_LT] = ACTIONS(1724),
    [anon_sym_LT_LT] = ACTIONS(1724),
    [anon_sym_GT_GT] = ACTIONS(1724),
    [anon_sym_SEMI] = ACTIONS(1741),
    [anon_sym___extension__] = ACTIONS(1716),
    [anon_sym_extern] = ACTIONS(1716),
    [anon_sym___attribute__] = ACTIONS(1716),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1729),
    [anon_sym___declspec] = ACTIONS(1716),
    [anon_sym___based] = ACTIONS(1716),
    [anon_sym___cdecl] = ACTIONS(1716),
    [anon_sym___clrcall] = ACTIONS(1716),
    [anon_sym___stdcall] = ACTIONS(1716),
    [anon_sym___fastcall] = ACTIONS(1716),
    [anon_sym___thiscall] = ACTIONS(1716),
    [anon_sym___vectorcall] = ACTIONS(1716),
    [anon_sym_signed] = ACTIONS(1731),
    [anon_sym_unsigned] = ACTIONS(1731),
    [anon_sym_long] = ACTIONS(1731),
    [anon_sym_short] = ACTIONS(1731),
    [anon_sym_LBRACK] = ACTIONS(1724),
    [anon_sym_static] = ACTIONS(1716),
    [anon_sym_EQ] = ACTIONS(1733),
    [anon_sym_auto] = ACTIONS(1716),
    [anon_sym_register] = ACTIONS(1716),
    [anon_sym_inline] = ACTIONS(1716),
    [anon_sym___inline] = ACTIONS(1716),
    [anon_sym___inline__] = ACTIONS(1716),
    [anon_sym___forceinline] = ACTIONS(1716),
    [anon_sym_thread_local] = ACTIONS(1716),
    [anon_sym___thread] = ACTIONS(1716),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_constexpr] = ACTIONS(1716),
    [anon_sym_volatile] = ACTIONS(1716),
    [anon_sym_restrict] = ACTIONS(1716),
    [anon_sym___restrict__] = ACTIONS(1716),
    [anon_sym__Atomic] = ACTIONS(1716),
    [anon_sym__Noreturn] = ACTIONS(1716),
    [anon_sym_noreturn] = ACTIONS(1716),
    [anon_sym_alignas] = ACTIONS(1716),
    [anon_sym__Alignas] = ACTIONS(1716),
    [anon_sym_COLON] = ACTIONS(1744),
    [anon_sym_QMARK] = ACTIONS(1718),
    [anon_sym_STAR_EQ] = ACTIONS(1737),
    [anon_sym_SLASH_EQ] = ACTIONS(1737),
    [anon_sym_PERCENT_EQ] = ACTIONS(1737),
    [anon_sym_PLUS_EQ] = ACTIONS(1737),
    [anon_sym_DASH_EQ] = ACTIONS(1737),
    [anon_sym_LT_LT_EQ] = ACTIONS(1737),
    [anon_sym_GT_GT_EQ] = ACTIONS(1737),
    [anon_sym_AMP_EQ] = ACTIONS(1737),
    [anon_sym_CARET_EQ] = ACTIONS(1737),
    [anon_sym_PIPE_EQ] = ACTIONS(1737),
    [anon_sym_DASH_DASH] = ACTIONS(1718),
    [anon_sym_PLUS_PLUS] = ACTIONS(1718),
    [anon_sym_DOT] = ACTIONS(1718),
    [anon_sym_DASH_GT] = ACTIONS(1718),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_comment] = ACTIONS(3),
  },
  [409] = {
    [sym_string_literal] = STATE(616),
    [aux_sym_sized_type_specifier_repeat1] = STATE(782),
    [sym_identifier] = ACTIONS(1716),
    [anon_sym_COMMA] = ACTIONS(1718),
    [anon_sym_LPAREN2] = ACTIONS(1720),
    [anon_sym_DASH] = ACTIONS(1724),
    [anon_sym_PLUS] = ACTIONS(1724),
    [anon_sym_STAR] = ACTIONS(1726),
    [anon_sym_SLASH] = ACTIONS(1724),
    [anon_sym_PERCENT] = ACTIONS(1724),
    [anon_sym_PIPE_PIPE] = ACTIONS(1718),
    [anon_sym_AMP_AMP] = ACTIONS(1718),
    [anon_sym_PIPE] = ACTIONS(1724),
    [anon_sym_CARET] = ACTIONS(1724),
    [anon_sym_AMP] = ACTIONS(1724),
    [anon_sym_EQ_EQ] = ACTIONS(1718),
    [anon_sym_BANG_EQ] = ACTIONS(1718),
    [anon_sym_GT] = ACTIONS(1724),
    [anon_sym_GT_EQ] = ACTIONS(1718),
    [anon_sym_LT_EQ] = ACTIONS(1718),
    [anon_sym_LT] = ACTIONS(1724),
    [anon_sym_LT_LT] = ACTIONS(1724),
    [anon_sym_GT_GT] = ACTIONS(1724),
    [anon_sym_SEMI] = ACTIONS(1741),
    [anon_sym___extension__] = ACTIONS(1716),
    [anon_sym_extern] = ACTIONS(1716),
    [anon_sym___attribute__] = ACTIONS(1716),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1729),
    [anon_sym___declspec] = ACTIONS(1716),
    [anon_sym___based] = ACTIONS(1716),
    [anon_sym___cdecl] = ACTIONS(1716),
    [anon_sym___clrcall] = ACTIONS(1716),
    [anon_sym___stdcall] = ACTIONS(1716),
    [anon_sym___fastcall] = ACTIONS(1716),
    [anon_sym___thiscall] = ACTIONS(1716),
    [anon_sym___vectorcall] = ACTIONS(1716),
    [anon_sym_signed] = ACTIONS(1731),
    [anon_sym_unsigned] = ACTIONS(1731),
    [anon_sym_long] = ACTIONS(1731),
    [anon_sym_short] = ACTIONS(1731),
    [anon_sym_LBRACK] = ACTIONS(1724),
    [anon_sym_static] = ACTIONS(1716),
    [anon_sym_EQ] = ACTIONS(1733),
    [anon_sym_auto] = ACTIONS(1716),
    [anon_sym_register] = ACTIONS(1716),
    [anon_sym_inline] = ACTIONS(1716),
    [anon_sym___inline] = ACTIONS(1716),
    [anon_sym___inline__] = ACTIONS(1716),
    [anon_sym___forceinline] = ACTIONS(1716),
    [anon_sym_thread_local] = ACTIONS(1716),
    [anon_sym___thread] = ACTIONS(1716),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_constexpr] = ACTIONS(1716),
    [anon_sym_volatile] = ACTIONS(1716),
    [anon_sym_restrict] = ACTIONS(1716),
    [anon_sym___restrict__] = ACTIONS(1716),
    [anon_sym__Atomic] = ACTIONS(1716),
    [anon_sym__Noreturn] = ACTIONS(1716),
    [anon_sym_noreturn] = ACTIONS(1716),
    [anon_sym_alignas] = ACTIONS(1716),
    [anon_sym__Alignas] = ACTIONS(1716),
    [anon_sym_COLON] = ACTIONS(1735),
    [anon_sym_QMARK] = ACTIONS(1718),
    [anon_sym_STAR_EQ] = ACTIONS(1737),
    [anon_sym_SLASH_EQ] = ACTIONS(1737),
    [anon_sym_PERCENT_EQ] = ACTIONS(1737),
    [anon_sym_PLUS_EQ] = ACTIONS(1737),
    [anon_sym_DASH_EQ] = ACTIONS(1737),
    [anon_sym_LT_LT_EQ] = ACTIONS(1737),
    [anon_sym_GT_GT_EQ] = ACTIONS(1737),
    [anon_sym_AMP_EQ] = ACTIONS(1737),
    [anon_sym_CARET_EQ] = ACTIONS(1737),
    [anon_sym_PIPE_EQ] = ACTIONS(1737),
    [anon_sym_DASH_DASH] = ACTIONS(1718),
    [anon_sym_PLUS_PLUS] = ACTIONS(1718),
    [anon_sym_DOT] = ACTIONS(1718),
    [anon_sym_DASH_GT] = ACTIONS(1718),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_comment] = ACTIONS(3),
  },
  [410] = {
    [sym_string_literal] = STATE(616),
    [aux_sym_sized_type_specifier_repeat1] = STATE(782),
    [sym_identifier] = ACTIONS(1716),
    [anon_sym_LPAREN2] = ACTIONS(1720),
    [anon_sym_DASH] = ACTIONS(1724),
    [anon_sym_PLUS] = ACTIONS(1724),
    [anon_sym_STAR] = ACTIONS(1726),
    [anon_sym_SLASH] = ACTIONS(1724),
    [anon_sym_PERCENT] = ACTIONS(1724),
    [anon_sym_PIPE_PIPE] = ACTIONS(1718),
    [anon_sym_AMP_AMP] = ACTIONS(1718),
    [anon_sym_PIPE] = ACTIONS(1724),
    [anon_sym_CARET] = ACTIONS(1724),
    [anon_sym_AMP] = ACTIONS(1724),
    [anon_sym_EQ_EQ] = ACTIONS(1718),
    [anon_sym_BANG_EQ] = ACTIONS(1718),
    [anon_sym_GT] = ACTIONS(1724),
    [anon_sym_GT_EQ] = ACTIONS(1718),
    [anon_sym_LT_EQ] = ACTIONS(1718),
    [anon_sym_LT] = ACTIONS(1724),
    [anon_sym_LT_LT] = ACTIONS(1724),
    [anon_sym_GT_GT] = ACTIONS(1724),
    [anon_sym_SEMI] = ACTIONS(1762),
    [anon_sym___extension__] = ACTIONS(1716),
    [anon_sym_extern] = ACTIONS(1716),
    [anon_sym___attribute__] = ACTIONS(1716),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1729),
    [anon_sym___declspec] = ACTIONS(1716),
    [anon_sym___based] = ACTIONS(1716),
    [anon_sym___cdecl] = ACTIONS(1716),
    [anon_sym___clrcall] = ACTIONS(1716),
    [anon_sym___stdcall] = ACTIONS(1716),
    [anon_sym___fastcall] = ACTIONS(1716),
    [anon_sym___thiscall] = ACTIONS(1716),
    [anon_sym___vectorcall] = ACTIONS(1716),
    [anon_sym_signed] = ACTIONS(1731),
    [anon_sym_unsigned] = ACTIONS(1731),
    [anon_sym_long] = ACTIONS(1731),
    [anon_sym_short] = ACTIONS(1731),
    [anon_sym_LBRACK] = ACTIONS(1724),
    [anon_sym_static] = ACTIONS(1716),
    [anon_sym_EQ] = ACTIONS(1733),
    [anon_sym_auto] = ACTIONS(1716),
    [anon_sym_register] = ACTIONS(1716),
    [anon_sym_inline] = ACTIONS(1716),
    [anon_sym___inline] = ACTIONS(1716),
    [anon_sym___inline__] = ACTIONS(1716),
    [anon_sym___forceinline] = ACTIONS(1716),
    [anon_sym_thread_local] = ACTIONS(1716),
    [anon_sym___thread] = ACTIONS(1716),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_constexpr] = ACTIONS(1716),
    [anon_sym_volatile] = ACTIONS(1716),
    [anon_sym_restrict] = ACTIONS(1716),
    [anon_sym___restrict__] = ACTIONS(1716),
    [anon_sym__Atomic] = ACTIONS(1716),
    [anon_sym__Noreturn] = ACTIONS(1716),
    [anon_sym_noreturn] = ACTIONS(1716),
    [anon_sym_alignas] = ACTIONS(1716),
    [anon_sym__Alignas] = ACTIONS(1716),
    [anon_sym_COLON] = ACTIONS(1760),
    [anon_sym_QMARK] = ACTIONS(1718),
    [anon_sym_STAR_EQ] = ACTIONS(1737),
    [anon_sym_SLASH_EQ] = ACTIONS(1737),
    [anon_sym_PERCENT_EQ] = ACTIONS(1737),
    [anon_sym_PLUS_EQ] = ACTIONS(1737),
    [anon_sym_DASH_EQ] = ACTIONS(1737),
    [anon_sym_LT_LT_EQ] = ACTIONS(1737),
    [anon_sym_GT_GT_EQ] = ACTIONS(1737),
    [anon_sym_AMP_EQ] = ACTIONS(1737),
    [anon_sym_CARET_EQ] = ACTIONS(1737),
    [anon_sym_PIPE_EQ] = ACTIONS(1737),
    [anon_sym_DASH_DASH] = ACTIONS(1718),
    [anon_sym_PLUS_PLUS] = ACTIONS(1718),
    [anon_sym_DOT] = ACTIONS(1718),
    [anon_sym_DASH_GT] = ACTIONS(1718),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_comment] = ACTIONS(3),
  },
  [411] = {
    [sym_string_literal] = STATE(616),
    [aux_sym_sized_type_specifier_repeat1] = STATE(782),
    [sym_identifier] = ACTIONS(1716),
    [anon_sym_COMMA] = ACTIONS(1718),
    [anon_sym_LPAREN2] = ACTIONS(1720),
    [anon_sym_DASH] = ACTIONS(1724),
    [anon_sym_PLUS] = ACTIONS(1724),
    [anon_sym_STAR] = ACTIONS(1726),
    [anon_sym_SLASH] = ACTIONS(1724),
    [anon_sym_PERCENT] = ACTIONS(1724),
    [anon_sym_PIPE_PIPE] = ACTIONS(1718),
    [anon_sym_AMP_AMP] = ACTIONS(1718),
    [anon_sym_PIPE] = ACTIONS(1724),
    [anon_sym_CARET] = ACTIONS(1724),
    [anon_sym_AMP] = ACTIONS(1724),
    [anon_sym_EQ_EQ] = ACTIONS(1718),
    [anon_sym_BANG_EQ] = ACTIONS(1718),
    [anon_sym_GT] = ACTIONS(1724),
    [anon_sym_GT_EQ] = ACTIONS(1718),
    [anon_sym_LT_EQ] = ACTIONS(1718),
    [anon_sym_LT] = ACTIONS(1724),
    [anon_sym_LT_LT] = ACTIONS(1724),
    [anon_sym_GT_GT] = ACTIONS(1724),
    [anon_sym_SEMI] = ACTIONS(1718),
    [anon_sym___extension__] = ACTIONS(1716),
    [anon_sym_extern] = ACTIONS(1716),
    [anon_sym___attribute__] = ACTIONS(1716),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1729),
    [anon_sym___declspec] = ACTIONS(1716),
    [anon_sym___based] = ACTIONS(1716),
    [anon_sym___cdecl] = ACTIONS(1716),
    [anon_sym___clrcall] = ACTIONS(1716),
    [anon_sym___stdcall] = ACTIONS(1716),
    [anon_sym___fastcall] = ACTIONS(1716),
    [anon_sym___thiscall] = ACTIONS(1716),
    [anon_sym___vectorcall] = ACTIONS(1716),
    [anon_sym_signed] = ACTIONS(1731),
    [anon_sym_unsigned] = ACTIONS(1731),
    [anon_sym_long] = ACTIONS(1731),
    [anon_sym_short] = ACTIONS(1731),
    [anon_sym_LBRACK] = ACTIONS(1724),
    [anon_sym_static] = ACTIONS(1716),
    [anon_sym_EQ] = ACTIONS(1733),
    [anon_sym_auto] = ACTIONS(1716),
    [anon_sym_register] = ACTIONS(1716),
    [anon_sym_inline] = ACTIONS(1716),
    [anon_sym___inline] = ACTIONS(1716),
    [anon_sym___inline__] = ACTIONS(1716),
    [anon_sym___forceinline] = ACTIONS(1716),
    [anon_sym_thread_local] = ACTIONS(1716),
    [anon_sym___thread] = ACTIONS(1716),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_constexpr] = ACTIONS(1716),
    [anon_sym_volatile] = ACTIONS(1716),
    [anon_sym_restrict] = ACTIONS(1716),
    [anon_sym___restrict__] = ACTIONS(1716),
    [anon_sym__Atomic] = ACTIONS(1716),
    [anon_sym__Noreturn] = ACTIONS(1716),
    [anon_sym_noreturn] = ACTIONS(1716),
    [anon_sym_alignas] = ACTIONS(1716),
    [anon_sym__Alignas] = ACTIONS(1716),
    [anon_sym_QMARK] = ACTIONS(1718),
    [anon_sym_STAR_EQ] = ACTIONS(1737),
    [anon_sym_SLASH_EQ] = ACTIONS(1737),
    [anon_sym_PERCENT_EQ] = ACTIONS(1737),
    [anon_sym_PLUS_EQ] = ACTIONS(1737),
    [anon_sym_DASH_EQ] = ACTIONS(1737),
    [anon_sym_LT_LT_EQ] = ACTIONS(1737),
    [anon_sym_GT_GT_EQ] = ACTIONS(1737),
    [anon_sym_AMP_EQ] = ACTIONS(1737),
    [anon_sym_CARET_EQ] = ACTIONS(1737),
    [anon_sym_PIPE_EQ] = ACTIONS(1737),
    [anon_sym_DASH_DASH] = ACTIONS(1718),
    [anon_sym_PLUS_PLUS] = ACTIONS(1718),
    [anon_sym_DOT] = ACTIONS(1718),
    [anon_sym_DASH_GT] = ACTIONS(1718),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_comment] = ACTIONS(3),
  },
  [412] = {
    [sym_expression] = STATE(838),
    [sym__string] = STATE(672),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(891),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(891),
    [sym_call_expression] = STATE(891),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(891),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(891),
    [sym_initializer_list] = STATE(676),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [sym_identifier] = ACTIONS(1765),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1377),
    [anon_sym_LPAREN2] = ACTIONS(1377),
    [anon_sym_BANG] = ACTIONS(1767),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_PLUS] = ACTIONS(1383),
    [anon_sym_STAR] = ACTIONS(1377),
    [anon_sym_SLASH] = ACTIONS(1383),
    [anon_sym_PERCENT] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1377),
    [anon_sym_AMP_AMP] = ACTIONS(1377),
    [anon_sym_PIPE] = ACTIONS(1383),
    [anon_sym_CARET] = ACTIONS(1377),
    [anon_sym_AMP] = ACTIONS(1383),
    [anon_sym_EQ_EQ] = ACTIONS(1377),
    [anon_sym_BANG_EQ] = ACTIONS(1377),
    [anon_sym_GT] = ACTIONS(1383),
    [anon_sym_GT_EQ] = ACTIONS(1377),
    [anon_sym_LT_EQ] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1383),
    [anon_sym_LT_LT] = ACTIONS(1377),
    [anon_sym_GT_GT] = ACTIONS(1377),
    [anon_sym_LBRACE] = ACTIONS(1385),
    [anon_sym_LBRACK] = ACTIONS(1377),
    [anon_sym_RBRACK] = ACTIONS(1377),
    [anon_sym_QMARK] = ACTIONS(1377),
    [anon_sym_DASH_DASH] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1377),
    [anon_sym_sizeof] = ACTIONS(1771),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(1383),
    [anon_sym_DASH_GT] = ACTIONS(1377),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [413] = {
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1139),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(698),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_ms_based_modifier] = STATE(1827),
    [sym_ms_call_modifier] = STATE(1231),
    [sym__declarator] = STATE(1386),
    [sym__abstract_declarator] = STATE(1517),
    [sym_parenthesized_declarator] = STATE(1322),
    [sym_abstract_parenthesized_declarator] = STATE(1442),
    [sym_attributed_declarator] = STATE(1322),
    [sym_pointer_declarator] = STATE(1322),
    [sym_abstract_pointer_declarator] = STATE(1442),
    [sym_function_declarator] = STATE(1322),
    [sym_abstract_function_declarator] = STATE(1442),
    [sym_array_declarator] = STATE(1322),
    [sym_abstract_array_declarator] = STATE(1442),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(716),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_variadic_parameter] = STATE(1530),
    [sym_parameter_list] = STATE(1443),
    [sym_parameter_declaration] = STATE(1530),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(1773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1775),
    [anon_sym_RPAREN] = ACTIONS(1777),
    [anon_sym_LPAREN2] = ACTIONS(1779),
    [anon_sym_STAR] = ACTIONS(1781),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1115),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___based] = ACTIONS(1783),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1785),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [sym_comment] = ACTIONS(3),
  },
  [414] = {
    [sym_type_qualifier] = STATE(422),
    [sym_alignas_qualifier] = STATE(700),
    [sym_expression] = STATE(1053),
    [sym__string] = STATE(672),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(891),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(891),
    [sym_call_expression] = STATE(891),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(891),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(891),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [aux_sym_array_declarator_repeat1] = STATE(422),
    [sym_identifier] = ACTIONS(1765),
    [anon_sym_LPAREN2] = ACTIONS(1787),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1767),
    [anon_sym_PLUS] = ACTIONS(1767),
    [anon_sym_STAR] = ACTIONS(1789),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym___extension__] = ACTIONS(1793),
    [anon_sym_static] = ACTIONS(1795),
    [anon_sym_RBRACK] = ACTIONS(1797),
    [anon_sym_const] = ACTIONS(1793),
    [anon_sym_constexpr] = ACTIONS(1793),
    [anon_sym_volatile] = ACTIONS(1793),
    [anon_sym_restrict] = ACTIONS(1793),
    [anon_sym___restrict__] = ACTIONS(1793),
    [anon_sym__Atomic] = ACTIONS(1793),
    [anon_sym__Noreturn] = ACTIONS(1793),
    [anon_sym_noreturn] = ACTIONS(1793),
    [anon_sym_alignas] = ACTIONS(1799),
    [anon_sym__Alignas] = ACTIONS(1799),
    [anon_sym_DASH_DASH] = ACTIONS(1801),
    [anon_sym_PLUS_PLUS] = ACTIONS(1801),
    [anon_sym_sizeof] = ACTIONS(1771),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [415] = {
    [sym_type_qualifier] = STATE(658),
    [sym_alignas_qualifier] = STATE(700),
    [sym_expression] = STATE(1070),
    [sym__string] = STATE(672),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(891),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(891),
    [sym_call_expression] = STATE(891),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(891),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(891),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [aux_sym_array_declarator_repeat1] = STATE(658),
    [sym_identifier] = ACTIONS(1765),
    [anon_sym_LPAREN2] = ACTIONS(1787),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1767),
    [anon_sym_PLUS] = ACTIONS(1767),
    [anon_sym_STAR] = ACTIONS(1803),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym___extension__] = ACTIONS(1793),
    [anon_sym_static] = ACTIONS(1805),
    [anon_sym_RBRACK] = ACTIONS(1807),
    [anon_sym_const] = ACTIONS(1793),
    [anon_sym_constexpr] = ACTIONS(1793),
    [anon_sym_volatile] = ACTIONS(1793),
    [anon_sym_restrict] = ACTIONS(1793),
    [anon_sym___restrict__] = ACTIONS(1793),
    [anon_sym__Atomic] = ACTIONS(1793),
    [anon_sym__Noreturn] = ACTIONS(1793),
    [anon_sym_noreturn] = ACTIONS(1793),
    [anon_sym_alignas] = ACTIONS(1799),
    [anon_sym__Alignas] = ACTIONS(1799),
    [anon_sym_DASH_DASH] = ACTIONS(1801),
    [anon_sym_PLUS_PLUS] = ACTIONS(1801),
    [anon_sym_sizeof] = ACTIONS(1771),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [416] = {
    [sym_type_qualifier] = STATE(418),
    [sym_alignas_qualifier] = STATE(700),
    [sym_expression] = STATE(1072),
    [sym__string] = STATE(672),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(891),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(891),
    [sym_call_expression] = STATE(891),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(891),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(891),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [aux_sym_array_declarator_repeat1] = STATE(418),
    [sym_identifier] = ACTIONS(1765),
    [anon_sym_LPAREN2] = ACTIONS(1787),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1767),
    [anon_sym_PLUS] = ACTIONS(1767),
    [anon_sym_STAR] = ACTIONS(1809),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym___extension__] = ACTIONS(1793),
    [anon_sym_static] = ACTIONS(1811),
    [anon_sym_RBRACK] = ACTIONS(1813),
    [anon_sym_const] = ACTIONS(1793),
    [anon_sym_constexpr] = ACTIONS(1793),
    [anon_sym_volatile] = ACTIONS(1793),
    [anon_sym_restrict] = ACTIONS(1793),
    [anon_sym___restrict__] = ACTIONS(1793),
    [anon_sym__Atomic] = ACTIONS(1793),
    [anon_sym__Noreturn] = ACTIONS(1793),
    [anon_sym_noreturn] = ACTIONS(1793),
    [anon_sym_alignas] = ACTIONS(1799),
    [anon_sym__Alignas] = ACTIONS(1799),
    [anon_sym_DASH_DASH] = ACTIONS(1801),
    [anon_sym_PLUS_PLUS] = ACTIONS(1801),
    [anon_sym_sizeof] = ACTIONS(1771),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [417] = {
    [sym_type_qualifier] = STATE(419),
    [sym_alignas_qualifier] = STATE(700),
    [sym_expression] = STATE(1064),
    [sym__string] = STATE(672),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(891),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(891),
    [sym_call_expression] = STATE(891),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(891),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(891),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [aux_sym_array_declarator_repeat1] = STATE(419),
    [sym_identifier] = ACTIONS(1765),
    [anon_sym_LPAREN2] = ACTIONS(1787),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1767),
    [anon_sym_PLUS] = ACTIONS(1767),
    [anon_sym_STAR] = ACTIONS(1815),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym___extension__] = ACTIONS(1793),
    [anon_sym_static] = ACTIONS(1817),
    [anon_sym_RBRACK] = ACTIONS(1819),
    [anon_sym_const] = ACTIONS(1793),
    [anon_sym_constexpr] = ACTIONS(1793),
    [anon_sym_volatile] = ACTIONS(1793),
    [anon_sym_restrict] = ACTIONS(1793),
    [anon_sym___restrict__] = ACTIONS(1793),
    [anon_sym__Atomic] = ACTIONS(1793),
    [anon_sym__Noreturn] = ACTIONS(1793),
    [anon_sym_noreturn] = ACTIONS(1793),
    [anon_sym_alignas] = ACTIONS(1799),
    [anon_sym__Alignas] = ACTIONS(1799),
    [anon_sym_DASH_DASH] = ACTIONS(1801),
    [anon_sym_PLUS_PLUS] = ACTIONS(1801),
    [anon_sym_sizeof] = ACTIONS(1771),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [418] = {
    [sym_type_qualifier] = STATE(658),
    [sym_alignas_qualifier] = STATE(700),
    [sym_expression] = STATE(1054),
    [sym__string] = STATE(672),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(891),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(891),
    [sym_call_expression] = STATE(891),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(891),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(891),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [aux_sym_array_declarator_repeat1] = STATE(658),
    [sym_identifier] = ACTIONS(1765),
    [anon_sym_LPAREN2] = ACTIONS(1787),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1767),
    [anon_sym_PLUS] = ACTIONS(1767),
    [anon_sym_STAR] = ACTIONS(1821),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym___extension__] = ACTIONS(1793),
    [anon_sym_static] = ACTIONS(1805),
    [anon_sym_RBRACK] = ACTIONS(1823),
    [anon_sym_const] = ACTIONS(1793),
    [anon_sym_constexpr] = ACTIONS(1793),
    [anon_sym_volatile] = ACTIONS(1793),
    [anon_sym_restrict] = ACTIONS(1793),
    [anon_sym___restrict__] = ACTIONS(1793),
    [anon_sym__Atomic] = ACTIONS(1793),
    [anon_sym__Noreturn] = ACTIONS(1793),
    [anon_sym_noreturn] = ACTIONS(1793),
    [anon_sym_alignas] = ACTIONS(1799),
    [anon_sym__Alignas] = ACTIONS(1799),
    [anon_sym_DASH_DASH] = ACTIONS(1801),
    [anon_sym_PLUS_PLUS] = ACTIONS(1801),
    [anon_sym_sizeof] = ACTIONS(1771),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [419] = {
    [sym_type_qualifier] = STATE(658),
    [sym_alignas_qualifier] = STATE(700),
    [sym_expression] = STATE(1063),
    [sym__string] = STATE(672),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(891),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(891),
    [sym_call_expression] = STATE(891),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(891),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(891),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [aux_sym_array_declarator_repeat1] = STATE(658),
    [sym_identifier] = ACTIONS(1765),
    [anon_sym_LPAREN2] = ACTIONS(1787),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1767),
    [anon_sym_PLUS] = ACTIONS(1767),
    [anon_sym_STAR] = ACTIONS(1825),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym___extension__] = ACTIONS(1793),
    [anon_sym_static] = ACTIONS(1805),
    [anon_sym_RBRACK] = ACTIONS(1827),
    [anon_sym_const] = ACTIONS(1793),
    [anon_sym_constexpr] = ACTIONS(1793),
    [anon_sym_volatile] = ACTIONS(1793),
    [anon_sym_restrict] = ACTIONS(1793),
    [anon_sym___restrict__] = ACTIONS(1793),
    [anon_sym__Atomic] = ACTIONS(1793),
    [anon_sym__Noreturn] = ACTIONS(1793),
    [anon_sym_noreturn] = ACTIONS(1793),
    [anon_sym_alignas] = ACTIONS(1799),
    [anon_sym__Alignas] = ACTIONS(1799),
    [anon_sym_DASH_DASH] = ACTIONS(1801),
    [anon_sym_PLUS_PLUS] = ACTIONS(1801),
    [anon_sym_sizeof] = ACTIONS(1771),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [420] = {
    [sym_type_qualifier] = STATE(421),
    [sym_alignas_qualifier] = STATE(700),
    [sym_expression] = STATE(1061),
    [sym__string] = STATE(672),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(891),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(891),
    [sym_call_expression] = STATE(891),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(891),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(891),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [aux_sym_array_declarator_repeat1] = STATE(421),
    [sym_identifier] = ACTIONS(1765),
    [anon_sym_LPAREN2] = ACTIONS(1787),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1767),
    [anon_sym_PLUS] = ACTIONS(1767),
    [anon_sym_STAR] = ACTIONS(1829),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym___extension__] = ACTIONS(1793),
    [anon_sym_static] = ACTIONS(1831),
    [anon_sym_RBRACK] = ACTIONS(1833),
    [anon_sym_const] = ACTIONS(1793),
    [anon_sym_constexpr] = ACTIONS(1793),
    [anon_sym_volatile] = ACTIONS(1793),
    [anon_sym_restrict] = ACTIONS(1793),
    [anon_sym___restrict__] = ACTIONS(1793),
    [anon_sym__Atomic] = ACTIONS(1793),
    [anon_sym__Noreturn] = ACTIONS(1793),
    [anon_sym_noreturn] = ACTIONS(1793),
    [anon_sym_alignas] = ACTIONS(1799),
    [anon_sym__Alignas] = ACTIONS(1799),
    [anon_sym_DASH_DASH] = ACTIONS(1801),
    [anon_sym_PLUS_PLUS] = ACTIONS(1801),
    [anon_sym_sizeof] = ACTIONS(1771),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [421] = {
    [sym_type_qualifier] = STATE(658),
    [sym_alignas_qualifier] = STATE(700),
    [sym_expression] = STATE(1059),
    [sym__string] = STATE(672),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(891),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(891),
    [sym_call_expression] = STATE(891),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(891),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(891),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [aux_sym_array_declarator_repeat1] = STATE(658),
    [sym_identifier] = ACTIONS(1765),
    [anon_sym_LPAREN2] = ACTIONS(1787),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1767),
    [anon_sym_PLUS] = ACTIONS(1767),
    [anon_sym_STAR] = ACTIONS(1835),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym___extension__] = ACTIONS(1793),
    [anon_sym_static] = ACTIONS(1805),
    [anon_sym_RBRACK] = ACTIONS(1837),
    [anon_sym_const] = ACTIONS(1793),
    [anon_sym_constexpr] = ACTIONS(1793),
    [anon_sym_volatile] = ACTIONS(1793),
    [anon_sym_restrict] = ACTIONS(1793),
    [anon_sym___restrict__] = ACTIONS(1793),
    [anon_sym__Atomic] = ACTIONS(1793),
    [anon_sym__Noreturn] = ACTIONS(1793),
    [anon_sym_noreturn] = ACTIONS(1793),
    [anon_sym_alignas] = ACTIONS(1799),
    [anon_sym__Alignas] = ACTIONS(1799),
    [anon_sym_DASH_DASH] = ACTIONS(1801),
    [anon_sym_PLUS_PLUS] = ACTIONS(1801),
    [anon_sym_sizeof] = ACTIONS(1771),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [422] = {
    [sym_type_qualifier] = STATE(658),
    [sym_alignas_qualifier] = STATE(700),
    [sym_expression] = STATE(1052),
    [sym__string] = STATE(672),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(891),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(891),
    [sym_call_expression] = STATE(891),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(891),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(891),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [aux_sym_array_declarator_repeat1] = STATE(658),
    [sym_identifier] = ACTIONS(1765),
    [anon_sym_LPAREN2] = ACTIONS(1787),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1767),
    [anon_sym_PLUS] = ACTIONS(1767),
    [anon_sym_STAR] = ACTIONS(1839),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym___extension__] = ACTIONS(1793),
    [anon_sym_static] = ACTIONS(1805),
    [anon_sym_RBRACK] = ACTIONS(1841),
    [anon_sym_const] = ACTIONS(1793),
    [anon_sym_constexpr] = ACTIONS(1793),
    [anon_sym_volatile] = ACTIONS(1793),
    [anon_sym_restrict] = ACTIONS(1793),
    [anon_sym___restrict__] = ACTIONS(1793),
    [anon_sym__Atomic] = ACTIONS(1793),
    [anon_sym__Noreturn] = ACTIONS(1793),
    [anon_sym_noreturn] = ACTIONS(1793),
    [anon_sym_alignas] = ACTIONS(1799),
    [anon_sym__Alignas] = ACTIONS(1799),
    [anon_sym_DASH_DASH] = ACTIONS(1801),
    [anon_sym_PLUS_PLUS] = ACTIONS(1801),
    [anon_sym_sizeof] = ACTIONS(1771),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [423] = {
    [sym_type_qualifier] = STATE(415),
    [sym_alignas_qualifier] = STATE(700),
    [sym_expression] = STATE(1067),
    [sym__string] = STATE(672),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(891),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(891),
    [sym_call_expression] = STATE(891),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(891),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(891),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [aux_sym_array_declarator_repeat1] = STATE(415),
    [sym_identifier] = ACTIONS(1765),
    [anon_sym_LPAREN2] = ACTIONS(1787),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1767),
    [anon_sym_PLUS] = ACTIONS(1767),
    [anon_sym_STAR] = ACTIONS(1843),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym___extension__] = ACTIONS(1793),
    [anon_sym_static] = ACTIONS(1845),
    [anon_sym_RBRACK] = ACTIONS(1847),
    [anon_sym_const] = ACTIONS(1793),
    [anon_sym_constexpr] = ACTIONS(1793),
    [anon_sym_volatile] = ACTIONS(1793),
    [anon_sym_restrict] = ACTIONS(1793),
    [anon_sym___restrict__] = ACTIONS(1793),
    [anon_sym__Atomic] = ACTIONS(1793),
    [anon_sym__Noreturn] = ACTIONS(1793),
    [anon_sym_noreturn] = ACTIONS(1793),
    [anon_sym_alignas] = ACTIONS(1799),
    [anon_sym__Alignas] = ACTIONS(1799),
    [anon_sym_DASH_DASH] = ACTIONS(1801),
    [anon_sym_PLUS_PLUS] = ACTIONS(1801),
    [anon_sym_sizeof] = ACTIONS(1771),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [424] = {
    [sym_preproc_def] = STATE(439),
    [sym_preproc_function_def] = STATE(439),
    [sym_preproc_call] = STATE(439),
    [sym_preproc_if_in_field_declaration_list] = STATE(439),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(439),
    [sym_preproc_else_in_field_declaration_list] = STATE(1887),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1887),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(1887),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1256),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(698),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(716),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym__field_declaration_list_item] = STATE(439),
    [sym_field_declaration] = STATE(439),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(439),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(1849),
    [aux_sym_preproc_def_token1] = ACTIONS(1851),
    [aux_sym_preproc_if_token1] = ACTIONS(1853),
    [aux_sym_preproc_if_token2] = ACTIONS(1855),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1857),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1857),
    [aux_sym_preproc_else_token1] = ACTIONS(1859),
    [aux_sym_preproc_elif_token1] = ACTIONS(1861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1863),
    [sym_preproc_directive] = ACTIONS(1865),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1115),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [sym_comment] = ACTIONS(3),
  },
  [425] = {
    [sym_preproc_def] = STATE(444),
    [sym_preproc_function_def] = STATE(444),
    [sym_preproc_call] = STATE(444),
    [sym_preproc_if_in_field_declaration_list] = STATE(444),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(444),
    [sym_preproc_else_in_field_declaration_list] = STATE(1795),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1795),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(1795),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1256),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(698),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(716),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym__field_declaration_list_item] = STATE(444),
    [sym_field_declaration] = STATE(444),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(444),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(1849),
    [aux_sym_preproc_def_token1] = ACTIONS(1851),
    [aux_sym_preproc_if_token1] = ACTIONS(1853),
    [aux_sym_preproc_if_token2] = ACTIONS(1867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1857),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1857),
    [aux_sym_preproc_else_token1] = ACTIONS(1859),
    [aux_sym_preproc_elif_token1] = ACTIONS(1861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1863),
    [sym_preproc_directive] = ACTIONS(1865),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1115),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [sym_comment] = ACTIONS(3),
  },
  [426] = {
    [sym_preproc_def] = STATE(444),
    [sym_preproc_function_def] = STATE(444),
    [sym_preproc_call] = STATE(444),
    [sym_preproc_if_in_field_declaration_list] = STATE(444),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(444),
    [sym_preproc_else_in_field_declaration_list] = STATE(1905),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1905),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(1905),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1256),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(698),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(716),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym__field_declaration_list_item] = STATE(444),
    [sym_field_declaration] = STATE(444),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(444),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(1849),
    [aux_sym_preproc_def_token1] = ACTIONS(1851),
    [aux_sym_preproc_if_token1] = ACTIONS(1853),
    [aux_sym_preproc_if_token2] = ACTIONS(1869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1857),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1857),
    [aux_sym_preproc_else_token1] = ACTIONS(1859),
    [aux_sym_preproc_elif_token1] = ACTIONS(1861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1863),
    [sym_preproc_directive] = ACTIONS(1865),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1115),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [sym_comment] = ACTIONS(3),
  },
  [427] = {
    [sym_preproc_def] = STATE(444),
    [sym_preproc_function_def] = STATE(444),
    [sym_preproc_call] = STATE(444),
    [sym_preproc_if_in_field_declaration_list] = STATE(444),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(444),
    [sym_preproc_else_in_field_declaration_list] = STATE(1926),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1926),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(1926),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1256),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(698),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(716),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym__field_declaration_list_item] = STATE(444),
    [sym_field_declaration] = STATE(444),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(444),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(1849),
    [aux_sym_preproc_def_token1] = ACTIONS(1851),
    [aux_sym_preproc_if_token1] = ACTIONS(1853),
    [aux_sym_preproc_if_token2] = ACTIONS(1871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1857),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1857),
    [aux_sym_preproc_else_token1] = ACTIONS(1859),
    [aux_sym_preproc_elif_token1] = ACTIONS(1861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1863),
    [sym_preproc_directive] = ACTIONS(1865),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1115),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [sym_comment] = ACTIONS(3),
  },
  [428] = {
    [sym_preproc_def] = STATE(425),
    [sym_preproc_function_def] = STATE(425),
    [sym_preproc_call] = STATE(425),
    [sym_preproc_if_in_field_declaration_list] = STATE(425),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(425),
    [sym_preproc_else_in_field_declaration_list] = STATE(1745),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1745),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(1745),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1256),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(698),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(716),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym__field_declaration_list_item] = STATE(425),
    [sym_field_declaration] = STATE(425),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(425),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(1849),
    [aux_sym_preproc_def_token1] = ACTIONS(1851),
    [aux_sym_preproc_if_token1] = ACTIONS(1853),
    [aux_sym_preproc_if_token2] = ACTIONS(1873),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1857),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1857),
    [aux_sym_preproc_else_token1] = ACTIONS(1859),
    [aux_sym_preproc_elif_token1] = ACTIONS(1861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1863),
    [sym_preproc_directive] = ACTIONS(1865),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1115),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [sym_comment] = ACTIONS(3),
  },
  [429] = {
    [sym_preproc_def] = STATE(430),
    [sym_preproc_function_def] = STATE(430),
    [sym_preproc_call] = STATE(430),
    [sym_preproc_if_in_field_declaration_list] = STATE(430),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(430),
    [sym_preproc_else_in_field_declaration_list] = STATE(1883),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1883),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(1883),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1256),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(698),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(716),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym__field_declaration_list_item] = STATE(430),
    [sym_field_declaration] = STATE(430),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(430),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(1849),
    [aux_sym_preproc_def_token1] = ACTIONS(1851),
    [aux_sym_preproc_if_token1] = ACTIONS(1853),
    [aux_sym_preproc_if_token2] = ACTIONS(1875),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1857),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1857),
    [aux_sym_preproc_else_token1] = ACTIONS(1859),
    [aux_sym_preproc_elif_token1] = ACTIONS(1861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1863),
    [sym_preproc_directive] = ACTIONS(1865),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1115),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [sym_comment] = ACTIONS(3),
  },
  [430] = {
    [sym_preproc_def] = STATE(444),
    [sym_preproc_function_def] = STATE(444),
    [sym_preproc_call] = STATE(444),
    [sym_preproc_if_in_field_declaration_list] = STATE(444),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(444),
    [sym_preproc_else_in_field_declaration_list] = STATE(1867),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1867),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(1867),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1256),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(698),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(716),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym__field_declaration_list_item] = STATE(444),
    [sym_field_declaration] = STATE(444),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(444),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(1849),
    [aux_sym_preproc_def_token1] = ACTIONS(1851),
    [aux_sym_preproc_if_token1] = ACTIONS(1853),
    [aux_sym_preproc_if_token2] = ACTIONS(1877),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1857),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1857),
    [aux_sym_preproc_else_token1] = ACTIONS(1859),
    [aux_sym_preproc_elif_token1] = ACTIONS(1861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1863),
    [sym_preproc_directive] = ACTIONS(1865),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1115),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [sym_comment] = ACTIONS(3),
  },
  [431] = {
    [sym_preproc_def] = STATE(427),
    [sym_preproc_function_def] = STATE(427),
    [sym_preproc_call] = STATE(427),
    [sym_preproc_if_in_field_declaration_list] = STATE(427),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(427),
    [sym_preproc_else_in_field_declaration_list] = STATE(1904),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1904),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(1904),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1256),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(698),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(716),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym__field_declaration_list_item] = STATE(427),
    [sym_field_declaration] = STATE(427),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(427),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(1849),
    [aux_sym_preproc_def_token1] = ACTIONS(1851),
    [aux_sym_preproc_if_token1] = ACTIONS(1853),
    [aux_sym_preproc_if_token2] = ACTIONS(1879),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1857),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1857),
    [aux_sym_preproc_else_token1] = ACTIONS(1859),
    [aux_sym_preproc_elif_token1] = ACTIONS(1861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1863),
    [sym_preproc_directive] = ACTIONS(1865),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1115),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [sym_comment] = ACTIONS(3),
  },
  [432] = {
    [sym_preproc_def] = STATE(436),
    [sym_preproc_function_def] = STATE(436),
    [sym_preproc_call] = STATE(436),
    [sym_preproc_if_in_field_declaration_list] = STATE(436),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(436),
    [sym_preproc_else_in_field_declaration_list] = STATE(1884),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1884),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(1884),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1256),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(698),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(716),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym__field_declaration_list_item] = STATE(436),
    [sym_field_declaration] = STATE(436),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(436),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(1849),
    [aux_sym_preproc_def_token1] = ACTIONS(1851),
    [aux_sym_preproc_if_token1] = ACTIONS(1853),
    [aux_sym_preproc_if_token2] = ACTIONS(1881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1857),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1857),
    [aux_sym_preproc_else_token1] = ACTIONS(1859),
    [aux_sym_preproc_elif_token1] = ACTIONS(1861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1863),
    [sym_preproc_directive] = ACTIONS(1865),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1115),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [sym_comment] = ACTIONS(3),
  },
  [433] = {
    [sym_preproc_def] = STATE(444),
    [sym_preproc_function_def] = STATE(444),
    [sym_preproc_call] = STATE(444),
    [sym_preproc_if_in_field_declaration_list] = STATE(444),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(444),
    [sym_preproc_else_in_field_declaration_list] = STATE(1870),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1870),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(1870),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1256),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(698),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(716),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym__field_declaration_list_item] = STATE(444),
    [sym_field_declaration] = STATE(444),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(444),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(1849),
    [aux_sym_preproc_def_token1] = ACTIONS(1851),
    [aux_sym_preproc_if_token1] = ACTIONS(1853),
    [aux_sym_preproc_if_token2] = ACTIONS(1883),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1857),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1857),
    [aux_sym_preproc_else_token1] = ACTIONS(1859),
    [aux_sym_preproc_elif_token1] = ACTIONS(1861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1863),
    [sym_preproc_directive] = ACTIONS(1865),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1115),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [sym_comment] = ACTIONS(3),
  },
  [434] = {
    [sym_preproc_def] = STATE(433),
    [sym_preproc_function_def] = STATE(433),
    [sym_preproc_call] = STATE(433),
    [sym_preproc_if_in_field_declaration_list] = STATE(433),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(433),
    [sym_preproc_else_in_field_declaration_list] = STATE(1900),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1900),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(1900),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1256),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(698),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(716),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym__field_declaration_list_item] = STATE(433),
    [sym_field_declaration] = STATE(433),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(433),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(1849),
    [aux_sym_preproc_def_token1] = ACTIONS(1851),
    [aux_sym_preproc_if_token1] = ACTIONS(1853),
    [aux_sym_preproc_if_token2] = ACTIONS(1885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1857),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1857),
    [aux_sym_preproc_else_token1] = ACTIONS(1859),
    [aux_sym_preproc_elif_token1] = ACTIONS(1861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1863),
    [sym_preproc_directive] = ACTIONS(1865),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1115),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [sym_comment] = ACTIONS(3),
  },
  [435] = {
    [sym_preproc_def] = STATE(426),
    [sym_preproc_function_def] = STATE(426),
    [sym_preproc_call] = STATE(426),
    [sym_preproc_if_in_field_declaration_list] = STATE(426),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(426),
    [sym_preproc_else_in_field_declaration_list] = STATE(1869),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1869),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(1869),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1256),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(698),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(716),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym__field_declaration_list_item] = STATE(426),
    [sym_field_declaration] = STATE(426),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(426),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(1849),
    [aux_sym_preproc_def_token1] = ACTIONS(1851),
    [aux_sym_preproc_if_token1] = ACTIONS(1853),
    [aux_sym_preproc_if_token2] = ACTIONS(1887),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1857),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1857),
    [aux_sym_preproc_else_token1] = ACTIONS(1859),
    [aux_sym_preproc_elif_token1] = ACTIONS(1861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1863),
    [sym_preproc_directive] = ACTIONS(1865),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1115),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [sym_comment] = ACTIONS(3),
  },
  [436] = {
    [sym_preproc_def] = STATE(444),
    [sym_preproc_function_def] = STATE(444),
    [sym_preproc_call] = STATE(444),
    [sym_preproc_if_in_field_declaration_list] = STATE(444),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(444),
    [sym_preproc_else_in_field_declaration_list] = STATE(1865),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1865),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(1865),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1256),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(698),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(716),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym__field_declaration_list_item] = STATE(444),
    [sym_field_declaration] = STATE(444),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(444),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(1849),
    [aux_sym_preproc_def_token1] = ACTIONS(1851),
    [aux_sym_preproc_if_token1] = ACTIONS(1853),
    [aux_sym_preproc_if_token2] = ACTIONS(1889),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1857),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1857),
    [aux_sym_preproc_else_token1] = ACTIONS(1859),
    [aux_sym_preproc_elif_token1] = ACTIONS(1861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1863),
    [sym_preproc_directive] = ACTIONS(1865),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1115),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [sym_comment] = ACTIONS(3),
  },
  [437] = {
    [sym_preproc_def] = STATE(444),
    [sym_preproc_function_def] = STATE(444),
    [sym_preproc_call] = STATE(444),
    [sym_preproc_if_in_field_declaration_list] = STATE(444),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(444),
    [sym_preproc_else_in_field_declaration_list] = STATE(1868),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1868),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(1868),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1256),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(698),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(716),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym__field_declaration_list_item] = STATE(444),
    [sym_field_declaration] = STATE(444),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(444),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(1849),
    [aux_sym_preproc_def_token1] = ACTIONS(1851),
    [aux_sym_preproc_if_token1] = ACTIONS(1853),
    [aux_sym_preproc_if_token2] = ACTIONS(1891),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1857),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1857),
    [aux_sym_preproc_else_token1] = ACTIONS(1859),
    [aux_sym_preproc_elif_token1] = ACTIONS(1861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1863),
    [sym_preproc_directive] = ACTIONS(1865),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1115),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [sym_comment] = ACTIONS(3),
  },
  [438] = {
    [sym_preproc_def] = STATE(437),
    [sym_preproc_function_def] = STATE(437),
    [sym_preproc_call] = STATE(437),
    [sym_preproc_if_in_field_declaration_list] = STATE(437),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(437),
    [sym_preproc_else_in_field_declaration_list] = STATE(1780),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1780),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(1780),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1256),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(698),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(716),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym__field_declaration_list_item] = STATE(437),
    [sym_field_declaration] = STATE(437),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(437),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(1849),
    [aux_sym_preproc_def_token1] = ACTIONS(1851),
    [aux_sym_preproc_if_token1] = ACTIONS(1853),
    [aux_sym_preproc_if_token2] = ACTIONS(1893),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1857),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1857),
    [aux_sym_preproc_else_token1] = ACTIONS(1859),
    [aux_sym_preproc_elif_token1] = ACTIONS(1861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1863),
    [sym_preproc_directive] = ACTIONS(1865),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1115),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [sym_comment] = ACTIONS(3),
  },
  [439] = {
    [sym_preproc_def] = STATE(444),
    [sym_preproc_function_def] = STATE(444),
    [sym_preproc_call] = STATE(444),
    [sym_preproc_if_in_field_declaration_list] = STATE(444),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(444),
    [sym_preproc_else_in_field_declaration_list] = STATE(1881),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1881),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(1881),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1256),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(698),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(716),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym__field_declaration_list_item] = STATE(444),
    [sym_field_declaration] = STATE(444),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(444),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(1849),
    [aux_sym_preproc_def_token1] = ACTIONS(1851),
    [aux_sym_preproc_if_token1] = ACTIONS(1853),
    [aux_sym_preproc_if_token2] = ACTIONS(1895),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1857),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1857),
    [aux_sym_preproc_else_token1] = ACTIONS(1859),
    [aux_sym_preproc_elif_token1] = ACTIONS(1861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1863),
    [sym_preproc_directive] = ACTIONS(1865),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1115),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [sym_comment] = ACTIONS(3),
  },
  [440] = {
    [sym_expression] = STATE(993),
    [sym__string] = STATE(672),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_initializer_list] = STATE(1618),
    [sym_initializer_pair] = STATE(1618),
    [sym_subscript_designator] = STATE(1387),
    [sym_subscript_range_designator] = STATE(1387),
    [sym_field_designator] = STATE(1387),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [aux_sym_initializer_pair_repeat1] = STATE(1387),
    [sym_identifier] = ACTIONS(1897),
    [anon_sym_COMMA] = ACTIONS(1899),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(1385),
    [anon_sym_RBRACE] = ACTIONS(1901),
    [anon_sym_LBRACK] = ACTIONS(1903),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(1905),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [441] = {
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1139),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(698),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_ms_call_modifier] = STATE(1340),
    [sym__abstract_declarator] = STATE(1517),
    [sym_abstract_parenthesized_declarator] = STATE(1442),
    [sym_abstract_pointer_declarator] = STATE(1442),
    [sym_abstract_function_declarator] = STATE(1442),
    [sym_abstract_array_declarator] = STATE(1442),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(716),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym_variadic_parameter] = STATE(1530),
    [sym_parameter_list] = STATE(1443),
    [sym_parameter_declaration] = STATE(1530),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(1849),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1775),
    [anon_sym_RPAREN] = ACTIONS(1777),
    [anon_sym_LPAREN2] = ACTIONS(1907),
    [anon_sym_STAR] = ACTIONS(1909),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1115),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(1785),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [anon_sym_alignas] = ACTIONS(49),
    [anon_sym__Alignas] = ACTIONS(49),
    [sym_primitive_type] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_struct] = ACTIONS(55),
    [anon_sym_union] = ACTIONS(57),
    [sym_comment] = ACTIONS(3),
  },
  [442] = {
    [sym_expression] = STATE(1008),
    [sym__string] = STATE(672),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_initializer_list] = STATE(1643),
    [sym_initializer_pair] = STATE(1643),
    [sym_subscript_designator] = STATE(1387),
    [sym_subscript_range_designator] = STATE(1387),
    [sym_field_designator] = STATE(1387),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [aux_sym_initializer_pair_repeat1] = STATE(1387),
    [sym_identifier] = ACTIONS(1897),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(1385),
    [anon_sym_RBRACE] = ACTIONS(1911),
    [anon_sym_LBRACK] = ACTIONS(1903),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(1905),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [443] = {
    [sym_expression] = STATE(1008),
    [sym__string] = STATE(672),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_initializer_list] = STATE(1643),
    [sym_initializer_pair] = STATE(1643),
    [sym_subscript_designator] = STATE(1387),
    [sym_subscript_range_designator] = STATE(1387),
    [sym_field_designator] = STATE(1387),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [aux_sym_initializer_pair_repeat1] = STATE(1387),
    [sym_identifier] = ACTIONS(1897),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(1385),
    [anon_sym_RBRACE] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(1903),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(1905),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [444] = {
    [sym_preproc_def] = STATE(444),
    [sym_preproc_function_def] = STATE(444),
    [sym_preproc_call] = STATE(444),
    [sym_preproc_if_in_field_declaration_list] = STATE(444),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(444),
    [sym__declaration_modifiers] = STATE(698),
    [sym__declaration_specifiers] = STATE(1256),
    [sym_attribute_specifier] = STATE(698),
    [sym_attribute_declaration] = STATE(698),
    [sym_ms_declspec_modifier] = STATE(698),
    [sym_storage_class_specifier] = STATE(698),
    [sym_type_qualifier] = STATE(698),
    [sym_alignas_qualifier] = STATE(708),
    [sym_type_specifier] = STATE(716),
    [sym_sized_type_specifier] = STATE(771),
    [sym_enum_specifier] = STATE(771),
    [sym_struct_specifier] = STATE(771),
    [sym_union_specifier] = STATE(771),
    [sym__field_declaration_list_item] = STATE(444),
    [sym_field_declaration] = STATE(444),
    [sym_macro_type_specifier] = STATE(771),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(444),
    [aux_sym__declaration_specifiers_repeat1] = STATE(698),
    [aux_sym_sized_type_specifier_repeat1] = STATE(773),
    [sym_identifier] = ACTIONS(1915),
    [aux_sym_preproc_def_token1] = ACTIONS(1918),
    [aux_sym_preproc_if_token1] = ACTIONS(1921),
    [aux_sym_preproc_if_token2] = ACTIONS(1924),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1926),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1926),
    [aux_sym_preproc_else_token1] = ACTIONS(1924),
    [aux_sym_preproc_elif_token1] = ACTIONS(1924),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1924),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1924),
    [sym_preproc_directive] = ACTIONS(1929),
    [anon_sym___extension__] = ACTIONS(1932),
    [anon_sym_extern] = ACTIONS(1935),
    [anon_sym___attribute__] = ACTIONS(1938),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1941),
    [anon_sym___declspec] = ACTIONS(1944),
    [anon_sym_signed] = ACTIONS(1947),
    [anon_sym_unsigned] = ACTIONS(1947),
    [anon_sym_long] = ACTIONS(1947),
    [anon_sym_short] = ACTIONS(1947),
    [anon_sym_static] = ACTIONS(1935),
    [anon_sym_auto] = ACTIONS(1935),
    [anon_sym_register] = ACTIONS(1935),
    [anon_sym_inline] = ACTIONS(1935),
    [anon_sym___inline] = ACTIONS(1935),
    [anon_sym___inline__] = ACTIONS(1935),
    [anon_sym___forceinline] = ACTIONS(1935),
    [anon_sym_thread_local] = ACTIONS(1935),
    [anon_sym___thread] = ACTIONS(1935),
    [anon_sym_const] = ACTIONS(1932),
    [anon_sym_constexpr] = ACTIONS(1932),
    [anon_sym_volatile] = ACTIONS(1932),
    [anon_sym_restrict] = ACTIONS(1932),
    [anon_sym___restrict__] = ACTIONS(1932),
    [anon_sym__Atomic] = ACTIONS(1932),
    [anon_sym__Noreturn] = ACTIONS(1932),
    [anon_sym_noreturn] = ACTIONS(1932),
    [anon_sym_alignas] = ACTIONS(1950),
    [anon_sym__Alignas] = ACTIONS(1950),
    [sym_primitive_type] = ACTIONS(1953),
    [anon_sym_enum] = ACTIONS(1956),
    [anon_sym_struct] = ACTIONS(1959),
    [anon_sym_union] = ACTIONS(1962),
    [sym_comment] = ACTIONS(3),
  },
  [445] = {
    [sym_expression] = STATE(1008),
    [sym__string] = STATE(672),
    [sym_conditional_expression] = STATE(672),
    [sym_assignment_expression] = STATE(672),
    [sym_pointer_expression] = STATE(820),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_update_expression] = STATE(672),
    [sym_cast_expression] = STATE(672),
    [sym_sizeof_expression] = STATE(672),
    [sym_alignof_expression] = STATE(672),
    [sym_offsetof_expression] = STATE(672),
    [sym_generic_expression] = STATE(672),
    [sym_subscript_expression] = STATE(820),
    [sym_call_expression] = STATE(820),
    [sym_gnu_asm_expression] = STATE(672),
    [sym_field_expression] = STATE(820),
    [sym_compound_literal_expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(820),
    [sym_initializer_list] = STATE(1643),
    [sym_initializer_pair] = STATE(1643),
    [sym_subscript_designator] = STATE(1387),
    [sym_subscript_range_designator] = STATE(1387),
    [sym_field_designator] = STATE(1387),
    [sym_char_literal] = STATE(672),
    [sym_concatenated_string] = STATE(672),
    [sym_string_literal] = STATE(659),
    [sym_null] = STATE(672),
    [aux_sym_initializer_pair_repeat1] = STATE(1387),
    [sym_identifier] = ACTIONS(1897),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(1385),
    [anon_sym_LBRACK] = ACTIONS(1903),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_sizeof] = ACTIONS(83),
    [anon_sym___alignof__] = ACTIONS(85),
    [anon_sym___alignof] = ACTIONS(85),
    [anon_sym__alignof] = ACTIONS(85),
    [anon_sym_alignof] = ACTIONS(85),
    [anon_sym__Alignof] = ACTIONS(85),
    [anon_sym_offsetof] = ACTIONS(87),
    [anon_sym__Generic] = ACTIONS(89),
    [anon_sym_asm] = ACTIONS(91),
    [anon_sym___asm__] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(1905),
    [sym_number_literal] = ACTIONS(159),
    [anon_sym_L_SQUOTE] = ACTIONS(95),
    [anon_sym_u_SQUOTE] = ACTIONS(95),
    [anon_sym_U_SQUOTE] = ACTIONS(95),
    [anon_sym_u8_SQUOTE] = ACTIONS(95),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [anon_sym_L_DQUOTE] = ACTIONS(97),
    [anon_sym_u_DQUOTE] = ACTIONS(97),
    [anon_sym_U_DQUOTE] = ACTIONS(97),
    [anon_sym_u8_DQUOTE] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(97),
    [sym_true] = ACTIONS(161),
    [sym_false] = ACTIONS(161),
    [anon_sym_NULL] = ACTIONS(101),
    [anon_sym_nullptr] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    ACTIONS(1965), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(1967), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(1971), 1,
      sym_preproc_directive,
    ACTIONS(1973), 1,
      anon_sym_RBRACE,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(716), 1,
      sym_type_specifier,
    STATE(773), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1247), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(1969), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(771), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(698), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    STATE(450), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [115] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(1977), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(1979), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(1983), 1,
      sym_preproc_directive,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(716), 1,
      sym_type_specifier,
    STATE(773), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1253), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(1981), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(771), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(698), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    STATE(449), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [230] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1915), 1,
      sym_identifier,
    ACTIONS(1924), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(1938), 1,
      anon_sym___attribute__,
    ACTIONS(1941), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1944), 1,
      anon_sym___declspec,
    ACTIONS(1953), 1,
      sym_primitive_type,
    ACTIONS(1956), 1,
      anon_sym_enum,
    ACTIONS(1959), 1,
      anon_sym_struct,
    ACTIONS(1962), 1,
      anon_sym_union,
    ACTIONS(1985), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(1988), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(1994), 1,
      sym_preproc_directive,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(716), 1,
      sym_type_specifier,
    STATE(773), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1253), 1,
      sym__declaration_specifiers,
    ACTIONS(1950), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(1991), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(1947), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(771), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(698), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    STATE(448), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
    ACTIONS(1932), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(1935), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [345] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    ACTIONS(1975), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(1977), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(1983), 1,
      sym_preproc_directive,
    ACTIONS(1997), 1,
      aux_sym_preproc_if_token2,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(716), 1,
      sym_type_specifier,
    STATE(773), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1253), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(1981), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(771), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(698), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    STATE(448), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [460] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1915), 1,
      sym_identifier,
    ACTIONS(1938), 1,
      anon_sym___attribute__,
    ACTIONS(1941), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1944), 1,
      anon_sym___declspec,
    ACTIONS(1953), 1,
      sym_primitive_type,
    ACTIONS(1956), 1,
      anon_sym_enum,
    ACTIONS(1959), 1,
      anon_sym_struct,
    ACTIONS(1962), 1,
      anon_sym_union,
    ACTIONS(1999), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(2002), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(2008), 1,
      sym_preproc_directive,
    ACTIONS(2011), 1,
      anon_sym_RBRACE,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(716), 1,
      sym_type_specifier,
    STATE(773), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1247), 1,
      sym__declaration_specifiers,
    ACTIONS(1950), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2005), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(1947), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(771), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(698), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    STATE(450), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
    ACTIONS(1932), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(1935), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [575] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    ACTIONS(1965), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(1967), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(1971), 1,
      sym_preproc_directive,
    ACTIONS(2013), 1,
      anon_sym_RBRACE,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(716), 1,
      sym_type_specifier,
    STATE(773), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1247), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(1969), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(771), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(698), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    STATE(446), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [690] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1706), 1,
      sym_identifier,
    ACTIONS(2015), 1,
      anon_sym_RPAREN,
    ACTIONS(2017), 1,
      anon_sym___extension__,
    STATE(659), 1,
      sym_string_literal,
    STATE(995), 1,
      sym_expression,
    STATE(1545), 1,
      sym_compound_statement,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [804] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1706), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      anon_sym_RPAREN,
    ACTIONS(2021), 1,
      anon_sym___extension__,
    STATE(659), 1,
      sym_string_literal,
    STATE(997), 1,
      sym_expression,
    STATE(1528), 1,
      sym_compound_statement,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [918] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1706), 1,
      sym_identifier,
    ACTIONS(2023), 1,
      anon_sym___extension__,
    STATE(659), 1,
      sym_string_literal,
    STATE(1047), 1,
      sym_expression,
    STATE(1707), 1,
      sym_compound_statement,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1029] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1706), 1,
      sym_identifier,
    ACTIONS(2025), 1,
      anon_sym_RPAREN,
    STATE(659), 1,
      sym_string_literal,
    STATE(1028), 1,
      sym_expression,
    STATE(1808), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1137] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1706), 1,
      sym_identifier,
    ACTIONS(2027), 1,
      anon_sym_SEMI,
    STATE(659), 1,
      sym_string_literal,
    STATE(1002), 1,
      sym_expression,
    STATE(1748), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1245] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1706), 1,
      sym_identifier,
    ACTIONS(2029), 1,
      anon_sym_COLON,
    STATE(659), 1,
      sym_string_literal,
    STATE(1046), 1,
      sym_expression,
    STATE(1963), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1353] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1706), 1,
      sym_identifier,
    ACTIONS(2031), 1,
      anon_sym_SEMI,
    STATE(659), 1,
      sym_string_literal,
    STATE(1017), 1,
      sym_expression,
    STATE(1831), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1461] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1375), 1,
      sym_identifier,
    ACTIONS(1385), 1,
      anon_sym_LBRACE,
    ACTIONS(1387), 1,
      anon_sym_sizeof,
    ACTIONS(2033), 1,
      anon_sym_LPAREN2,
    STATE(659), 1,
      sym_string_literal,
    STATE(676), 1,
      sym_initializer_list,
    STATE(680), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1379), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1381), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2035), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(668), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1569] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1706), 1,
      sym_identifier,
    ACTIONS(2037), 1,
      anon_sym_SEMI,
    STATE(659), 1,
      sym_string_literal,
    STATE(1011), 1,
      sym_expression,
    STATE(1849), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1677] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1706), 1,
      sym_identifier,
    ACTIONS(2039), 1,
      anon_sym_COLON,
    STATE(659), 1,
      sym_string_literal,
    STATE(1020), 1,
      sym_expression,
    STATE(1968), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1785] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1706), 1,
      sym_identifier,
    ACTIONS(2041), 1,
      anon_sym_SEMI,
    STATE(659), 1,
      sym_string_literal,
    STATE(1018), 1,
      sym_expression,
    STATE(1840), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1893] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1385), 1,
      anon_sym_LBRACE,
    ACTIONS(1712), 1,
      anon_sym_sizeof,
    ACTIONS(2043), 1,
      sym_identifier,
    ACTIONS(2045), 1,
      anon_sym_LPAREN2,
    STATE(676), 1,
      sym_initializer_list,
    STATE(679), 1,
      sym_string_literal,
    STATE(680), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1708), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1710), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2047), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2049), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(793), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2001] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    ACTIONS(2051), 1,
      anon_sym_LBRACE,
    STATE(692), 1,
      sym_ms_call_modifier,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(716), 1,
      sym_type_specifier,
    STATE(773), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1120), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(259), 3,
      sym_function_definition,
      sym_declaration,
      sym_declaration_list,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(771), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(698), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [2109] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1706), 1,
      sym_identifier,
    ACTIONS(2053), 1,
      anon_sym_SEMI,
    STATE(659), 1,
      sym_string_literal,
    STATE(1034), 1,
      sym_expression,
    STATE(1789), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2217] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1706), 1,
      sym_identifier,
    ACTIONS(2055), 1,
      anon_sym_COLON,
    STATE(659), 1,
      sym_string_literal,
    STATE(1005), 1,
      sym_expression,
    STATE(1851), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2325] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1706), 1,
      sym_identifier,
    ACTIONS(2057), 1,
      anon_sym_RPAREN,
    STATE(659), 1,
      sym_string_literal,
    STATE(1024), 1,
      sym_expression,
    STATE(1844), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2433] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1706), 1,
      sym_identifier,
    ACTIONS(2059), 1,
      anon_sym_RPAREN,
    STATE(659), 1,
      sym_string_literal,
    STATE(1039), 1,
      sym_expression,
    STATE(1872), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2541] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1375), 1,
      sym_identifier,
    ACTIONS(1385), 1,
      anon_sym_LBRACE,
    ACTIONS(1690), 1,
      anon_sym_sizeof,
    ACTIONS(2061), 1,
      anon_sym_LPAREN2,
    STATE(659), 1,
      sym_string_literal,
    STATE(676), 1,
      sym_initializer_list,
    STATE(838), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1688), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2063), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(668), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2649] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    ACTIONS(2065), 1,
      anon_sym_LBRACE,
    STATE(693), 1,
      sym_ms_call_modifier,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(716), 1,
      sym_type_specifier,
    STATE(773), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1106), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(115), 3,
      sym_function_definition,
      sym_declaration,
      sym_declaration_list,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(771), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(698), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [2757] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    ACTIONS(2067), 1,
      anon_sym_LBRACE,
    STATE(678), 1,
      sym_ms_call_modifier,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(716), 1,
      sym_type_specifier,
    STATE(773), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1118), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(370), 3,
      sym_function_definition,
      sym_declaration,
      sym_declaration_list,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(771), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(698), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [2865] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1706), 1,
      sym_identifier,
    ACTIONS(2069), 1,
      anon_sym_COLON,
    STATE(659), 1,
      sym_string_literal,
    STATE(1023), 1,
      sym_expression,
    STATE(1788), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2973] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1706), 1,
      sym_identifier,
    ACTIONS(2071), 1,
      anon_sym_RPAREN,
    STATE(659), 1,
      sym_string_literal,
    STATE(1032), 1,
      sym_expression,
    STATE(1847), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3081] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1385), 1,
      anon_sym_LBRACE,
    ACTIONS(1706), 1,
      sym_identifier,
    STATE(659), 1,
      sym_string_literal,
    STATE(1007), 1,
      sym_expression,
    STATE(1684), 1,
      sym_initializer_list,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3189] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1706), 1,
      sym_identifier,
    ACTIONS(2073), 1,
      anon_sym_SEMI,
    STATE(659), 1,
      sym_string_literal,
    STATE(1013), 1,
      sym_expression,
    STATE(1837), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3297] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1706), 1,
      sym_identifier,
    ACTIONS(2075), 1,
      anon_sym_COLON,
    STATE(659), 1,
      sym_string_literal,
    STATE(1035), 1,
      sym_expression,
    STATE(1956), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3405] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1385), 1,
      anon_sym_LBRACE,
    ACTIONS(1706), 1,
      sym_identifier,
    STATE(659), 1,
      sym_string_literal,
    STATE(1027), 1,
      sym_expression,
    STATE(1725), 1,
      sym_initializer_list,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3513] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1385), 1,
      anon_sym_LBRACE,
    ACTIONS(1706), 1,
      sym_identifier,
    STATE(659), 1,
      sym_string_literal,
    STATE(1010), 1,
      sym_expression,
    STATE(1687), 1,
      sym_initializer_list,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3621] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1706), 1,
      sym_identifier,
    ACTIONS(2077), 1,
      anon_sym_SEMI,
    STATE(659), 1,
      sym_string_literal,
    STATE(1033), 1,
      sym_expression,
    STATE(1752), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3729] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1706), 1,
      sym_identifier,
    ACTIONS(2079), 1,
      anon_sym_RPAREN,
    STATE(659), 1,
      sym_string_literal,
    STATE(1025), 1,
      sym_expression,
    STATE(1809), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3837] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1385), 1,
      anon_sym_LBRACE,
    ACTIONS(1765), 1,
      sym_identifier,
    ACTIONS(1771), 1,
      anon_sym_sizeof,
    ACTIONS(1787), 1,
      anon_sym_LPAREN2,
    STATE(659), 1,
      sym_string_literal,
    STATE(676), 1,
      sym_initializer_list,
    STATE(838), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1801), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(891), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3945] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1706), 1,
      sym_identifier,
    ACTIONS(2081), 1,
      anon_sym_RPAREN,
    STATE(659), 1,
      sym_string_literal,
    STATE(1022), 1,
      sym_expression,
    STATE(1814), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4053] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1385), 1,
      anon_sym_LBRACE,
    ACTIONS(1706), 1,
      sym_identifier,
    STATE(659), 1,
      sym_string_literal,
    STATE(676), 1,
      sym_initializer_list,
    STATE(680), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4161] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1706), 1,
      sym_identifier,
    ACTIONS(2083), 1,
      anon_sym_COLON,
    STATE(659), 1,
      sym_string_literal,
    STATE(1041), 1,
      sym_expression,
    STATE(1874), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4269] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_const,
    ACTIONS(1720), 1,
      anon_sym_LPAREN2,
    ACTIONS(1726), 1,
      anon_sym_STAR,
    ACTIONS(1733), 1,
      anon_sym_EQ,
    STATE(616), 1,
      sym_string_literal,
    STATE(782), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(1741), 2,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
    ACTIONS(2085), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1729), 10,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(1737), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1724), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1718), 12,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [4359] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    ACTIONS(2087), 1,
      anon_sym_LBRACE,
    STATE(696), 1,
      sym_ms_call_modifier,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(716), 1,
      sym_type_specifier,
    STATE(773), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1125), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(309), 3,
      sym_function_definition,
      sym_declaration,
      sym_declaration_list,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(771), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(698), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [4467] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1375), 1,
      sym_identifier,
    ACTIONS(1385), 1,
      anon_sym_LBRACE,
    ACTIONS(1393), 1,
      anon_sym_sizeof,
    ACTIONS(2089), 1,
      anon_sym_LPAREN2,
    STATE(676), 1,
      sym_initializer_list,
    STATE(679), 1,
      sym_string_literal,
    STATE(680), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1389), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1391), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2047), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2091), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(668), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4575] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1706), 1,
      sym_identifier,
    STATE(659), 1,
      sym_string_literal,
    STATE(992), 1,
      sym_expression,
    STATE(1523), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4680] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1375), 1,
      sym_identifier,
    ACTIONS(1690), 1,
      anon_sym_sizeof,
    ACTIONS(2061), 1,
      anon_sym_LPAREN2,
    ACTIONS(2093), 1,
      anon_sym_RBRACK,
    STATE(659), 1,
      sym_string_literal,
    STATE(870), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1688), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2063), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(668), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4785] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1375), 1,
      sym_identifier,
    ACTIONS(1690), 1,
      anon_sym_sizeof,
    ACTIONS(2061), 1,
      anon_sym_LPAREN2,
    ACTIONS(2095), 1,
      anon_sym_RBRACK,
    STATE(659), 1,
      sym_string_literal,
    STATE(870), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1688), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2063), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(668), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4890] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1375), 1,
      sym_identifier,
    ACTIONS(1690), 1,
      anon_sym_sizeof,
    ACTIONS(2061), 1,
      anon_sym_LPAREN2,
    ACTIONS(2097), 1,
      anon_sym_RBRACK,
    STATE(659), 1,
      sym_string_literal,
    STATE(870), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1688), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2063), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(668), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4995] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1375), 1,
      sym_identifier,
    ACTIONS(1690), 1,
      anon_sym_sizeof,
    ACTIONS(2061), 1,
      anon_sym_LPAREN2,
    ACTIONS(2099), 1,
      anon_sym_RBRACK,
    STATE(659), 1,
      sym_string_literal,
    STATE(870), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1688), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2063), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(668), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5100] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1375), 1,
      sym_identifier,
    ACTIONS(1690), 1,
      anon_sym_sizeof,
    ACTIONS(2061), 1,
      anon_sym_LPAREN2,
    ACTIONS(2101), 1,
      anon_sym_RBRACK,
    STATE(659), 1,
      sym_string_literal,
    STATE(870), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1688), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2063), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(668), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5205] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1375), 1,
      sym_identifier,
    ACTIONS(1690), 1,
      anon_sym_sizeof,
    ACTIONS(2061), 1,
      anon_sym_LPAREN2,
    ACTIONS(2103), 1,
      anon_sym_RBRACK,
    STATE(659), 1,
      sym_string_literal,
    STATE(870), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1688), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2063), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(668), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5310] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1375), 1,
      sym_identifier,
    ACTIONS(1690), 1,
      anon_sym_sizeof,
    ACTIONS(2061), 1,
      anon_sym_LPAREN2,
    ACTIONS(2105), 1,
      anon_sym_RBRACK,
    STATE(659), 1,
      sym_string_literal,
    STATE(870), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1688), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2063), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(668), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5415] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1375), 1,
      sym_identifier,
    ACTIONS(1690), 1,
      anon_sym_sizeof,
    ACTIONS(2061), 1,
      anon_sym_LPAREN2,
    ACTIONS(2107), 1,
      anon_sym_RBRACK,
    STATE(659), 1,
      sym_string_literal,
    STATE(870), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1688), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2063), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(668), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5520] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1375), 1,
      sym_identifier,
    ACTIONS(1690), 1,
      anon_sym_sizeof,
    ACTIONS(2061), 1,
      anon_sym_LPAREN2,
    ACTIONS(2109), 1,
      anon_sym_RBRACK,
    STATE(659), 1,
      sym_string_literal,
    STATE(870), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1688), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2063), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(668), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5625] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1375), 1,
      sym_identifier,
    ACTIONS(1690), 1,
      anon_sym_sizeof,
    ACTIONS(2061), 1,
      anon_sym_LPAREN2,
    ACTIONS(2111), 1,
      anon_sym_RBRACK,
    STATE(659), 1,
      sym_string_literal,
    STATE(870), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1688), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2063), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(668), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5730] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1706), 1,
      sym_identifier,
    STATE(659), 1,
      sym_string_literal,
    STATE(1044), 1,
      sym_expression,
    STATE(1879), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5835] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1706), 1,
      sym_identifier,
    STATE(659), 1,
      sym_string_literal,
    STATE(1021), 1,
      sym_expression,
    STATE(1820), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5940] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1765), 1,
      sym_identifier,
    ACTIONS(1771), 1,
      anon_sym_sizeof,
    ACTIONS(1787), 1,
      anon_sym_LPAREN2,
    STATE(659), 1,
      sym_string_literal,
    STATE(1048), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1801), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(891), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6042] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1765), 1,
      sym_identifier,
    ACTIONS(1771), 1,
      anon_sym_sizeof,
    ACTIONS(1787), 1,
      anon_sym_LPAREN2,
    STATE(659), 1,
      sym_string_literal,
    STATE(1068), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1801), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(891), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6144] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      anon_sym_sizeof,
    ACTIONS(2043), 1,
      sym_identifier,
    ACTIONS(2045), 1,
      anon_sym_LPAREN2,
    STATE(679), 1,
      sym_string_literal,
    STATE(945), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1708), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1710), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2047), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2049), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(793), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6246] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      anon_sym_sizeof,
    ACTIONS(2043), 1,
      sym_identifier,
    ACTIONS(2045), 1,
      anon_sym_LPAREN2,
    STATE(679), 1,
      sym_string_literal,
    STATE(685), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1708), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1710), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2047), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2049), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(793), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6348] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      anon_sym_sizeof,
    ACTIONS(2043), 1,
      sym_identifier,
    ACTIONS(2045), 1,
      anon_sym_LPAREN2,
    STATE(679), 1,
      sym_string_literal,
    STATE(946), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1708), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1710), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2047), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2049), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(793), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6450] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1375), 1,
      sym_identifier,
    ACTIONS(1393), 1,
      anon_sym_sizeof,
    ACTIONS(2089), 1,
      anon_sym_LPAREN2,
    STATE(679), 1,
      sym_string_literal,
    STATE(778), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1389), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1391), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2047), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2091), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(668), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6552] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1375), 1,
      sym_identifier,
    ACTIONS(1393), 1,
      anon_sym_sizeof,
    ACTIONS(2089), 1,
      anon_sym_LPAREN2,
    STATE(679), 1,
      sym_string_literal,
    STATE(757), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1389), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1391), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2047), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2091), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(668), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6654] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1706), 1,
      sym_identifier,
    STATE(659), 1,
      sym_string_literal,
    STATE(959), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6756] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1375), 1,
      sym_identifier,
    ACTIONS(1690), 1,
      anon_sym_sizeof,
    ACTIONS(2061), 1,
      anon_sym_LPAREN2,
    STATE(659), 1,
      sym_string_literal,
    STATE(870), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1688), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2063), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(668), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6858] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1765), 1,
      sym_identifier,
    ACTIONS(1771), 1,
      anon_sym_sizeof,
    ACTIONS(1787), 1,
      anon_sym_LPAREN2,
    STATE(659), 1,
      sym_string_literal,
    STATE(1016), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1801), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(891), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6960] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      anon_sym_sizeof,
    ACTIONS(2043), 1,
      sym_identifier,
    ACTIONS(2045), 1,
      anon_sym_LPAREN2,
    STATE(679), 1,
      sym_string_literal,
    STATE(941), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1708), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1710), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2047), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2049), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(793), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7062] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1765), 1,
      sym_identifier,
    ACTIONS(1771), 1,
      anon_sym_sizeof,
    ACTIONS(1787), 1,
      anon_sym_LPAREN2,
    STATE(659), 1,
      sym_string_literal,
    STATE(871), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1801), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(891), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7164] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1706), 1,
      sym_identifier,
    STATE(659), 1,
      sym_string_literal,
    STATE(956), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7266] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1706), 1,
      sym_identifier,
    STATE(659), 1,
      sym_string_literal,
    STATE(1069), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7368] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1375), 1,
      sym_identifier,
    ACTIONS(1387), 1,
      anon_sym_sizeof,
    ACTIONS(2033), 1,
      anon_sym_LPAREN2,
    STATE(659), 1,
      sym_string_literal,
    STATE(800), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1379), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1381), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2035), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(668), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7470] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1706), 1,
      sym_identifier,
    STATE(659), 1,
      sym_string_literal,
    STATE(685), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7572] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1375), 1,
      sym_identifier,
    ACTIONS(1393), 1,
      anon_sym_sizeof,
    ACTIONS(2113), 1,
      anon_sym_LPAREN2,
    STATE(679), 1,
      sym_string_literal,
    STATE(686), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1389), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1391), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2047), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2091), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(668), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7674] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1375), 1,
      sym_identifier,
    ACTIONS(1387), 1,
      anon_sym_sizeof,
    ACTIONS(2033), 1,
      anon_sym_LPAREN2,
    STATE(659), 1,
      sym_string_literal,
    STATE(818), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1379), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1381), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2035), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(668), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7776] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1706), 1,
      sym_identifier,
    STATE(659), 1,
      sym_string_literal,
    STATE(1015), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7878] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1375), 1,
      sym_identifier,
    ACTIONS(1393), 1,
      anon_sym_sizeof,
    ACTIONS(2089), 1,
      anon_sym_LPAREN2,
    STATE(679), 1,
      sym_string_literal,
    STATE(684), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1389), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1391), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2047), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2091), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(668), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7980] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1375), 1,
      sym_identifier,
    ACTIONS(1393), 1,
      anon_sym_sizeof,
    ACTIONS(2089), 1,
      anon_sym_LPAREN2,
    STATE(679), 1,
      sym_string_literal,
    STATE(758), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1389), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1391), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2047), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2091), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(668), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8082] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1706), 1,
      sym_identifier,
    STATE(659), 1,
      sym_string_literal,
    STATE(955), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8184] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1375), 1,
      sym_identifier,
    ACTIONS(1393), 1,
      anon_sym_sizeof,
    ACTIONS(2089), 1,
      anon_sym_LPAREN2,
    STATE(679), 1,
      sym_string_literal,
    STATE(760), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1389), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1391), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2047), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2091), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(668), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8286] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1765), 1,
      sym_identifier,
    ACTIONS(1771), 1,
      anon_sym_sizeof,
    ACTIONS(1787), 1,
      anon_sym_LPAREN2,
    STATE(659), 1,
      sym_string_literal,
    STATE(1043), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1801), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(891), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8388] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1375), 1,
      sym_identifier,
    ACTIONS(1387), 1,
      anon_sym_sizeof,
    ACTIONS(2115), 1,
      anon_sym_LPAREN2,
    STATE(659), 1,
      sym_string_literal,
    STATE(686), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1379), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1381), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2035), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(668), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8490] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1375), 1,
      sym_identifier,
    ACTIONS(1387), 1,
      anon_sym_sizeof,
    ACTIONS(2033), 1,
      anon_sym_LPAREN2,
    STATE(659), 1,
      sym_string_literal,
    STATE(684), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1379), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1381), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2035), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(668), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8592] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      anon_sym_sizeof,
    ACTIONS(2043), 1,
      sym_identifier,
    ACTIONS(2045), 1,
      anon_sym_LPAREN2,
    STATE(679), 1,
      sym_string_literal,
    STATE(936), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1708), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1710), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2047), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2049), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(793), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8694] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1375), 1,
      sym_identifier,
    ACTIONS(1393), 1,
      anon_sym_sizeof,
    ACTIONS(2089), 1,
      anon_sym_LPAREN2,
    STATE(679), 1,
      sym_string_literal,
    STATE(695), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1389), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1391), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2047), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2091), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(668), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8796] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1375), 1,
      sym_identifier,
    ACTIONS(1387), 1,
      anon_sym_sizeof,
    ACTIONS(2033), 1,
      anon_sym_LPAREN2,
    STATE(659), 1,
      sym_string_literal,
    STATE(689), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1379), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1381), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2035), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(668), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8898] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1706), 1,
      sym_identifier,
    STATE(659), 1,
      sym_string_literal,
    STATE(1057), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9000] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1706), 1,
      sym_identifier,
    STATE(659), 1,
      sym_string_literal,
    STATE(1066), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9102] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1765), 1,
      sym_identifier,
    ACTIONS(1771), 1,
      anon_sym_sizeof,
    ACTIONS(1787), 1,
      anon_sym_LPAREN2,
    STATE(659), 1,
      sym_string_literal,
    STATE(1012), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1801), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(891), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9204] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1706), 1,
      sym_identifier,
    STATE(659), 1,
      sym_string_literal,
    STATE(1055), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9306] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1706), 1,
      sym_identifier,
    STATE(659), 1,
      sym_string_literal,
    STATE(1065), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9408] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      anon_sym_sizeof,
    ACTIONS(2043), 1,
      sym_identifier,
    ACTIONS(2045), 1,
      anon_sym_LPAREN2,
    STATE(679), 1,
      sym_string_literal,
    STATE(950), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1708), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1710), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2047), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2049), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(793), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9510] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1375), 1,
      sym_identifier,
    ACTIONS(1393), 1,
      anon_sym_sizeof,
    ACTIONS(2089), 1,
      anon_sym_LPAREN2,
    STATE(679), 1,
      sym_string_literal,
    STATE(754), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1389), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1391), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2047), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2091), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(668), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9612] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1765), 1,
      sym_identifier,
    ACTIONS(1771), 1,
      anon_sym_sizeof,
    ACTIONS(1787), 1,
      anon_sym_LPAREN2,
    STATE(659), 1,
      sym_string_literal,
    STATE(841), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1801), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(891), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9714] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1375), 1,
      sym_identifier,
    ACTIONS(1387), 1,
      anon_sym_sizeof,
    ACTIONS(2033), 1,
      anon_sym_LPAREN2,
    STATE(659), 1,
      sym_string_literal,
    STATE(685), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1379), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1381), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2035), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(668), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9816] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1706), 1,
      sym_identifier,
    STATE(659), 1,
      sym_string_literal,
    STATE(998), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9918] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1375), 1,
      sym_identifier,
    ACTIONS(1393), 1,
      anon_sym_sizeof,
    ACTIONS(2089), 1,
      anon_sym_LPAREN2,
    STATE(679), 1,
      sym_string_literal,
    STATE(685), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1389), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1391), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2047), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2091), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(668), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10020] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1375), 1,
      sym_identifier,
    ACTIONS(1387), 1,
      anon_sym_sizeof,
    ACTIONS(2033), 1,
      anon_sym_LPAREN2,
    STATE(659), 1,
      sym_string_literal,
    STATE(815), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1379), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1381), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2035), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(668), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10122] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1375), 1,
      sym_identifier,
    ACTIONS(1393), 1,
      anon_sym_sizeof,
    ACTIONS(2089), 1,
      anon_sym_LPAREN2,
    STATE(679), 1,
      sym_string_literal,
    STATE(748), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1389), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1391), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2047), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2091), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(668), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10224] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1375), 1,
      sym_identifier,
    ACTIONS(1387), 1,
      anon_sym_sizeof,
    ACTIONS(2033), 1,
      anon_sym_LPAREN2,
    STATE(659), 1,
      sym_string_literal,
    STATE(802), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1379), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1381), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2035), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(668), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10326] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      anon_sym_sizeof,
    ACTIONS(2043), 1,
      sym_identifier,
    ACTIONS(2045), 1,
      anon_sym_LPAREN2,
    STATE(679), 1,
      sym_string_literal,
    STATE(942), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1708), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1710), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2047), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2049), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(793), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10428] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1706), 1,
      sym_identifier,
    STATE(659), 1,
      sym_string_literal,
    STATE(689), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10530] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1375), 1,
      sym_identifier,
    ACTIONS(1393), 1,
      anon_sym_sizeof,
    ACTIONS(2089), 1,
      anon_sym_LPAREN2,
    STATE(679), 1,
      sym_string_literal,
    STATE(689), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1389), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1391), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2047), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2091), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(668), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10632] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1375), 1,
      sym_identifier,
    ACTIONS(1387), 1,
      anon_sym_sizeof,
    ACTIONS(2033), 1,
      anon_sym_LPAREN2,
    STATE(659), 1,
      sym_string_literal,
    STATE(695), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1379), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1381), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2035), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(668), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10734] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1375), 1,
      sym_identifier,
    ACTIONS(1393), 1,
      anon_sym_sizeof,
    ACTIONS(2089), 1,
      anon_sym_LPAREN2,
    STATE(679), 1,
      sym_string_literal,
    STATE(765), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1389), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1391), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2047), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2091), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(668), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10836] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1765), 1,
      sym_identifier,
    ACTIONS(1771), 1,
      anon_sym_sizeof,
    ACTIONS(1787), 1,
      anon_sym_LPAREN2,
    STATE(659), 1,
      sym_string_literal,
    STATE(888), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1801), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(891), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10938] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1765), 1,
      sym_identifier,
    ACTIONS(1771), 1,
      anon_sym_sizeof,
    ACTIONS(2117), 1,
      anon_sym_LPAREN2,
    STATE(659), 1,
      sym_string_literal,
    STATE(830), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1801), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(891), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11040] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1375), 1,
      sym_identifier,
    ACTIONS(1387), 1,
      anon_sym_sizeof,
    ACTIONS(2033), 1,
      anon_sym_LPAREN2,
    STATE(659), 1,
      sym_string_literal,
    STATE(809), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1379), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1381), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2035), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(668), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11142] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      anon_sym_sizeof,
    ACTIONS(2043), 1,
      sym_identifier,
    ACTIONS(2045), 1,
      anon_sym_LPAREN2,
    STATE(679), 1,
      sym_string_literal,
    STATE(689), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1708), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1710), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2047), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2049), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(793), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11244] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1375), 1,
      sym_identifier,
    ACTIONS(1393), 1,
      anon_sym_sizeof,
    ACTIONS(2089), 1,
      anon_sym_LPAREN2,
    STATE(679), 1,
      sym_string_literal,
    STATE(766), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1389), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1391), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2047), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2091), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(668), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11346] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1375), 1,
      sym_identifier,
    ACTIONS(1387), 1,
      anon_sym_sizeof,
    ACTIONS(2033), 1,
      anon_sym_LPAREN2,
    STATE(659), 1,
      sym_string_literal,
    STATE(801), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1379), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1381), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2035), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(668), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11448] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1706), 1,
      sym_identifier,
    STATE(659), 1,
      sym_string_literal,
    STATE(963), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11550] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1706), 1,
      sym_identifier,
    STATE(659), 1,
      sym_string_literal,
    STATE(1071), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11652] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1375), 1,
      sym_identifier,
    ACTIONS(1690), 1,
      anon_sym_sizeof,
    ACTIONS(2119), 1,
      anon_sym_LPAREN2,
    STATE(659), 1,
      sym_string_literal,
    STATE(830), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1688), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2063), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(668), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11754] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      anon_sym_sizeof,
    ACTIONS(2043), 1,
      sym_identifier,
    ACTIONS(2045), 1,
      anon_sym_LPAREN2,
    STATE(679), 1,
      sym_string_literal,
    STATE(684), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1708), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1710), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2047), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2049), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(793), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11856] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1375), 1,
      sym_identifier,
    ACTIONS(1690), 1,
      anon_sym_sizeof,
    ACTIONS(2061), 1,
      anon_sym_LPAREN2,
    STATE(659), 1,
      sym_string_literal,
    STATE(888), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1688), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2063), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(668), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11958] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1375), 1,
      sym_identifier,
    ACTIONS(1393), 1,
      anon_sym_sizeof,
    ACTIONS(2089), 1,
      anon_sym_LPAREN2,
    STATE(679), 1,
      sym_string_literal,
    STATE(770), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1389), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1391), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2047), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2091), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(668), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12060] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1706), 1,
      sym_identifier,
    ACTIONS(2121), 1,
      anon_sym_LPAREN2,
    STATE(659), 1,
      sym_string_literal,
    STATE(686), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12162] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1706), 1,
      sym_identifier,
    STATE(659), 1,
      sym_string_literal,
    STATE(684), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12264] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      anon_sym_sizeof,
    ACTIONS(2043), 1,
      sym_identifier,
    ACTIONS(2045), 1,
      anon_sym_LPAREN2,
    STATE(679), 1,
      sym_string_literal,
    STATE(939), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1708), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1710), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2047), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2049), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(793), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12366] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      anon_sym_sizeof,
    ACTIONS(2043), 1,
      sym_identifier,
    ACTIONS(2123), 1,
      anon_sym_LPAREN2,
    STATE(679), 1,
      sym_string_literal,
    STATE(686), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1708), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1710), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2047), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2049), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(793), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12468] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1375), 1,
      sym_identifier,
    ACTIONS(1690), 1,
      anon_sym_sizeof,
    ACTIONS(2061), 1,
      anon_sym_LPAREN2,
    STATE(659), 1,
      sym_string_literal,
    STATE(871), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1688), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2063), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(668), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12570] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1706), 1,
      sym_identifier,
    STATE(659), 1,
      sym_string_literal,
    STATE(966), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12672] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1375), 1,
      sym_identifier,
    ACTIONS(1387), 1,
      anon_sym_sizeof,
    ACTIONS(2033), 1,
      anon_sym_LPAREN2,
    STATE(659), 1,
      sym_string_literal,
    STATE(811), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1379), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1381), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2035), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(668), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12774] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1375), 1,
      sym_identifier,
    ACTIONS(1690), 1,
      anon_sym_sizeof,
    ACTIONS(2061), 1,
      anon_sym_LPAREN2,
    STATE(659), 1,
      sym_string_literal,
    STATE(840), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1688), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2063), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(668), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12876] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1375), 1,
      sym_identifier,
    ACTIONS(1690), 1,
      anon_sym_sizeof,
    ACTIONS(2061), 1,
      anon_sym_LPAREN2,
    STATE(659), 1,
      sym_string_literal,
    STATE(831), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1688), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2063), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(668), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12978] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      anon_sym_sizeof,
    ACTIONS(2043), 1,
      sym_identifier,
    ACTIONS(2045), 1,
      anon_sym_LPAREN2,
    STATE(679), 1,
      sym_string_literal,
    STATE(947), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1708), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1710), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2047), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2049), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(793), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13080] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      anon_sym_sizeof,
    ACTIONS(2043), 1,
      sym_identifier,
    ACTIONS(2045), 1,
      anon_sym_LPAREN2,
    STATE(679), 1,
      sym_string_literal,
    STATE(948), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1708), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1710), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2047), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2049), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(793), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13182] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1375), 1,
      sym_identifier,
    ACTIONS(1690), 1,
      anon_sym_sizeof,
    ACTIONS(2061), 1,
      anon_sym_LPAREN2,
    STATE(659), 1,
      sym_string_literal,
    STATE(868), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1688), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2063), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(668), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13284] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1375), 1,
      sym_identifier,
    ACTIONS(1690), 1,
      anon_sym_sizeof,
    ACTIONS(2061), 1,
      anon_sym_LPAREN2,
    STATE(659), 1,
      sym_string_literal,
    STATE(849), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1688), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2063), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(668), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13386] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1375), 1,
      sym_identifier,
    ACTIONS(1690), 1,
      anon_sym_sizeof,
    ACTIONS(2061), 1,
      anon_sym_LPAREN2,
    STATE(659), 1,
      sym_string_literal,
    STATE(848), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1688), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2063), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(668), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13488] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1375), 1,
      sym_identifier,
    ACTIONS(1690), 1,
      anon_sym_sizeof,
    ACTIONS(2061), 1,
      anon_sym_LPAREN2,
    STATE(659), 1,
      sym_string_literal,
    STATE(841), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1688), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2063), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(668), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13590] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1375), 1,
      sym_identifier,
    ACTIONS(1690), 1,
      anon_sym_sizeof,
    ACTIONS(2061), 1,
      anon_sym_LPAREN2,
    STATE(659), 1,
      sym_string_literal,
    STATE(846), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1688), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2063), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(668), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13692] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1706), 1,
      sym_identifier,
    STATE(659), 1,
      sym_string_literal,
    STATE(964), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13794] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1375), 1,
      sym_identifier,
    ACTIONS(1690), 1,
      anon_sym_sizeof,
    ACTIONS(2061), 1,
      anon_sym_LPAREN2,
    STATE(659), 1,
      sym_string_literal,
    STATE(845), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1688), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2063), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(668), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13896] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1375), 1,
      sym_identifier,
    ACTIONS(1690), 1,
      anon_sym_sizeof,
    ACTIONS(2061), 1,
      anon_sym_LPAREN2,
    STATE(659), 1,
      sym_string_literal,
    STATE(843), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1688), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2063), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(668), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13998] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      anon_sym_sizeof,
    ACTIONS(2043), 1,
      sym_identifier,
    ACTIONS(2045), 1,
      anon_sym_LPAREN2,
    STATE(679), 1,
      sym_string_literal,
    STATE(951), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1708), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1710), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2047), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2049), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(793), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14100] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      anon_sym_sizeof,
    ACTIONS(2043), 1,
      sym_identifier,
    ACTIONS(2045), 1,
      anon_sym_LPAREN2,
    STATE(679), 1,
      sym_string_literal,
    STATE(944), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1708), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1710), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2047), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2049), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(793), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14202] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1375), 1,
      sym_identifier,
    ACTIONS(1393), 1,
      anon_sym_sizeof,
    ACTIONS(2089), 1,
      anon_sym_LPAREN2,
    STATE(679), 1,
      sym_string_literal,
    STATE(776), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1389), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1391), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2047), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2091), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(668), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14304] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      anon_sym_sizeof,
    ACTIONS(2043), 1,
      sym_identifier,
    ACTIONS(2045), 1,
      anon_sym_LPAREN2,
    STATE(679), 1,
      sym_string_literal,
    STATE(949), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1708), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1710), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2047), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2049), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(793), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14406] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1706), 1,
      sym_identifier,
    STATE(659), 1,
      sym_string_literal,
    STATE(957), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14508] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1765), 1,
      sym_identifier,
    ACTIONS(1771), 1,
      anon_sym_sizeof,
    ACTIONS(1787), 1,
      anon_sym_LPAREN2,
    STATE(659), 1,
      sym_string_literal,
    STATE(1062), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1801), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(891), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14610] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1706), 1,
      sym_identifier,
    STATE(659), 1,
      sym_string_literal,
    STATE(967), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14712] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1706), 1,
      sym_identifier,
    STATE(659), 1,
      sym_string_literal,
    STATE(1031), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14814] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1765), 1,
      sym_identifier,
    ACTIONS(1771), 1,
      anon_sym_sizeof,
    ACTIONS(1787), 1,
      anon_sym_LPAREN2,
    STATE(659), 1,
      sym_string_literal,
    STATE(1040), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1801), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(891), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14916] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1375), 1,
      sym_identifier,
    ACTIONS(1690), 1,
      anon_sym_sizeof,
    ACTIONS(2061), 1,
      anon_sym_LPAREN2,
    STATE(659), 1,
      sym_string_literal,
    STATE(842), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1688), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2063), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(668), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15018] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1706), 1,
      sym_identifier,
    STATE(659), 1,
      sym_string_literal,
    STATE(960), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15120] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1375), 1,
      sym_identifier,
    ACTIONS(1690), 1,
      anon_sym_sizeof,
    ACTIONS(2061), 1,
      anon_sym_LPAREN2,
    STATE(659), 1,
      sym_string_literal,
    STATE(839), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1688), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2063), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(668), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15222] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1706), 1,
      sym_identifier,
    STATE(659), 1,
      sym_string_literal,
    STATE(1000), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15324] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1765), 1,
      sym_identifier,
    ACTIONS(1771), 1,
      anon_sym_sizeof,
    ACTIONS(1787), 1,
      anon_sym_LPAREN2,
    STATE(659), 1,
      sym_string_literal,
    STATE(1038), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1801), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(891), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15426] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1375), 1,
      sym_identifier,
    ACTIONS(1393), 1,
      anon_sym_sizeof,
    ACTIONS(2089), 1,
      anon_sym_LPAREN2,
    STATE(679), 1,
      sym_string_literal,
    STATE(775), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1389), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1391), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2047), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2091), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(668), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15528] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1712), 1,
      anon_sym_sizeof,
    ACTIONS(2043), 1,
      sym_identifier,
    ACTIONS(2045), 1,
      anon_sym_LPAREN2,
    STATE(679), 1,
      sym_string_literal,
    STATE(940), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1708), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1710), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2047), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2049), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(793), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15630] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1765), 1,
      sym_identifier,
    ACTIONS(1771), 1,
      anon_sym_sizeof,
    ACTIONS(1787), 1,
      anon_sym_LPAREN2,
    STATE(659), 1,
      sym_string_literal,
    STATE(1050), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1801), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(891), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15732] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1706), 1,
      sym_identifier,
    STATE(659), 1,
      sym_string_literal,
    STATE(1056), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15834] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1706), 1,
      sym_identifier,
    STATE(659), 1,
      sym_string_literal,
    STATE(961), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15936] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1765), 1,
      sym_identifier,
    ACTIONS(1771), 1,
      anon_sym_sizeof,
    ACTIONS(1787), 1,
      anon_sym_LPAREN2,
    STATE(659), 1,
      sym_string_literal,
    STATE(1006), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1801), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(891), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16038] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1706), 1,
      sym_identifier,
    STATE(659), 1,
      sym_string_literal,
    STATE(958), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16140] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1375), 1,
      sym_identifier,
    ACTIONS(1387), 1,
      anon_sym_sizeof,
    ACTIONS(2033), 1,
      anon_sym_LPAREN2,
    STATE(659), 1,
      sym_string_literal,
    STATE(784), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1379), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1381), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2035), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(668), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16242] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1706), 1,
      sym_identifier,
    STATE(659), 1,
      sym_string_literal,
    STATE(965), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16344] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1706), 1,
      sym_identifier,
    STATE(659), 1,
      sym_string_literal,
    STATE(1001), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16446] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1765), 1,
      sym_identifier,
    ACTIONS(1771), 1,
      anon_sym_sizeof,
    ACTIONS(1787), 1,
      anon_sym_LPAREN2,
    STATE(659), 1,
      sym_string_literal,
    STATE(1026), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1801), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(891), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16548] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1765), 1,
      sym_identifier,
    ACTIONS(1771), 1,
      anon_sym_sizeof,
    ACTIONS(1787), 1,
      anon_sym_LPAREN2,
    STATE(659), 1,
      sym_string_literal,
    STATE(1042), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1801), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(891), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16650] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1375), 1,
      sym_identifier,
    ACTIONS(1387), 1,
      anon_sym_sizeof,
    ACTIONS(2033), 1,
      anon_sym_LPAREN2,
    STATE(659), 1,
      sym_string_literal,
    STATE(814), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1379), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1381), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2035), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(668), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16752] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1375), 1,
      sym_identifier,
    ACTIONS(1387), 1,
      anon_sym_sizeof,
    ACTIONS(2033), 1,
      anon_sym_LPAREN2,
    STATE(659), 1,
      sym_string_literal,
    STATE(813), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1379), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1381), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2035), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(668), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16854] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1765), 1,
      sym_identifier,
    ACTIONS(1771), 1,
      anon_sym_sizeof,
    ACTIONS(1787), 1,
      anon_sym_LPAREN2,
    STATE(659), 1,
      sym_string_literal,
    STATE(1045), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1801), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(891), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16956] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1375), 1,
      sym_identifier,
    ACTIONS(1690), 1,
      anon_sym_sizeof,
    ACTIONS(2061), 1,
      anon_sym_LPAREN2,
    STATE(659), 1,
      sym_string_literal,
    STATE(850), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1688), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2063), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(668), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17058] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1706), 1,
      sym_identifier,
    STATE(659), 1,
      sym_string_literal,
    STATE(1036), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17160] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1375), 1,
      sym_identifier,
    ACTIONS(1387), 1,
      anon_sym_sizeof,
    ACTIONS(2033), 1,
      anon_sym_LPAREN2,
    STATE(659), 1,
      sym_string_literal,
    STATE(812), 1,
      sym_expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1379), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1381), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2035), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(668), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17262] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1706), 1,
      sym_identifier,
    STATE(659), 1,
      sym_string_literal,
    STATE(996), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17364] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(83), 1,
      anon_sym_sizeof,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1706), 1,
      sym_identifier,
    STATE(659), 1,
      sym_string_literal,
    STATE(1058), 1,
      sym_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(81), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(820), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17466] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1765), 1,
      sym_identifier,
    ACTIONS(1771), 1,
      anon_sym_sizeof,
    ACTIONS(1787), 1,
      anon_sym_LPAREN2,
    STATE(659), 1,
      sym_string_literal,
    STATE(1030), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1801), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(891), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17568] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_offsetof,
    ACTIONS(89), 1,
      anon_sym__Generic,
    ACTIONS(159), 1,
      sym_number_literal,
    ACTIONS(1765), 1,
      sym_identifier,
    ACTIONS(1771), 1,
      anon_sym_sizeof,
    ACTIONS(1787), 1,
      anon_sym_LPAREN2,
    STATE(659), 1,
      sym_string_literal,
    STATE(1037), 1,
      sym_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(101), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(161), 2,
      sym_true,
      sym_false,
    ACTIONS(1767), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1769), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1791), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1801), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(85), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(95), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(891), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(672), 16,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17670] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2125), 1,
      sym_identifier,
    STATE(617), 2,
      sym_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2129), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2127), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [17741] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2131), 1,
      sym_identifier,
    STATE(618), 2,
      sym_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2135), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2133), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [17812] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2137), 1,
      sym_identifier,
    STATE(618), 2,
      sym_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2144), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2142), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2140), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [17883] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(616), 1,
      sym_string_literal,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1724), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(1718), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [17951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2147), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2149), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [18014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2151), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2153), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [18077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2155), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2157), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [18139] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2159), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2161), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [18201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2163), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2165), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [18263] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2167), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2169), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [18325] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2181), 1,
      anon_sym___attribute__,
    ACTIONS(2184), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2187), 1,
      anon_sym___declspec,
    STATE(708), 1,
      sym_alignas_qualifier,
    ACTIONS(2190), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2173), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
    STATE(626), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(2175), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(2178), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(2171), 17,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [18403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2193), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2195), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [18465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2197), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2199), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [18527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2201), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2203), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [18589] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2205), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2207), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [18651] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2209), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2211), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [18713] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2213), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2215), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [18775] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    STATE(123), 1,
      sym_compound_statement,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(716), 1,
      sym_type_specifier,
    STATE(773), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1103), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(635), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(771), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(698), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [18874] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1775), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1777), 1,
      anon_sym_RPAREN,
    ACTIONS(1849), 1,
      sym_identifier,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(716), 1,
      sym_type_specifier,
    STATE(773), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1139), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1530), 2,
      sym_variadic_parameter,
      sym_parameter_declaration,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(771), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(698), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [18973] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    STATE(131), 1,
      sym_compound_statement,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(716), 1,
      sym_type_specifier,
    STATE(773), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1103), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(651), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(771), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(698), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [19072] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    STATE(118), 1,
      sym_compound_statement,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(716), 1,
      sym_type_specifier,
    STATE(773), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1103), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(651), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(771), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(698), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [19171] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(432), 1,
      anon_sym_LBRACE,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    STATE(300), 1,
      sym_compound_statement,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(716), 1,
      sym_type_specifier,
    STATE(773), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1103), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(651), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(771), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(698), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [19270] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    STATE(137), 1,
      sym_compound_statement,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(716), 1,
      sym_type_specifier,
    STATE(773), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1103), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(636), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(771), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(698), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [19369] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    STATE(362), 1,
      sym_compound_statement,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(716), 1,
      sym_type_specifier,
    STATE(773), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1103), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(651), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(771), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(698), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [19468] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(432), 1,
      anon_sym_LBRACE,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    STATE(262), 1,
      sym_compound_statement,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(716), 1,
      sym_type_specifier,
    STATE(773), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1103), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(647), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(771), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(698), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [19567] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(376), 1,
      anon_sym_LBRACE,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    STATE(276), 1,
      sym_compound_statement,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(716), 1,
      sym_type_specifier,
    STATE(773), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1103), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(651), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(771), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(698), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [19666] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    STATE(368), 1,
      sym_compound_statement,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(716), 1,
      sym_type_specifier,
    STATE(773), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1103), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(645), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(771), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(698), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [19765] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(376), 1,
      anon_sym_LBRACE,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    STATE(302), 1,
      sym_compound_statement,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(716), 1,
      sym_type_specifier,
    STATE(773), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1103), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(651), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(771), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(698), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [19864] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(432), 1,
      anon_sym_LBRACE,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    STATE(280), 1,
      sym_compound_statement,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(716), 1,
      sym_type_specifier,
    STATE(773), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1103), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(637), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(771), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(698), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [19963] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    STATE(361), 1,
      sym_compound_statement,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(716), 1,
      sym_type_specifier,
    STATE(773), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1103), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(651), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(771), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(698), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [20062] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1775), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      sym_identifier,
    ACTIONS(2219), 1,
      anon_sym_RPAREN,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(716), 1,
      sym_type_specifier,
    STATE(773), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1139), 1,
      sym__declaration_specifiers,
    STATE(1507), 1,
      sym_variadic_parameter,
    STATE(1530), 1,
      sym_parameter_declaration,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(771), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(698), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [20163] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(432), 1,
      anon_sym_LBRACE,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    STATE(278), 1,
      sym_compound_statement,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(716), 1,
      sym_type_specifier,
    STATE(773), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1103), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(651), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(771), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(698), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [20262] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    STATE(372), 1,
      sym_compound_statement,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(716), 1,
      sym_type_specifier,
    STATE(773), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1103), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(639), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(771), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(698), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [20361] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(376), 1,
      anon_sym_LBRACE,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    STATE(301), 1,
      sym_compound_statement,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(716), 1,
      sym_type_specifier,
    STATE(773), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1103), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(641), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(771), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(698), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [20460] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(376), 1,
      anon_sym_LBRACE,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    STATE(267), 1,
      sym_compound_statement,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(716), 1,
      sym_type_specifier,
    STATE(773), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1103), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(643), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(771), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(698), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [20559] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2221), 1,
      sym_identifier,
    ACTIONS(2230), 1,
      anon_sym___attribute__,
    ACTIONS(2233), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2236), 1,
      anon_sym___declspec,
    ACTIONS(2239), 1,
      anon_sym_LBRACE,
    ACTIONS(2247), 1,
      sym_primitive_type,
    ACTIONS(2250), 1,
      anon_sym_enum,
    ACTIONS(2253), 1,
      anon_sym_struct,
    ACTIONS(2256), 1,
      anon_sym_union,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(716), 1,
      sym_type_specifier,
    STATE(773), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1103), 1,
      sym__declaration_specifiers,
    ACTIONS(2244), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(651), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(2241), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(771), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(698), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(2224), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(2227), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [20655] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1775), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1849), 1,
      sym_identifier,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(716), 1,
      sym_type_specifier,
    STATE(773), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1139), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1720), 2,
      sym_variadic_parameter,
      sym_parameter_declaration,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(771), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(698), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [20751] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1775), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2259), 1,
      sym_identifier,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(716), 1,
      sym_type_specifier,
    STATE(773), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1139), 1,
      sym__declaration_specifiers,
    STATE(1691), 1,
      sym_variadic_parameter,
    STATE(1720), 1,
      sym_parameter_declaration,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(771), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(698), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [20849] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2263), 21,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2261), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_default,
      anon_sym_while,
      anon_sym_do,
      anon_sym_for,
      anon_sym_return,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym___try,
      anon_sym___leave,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
  [20908] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2261), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2263), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [20967] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1700), 21,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1698), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_default,
      anon_sym_while,
      anon_sym_do,
      anon_sym_for,
      anon_sym_return,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym___try,
      anon_sym___leave,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
  [21026] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2267), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(2265), 42,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
  [21085] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2276), 1,
      anon_sym_static,
    STATE(700), 1,
      sym_alignas_qualifier,
    ACTIONS(2279), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(658), 2,
      sym_type_qualifier,
      aux_sym_array_declarator_repeat1,
    ACTIONS(2273), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(2269), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(2271), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [21154] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2282), 1,
      sym_identifier,
    STATE(616), 1,
      sym_string_literal,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2286), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2284), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [21219] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1704), 21,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1702), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_default,
      anon_sym_while,
      anon_sym_do,
      anon_sym_for,
      anon_sym_return,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym___try,
      anon_sym___leave,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
  [21278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2288), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2290), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [21336] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2292), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2294), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [21394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2296), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2298), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [21452] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2300), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2302), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [21510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2304), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2306), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [21568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2308), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2310), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [21626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2312), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2314), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [21684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1724), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(1718), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [21742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2316), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2318), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [21800] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2320), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2322), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [21858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2324), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2326), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [21916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1724), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(1718), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [21974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2328), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2330), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [22032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2332), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2334), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [22090] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2336), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2338), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [22148] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2340), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2342), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [22206] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2344), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2346), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [22264] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(716), 1,
      sym_type_specifier,
    STATE(773), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1228), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(771), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(698), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [22353] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(616), 1,
      sym_string_literal,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2286), 15,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2284), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [22414] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2348), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2350), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [22481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2362), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [22538] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2364), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2366), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [22595] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_EQ,
    STATE(616), 1,
      sym_string_literal,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2370), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1724), 14,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1718), 18,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [22660] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2372), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2374), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [22727] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2376), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2378), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [22794] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2380), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2382), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [22861] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(716), 1,
      sym_type_specifier,
    STATE(773), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1225), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(771), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(698), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [22950] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2384), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2386), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [23007] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2388), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2390), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [23072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2392), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2394), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [23129] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(716), 1,
      sym_type_specifier,
    STATE(773), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1211), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(771), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(698), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [23218] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(716), 1,
      sym_type_specifier,
    STATE(773), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1229), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(771), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(698), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [23307] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(716), 1,
      sym_type_specifier,
    STATE(773), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1226), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(771), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(698), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [23396] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(716), 1,
      sym_type_specifier,
    STATE(773), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1218), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(771), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(698), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [23485] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2396), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2398), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [23552] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(716), 1,
      sym_type_specifier,
    STATE(773), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1227), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(771), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(698), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [23641] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(716), 1,
      sym_type_specifier,
    STATE(773), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1219), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(771), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(698), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [23730] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_enum,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1849), 1,
      sym_identifier,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(715), 1,
      sym_type_specifier,
    STATE(773), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(771), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(626), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [23816] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2402), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2400), 29,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_static,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
  [23872] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2406), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2404), 29,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_static,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
  [23928] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_EQ,
    STATE(616), 1,
      sym_string_literal,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1737), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1724), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1718), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [23992] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(2412), 1,
      anon_sym_LBRACE,
    STATE(726), 1,
      sym_field_declaration_list,
    STATE(779), 1,
      sym_attribute_specifier,
    ACTIONS(2410), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2408), 36,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [24055] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(2412), 1,
      anon_sym_LBRACE,
    STATE(723), 1,
      sym_field_declaration_list,
    STATE(741), 1,
      sym_attribute_specifier,
    ACTIONS(2416), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2414), 36,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [24118] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2420), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(2418), 40,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [24173] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(2412), 1,
      anon_sym_LBRACE,
    STATE(724), 1,
      sym_field_declaration_list,
    STATE(735), 1,
      sym_attribute_specifier,
    ACTIONS(2424), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2422), 36,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [24236] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(2412), 1,
      anon_sym_LBRACE,
    STATE(717), 1,
      sym_field_declaration_list,
    STATE(762), 1,
      sym_attribute_specifier,
    ACTIONS(2428), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2426), 36,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [24299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2402), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2400), 40,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [24354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2406), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2404), 40,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [24409] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(2412), 1,
      anon_sym_LBRACE,
    STATE(730), 1,
      sym_field_declaration_list,
    STATE(737), 1,
      sym_attribute_specifier,
    ACTIONS(2432), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2430), 36,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [24472] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1700), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1698), 40,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [24526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1704), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1702), 40,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [24580] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(708), 1,
      sym_alignas_qualifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2436), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
    STATE(626), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(2434), 9,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [24650] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(708), 1,
      sym_alignas_qualifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2440), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
    STATE(626), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(2438), 9,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [24720] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2444), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2442), 40,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [24774] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(708), 1,
      sym_alignas_qualifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2448), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
    STATE(713), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(2446), 9,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [24844] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(708), 1,
      sym_alignas_qualifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2452), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
    STATE(712), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(2450), 9,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [24914] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(740), 1,
      sym_attribute_specifier,
    ACTIONS(2456), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2454), 36,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [24971] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(738), 1,
      sym_attribute_specifier,
    ACTIONS(2460), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2458), 36,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [25028] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(742), 1,
      sym_attribute_specifier,
    ACTIONS(2464), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2462), 36,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [25085] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_EQ,
    ACTIONS(1760), 1,
      anon_sym_COLON,
    STATE(616), 1,
      sym_string_literal,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1737), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1724), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1718), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [25148] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(721), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2470), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2468), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2466), 33,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [25205] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(734), 1,
      sym_attribute_specifier,
    ACTIONS(2475), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2473), 36,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [25262] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(753), 1,
      sym_attribute_specifier,
    ACTIONS(2479), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2477), 36,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [25319] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(764), 1,
      sym_attribute_specifier,
    ACTIONS(2483), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2481), 36,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [25376] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_EQ,
    ACTIONS(1739), 1,
      anon_sym_COLON,
    STATE(616), 1,
      sym_string_literal,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1737), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1724), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1718), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [25439] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(736), 1,
      sym_attribute_specifier,
    ACTIONS(2487), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2485), 36,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [25496] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_EQ,
    ACTIONS(1744), 1,
      anon_sym_COLON,
    STATE(616), 1,
      sym_string_literal,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1737), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1724), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1718), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [25559] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(763), 1,
      sym_attribute_specifier,
    ACTIONS(2491), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2489), 36,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [25616] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_EQ,
    ACTIONS(2493), 1,
      anon_sym_COLON,
    STATE(616), 1,
      sym_string_literal,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1737), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1724), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1718), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [25679] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(761), 1,
      sym_attribute_specifier,
    ACTIONS(2497), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2495), 36,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [25736] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_EQ,
    ACTIONS(1758), 1,
      anon_sym_COLON,
    STATE(616), 1,
      sym_string_literal,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1737), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1724), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1718), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [25799] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(756), 1,
      sym_attribute_specifier,
    ACTIONS(2501), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2499), 36,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [25856] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_EQ,
    ACTIONS(1735), 1,
      anon_sym_COLON,
    STATE(616), 1,
      sym_string_literal,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1737), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1724), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1718), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [25919] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2505), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2503), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [25971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2509), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2507), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [26023] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2513), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2511), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [26075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2517), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2515), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [26127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2521), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2519), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [26179] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2523), 1,
      anon_sym_EQ,
    STATE(616), 1,
      sym_string_literal,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2525), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1724), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(1718), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [26239] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2529), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2527), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [26291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2533), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2531), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [26343] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2537), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2535), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [26395] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2541), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2539), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [26447] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(721), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2547), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2545), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2543), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [26503] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2557), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2559), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2561), 1,
      anon_sym_PIPE,
    ACTIONS(2563), 1,
      anon_sym_CARET,
    ACTIONS(2565), 1,
      anon_sym_AMP,
    ACTIONS(2575), 1,
      anon_sym_QMARK,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2551), 2,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
    ACTIONS(2553), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2567), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2569), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2571), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2573), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2555), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2549), 16,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [26589] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2579), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2577), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [26641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2583), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2581), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [26693] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2557), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2559), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2561), 1,
      anon_sym_PIPE,
    ACTIONS(2563), 1,
      anon_sym_CARET,
    ACTIONS(2565), 1,
      anon_sym_AMP,
    ACTIONS(2575), 1,
      anon_sym_QMARK,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2553), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2567), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2569), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2571), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2573), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2587), 2,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
    ACTIONS(2555), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2585), 16,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [26779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2591), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2589), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [26831] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2466), 1,
      sym_primitive_type,
    STATE(721), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2470), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2596), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2593), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [26889] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(744), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2603), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2601), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2599), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [26945] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(774), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2609), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2607), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2605), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [27001] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2613), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2611), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [27053] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2557), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2559), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2561), 1,
      anon_sym_PIPE,
    ACTIONS(2563), 1,
      anon_sym_CARET,
    ACTIONS(2565), 1,
      anon_sym_AMP,
    ACTIONS(2575), 1,
      anon_sym_QMARK,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2553), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2567), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2569), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2571), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2573), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2617), 2,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
    ACTIONS(2555), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2615), 16,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [27139] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2619), 1,
      anon_sym_LPAREN2,
    STATE(782), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(1731), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(1729), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(1716), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [27197] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2624), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2622), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [27249] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2553), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2555), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2376), 9,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2378), 23,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [27315] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2553), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2573), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2555), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2376), 7,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(2378), 23,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [27383] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2628), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2626), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [27435] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2553), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2569), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2571), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2573), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2555), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2376), 5,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(2378), 21,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [27507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2632), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2630), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [27559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2636), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2634), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [27611] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2640), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2638), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [27663] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2644), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2642), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [27715] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2553), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2567), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2569), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2571), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2573), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2555), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2376), 5,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(2378), 19,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [27789] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2565), 1,
      anon_sym_AMP,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2553), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2567), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2569), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2571), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2573), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2555), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2376), 4,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
    ACTIONS(2378), 19,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [27865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2648), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2646), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [27917] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2652), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2650), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [27969] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(783), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2658), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2656), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2654), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [28025] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2563), 1,
      anon_sym_CARET,
    ACTIONS(2565), 1,
      anon_sym_AMP,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2553), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2567), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2569), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2571), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2573), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2376), 3,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_EQ,
    ACTIONS(2555), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2378), 19,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [28103] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2656), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2654), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [28155] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2662), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2660), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [28207] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2664), 1,
      sym_identifier,
    ACTIONS(2673), 1,
      sym_primitive_type,
    STATE(750), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2671), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2667), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2669), 31,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
  [28267] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(721), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2547), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2677), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2675), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [28323] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2561), 1,
      anon_sym_PIPE,
    ACTIONS(2563), 1,
      anon_sym_CARET,
    ACTIONS(2565), 1,
      anon_sym_AMP,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2376), 2,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
    ACTIONS(2553), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2567), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2569), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2571), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2573), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2555), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2378), 19,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [28403] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2559), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2561), 1,
      anon_sym_PIPE,
    ACTIONS(2563), 1,
      anon_sym_CARET,
    ACTIONS(2565), 1,
      anon_sym_AMP,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2376), 2,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
    ACTIONS(2553), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2567), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2569), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2571), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2573), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2555), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2378), 18,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [28485] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2681), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2679), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [28537] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2555), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2376), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2378), 23,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [28601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2685), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2683), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [28653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2689), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2687), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [28705] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2693), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2691), 37,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [28757] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(721), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2547), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2697), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2695), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [28813] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(721), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2547), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2701), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2699), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [28869] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2703), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2707), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2709), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2711), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2705), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2376), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(2378), 21,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [28940] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2713), 1,
      anon_sym_SEMI,
    STATE(708), 1,
      sym_alignas_qualifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2452), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(712), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(2450), 8,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      sym_identifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [29009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2717), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2715), 42,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29060] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2719), 1,
      anon_sym_SEMI,
    STATE(708), 1,
      sym_alignas_qualifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2452), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(712), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(2450), 8,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      sym_identifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [29129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1265), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1263), 42,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29180] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2721), 1,
      anon_sym_SEMI,
    STATE(708), 1,
      sym_alignas_qualifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2452), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(712), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(2450), 8,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      sym_identifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [29249] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1337), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1335), 42,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29300] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(1115), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2723), 1,
      anon_sym_SEMI,
    STATE(708), 1,
      sym_alignas_qualifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2452), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(712), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(2450), 8,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      sym_identifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [29369] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1325), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1323), 42,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29420] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_EQ,
    ACTIONS(2370), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1724), 13,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1718), 19,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [29475] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2727), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2725), 42,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2731), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2729), 42,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29577] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2735), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2733), 42,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29628] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2551), 1,
      anon_sym_EQ,
    ACTIONS(2737), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2739), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2741), 1,
      anon_sym_PIPE,
    ACTIONS(2743), 1,
      anon_sym_CARET,
    ACTIONS(2745), 1,
      anon_sym_AMP,
    ACTIONS(2749), 1,
      anon_sym_QMARK,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2703), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2707), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2709), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2711), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2747), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2705), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2549), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [29713] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2753), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2751), 42,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1347), 42,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29815] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2617), 1,
      anon_sym_EQ,
    ACTIONS(2737), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2739), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2741), 1,
      anon_sym_PIPE,
    ACTIONS(2743), 1,
      anon_sym_CARET,
    ACTIONS(2745), 1,
      anon_sym_AMP,
    ACTIONS(2749), 1,
      anon_sym_QMARK,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2703), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2707), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2709), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2711), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2747), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2705), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2615), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [29900] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2587), 1,
      anon_sym_EQ,
    ACTIONS(2737), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2739), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2741), 1,
      anon_sym_PIPE,
    ACTIONS(2743), 1,
      anon_sym_CARET,
    ACTIONS(2745), 1,
      anon_sym_AMP,
    ACTIONS(2749), 1,
      anon_sym_QMARK,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2703), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2707), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2709), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2711), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2747), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2705), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2585), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [29985] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2705), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2376), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2378), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [30048] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1271), 42,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30099] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2757), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2755), 42,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30150] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1261), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1259), 42,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2761), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2759), 42,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2765), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2763), 42,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2769), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2767), 42,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30354] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2703), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2705), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2376), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2378), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [30419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2773), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2771), 42,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30470] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2703), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2711), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2705), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2376), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(2378), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [30537] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2703), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2707), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2709), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2711), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2747), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2705), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2376), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(2378), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [30610] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2745), 1,
      anon_sym_AMP,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2703), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2707), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2709), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2711), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2747), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2376), 3,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
    ACTIONS(2705), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2378), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [30685] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2743), 1,
      anon_sym_CARET,
    ACTIONS(2745), 1,
      anon_sym_AMP,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2376), 2,
      anon_sym_PIPE,
      anon_sym_EQ,
    ACTIONS(2703), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2707), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2709), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2711), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2747), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2705), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2378), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [30762] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2376), 1,
      anon_sym_EQ,
    ACTIONS(2741), 1,
      anon_sym_PIPE,
    ACTIONS(2743), 1,
      anon_sym_CARET,
    ACTIONS(2745), 1,
      anon_sym_AMP,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2703), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2707), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2709), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2711), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2747), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2705), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2378), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [30841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2777), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2775), 42,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30892] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2781), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2779), 42,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30943] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2376), 1,
      anon_sym_EQ,
    ACTIONS(2739), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2741), 1,
      anon_sym_PIPE,
    ACTIONS(2743), 1,
      anon_sym_CARET,
    ACTIONS(2745), 1,
      anon_sym_AMP,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2703), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2707), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2709), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2711), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2747), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2705), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2378), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31024] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2787), 1,
      anon_sym___attribute__,
    ACTIONS(2790), 1,
      anon_sym_LBRACE,
    ACTIONS(2792), 1,
      anon_sym_COLON,
    STATE(767), 1,
      sym_attribute_specifier,
    STATE(878), 1,
      sym_enumerator_list,
    ACTIONS(2785), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2783), 31,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [31084] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_EQ,
    ACTIONS(1737), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1724), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1718), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [31138] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      anon_sym_LPAREN2,
    ACTIONS(1781), 1,
      anon_sym_STAR,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2794), 1,
      sym_identifier,
    ACTIONS(2802), 1,
      anon_sym_LBRACK,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(999), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1259), 1,
      sym__declarator,
    STATE(1402), 1,
      sym__abstract_declarator,
    STATE(1443), 1,
      sym_parameter_list,
    STATE(1827), 1,
      sym_ms_based_modifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2796), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2800), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(822), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(931), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2798), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1442), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1322), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [31224] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      anon_sym_LPAREN2,
    ACTIONS(1781), 1,
      anon_sym_STAR,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2794), 1,
      sym_identifier,
    ACTIONS(2802), 1,
      anon_sym_LBRACK,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(999), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1265), 1,
      sym__declarator,
    STATE(1414), 1,
      sym__abstract_declarator,
    STATE(1443), 1,
      sym_parameter_list,
    STATE(1827), 1,
      sym_ms_based_modifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2800), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2804), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(914), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(962), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(2798), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1442), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1322), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [31310] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2806), 2,
      anon_sym___attribute__,
      sym_identifier,
    ACTIONS(2813), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(2816), 3,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(2809), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(2811), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
  [31365] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2818), 2,
      anon_sym___attribute__,
      sym_identifier,
    ACTIONS(2825), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(2828), 3,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(2821), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(2823), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
  [31420] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LBRACE,
    ACTIONS(2834), 1,
      anon_sym___attribute__,
    STATE(781), 1,
      sym_attribute_specifier,
    STATE(884), 1,
      sym_enumerator_list,
    ACTIONS(2832), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2830), 31,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [31477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2153), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(2151), 38,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [31525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2149), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(2147), 38,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [31573] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2753), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2751), 37,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [31620] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2735), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2733), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [31667] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2358), 1,
      anon_sym_DASH_GT,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(2839), 1,
      anon_sym_DOT,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2380), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2382), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31726] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2358), 1,
      anon_sym_DASH_GT,
    ACTIONS(2617), 1,
      anon_sym_EQ,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(2839), 1,
      anon_sym_DOT,
    ACTIONS(2845), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2847), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2849), 1,
      anon_sym_PIPE,
    ACTIONS(2851), 1,
      anon_sym_CARET,
    ACTIONS(2853), 1,
      anon_sym_AMP,
    ACTIONS(2863), 1,
      anon_sym_QMARK,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2841), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2855), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2857), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2859), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2861), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2843), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2615), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31809] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2444), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(471), 1,
      sym_string_literal,
    ACTIONS(2865), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2442), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [31860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1349), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1347), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [31907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1261), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1259), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [31954] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1337), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(1335), 37,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32001] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1325), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(1323), 37,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32048] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2358), 1,
      anon_sym_DASH_GT,
    ACTIONS(2551), 1,
      anon_sym_EQ,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(2839), 1,
      anon_sym_DOT,
    ACTIONS(2845), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2847), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2849), 1,
      anon_sym_PIPE,
    ACTIONS(2851), 1,
      anon_sym_CARET,
    ACTIONS(2853), 1,
      anon_sym_AMP,
    ACTIONS(2863), 1,
      anon_sym_QMARK,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2841), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2855), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2857), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2859), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2861), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2843), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2549), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32131] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2358), 1,
      anon_sym_DASH_GT,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(2839), 1,
      anon_sym_DOT,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2348), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2350), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32190] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2358), 1,
      anon_sym_DASH_GT,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(2839), 1,
      anon_sym_DOT,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2843), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2376), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2378), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32251] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2358), 1,
      anon_sym_DASH_GT,
    ACTIONS(2587), 1,
      anon_sym_EQ,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(2839), 1,
      anon_sym_DOT,
    ACTIONS(2845), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2847), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2849), 1,
      anon_sym_PIPE,
    ACTIONS(2851), 1,
      anon_sym_CARET,
    ACTIONS(2853), 1,
      anon_sym_AMP,
    ACTIONS(2863), 1,
      anon_sym_QMARK,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2841), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2855), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2857), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2859), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2861), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2843), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2585), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32334] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2358), 1,
      anon_sym_DASH_GT,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(2839), 1,
      anon_sym_DOT,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2376), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2378), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32393] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2358), 1,
      anon_sym_DASH_GT,
    ACTIONS(2376), 1,
      anon_sym_EQ,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(2839), 1,
      anon_sym_DOT,
    ACTIONS(2847), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2849), 1,
      anon_sym_PIPE,
    ACTIONS(2851), 1,
      anon_sym_CARET,
    ACTIONS(2853), 1,
      anon_sym_AMP,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2841), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2855), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2857), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2859), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2861), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2843), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2378), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32472] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2358), 1,
      anon_sym_DASH_GT,
    ACTIONS(2376), 1,
      anon_sym_EQ,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(2839), 1,
      anon_sym_DOT,
    ACTIONS(2849), 1,
      anon_sym_PIPE,
    ACTIONS(2851), 1,
      anon_sym_CARET,
    ACTIONS(2853), 1,
      anon_sym_AMP,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2841), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2855), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2857), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2859), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2861), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2843), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2378), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32549] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(1271), 37,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32596] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2358), 1,
      anon_sym_DASH_GT,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(2839), 1,
      anon_sym_DOT,
    ACTIONS(2851), 1,
      anon_sym_CARET,
    ACTIONS(2853), 1,
      anon_sym_AMP,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2376), 2,
      anon_sym_PIPE,
      anon_sym_EQ,
    ACTIONS(2841), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2855), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2857), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2859), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2861), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2843), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2378), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32671] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2358), 1,
      anon_sym_DASH_GT,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(2839), 1,
      anon_sym_DOT,
    ACTIONS(2853), 1,
      anon_sym_AMP,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2841), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2855), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2857), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2859), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2861), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2376), 3,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
    ACTIONS(2843), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2378), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2753), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2751), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [32791] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2358), 1,
      anon_sym_DASH_GT,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(2839), 1,
      anon_sym_DOT,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2841), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2855), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2857), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2859), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2861), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2843), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2376), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(2378), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32862] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2358), 1,
      anon_sym_DASH_GT,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(2839), 1,
      anon_sym_DOT,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2841), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2857), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2859), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2861), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2843), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2376), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(2378), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32931] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2358), 1,
      anon_sym_DASH_GT,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(2839), 1,
      anon_sym_DOT,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2841), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2861), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2843), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2376), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(2378), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2781), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2779), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33043] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1265), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1263), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33090] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2777), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2775), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33137] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2717), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2715), 37,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33184] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2769), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2767), 37,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1349), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(1347), 37,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2773), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2771), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33325] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2769), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2767), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2765), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2763), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33419] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2871), 1,
      anon_sym___attribute__,
    STATE(772), 1,
      sym_attribute_specifier,
    ACTIONS(2869), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2867), 31,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [33470] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2761), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2759), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2757), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2755), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1337), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1335), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33611] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2444), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(464), 1,
      sym_string_literal,
    ACTIONS(2865), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2442), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33662] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2444), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(486), 1,
      sym_string_literal,
    ACTIONS(2865), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2442), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33713] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2444), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(470), 1,
      sym_string_literal,
    ACTIONS(2865), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2442), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2731), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2729), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33811] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2358), 1,
      anon_sym_DASH_GT,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(2839), 1,
      anon_sym_DOT,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2841), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2843), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2376), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2378), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [33874] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2727), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2725), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33921] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2358), 1,
      anon_sym_DASH_GT,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(2839), 1,
      anon_sym_DOT,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2396), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2398), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [33980] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2358), 1,
      anon_sym_DASH_GT,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(2839), 1,
      anon_sym_DOT,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2388), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2390), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [34037] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2735), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2733), 37,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1265), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(1263), 37,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34131] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2765), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2763), 37,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34178] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1325), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1323), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2761), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2759), 37,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34272] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1261), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(1259), 37,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34319] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2878), 1,
      anon_sym___attribute__,
    STATE(746), 1,
      sym_attribute_specifier,
    ACTIONS(2876), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2874), 31,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [34370] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2773), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2771), 37,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34417] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2777), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2775), 37,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2731), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2729), 37,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1271), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2717), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2715), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34605] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2885), 1,
      anon_sym___attribute__,
    STATE(780), 1,
      sym_attribute_specifier,
    ACTIONS(2883), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2881), 31,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [34656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2781), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2779), 37,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34703] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2727), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2725), 37,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34750] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2757), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2755), 37,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34797] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2358), 1,
      anon_sym_DASH_GT,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(2839), 1,
      anon_sym_DOT,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2372), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2374), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [34856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2384), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2386), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [34902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2364), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2366), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [34948] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2523), 1,
      anon_sym_EQ,
    ACTIONS(2525), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1724), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(1718), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [34998] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2392), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2394), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [35044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2362), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [35090] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2888), 1,
      sym_identifier,
    ACTIONS(2890), 1,
      anon_sym_LPAREN2,
    ACTIONS(2892), 1,
      anon_sym_STAR,
    ACTIONS(2896), 1,
      sym_primitive_type,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(999), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1317), 1,
      sym__type_declarator,
    STATE(1842), 1,
      sym_ms_based_modifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2800), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(896), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(989), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2798), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(2894), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1382), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [35166] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2888), 1,
      sym_identifier,
    ACTIONS(2890), 1,
      anon_sym_LPAREN2,
    ACTIONS(2892), 1,
      anon_sym_STAR,
    ACTIONS(2896), 1,
      sym_primitive_type,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(999), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1310), 1,
      sym__type_declarator,
    STATE(1842), 1,
      sym_ms_based_modifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2800), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(897), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(988), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2798), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(2894), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1382), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [35242] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2888), 1,
      sym_identifier,
    ACTIONS(2890), 1,
      anon_sym_LPAREN2,
    ACTIONS(2892), 1,
      anon_sym_STAR,
    ACTIONS(2896), 1,
      sym_primitive_type,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(999), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1310), 1,
      sym__type_declarator,
    STATE(1842), 1,
      sym_ms_based_modifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2800), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(962), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(988), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2798), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(2894), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1382), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [35318] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2888), 1,
      sym_identifier,
    ACTIONS(2890), 1,
      anon_sym_LPAREN2,
    ACTIONS(2892), 1,
      anon_sym_STAR,
    ACTIONS(2896), 1,
      sym_primitive_type,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(999), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1323), 1,
      sym__type_declarator,
    STATE(1842), 1,
      sym_ms_based_modifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2800), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(962), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(982), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2798), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(2894), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1382), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [35394] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_EQ,
    ACTIONS(2898), 1,
      anon_sym_SEMI,
    ACTIONS(1737), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1724), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1718), 13,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [35445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2902), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2900), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [35490] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2619), 1,
      anon_sym_LPAREN2,
    ACTIONS(2904), 1,
      anon_sym_COMMA,
    ACTIONS(2907), 1,
      anon_sym_RPAREN,
    STATE(782), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1639), 1,
      aux_sym__old_style_parameter_list_repeat1,
    ACTIONS(1729), 2,
      anon_sym_STAR,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1731), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(1716), 26,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [35547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1203), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1205), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [35591] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1193), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [35635] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1207), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1209), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [35679] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1203), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1205), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [35723] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1131), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1133), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [35767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1211), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1213), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [35811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1207), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1209), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [35855] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1131), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1133), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [35899] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2913), 1,
      anon_sym_LPAREN2,
    ACTIONS(2917), 1,
      anon_sym_LBRACK,
    STATE(782), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(1729), 2,
      anon_sym_COMMA,
      anon_sym_STAR,
    ACTIONS(2910), 2,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1731), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(1716), 25,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [35953] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2619), 1,
      anon_sym_LPAREN2,
    STATE(782), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(1729), 2,
      anon_sym_STAR,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2920), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1731), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(1716), 26,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_identifier,
  [36005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1135), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1137), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [36049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1193), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [36093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(1207), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [36135] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      anon_sym_LPAREN2,
    ACTIONS(1781), 1,
      anon_sym_STAR,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2794), 1,
      sym_identifier,
    ACTIONS(2802), 1,
      anon_sym_LBRACK,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(1261), 1,
      sym__declarator,
    STATE(1430), 1,
      sym__abstract_declarator,
    STATE(1443), 1,
      sym_parameter_list,
    STATE(1827), 1,
      sym_ms_based_modifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2923), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(985), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1442), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1322), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [36205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(1207), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [36247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(1203), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [36289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(1203), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [36331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(1191), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [36373] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_const,
    ACTIONS(1907), 1,
      anon_sym_LPAREN2,
    ACTIONS(1909), 1,
      anon_sym_STAR,
    ACTIONS(2798), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2802), 1,
      anon_sym_LBRACK,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(999), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1414), 1,
      sym__abstract_declarator,
    STATE(1443), 1,
      sym_parameter_list,
    ACTIONS(2927), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(2929), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2931), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(962), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1077), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2804), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1442), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(2925), 8,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [36445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(1191), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [36487] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_const,
    ACTIONS(1907), 1,
      anon_sym_LPAREN2,
    ACTIONS(1909), 1,
      anon_sym_STAR,
    ACTIONS(2798), 1,
      sym_ms_restrict_modifier,
    ACTIONS(2802), 1,
      anon_sym_LBRACK,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(999), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1402), 1,
      sym__abstract_declarator,
    STATE(1443), 1,
      sym_parameter_list,
    ACTIONS(2927), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(2929), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(2931), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(919), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1082), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2796), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1442), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(2925), 8,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [36559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2935), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(2933), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [36601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2937), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(2811), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [36643] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2941), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(2939), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [36685] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1213), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(1211), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [36727] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2406), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2943), 1,
      anon_sym_typedef,
    ACTIONS(2404), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [36771] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2406), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2945), 1,
      anon_sym_typedef,
    ACTIONS(2404), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [36815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1133), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(1131), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [36857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1133), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(1131), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [36899] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2406), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2947), 1,
      anon_sym_typedef,
    ACTIONS(2404), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [36943] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      anon_sym_LPAREN2,
    ACTIONS(1781), 1,
      anon_sym_STAR,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2794), 1,
      sym_identifier,
    ACTIONS(2802), 1,
      anon_sym_LBRACK,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(1265), 1,
      sym__declarator,
    STATE(1414), 1,
      sym__abstract_declarator,
    STATE(1443), 1,
      sym_parameter_list,
    STATE(1827), 1,
      sym_ms_based_modifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2804), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(985), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1442), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1322), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [37013] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1137), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(1135), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [37055] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2406), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2949), 1,
      anon_sym_typedef,
    ACTIONS(2404), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [37099] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2951), 1,
      sym_identifier,
    ACTIONS(2953), 1,
      anon_sym_LPAREN2,
    ACTIONS(2955), 1,
      anon_sym_STAR,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(999), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1303), 1,
      sym__field_declarator,
    STATE(1732), 1,
      sym_ms_based_modifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2800), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(962), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1086), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2798), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1349), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [37166] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2951), 1,
      sym_identifier,
    ACTIONS(2953), 1,
      anon_sym_LPAREN2,
    ACTIONS(2955), 1,
      anon_sym_STAR,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(999), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1295), 1,
      sym__field_declarator,
    STATE(1732), 1,
      sym_ms_based_modifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2800), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(962), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1089), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2798), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1349), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [37233] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2617), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(2961), 1,
      anon_sym_SLASH,
    ACTIONS(2963), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2965), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2967), 1,
      anon_sym_PIPE,
    ACTIONS(2969), 1,
      anon_sym_CARET,
    ACTIONS(2971), 1,
      anon_sym_AMP,
    ACTIONS(2981), 1,
      anon_sym_QMARK,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2957), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2959), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2973), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2975), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2977), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2979), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2615), 6,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [37310] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2794), 1,
      sym_identifier,
    ACTIONS(2983), 1,
      anon_sym_LPAREN2,
    ACTIONS(2985), 1,
      anon_sym_STAR,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(999), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1265), 1,
      sym__declarator,
    STATE(1827), 1,
      sym_ms_based_modifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2800), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(953), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1087), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2798), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1322), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [37377] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2951), 1,
      sym_identifier,
    ACTIONS(2953), 1,
      anon_sym_LPAREN2,
    ACTIONS(2955), 1,
      anon_sym_STAR,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(999), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1295), 1,
      sym__field_declarator,
    STATE(1732), 1,
      sym_ms_based_modifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2800), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(934), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1089), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2798), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1349), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [37444] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2961), 1,
      anon_sym_SLASH,
    ACTIONS(2963), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2965), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2967), 1,
      anon_sym_PIPE,
    ACTIONS(2969), 1,
      anon_sym_CARET,
    ACTIONS(2971), 1,
      anon_sym_AMP,
    ACTIONS(2981), 1,
      anon_sym_QMARK,
    ACTIONS(2989), 1,
      aux_sym_preproc_elif_token1,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2957), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2959), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2973), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2975), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2977), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2979), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2987), 6,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [37521] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2961), 1,
      anon_sym_SLASH,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2957), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2959), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2376), 5,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2378), 16,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      sym_identifier,
  [37578] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2551), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(2961), 1,
      anon_sym_SLASH,
    ACTIONS(2963), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2965), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2967), 1,
      anon_sym_PIPE,
    ACTIONS(2969), 1,
      anon_sym_CARET,
    ACTIONS(2971), 1,
      anon_sym_AMP,
    ACTIONS(2981), 1,
      anon_sym_QMARK,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2957), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2959), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2973), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2975), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2977), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2979), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2549), 6,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [37655] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2587), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(2961), 1,
      anon_sym_SLASH,
    ACTIONS(2963), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2965), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2967), 1,
      anon_sym_PIPE,
    ACTIONS(2969), 1,
      anon_sym_CARET,
    ACTIONS(2971), 1,
      anon_sym_AMP,
    ACTIONS(2981), 1,
      anon_sym_QMARK,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2957), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2959), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2973), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2975), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2977), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2979), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2585), 6,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [37732] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2794), 1,
      sym_identifier,
    ACTIONS(2983), 1,
      anon_sym_LPAREN2,
    ACTIONS(2985), 1,
      anon_sym_STAR,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(999), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1265), 1,
      sym__declarator,
    STATE(1827), 1,
      sym_ms_based_modifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2800), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(962), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1087), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2798), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1322), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [37799] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2961), 1,
      anon_sym_SLASH,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2957), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2959), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2975), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2977), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2979), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2376), 3,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(2378), 12,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      sym_identifier,
  [37862] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2376), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(2961), 1,
      anon_sym_SLASH,
    ACTIONS(2965), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2967), 1,
      anon_sym_PIPE,
    ACTIONS(2969), 1,
      anon_sym_CARET,
    ACTIONS(2971), 1,
      anon_sym_AMP,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2957), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2959), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2973), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2975), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2977), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2979), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2378), 8,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      sym_identifier,
  [37935] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2961), 1,
      anon_sym_SLASH,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2959), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2376), 7,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2378), 16,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      sym_identifier,
  [37990] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2376), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(2961), 1,
      anon_sym_SLASH,
    ACTIONS(2967), 1,
      anon_sym_PIPE,
    ACTIONS(2969), 1,
      anon_sym_CARET,
    ACTIONS(2971), 1,
      anon_sym_AMP,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2957), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2959), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2973), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2975), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2977), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2979), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2378), 9,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      sym_identifier,
  [38061] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2961), 1,
      anon_sym_SLASH,
    ACTIONS(2969), 1,
      anon_sym_CARET,
    ACTIONS(2971), 1,
      anon_sym_AMP,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2376), 2,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
    ACTIONS(2957), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2959), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2973), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2975), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2977), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2979), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2378), 9,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      sym_identifier,
  [38130] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2961), 1,
      anon_sym_SLASH,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2957), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2959), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2979), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2376), 5,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2378), 14,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      sym_identifier,
  [38189] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2961), 1,
      anon_sym_SLASH,
    ACTIONS(2971), 1,
      anon_sym_AMP,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2376), 2,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
    ACTIONS(2957), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2959), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2973), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2975), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2977), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2979), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2378), 10,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      sym_identifier,
  [38256] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2961), 1,
      anon_sym_SLASH,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2957), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2959), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2973), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2975), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2977), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2979), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2376), 3,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(2378), 10,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      sym_identifier,
  [38321] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2794), 1,
      sym_identifier,
    ACTIONS(2983), 1,
      anon_sym_LPAREN2,
    ACTIONS(2985), 1,
      anon_sym_STAR,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(999), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1259), 1,
      sym__declarator,
    STATE(1827), 1,
      sym_ms_based_modifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2800), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(943), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1085), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2798), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1322), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [38388] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2794), 1,
      sym_identifier,
    ACTIONS(2983), 1,
      anon_sym_LPAREN2,
    ACTIONS(2985), 1,
      anon_sym_STAR,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(999), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1261), 1,
      sym__declarator,
    STATE(1827), 1,
      sym_ms_based_modifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2800), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(962), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1084), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2798), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1322), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [38455] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2951), 1,
      sym_identifier,
    ACTIONS(2953), 1,
      anon_sym_LPAREN2,
    ACTIONS(2955), 1,
      anon_sym_STAR,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(999), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1291), 1,
      sym__field_declarator,
    STATE(1732), 1,
      sym_ms_based_modifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(2800), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(935), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1088), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2798), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1349), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [38522] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2376), 6,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2378), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [38576] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2378), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [38646] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2376), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2378), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [38704] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2376), 1,
      anon_sym_PIPE,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2378), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [38770] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2615), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [38844] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2376), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2378), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [38908] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2549), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [38982] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(999), 1,
      sym_ms_unaligned_ptr_modifier,
    ACTIONS(3024), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(962), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3021), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(3019), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(3017), 18,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [39030] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2585), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [39104] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2376), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2378), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [39160] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2376), 1,
      anon_sym_PIPE,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2378), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [39228] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2378), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [39296] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2376), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2378), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [39358] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1696), 1,
      anon_sym_enum,
    ACTIONS(1849), 1,
      sym_identifier,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(1073), 1,
      sym_type_specifier,
    STATE(1091), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1856), 1,
      sym_type_descriptor,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(983), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1694), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(771), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [39421] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1696), 1,
      anon_sym_enum,
    ACTIONS(1849), 1,
      sym_identifier,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(1073), 1,
      sym_type_specifier,
    STATE(1091), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1850), 1,
      sym_type_descriptor,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(983), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1694), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(771), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [39484] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1696), 1,
      anon_sym_enum,
    ACTIONS(1849), 1,
      sym_identifier,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(1073), 1,
      sym_type_specifier,
    STATE(1091), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1753), 1,
      sym_type_descriptor,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(983), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1694), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(771), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [39547] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1696), 1,
      anon_sym_enum,
    ACTIONS(3027), 1,
      sym_identifier,
    ACTIONS(3031), 1,
      sym_primitive_type,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(1092), 1,
      sym_type_specifier,
    STATE(1121), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1237), 1,
      sym__type_definition_type,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(987), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3029), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(771), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [39610] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1696), 1,
      anon_sym_enum,
    ACTIONS(3027), 1,
      sym_identifier,
    ACTIONS(3031), 1,
      sym_primitive_type,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(1092), 1,
      sym_type_specifier,
    STATE(1121), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1233), 1,
      sym__type_definition_type,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(987), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3029), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(771), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [39673] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1849), 1,
      sym_identifier,
    ACTIONS(3033), 1,
      anon_sym_enum,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(1073), 1,
      sym_type_specifier,
    STATE(1091), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1835), 1,
      sym_type_descriptor,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(990), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1694), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(771), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [39736] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1696), 1,
      anon_sym_enum,
    ACTIONS(3027), 1,
      sym_identifier,
    ACTIONS(3031), 1,
      sym_primitive_type,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(1092), 1,
      sym_type_specifier,
    STATE(1121), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1235), 1,
      sym__type_definition_type,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(987), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3029), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(771), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [39799] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1696), 1,
      anon_sym_enum,
    ACTIONS(3027), 1,
      sym_identifier,
    ACTIONS(3031), 1,
      sym_primitive_type,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(1092), 1,
      sym_type_specifier,
    STATE(1121), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1236), 1,
      sym__type_definition_type,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(987), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3029), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(771), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [39862] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1696), 1,
      anon_sym_enum,
    ACTIONS(3027), 1,
      sym_identifier,
    ACTIONS(3031), 1,
      sym_primitive_type,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(1092), 1,
      sym_type_specifier,
    STATE(1121), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1238), 1,
      sym__type_definition_type,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(987), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3029), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(771), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [39925] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1696), 1,
      anon_sym_enum,
    ACTIONS(3027), 1,
      sym_identifier,
    ACTIONS(3031), 1,
      sym_primitive_type,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(1092), 1,
      sym_type_specifier,
    STATE(1121), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1239), 1,
      sym__type_definition_type,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(987), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3029), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(771), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [39988] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1696), 1,
      anon_sym_enum,
    ACTIONS(3027), 1,
      sym_identifier,
    ACTIONS(3031), 1,
      sym_primitive_type,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(1092), 1,
      sym_type_specifier,
    STATE(1121), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1240), 1,
      sym__type_definition_type,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(987), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3029), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(771), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [40051] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1696), 1,
      anon_sym_enum,
    ACTIONS(3027), 1,
      sym_identifier,
    ACTIONS(3031), 1,
      sym_primitive_type,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(1092), 1,
      sym_type_specifier,
    STATE(1121), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1234), 1,
      sym__type_definition_type,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(987), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3029), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(771), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [40114] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1849), 1,
      sym_identifier,
    ACTIONS(3033), 1,
      anon_sym_enum,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(1073), 1,
      sym_type_specifier,
    STATE(1091), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1927), 1,
      sym_type_descriptor,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(990), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1694), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(771), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [40177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3035), 11,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
    ACTIONS(3037), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
  [40215] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2888), 1,
      sym_identifier,
    ACTIONS(2890), 1,
      anon_sym_LPAREN2,
    ACTIONS(2892), 1,
      anon_sym_STAR,
    ACTIONS(2896), 1,
      sym_primitive_type,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(1321), 1,
      sym__type_declarator,
    STATE(1842), 1,
      sym_ms_based_modifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(985), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2894), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1382), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [40275] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1696), 1,
      anon_sym_enum,
    ACTIONS(1849), 1,
      sym_identifier,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(1083), 1,
      sym_type_specifier,
    STATE(1091), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(985), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1694), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(771), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [40335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3039), 11,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
    ACTIONS(3041), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
  [40373] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(708), 1,
      sym_alignas_qualifier,
    ACTIONS(3050), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(985), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3045), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(3047), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(3043), 10,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [40419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3053), 11,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
    ACTIONS(3055), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
  [40457] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1696), 1,
      anon_sym_enum,
    ACTIONS(3027), 1,
      sym_identifier,
    ACTIONS(3031), 1,
      sym_primitive_type,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(1093), 1,
      sym_type_specifier,
    STATE(1121), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(985), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3029), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(771), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [40517] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2888), 1,
      sym_identifier,
    ACTIONS(2890), 1,
      anon_sym_LPAREN2,
    ACTIONS(2892), 1,
      anon_sym_STAR,
    ACTIONS(2896), 1,
      sym_primitive_type,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(1323), 1,
      sym__type_declarator,
    STATE(1842), 1,
      sym_ms_based_modifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(985), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2894), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1382), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [40577] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2888), 1,
      sym_identifier,
    ACTIONS(2890), 1,
      anon_sym_LPAREN2,
    ACTIONS(2892), 1,
      anon_sym_STAR,
    ACTIONS(2896), 1,
      sym_primitive_type,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(1310), 1,
      sym__type_declarator,
    STATE(1842), 1,
      sym_ms_based_modifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(985), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2894), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1382), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [40637] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      sym_primitive_type,
    ACTIONS(55), 1,
      anon_sym_struct,
    ACTIONS(57), 1,
      anon_sym_union,
    ACTIONS(1849), 1,
      sym_identifier,
    ACTIONS(3033), 1,
      anon_sym_enum,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(1083), 1,
      sym_type_specifier,
    STATE(1091), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(985), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1694), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(771), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [40697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3057), 11,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
    ACTIONS(3059), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
  [40735] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3061), 1,
      anon_sym_COMMA,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3063), 3,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
  [40809] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3065), 1,
      anon_sym_COMMA,
    ACTIONS(3067), 1,
      anon_sym_RBRACE,
    STATE(677), 1,
      sym_argument_list,
    STATE(1594), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [40884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3071), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(3069), 23,
      anon_sym___extension__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [40921] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3073), 1,
      anon_sym_COMMA,
    ACTIONS(3075), 1,
      anon_sym_RPAREN,
    STATE(677), 1,
      sym_argument_list,
    STATE(1588), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [40996] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3077), 1,
      anon_sym_COMMA,
    ACTIONS(3079), 1,
      anon_sym_RPAREN,
    STATE(677), 1,
      sym_argument_list,
    STATE(1577), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [41071] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3073), 1,
      anon_sym_COMMA,
    ACTIONS(3081), 1,
      anon_sym_RPAREN,
    STATE(677), 1,
      sym_argument_list,
    STATE(1586), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [41146] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3073), 1,
      anon_sym_COMMA,
    ACTIONS(3083), 1,
      anon_sym_RPAREN,
    STATE(677), 1,
      sym_argument_list,
    STATE(1629), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [41221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3087), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(3085), 23,
      anon_sym___extension__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [41258] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3089), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [41329] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3073), 1,
      anon_sym_COMMA,
    ACTIONS(3091), 1,
      anon_sym_RPAREN,
    STATE(677), 1,
      sym_argument_list,
    STATE(1561), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [41404] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3061), 1,
      anon_sym_COMMA,
    ACTIONS(3093), 1,
      anon_sym_SEMI,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [41476] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(2790), 1,
      anon_sym_LBRACE,
    STATE(781), 1,
      sym_attribute_specifier,
    STATE(1080), 1,
      sym_enumerator_list,
    ACTIONS(2832), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(2830), 18,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [41520] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3061), 1,
      anon_sym_COMMA,
    ACTIONS(3095), 1,
      anon_sym_SEMI,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [41592] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3061), 1,
      anon_sym_COMMA,
    ACTIONS(3097), 1,
      anon_sym_COLON,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [41664] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2358), 1,
      anon_sym_DASH_GT,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(2839), 1,
      anon_sym_DOT,
    ACTIONS(3103), 1,
      anon_sym_SLASH,
    ACTIONS(3105), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3107), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3109), 1,
      anon_sym_PIPE,
    ACTIONS(3111), 1,
      anon_sym_CARET,
    ACTIONS(3113), 1,
      anon_sym_AMP,
    ACTIONS(3123), 1,
      anon_sym_QMARK,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2615), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
    ACTIONS(3099), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3101), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3115), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3117), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3119), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3121), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [41736] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3125), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [41806] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3127), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [41876] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(2790), 1,
      anon_sym_LBRACE,
    ACTIONS(3129), 1,
      anon_sym_COLON,
    STATE(767), 1,
      sym_attribute_specifier,
    STATE(1081), 1,
      sym_enumerator_list,
    ACTIONS(2785), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
    ACTIONS(2783), 18,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [41922] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3131), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [41992] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3061), 1,
      anon_sym_COMMA,
    ACTIONS(3133), 1,
      anon_sym_SEMI,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42064] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2358), 1,
      anon_sym_DASH_GT,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(2839), 1,
      anon_sym_DOT,
    ACTIONS(3103), 1,
      anon_sym_SLASH,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3101), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2376), 6,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2378), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [42116] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3061), 1,
      anon_sym_COMMA,
    ACTIONS(3135), 1,
      anon_sym_SEMI,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42188] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3061), 1,
      anon_sym_COMMA,
    ACTIONS(3137), 1,
      anon_sym_SEMI,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42260] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3139), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [42330] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2358), 1,
      anon_sym_DASH_GT,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(2839), 1,
      anon_sym_DOT,
    ACTIONS(3103), 1,
      anon_sym_SLASH,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3099), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3101), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3121), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2376), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2378), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [42386] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3061), 1,
      anon_sym_COMMA,
    ACTIONS(3141), 1,
      anon_sym_SEMI,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42458] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3061), 1,
      anon_sym_COMMA,
    ACTIONS(3143), 1,
      anon_sym_SEMI,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42530] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3061), 1,
      anon_sym_COMMA,
    ACTIONS(3145), 1,
      anon_sym_SEMI,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42602] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3061), 1,
      anon_sym_COMMA,
    ACTIONS(3147), 1,
      anon_sym_COLON,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42674] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3061), 1,
      anon_sym_COMMA,
    ACTIONS(3149), 1,
      anon_sym_RPAREN,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42746] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3061), 1,
      anon_sym_COMMA,
    ACTIONS(3151), 1,
      anon_sym_RPAREN,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42818] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3061), 1,
      anon_sym_COMMA,
    ACTIONS(3153), 1,
      anon_sym_COLON,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42890] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3061), 1,
      anon_sym_COMMA,
    ACTIONS(3155), 1,
      anon_sym_RPAREN,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42962] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3061), 1,
      anon_sym_COMMA,
    ACTIONS(3157), 1,
      anon_sym_RPAREN,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43034] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2358), 1,
      anon_sym_DASH_GT,
    ACTIONS(2376), 1,
      anon_sym_PIPE,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(2839), 1,
      anon_sym_DOT,
    ACTIONS(3103), 1,
      anon_sym_SLASH,
    ACTIONS(3111), 1,
      anon_sym_CARET,
    ACTIONS(3113), 1,
      anon_sym_AMP,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3099), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3101), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3115), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3117), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3119), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3121), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2378), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [43100] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3159), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [43170] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3061), 1,
      anon_sym_COMMA,
    ACTIONS(3161), 1,
      anon_sym_RPAREN,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43242] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3061), 1,
      anon_sym_COMMA,
    ACTIONS(3163), 1,
      anon_sym_SEMI,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43314] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2358), 1,
      anon_sym_DASH_GT,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(2839), 1,
      anon_sym_DOT,
    ACTIONS(3103), 1,
      anon_sym_SLASH,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2376), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3099), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3101), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3117), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3119), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3121), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2378), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [43374] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3165), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [43444] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3061), 1,
      anon_sym_COMMA,
    ACTIONS(3167), 1,
      anon_sym_RPAREN,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43516] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3061), 1,
      anon_sym_COMMA,
    ACTIONS(3169), 1,
      anon_sym_SEMI,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43588] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3061), 1,
      anon_sym_COMMA,
    ACTIONS(3171), 1,
      anon_sym_SEMI,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43660] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3061), 1,
      anon_sym_COMMA,
    ACTIONS(3173), 1,
      anon_sym_COLON,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43732] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2987), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43802] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2358), 1,
      anon_sym_DASH_GT,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(2839), 1,
      anon_sym_DOT,
    ACTIONS(3103), 1,
      anon_sym_SLASH,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2376), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3099), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3101), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3115), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3117), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3119), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3121), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2378), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [43864] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2358), 1,
      anon_sym_DASH_GT,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(2839), 1,
      anon_sym_DOT,
    ACTIONS(3103), 1,
      anon_sym_SLASH,
    ACTIONS(3105), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3107), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3109), 1,
      anon_sym_PIPE,
    ACTIONS(3111), 1,
      anon_sym_CARET,
    ACTIONS(3113), 1,
      anon_sym_AMP,
    ACTIONS(3123), 1,
      anon_sym_QMARK,
    ACTIONS(3175), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(3177), 1,
      anon_sym_RBRACK,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3099), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3101), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3115), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3117), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3119), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3121), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43938] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3061), 1,
      anon_sym_COMMA,
    ACTIONS(3179), 1,
      anon_sym_RPAREN,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44010] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2358), 1,
      anon_sym_DASH_GT,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(2839), 1,
      anon_sym_DOT,
    ACTIONS(3103), 1,
      anon_sym_SLASH,
    ACTIONS(3107), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3109), 1,
      anon_sym_PIPE,
    ACTIONS(3111), 1,
      anon_sym_CARET,
    ACTIONS(3113), 1,
      anon_sym_AMP,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3099), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3101), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3115), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3117), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3119), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3121), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2378), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [44078] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3061), 1,
      anon_sym_COMMA,
    ACTIONS(3181), 1,
      anon_sym_COLON,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44150] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2358), 1,
      anon_sym_DASH_GT,
    ACTIONS(2376), 1,
      anon_sym_PIPE,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(2839), 1,
      anon_sym_DOT,
    ACTIONS(3103), 1,
      anon_sym_SLASH,
    ACTIONS(3113), 1,
      anon_sym_AMP,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3099), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3101), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3115), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3117), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3119), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3121), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2378), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [44214] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2358), 1,
      anon_sym_DASH_GT,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(2839), 1,
      anon_sym_DOT,
    ACTIONS(3103), 1,
      anon_sym_SLASH,
    ACTIONS(3105), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3107), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3109), 1,
      anon_sym_PIPE,
    ACTIONS(3111), 1,
      anon_sym_CARET,
    ACTIONS(3113), 1,
      anon_sym_AMP,
    ACTIONS(3123), 1,
      anon_sym_QMARK,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2549), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
    ACTIONS(3099), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3101), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3115), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3117), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3119), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3121), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44286] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3061), 1,
      anon_sym_COMMA,
    ACTIONS(3183), 1,
      anon_sym_RPAREN,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44358] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2358), 1,
      anon_sym_DASH_GT,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(2839), 1,
      anon_sym_DOT,
    ACTIONS(3103), 1,
      anon_sym_SLASH,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3099), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3101), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2376), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2378), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [44412] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3061), 1,
      anon_sym_COMMA,
    ACTIONS(3185), 1,
      anon_sym_COLON,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44484] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3187), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [44554] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2358), 1,
      anon_sym_DASH_GT,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(2839), 1,
      anon_sym_DOT,
    ACTIONS(3103), 1,
      anon_sym_SLASH,
    ACTIONS(3109), 1,
      anon_sym_PIPE,
    ACTIONS(3111), 1,
      anon_sym_CARET,
    ACTIONS(3113), 1,
      anon_sym_AMP,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3099), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3101), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3115), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3117), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3119), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3121), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2378), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [44620] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3061), 1,
      anon_sym_COMMA,
    ACTIONS(3189), 1,
      anon_sym_SEMI,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44692] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2358), 1,
      anon_sym_DASH_GT,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(2839), 1,
      anon_sym_DOT,
    ACTIONS(3103), 1,
      anon_sym_SLASH,
    ACTIONS(3105), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3107), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3109), 1,
      anon_sym_PIPE,
    ACTIONS(3111), 1,
      anon_sym_CARET,
    ACTIONS(3113), 1,
      anon_sym_AMP,
    ACTIONS(3123), 1,
      anon_sym_QMARK,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2585), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
    ACTIONS(3099), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3101), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3115), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3117), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3119), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3121), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44764] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3191), 1,
      anon_sym_RPAREN,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44833] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2109), 1,
      anon_sym_RBRACK,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(3103), 1,
      anon_sym_SLASH,
    ACTIONS(3105), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3107), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3109), 1,
      anon_sym_PIPE,
    ACTIONS(3111), 1,
      anon_sym_CARET,
    ACTIONS(3113), 1,
      anon_sym_AMP,
    ACTIONS(3123), 1,
      anon_sym_QMARK,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3099), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3101), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3115), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3117), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3119), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3121), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44902] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2107), 1,
      anon_sym_RBRACK,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(3103), 1,
      anon_sym_SLASH,
    ACTIONS(3105), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3107), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3109), 1,
      anon_sym_PIPE,
    ACTIONS(3111), 1,
      anon_sym_CARET,
    ACTIONS(3113), 1,
      anon_sym_AMP,
    ACTIONS(3123), 1,
      anon_sym_QMARK,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3099), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3101), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3115), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3117), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3119), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3121), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [44971] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2105), 1,
      anon_sym_RBRACK,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(3103), 1,
      anon_sym_SLASH,
    ACTIONS(3105), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3107), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3109), 1,
      anon_sym_PIPE,
    ACTIONS(3111), 1,
      anon_sym_CARET,
    ACTIONS(3113), 1,
      anon_sym_AMP,
    ACTIONS(3123), 1,
      anon_sym_QMARK,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3099), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3101), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3115), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3117), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3119), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3121), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45040] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3193), 1,
      anon_sym_RPAREN,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45109] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3195), 1,
      anon_sym_RPAREN,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45178] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3197), 1,
      anon_sym_COLON,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45247] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3199), 1,
      anon_sym_COMMA,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45316] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2097), 1,
      anon_sym_RBRACK,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(3103), 1,
      anon_sym_SLASH,
    ACTIONS(3105), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3107), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3109), 1,
      anon_sym_PIPE,
    ACTIONS(3111), 1,
      anon_sym_CARET,
    ACTIONS(3113), 1,
      anon_sym_AMP,
    ACTIONS(3123), 1,
      anon_sym_QMARK,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3099), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3101), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3115), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3117), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3119), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3121), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45385] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3201), 1,
      anon_sym_RPAREN,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45454] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2111), 1,
      anon_sym_RBRACK,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(3103), 1,
      anon_sym_SLASH,
    ACTIONS(3105), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3107), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3109), 1,
      anon_sym_PIPE,
    ACTIONS(3111), 1,
      anon_sym_CARET,
    ACTIONS(3113), 1,
      anon_sym_AMP,
    ACTIONS(3123), 1,
      anon_sym_QMARK,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3099), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3101), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3115), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3117), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3119), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3121), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45523] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(3103), 1,
      anon_sym_SLASH,
    ACTIONS(3105), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3107), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3109), 1,
      anon_sym_PIPE,
    ACTIONS(3111), 1,
      anon_sym_CARET,
    ACTIONS(3113), 1,
      anon_sym_AMP,
    ACTIONS(3123), 1,
      anon_sym_QMARK,
    ACTIONS(3203), 1,
      anon_sym_RBRACK,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3099), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3101), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3115), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3117), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3119), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3121), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45592] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2093), 1,
      anon_sym_RBRACK,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(3103), 1,
      anon_sym_SLASH,
    ACTIONS(3105), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3107), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3109), 1,
      anon_sym_PIPE,
    ACTIONS(3111), 1,
      anon_sym_CARET,
    ACTIONS(3113), 1,
      anon_sym_AMP,
    ACTIONS(3123), 1,
      anon_sym_QMARK,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3099), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3101), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3115), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3117), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3119), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3121), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45661] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2099), 1,
      anon_sym_RBRACK,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(3103), 1,
      anon_sym_SLASH,
    ACTIONS(3105), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3107), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3109), 1,
      anon_sym_PIPE,
    ACTIONS(3111), 1,
      anon_sym_CARET,
    ACTIONS(3113), 1,
      anon_sym_AMP,
    ACTIONS(3123), 1,
      anon_sym_QMARK,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3099), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3101), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3115), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3117), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3119), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3121), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45730] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3205), 1,
      anon_sym_COLON,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45799] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3207), 1,
      anon_sym_COLON,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45868] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 1,
      anon_sym_RBRACK,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(3103), 1,
      anon_sym_SLASH,
    ACTIONS(3105), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3107), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3109), 1,
      anon_sym_PIPE,
    ACTIONS(3111), 1,
      anon_sym_CARET,
    ACTIONS(3113), 1,
      anon_sym_AMP,
    ACTIONS(3123), 1,
      anon_sym_QMARK,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3099), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3101), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3115), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3117), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3119), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3121), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45937] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(3103), 1,
      anon_sym_SLASH,
    ACTIONS(3105), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3107), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3109), 1,
      anon_sym_PIPE,
    ACTIONS(3111), 1,
      anon_sym_CARET,
    ACTIONS(3113), 1,
      anon_sym_AMP,
    ACTIONS(3123), 1,
      anon_sym_QMARK,
    ACTIONS(3209), 1,
      anon_sym_RBRACK,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3099), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3101), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3115), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3117), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3119), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3121), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [46006] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3211), 1,
      anon_sym_COLON,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [46075] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym_RBRACK,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(3103), 1,
      anon_sym_SLASH,
    ACTIONS(3105), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3107), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3109), 1,
      anon_sym_PIPE,
    ACTIONS(3111), 1,
      anon_sym_CARET,
    ACTIONS(3113), 1,
      anon_sym_AMP,
    ACTIONS(3123), 1,
      anon_sym_QMARK,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3099), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3101), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3115), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3117), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3119), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3121), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [46144] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    ACTIONS(3213), 1,
      anon_sym_COLON,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [46213] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      anon_sym_RBRACK,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    ACTIONS(3103), 1,
      anon_sym_SLASH,
    ACTIONS(3105), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3107), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3109), 1,
      anon_sym_PIPE,
    ACTIONS(3111), 1,
      anon_sym_CARET,
    ACTIONS(3113), 1,
      anon_sym_AMP,
    ACTIONS(3123), 1,
      anon_sym_QMARK,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3099), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3101), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3115), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3117), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3119), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3121), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [46282] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_const,
    ACTIONS(1907), 1,
      anon_sym_LPAREN2,
    ACTIONS(1909), 1,
      anon_sym_STAR,
    ACTIONS(2802), 1,
      anon_sym_LBRACK,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(1425), 1,
      sym__abstract_declarator,
    STATE(1443), 1,
      sym_parameter_list,
    ACTIONS(2931), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1075), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3215), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1442), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(2925), 8,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46336] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_const,
    ACTIONS(1907), 1,
      anon_sym_LPAREN2,
    ACTIONS(1909), 1,
      anon_sym_STAR,
    ACTIONS(2802), 1,
      anon_sym_LBRACK,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(1419), 1,
      sym__abstract_declarator,
    STATE(1443), 1,
      sym_parameter_list,
    ACTIONS(2931), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(985), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3217), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1442), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(2925), 8,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46390] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_const,
    ACTIONS(1907), 1,
      anon_sym_LPAREN2,
    ACTIONS(1909), 1,
      anon_sym_STAR,
    ACTIONS(2802), 1,
      anon_sym_LBRACK,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(1412), 1,
      sym__abstract_declarator,
    STATE(1443), 1,
      sym_parameter_list,
    ACTIONS(2931), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(985), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3219), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1442), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(2925), 8,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46444] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2898), 1,
      anon_sym_SEMI,
    ACTIONS(1724), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1718), 18,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [46480] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_const,
    ACTIONS(1907), 1,
      anon_sym_LPAREN2,
    ACTIONS(1909), 1,
      anon_sym_STAR,
    ACTIONS(2802), 1,
      anon_sym_LBRACK,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(1430), 1,
      sym__abstract_declarator,
    STATE(1443), 1,
      sym_parameter_list,
    ACTIONS(2931), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(985), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2923), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1442), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(2925), 8,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46534] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(2354), 1,
      anon_sym_LBRACK,
    ACTIONS(2993), 1,
      anon_sym_SLASH,
    ACTIONS(2997), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2999), 1,
      anon_sym_PIPE,
    ACTIONS(3001), 1,
      anon_sym_CARET,
    ACTIONS(3003), 1,
      anon_sym_AMP,
    ACTIONS(3013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3015), 1,
      anon_sym_QMARK,
    STATE(677), 1,
      sym_argument_list,
    ACTIONS(2356), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2358), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2991), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2995), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3005), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3007), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3009), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3011), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [46600] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(772), 1,
      sym_attribute_specifier,
    ACTIONS(2869), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(2867), 18,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [46638] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(780), 1,
      sym_attribute_specifier,
    ACTIONS(2883), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(2881), 18,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [46676] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(746), 1,
      sym_attribute_specifier,
    ACTIONS(2876), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(2874), 18,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [46714] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_const,
    ACTIONS(1907), 1,
      anon_sym_LPAREN2,
    ACTIONS(1909), 1,
      anon_sym_STAR,
    ACTIONS(2802), 1,
      anon_sym_LBRACK,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(1414), 1,
      sym__abstract_declarator,
    STATE(1443), 1,
      sym_parameter_list,
    ACTIONS(2931), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(985), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2804), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1442), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(2925), 8,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46768] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_const,
    ACTIONS(1907), 1,
      anon_sym_LPAREN2,
    ACTIONS(1909), 1,
      anon_sym_STAR,
    ACTIONS(2802), 1,
      anon_sym_LBRACK,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(1413), 1,
      sym__abstract_declarator,
    STATE(1443), 1,
      sym_parameter_list,
    ACTIONS(2931), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(1074), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3221), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1442), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(2925), 8,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46822] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2794), 1,
      sym_identifier,
    ACTIONS(2983), 1,
      anon_sym_LPAREN2,
    ACTIONS(2985), 1,
      anon_sym_STAR,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(1264), 1,
      sym__declarator,
    STATE(1827), 1,
      sym_ms_based_modifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(985), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1322), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46873] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2794), 1,
      sym_identifier,
    ACTIONS(2983), 1,
      anon_sym_LPAREN2,
    ACTIONS(2985), 1,
      anon_sym_STAR,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(1265), 1,
      sym__declarator,
    STATE(1827), 1,
      sym_ms_based_modifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(985), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1322), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46924] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2951), 1,
      sym_identifier,
    ACTIONS(2953), 1,
      anon_sym_LPAREN2,
    ACTIONS(2955), 1,
      anon_sym_STAR,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(1290), 1,
      sym__field_declarator,
    STATE(1732), 1,
      sym_ms_based_modifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(985), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1349), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46975] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2794), 1,
      sym_identifier,
    ACTIONS(2983), 1,
      anon_sym_LPAREN2,
    ACTIONS(2985), 1,
      anon_sym_STAR,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(1261), 1,
      sym__declarator,
    STATE(1827), 1,
      sym_ms_based_modifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(985), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1322), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [47026] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2951), 1,
      sym_identifier,
    ACTIONS(2953), 1,
      anon_sym_LPAREN2,
    ACTIONS(2955), 1,
      anon_sym_STAR,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(1295), 1,
      sym__field_declarator,
    STATE(1732), 1,
      sym_ms_based_modifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(985), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1349), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [47077] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2951), 1,
      sym_identifier,
    ACTIONS(2953), 1,
      anon_sym_LPAREN2,
    ACTIONS(2955), 1,
      anon_sym_STAR,
    STATE(708), 1,
      sym_alignas_qualifier,
    STATE(1303), 1,
      sym__field_declarator,
    STATE(1732), 1,
      sym_ms_based_modifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(985), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1349), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [47128] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(721), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2466), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(2470), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2596), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(2593), 11,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
  [47166] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2673), 1,
      sym_primitive_type,
    ACTIONS(3223), 1,
      sym_identifier,
    STATE(1090), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3225), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2667), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(2669), 11,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
  [47206] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(708), 1,
      sym_alignas_qualifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(3229), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(1096), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3227), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [47245] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(708), 1,
      sym_alignas_qualifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(3233), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(1095), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3231), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [47284] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2888), 1,
      sym_identifier,
    ACTIONS(2890), 1,
      anon_sym_LPAREN2,
    ACTIONS(2892), 1,
      anon_sym_STAR,
    ACTIONS(2896), 1,
      sym_primitive_type,
    STATE(1241), 1,
      sym_ms_call_modifier,
    STATE(1389), 1,
      sym__type_declarator,
    STATE(1842), 1,
      sym_ms_based_modifier,
    ACTIONS(2894), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1382), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [47333] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(708), 1,
      sym_alignas_qualifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(3237), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(985), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3235), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [47372] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(708), 1,
      sym_alignas_qualifier,
    ACTIONS(49), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(3241), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(985), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3239), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [47411] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    STATE(984), 1,
      sym_preproc_argument_list,
    ACTIONS(3247), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3243), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [47445] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2983), 1,
      anon_sym_LPAREN2,
    ACTIONS(2985), 1,
      anon_sym_STAR,
    ACTIONS(3249), 1,
      sym_identifier,
    STATE(633), 1,
      sym__old_style_function_declarator,
    STATE(1269), 1,
      sym_ms_call_modifier,
    STATE(1322), 1,
      sym_function_declarator,
    STATE(1326), 1,
      sym__declarator,
    STATE(1410), 1,
      sym__declaration_declarator,
    STATE(1511), 1,
      sym__function_declaration_declarator,
    STATE(1590), 1,
      sym_init_declarator,
    STATE(1827), 1,
      sym_ms_based_modifier,
    STATE(1347), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [47499] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2983), 1,
      anon_sym_LPAREN2,
    ACTIONS(2985), 1,
      anon_sym_STAR,
    ACTIONS(3249), 1,
      sym_identifier,
    STATE(640), 1,
      sym__old_style_function_declarator,
    STATE(1268), 1,
      sym_ms_call_modifier,
    STATE(1319), 1,
      sym__declarator,
    STATE(1322), 1,
      sym_function_declarator,
    STATE(1400), 1,
      sym__declaration_declarator,
    STATE(1511), 1,
      sym__function_declaration_declarator,
    STATE(1557), 1,
      sym_init_declarator,
    STATE(1827), 1,
      sym_ms_based_modifier,
    STATE(1347), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [47553] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2983), 1,
      anon_sym_LPAREN2,
    ACTIONS(2985), 1,
      anon_sym_STAR,
    ACTIONS(3249), 1,
      sym_identifier,
    STATE(650), 1,
      sym__old_style_function_declarator,
    STATE(1266), 1,
      sym_ms_call_modifier,
    STATE(1322), 1,
      sym_function_declarator,
    STATE(1324), 1,
      sym__declarator,
    STATE(1401), 1,
      sym__declaration_declarator,
    STATE(1511), 1,
      sym__function_declaration_declarator,
    STATE(1529), 1,
      sym_init_declarator,
    STATE(1827), 1,
      sym_ms_based_modifier,
    STATE(1347), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [47607] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2983), 1,
      anon_sym_LPAREN2,
    ACTIONS(2985), 1,
      anon_sym_STAR,
    ACTIONS(3249), 1,
      sym_identifier,
    STATE(642), 1,
      sym__old_style_function_declarator,
    STATE(1267), 1,
      sym_ms_call_modifier,
    STATE(1318), 1,
      sym__declarator,
    STATE(1322), 1,
      sym_function_declarator,
    STATE(1421), 1,
      sym__declaration_declarator,
    STATE(1511), 1,
      sym__function_declaration_declarator,
    STATE(1538), 1,
      sym_init_declarator,
    STATE(1827), 1,
      sym_ms_based_modifier,
    STATE(1347), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [47661] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3251), 1,
      anon_sym_COMMA,
    ACTIONS(3253), 1,
      anon_sym_RPAREN,
    ACTIONS(3259), 1,
      anon_sym_SLASH,
    ACTIONS(3261), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3263), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_AMP,
    STATE(1624), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(3255), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3257), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3271), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3273), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3275), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3277), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [47716] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2983), 1,
      anon_sym_LPAREN2,
    ACTIONS(2985), 1,
      anon_sym_STAR,
    ACTIONS(3249), 1,
      sym_identifier,
    STATE(1271), 1,
      sym_ms_call_modifier,
    STATE(1322), 1,
      sym_function_declarator,
    STATE(1397), 1,
      sym__declarator,
    STATE(1431), 1,
      sym__declaration_declarator,
    STATE(1511), 1,
      sym__function_declaration_declarator,
    STATE(1570), 1,
      sym_init_declarator,
    STATE(1827), 1,
      sym_ms_based_modifier,
    STATE(1347), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [47767] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1729), 1,
      anon_sym_STAR,
    ACTIONS(2619), 1,
      anon_sym_LPAREN2,
    STATE(1124), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3279), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(1716), 14,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [47802] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(721), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2545), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3282), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2543), 14,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [47835] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2983), 1,
      anon_sym_LPAREN2,
    ACTIONS(2985), 1,
      anon_sym_STAR,
    ACTIONS(3249), 1,
      sym_identifier,
    STATE(1269), 1,
      sym_ms_call_modifier,
    STATE(1322), 1,
      sym_function_declarator,
    STATE(1335), 1,
      sym__declarator,
    STATE(1410), 1,
      sym__declaration_declarator,
    STATE(1511), 1,
      sym__function_declaration_declarator,
    STATE(1590), 1,
      sym_init_declarator,
    STATE(1827), 1,
      sym_ms_based_modifier,
    STATE(1347), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [47886] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2983), 1,
      anon_sym_LPAREN2,
    ACTIONS(2985), 1,
      anon_sym_STAR,
    ACTIONS(3249), 1,
      sym_identifier,
    STATE(1258), 1,
      sym_ms_call_modifier,
    STATE(1322), 1,
      sym_function_declarator,
    STATE(1397), 1,
      sym__declarator,
    STATE(1400), 1,
      sym__declaration_declarator,
    STATE(1511), 1,
      sym__function_declaration_declarator,
    STATE(1557), 1,
      sym_init_declarator,
    STATE(1827), 1,
      sym_ms_based_modifier,
    STATE(1347), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [47937] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3285), 1,
      sym_identifier,
    ACTIONS(3287), 1,
      anon_sym_RPAREN,
    ACTIONS(3289), 1,
      anon_sym_LPAREN2,
    ACTIONS(3291), 1,
      anon_sym_defined,
    ACTIONS(3297), 1,
      sym_number_literal,
    ACTIONS(3293), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3295), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3299), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1102), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [47980] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2983), 1,
      anon_sym_LPAREN2,
    ACTIONS(2985), 1,
      anon_sym_STAR,
    ACTIONS(3249), 1,
      sym_identifier,
    STATE(1275), 1,
      sym_ms_call_modifier,
    STATE(1322), 1,
      sym_function_declarator,
    STATE(1397), 1,
      sym__declarator,
    STATE(1401), 1,
      sym__declaration_declarator,
    STATE(1511), 1,
      sym__function_declaration_declarator,
    STATE(1529), 1,
      sym_init_declarator,
    STATE(1827), 1,
      sym_ms_based_modifier,
    STATE(1347), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [48031] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3285), 1,
      sym_identifier,
    ACTIONS(3289), 1,
      anon_sym_LPAREN2,
    ACTIONS(3291), 1,
      anon_sym_defined,
    ACTIONS(3301), 1,
      anon_sym_RPAREN,
    ACTIONS(3303), 1,
      sym_number_literal,
    ACTIONS(3293), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3295), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3299), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1129), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [48074] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2983), 1,
      anon_sym_LPAREN2,
    ACTIONS(2985), 1,
      anon_sym_STAR,
    ACTIONS(3249), 1,
      sym_identifier,
    STATE(1274), 1,
      sym_ms_call_modifier,
    STATE(1322), 1,
      sym_function_declarator,
    STATE(1397), 1,
      sym__declarator,
    STATE(1428), 1,
      sym__declaration_declarator,
    STATE(1511), 1,
      sym__function_declaration_declarator,
    STATE(1641), 1,
      sym_init_declarator,
    STATE(1827), 1,
      sym_ms_based_modifier,
    STATE(1347), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [48125] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2983), 1,
      anon_sym_LPAREN2,
    ACTIONS(2985), 1,
      anon_sym_STAR,
    ACTIONS(3249), 1,
      sym_identifier,
    STATE(1272), 1,
      sym_ms_call_modifier,
    STATE(1322), 1,
      sym_function_declarator,
    STATE(1397), 1,
      sym__declarator,
    STATE(1453), 1,
      sym__declaration_declarator,
    STATE(1511), 1,
      sym__function_declaration_declarator,
    STATE(1644), 1,
      sym_init_declarator,
    STATE(1827), 1,
      sym_ms_based_modifier,
    STATE(1347), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [48176] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3285), 1,
      sym_identifier,
    ACTIONS(3289), 1,
      anon_sym_LPAREN2,
    ACTIONS(3291), 1,
      anon_sym_defined,
    ACTIONS(3305), 1,
      anon_sym_RPAREN,
    ACTIONS(3307), 1,
      sym_number_literal,
    ACTIONS(3293), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3295), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3299), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1116), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [48219] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(721), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2596), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3309), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2593), 14,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [48252] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2983), 1,
      anon_sym_LPAREN2,
    ACTIONS(2985), 1,
      anon_sym_STAR,
    ACTIONS(3249), 1,
      sym_identifier,
    STATE(1260), 1,
      sym_ms_call_modifier,
    STATE(1322), 1,
      sym_function_declarator,
    STATE(1397), 1,
      sym__declarator,
    STATE(1421), 1,
      sym__declaration_declarator,
    STATE(1511), 1,
      sym__function_declaration_declarator,
    STATE(1538), 1,
      sym_init_declarator,
    STATE(1827), 1,
      sym_ms_based_modifier,
    STATE(1347), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [48303] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3251), 1,
      anon_sym_COMMA,
    ACTIONS(3259), 1,
      anon_sym_SLASH,
    ACTIONS(3261), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3263), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_AMP,
    ACTIONS(3313), 1,
      anon_sym_RPAREN,
    STATE(1592), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(3255), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3257), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3271), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3273), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3275), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3277), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [48358] = 5,
    ACTIONS(3243), 1,
      anon_sym_LF,
    ACTIONS(3315), 1,
      anon_sym_LPAREN2,
    ACTIONS(3317), 1,
      sym_comment,
    STATE(1189), 1,
      sym_preproc_argument_list,
    ACTIONS(3247), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [48391] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2983), 1,
      anon_sym_LPAREN2,
    ACTIONS(2985), 1,
      anon_sym_STAR,
    ACTIONS(3249), 1,
      sym_identifier,
    STATE(1267), 1,
      sym_ms_call_modifier,
    STATE(1322), 1,
      sym_function_declarator,
    STATE(1339), 1,
      sym__declarator,
    STATE(1421), 1,
      sym__declaration_declarator,
    STATE(1511), 1,
      sym__function_declaration_declarator,
    STATE(1538), 1,
      sym_init_declarator,
    STATE(1827), 1,
      sym_ms_based_modifier,
    STATE(1347), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [48442] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2983), 1,
      anon_sym_LPAREN2,
    ACTIONS(2985), 1,
      anon_sym_STAR,
    ACTIONS(3249), 1,
      sym_identifier,
    STATE(1277), 1,
      sym_ms_call_modifier,
    STATE(1322), 1,
      sym_function_declarator,
    STATE(1397), 1,
      sym__declarator,
    STATE(1410), 1,
      sym__declaration_declarator,
    STATE(1511), 1,
      sym__function_declaration_declarator,
    STATE(1590), 1,
      sym_init_declarator,
    STATE(1827), 1,
      sym_ms_based_modifier,
    STATE(1347), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [48493] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2983), 1,
      anon_sym_LPAREN2,
    ACTIONS(2985), 1,
      anon_sym_STAR,
    ACTIONS(3249), 1,
      sym_identifier,
    STATE(1268), 1,
      sym_ms_call_modifier,
    STATE(1322), 1,
      sym_function_declarator,
    STATE(1334), 1,
      sym__declarator,
    STATE(1400), 1,
      sym__declaration_declarator,
    STATE(1511), 1,
      sym__function_declaration_declarator,
    STATE(1557), 1,
      sym_init_declarator,
    STATE(1827), 1,
      sym_ms_based_modifier,
    STATE(1347), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [48544] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3319), 1,
      sym_identifier,
    ACTIONS(3325), 1,
      sym_primitive_type,
    STATE(1114), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2667), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3322), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2669), 12,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
  [48581] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1105), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2601), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3328), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2599), 14,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [48614] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1127), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2607), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3331), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2605), 14,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [48647] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(721), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2697), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3334), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2695), 14,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [48680] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2983), 1,
      anon_sym_LPAREN2,
    ACTIONS(2985), 1,
      anon_sym_STAR,
    ACTIONS(3249), 1,
      sym_identifier,
    STATE(1266), 1,
      sym_ms_call_modifier,
    STATE(1322), 1,
      sym_function_declarator,
    STATE(1346), 1,
      sym__declarator,
    STATE(1401), 1,
      sym__declaration_declarator,
    STATE(1511), 1,
      sym__function_declaration_declarator,
    STATE(1529), 1,
      sym_init_declarator,
    STATE(1827), 1,
      sym_ms_based_modifier,
    STATE(1347), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [48731] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(721), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2701), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3337), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2699), 14,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [48764] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(721), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2677), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3340), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2675), 14,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [48797] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1126), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2656), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3343), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2654), 14,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [48830] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3251), 1,
      anon_sym_COMMA,
    ACTIONS(3259), 1,
      anon_sym_SLASH,
    ACTIONS(3261), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3263), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_AMP,
    ACTIONS(3346), 1,
      anon_sym_RPAREN,
    STATE(1584), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(3255), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3257), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3271), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3273), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3275), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3277), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [48885] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3348), 1,
      sym_identifier,
    ACTIONS(3350), 1,
      anon_sym_LPAREN2,
    ACTIONS(3352), 1,
      anon_sym_defined,
    ACTIONS(3358), 1,
      sym_number_literal,
    ACTIONS(3354), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3356), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3360), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1208), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [48925] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3285), 1,
      sym_identifier,
    ACTIONS(3289), 1,
      anon_sym_LPAREN2,
    ACTIONS(3291), 1,
      anon_sym_defined,
    ACTIONS(3362), 1,
      sym_number_literal,
    ACTIONS(3293), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3295), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3299), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1146), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [48965] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3259), 1,
      anon_sym_SLASH,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_AMP,
    ACTIONS(3255), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3257), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3271), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3273), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3275), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3277), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3364), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [49011] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3259), 1,
      anon_sym_SLASH,
    ACTIONS(3263), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_AMP,
    ACTIONS(3255), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3257), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3271), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3273), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3275), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3277), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3364), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
  [49059] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3259), 1,
      anon_sym_SLASH,
    ACTIONS(3269), 1,
      anon_sym_AMP,
    ACTIONS(3366), 1,
      anon_sym_PIPE,
    ACTIONS(3255), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3257), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3271), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3273), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3275), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3277), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3364), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [49103] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3366), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3364), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [49131] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3259), 1,
      anon_sym_SLASH,
    ACTIONS(3255), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3257), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3271), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3273), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3275), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3277), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3366), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3364), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [49173] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3348), 1,
      sym_identifier,
    ACTIONS(3350), 1,
      anon_sym_LPAREN2,
    ACTIONS(3352), 1,
      anon_sym_defined,
    ACTIONS(3368), 1,
      sym_number_literal,
    ACTIONS(3354), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3356), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3360), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1190), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49213] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3372), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3370), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [49241] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      anon_sym_LPAREN2,
    ACTIONS(1781), 1,
      anon_sym_STAR,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2794), 1,
      sym_identifier,
    ACTIONS(2802), 1,
      anon_sym_LBRACK,
    STATE(1363), 1,
      sym__declarator,
    STATE(1443), 1,
      sym_parameter_list,
    STATE(1456), 1,
      sym__abstract_declarator,
    STATE(1827), 1,
      sym_ms_based_modifier,
    ACTIONS(3374), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(1442), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1322), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [49289] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3259), 1,
      anon_sym_SLASH,
    ACTIONS(3255), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3257), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3273), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3275), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3277), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3366), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3364), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [49329] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3259), 1,
      anon_sym_SLASH,
    ACTIONS(3257), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3366), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3364), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [49361] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3348), 1,
      sym_identifier,
    ACTIONS(3350), 1,
      anon_sym_LPAREN2,
    ACTIONS(3352), 1,
      anon_sym_defined,
    ACTIONS(3376), 1,
      sym_number_literal,
    ACTIONS(3354), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3356), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3360), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1191), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49401] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3380), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3378), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [49429] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3259), 1,
      anon_sym_SLASH,
    ACTIONS(3255), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3257), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3277), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3366), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3364), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [49465] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3259), 1,
      anon_sym_SLASH,
    ACTIONS(3255), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3257), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3366), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3364), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [49499] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3259), 1,
      anon_sym_SLASH,
    ACTIONS(3261), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3263), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_AMP,
    ACTIONS(3255), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3257), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3271), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3273), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3275), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3277), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3382), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [49549] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3348), 1,
      sym_identifier,
    ACTIONS(3350), 1,
      anon_sym_LPAREN2,
    ACTIONS(3352), 1,
      anon_sym_defined,
    ACTIONS(3384), 1,
      sym_number_literal,
    ACTIONS(3354), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3356), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3360), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1197), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49589] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3348), 1,
      sym_identifier,
    ACTIONS(3350), 1,
      anon_sym_LPAREN2,
    ACTIONS(3352), 1,
      anon_sym_defined,
    ACTIONS(3386), 1,
      sym_number_literal,
    ACTIONS(3354), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3356), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3360), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1216), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49629] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3285), 1,
      sym_identifier,
    ACTIONS(3289), 1,
      anon_sym_LPAREN2,
    ACTIONS(3291), 1,
      anon_sym_defined,
    ACTIONS(3388), 1,
      sym_number_literal,
    ACTIONS(3293), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3295), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3299), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1141), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3392), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3390), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [49697] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3348), 1,
      sym_identifier,
    ACTIONS(3350), 1,
      anon_sym_LPAREN2,
    ACTIONS(3352), 1,
      anon_sym_defined,
    ACTIONS(3394), 1,
      sym_number_literal,
    ACTIONS(3354), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3356), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3360), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1201), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49737] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3348), 1,
      sym_identifier,
    ACTIONS(3350), 1,
      anon_sym_LPAREN2,
    ACTIONS(3352), 1,
      anon_sym_defined,
    ACTIONS(3396), 1,
      sym_number_literal,
    ACTIONS(3354), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3356), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3360), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1187), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49777] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3348), 1,
      sym_identifier,
    ACTIONS(3350), 1,
      anon_sym_LPAREN2,
    ACTIONS(3352), 1,
      anon_sym_defined,
    ACTIONS(3398), 1,
      sym_number_literal,
    ACTIONS(3354), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3356), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3360), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1209), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49817] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3348), 1,
      sym_identifier,
    ACTIONS(3350), 1,
      anon_sym_LPAREN2,
    ACTIONS(3352), 1,
      anon_sym_defined,
    ACTIONS(3400), 1,
      sym_number_literal,
    ACTIONS(3354), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3356), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3360), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1207), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49857] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3285), 1,
      sym_identifier,
    ACTIONS(3289), 1,
      anon_sym_LPAREN2,
    ACTIONS(3291), 1,
      anon_sym_defined,
    ACTIONS(3402), 1,
      sym_number_literal,
    ACTIONS(3293), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3295), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3299), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1135), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49897] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3348), 1,
      sym_identifier,
    ACTIONS(3350), 1,
      anon_sym_LPAREN2,
    ACTIONS(3352), 1,
      anon_sym_defined,
    ACTIONS(3404), 1,
      sym_number_literal,
    ACTIONS(3354), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3356), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3360), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1220), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49937] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3348), 1,
      sym_identifier,
    ACTIONS(3350), 1,
      anon_sym_LPAREN2,
    ACTIONS(3352), 1,
      anon_sym_defined,
    ACTIONS(3406), 1,
      sym_number_literal,
    ACTIONS(3354), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3356), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3360), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1224), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [49977] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3348), 1,
      sym_identifier,
    ACTIONS(3350), 1,
      anon_sym_LPAREN2,
    ACTIONS(3352), 1,
      anon_sym_defined,
    ACTIONS(3408), 1,
      sym_number_literal,
    ACTIONS(3354), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3356), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3360), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1192), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50017] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3285), 1,
      sym_identifier,
    ACTIONS(3289), 1,
      anon_sym_LPAREN2,
    ACTIONS(3291), 1,
      anon_sym_defined,
    ACTIONS(3410), 1,
      sym_number_literal,
    ACTIONS(3293), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3295), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3299), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1133), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50057] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3348), 1,
      sym_identifier,
    ACTIONS(3350), 1,
      anon_sym_LPAREN2,
    ACTIONS(3352), 1,
      anon_sym_defined,
    ACTIONS(3412), 1,
      sym_number_literal,
    ACTIONS(3354), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3356), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3360), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1193), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50097] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3259), 1,
      anon_sym_SLASH,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_AMP,
    ACTIONS(3366), 1,
      anon_sym_PIPE,
    ACTIONS(3255), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3257), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3271), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3273), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3275), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3277), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3364), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [50143] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3285), 1,
      sym_identifier,
    ACTIONS(3289), 1,
      anon_sym_LPAREN2,
    ACTIONS(3291), 1,
      anon_sym_defined,
    ACTIONS(3414), 1,
      sym_number_literal,
    ACTIONS(3293), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3295), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3299), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1132), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50183] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3348), 1,
      sym_identifier,
    ACTIONS(3350), 1,
      anon_sym_LPAREN2,
    ACTIONS(3352), 1,
      anon_sym_defined,
    ACTIONS(3416), 1,
      sym_number_literal,
    ACTIONS(3354), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3356), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3360), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1199), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50223] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3348), 1,
      sym_identifier,
    ACTIONS(3350), 1,
      anon_sym_LPAREN2,
    ACTIONS(3352), 1,
      anon_sym_defined,
    ACTIONS(3418), 1,
      sym_number_literal,
    ACTIONS(3354), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3356), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3360), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1204), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50263] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3285), 1,
      sym_identifier,
    ACTIONS(3289), 1,
      anon_sym_LPAREN2,
    ACTIONS(3291), 1,
      anon_sym_defined,
    ACTIONS(3420), 1,
      sym_number_literal,
    ACTIONS(3293), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3295), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3299), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1143), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50303] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3348), 1,
      sym_identifier,
    ACTIONS(3350), 1,
      anon_sym_LPAREN2,
    ACTIONS(3352), 1,
      anon_sym_defined,
    ACTIONS(3422), 1,
      sym_number_literal,
    ACTIONS(3354), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3356), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3360), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1222), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50343] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3285), 1,
      sym_identifier,
    ACTIONS(3289), 1,
      anon_sym_LPAREN2,
    ACTIONS(3291), 1,
      anon_sym_defined,
    ACTIONS(3424), 1,
      sym_number_literal,
    ACTIONS(3293), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3295), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3299), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1203), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50383] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3348), 1,
      sym_identifier,
    ACTIONS(3350), 1,
      anon_sym_LPAREN2,
    ACTIONS(3352), 1,
      anon_sym_defined,
    ACTIONS(3426), 1,
      sym_number_literal,
    ACTIONS(3354), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3356), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3360), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1186), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50423] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3285), 1,
      sym_identifier,
    ACTIONS(3289), 1,
      anon_sym_LPAREN2,
    ACTIONS(3291), 1,
      anon_sym_defined,
    ACTIONS(3428), 1,
      sym_number_literal,
    ACTIONS(3293), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3295), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3299), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1161), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50463] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3348), 1,
      sym_identifier,
    ACTIONS(3350), 1,
      anon_sym_LPAREN2,
    ACTIONS(3352), 1,
      anon_sym_defined,
    ACTIONS(3430), 1,
      sym_number_literal,
    ACTIONS(3354), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3356), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3360), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1221), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50503] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3285), 1,
      sym_identifier,
    ACTIONS(3289), 1,
      anon_sym_LPAREN2,
    ACTIONS(3291), 1,
      anon_sym_defined,
    ACTIONS(3432), 1,
      sym_number_literal,
    ACTIONS(3293), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3295), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3299), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1134), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50543] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3285), 1,
      sym_identifier,
    ACTIONS(3289), 1,
      anon_sym_LPAREN2,
    ACTIONS(3291), 1,
      anon_sym_defined,
    ACTIONS(3434), 1,
      sym_number_literal,
    ACTIONS(3293), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3295), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3299), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1223), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3438), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3436), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [50611] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3348), 1,
      sym_identifier,
    ACTIONS(3350), 1,
      anon_sym_LPAREN2,
    ACTIONS(3352), 1,
      anon_sym_defined,
    ACTIONS(3440), 1,
      sym_number_literal,
    ACTIONS(3354), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3356), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3360), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1198), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50651] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3348), 1,
      sym_identifier,
    ACTIONS(3350), 1,
      anon_sym_LPAREN2,
    ACTIONS(3352), 1,
      anon_sym_defined,
    ACTIONS(3442), 1,
      sym_number_literal,
    ACTIONS(3354), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3356), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3360), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1202), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50691] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3348), 1,
      sym_identifier,
    ACTIONS(3350), 1,
      anon_sym_LPAREN2,
    ACTIONS(3352), 1,
      anon_sym_defined,
    ACTIONS(3444), 1,
      sym_number_literal,
    ACTIONS(3354), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3356), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3360), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1194), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50731] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3285), 1,
      sym_identifier,
    ACTIONS(3289), 1,
      anon_sym_LPAREN2,
    ACTIONS(3291), 1,
      anon_sym_defined,
    ACTIONS(3446), 1,
      sym_number_literal,
    ACTIONS(3293), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3295), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3299), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1136), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50771] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3285), 1,
      sym_identifier,
    ACTIONS(3289), 1,
      anon_sym_LPAREN2,
    ACTIONS(3291), 1,
      anon_sym_defined,
    ACTIONS(3448), 1,
      sym_number_literal,
    ACTIONS(3293), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3295), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3299), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1140), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50811] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3285), 1,
      sym_identifier,
    ACTIONS(3289), 1,
      anon_sym_LPAREN2,
    ACTIONS(3291), 1,
      anon_sym_defined,
    ACTIONS(3450), 1,
      sym_number_literal,
    ACTIONS(3293), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3295), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3299), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1144), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50851] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3348), 1,
      sym_identifier,
    ACTIONS(3350), 1,
      anon_sym_LPAREN2,
    ACTIONS(3352), 1,
      anon_sym_defined,
    ACTIONS(3452), 1,
      sym_number_literal,
    ACTIONS(3354), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3356), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3360), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1215), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50891] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3285), 1,
      sym_identifier,
    ACTIONS(3289), 1,
      anon_sym_LPAREN2,
    ACTIONS(3291), 1,
      anon_sym_defined,
    ACTIONS(3454), 1,
      sym_number_literal,
    ACTIONS(3293), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3295), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3299), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1145), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50931] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3348), 1,
      sym_identifier,
    ACTIONS(3350), 1,
      anon_sym_LPAREN2,
    ACTIONS(3352), 1,
      anon_sym_defined,
    ACTIONS(3456), 1,
      sym_number_literal,
    ACTIONS(3354), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3356), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3360), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1217), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [50971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2336), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2338), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [50999] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3348), 1,
      sym_identifier,
    ACTIONS(3350), 1,
      anon_sym_LPAREN2,
    ACTIONS(3352), 1,
      anon_sym_defined,
    ACTIONS(3458), 1,
      sym_number_literal,
    ACTIONS(3354), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3356), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3360), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1206), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [51039] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3348), 1,
      sym_identifier,
    ACTIONS(3350), 1,
      anon_sym_LPAREN2,
    ACTIONS(3352), 1,
      anon_sym_defined,
    ACTIONS(3460), 1,
      sym_number_literal,
    ACTIONS(3354), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3356), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3360), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1210), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [51079] = 3,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(3364), 1,
      anon_sym_LF,
    ACTIONS(3366), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51106] = 8,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(3364), 1,
      anon_sym_LF,
    ACTIONS(3462), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3468), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(3366), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
  [51143] = 3,
    ACTIONS(3059), 1,
      anon_sym_LF,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(3057), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51170] = 3,
    ACTIONS(3041), 1,
      anon_sym_LF,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(3039), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51197] = 12,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(3472), 1,
      anon_sym_LF,
    ACTIONS(3474), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3476), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3478), 1,
      anon_sym_PIPE,
    ACTIONS(3480), 1,
      anon_sym_CARET,
    ACTIONS(3482), 1,
      anon_sym_AMP,
    ACTIONS(3462), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3468), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [51242] = 5,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(3364), 1,
      anon_sym_LF,
    ACTIONS(3462), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3366), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51273] = 12,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(3474), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3476), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3478), 1,
      anon_sym_PIPE,
    ACTIONS(3480), 1,
      anon_sym_CARET,
    ACTIONS(3482), 1,
      anon_sym_AMP,
    ACTIONS(3484), 1,
      anon_sym_LF,
    ACTIONS(3462), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3468), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [51318] = 12,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(3474), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3476), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3478), 1,
      anon_sym_PIPE,
    ACTIONS(3480), 1,
      anon_sym_CARET,
    ACTIONS(3482), 1,
      anon_sym_AMP,
    ACTIONS(3486), 1,
      anon_sym_LF,
    ACTIONS(3462), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3468), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [51363] = 12,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(3474), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3476), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3478), 1,
      anon_sym_PIPE,
    ACTIONS(3480), 1,
      anon_sym_CARET,
    ACTIONS(3482), 1,
      anon_sym_AMP,
    ACTIONS(3488), 1,
      anon_sym_LF,
    ACTIONS(3462), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3468), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [51408] = 3,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(3436), 1,
      anon_sym_LF,
    ACTIONS(3438), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51435] = 3,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(3370), 1,
      anon_sym_LF,
    ACTIONS(3372), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51462] = 6,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(3364), 1,
      anon_sym_LF,
    ACTIONS(3462), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3366), 11,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [51495] = 12,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(3474), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3476), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3478), 1,
      anon_sym_PIPE,
    ACTIONS(3480), 1,
      anon_sym_CARET,
    ACTIONS(3482), 1,
      anon_sym_AMP,
    ACTIONS(3490), 1,
      anon_sym_LF,
    ACTIONS(3462), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3468), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [51540] = 3,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(3378), 1,
      anon_sym_LF,
    ACTIONS(3380), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51567] = 3,
    ACTIONS(2338), 1,
      anon_sym_LF,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(2336), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51594] = 7,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(3364), 1,
      anon_sym_LF,
    ACTIONS(3462), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3468), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(3366), 7,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [51629] = 12,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(3474), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3476), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3478), 1,
      anon_sym_PIPE,
    ACTIONS(3480), 1,
      anon_sym_CARET,
    ACTIONS(3482), 1,
      anon_sym_AMP,
    ACTIONS(3492), 1,
      anon_sym_LF,
    ACTIONS(3462), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3468), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [51674] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3259), 1,
      anon_sym_SLASH,
    ACTIONS(3261), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3263), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_AMP,
    ACTIONS(3494), 1,
      anon_sym_RPAREN,
    ACTIONS(3255), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3257), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3271), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3273), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3275), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3277), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51723] = 12,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(3474), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3476), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3478), 1,
      anon_sym_PIPE,
    ACTIONS(3480), 1,
      anon_sym_CARET,
    ACTIONS(3482), 1,
      anon_sym_AMP,
    ACTIONS(3496), 1,
      anon_sym_LF,
    ACTIONS(3462), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3468), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [51768] = 3,
    ACTIONS(3037), 1,
      anon_sym_LF,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(3035), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51795] = 12,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(3474), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3476), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3478), 1,
      anon_sym_PIPE,
    ACTIONS(3480), 1,
      anon_sym_CARET,
    ACTIONS(3482), 1,
      anon_sym_AMP,
    ACTIONS(3498), 1,
      anon_sym_LF,
    ACTIONS(3462), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3468), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [51840] = 10,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(3364), 1,
      anon_sym_LF,
    ACTIONS(3480), 1,
      anon_sym_CARET,
    ACTIONS(3482), 1,
      anon_sym_AMP,
    ACTIONS(3462), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3366), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
    ACTIONS(3464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3468), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [51881] = 12,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(3474), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3476), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3478), 1,
      anon_sym_PIPE,
    ACTIONS(3480), 1,
      anon_sym_CARET,
    ACTIONS(3482), 1,
      anon_sym_AMP,
    ACTIONS(3500), 1,
      anon_sym_LF,
    ACTIONS(3462), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3468), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [51926] = 9,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(3364), 1,
      anon_sym_LF,
    ACTIONS(3482), 1,
      anon_sym_AMP,
    ACTIONS(3462), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3366), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(3468), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [51965] = 12,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(3474), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3476), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3478), 1,
      anon_sym_PIPE,
    ACTIONS(3480), 1,
      anon_sym_CARET,
    ACTIONS(3482), 1,
      anon_sym_AMP,
    ACTIONS(3502), 1,
      anon_sym_LF,
    ACTIONS(3462), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3468), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [52010] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2794), 1,
      sym_identifier,
    ACTIONS(2983), 1,
      anon_sym_LPAREN2,
    ACTIONS(2985), 1,
      anon_sym_STAR,
    STATE(644), 1,
      sym__old_style_function_declarator,
    STATE(1281), 1,
      sym_ms_call_modifier,
    STATE(1344), 1,
      sym__declarator,
    STATE(1827), 1,
      sym_ms_based_modifier,
    STATE(1322), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [52053] = 3,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(3390), 1,
      anon_sym_LF,
    ACTIONS(3392), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [52080] = 3,
    ACTIONS(3055), 1,
      anon_sym_LF,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(3053), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [52107] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2783), 1,
      anon_sym_const,
    ACTIONS(2790), 1,
      anon_sym_LBRACE,
    ACTIONS(3504), 1,
      anon_sym___attribute__,
    ACTIONS(3506), 1,
      anon_sym_COLON,
    STATE(767), 1,
      sym_attribute_specifier,
    STATE(1081), 1,
      sym_enumerator_list,
    ACTIONS(2785), 13,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_alignas,
      anon_sym__Alignas,
  [52144] = 12,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(3474), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3476), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3478), 1,
      anon_sym_PIPE,
    ACTIONS(3480), 1,
      anon_sym_CARET,
    ACTIONS(3482), 1,
      anon_sym_AMP,
    ACTIONS(3509), 1,
      anon_sym_LF,
    ACTIONS(3462), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3468), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [52189] = 12,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(3474), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3476), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3478), 1,
      anon_sym_PIPE,
    ACTIONS(3480), 1,
      anon_sym_CARET,
    ACTIONS(3482), 1,
      anon_sym_AMP,
    ACTIONS(3511), 1,
      anon_sym_LF,
    ACTIONS(3462), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3468), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [52234] = 12,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(3474), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3476), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3478), 1,
      anon_sym_PIPE,
    ACTIONS(3480), 1,
      anon_sym_CARET,
    ACTIONS(3482), 1,
      anon_sym_AMP,
    ACTIONS(3513), 1,
      anon_sym_LF,
    ACTIONS(3462), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3468), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [52279] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2794), 1,
      sym_identifier,
    ACTIONS(2983), 1,
      anon_sym_LPAREN2,
    ACTIONS(2985), 1,
      anon_sym_STAR,
    STATE(649), 1,
      sym__old_style_function_declarator,
    STATE(1299), 1,
      sym_ms_call_modifier,
    STATE(1332), 1,
      sym__declarator,
    STATE(1827), 1,
      sym_ms_based_modifier,
    STATE(1322), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [52322] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2794), 1,
      sym_identifier,
    ACTIONS(2983), 1,
      anon_sym_LPAREN2,
    ACTIONS(2985), 1,
      anon_sym_STAR,
    STATE(648), 1,
      sym__old_style_function_declarator,
    STATE(1298), 1,
      sym_ms_call_modifier,
    STATE(1330), 1,
      sym__declarator,
    STATE(1827), 1,
      sym_ms_based_modifier,
    STATE(1322), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [52365] = 11,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(3364), 1,
      anon_sym_LF,
    ACTIONS(3478), 1,
      anon_sym_PIPE,
    ACTIONS(3480), 1,
      anon_sym_CARET,
    ACTIONS(3482), 1,
      anon_sym_AMP,
    ACTIONS(3366), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3462), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3468), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [52408] = 4,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(3364), 1,
      anon_sym_LF,
    ACTIONS(3464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3366), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [52437] = 12,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(3364), 1,
      anon_sym_LF,
    ACTIONS(3366), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3476), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3478), 1,
      anon_sym_PIPE,
    ACTIONS(3480), 1,
      anon_sym_CARET,
    ACTIONS(3482), 1,
      anon_sym_AMP,
    ACTIONS(3462), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3468), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [52482] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3259), 1,
      anon_sym_SLASH,
    ACTIONS(3261), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3263), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_AMP,
    ACTIONS(3515), 1,
      anon_sym_RPAREN,
    ACTIONS(3255), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3257), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3271), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3273), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3275), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3277), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [52531] = 12,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(3474), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3476), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3478), 1,
      anon_sym_PIPE,
    ACTIONS(3480), 1,
      anon_sym_CARET,
    ACTIONS(3482), 1,
      anon_sym_AMP,
    ACTIONS(3517), 1,
      anon_sym_LF,
    ACTIONS(3462), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3466), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3468), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [52576] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2794), 1,
      sym_identifier,
    ACTIONS(2983), 1,
      anon_sym_LPAREN2,
    ACTIONS(2985), 1,
      anon_sym_STAR,
    STATE(638), 1,
      sym__old_style_function_declarator,
    STATE(1283), 1,
      sym_ms_call_modifier,
    STATE(1343), 1,
      sym__declarator,
    STATE(1827), 1,
      sym_ms_based_modifier,
    STATE(1322), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [52619] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2794), 1,
      sym_identifier,
    ACTIONS(2983), 1,
      anon_sym_LPAREN2,
    ACTIONS(2985), 1,
      anon_sym_STAR,
    STATE(1283), 1,
      sym_ms_call_modifier,
    STATE(1350), 1,
      sym__declarator,
    STATE(1827), 1,
      sym_ms_based_modifier,
    STATE(1322), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [52659] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2794), 1,
      sym_identifier,
    ACTIONS(2983), 1,
      anon_sym_LPAREN2,
    ACTIONS(2985), 1,
      anon_sym_STAR,
    STATE(1299), 1,
      sym_ms_call_modifier,
    STATE(1366), 1,
      sym__declarator,
    STATE(1827), 1,
      sym_ms_based_modifier,
    STATE(1322), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [52699] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2794), 1,
      sym_identifier,
    ACTIONS(2983), 1,
      anon_sym_LPAREN2,
    ACTIONS(2985), 1,
      anon_sym_STAR,
    STATE(1298), 1,
      sym_ms_call_modifier,
    STATE(1374), 1,
      sym__declarator,
    STATE(1827), 1,
      sym_ms_based_modifier,
    STATE(1322), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [52739] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2794), 1,
      sym_identifier,
    ACTIONS(2983), 1,
      anon_sym_LPAREN2,
    ACTIONS(2985), 1,
      anon_sym_STAR,
    STATE(1281), 1,
      sym_ms_call_modifier,
    STATE(1362), 1,
      sym__declarator,
    STATE(1827), 1,
      sym_ms_based_modifier,
    STATE(1322), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [52779] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2951), 1,
      sym_identifier,
    ACTIONS(2953), 1,
      anon_sym_LPAREN2,
    ACTIONS(2955), 1,
      anon_sym_STAR,
    STATE(1293), 1,
      sym_ms_call_modifier,
    STATE(1394), 1,
      sym__field_declarator,
    STATE(1732), 1,
      sym_ms_based_modifier,
    STATE(1349), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [52819] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      anon_sym_LPAREN2,
    ACTIONS(1781), 1,
      anon_sym_STAR,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2794), 1,
      sym_identifier,
    ACTIONS(2802), 1,
      anon_sym_LBRACK,
    STATE(1381), 1,
      sym__declarator,
    STATE(1443), 1,
      sym_parameter_list,
    STATE(1477), 1,
      sym__abstract_declarator,
    STATE(1827), 1,
      sym_ms_based_modifier,
    STATE(1442), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1322), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [52863] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2794), 1,
      sym_identifier,
    ACTIONS(2983), 1,
      anon_sym_LPAREN2,
    ACTIONS(2985), 1,
      anon_sym_STAR,
    STATE(1288), 1,
      sym_ms_call_modifier,
    STATE(1386), 1,
      sym__declarator,
    STATE(1827), 1,
      sym_ms_based_modifier,
    STATE(1322), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [52903] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2888), 1,
      sym_identifier,
    ACTIONS(2890), 1,
      anon_sym_LPAREN2,
    ACTIONS(2892), 1,
      anon_sym_STAR,
    ACTIONS(2896), 1,
      sym_primitive_type,
    STATE(1325), 1,
      sym__type_declarator,
    STATE(1462), 1,
      sym__type_definition_declarators,
    STATE(1842), 1,
      sym_ms_based_modifier,
    ACTIONS(2894), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1382), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [52944] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2888), 1,
      sym_identifier,
    ACTIONS(2890), 1,
      anon_sym_LPAREN2,
    ACTIONS(2892), 1,
      anon_sym_STAR,
    ACTIONS(2896), 1,
      sym_primitive_type,
    STATE(1325), 1,
      sym__type_declarator,
    STATE(1461), 1,
      sym__type_definition_declarators,
    STATE(1842), 1,
      sym_ms_based_modifier,
    ACTIONS(2894), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1382), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [52985] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2888), 1,
      sym_identifier,
    ACTIONS(2890), 1,
      anon_sym_LPAREN2,
    ACTIONS(2892), 1,
      anon_sym_STAR,
    ACTIONS(2896), 1,
      sym_primitive_type,
    STATE(1325), 1,
      sym__type_declarator,
    STATE(1475), 1,
      sym__type_definition_declarators,
    STATE(1842), 1,
      sym_ms_based_modifier,
    ACTIONS(2894), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1382), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [53026] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2888), 1,
      sym_identifier,
    ACTIONS(2890), 1,
      anon_sym_LPAREN2,
    ACTIONS(2892), 1,
      anon_sym_STAR,
    ACTIONS(2896), 1,
      sym_primitive_type,
    STATE(1325), 1,
      sym__type_declarator,
    STATE(1491), 1,
      sym__type_definition_declarators,
    STATE(1842), 1,
      sym_ms_based_modifier,
    ACTIONS(2894), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1382), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [53067] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2888), 1,
      sym_identifier,
    ACTIONS(2890), 1,
      anon_sym_LPAREN2,
    ACTIONS(2892), 1,
      anon_sym_STAR,
    ACTIONS(2896), 1,
      sym_primitive_type,
    STATE(1325), 1,
      sym__type_declarator,
    STATE(1481), 1,
      sym__type_definition_declarators,
    STATE(1842), 1,
      sym_ms_based_modifier,
    ACTIONS(2894), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1382), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [53108] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2888), 1,
      sym_identifier,
    ACTIONS(2890), 1,
      anon_sym_LPAREN2,
    ACTIONS(2892), 1,
      anon_sym_STAR,
    ACTIONS(2896), 1,
      sym_primitive_type,
    STATE(1325), 1,
      sym__type_declarator,
    STATE(1483), 1,
      sym__type_definition_declarators,
    STATE(1842), 1,
      sym_ms_based_modifier,
    ACTIONS(2894), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1382), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [53149] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2888), 1,
      sym_identifier,
    ACTIONS(2890), 1,
      anon_sym_LPAREN2,
    ACTIONS(2892), 1,
      anon_sym_STAR,
    ACTIONS(2896), 1,
      sym_primitive_type,
    STATE(1325), 1,
      sym__type_declarator,
    STATE(1498), 1,
      sym__type_definition_declarators,
    STATE(1842), 1,
      sym_ms_based_modifier,
    ACTIONS(2894), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1382), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [53190] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2888), 1,
      sym_identifier,
    ACTIONS(2890), 1,
      anon_sym_LPAREN2,
    ACTIONS(2892), 1,
      anon_sym_STAR,
    ACTIONS(2896), 1,
      sym_primitive_type,
    STATE(1325), 1,
      sym__type_declarator,
    STATE(1469), 1,
      sym__type_definition_declarators,
    STATE(1842), 1,
      sym_ms_based_modifier,
    ACTIONS(2894), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1382), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [53231] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2888), 1,
      sym_identifier,
    ACTIONS(2890), 1,
      anon_sym_LPAREN2,
    ACTIONS(2892), 1,
      anon_sym_STAR,
    ACTIONS(2896), 1,
      sym_primitive_type,
    STATE(1376), 1,
      sym__type_declarator,
    STATE(1842), 1,
      sym_ms_based_modifier,
    ACTIONS(2894), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1382), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [53269] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(3519), 1,
      sym_identifier,
    ACTIONS(3523), 1,
      anon_sym_LBRACK,
    STATE(1255), 1,
      sym_gnu_asm_expression,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(1246), 3,
      sym_preproc_call_expression,
      sym_attribute_specifier,
      aux_sym_function_declarator_repeat1,
    ACTIONS(3521), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [53303] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2888), 1,
      sym_identifier,
    ACTIONS(2890), 1,
      anon_sym_LPAREN2,
    ACTIONS(2892), 1,
      anon_sym_STAR,
    ACTIONS(2896), 1,
      sym_primitive_type,
    STATE(1345), 1,
      sym__type_declarator,
    STATE(1842), 1,
      sym_ms_based_modifier,
    ACTIONS(2894), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1382), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [53341] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(3519), 1,
      sym_identifier,
    ACTIONS(3523), 1,
      anon_sym_LBRACK,
    STATE(1245), 1,
      sym_gnu_asm_expression,
    STATE(1285), 1,
      sym_attribute_specifier,
    STATE(1398), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(91), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(3525), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(1246), 2,
      sym_preproc_call_expression,
      aux_sym_function_declarator_repeat1,
    ACTIONS(3521), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [53381] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(3519), 1,
      sym_identifier,
    ACTIONS(3531), 1,
      anon_sym_LBRACK,
    STATE(1285), 1,
      sym_attribute_specifier,
    STATE(1390), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(3527), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3533), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(1249), 2,
      sym_preproc_call_expression,
      aux_sym_function_declarator_repeat1,
    ACTIONS(3529), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [53418] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(3519), 1,
      sym_identifier,
    ACTIONS(3531), 3,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(1248), 3,
      sym_preproc_call_expression,
      sym_attribute_specifier,
      aux_sym_function_declarator_repeat1,
    ACTIONS(3529), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [53447] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2951), 1,
      sym_identifier,
    ACTIONS(2953), 1,
      anon_sym_LPAREN2,
    ACTIONS(2955), 1,
      anon_sym_STAR,
    ACTIONS(3535), 1,
      anon_sym_SEMI,
    STATE(1279), 1,
      sym__field_declarator,
    STATE(1526), 1,
      sym__field_declaration_declarator,
    STATE(1732), 1,
      sym_ms_based_modifier,
    STATE(1857), 1,
      sym_attribute_specifier,
    STATE(1349), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [53488] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3537), 1,
      sym_identifier,
    ACTIONS(3542), 1,
      anon_sym___attribute__,
    ACTIONS(3545), 3,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(1248), 3,
      sym_preproc_call_expression,
      sym_attribute_specifier,
      aux_sym_function_declarator_repeat1,
    ACTIONS(3540), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [53517] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(3519), 1,
      sym_identifier,
    ACTIONS(3549), 3,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(1248), 3,
      sym_preproc_call_expression,
      sym_attribute_specifier,
      aux_sym_function_declarator_repeat1,
    ACTIONS(3547), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [53546] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3551), 1,
      sym_identifier,
    ACTIONS(3553), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(3555), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3557), 1,
      aux_sym_preproc_elif_token1,
    STATE(1294), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(1296), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1388), 1,
      sym_enumerator,
    ACTIONS(3559), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1895), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
    STATE(1896), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [53585] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3551), 1,
      sym_identifier,
    ACTIONS(3555), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3557), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3561), 1,
      aux_sym_preproc_if_token2,
    STATE(1300), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(1301), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1388), 1,
      sym_enumerator,
    ACTIONS(3559), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1925), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
    STATE(1931), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [53624] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3551), 1,
      sym_identifier,
    ACTIONS(3555), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3557), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3563), 1,
      aux_sym_preproc_if_token2,
    STATE(1282), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1302), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(1388), 1,
      sym_enumerator,
    ACTIONS(3559), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1859), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
    STATE(1861), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [53663] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2951), 1,
      sym_identifier,
    ACTIONS(2953), 1,
      anon_sym_LPAREN2,
    ACTIONS(2955), 1,
      anon_sym_STAR,
    ACTIONS(3565), 1,
      anon_sym_SEMI,
    STATE(1279), 1,
      sym__field_declarator,
    STATE(1640), 1,
      sym__field_declaration_declarator,
    STATE(1732), 1,
      sym_ms_based_modifier,
    STATE(1917), 1,
      sym_attribute_specifier,
    STATE(1349), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [53704] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3551), 1,
      sym_identifier,
    ACTIONS(3555), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3557), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3567), 1,
      aux_sym_preproc_if_token2,
    STATE(1305), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(1306), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1388), 1,
      sym_enumerator,
    ACTIONS(3559), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1742), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
    STATE(1750), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [53743] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(3519), 1,
      sym_identifier,
    ACTIONS(3531), 3,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(1249), 3,
      sym_preproc_call_expression,
      sym_attribute_specifier,
      aux_sym_function_declarator_repeat1,
    ACTIONS(3529), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [53772] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2951), 1,
      sym_identifier,
    ACTIONS(2953), 1,
      anon_sym_LPAREN2,
    ACTIONS(2955), 1,
      anon_sym_STAR,
    ACTIONS(3569), 1,
      anon_sym_SEMI,
    STATE(1279), 1,
      sym__field_declarator,
    STATE(1606), 1,
      sym__field_declaration_declarator,
    STATE(1732), 1,
      sym_ms_based_modifier,
    STATE(1934), 1,
      sym_attribute_specifier,
    STATE(1349), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [53813] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3573), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3576), 1,
      anon_sym_LBRACK,
    STATE(1257), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3571), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [53839] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2983), 1,
      anon_sym_LPAREN2,
    ACTIONS(2985), 1,
      anon_sym_STAR,
    ACTIONS(3249), 1,
      sym_identifier,
    STATE(1322), 1,
      sym_function_declarator,
    STATE(1422), 1,
      sym__declarator,
    STATE(1423), 1,
      sym__declaration_declarator,
    STATE(1511), 1,
      sym__function_declaration_declarator,
    STATE(1827), 1,
      sym_ms_based_modifier,
    STATE(1347), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [53876] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3580), 1,
      anon_sym_LPAREN2,
    ACTIONS(3582), 1,
      anon_sym_LBRACK,
    STATE(1242), 1,
      sym_parameter_list,
    STATE(1280), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3578), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [53905] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2983), 1,
      anon_sym_LPAREN2,
    ACTIONS(2985), 1,
      anon_sym_STAR,
    ACTIONS(3249), 1,
      sym_identifier,
    STATE(1322), 1,
      sym_function_declarator,
    STATE(1422), 1,
      sym__declarator,
    STATE(1424), 1,
      sym__declaration_declarator,
    STATE(1511), 1,
      sym__function_declaration_declarator,
    STATE(1827), 1,
      sym_ms_based_modifier,
    STATE(1347), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [53942] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3580), 1,
      anon_sym_LPAREN2,
    ACTIONS(3582), 1,
      anon_sym_LBRACK,
    STATE(1242), 1,
      sym_parameter_list,
    STATE(1280), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3584), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [53971] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(3586), 1,
      sym_identifier,
    ACTIONS(3588), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(3592), 1,
      anon_sym_RBRACE,
    ACTIONS(3590), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1665), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(1922), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(1276), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [54004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2828), 5,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
    ACTIONS(2821), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [54025] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3580), 1,
      anon_sym_LPAREN2,
    ACTIONS(3582), 1,
      anon_sym_LBRACK,
    STATE(1242), 1,
      sym_parameter_list,
    STATE(1280), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3594), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [54054] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3580), 1,
      anon_sym_LPAREN2,
    ACTIONS(3582), 1,
      anon_sym_LBRACK,
    STATE(1242), 1,
      sym_parameter_list,
    STATE(1280), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3596), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [54083] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2983), 1,
      anon_sym_LPAREN2,
    ACTIONS(2985), 1,
      anon_sym_STAR,
    ACTIONS(3249), 1,
      sym_identifier,
    STATE(1322), 1,
      sym_function_declarator,
    STATE(1356), 1,
      sym__declarator,
    STATE(1429), 1,
      sym__declaration_declarator,
    STATE(1511), 1,
      sym__function_declaration_declarator,
    STATE(1827), 1,
      sym_ms_based_modifier,
    STATE(1347), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [54120] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2983), 1,
      anon_sym_LPAREN2,
    ACTIONS(2985), 1,
      anon_sym_STAR,
    ACTIONS(3249), 1,
      sym_identifier,
    STATE(1322), 1,
      sym_function_declarator,
    STATE(1355), 1,
      sym__declarator,
    STATE(1424), 1,
      sym__declaration_declarator,
    STATE(1511), 1,
      sym__function_declaration_declarator,
    STATE(1827), 1,
      sym_ms_based_modifier,
    STATE(1347), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [54157] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2983), 1,
      anon_sym_LPAREN2,
    ACTIONS(2985), 1,
      anon_sym_STAR,
    ACTIONS(3249), 1,
      sym_identifier,
    STATE(1322), 1,
      sym_function_declarator,
    STATE(1373), 1,
      sym__declarator,
    STATE(1423), 1,
      sym__declaration_declarator,
    STATE(1511), 1,
      sym__function_declaration_declarator,
    STATE(1827), 1,
      sym_ms_based_modifier,
    STATE(1347), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [54194] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2983), 1,
      anon_sym_LPAREN2,
    ACTIONS(2985), 1,
      anon_sym_STAR,
    ACTIONS(3249), 1,
      sym_identifier,
    STATE(1322), 1,
      sym_function_declarator,
    STATE(1371), 1,
      sym__declarator,
    STATE(1418), 1,
      sym__declaration_declarator,
    STATE(1511), 1,
      sym__function_declaration_declarator,
    STATE(1827), 1,
      sym_ms_based_modifier,
    STATE(1347), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [54231] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    STATE(984), 1,
      sym_preproc_argument_list,
    ACTIONS(3598), 5,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
    ACTIONS(3600), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [54256] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2983), 1,
      anon_sym_LPAREN2,
    ACTIONS(2985), 1,
      anon_sym_STAR,
    ACTIONS(3249), 1,
      sym_identifier,
    STATE(1322), 1,
      sym_function_declarator,
    STATE(1422), 1,
      sym__declarator,
    STATE(1427), 1,
      sym__declaration_declarator,
    STATE(1511), 1,
      sym__function_declaration_declarator,
    STATE(1827), 1,
      sym_ms_based_modifier,
    STATE(1347), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [54293] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2983), 1,
      anon_sym_LPAREN2,
    ACTIONS(2985), 1,
      anon_sym_STAR,
    ACTIONS(3249), 1,
      sym_identifier,
    STATE(1322), 1,
      sym_function_declarator,
    STATE(1422), 1,
      sym__declarator,
    STATE(1441), 1,
      sym__declaration_declarator,
    STATE(1511), 1,
      sym__function_declaration_declarator,
    STATE(1827), 1,
      sym_ms_based_modifier,
    STATE(1347), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [54330] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2816), 5,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
    ACTIONS(2809), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [54351] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2983), 1,
      anon_sym_LPAREN2,
    ACTIONS(2985), 1,
      anon_sym_STAR,
    ACTIONS(3249), 1,
      sym_identifier,
    STATE(1322), 1,
      sym_function_declarator,
    STATE(1422), 1,
      sym__declarator,
    STATE(1434), 1,
      sym__declaration_declarator,
    STATE(1511), 1,
      sym__function_declaration_declarator,
    STATE(1827), 1,
      sym_ms_based_modifier,
    STATE(1347), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [54388] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2983), 1,
      anon_sym_LPAREN2,
    ACTIONS(2985), 1,
      anon_sym_STAR,
    ACTIONS(3249), 1,
      sym_identifier,
    STATE(1322), 1,
      sym_function_declarator,
    STATE(1422), 1,
      sym__declarator,
    STATE(1429), 1,
      sym__declaration_declarator,
    STATE(1511), 1,
      sym__function_declaration_declarator,
    STATE(1827), 1,
      sym_ms_based_modifier,
    STATE(1347), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [54425] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(3586), 1,
      sym_identifier,
    ACTIONS(3588), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(3602), 1,
      anon_sym_RBRACE,
    ACTIONS(3590), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1664), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(1906), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(1284), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [54458] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2983), 1,
      anon_sym_LPAREN2,
    ACTIONS(2985), 1,
      anon_sym_STAR,
    ACTIONS(3249), 1,
      sym_identifier,
    STATE(1322), 1,
      sym_function_declarator,
    STATE(1418), 1,
      sym__declaration_declarator,
    STATE(1422), 1,
      sym__declarator,
    STATE(1511), 1,
      sym__function_declaration_declarator,
    STATE(1827), 1,
      sym_ms_based_modifier,
    STATE(1347), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [54495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3604), 5,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
    ACTIONS(3606), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [54516] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3580), 1,
      anon_sym_LPAREN2,
    ACTIONS(3608), 1,
      anon_sym_COMMA,
    ACTIONS(3612), 1,
      anon_sym_LBRACK,
    ACTIONS(3614), 1,
      anon_sym_COLON,
    STATE(1352), 1,
      sym_parameter_list,
    STATE(1463), 1,
      sym_bitfield_clause,
    STATE(1467), 1,
      aux_sym__field_declaration_declarator_repeat1,
    ACTIONS(3610), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
    STATE(1313), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [54552] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3618), 1,
      anon_sym_LBRACK,
    STATE(1257), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3616), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [54576] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2794), 1,
      sym_identifier,
    ACTIONS(2983), 1,
      anon_sym_LPAREN2,
    ACTIONS(2985), 1,
      anon_sym_STAR,
    STATE(1365), 1,
      sym__declarator,
    STATE(1827), 1,
      sym_ms_based_modifier,
    STATE(1322), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [54605] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3586), 1,
      sym_identifier,
    ACTIONS(3620), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(3622), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3624), 1,
      aux_sym_preproc_elif_token1,
    STATE(1360), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1758), 1,
      sym_enumerator,
    ACTIONS(3626), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1901), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [54636] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2794), 1,
      sym_identifier,
    ACTIONS(2983), 1,
      anon_sym_LPAREN2,
    ACTIONS(2985), 1,
      anon_sym_STAR,
    STATE(1358), 1,
      sym__declarator,
    STATE(1827), 1,
      sym_ms_based_modifier,
    STATE(1322), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [54665] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3628), 1,
      sym_identifier,
    ACTIONS(3631), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(3637), 1,
      sym_preproc_directive,
    ACTIONS(3640), 1,
      anon_sym_RBRACE,
    ACTIONS(3634), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1911), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(1284), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [54694] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3644), 1,
      anon_sym___attribute__,
    ACTIONS(3598), 2,
      anon_sym_LBRACK,
      sym_identifier,
    ACTIONS(3642), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3647), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(3600), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [54719] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3553), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(3586), 1,
      sym_identifier,
    ACTIONS(3622), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3624), 1,
      aux_sym_preproc_elif_token1,
    STATE(1296), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1758), 1,
      sym_enumerator,
    ACTIONS(3626), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1895), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [54750] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3586), 1,
      sym_identifier,
    ACTIONS(3622), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3624), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3649), 1,
      aux_sym_preproc_if_token2,
    STATE(1301), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1758), 1,
      sym_enumerator,
    ACTIONS(3626), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1931), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [54781] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2794), 1,
      sym_identifier,
    ACTIONS(2983), 1,
      anon_sym_LPAREN2,
    ACTIONS(2985), 1,
      anon_sym_STAR,
    STATE(1381), 1,
      sym__declarator,
    STATE(1827), 1,
      sym_ms_based_modifier,
    STATE(1322), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [54810] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2951), 1,
      sym_identifier,
    ACTIONS(2953), 1,
      anon_sym_LPAREN2,
    ACTIONS(2955), 1,
      anon_sym_STAR,
    STATE(1297), 1,
      sym__field_declarator,
    STATE(1732), 1,
      sym_ms_based_modifier,
    STATE(1349), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [54839] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3580), 1,
      anon_sym_LPAREN2,
    ACTIONS(3612), 1,
      anon_sym_LBRACK,
    STATE(1352), 1,
      sym_parameter_list,
    STATE(1313), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3651), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [54866] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3580), 1,
      anon_sym_LPAREN2,
    ACTIONS(3612), 1,
      anon_sym_LBRACK,
    STATE(1352), 1,
      sym_parameter_list,
    STATE(1313), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3653), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [54893] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3551), 1,
      sym_identifier,
    ACTIONS(3655), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(3657), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3659), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3661), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1294), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(1896), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [54922] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2951), 1,
      sym_identifier,
    ACTIONS(2953), 1,
      anon_sym_LPAREN2,
    ACTIONS(2955), 1,
      anon_sym_STAR,
    STATE(1393), 1,
      sym__field_declarator,
    STATE(1732), 1,
      sym_ms_based_modifier,
    STATE(1349), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [54951] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3551), 1,
      sym_identifier,
    ACTIONS(3657), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3659), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3663), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(3661), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1354), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(1924), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [54980] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3580), 1,
      anon_sym_LPAREN2,
    ACTIONS(3612), 1,
      anon_sym_LBRACK,
    STATE(1352), 1,
      sym_parameter_list,
    STATE(1313), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3665), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [55007] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3586), 1,
      sym_identifier,
    ACTIONS(3622), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3624), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3667), 1,
      aux_sym_preproc_if_token2,
    STATE(1360), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1758), 1,
      sym_enumerator,
    ACTIONS(3626), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1921), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [55038] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3580), 1,
      anon_sym_LPAREN2,
    ACTIONS(3612), 1,
      anon_sym_LBRACK,
    ACTIONS(3614), 1,
      anon_sym_COLON,
    STATE(1352), 1,
      sym_parameter_list,
    STATE(1559), 1,
      sym_bitfield_clause,
    STATE(1313), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3669), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [55069] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2794), 1,
      sym_identifier,
    ACTIONS(2983), 1,
      anon_sym_LPAREN2,
    ACTIONS(2985), 1,
      anon_sym_STAR,
    STATE(1348), 1,
      sym__declarator,
    STATE(1827), 1,
      sym_ms_based_modifier,
    STATE(1322), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [55098] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym___based,
    ACTIONS(2794), 1,
      sym_identifier,
    ACTIONS(2983), 1,
      anon_sym_LPAREN2,
    ACTIONS(2985), 1,
      anon_sym_STAR,
    STATE(1351), 1,
      sym__declarator,
    STATE(1827), 1,
      sym_ms_based_modifier,
    STATE(1322), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [55127] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3551), 1,
      sym_identifier,
    ACTIONS(3657), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3659), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3671), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(3661), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1354), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(1776), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [55156] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3586), 1,
      sym_identifier,
    ACTIONS(3622), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3624), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3673), 1,
      aux_sym_preproc_if_token2,
    STATE(1360), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1758), 1,
      sym_enumerator,
    ACTIONS(3626), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1756), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [55187] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3551), 1,
      sym_identifier,
    ACTIONS(3657), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3659), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3675), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(3661), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1354), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(1903), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [55216] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3580), 1,
      anon_sym_LPAREN2,
    ACTIONS(3612), 1,
      anon_sym_LBRACK,
    STATE(1352), 1,
      sym_parameter_list,
    STATE(1313), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3677), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [55243] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3563), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(3586), 1,
      sym_identifier,
    ACTIONS(3622), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3624), 1,
      aux_sym_preproc_elif_token1,
    STATE(1282), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1758), 1,
      sym_enumerator,
    ACTIONS(3626), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1859), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [55274] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3551), 1,
      sym_identifier,
    ACTIONS(3657), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3659), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3679), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(3661), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1354), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(1858), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [55303] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3586), 1,
      sym_identifier,
    ACTIONS(3622), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3624), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3681), 1,
      aux_sym_preproc_if_token2,
    STATE(1360), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1758), 1,
      sym_enumerator,
    ACTIONS(3626), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1854), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [55334] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3551), 1,
      sym_identifier,
    ACTIONS(3657), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3659), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3683), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(3661), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1302), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(1861), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [55363] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3586), 1,
      sym_identifier,
    ACTIONS(3622), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3624), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3685), 1,
      aux_sym_preproc_if_token2,
    STATE(1306), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1758), 1,
      sym_enumerator,
    ACTIONS(3626), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1742), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [55394] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3687), 1,
      sym_identifier,
    STATE(659), 1,
      sym_string_literal,
    ACTIONS(3689), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1500), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [55419] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3580), 1,
      anon_sym_LPAREN2,
    ACTIONS(3693), 1,
      anon_sym_LBRACK,
    STATE(1391), 1,
      sym_parameter_list,
    STATE(1341), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3691), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [55445] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3697), 1,
      anon_sym_LBRACK,
    STATE(1474), 1,
      sym_gnu_asm_output_operand,
    STATE(1830), 1,
      sym_string_literal,
    ACTIONS(3695), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [55469] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3701), 1,
      anon_sym_LBRACK,
    ACTIONS(3699), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [55487] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3705), 1,
      anon_sym_LBRACK,
    STATE(1257), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3703), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [55509] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3709), 1,
      anon_sym_LBRACK,
    ACTIONS(3707), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [55527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3713), 1,
      anon_sym_LBRACK,
    ACTIONS(3711), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [55545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3717), 1,
      anon_sym_LBRACK,
    ACTIONS(3715), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [55563] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3580), 1,
      anon_sym_LPAREN2,
    ACTIONS(3693), 1,
      anon_sym_LBRACK,
    STATE(1391), 1,
      sym_parameter_list,
    STATE(1341), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3719), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [55589] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(3582), 1,
      anon_sym_LBRACK,
    ACTIONS(3721), 1,
      anon_sym_LPAREN2,
    ACTIONS(3723), 1,
      anon_sym_EQ,
    STATE(378), 1,
      sym_compound_statement,
    STATE(922), 1,
      sym__old_style_parameter_list,
    STATE(1244), 1,
      sym_parameter_list,
    STATE(1280), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [55621] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(432), 1,
      anon_sym_LBRACE,
    ACTIONS(3582), 1,
      anon_sym_LBRACK,
    ACTIONS(3721), 1,
      anon_sym_LPAREN2,
    ACTIONS(3723), 1,
      anon_sym_EQ,
    STATE(260), 1,
      sym_compound_statement,
    STATE(922), 1,
      sym__old_style_parameter_list,
    STATE(1244), 1,
      sym_parameter_list,
    STATE(1280), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [55653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3727), 1,
      anon_sym_LBRACK,
    ACTIONS(3725), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [55671] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3580), 1,
      anon_sym_LPAREN2,
    ACTIONS(3693), 1,
      anon_sym_LBRACK,
    STATE(1391), 1,
      sym_parameter_list,
    STATE(1341), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3729), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [55697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3733), 1,
      anon_sym_LBRACK,
    ACTIONS(3731), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [55715] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3580), 1,
      anon_sym_LPAREN2,
    ACTIONS(3693), 1,
      anon_sym_LBRACK,
    STATE(1391), 1,
      sym_parameter_list,
    STATE(1341), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3735), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [55741] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(376), 1,
      anon_sym_LBRACE,
    ACTIONS(3582), 1,
      anon_sym_LBRACK,
    ACTIONS(3721), 1,
      anon_sym_LPAREN2,
    ACTIONS(3723), 1,
      anon_sym_EQ,
    STATE(265), 1,
      sym_compound_statement,
    STATE(922), 1,
      sym__old_style_parameter_list,
    STATE(1244), 1,
      sym_parameter_list,
    STATE(1280), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [55773] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3580), 1,
      anon_sym_LPAREN2,
    ACTIONS(3693), 1,
      anon_sym_LBRACK,
    ACTIONS(3737), 1,
      anon_sym_COMMA,
    STATE(1391), 1,
      sym_parameter_list,
    STATE(1478), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(3739), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
    STATE(1341), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [55803] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(3582), 1,
      anon_sym_LBRACK,
    ACTIONS(3721), 1,
      anon_sym_LPAREN2,
    ACTIONS(3723), 1,
      anon_sym_EQ,
    STATE(130), 1,
      sym_compound_statement,
    STATE(922), 1,
      sym__old_style_parameter_list,
    STATE(1244), 1,
      sym_parameter_list,
    STATE(1280), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [55835] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3743), 1,
      anon_sym_LBRACK,
    STATE(1516), 1,
      sym_gnu_asm_input_operand,
    STATE(1824), 1,
      sym_string_literal,
    ACTIONS(3741), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [55859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3747), 1,
      anon_sym_LBRACK,
    ACTIONS(3745), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [55877] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3749), 1,
      sym_identifier,
    ACTIONS(3753), 1,
      sym_system_lib_string,
    STATE(1787), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(3751), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [55898] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(3582), 1,
      anon_sym_LBRACK,
    ACTIONS(3721), 1,
      anon_sym_LPAREN2,
    STATE(367), 1,
      sym_compound_statement,
    STATE(922), 1,
      sym__old_style_parameter_list,
    STATE(1242), 1,
      sym_parameter_list,
    STATE(1280), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [55927] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3755), 1,
      sym_identifier,
    ACTIONS(3757), 1,
      sym_system_lib_string,
    STATE(1804), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(3751), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [55948] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(376), 1,
      anon_sym_LBRACE,
    ACTIONS(3582), 1,
      anon_sym_LBRACK,
    ACTIONS(3721), 1,
      anon_sym_LPAREN2,
    STATE(307), 1,
      sym_compound_statement,
    STATE(922), 1,
      sym__old_style_parameter_list,
    STATE(1242), 1,
      sym_parameter_list,
    STATE(1280), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [55977] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3759), 1,
      sym_identifier,
    ACTIONS(3761), 1,
      sym_system_lib_string,
    STATE(1935), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(3751), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [55998] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(432), 1,
      anon_sym_LBRACE,
    ACTIONS(3580), 1,
      anon_sym_LPAREN2,
    ACTIONS(3582), 1,
      anon_sym_LBRACK,
    ACTIONS(3723), 1,
      anon_sym_EQ,
    STATE(260), 1,
      sym_compound_statement,
    STATE(1244), 1,
      sym_parameter_list,
    STATE(1280), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [56027] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(3580), 1,
      anon_sym_LPAREN2,
    ACTIONS(3582), 1,
      anon_sym_LBRACK,
    ACTIONS(3723), 1,
      anon_sym_EQ,
    STATE(130), 1,
      sym_compound_statement,
    STATE(1244), 1,
      sym_parameter_list,
    STATE(1280), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [56056] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3763), 1,
      sym_identifier,
    ACTIONS(3765), 1,
      sym_system_lib_string,
    STATE(1771), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(3751), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [56077] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3687), 1,
      sym_identifier,
    STATE(659), 1,
      sym_string_literal,
    STATE(1534), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [56098] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3687), 1,
      sym_identifier,
    STATE(659), 1,
      sym_string_literal,
    STATE(1631), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [56119] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(3580), 1,
      anon_sym_LPAREN2,
    ACTIONS(3582), 1,
      anon_sym_LBRACK,
    ACTIONS(3723), 1,
      anon_sym_EQ,
    STATE(378), 1,
      sym_compound_statement,
    STATE(1244), 1,
      sym_parameter_list,
    STATE(1280), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [56148] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1907), 1,
      anon_sym_LPAREN2,
    ACTIONS(1909), 1,
      anon_sym_STAR,
    ACTIONS(2802), 1,
      anon_sym_LBRACK,
    STATE(1443), 1,
      sym_parameter_list,
    STATE(1477), 1,
      sym__abstract_declarator,
    STATE(1442), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
  [56173] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3769), 1,
      anon_sym_LBRACK,
    STATE(1257), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3767), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [56194] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3687), 1,
      sym_identifier,
    STATE(659), 1,
      sym_string_literal,
    STATE(1596), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [56215] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(3582), 1,
      anon_sym_LBRACK,
    ACTIONS(3721), 1,
      anon_sym_LPAREN2,
    STATE(134), 1,
      sym_compound_statement,
    STATE(922), 1,
      sym__old_style_parameter_list,
    STATE(1242), 1,
      sym_parameter_list,
    STATE(1280), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [56244] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(432), 1,
      anon_sym_LBRACE,
    ACTIONS(3582), 1,
      anon_sym_LBRACK,
    ACTIONS(3721), 1,
      anon_sym_LPAREN2,
    STATE(279), 1,
      sym_compound_statement,
    STATE(922), 1,
      sym__old_style_parameter_list,
    STATE(1242), 1,
      sym_parameter_list,
    STATE(1280), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [56273] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3580), 1,
      anon_sym_LPAREN2,
    ACTIONS(3693), 1,
      anon_sym_LBRACK,
    STATE(1391), 1,
      sym_parameter_list,
    STATE(1341), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3771), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [56298] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(376), 1,
      anon_sym_LBRACE,
    ACTIONS(3580), 1,
      anon_sym_LPAREN2,
    ACTIONS(3582), 1,
      anon_sym_LBRACK,
    ACTIONS(3723), 1,
      anon_sym_EQ,
    STATE(265), 1,
      sym_compound_statement,
    STATE(1244), 1,
      sym_parameter_list,
    STATE(1280), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [56327] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3733), 1,
      anon_sym_LBRACK,
    ACTIONS(3731), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
    ACTIONS(3773), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_asm,
      anon_sym___asm__,
  [56346] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(3580), 1,
      anon_sym_LPAREN2,
    ACTIONS(3582), 1,
      anon_sym_LBRACK,
    STATE(365), 1,
      sym_compound_statement,
    STATE(1242), 1,
      sym_parameter_list,
    STATE(1280), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [56372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3777), 1,
      anon_sym_LBRACK,
    ACTIONS(3775), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [56388] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(3580), 1,
      anon_sym_LPAREN2,
    ACTIONS(3582), 1,
      anon_sym_LBRACK,
    STATE(134), 1,
      sym_compound_statement,
    STATE(1242), 1,
      sym_parameter_list,
    STATE(1280), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [56414] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(376), 1,
      anon_sym_LBRACE,
    ACTIONS(3580), 1,
      anon_sym_LPAREN2,
    ACTIONS(3582), 1,
      anon_sym_LBRACK,
    STATE(287), 1,
      sym_compound_statement,
    STATE(1242), 1,
      sym_parameter_list,
    STATE(1280), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [56440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3781), 1,
      anon_sym_LBRACK,
    ACTIONS(3779), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [56456] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3785), 1,
      anon_sym_LBRACK,
    ACTIONS(3783), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [56472] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3787), 1,
      sym_identifier,
    ACTIONS(3792), 1,
      aux_sym_preproc_elif_token1,
    STATE(1354), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    ACTIONS(3790), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [56492] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(3580), 1,
      anon_sym_LPAREN2,
    ACTIONS(3582), 1,
      anon_sym_LBRACK,
    STATE(355), 1,
      sym_compound_statement,
    STATE(1244), 1,
      sym_parameter_list,
    STATE(1280), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [56518] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(376), 1,
      anon_sym_LBRACE,
    ACTIONS(3580), 1,
      anon_sym_LPAREN2,
    ACTIONS(3582), 1,
      anon_sym_LBRACK,
    STATE(304), 1,
      sym_compound_statement,
    STATE(1244), 1,
      sym_parameter_list,
    STATE(1280), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [56544] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3796), 1,
      anon_sym_LBRACK,
    ACTIONS(3794), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [56560] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(3580), 1,
      anon_sym_LPAREN2,
    ACTIONS(3582), 1,
      anon_sym_LBRACK,
    STATE(127), 1,
      sym_compound_statement,
    STATE(1242), 1,
      sym_parameter_list,
    STATE(1280), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [56586] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3743), 1,
      anon_sym_LBRACK,
    STATE(1583), 1,
      sym_gnu_asm_input_operand,
    STATE(1824), 1,
      sym_string_literal,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [56606] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3798), 1,
      sym_identifier,
    ACTIONS(3803), 1,
      aux_sym_preproc_elif_token1,
    STATE(1360), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1758), 1,
      sym_enumerator,
    ACTIONS(3801), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [56628] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3807), 1,
      anon_sym_LBRACK,
    ACTIONS(3805), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [56644] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(432), 1,
      anon_sym_LBRACE,
    ACTIONS(3580), 1,
      anon_sym_LPAREN2,
    ACTIONS(3582), 1,
      anon_sym_LBRACK,
    STATE(279), 1,
      sym_compound_statement,
    STATE(1242), 1,
      sym_parameter_list,
    STATE(1280), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [56670] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3580), 1,
      anon_sym_LPAREN2,
    ACTIONS(3582), 1,
      anon_sym_LBRACK,
    STATE(1242), 1,
      sym_parameter_list,
    ACTIONS(3809), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(1280), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [56694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3813), 1,
      anon_sym_LBRACK,
    ACTIONS(3811), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [56710] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(432), 1,
      anon_sym_LBRACE,
    ACTIONS(3580), 1,
      anon_sym_LPAREN2,
    ACTIONS(3582), 1,
      anon_sym_LBRACK,
    STATE(298), 1,
      sym_compound_statement,
    STATE(1242), 1,
      sym_parameter_list,
    STATE(1280), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [56736] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(376), 1,
      anon_sym_LBRACE,
    ACTIONS(3580), 1,
      anon_sym_LPAREN2,
    ACTIONS(3582), 1,
      anon_sym_LBRACK,
    STATE(307), 1,
      sym_compound_statement,
    STATE(1242), 1,
      sym_parameter_list,
    STATE(1280), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [56762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3817), 1,
      anon_sym_LBRACK,
    ACTIONS(3815), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [56778] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3697), 1,
      anon_sym_LBRACK,
    STATE(1576), 1,
      sym_gnu_asm_output_operand,
    STATE(1830), 1,
      sym_string_literal,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [56798] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3821), 1,
      anon_sym_LBRACK,
    ACTIONS(3819), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [56814] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3825), 1,
      anon_sym_LBRACK,
    ACTIONS(3823), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [56830] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    ACTIONS(3580), 1,
      anon_sym_LPAREN2,
    ACTIONS(3582), 1,
      anon_sym_LBRACK,
    STATE(128), 1,
      sym_compound_statement,
    STATE(1244), 1,
      sym_parameter_list,
    STATE(1280), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [56856] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3829), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3831), 1,
      anon_sym_EQ,
    ACTIONS(3827), 6,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [56874] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(432), 1,
      anon_sym_LBRACE,
    ACTIONS(3580), 1,
      anon_sym_LPAREN2,
    ACTIONS(3582), 1,
      anon_sym_LBRACK,
    STATE(277), 1,
      sym_compound_statement,
    STATE(1244), 1,
      sym_parameter_list,
    STATE(1280), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [56900] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(3580), 1,
      anon_sym_LPAREN2,
    ACTIONS(3582), 1,
      anon_sym_LBRACK,
    STATE(367), 1,
      sym_compound_statement,
    STATE(1242), 1,
      sym_parameter_list,
    STATE(1280), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [56926] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3835), 1,
      anon_sym_LBRACK,
    ACTIONS(3833), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [56941] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3580), 1,
      anon_sym_LPAREN2,
    ACTIONS(3693), 1,
      anon_sym_LBRACK,
    ACTIONS(3837), 1,
      anon_sym_RPAREN,
    STATE(1391), 1,
      sym_parameter_list,
    STATE(1341), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [56964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3841), 1,
      anon_sym_LBRACK,
    ACTIONS(3839), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [56979] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3845), 1,
      anon_sym___attribute__,
    STATE(1378), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(3843), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_asm,
      anon_sym___asm__,
  [56996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3850), 1,
      anon_sym_LBRACK,
    ACTIONS(3848), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [57011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3854), 1,
      anon_sym_LBRACK,
    ACTIONS(3852), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [57026] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3580), 1,
      anon_sym_LPAREN2,
    ACTIONS(3582), 1,
      anon_sym_LBRACK,
    ACTIONS(3856), 1,
      anon_sym_RPAREN,
    STATE(1242), 1,
      sym_parameter_list,
    STATE(1280), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [57049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3860), 1,
      anon_sym_LBRACK,
    ACTIONS(3858), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [57064] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3864), 1,
      anon_sym_LBRACK,
    ACTIONS(3862), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [57079] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3866), 1,
      anon_sym_LBRACK,
    ACTIONS(3869), 1,
      anon_sym_EQ,
    ACTIONS(3871), 1,
      anon_sym_DOT,
    STATE(1384), 4,
      sym_subscript_designator,
      sym_subscript_range_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
  [57098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3876), 1,
      anon_sym_LBRACK,
    ACTIONS(3874), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [57113] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3580), 1,
      anon_sym_LPAREN2,
    ACTIONS(3582), 1,
      anon_sym_LBRACK,
    ACTIONS(3878), 1,
      anon_sym_RPAREN,
    STATE(1242), 1,
      sym_parameter_list,
    STATE(1280), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [57136] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1903), 1,
      anon_sym_LBRACK,
    ACTIONS(3880), 1,
      anon_sym_EQ,
    ACTIONS(3882), 1,
      anon_sym_DOT,
    STATE(1384), 4,
      sym_subscript_designator,
      sym_subscript_range_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
  [57155] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3886), 1,
      anon_sym_COMMA,
    ACTIONS(3888), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3884), 5,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [57172] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3580), 1,
      anon_sym_LPAREN2,
    ACTIONS(3693), 1,
      anon_sym_LBRACK,
    ACTIONS(3890), 1,
      anon_sym_RPAREN,
    STATE(1391), 1,
      sym_parameter_list,
    STATE(1341), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [57195] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3504), 1,
      anon_sym___attribute__,
    STATE(1378), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(3892), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_asm,
      anon_sym___asm__,
  [57212] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3896), 1,
      anon_sym_LBRACK,
    ACTIONS(3894), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [57227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3900), 1,
      anon_sym_LBRACK,
    ACTIONS(3898), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [57242] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3580), 1,
      anon_sym_LPAREN2,
    ACTIONS(3612), 1,
      anon_sym_LBRACK,
    ACTIONS(3902), 1,
      anon_sym_RPAREN,
    STATE(1352), 1,
      sym_parameter_list,
    STATE(1313), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [57265] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3580), 1,
      anon_sym_LPAREN2,
    ACTIONS(3612), 1,
      anon_sym_LBRACK,
    ACTIONS(3904), 1,
      anon_sym_RPAREN,
    STATE(1352), 1,
      sym_parameter_list,
    STATE(1313), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [57288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3908), 1,
      anon_sym_LBRACK,
    ACTIONS(3906), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [57303] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(2412), 1,
      anon_sym_LBRACE,
    ACTIONS(3910), 1,
      sym_identifier,
    STATE(728), 1,
      sym_field_declaration_list,
    STATE(1449), 1,
      sym_attribute_specifier,
    STATE(1582), 1,
      sym_ms_declspec_modifier,
  [57328] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3580), 1,
      anon_sym_LPAREN2,
    ACTIONS(3582), 1,
      anon_sym_LBRACK,
    ACTIONS(3723), 1,
      anon_sym_EQ,
    STATE(1244), 1,
      sym_parameter_list,
    STATE(1280), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [57351] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3504), 1,
      anon_sym___attribute__,
    STATE(1378), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(3527), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_asm,
      anon_sym___asm__,
  [57368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3912), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(3914), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [57382] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_COMMA,
    ACTIONS(3918), 1,
      anon_sym_SEMI,
    STATE(1554), 1,
      aux_sym_declaration_repeat1,
    STATE(1555), 1,
      sym_gnu_asm_expression,
    ACTIONS(3920), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [57402] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_COMMA,
    ACTIONS(3922), 1,
      anon_sym_SEMI,
    STATE(1617), 1,
      sym_gnu_asm_expression,
    STATE(1619), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(3920), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [57422] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3580), 1,
      anon_sym_LPAREN2,
    ACTIONS(3926), 1,
      anon_sym_LBRACK,
    STATE(1452), 1,
      sym_parameter_list,
    ACTIONS(3924), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [57440] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3928), 1,
      anon_sym_LPAREN2,
    STATE(1417), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(3930), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [57456] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1937), 1,
      sym_string_literal,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [57470] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3932), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(3934), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [57484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(616), 1,
      sym_string_literal,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [57498] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(3938), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [57512] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3940), 1,
      anon_sym_LPAREN2,
    STATE(1408), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(3942), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [57528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1909), 1,
      sym_string_literal,
    ACTIONS(97), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [57542] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_COMMA,
    ACTIONS(3945), 1,
      anon_sym_SEMI,
    STATE(1611), 1,
      sym_gnu_asm_expression,
    STATE(1612), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(3920), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [57562] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3947), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(3949), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [57576] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3580), 1,
      anon_sym_LPAREN2,
    ACTIONS(3926), 1,
      anon_sym_LBRACK,
    STATE(1452), 1,
      sym_parameter_list,
    ACTIONS(3951), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [57594] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3580), 1,
      anon_sym_LPAREN2,
    ACTIONS(3926), 1,
      anon_sym_LBRACK,
    STATE(1452), 1,
      sym_parameter_list,
    ACTIONS(3953), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [57612] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3580), 1,
      anon_sym_LPAREN2,
    ACTIONS(3926), 1,
      anon_sym_LBRACK,
    STATE(1452), 1,
      sym_parameter_list,
    ACTIONS(3955), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [57630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3957), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(3959), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [57644] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3961), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(3963), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [57658] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3965), 1,
      anon_sym_LPAREN2,
    STATE(1408), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(3930), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [57674] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_COMMA,
    ACTIONS(3967), 1,
      anon_sym_SEMI,
    STATE(1613), 1,
      sym_gnu_asm_expression,
    STATE(1615), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(3920), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [57694] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3580), 1,
      anon_sym_LPAREN2,
    ACTIONS(3926), 1,
      anon_sym_LBRACK,
    STATE(1452), 1,
      sym_parameter_list,
    ACTIONS(3969), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [57712] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3912), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(3914), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [57726] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_COMMA,
    ACTIONS(3971), 1,
      anon_sym_SEMI,
    STATE(1521), 1,
      aux_sym_declaration_repeat1,
    STATE(1551), 1,
      sym_gnu_asm_expression,
    ACTIONS(3920), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [57746] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3580), 1,
      anon_sym_LPAREN2,
    ACTIONS(3582), 1,
      anon_sym_LBRACK,
    STATE(1244), 1,
      sym_parameter_list,
    STATE(1280), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [57766] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_COMMA,
    ACTIONS(3973), 1,
      anon_sym_SEMI,
    STATE(1546), 1,
      aux_sym_declaration_repeat1,
    STATE(1549), 1,
      sym_gnu_asm_expression,
    ACTIONS(3920), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [57786] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_COMMA,
    ACTIONS(3975), 1,
      anon_sym_SEMI,
    STATE(1547), 1,
      aux_sym_declaration_repeat1,
    STATE(1591), 1,
      sym_gnu_asm_expression,
    ACTIONS(3920), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [57806] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3580), 1,
      anon_sym_LPAREN2,
    ACTIONS(3926), 1,
      anon_sym_LBRACK,
    STATE(1452), 1,
      sym_parameter_list,
    ACTIONS(3977), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [57824] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3640), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(3979), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [57838] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_COMMA,
    ACTIONS(3981), 1,
      anon_sym_SEMI,
    STATE(1563), 1,
      aux_sym_declaration_repeat1,
    STATE(1564), 1,
      sym_gnu_asm_expression,
    ACTIONS(3920), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [57858] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_COMMA,
    ACTIONS(3983), 1,
      anon_sym_SEMI,
    STATE(1597), 1,
      aux_sym_declaration_repeat1,
    STATE(1601), 1,
      sym_gnu_asm_expression,
    ACTIONS(3920), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [57878] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_COMMA,
    ACTIONS(3985), 1,
      anon_sym_SEMI,
    STATE(1593), 1,
      aux_sym_declaration_repeat1,
    STATE(1599), 1,
      sym_gnu_asm_expression,
    ACTIONS(3920), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [57898] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3580), 1,
      anon_sym_LPAREN2,
    ACTIONS(3926), 1,
      anon_sym_LBRACK,
    STATE(1452), 1,
      sym_parameter_list,
    ACTIONS(3987), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [57916] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_COMMA,
    ACTIONS(3989), 1,
      anon_sym_SEMI,
    STATE(1568), 1,
      aux_sym_declaration_repeat1,
    STATE(1569), 1,
      sym_gnu_asm_expression,
    ACTIONS(3920), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [57936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3991), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(3993), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [57950] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3803), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3801), 5,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [57964] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_COMMA,
    ACTIONS(3995), 1,
      anon_sym_SEMI,
    STATE(1579), 1,
      aux_sym_declaration_repeat1,
    STATE(1580), 1,
      sym_gnu_asm_expression,
    ACTIONS(3920), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [57984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3932), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(3934), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [57998] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3997), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(3999), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [58012] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4001), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [58023] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4003), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [58034] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4005), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [58045] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4007), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [58056] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1690), 1,
      sym_gnu_asm_expression,
    ACTIONS(3920), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(4009), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [58071] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4011), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [58082] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4013), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [58093] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(2412), 1,
      anon_sym_LBRACE,
    ACTIONS(4015), 1,
      sym_identifier,
    STATE(722), 1,
      sym_field_declaration_list,
    STATE(1524), 1,
      sym_ms_declspec_modifier,
  [58112] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4017), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [58123] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4019), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [58134] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4021), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [58145] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4023), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [58156] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(2412), 1,
      anon_sym_LBRACE,
    ACTIONS(4025), 1,
      sym_identifier,
    STATE(718), 1,
      sym_field_declaration_list,
    STATE(1622), 1,
      sym_ms_declspec_modifier,
  [58175] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3551), 1,
      sym_identifier,
    ACTIONS(4027), 1,
      aux_sym_preproc_if_token2,
    STATE(1388), 1,
      sym_enumerator,
    STATE(1492), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1493), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [58194] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    ACTIONS(4031), 1,
      anon_sym_COLON_COLON,
    STATE(1682), 1,
      sym_argument_list,
    ACTIONS(4029), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [58211] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4033), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [58222] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1704), 1,
      sym_gnu_asm_expression,
    ACTIONS(3920), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(4035), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [58237] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4037), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [58248] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4039), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [58259] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3580), 1,
      anon_sym_LPAREN2,
    ACTIONS(3926), 1,
      anon_sym_LBRACK,
    STATE(1452), 1,
      sym_parameter_list,
    ACTIONS(3809), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [58276] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3504), 1,
      anon_sym___attribute__,
    ACTIONS(4041), 1,
      anon_sym_SEMI,
    STATE(1378), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [58290] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4043), 4,
      anon_sym_LPAREN2,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [58300] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4045), 1,
      anon_sym___except,
    ACTIONS(4047), 1,
      anon_sym___finally,
    STATE(150), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [58314] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3504), 1,
      anon_sym___attribute__,
    ACTIONS(4049), 1,
      anon_sym_SEMI,
    STATE(1378), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [58328] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3504), 1,
      anon_sym___attribute__,
    ACTIONS(4051), 1,
      anon_sym_SEMI,
    STATE(1465), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [58342] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3504), 1,
      anon_sym___attribute__,
    ACTIONS(4053), 1,
      anon_sym_SEMI,
    STATE(1487), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [58356] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3608), 1,
      anon_sym_COMMA,
    STATE(1512), 1,
      aux_sym__field_declaration_declarator_repeat1,
    ACTIONS(4055), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [58370] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4057), 1,
      anon_sym_COMMA,
    STATE(1464), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(4060), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [58384] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3504), 1,
      anon_sym___attribute__,
    ACTIONS(4062), 1,
      anon_sym_SEMI,
    STATE(1378), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [58398] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    STATE(1652), 1,
      sym_argument_list,
    ACTIONS(4064), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [58412] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3608), 1,
      anon_sym_COMMA,
    STATE(1515), 1,
      aux_sym__field_declaration_declarator_repeat1,
    ACTIONS(4066), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [58426] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4068), 1,
      anon_sym_COMMA,
    STATE(1468), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(4071), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [58440] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3504), 1,
      anon_sym___attribute__,
    ACTIONS(4073), 1,
      anon_sym_SEMI,
    STATE(1494), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [58454] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3504), 1,
      anon_sym___attribute__,
    ACTIONS(4075), 1,
      anon_sym_SEMI,
    STATE(1378), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [58468] = 5,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(4077), 1,
      anon_sym_DQUOTE,
    ACTIONS(4079), 1,
      aux_sym_string_literal_token1,
    ACTIONS(4081), 1,
      sym_escape_sequence,
    STATE(1510), 1,
      aux_sym_string_literal_repeat1,
  [58484] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3504), 1,
      anon_sym___attribute__,
    ACTIONS(4083), 1,
      anon_sym_SEMI,
    STATE(1378), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [58498] = 5,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(4085), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4087), 1,
      anon_sym_LPAREN,
    ACTIONS(4089), 1,
      sym_preproc_arg,
    STATE(1714), 1,
      sym_preproc_params,
  [58514] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4091), 1,
      anon_sym_COMMA,
    STATE(1513), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(4093), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [58528] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3504), 1,
      anon_sym___attribute__,
    ACTIONS(4095), 1,
      anon_sym_SEMI,
    STATE(1457), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [58542] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4097), 1,
      anon_sym___except,
    ACTIONS(4099), 1,
      anon_sym___finally,
    STATE(226), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [58556] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3580), 1,
      anon_sym_LPAREN2,
    ACTIONS(3926), 1,
      anon_sym_LBRACK,
    ACTIONS(4101), 1,
      anon_sym_RPAREN,
    STATE(1452), 1,
      sym_parameter_list,
  [58572] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3737), 1,
      anon_sym_COMMA,
    STATE(1468), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(4103), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [58586] = 5,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(4087), 1,
      anon_sym_LPAREN,
    ACTIONS(4105), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4107), 1,
      sym_preproc_arg,
    STATE(1699), 1,
      sym_preproc_params,
  [58602] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4109), 1,
      anon_sym___except,
    ACTIONS(4111), 1,
      anon_sym___finally,
    STATE(105), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [58616] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3504), 1,
      anon_sym___attribute__,
    ACTIONS(4113), 1,
      anon_sym_SEMI,
    STATE(1460), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [58630] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4115), 1,
      anon_sym_COMMA,
    STATE(1464), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(4117), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [58644] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3504), 1,
      anon_sym___attribute__,
    ACTIONS(4119), 1,
      anon_sym_SEMI,
    STATE(1496), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [58658] = 4,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(4121), 1,
      anon_sym_SQUOTE,
    STATE(1484), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(4123), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [58672] = 5,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(4126), 1,
      anon_sym_DQUOTE,
    ACTIONS(4128), 1,
      aux_sym_string_literal_token1,
    ACTIONS(4131), 1,
      sym_escape_sequence,
    STATE(1485), 1,
      aux_sym_string_literal_repeat1,
  [58688] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4134), 1,
      anon_sym_COMMA,
    STATE(1486), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(4137), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [58702] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3504), 1,
      anon_sym___attribute__,
    ACTIONS(4139), 1,
      anon_sym_SEMI,
    STATE(1378), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [58716] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4141), 1,
      anon_sym___except,
    ACTIONS(4143), 1,
      anon_sym___finally,
    STATE(218), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [58730] = 5,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(4145), 1,
      anon_sym_DQUOTE,
    ACTIONS(4147), 1,
      aux_sym_string_literal_token1,
    ACTIONS(4149), 1,
      sym_escape_sequence,
    STATE(1485), 1,
      aux_sym_string_literal_repeat1,
  [58746] = 4,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(4151), 1,
      anon_sym_SQUOTE,
    STATE(1484), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(4153), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [58760] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3504), 1,
      anon_sym___attribute__,
    ACTIONS(4155), 1,
      anon_sym_SEMI,
    STATE(1470), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [58774] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3586), 1,
      sym_identifier,
    ACTIONS(4157), 1,
      aux_sym_preproc_if_token2,
    STATE(1360), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1758), 1,
      sym_enumerator,
  [58790] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3551), 1,
      sym_identifier,
    ACTIONS(4159), 1,
      aux_sym_preproc_if_token2,
    STATE(1354), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [58804] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3504), 1,
      anon_sym___attribute__,
    ACTIONS(4161), 1,
      anon_sym_SEMI,
    STATE(1378), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [58818] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3586), 1,
      sym_identifier,
    ACTIONS(4027), 1,
      aux_sym_preproc_if_token2,
    STATE(1492), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1758), 1,
      sym_enumerator,
  [58834] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3504), 1,
      anon_sym___attribute__,
    ACTIONS(4163), 1,
      anon_sym_SEMI,
    STATE(1378), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [58848] = 5,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(4087), 1,
      anon_sym_LPAREN,
    ACTIONS(4165), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4167), 1,
      sym_preproc_arg,
    STATE(1721), 1,
      sym_preproc_params,
  [58864] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3504), 1,
      anon_sym___attribute__,
    ACTIONS(4169), 1,
      anon_sym_SEMI,
    STATE(1472), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [58878] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3551), 1,
      sym_identifier,
    ACTIONS(4171), 1,
      aux_sym_preproc_if_token2,
    STATE(1493), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [58892] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4115), 1,
      anon_sym_COMMA,
    STATE(1482), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(4173), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [58906] = 5,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(4087), 1,
      anon_sym_LPAREN,
    ACTIONS(4175), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4177), 1,
      sym_preproc_arg,
    STATE(1729), 1,
      sym_preproc_params,
  [58922] = 5,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(4179), 1,
      anon_sym_DQUOTE,
    ACTIONS(4181), 1,
      aux_sym_string_literal_token1,
    ACTIONS(4183), 1,
      sym_escape_sequence,
    STATE(1489), 1,
      aux_sym_string_literal_repeat1,
  [58938] = 5,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(4185), 1,
      anon_sym_DQUOTE,
    ACTIONS(4187), 1,
      aux_sym_string_literal_token1,
    ACTIONS(4189), 1,
      sym_escape_sequence,
    STATE(1520), 1,
      aux_sym_string_literal_repeat1,
  [58954] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4191), 1,
      anon_sym_COMMA,
    STATE(1486), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(4193), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [58968] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4195), 1,
      anon_sym_COMMA,
    STATE(1505), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(4198), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [58982] = 5,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(4087), 1,
      anon_sym_LPAREN,
    ACTIONS(4200), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4202), 1,
      sym_preproc_arg,
    STATE(1716), 1,
      sym_preproc_params,
  [58998] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4204), 1,
      anon_sym_COMMA,
    ACTIONS(4206), 1,
      anon_sym_RPAREN,
    STATE(1609), 1,
      aux_sym_parameter_list_repeat1,
    STATE(1639), 1,
      aux_sym__old_style_parameter_list_repeat1,
  [59014] = 4,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_SQUOTE,
    STATE(1484), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(4153), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [59028] = 4,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(4210), 1,
      anon_sym_SQUOTE,
    STATE(1484), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(4153), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [59042] = 5,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(4147), 1,
      aux_sym_string_literal_token1,
    ACTIONS(4149), 1,
      sym_escape_sequence,
    ACTIONS(4212), 1,
      anon_sym_DQUOTE,
    STATE(1485), 1,
      aux_sym_string_literal_repeat1,
  [59058] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4214), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_asm,
      anon_sym___asm__,
  [59068] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3608), 1,
      anon_sym_COMMA,
    STATE(1515), 1,
      aux_sym__field_declaration_declarator_repeat1,
    ACTIONS(4216), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [59082] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4091), 1,
      anon_sym_COMMA,
    STATE(1505), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(4218), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [59096] = 5,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(4087), 1,
      anon_sym_LPAREN,
    ACTIONS(4220), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4222), 1,
      sym_preproc_arg,
    STATE(1674), 1,
      sym_preproc_params,
  [59112] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4224), 1,
      anon_sym_COMMA,
    STATE(1515), 1,
      aux_sym__field_declaration_declarator_repeat1,
    ACTIONS(4227), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [59126] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4191), 1,
      anon_sym_COMMA,
    STATE(1504), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(4229), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [59140] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3580), 1,
      anon_sym_LPAREN2,
    ACTIONS(3926), 1,
      anon_sym_LBRACK,
    ACTIONS(4231), 1,
      anon_sym_RPAREN,
    STATE(1452), 1,
      sym_parameter_list,
  [59156] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4233), 1,
      anon_sym___except,
    ACTIONS(4235), 1,
      anon_sym___finally,
    STATE(150), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [59170] = 5,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(4087), 1,
      anon_sym_LPAREN,
    ACTIONS(4237), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4239), 1,
      sym_preproc_arg,
    STATE(1705), 1,
      sym_preproc_params,
  [59186] = 5,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(4147), 1,
      aux_sym_string_literal_token1,
    ACTIONS(4149), 1,
      sym_escape_sequence,
    ACTIONS(4241), 1,
      anon_sym_DQUOTE,
    STATE(1485), 1,
      aux_sym_string_literal_repeat1,
  [59202] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_COMMA,
    ACTIONS(4243), 1,
      anon_sym_SEMI,
    STATE(1587), 1,
      aux_sym_declaration_repeat1,
  [59215] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4245), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [59224] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3063), 3,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
  [59233] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_LBRACE,
    ACTIONS(4247), 1,
      sym_identifier,
    STATE(719), 1,
      sym_field_declaration_list,
  [59246] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4249), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [59255] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3504), 1,
      anon_sym___attribute__,
    ACTIONS(4251), 1,
      anon_sym_SEMI,
    STATE(1773), 1,
      sym_attribute_specifier,
  [59268] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3127), 1,
      anon_sym_RBRACE,
    ACTIONS(4253), 1,
      anon_sym_COMMA,
    STATE(1527), 1,
      aux_sym_initializer_list_repeat1,
  [59281] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3073), 1,
      anon_sym_COMMA,
    ACTIONS(3081), 1,
      anon_sym_RPAREN,
    STATE(1586), 1,
      aux_sym_argument_list_repeat1,
  [59294] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_COMMA,
    ACTIONS(4256), 1,
      anon_sym_SEMI,
    STATE(1623), 1,
      aux_sym_declaration_repeat1,
  [59307] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4258), 1,
      anon_sym_COMMA,
    ACTIONS(4260), 1,
      anon_sym_RPAREN,
    STATE(1609), 1,
      aux_sym_parameter_list_repeat1,
  [59320] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4262), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [59329] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4264), 1,
      anon_sym_COMMA,
    ACTIONS(4267), 1,
      anon_sym_RPAREN,
    STATE(1532), 1,
      aux_sym__old_style_parameter_list_repeat1,
  [59342] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4269), 1,
      anon_sym_RPAREN,
    ACTIONS(4271), 1,
      anon_sym_COLON,
    STATE(1627), 1,
      sym_gnu_asm_input_operand_list,
  [59355] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4273), 1,
      anon_sym_RPAREN,
    ACTIONS(4275), 1,
      anon_sym_COLON,
    STATE(1598), 1,
      sym_gnu_asm_output_operand_list,
  [59368] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4277), 1,
      anon_sym_RPAREN,
    ACTIONS(4279), 1,
      anon_sym_COLON,
    STATE(1573), 1,
      sym_gnu_asm_clobber_list,
  [59381] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4281), 1,
      anon_sym_RPAREN,
    ACTIONS(4283), 1,
      anon_sym_COLON,
    STATE(1890), 1,
      sym_gnu_asm_goto_list,
  [59394] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4285), 1,
      anon_sym_COMMA,
    ACTIONS(4287), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1585), 1,
      aux_sym_attribute_declaration_repeat1,
  [59407] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_COMMA,
    ACTIONS(4289), 1,
      anon_sym_SEMI,
    STATE(1548), 1,
      aux_sym_declaration_repeat1,
  [59420] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4293), 1,
      anon_sym_RPAREN,
    ACTIONS(4291), 2,
      anon_sym_DOT_DOT_DOT,
      sym_identifier,
  [59431] = 3,
    ACTIONS(3317), 1,
      sym_comment,
    STATE(1509), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(4295), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [59442] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4297), 1,
      anon_sym_COMMA,
    ACTIONS(4299), 1,
      anon_sym_RPAREN,
    STATE(1600), 1,
      aux_sym_preproc_params_repeat1,
  [59455] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_COMMA,
    ACTIONS(4301), 1,
      anon_sym_SEMI,
    STATE(1587), 1,
      aux_sym_declaration_repeat1,
  [59468] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_COMMA,
    ACTIONS(4303), 1,
      anon_sym_SEMI,
    STATE(1587), 1,
      aux_sym_declaration_repeat1,
  [59481] = 4,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(4305), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4307), 1,
      anon_sym_LPAREN2,
    STATE(1813), 1,
      sym_preproc_argument_list,
  [59494] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3073), 1,
      anon_sym_COMMA,
    ACTIONS(3075), 1,
      anon_sym_RPAREN,
    STATE(1588), 1,
      aux_sym_argument_list_repeat1,
  [59507] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_COMMA,
    ACTIONS(4309), 1,
      anon_sym_SEMI,
    STATE(1587), 1,
      aux_sym_declaration_repeat1,
  [59520] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_COMMA,
    ACTIONS(4311), 1,
      anon_sym_SEMI,
    STATE(1587), 1,
      aux_sym_declaration_repeat1,
  [59533] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_COMMA,
    ACTIONS(4313), 1,
      anon_sym_SEMI,
    STATE(1587), 1,
      aux_sym_declaration_repeat1,
  [59546] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_COMMA,
    ACTIONS(4315), 1,
      anon_sym_SEMI,
    STATE(1542), 1,
      aux_sym_declaration_repeat1,
  [59559] = 4,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(4307), 1,
      anon_sym_LPAREN2,
    ACTIONS(4317), 1,
      aux_sym_preproc_include_token2,
    STATE(1813), 1,
      sym_preproc_argument_list,
  [59572] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_COMMA,
    ACTIONS(4319), 1,
      anon_sym_SEMI,
    STATE(1581), 1,
      aux_sym_declaration_repeat1,
  [59585] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LBRACE,
    ACTIONS(4321), 1,
      sym_identifier,
    STATE(1079), 1,
      sym_enumerator_list,
  [59598] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_COMMA,
    ACTIONS(4323), 1,
      anon_sym_SEMI,
    STATE(1587), 1,
      aux_sym_declaration_repeat1,
  [59611] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_COMMA,
    ACTIONS(4325), 1,
      anon_sym_SEMI,
    STATE(1587), 1,
      aux_sym_declaration_repeat1,
  [59624] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_COMMA,
    ACTIONS(4327), 1,
      anon_sym_SEMI,
    STATE(1543), 1,
      aux_sym_declaration_repeat1,
  [59637] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LBRACE,
    ACTIONS(4329), 1,
      sym_identifier,
    STATE(860), 1,
      sym_enumerator_list,
  [59650] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_COMMA,
    ACTIONS(4331), 1,
      anon_sym_SEMI,
    STATE(1553), 1,
      aux_sym_declaration_repeat1,
  [59663] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4285), 1,
      anon_sym_COMMA,
    ACTIONS(4333), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1642), 1,
      aux_sym_attribute_declaration_repeat1,
  [59676] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4335), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [59685] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_COMMA,
    ACTIONS(4337), 1,
      anon_sym_SEMI,
    STATE(1587), 1,
      aux_sym_declaration_repeat1,
  [59698] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3073), 1,
      anon_sym_COMMA,
    ACTIONS(4339), 1,
      anon_sym_RPAREN,
    STATE(1628), 1,
      aux_sym_argument_list_repeat1,
  [59711] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_COMMA,
    ACTIONS(4341), 1,
      anon_sym_SEMI,
    STATE(1587), 1,
      aux_sym_declaration_repeat1,
  [59724] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_COMMA,
    ACTIONS(4343), 1,
      anon_sym_SEMI,
    STATE(1587), 1,
      aux_sym_declaration_repeat1,
  [59737] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_COMMA,
    ACTIONS(4345), 1,
      anon_sym_SEMI,
    STATE(1560), 1,
      aux_sym_declaration_repeat1,
  [59750] = 4,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(4307), 1,
      anon_sym_LPAREN2,
    ACTIONS(4347), 1,
      aux_sym_preproc_include_token2,
    STATE(1813), 1,
      sym_preproc_argument_list,
  [59763] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_COMMA,
    ACTIONS(4349), 1,
      anon_sym_SEMI,
    STATE(1587), 1,
      aux_sym_declaration_repeat1,
  [59776] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_COMMA,
    ACTIONS(4351), 1,
      anon_sym_SEMI,
    STATE(1587), 1,
      aux_sym_declaration_repeat1,
  [59789] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_COMMA,
    ACTIONS(4353), 1,
      anon_sym_SEMI,
    STATE(1587), 1,
      aux_sym_declaration_repeat1,
  [59802] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_COMMA,
    ACTIONS(4355), 1,
      anon_sym_SEMI,
    STATE(1562), 1,
      aux_sym_declaration_repeat1,
  [59815] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_COMMA,
    ACTIONS(4357), 1,
      anon_sym_SEMI,
    STATE(1567), 1,
      aux_sym_declaration_repeat1,
  [59828] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4285), 1,
      anon_sym_COMMA,
    ACTIONS(4359), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1602), 1,
      aux_sym_attribute_declaration_repeat1,
  [59841] = 3,
    ACTIONS(3317), 1,
      sym_comment,
    STATE(1490), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(4361), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [59852] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4283), 1,
      anon_sym_COLON,
    ACTIONS(4363), 1,
      anon_sym_RPAREN,
    STATE(1919), 1,
      sym_gnu_asm_goto_list,
  [59865] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_COMMA,
    ACTIONS(4365), 1,
      anon_sym_SEMI,
    STATE(1587), 1,
      aux_sym_declaration_repeat1,
  [59878] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_LBRACE,
    ACTIONS(4367), 1,
      sym_identifier,
    STATE(1079), 1,
      sym_enumerator_list,
  [59891] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4369), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [59900] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3077), 1,
      anon_sym_COMMA,
    ACTIONS(4371), 1,
      anon_sym_RPAREN,
    STATE(1621), 1,
      aux_sym_generic_expression_repeat1,
  [59913] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_COMMA,
    ACTIONS(4373), 1,
      anon_sym_SEMI,
    STATE(1587), 1,
      aux_sym_declaration_repeat1,
  [59926] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_COMMA,
    ACTIONS(4375), 1,
      anon_sym_SEMI,
    STATE(1587), 1,
      aux_sym_declaration_repeat1,
  [59939] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_COMMA,
    ACTIONS(4377), 1,
      anon_sym_SEMI,
    STATE(1574), 1,
      aux_sym_declaration_repeat1,
  [59952] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_COMMA,
    ACTIONS(4379), 1,
      anon_sym_SEMI,
    STATE(1587), 1,
      aux_sym_declaration_repeat1,
  [59965] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_LBRACE,
    ACTIONS(4381), 1,
      sym_identifier,
    STATE(718), 1,
      sym_field_declaration_list,
  [59978] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4383), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [59987] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3251), 1,
      anon_sym_COMMA,
    ACTIONS(4385), 1,
      anon_sym_RPAREN,
    STATE(1620), 1,
      aux_sym_preproc_argument_list_repeat1,
  [60000] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4285), 1,
      anon_sym_COMMA,
    ACTIONS(4387), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1636), 1,
      aux_sym_attribute_declaration_repeat1,
  [60013] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3073), 1,
      anon_sym_COMMA,
    ACTIONS(3091), 1,
      anon_sym_RPAREN,
    STATE(1628), 1,
      aux_sym_argument_list_repeat1,
  [60026] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4389), 1,
      anon_sym_COMMA,
    ACTIONS(4392), 1,
      anon_sym_SEMI,
    STATE(1587), 1,
      aux_sym_declaration_repeat1,
  [60039] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3073), 1,
      anon_sym_COMMA,
    ACTIONS(3083), 1,
      anon_sym_RPAREN,
    STATE(1628), 1,
      aux_sym_argument_list_repeat1,
  [60052] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_COMMA,
    ACTIONS(4394), 1,
      anon_sym_SEMI,
    STATE(1587), 1,
      aux_sym_declaration_repeat1,
  [60065] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_COMMA,
    ACTIONS(4396), 1,
      anon_sym_SEMI,
    STATE(1614), 1,
      aux_sym_declaration_repeat1,
  [60078] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_COMMA,
    ACTIONS(4398), 1,
      anon_sym_SEMI,
    STATE(1637), 1,
      aux_sym_declaration_repeat1,
  [60091] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3251), 1,
      anon_sym_COMMA,
    ACTIONS(4400), 1,
      anon_sym_RPAREN,
    STATE(1620), 1,
      aux_sym_preproc_argument_list_repeat1,
  [60104] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_COMMA,
    ACTIONS(4402), 1,
      anon_sym_SEMI,
    STATE(1587), 1,
      aux_sym_declaration_repeat1,
  [60117] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1913), 1,
      anon_sym_RBRACE,
    ACTIONS(4404), 1,
      anon_sym_COMMA,
    STATE(1527), 1,
      aux_sym_initializer_list_repeat1,
  [60130] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_COMMA,
    ACTIONS(4406), 1,
      anon_sym_SEMI,
    STATE(1587), 1,
      aux_sym_declaration_repeat1,
  [60143] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4275), 1,
      anon_sym_COLON,
    ACTIONS(4408), 1,
      anon_sym_RPAREN,
    STATE(1533), 1,
      sym_gnu_asm_output_operand_list,
  [60156] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_COMMA,
    ACTIONS(4410), 1,
      anon_sym_SEMI,
    STATE(1587), 1,
      aux_sym_declaration_repeat1,
  [60169] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4271), 1,
      anon_sym_COLON,
    ACTIONS(4412), 1,
      anon_sym_RPAREN,
    STATE(1535), 1,
      sym_gnu_asm_input_operand_list,
  [60182] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_COMMA,
    ACTIONS(4414), 1,
      anon_sym_SEMI,
    STATE(1566), 1,
      aux_sym_declaration_repeat1,
  [60195] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4297), 1,
      anon_sym_COMMA,
    ACTIONS(4416), 1,
      anon_sym_RPAREN,
    STATE(1608), 1,
      aux_sym_preproc_params_repeat1,
  [60208] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_COMMA,
    ACTIONS(4418), 1,
      anon_sym_SEMI,
    STATE(1578), 1,
      aux_sym_declaration_repeat1,
  [60221] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4285), 1,
      anon_sym_COMMA,
    ACTIONS(4420), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1636), 1,
      aux_sym_attribute_declaration_repeat1,
  [60234] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4422), 1,
      anon_sym_COMMA,
    ACTIONS(4424), 1,
      anon_sym_RPAREN,
    STATE(1632), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [60247] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4426), 1,
      anon_sym_COMMA,
    ACTIONS(4429), 1,
      anon_sym_RPAREN,
    STATE(1604), 1,
      aux_sym_parameter_list_repeat1,
  [60260] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4431), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [60269] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3504), 1,
      anon_sym___attribute__,
    ACTIONS(4433), 1,
      anon_sym_SEMI,
    STATE(1888), 1,
      sym_attribute_specifier,
  [60282] = 4,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(4307), 1,
      anon_sym_LPAREN2,
    ACTIONS(4435), 1,
      aux_sym_preproc_include_token2,
    STATE(1813), 1,
      sym_preproc_argument_list,
  [60295] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4437), 1,
      anon_sym_COMMA,
    ACTIONS(4440), 1,
      anon_sym_RPAREN,
    STATE(1608), 1,
      aux_sym_preproc_params_repeat1,
  [60308] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4258), 1,
      anon_sym_COMMA,
    ACTIONS(4442), 1,
      anon_sym_RPAREN,
    STATE(1604), 1,
      aux_sym_parameter_list_repeat1,
  [60321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4444), 1,
      anon_sym_EQ,
    ACTIONS(3827), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [60332] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_COMMA,
    ACTIONS(4446), 1,
      anon_sym_SEMI,
    STATE(1616), 1,
      aux_sym_declaration_repeat1,
  [60345] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_COMMA,
    ACTIONS(4448), 1,
      anon_sym_SEMI,
    STATE(1587), 1,
      aux_sym_declaration_repeat1,
  [60358] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_COMMA,
    ACTIONS(4450), 1,
      anon_sym_SEMI,
    STATE(1635), 1,
      aux_sym_declaration_repeat1,
  [60371] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_COMMA,
    ACTIONS(4452), 1,
      anon_sym_SEMI,
    STATE(1587), 1,
      aux_sym_declaration_repeat1,
  [60384] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_COMMA,
    ACTIONS(4454), 1,
      anon_sym_SEMI,
    STATE(1587), 1,
      aux_sym_declaration_repeat1,
  [60397] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_COMMA,
    ACTIONS(4456), 1,
      anon_sym_SEMI,
    STATE(1587), 1,
      aux_sym_declaration_repeat1,
  [60410] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_COMMA,
    ACTIONS(4458), 1,
      anon_sym_SEMI,
    STATE(1589), 1,
      aux_sym_declaration_repeat1,
  [60423] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3065), 1,
      anon_sym_COMMA,
    ACTIONS(3067), 1,
      anon_sym_RBRACE,
    STATE(1594), 1,
      aux_sym_initializer_list_repeat1,
  [60436] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_COMMA,
    ACTIONS(4460), 1,
      anon_sym_SEMI,
    STATE(1587), 1,
      aux_sym_declaration_repeat1,
  [60449] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3382), 1,
      anon_sym_RPAREN,
    ACTIONS(4462), 1,
      anon_sym_COMMA,
    STATE(1620), 1,
      aux_sym_preproc_argument_list_repeat1,
  [60462] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_COMMA,
    ACTIONS(4468), 1,
      anon_sym_RPAREN,
    STATE(1621), 1,
      aux_sym_generic_expression_repeat1,
  [60475] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_LBRACE,
    ACTIONS(4470), 1,
      sym_identifier,
    STATE(732), 1,
      sym_field_declaration_list,
  [60488] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_COMMA,
    ACTIONS(4472), 1,
      anon_sym_SEMI,
    STATE(1587), 1,
      aux_sym_declaration_repeat1,
  [60501] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3251), 1,
      anon_sym_COMMA,
    ACTIONS(4474), 1,
      anon_sym_RPAREN,
    STATE(1620), 1,
      aux_sym_preproc_argument_list_repeat1,
  [60514] = 3,
    ACTIONS(3317), 1,
      sym_comment,
    STATE(1508), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(4476), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [60525] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4478), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [60534] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4279), 1,
      anon_sym_COLON,
    ACTIONS(4480), 1,
      anon_sym_RPAREN,
    STATE(1536), 1,
      sym_gnu_asm_clobber_list,
  [60547] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3187), 1,
      anon_sym_RPAREN,
    ACTIONS(4482), 1,
      anon_sym_COMMA,
    STATE(1628), 1,
      aux_sym_argument_list_repeat1,
  [60560] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3073), 1,
      anon_sym_COMMA,
    ACTIONS(4485), 1,
      anon_sym_RPAREN,
    STATE(1628), 1,
      aux_sym_argument_list_repeat1,
  [60573] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4487), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [60582] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4489), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [60591] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4422), 1,
      anon_sym_COMMA,
    ACTIONS(4491), 1,
      anon_sym_RPAREN,
    STATE(1633), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [60604] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4493), 1,
      anon_sym_COMMA,
    ACTIONS(4496), 1,
      anon_sym_RPAREN,
    STATE(1633), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [60617] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4498), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [60626] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_COMMA,
    ACTIONS(4500), 1,
      anon_sym_SEMI,
    STATE(1587), 1,
      aux_sym_declaration_repeat1,
  [60639] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4502), 1,
      anon_sym_COMMA,
    ACTIONS(4505), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1636), 1,
      aux_sym_attribute_declaration_repeat1,
  [60652] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_COMMA,
    ACTIONS(4507), 1,
      anon_sym_SEMI,
    STATE(1587), 1,
      aux_sym_declaration_repeat1,
  [60665] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1775), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4509), 1,
      sym_identifier,
    STATE(1695), 1,
      sym_variadic_parameter,
  [60678] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4511), 1,
      anon_sym_COMMA,
    ACTIONS(4513), 1,
      anon_sym_RPAREN,
    STATE(1532), 1,
      aux_sym__old_style_parameter_list_repeat1,
  [60691] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3504), 1,
      anon_sym___attribute__,
    ACTIONS(4515), 1,
      anon_sym_SEMI,
    STATE(1885), 1,
      sym_attribute_specifier,
  [60704] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_COMMA,
    ACTIONS(4517), 1,
      anon_sym_SEMI,
    STATE(1595), 1,
      aux_sym_declaration_repeat1,
  [60717] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4285), 1,
      anon_sym_COMMA,
    ACTIONS(4519), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1636), 1,
      aux_sym_attribute_declaration_repeat1,
  [60730] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3127), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [60738] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4035), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [60746] = 3,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(4521), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4523), 1,
      sym_preproc_arg,
  [60756] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4525), 1,
      sym_identifier,
    STATE(1558), 1,
      sym_attribute,
  [60766] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4505), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [60774] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4527), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [60782] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4529), 1,
      anon_sym_LPAREN2,
    STATE(335), 1,
      sym_parenthesized_expression,
  [60792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4531), 1,
      anon_sym_LPAREN2,
    STATE(1855), 1,
      sym_parenthesized_expression,
  [60802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4531), 1,
      anon_sym_LPAREN2,
    STATE(1689), 1,
      sym_parenthesized_expression,
  [60812] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4533), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [60820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(376), 1,
      anon_sym_LBRACE,
    STATE(179), 1,
      sym_compound_statement,
  [60830] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4529), 1,
      anon_sym_LPAREN2,
    STATE(315), 1,
      sym_parenthesized_expression,
  [60840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(1518), 1,
      sym_compound_statement,
  [60850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(376), 1,
      anon_sym_LBRACE,
    STATE(206), 1,
      sym_compound_statement,
  [60860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(376), 1,
      anon_sym_LBRACE,
    STATE(219), 1,
      sym_compound_statement,
  [60870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(219), 1,
      sym_compound_statement,
  [60880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4531), 1,
      anon_sym_LPAREN2,
    STATE(1719), 1,
      sym_parenthesized_expression,
  [60890] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4531), 1,
      anon_sym_LPAREN2,
    STATE(1724), 1,
      sym_parenthesized_expression,
  [60900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4531), 1,
      anon_sym_LPAREN2,
    STATE(1751), 1,
      sym_parenthesized_expression,
  [60910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(181), 1,
      sym_compound_statement,
  [60920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(1476), 1,
      sym_compound_statement,
  [60930] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4535), 1,
      anon_sym_COMMA,
    ACTIONS(4537), 1,
      anon_sym_RBRACE,
  [60940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3602), 1,
      anon_sym_RBRACE,
    ACTIONS(4535), 1,
      anon_sym_COMMA,
  [60950] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4539), 1,
      sym_identifier,
    ACTIONS(4541), 1,
      anon_sym_LPAREN2,
  [60960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4531), 1,
      anon_sym_LPAREN2,
    STATE(1706), 1,
      sym_parenthesized_expression,
  [60970] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(179), 1,
      sym_compound_statement,
  [60980] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4531), 1,
      anon_sym_LPAREN2,
    STATE(1673), 1,
      sym_parenthesized_expression,
  [60990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4531), 1,
      anon_sym_LPAREN2,
    STATE(1912), 1,
      sym_parenthesized_expression,
  [61000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(1480), 1,
      sym_compound_statement,
  [61010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4543), 1,
      sym_identifier,
    ACTIONS(4545), 1,
      anon_sym_RPAREN,
  [61020] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(161), 1,
      sym_compound_statement,
  [61030] = 3,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(4547), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4549), 1,
      sym_preproc_arg,
  [61040] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4529), 1,
      anon_sym_LPAREN2,
    STATE(321), 1,
      sym_parenthesized_expression,
  [61050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4531), 1,
      anon_sym_LPAREN2,
    STATE(1722), 1,
      sym_parenthesized_expression,
  [61060] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4529), 1,
      anon_sym_LPAREN2,
    STATE(322), 1,
      sym_parenthesized_expression,
  [61070] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4525), 1,
      sym_identifier,
    STATE(1571), 1,
      sym_attribute,
  [61080] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    STATE(1853), 1,
      sym_argument_list,
  [61090] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(1459), 1,
      sym_compound_statement,
  [61100] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4525), 1,
      sym_identifier,
    STATE(1647), 1,
      sym_attribute,
  [61110] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4551), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [61118] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4531), 1,
      anon_sym_LPAREN2,
    STATE(1668), 1,
      sym_parenthesized_expression,
  [61128] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3125), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [61136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4531), 1,
      anon_sym_LPAREN2,
    STATE(1653), 1,
      sym_parenthesized_expression,
  [61146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4531), 1,
      anon_sym_LPAREN2,
    STATE(1929), 1,
      sym_parenthesized_expression,
  [61156] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3131), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [61164] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4553), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(215), 1,
      sym_compound_statement,
  [61182] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4555), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [61190] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4557), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61198] = 3,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(4560), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4562), 1,
      sym_preproc_arg,
  [61208] = 3,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(4564), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4566), 1,
      sym_preproc_arg,
  [61218] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_LPAREN2,
    STATE(1770), 1,
      sym_argument_list,
  [61228] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4267), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61236] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(1488), 1,
      sym_compound_statement,
  [61246] = 3,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(4568), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4570), 1,
      sym_preproc_arg,
  [61256] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4529), 1,
      anon_sym_LPAREN2,
    STATE(348), 1,
      sym_parenthesized_expression,
  [61266] = 3,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(4572), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4574), 1,
      sym_preproc_arg,
  [61276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4531), 1,
      anon_sym_LPAREN2,
    STATE(1656), 1,
      sym_parenthesized_expression,
  [61286] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4529), 1,
      anon_sym_LPAREN2,
    STATE(350), 1,
      sym_parenthesized_expression,
  [61296] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4525), 1,
      sym_identifier,
    STATE(1537), 1,
      sym_attribute,
  [61306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4576), 1,
      sym_identifier,
    ACTIONS(4578), 1,
      anon_sym_LPAREN2,
  [61316] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4009), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [61324] = 3,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(4580), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4582), 1,
      sym_preproc_arg,
  [61334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(432), 1,
      anon_sym_LBRACE,
    STATE(247), 1,
      sym_compound_statement,
  [61344] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3187), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61352] = 3,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(4584), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4586), 1,
      sym_preproc_arg,
  [61362] = 3,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(4588), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4590), 1,
      sym_preproc_arg,
  [61372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4529), 1,
      anon_sym_LPAREN2,
    STATE(324), 1,
      sym_parenthesized_expression,
  [61382] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4440), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61390] = 3,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(4592), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4594), 1,
      sym_preproc_arg,
  [61400] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4529), 1,
      anon_sym_LPAREN2,
    STATE(326), 1,
      sym_parenthesized_expression,
  [61410] = 3,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(4596), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4598), 1,
      sym_preproc_arg,
  [61420] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4600), 2,
      anon_sym_DOT_DOT_DOT,
      sym_identifier,
  [61428] = 3,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(4602), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4604), 1,
      sym_preproc_arg,
  [61438] = 3,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(4606), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4608), 1,
      sym_preproc_arg,
  [61448] = 3,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(4610), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4612), 1,
      sym_preproc_arg,
  [61458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(432), 1,
      anon_sym_LBRACE,
    STATE(198), 1,
      sym_compound_statement,
  [61468] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4429), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61476] = 3,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(4614), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4616), 1,
      sym_preproc_arg,
  [61486] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    STATE(95), 1,
      sym_compound_statement,
  [61496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(432), 1,
      anon_sym_LBRACE,
    STATE(217), 1,
      sym_compound_statement,
  [61506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    STATE(89), 1,
      sym_compound_statement,
  [61516] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3159), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [61524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(131), 1,
      anon_sym_LBRACE,
    STATE(84), 1,
      sym_compound_statement,
  [61534] = 3,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(4618), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4620), 1,
      sym_preproc_arg,
  [61544] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4529), 1,
      anon_sym_LPAREN2,
    STATE(341), 1,
      sym_parenthesized_expression,
  [61554] = 3,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(4622), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4624), 1,
      sym_preproc_arg,
  [61564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4529), 1,
      anon_sym_LPAREN2,
    STATE(336), 1,
      sym_parenthesized_expression,
  [61574] = 2,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(4626), 1,
      aux_sym_preproc_include_token2,
  [61581] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4628), 1,
      anon_sym_STAR,
  [61588] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4630), 1,
      aux_sym_preproc_if_token2,
  [61595] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4632), 1,
      anon_sym_RPAREN,
  [61602] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4634), 1,
      anon_sym_RPAREN,
  [61609] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4636), 1,
      anon_sym_RPAREN,
  [61616] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4638), 1,
      anon_sym_RBRACE,
  [61623] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4640), 1,
      aux_sym_preproc_if_token2,
  [61630] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4642), 1,
      aux_sym_preproc_if_token2,
  [61637] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4644), 1,
      anon_sym_SEMI,
  [61644] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4646), 1,
      aux_sym_preproc_if_token2,
  [61651] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4648), 1,
      aux_sym_preproc_if_token2,
  [61658] = 2,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(4650), 1,
      aux_sym_preproc_include_token2,
  [61665] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4652), 1,
      aux_sym_preproc_if_token2,
  [61672] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4654), 1,
      aux_sym_preproc_if_token2,
  [61679] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4656), 1,
      aux_sym_preproc_if_token2,
  [61686] = 2,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(4658), 1,
      aux_sym_preproc_include_token2,
  [61693] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3093), 1,
      anon_sym_SEMI,
  [61700] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4660), 1,
      anon_sym_SEMI,
  [61707] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      aux_sym_preproc_if_token2,
  [61714] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4664), 1,
      anon_sym_SEMI,
  [61721] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3169), 1,
      anon_sym_SEMI,
  [61728] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4666), 1,
      anon_sym_RPAREN,
  [61735] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4668), 1,
      sym_identifier,
  [61742] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4670), 1,
      aux_sym_preproc_if_token2,
  [61749] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4672), 1,
      aux_sym_preproc_if_token2,
  [61756] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4674), 1,
      anon_sym_COLON,
  [61763] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3886), 1,
      anon_sym_COMMA,
  [61770] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3163), 1,
      anon_sym_SEMI,
  [61777] = 2,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(4676), 1,
      aux_sym_preproc_include_token2,
  [61784] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4678), 1,
      anon_sym_RBRACE,
  [61791] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4680), 1,
      anon_sym_SEMI,
  [61798] = 2,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(4682), 1,
      aux_sym_preproc_include_token2,
  [61805] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4684), 1,
      anon_sym_RPAREN,
  [61812] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4686), 1,
      sym_identifier,
  [61819] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4688), 1,
      anon_sym_COLON,
  [61826] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4690), 1,
      anon_sym_RPAREN,
  [61833] = 2,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(4692), 1,
      aux_sym_preproc_include_token2,
  [61840] = 2,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(4694), 1,
      aux_sym_preproc_include_token2,
  [61847] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4696), 1,
      anon_sym_STAR,
  [61854] = 2,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(4347), 1,
      aux_sym_preproc_include_token2,
  [61861] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4698), 1,
      anon_sym_SEMI,
  [61868] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4700), 1,
      anon_sym_SEMI,
  [61875] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4702), 1,
      anon_sym_SEMI,
  [61882] = 2,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(4704), 1,
      aux_sym_preproc_include_token2,
  [61889] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4706), 1,
      aux_sym_preproc_if_token2,
  [61896] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4708), 1,
      anon_sym_SEMI,
  [61903] = 2,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(4710), 1,
      aux_sym_preproc_include_token2,
  [61910] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4712), 1,
      aux_sym_preproc_if_token2,
  [61917] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4714), 1,
      aux_sym_preproc_if_token2,
  [61924] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4716), 1,
      anon_sym_SEMI,
  [61931] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4718), 1,
      aux_sym_preproc_if_token2,
  [61938] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4720), 1,
      anon_sym_COLON,
  [61945] = 2,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(4722), 1,
      aux_sym_preproc_include_token2,
  [61952] = 2,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(4724), 1,
      aux_sym_preproc_include_token2,
  [61959] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4726), 1,
      anon_sym_SEMI,
  [61966] = 2,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(4305), 1,
      aux_sym_preproc_include_token2,
  [61973] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3153), 1,
      anon_sym_COLON,
  [61980] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3171), 1,
      anon_sym_SEMI,
  [61987] = 2,
    ACTIONS(3055), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3317), 1,
      sym_comment,
  [61994] = 2,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(4728), 1,
      aux_sym_preproc_include_token2,
  [62001] = 2,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(4730), 1,
      aux_sym_preproc_include_token2,
  [62008] = 2,
    ACTIONS(3059), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3317), 1,
      sym_comment,
  [62015] = 2,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(4732), 1,
      aux_sym_preproc_include_token2,
  [62022] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4734), 1,
      aux_sym_preproc_if_token2,
  [62029] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4736), 1,
      sym_identifier,
  [62036] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4738), 1,
      sym_identifier,
  [62043] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4740), 1,
      sym_identifier,
  [62050] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3095), 1,
      anon_sym_SEMI,
  [62057] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4742), 1,
      anon_sym_SEMI,
  [62064] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4744), 1,
      anon_sym_RPAREN,
  [62071] = 2,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(4746), 1,
      aux_sym_preproc_include_token2,
  [62078] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4748), 1,
      sym_identifier,
  [62085] = 2,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(4317), 1,
      aux_sym_preproc_include_token2,
  [62092] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4750), 1,
      sym_identifier,
  [62099] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4752), 1,
      aux_sym_preproc_if_token2,
  [62106] = 2,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(4754), 1,
      aux_sym_preproc_include_token2,
  [62113] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3161), 1,
      anon_sym_RPAREN,
  [62120] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3157), 1,
      anon_sym_RPAREN,
  [62127] = 2,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(4756), 1,
      aux_sym_preproc_include_token2,
  [62134] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4758), 1,
      anon_sym_RPAREN,
  [62141] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3067), 1,
      anon_sym_RBRACE,
  [62148] = 2,
    ACTIONS(3041), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3317), 1,
      sym_comment,
  [62155] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3151), 1,
      anon_sym_RPAREN,
  [62162] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4760), 1,
      sym_identifier,
  [62169] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4762), 1,
      anon_sym_RBRACK,
  [62176] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4764), 1,
      anon_sym_SEMI,
  [62183] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4766), 1,
      anon_sym_RPAREN,
  [62190] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4768), 1,
      aux_sym_preproc_if_token2,
  [62197] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3149), 1,
      anon_sym_RPAREN,
  [62204] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4770), 1,
      sym_identifier,
  [62211] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4772), 1,
      sym_identifier,
  [62218] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4774), 1,
      anon_sym_RPAREN,
  [62225] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4776), 1,
      anon_sym_LPAREN2,
  [62232] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4778), 1,
      anon_sym_SEMI,
  [62239] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3145), 1,
      anon_sym_SEMI,
  [62246] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4780), 1,
      anon_sym_STAR,
  [62253] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4782), 1,
      anon_sym_SEMI,
  [62260] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4784), 1,
      anon_sym_COLON,
  [62267] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4786), 1,
      anon_sym_LPAREN2,
  [62274] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3141), 1,
      anon_sym_SEMI,
  [62281] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4788), 1,
      anon_sym_SEMI,
  [62288] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4790), 1,
      sym_identifier,
  [62295] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4792), 1,
      aux_sym_preproc_if_token2,
  [62302] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4794), 1,
      anon_sym_COLON,
  [62309] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4796), 1,
      anon_sym_RPAREN,
  [62316] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3135), 1,
      anon_sym_SEMI,
  [62323] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4798), 1,
      sym_identifier,
  [62330] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4800), 1,
      aux_sym_preproc_if_token2,
  [62337] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3143), 1,
      anon_sym_SEMI,
  [62344] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4802), 1,
      sym_identifier,
  [62351] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4804), 1,
      anon_sym_STAR,
  [62358] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4806), 1,
      sym_identifier,
  [62365] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3155), 1,
      anon_sym_RPAREN,
  [62372] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4808), 1,
      anon_sym_RPAREN,
  [62379] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4810), 1,
      anon_sym_RPAREN,
  [62386] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3167), 1,
      anon_sym_RPAREN,
  [62393] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4812), 1,
      anon_sym_while,
  [62400] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3133), 1,
      anon_sym_SEMI,
  [62407] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4814), 1,
      anon_sym_RPAREN,
  [62414] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3097), 1,
      anon_sym_COLON,
  [62421] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4816), 1,
      anon_sym_RBRACE,
  [62428] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4818), 1,
      anon_sym_RPAREN,
  [62435] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      aux_sym_preproc_if_token2,
  [62442] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4822), 1,
      anon_sym_SEMI,
  [62449] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4824), 1,
      anon_sym_COMMA,
  [62456] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4826), 1,
      anon_sym_SEMI,
  [62463] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4828), 1,
      aux_sym_preproc_if_token2,
  [62470] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4830), 1,
      aux_sym_preproc_if_token2,
  [62477] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3137), 1,
      anon_sym_SEMI,
  [62484] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4832), 1,
      aux_sym_preproc_if_token2,
  [62491] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4834), 1,
      anon_sym_SEMI,
  [62498] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4836), 1,
      sym_identifier,
  [62505] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4838), 1,
      sym_identifier,
  [62512] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4840), 1,
      aux_sym_preproc_if_token2,
  [62519] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4842), 1,
      anon_sym_RBRACE,
  [62526] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4844), 1,
      aux_sym_preproc_if_token2,
  [62533] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4846), 1,
      aux_sym_preproc_if_token2,
  [62540] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4848), 1,
      aux_sym_preproc_if_token2,
  [62547] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4850), 1,
      aux_sym_preproc_if_token2,
  [62554] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4852), 1,
      anon_sym_RPAREN,
  [62561] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3179), 1,
      anon_sym_RPAREN,
  [62568] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4854), 1,
      anon_sym_RBRACE,
  [62575] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3181), 1,
      anon_sym_COLON,
  [62582] = 2,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(4856), 1,
      aux_sym_preproc_include_token2,
  [62589] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4858), 1,
      anon_sym_RPAREN,
  [62596] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4860), 1,
      sym_identifier,
  [62603] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4862), 1,
      sym_identifier,
  [62610] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3183), 1,
      anon_sym_RPAREN,
  [62617] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4864), 1,
      anon_sym_RBRACK,
  [62624] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4866), 1,
      aux_sym_preproc_if_token2,
  [62631] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4868), 1,
      anon_sym_RPAREN,
  [62638] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4870), 1,
      aux_sym_preproc_if_token2,
  [62645] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 1,
      aux_sym_preproc_if_token2,
  [62652] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4874), 1,
      anon_sym_SEMI,
  [62659] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4876), 1,
      sym_identifier,
  [62666] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4878), 1,
      aux_sym_preproc_if_token2,
  [62673] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4880), 1,
      anon_sym_SEMI,
  [62680] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3191), 1,
      anon_sym_RPAREN,
  [62687] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4882), 1,
      anon_sym_RPAREN,
  [62694] = 2,
    ACTIONS(3037), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3317), 1,
      sym_comment,
  [62701] = 2,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(4884), 1,
      aux_sym_preproc_include_token2,
  [62708] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4886), 1,
      aux_sym_preproc_if_token2,
  [62715] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4888), 1,
      anon_sym_RBRACE,
  [62722] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4890), 1,
      aux_sym_preproc_if_token2,
  [62729] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4892), 1,
      aux_sym_preproc_if_token2,
  [62736] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4894), 1,
      sym_identifier,
  [62743] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4896), 1,
      aux_sym_preproc_if_token2,
  [62750] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4898), 1,
      anon_sym_RPAREN,
  [62757] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      aux_sym_preproc_if_token2,
  [62764] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4902), 1,
      aux_sym_preproc_if_token2,
  [62771] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4904), 1,
      sym_identifier,
  [62778] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4906), 1,
      aux_sym_preproc_if_token2,
  [62785] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4908), 1,
      aux_sym_preproc_if_token2,
  [62792] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4910), 1,
      aux_sym_preproc_if_token2,
  [62799] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4537), 1,
      anon_sym_RBRACE,
  [62806] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4912), 1,
      sym_identifier,
  [62813] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4914), 1,
      sym_identifier,
  [62820] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4916), 1,
      anon_sym_LPAREN2,
  [62827] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4918), 1,
      sym_identifier,
  [62834] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4535), 1,
      anon_sym_COMMA,
  [62841] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4920), 1,
      anon_sym_SEMI,
  [62848] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4922), 1,
      sym_identifier,
  [62855] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4924), 1,
      sym_identifier,
  [62862] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4926), 1,
      aux_sym_preproc_if_token2,
  [62869] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3201), 1,
      anon_sym_RPAREN,
  [62876] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4928), 1,
      anon_sym_SEMI,
  [62883] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4930), 1,
      sym_primitive_type,
  [62890] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4932), 1,
      anon_sym_RPAREN,
  [62897] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4934), 1,
      anon_sym_RPAREN,
  [62904] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4936), 1,
      aux_sym_preproc_if_token2,
  [62911] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3602), 1,
      anon_sym_RBRACE,
  [62918] = 2,
    ACTIONS(2153), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3317), 1,
      sym_comment,
  [62925] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4938), 1,
      aux_sym_preproc_if_token2,
  [62932] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4940), 1,
      aux_sym_preproc_if_token2,
  [62939] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4942), 1,
      aux_sym_preproc_if_token2,
  [62946] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4944), 1,
      anon_sym_COLON,
  [62953] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4946), 1,
      sym_identifier,
  [62960] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4948), 1,
      anon_sym_SEMI,
  [62967] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4950), 1,
      anon_sym_RPAREN,
  [62974] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4952), 1,
      aux_sym_preproc_if_token2,
  [62981] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4954), 1,
      sym_identifier,
  [62988] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4956), 1,
      sym_identifier,
  [62995] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4958), 1,
      anon_sym_SEMI,
  [63002] = 2,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(4435), 1,
      aux_sym_preproc_include_token2,
  [63009] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4960), 1,
      sym_identifier,
  [63016] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4962), 1,
      anon_sym_LPAREN2,
  [63023] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4964), 1,
      ts_builtin_sym_end,
  [63030] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4966), 1,
      anon_sym_LPAREN2,
  [63037] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4968), 1,
      anon_sym_LPAREN2,
  [63044] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4970), 1,
      aux_sym_preproc_if_token2,
  [63051] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4972), 1,
      sym_primitive_type,
  [63058] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4974), 1,
      aux_sym_preproc_if_token2,
  [63065] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4976), 1,
      aux_sym_preproc_if_token2,
  [63072] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
  [63079] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4980), 1,
      anon_sym_LPAREN2,
  [63086] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4982), 1,
      anon_sym_LPAREN2,
  [63093] = 2,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(4984), 1,
      aux_sym_preproc_include_token2,
  [63100] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4986), 1,
      anon_sym_while,
  [63107] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4988), 1,
      anon_sym_LPAREN2,
  [63114] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4990), 1,
      sym_identifier,
  [63121] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4992), 1,
      anon_sym_SEMI,
  [63128] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4994), 1,
      anon_sym_SEMI,
  [63135] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4996), 1,
      aux_sym_preproc_if_token2,
  [63142] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4998), 1,
      sym_identifier,
  [63149] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3173), 1,
      anon_sym_COLON,
  [63156] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5000), 1,
      anon_sym_RPAREN,
  [63163] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5002), 1,
      anon_sym_LPAREN2,
  [63170] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5004), 1,
      anon_sym_LPAREN2,
  [63177] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5006), 1,
      sym_identifier,
  [63184] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5008), 1,
      anon_sym_COLON,
  [63191] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5010), 1,
      anon_sym_while,
  [63198] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3185), 1,
      anon_sym_COLON,
  [63205] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5012), 1,
      sym_identifier,
  [63212] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5014), 1,
      anon_sym_RPAREN,
  [63219] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5016), 1,
      anon_sym_RPAREN,
  [63226] = 2,
    ACTIONS(3317), 1,
      sym_comment,
    ACTIONS(5018), 1,
      aux_sym_preproc_include_token2,
  [63233] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3147), 1,
      anon_sym_COLON,
  [63240] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3189), 1,
      anon_sym_SEMI,
  [63247] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5020), 1,
      anon_sym_while,
  [63254] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5022), 1,
      anon_sym_LPAREN2,
  [63261] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5024), 1,
      anon_sym_LPAREN2,
  [63268] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5026), 1,
      anon_sym_RPAREN,
  [63275] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 1,
      anon_sym_LPAREN2,
  [63282] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5030), 1,
      anon_sym_LPAREN2,
  [63289] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5032), 1,
      sym_identifier,
  [63296] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5034), 1,
      sym_identifier,
  [63303] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5036), 1,
      anon_sym_LPAREN2,
  [63310] = 2,
    ACTIONS(2149), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3317), 1,
      sym_comment,
  [63317] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5038), 1,
      sym_identifier,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(446)] = 0,
  [SMALL_STATE(447)] = 115,
  [SMALL_STATE(448)] = 230,
  [SMALL_STATE(449)] = 345,
  [SMALL_STATE(450)] = 460,
  [SMALL_STATE(451)] = 575,
  [SMALL_STATE(452)] = 690,
  [SMALL_STATE(453)] = 804,
  [SMALL_STATE(454)] = 918,
  [SMALL_STATE(455)] = 1029,
  [SMALL_STATE(456)] = 1137,
  [SMALL_STATE(457)] = 1245,
  [SMALL_STATE(458)] = 1353,
  [SMALL_STATE(459)] = 1461,
  [SMALL_STATE(460)] = 1569,
  [SMALL_STATE(461)] = 1677,
  [SMALL_STATE(462)] = 1785,
  [SMALL_STATE(463)] = 1893,
  [SMALL_STATE(464)] = 2001,
  [SMALL_STATE(465)] = 2109,
  [SMALL_STATE(466)] = 2217,
  [SMALL_STATE(467)] = 2325,
  [SMALL_STATE(468)] = 2433,
  [SMALL_STATE(469)] = 2541,
  [SMALL_STATE(470)] = 2649,
  [SMALL_STATE(471)] = 2757,
  [SMALL_STATE(472)] = 2865,
  [SMALL_STATE(473)] = 2973,
  [SMALL_STATE(474)] = 3081,
  [SMALL_STATE(475)] = 3189,
  [SMALL_STATE(476)] = 3297,
  [SMALL_STATE(477)] = 3405,
  [SMALL_STATE(478)] = 3513,
  [SMALL_STATE(479)] = 3621,
  [SMALL_STATE(480)] = 3729,
  [SMALL_STATE(481)] = 3837,
  [SMALL_STATE(482)] = 3945,
  [SMALL_STATE(483)] = 4053,
  [SMALL_STATE(484)] = 4161,
  [SMALL_STATE(485)] = 4269,
  [SMALL_STATE(486)] = 4359,
  [SMALL_STATE(487)] = 4467,
  [SMALL_STATE(488)] = 4575,
  [SMALL_STATE(489)] = 4680,
  [SMALL_STATE(490)] = 4785,
  [SMALL_STATE(491)] = 4890,
  [SMALL_STATE(492)] = 4995,
  [SMALL_STATE(493)] = 5100,
  [SMALL_STATE(494)] = 5205,
  [SMALL_STATE(495)] = 5310,
  [SMALL_STATE(496)] = 5415,
  [SMALL_STATE(497)] = 5520,
  [SMALL_STATE(498)] = 5625,
  [SMALL_STATE(499)] = 5730,
  [SMALL_STATE(500)] = 5835,
  [SMALL_STATE(501)] = 5940,
  [SMALL_STATE(502)] = 6042,
  [SMALL_STATE(503)] = 6144,
  [SMALL_STATE(504)] = 6246,
  [SMALL_STATE(505)] = 6348,
  [SMALL_STATE(506)] = 6450,
  [SMALL_STATE(507)] = 6552,
  [SMALL_STATE(508)] = 6654,
  [SMALL_STATE(509)] = 6756,
  [SMALL_STATE(510)] = 6858,
  [SMALL_STATE(511)] = 6960,
  [SMALL_STATE(512)] = 7062,
  [SMALL_STATE(513)] = 7164,
  [SMALL_STATE(514)] = 7266,
  [SMALL_STATE(515)] = 7368,
  [SMALL_STATE(516)] = 7470,
  [SMALL_STATE(517)] = 7572,
  [SMALL_STATE(518)] = 7674,
  [SMALL_STATE(519)] = 7776,
  [SMALL_STATE(520)] = 7878,
  [SMALL_STATE(521)] = 7980,
  [SMALL_STATE(522)] = 8082,
  [SMALL_STATE(523)] = 8184,
  [SMALL_STATE(524)] = 8286,
  [SMALL_STATE(525)] = 8388,
  [SMALL_STATE(526)] = 8490,
  [SMALL_STATE(527)] = 8592,
  [SMALL_STATE(528)] = 8694,
  [SMALL_STATE(529)] = 8796,
  [SMALL_STATE(530)] = 8898,
  [SMALL_STATE(531)] = 9000,
  [SMALL_STATE(532)] = 9102,
  [SMALL_STATE(533)] = 9204,
  [SMALL_STATE(534)] = 9306,
  [SMALL_STATE(535)] = 9408,
  [SMALL_STATE(536)] = 9510,
  [SMALL_STATE(537)] = 9612,
  [SMALL_STATE(538)] = 9714,
  [SMALL_STATE(539)] = 9816,
  [SMALL_STATE(540)] = 9918,
  [SMALL_STATE(541)] = 10020,
  [SMALL_STATE(542)] = 10122,
  [SMALL_STATE(543)] = 10224,
  [SMALL_STATE(544)] = 10326,
  [SMALL_STATE(545)] = 10428,
  [SMALL_STATE(546)] = 10530,
  [SMALL_STATE(547)] = 10632,
  [SMALL_STATE(548)] = 10734,
  [SMALL_STATE(549)] = 10836,
  [SMALL_STATE(550)] = 10938,
  [SMALL_STATE(551)] = 11040,
  [SMALL_STATE(552)] = 11142,
  [SMALL_STATE(553)] = 11244,
  [SMALL_STATE(554)] = 11346,
  [SMALL_STATE(555)] = 11448,
  [SMALL_STATE(556)] = 11550,
  [SMALL_STATE(557)] = 11652,
  [SMALL_STATE(558)] = 11754,
  [SMALL_STATE(559)] = 11856,
  [SMALL_STATE(560)] = 11958,
  [SMALL_STATE(561)] = 12060,
  [SMALL_STATE(562)] = 12162,
  [SMALL_STATE(563)] = 12264,
  [SMALL_STATE(564)] = 12366,
  [SMALL_STATE(565)] = 12468,
  [SMALL_STATE(566)] = 12570,
  [SMALL_STATE(567)] = 12672,
  [SMALL_STATE(568)] = 12774,
  [SMALL_STATE(569)] = 12876,
  [SMALL_STATE(570)] = 12978,
  [SMALL_STATE(571)] = 13080,
  [SMALL_STATE(572)] = 13182,
  [SMALL_STATE(573)] = 13284,
  [SMALL_STATE(574)] = 13386,
  [SMALL_STATE(575)] = 13488,
  [SMALL_STATE(576)] = 13590,
  [SMALL_STATE(577)] = 13692,
  [SMALL_STATE(578)] = 13794,
  [SMALL_STATE(579)] = 13896,
  [SMALL_STATE(580)] = 13998,
  [SMALL_STATE(581)] = 14100,
  [SMALL_STATE(582)] = 14202,
  [SMALL_STATE(583)] = 14304,
  [SMALL_STATE(584)] = 14406,
  [SMALL_STATE(585)] = 14508,
  [SMALL_STATE(586)] = 14610,
  [SMALL_STATE(587)] = 14712,
  [SMALL_STATE(588)] = 14814,
  [SMALL_STATE(589)] = 14916,
  [SMALL_STATE(590)] = 15018,
  [SMALL_STATE(591)] = 15120,
  [SMALL_STATE(592)] = 15222,
  [SMALL_STATE(593)] = 15324,
  [SMALL_STATE(594)] = 15426,
  [SMALL_STATE(595)] = 15528,
  [SMALL_STATE(596)] = 15630,
  [SMALL_STATE(597)] = 15732,
  [SMALL_STATE(598)] = 15834,
  [SMALL_STATE(599)] = 15936,
  [SMALL_STATE(600)] = 16038,
  [SMALL_STATE(601)] = 16140,
  [SMALL_STATE(602)] = 16242,
  [SMALL_STATE(603)] = 16344,
  [SMALL_STATE(604)] = 16446,
  [SMALL_STATE(605)] = 16548,
  [SMALL_STATE(606)] = 16650,
  [SMALL_STATE(607)] = 16752,
  [SMALL_STATE(608)] = 16854,
  [SMALL_STATE(609)] = 16956,
  [SMALL_STATE(610)] = 17058,
  [SMALL_STATE(611)] = 17160,
  [SMALL_STATE(612)] = 17262,
  [SMALL_STATE(613)] = 17364,
  [SMALL_STATE(614)] = 17466,
  [SMALL_STATE(615)] = 17568,
  [SMALL_STATE(616)] = 17670,
  [SMALL_STATE(617)] = 17741,
  [SMALL_STATE(618)] = 17812,
  [SMALL_STATE(619)] = 17883,
  [SMALL_STATE(620)] = 17951,
  [SMALL_STATE(621)] = 18014,
  [SMALL_STATE(622)] = 18077,
  [SMALL_STATE(623)] = 18139,
  [SMALL_STATE(624)] = 18201,
  [SMALL_STATE(625)] = 18263,
  [SMALL_STATE(626)] = 18325,
  [SMALL_STATE(627)] = 18403,
  [SMALL_STATE(628)] = 18465,
  [SMALL_STATE(629)] = 18527,
  [SMALL_STATE(630)] = 18589,
  [SMALL_STATE(631)] = 18651,
  [SMALL_STATE(632)] = 18713,
  [SMALL_STATE(633)] = 18775,
  [SMALL_STATE(634)] = 18874,
  [SMALL_STATE(635)] = 18973,
  [SMALL_STATE(636)] = 19072,
  [SMALL_STATE(637)] = 19171,
  [SMALL_STATE(638)] = 19270,
  [SMALL_STATE(639)] = 19369,
  [SMALL_STATE(640)] = 19468,
  [SMALL_STATE(641)] = 19567,
  [SMALL_STATE(642)] = 19666,
  [SMALL_STATE(643)] = 19765,
  [SMALL_STATE(644)] = 19864,
  [SMALL_STATE(645)] = 19963,
  [SMALL_STATE(646)] = 20062,
  [SMALL_STATE(647)] = 20163,
  [SMALL_STATE(648)] = 20262,
  [SMALL_STATE(649)] = 20361,
  [SMALL_STATE(650)] = 20460,
  [SMALL_STATE(651)] = 20559,
  [SMALL_STATE(652)] = 20655,
  [SMALL_STATE(653)] = 20751,
  [SMALL_STATE(654)] = 20849,
  [SMALL_STATE(655)] = 20908,
  [SMALL_STATE(656)] = 20967,
  [SMALL_STATE(657)] = 21026,
  [SMALL_STATE(658)] = 21085,
  [SMALL_STATE(659)] = 21154,
  [SMALL_STATE(660)] = 21219,
  [SMALL_STATE(661)] = 21278,
  [SMALL_STATE(662)] = 21336,
  [SMALL_STATE(663)] = 21394,
  [SMALL_STATE(664)] = 21452,
  [SMALL_STATE(665)] = 21510,
  [SMALL_STATE(666)] = 21568,
  [SMALL_STATE(667)] = 21626,
  [SMALL_STATE(668)] = 21684,
  [SMALL_STATE(669)] = 21742,
  [SMALL_STATE(670)] = 21800,
  [SMALL_STATE(671)] = 21858,
  [SMALL_STATE(672)] = 21916,
  [SMALL_STATE(673)] = 21974,
  [SMALL_STATE(674)] = 22032,
  [SMALL_STATE(675)] = 22090,
  [SMALL_STATE(676)] = 22148,
  [SMALL_STATE(677)] = 22206,
  [SMALL_STATE(678)] = 22264,
  [SMALL_STATE(679)] = 22353,
  [SMALL_STATE(680)] = 22414,
  [SMALL_STATE(681)] = 22481,
  [SMALL_STATE(682)] = 22538,
  [SMALL_STATE(683)] = 22595,
  [SMALL_STATE(684)] = 22660,
  [SMALL_STATE(685)] = 22727,
  [SMALL_STATE(686)] = 22794,
  [SMALL_STATE(687)] = 22861,
  [SMALL_STATE(688)] = 22950,
  [SMALL_STATE(689)] = 23007,
  [SMALL_STATE(690)] = 23072,
  [SMALL_STATE(691)] = 23129,
  [SMALL_STATE(692)] = 23218,
  [SMALL_STATE(693)] = 23307,
  [SMALL_STATE(694)] = 23396,
  [SMALL_STATE(695)] = 23485,
  [SMALL_STATE(696)] = 23552,
  [SMALL_STATE(697)] = 23641,
  [SMALL_STATE(698)] = 23730,
  [SMALL_STATE(699)] = 23816,
  [SMALL_STATE(700)] = 23872,
  [SMALL_STATE(701)] = 23928,
  [SMALL_STATE(702)] = 23992,
  [SMALL_STATE(703)] = 24055,
  [SMALL_STATE(704)] = 24118,
  [SMALL_STATE(705)] = 24173,
  [SMALL_STATE(706)] = 24236,
  [SMALL_STATE(707)] = 24299,
  [SMALL_STATE(708)] = 24354,
  [SMALL_STATE(709)] = 24409,
  [SMALL_STATE(710)] = 24472,
  [SMALL_STATE(711)] = 24526,
  [SMALL_STATE(712)] = 24580,
  [SMALL_STATE(713)] = 24650,
  [SMALL_STATE(714)] = 24720,
  [SMALL_STATE(715)] = 24774,
  [SMALL_STATE(716)] = 24844,
  [SMALL_STATE(717)] = 24914,
  [SMALL_STATE(718)] = 24971,
  [SMALL_STATE(719)] = 25028,
  [SMALL_STATE(720)] = 25085,
  [SMALL_STATE(721)] = 25148,
  [SMALL_STATE(722)] = 25205,
  [SMALL_STATE(723)] = 25262,
  [SMALL_STATE(724)] = 25319,
  [SMALL_STATE(725)] = 25376,
  [SMALL_STATE(726)] = 25439,
  [SMALL_STATE(727)] = 25496,
  [SMALL_STATE(728)] = 25559,
  [SMALL_STATE(729)] = 25616,
  [SMALL_STATE(730)] = 25679,
  [SMALL_STATE(731)] = 25736,
  [SMALL_STATE(732)] = 25799,
  [SMALL_STATE(733)] = 25856,
  [SMALL_STATE(734)] = 25919,
  [SMALL_STATE(735)] = 25971,
  [SMALL_STATE(736)] = 26023,
  [SMALL_STATE(737)] = 26075,
  [SMALL_STATE(738)] = 26127,
  [SMALL_STATE(739)] = 26179,
  [SMALL_STATE(740)] = 26239,
  [SMALL_STATE(741)] = 26291,
  [SMALL_STATE(742)] = 26343,
  [SMALL_STATE(743)] = 26395,
  [SMALL_STATE(744)] = 26447,
  [SMALL_STATE(745)] = 26503,
  [SMALL_STATE(746)] = 26589,
  [SMALL_STATE(747)] = 26641,
  [SMALL_STATE(748)] = 26693,
  [SMALL_STATE(749)] = 26779,
  [SMALL_STATE(750)] = 26831,
  [SMALL_STATE(751)] = 26889,
  [SMALL_STATE(752)] = 26945,
  [SMALL_STATE(753)] = 27001,
  [SMALL_STATE(754)] = 27053,
  [SMALL_STATE(755)] = 27139,
  [SMALL_STATE(756)] = 27197,
  [SMALL_STATE(757)] = 27249,
  [SMALL_STATE(758)] = 27315,
  [SMALL_STATE(759)] = 27383,
  [SMALL_STATE(760)] = 27435,
  [SMALL_STATE(761)] = 27507,
  [SMALL_STATE(762)] = 27559,
  [SMALL_STATE(763)] = 27611,
  [SMALL_STATE(764)] = 27663,
  [SMALL_STATE(765)] = 27715,
  [SMALL_STATE(766)] = 27789,
  [SMALL_STATE(767)] = 27865,
  [SMALL_STATE(768)] = 27917,
  [SMALL_STATE(769)] = 27969,
  [SMALL_STATE(770)] = 28025,
  [SMALL_STATE(771)] = 28103,
  [SMALL_STATE(772)] = 28155,
  [SMALL_STATE(773)] = 28207,
  [SMALL_STATE(774)] = 28267,
  [SMALL_STATE(775)] = 28323,
  [SMALL_STATE(776)] = 28403,
  [SMALL_STATE(777)] = 28485,
  [SMALL_STATE(778)] = 28537,
  [SMALL_STATE(779)] = 28601,
  [SMALL_STATE(780)] = 28653,
  [SMALL_STATE(781)] = 28705,
  [SMALL_STATE(782)] = 28757,
  [SMALL_STATE(783)] = 28813,
  [SMALL_STATE(784)] = 28869,
  [SMALL_STATE(785)] = 28940,
  [SMALL_STATE(786)] = 29009,
  [SMALL_STATE(787)] = 29060,
  [SMALL_STATE(788)] = 29129,
  [SMALL_STATE(789)] = 29180,
  [SMALL_STATE(790)] = 29249,
  [SMALL_STATE(791)] = 29300,
  [SMALL_STATE(792)] = 29369,
  [SMALL_STATE(793)] = 29420,
  [SMALL_STATE(794)] = 29475,
  [SMALL_STATE(795)] = 29526,
  [SMALL_STATE(796)] = 29577,
  [SMALL_STATE(797)] = 29628,
  [SMALL_STATE(798)] = 29713,
  [SMALL_STATE(799)] = 29764,
  [SMALL_STATE(800)] = 29815,
  [SMALL_STATE(801)] = 29900,
  [SMALL_STATE(802)] = 29985,
  [SMALL_STATE(803)] = 30048,
  [SMALL_STATE(804)] = 30099,
  [SMALL_STATE(805)] = 30150,
  [SMALL_STATE(806)] = 30201,
  [SMALL_STATE(807)] = 30252,
  [SMALL_STATE(808)] = 30303,
  [SMALL_STATE(809)] = 30354,
  [SMALL_STATE(810)] = 30419,
  [SMALL_STATE(811)] = 30470,
  [SMALL_STATE(812)] = 30537,
  [SMALL_STATE(813)] = 30610,
  [SMALL_STATE(814)] = 30685,
  [SMALL_STATE(815)] = 30762,
  [SMALL_STATE(816)] = 30841,
  [SMALL_STATE(817)] = 30892,
  [SMALL_STATE(818)] = 30943,
  [SMALL_STATE(819)] = 31024,
  [SMALL_STATE(820)] = 31084,
  [SMALL_STATE(821)] = 31138,
  [SMALL_STATE(822)] = 31224,
  [SMALL_STATE(823)] = 31310,
  [SMALL_STATE(824)] = 31365,
  [SMALL_STATE(825)] = 31420,
  [SMALL_STATE(826)] = 31477,
  [SMALL_STATE(827)] = 31525,
  [SMALL_STATE(828)] = 31573,
  [SMALL_STATE(829)] = 31620,
  [SMALL_STATE(830)] = 31667,
  [SMALL_STATE(831)] = 31726,
  [SMALL_STATE(832)] = 31809,
  [SMALL_STATE(833)] = 31860,
  [SMALL_STATE(834)] = 31907,
  [SMALL_STATE(835)] = 31954,
  [SMALL_STATE(836)] = 32001,
  [SMALL_STATE(837)] = 32048,
  [SMALL_STATE(838)] = 32131,
  [SMALL_STATE(839)] = 32190,
  [SMALL_STATE(840)] = 32251,
  [SMALL_STATE(841)] = 32334,
  [SMALL_STATE(842)] = 32393,
  [SMALL_STATE(843)] = 32472,
  [SMALL_STATE(844)] = 32549,
  [SMALL_STATE(845)] = 32596,
  [SMALL_STATE(846)] = 32671,
  [SMALL_STATE(847)] = 32744,
  [SMALL_STATE(848)] = 32791,
  [SMALL_STATE(849)] = 32862,
  [SMALL_STATE(850)] = 32931,
  [SMALL_STATE(851)] = 32996,
  [SMALL_STATE(852)] = 33043,
  [SMALL_STATE(853)] = 33090,
  [SMALL_STATE(854)] = 33137,
  [SMALL_STATE(855)] = 33184,
  [SMALL_STATE(856)] = 33231,
  [SMALL_STATE(857)] = 33278,
  [SMALL_STATE(858)] = 33325,
  [SMALL_STATE(859)] = 33372,
  [SMALL_STATE(860)] = 33419,
  [SMALL_STATE(861)] = 33470,
  [SMALL_STATE(862)] = 33517,
  [SMALL_STATE(863)] = 33564,
  [SMALL_STATE(864)] = 33611,
  [SMALL_STATE(865)] = 33662,
  [SMALL_STATE(866)] = 33713,
  [SMALL_STATE(867)] = 33764,
  [SMALL_STATE(868)] = 33811,
  [SMALL_STATE(869)] = 33874,
  [SMALL_STATE(870)] = 33921,
  [SMALL_STATE(871)] = 33980,
  [SMALL_STATE(872)] = 34037,
  [SMALL_STATE(873)] = 34084,
  [SMALL_STATE(874)] = 34131,
  [SMALL_STATE(875)] = 34178,
  [SMALL_STATE(876)] = 34225,
  [SMALL_STATE(877)] = 34272,
  [SMALL_STATE(878)] = 34319,
  [SMALL_STATE(879)] = 34370,
  [SMALL_STATE(880)] = 34417,
  [SMALL_STATE(881)] = 34464,
  [SMALL_STATE(882)] = 34511,
  [SMALL_STATE(883)] = 34558,
  [SMALL_STATE(884)] = 34605,
  [SMALL_STATE(885)] = 34656,
  [SMALL_STATE(886)] = 34703,
  [SMALL_STATE(887)] = 34750,
  [SMALL_STATE(888)] = 34797,
  [SMALL_STATE(889)] = 34856,
  [SMALL_STATE(890)] = 34902,
  [SMALL_STATE(891)] = 34948,
  [SMALL_STATE(892)] = 34998,
  [SMALL_STATE(893)] = 35044,
  [SMALL_STATE(894)] = 35090,
  [SMALL_STATE(895)] = 35166,
  [SMALL_STATE(896)] = 35242,
  [SMALL_STATE(897)] = 35318,
  [SMALL_STATE(898)] = 35394,
  [SMALL_STATE(899)] = 35445,
  [SMALL_STATE(900)] = 35490,
  [SMALL_STATE(901)] = 35547,
  [SMALL_STATE(902)] = 35591,
  [SMALL_STATE(903)] = 35635,
  [SMALL_STATE(904)] = 35679,
  [SMALL_STATE(905)] = 35723,
  [SMALL_STATE(906)] = 35767,
  [SMALL_STATE(907)] = 35811,
  [SMALL_STATE(908)] = 35855,
  [SMALL_STATE(909)] = 35899,
  [SMALL_STATE(910)] = 35953,
  [SMALL_STATE(911)] = 36005,
  [SMALL_STATE(912)] = 36049,
  [SMALL_STATE(913)] = 36093,
  [SMALL_STATE(914)] = 36135,
  [SMALL_STATE(915)] = 36205,
  [SMALL_STATE(916)] = 36247,
  [SMALL_STATE(917)] = 36289,
  [SMALL_STATE(918)] = 36331,
  [SMALL_STATE(919)] = 36373,
  [SMALL_STATE(920)] = 36445,
  [SMALL_STATE(921)] = 36487,
  [SMALL_STATE(922)] = 36559,
  [SMALL_STATE(923)] = 36601,
  [SMALL_STATE(924)] = 36643,
  [SMALL_STATE(925)] = 36685,
  [SMALL_STATE(926)] = 36727,
  [SMALL_STATE(927)] = 36771,
  [SMALL_STATE(928)] = 36815,
  [SMALL_STATE(929)] = 36857,
  [SMALL_STATE(930)] = 36899,
  [SMALL_STATE(931)] = 36943,
  [SMALL_STATE(932)] = 37013,
  [SMALL_STATE(933)] = 37055,
  [SMALL_STATE(934)] = 37099,
  [SMALL_STATE(935)] = 37166,
  [SMALL_STATE(936)] = 37233,
  [SMALL_STATE(937)] = 37310,
  [SMALL_STATE(938)] = 37377,
  [SMALL_STATE(939)] = 37444,
  [SMALL_STATE(940)] = 37521,
  [SMALL_STATE(941)] = 37578,
  [SMALL_STATE(942)] = 37655,
  [SMALL_STATE(943)] = 37732,
  [SMALL_STATE(944)] = 37799,
  [SMALL_STATE(945)] = 37862,
  [SMALL_STATE(946)] = 37935,
  [SMALL_STATE(947)] = 37990,
  [SMALL_STATE(948)] = 38061,
  [SMALL_STATE(949)] = 38130,
  [SMALL_STATE(950)] = 38189,
  [SMALL_STATE(951)] = 38256,
  [SMALL_STATE(952)] = 38321,
  [SMALL_STATE(953)] = 38388,
  [SMALL_STATE(954)] = 38455,
  [SMALL_STATE(955)] = 38522,
  [SMALL_STATE(956)] = 38576,
  [SMALL_STATE(957)] = 38646,
  [SMALL_STATE(958)] = 38704,
  [SMALL_STATE(959)] = 38770,
  [SMALL_STATE(960)] = 38844,
  [SMALL_STATE(961)] = 38908,
  [SMALL_STATE(962)] = 38982,
  [SMALL_STATE(963)] = 39030,
  [SMALL_STATE(964)] = 39104,
  [SMALL_STATE(965)] = 39160,
  [SMALL_STATE(966)] = 39228,
  [SMALL_STATE(967)] = 39296,
  [SMALL_STATE(968)] = 39358,
  [SMALL_STATE(969)] = 39421,
  [SMALL_STATE(970)] = 39484,
  [SMALL_STATE(971)] = 39547,
  [SMALL_STATE(972)] = 39610,
  [SMALL_STATE(973)] = 39673,
  [SMALL_STATE(974)] = 39736,
  [SMALL_STATE(975)] = 39799,
  [SMALL_STATE(976)] = 39862,
  [SMALL_STATE(977)] = 39925,
  [SMALL_STATE(978)] = 39988,
  [SMALL_STATE(979)] = 40051,
  [SMALL_STATE(980)] = 40114,
  [SMALL_STATE(981)] = 40177,
  [SMALL_STATE(982)] = 40215,
  [SMALL_STATE(983)] = 40275,
  [SMALL_STATE(984)] = 40335,
  [SMALL_STATE(985)] = 40373,
  [SMALL_STATE(986)] = 40419,
  [SMALL_STATE(987)] = 40457,
  [SMALL_STATE(988)] = 40517,
  [SMALL_STATE(989)] = 40577,
  [SMALL_STATE(990)] = 40637,
  [SMALL_STATE(991)] = 40697,
  [SMALL_STATE(992)] = 40735,
  [SMALL_STATE(993)] = 40809,
  [SMALL_STATE(994)] = 40884,
  [SMALL_STATE(995)] = 40921,
  [SMALL_STATE(996)] = 40996,
  [SMALL_STATE(997)] = 41071,
  [SMALL_STATE(998)] = 41146,
  [SMALL_STATE(999)] = 41221,
  [SMALL_STATE(1000)] = 41258,
  [SMALL_STATE(1001)] = 41329,
  [SMALL_STATE(1002)] = 41404,
  [SMALL_STATE(1003)] = 41476,
  [SMALL_STATE(1004)] = 41520,
  [SMALL_STATE(1005)] = 41592,
  [SMALL_STATE(1006)] = 41664,
  [SMALL_STATE(1007)] = 41736,
  [SMALL_STATE(1008)] = 41806,
  [SMALL_STATE(1009)] = 41876,
  [SMALL_STATE(1010)] = 41922,
  [SMALL_STATE(1011)] = 41992,
  [SMALL_STATE(1012)] = 42064,
  [SMALL_STATE(1013)] = 42116,
  [SMALL_STATE(1014)] = 42188,
  [SMALL_STATE(1015)] = 42260,
  [SMALL_STATE(1016)] = 42330,
  [SMALL_STATE(1017)] = 42386,
  [SMALL_STATE(1018)] = 42458,
  [SMALL_STATE(1019)] = 42530,
  [SMALL_STATE(1020)] = 42602,
  [SMALL_STATE(1021)] = 42674,
  [SMALL_STATE(1022)] = 42746,
  [SMALL_STATE(1023)] = 42818,
  [SMALL_STATE(1024)] = 42890,
  [SMALL_STATE(1025)] = 42962,
  [SMALL_STATE(1026)] = 43034,
  [SMALL_STATE(1027)] = 43100,
  [SMALL_STATE(1028)] = 43170,
  [SMALL_STATE(1029)] = 43242,
  [SMALL_STATE(1030)] = 43314,
  [SMALL_STATE(1031)] = 43374,
  [SMALL_STATE(1032)] = 43444,
  [SMALL_STATE(1033)] = 43516,
  [SMALL_STATE(1034)] = 43588,
  [SMALL_STATE(1035)] = 43660,
  [SMALL_STATE(1036)] = 43732,
  [SMALL_STATE(1037)] = 43802,
  [SMALL_STATE(1038)] = 43864,
  [SMALL_STATE(1039)] = 43938,
  [SMALL_STATE(1040)] = 44010,
  [SMALL_STATE(1041)] = 44078,
  [SMALL_STATE(1042)] = 44150,
  [SMALL_STATE(1043)] = 44214,
  [SMALL_STATE(1044)] = 44286,
  [SMALL_STATE(1045)] = 44358,
  [SMALL_STATE(1046)] = 44412,
  [SMALL_STATE(1047)] = 44484,
  [SMALL_STATE(1048)] = 44554,
  [SMALL_STATE(1049)] = 44620,
  [SMALL_STATE(1050)] = 44692,
  [SMALL_STATE(1051)] = 44764,
  [SMALL_STATE(1052)] = 44833,
  [SMALL_STATE(1053)] = 44902,
  [SMALL_STATE(1054)] = 44971,
  [SMALL_STATE(1055)] = 45040,
  [SMALL_STATE(1056)] = 45109,
  [SMALL_STATE(1057)] = 45178,
  [SMALL_STATE(1058)] = 45247,
  [SMALL_STATE(1059)] = 45316,
  [SMALL_STATE(1060)] = 45385,
  [SMALL_STATE(1061)] = 45454,
  [SMALL_STATE(1062)] = 45523,
  [SMALL_STATE(1063)] = 45592,
  [SMALL_STATE(1064)] = 45661,
  [SMALL_STATE(1065)] = 45730,
  [SMALL_STATE(1066)] = 45799,
  [SMALL_STATE(1067)] = 45868,
  [SMALL_STATE(1068)] = 45937,
  [SMALL_STATE(1069)] = 46006,
  [SMALL_STATE(1070)] = 46075,
  [SMALL_STATE(1071)] = 46144,
  [SMALL_STATE(1072)] = 46213,
  [SMALL_STATE(1073)] = 46282,
  [SMALL_STATE(1074)] = 46336,
  [SMALL_STATE(1075)] = 46390,
  [SMALL_STATE(1076)] = 46444,
  [SMALL_STATE(1077)] = 46480,
  [SMALL_STATE(1078)] = 46534,
  [SMALL_STATE(1079)] = 46600,
  [SMALL_STATE(1080)] = 46638,
  [SMALL_STATE(1081)] = 46676,
  [SMALL_STATE(1082)] = 46714,
  [SMALL_STATE(1083)] = 46768,
  [SMALL_STATE(1084)] = 46822,
  [SMALL_STATE(1085)] = 46873,
  [SMALL_STATE(1086)] = 46924,
  [SMALL_STATE(1087)] = 46975,
  [SMALL_STATE(1088)] = 47026,
  [SMALL_STATE(1089)] = 47077,
  [SMALL_STATE(1090)] = 47128,
  [SMALL_STATE(1091)] = 47166,
  [SMALL_STATE(1092)] = 47206,
  [SMALL_STATE(1093)] = 47245,
  [SMALL_STATE(1094)] = 47284,
  [SMALL_STATE(1095)] = 47333,
  [SMALL_STATE(1096)] = 47372,
  [SMALL_STATE(1097)] = 47411,
  [SMALL_STATE(1098)] = 47445,
  [SMALL_STATE(1099)] = 47499,
  [SMALL_STATE(1100)] = 47553,
  [SMALL_STATE(1101)] = 47607,
  [SMALL_STATE(1102)] = 47661,
  [SMALL_STATE(1103)] = 47716,
  [SMALL_STATE(1104)] = 47767,
  [SMALL_STATE(1105)] = 47802,
  [SMALL_STATE(1106)] = 47835,
  [SMALL_STATE(1107)] = 47886,
  [SMALL_STATE(1108)] = 47937,
  [SMALL_STATE(1109)] = 47980,
  [SMALL_STATE(1110)] = 48031,
  [SMALL_STATE(1111)] = 48074,
  [SMALL_STATE(1112)] = 48125,
  [SMALL_STATE(1113)] = 48176,
  [SMALL_STATE(1114)] = 48219,
  [SMALL_STATE(1115)] = 48252,
  [SMALL_STATE(1116)] = 48303,
  [SMALL_STATE(1117)] = 48358,
  [SMALL_STATE(1118)] = 48391,
  [SMALL_STATE(1119)] = 48442,
  [SMALL_STATE(1120)] = 48493,
  [SMALL_STATE(1121)] = 48544,
  [SMALL_STATE(1122)] = 48581,
  [SMALL_STATE(1123)] = 48614,
  [SMALL_STATE(1124)] = 48647,
  [SMALL_STATE(1125)] = 48680,
  [SMALL_STATE(1126)] = 48731,
  [SMALL_STATE(1127)] = 48764,
  [SMALL_STATE(1128)] = 48797,
  [SMALL_STATE(1129)] = 48830,
  [SMALL_STATE(1130)] = 48885,
  [SMALL_STATE(1131)] = 48925,
  [SMALL_STATE(1132)] = 48965,
  [SMALL_STATE(1133)] = 49011,
  [SMALL_STATE(1134)] = 49059,
  [SMALL_STATE(1135)] = 49103,
  [SMALL_STATE(1136)] = 49131,
  [SMALL_STATE(1137)] = 49173,
  [SMALL_STATE(1138)] = 49213,
  [SMALL_STATE(1139)] = 49241,
  [SMALL_STATE(1140)] = 49289,
  [SMALL_STATE(1141)] = 49329,
  [SMALL_STATE(1142)] = 49361,
  [SMALL_STATE(1143)] = 49401,
  [SMALL_STATE(1144)] = 49429,
  [SMALL_STATE(1145)] = 49465,
  [SMALL_STATE(1146)] = 49499,
  [SMALL_STATE(1147)] = 49549,
  [SMALL_STATE(1148)] = 49589,
  [SMALL_STATE(1149)] = 49629,
  [SMALL_STATE(1150)] = 49669,
  [SMALL_STATE(1151)] = 49697,
  [SMALL_STATE(1152)] = 49737,
  [SMALL_STATE(1153)] = 49777,
  [SMALL_STATE(1154)] = 49817,
  [SMALL_STATE(1155)] = 49857,
  [SMALL_STATE(1156)] = 49897,
  [SMALL_STATE(1157)] = 49937,
  [SMALL_STATE(1158)] = 49977,
  [SMALL_STATE(1159)] = 50017,
  [SMALL_STATE(1160)] = 50057,
  [SMALL_STATE(1161)] = 50097,
  [SMALL_STATE(1162)] = 50143,
  [SMALL_STATE(1163)] = 50183,
  [SMALL_STATE(1164)] = 50223,
  [SMALL_STATE(1165)] = 50263,
  [SMALL_STATE(1166)] = 50303,
  [SMALL_STATE(1167)] = 50343,
  [SMALL_STATE(1168)] = 50383,
  [SMALL_STATE(1169)] = 50423,
  [SMALL_STATE(1170)] = 50463,
  [SMALL_STATE(1171)] = 50503,
  [SMALL_STATE(1172)] = 50543,
  [SMALL_STATE(1173)] = 50583,
  [SMALL_STATE(1174)] = 50611,
  [SMALL_STATE(1175)] = 50651,
  [SMALL_STATE(1176)] = 50691,
  [SMALL_STATE(1177)] = 50731,
  [SMALL_STATE(1178)] = 50771,
  [SMALL_STATE(1179)] = 50811,
  [SMALL_STATE(1180)] = 50851,
  [SMALL_STATE(1181)] = 50891,
  [SMALL_STATE(1182)] = 50931,
  [SMALL_STATE(1183)] = 50971,
  [SMALL_STATE(1184)] = 50999,
  [SMALL_STATE(1185)] = 51039,
  [SMALL_STATE(1186)] = 51079,
  [SMALL_STATE(1187)] = 51106,
  [SMALL_STATE(1188)] = 51143,
  [SMALL_STATE(1189)] = 51170,
  [SMALL_STATE(1190)] = 51197,
  [SMALL_STATE(1191)] = 51242,
  [SMALL_STATE(1192)] = 51273,
  [SMALL_STATE(1193)] = 51318,
  [SMALL_STATE(1194)] = 51363,
  [SMALL_STATE(1195)] = 51408,
  [SMALL_STATE(1196)] = 51435,
  [SMALL_STATE(1197)] = 51462,
  [SMALL_STATE(1198)] = 51495,
  [SMALL_STATE(1199)] = 51540,
  [SMALL_STATE(1200)] = 51567,
  [SMALL_STATE(1201)] = 51594,
  [SMALL_STATE(1202)] = 51629,
  [SMALL_STATE(1203)] = 51674,
  [SMALL_STATE(1204)] = 51723,
  [SMALL_STATE(1205)] = 51768,
  [SMALL_STATE(1206)] = 51795,
  [SMALL_STATE(1207)] = 51840,
  [SMALL_STATE(1208)] = 51881,
  [SMALL_STATE(1209)] = 51926,
  [SMALL_STATE(1210)] = 51965,
  [SMALL_STATE(1211)] = 52010,
  [SMALL_STATE(1212)] = 52053,
  [SMALL_STATE(1213)] = 52080,
  [SMALL_STATE(1214)] = 52107,
  [SMALL_STATE(1215)] = 52144,
  [SMALL_STATE(1216)] = 52189,
  [SMALL_STATE(1217)] = 52234,
  [SMALL_STATE(1218)] = 52279,
  [SMALL_STATE(1219)] = 52322,
  [SMALL_STATE(1220)] = 52365,
  [SMALL_STATE(1221)] = 52408,
  [SMALL_STATE(1222)] = 52437,
  [SMALL_STATE(1223)] = 52482,
  [SMALL_STATE(1224)] = 52531,
  [SMALL_STATE(1225)] = 52576,
  [SMALL_STATE(1226)] = 52619,
  [SMALL_STATE(1227)] = 52659,
  [SMALL_STATE(1228)] = 52699,
  [SMALL_STATE(1229)] = 52739,
  [SMALL_STATE(1230)] = 52779,
  [SMALL_STATE(1231)] = 52819,
  [SMALL_STATE(1232)] = 52863,
  [SMALL_STATE(1233)] = 52903,
  [SMALL_STATE(1234)] = 52944,
  [SMALL_STATE(1235)] = 52985,
  [SMALL_STATE(1236)] = 53026,
  [SMALL_STATE(1237)] = 53067,
  [SMALL_STATE(1238)] = 53108,
  [SMALL_STATE(1239)] = 53149,
  [SMALL_STATE(1240)] = 53190,
  [SMALL_STATE(1241)] = 53231,
  [SMALL_STATE(1242)] = 53269,
  [SMALL_STATE(1243)] = 53303,
  [SMALL_STATE(1244)] = 53341,
  [SMALL_STATE(1245)] = 53381,
  [SMALL_STATE(1246)] = 53418,
  [SMALL_STATE(1247)] = 53447,
  [SMALL_STATE(1248)] = 53488,
  [SMALL_STATE(1249)] = 53517,
  [SMALL_STATE(1250)] = 53546,
  [SMALL_STATE(1251)] = 53585,
  [SMALL_STATE(1252)] = 53624,
  [SMALL_STATE(1253)] = 53663,
  [SMALL_STATE(1254)] = 53704,
  [SMALL_STATE(1255)] = 53743,
  [SMALL_STATE(1256)] = 53772,
  [SMALL_STATE(1257)] = 53813,
  [SMALL_STATE(1258)] = 53839,
  [SMALL_STATE(1259)] = 53876,
  [SMALL_STATE(1260)] = 53905,
  [SMALL_STATE(1261)] = 53942,
  [SMALL_STATE(1262)] = 53971,
  [SMALL_STATE(1263)] = 54004,
  [SMALL_STATE(1264)] = 54025,
  [SMALL_STATE(1265)] = 54054,
  [SMALL_STATE(1266)] = 54083,
  [SMALL_STATE(1267)] = 54120,
  [SMALL_STATE(1268)] = 54157,
  [SMALL_STATE(1269)] = 54194,
  [SMALL_STATE(1270)] = 54231,
  [SMALL_STATE(1271)] = 54256,
  [SMALL_STATE(1272)] = 54293,
  [SMALL_STATE(1273)] = 54330,
  [SMALL_STATE(1274)] = 54351,
  [SMALL_STATE(1275)] = 54388,
  [SMALL_STATE(1276)] = 54425,
  [SMALL_STATE(1277)] = 54458,
  [SMALL_STATE(1278)] = 54495,
  [SMALL_STATE(1279)] = 54516,
  [SMALL_STATE(1280)] = 54552,
  [SMALL_STATE(1281)] = 54576,
  [SMALL_STATE(1282)] = 54605,
  [SMALL_STATE(1283)] = 54636,
  [SMALL_STATE(1284)] = 54665,
  [SMALL_STATE(1285)] = 54694,
  [SMALL_STATE(1286)] = 54719,
  [SMALL_STATE(1287)] = 54750,
  [SMALL_STATE(1288)] = 54781,
  [SMALL_STATE(1289)] = 54810,
  [SMALL_STATE(1290)] = 54839,
  [SMALL_STATE(1291)] = 54866,
  [SMALL_STATE(1292)] = 54893,
  [SMALL_STATE(1293)] = 54922,
  [SMALL_STATE(1294)] = 54951,
  [SMALL_STATE(1295)] = 54980,
  [SMALL_STATE(1296)] = 55007,
  [SMALL_STATE(1297)] = 55038,
  [SMALL_STATE(1298)] = 55069,
  [SMALL_STATE(1299)] = 55098,
  [SMALL_STATE(1300)] = 55127,
  [SMALL_STATE(1301)] = 55156,
  [SMALL_STATE(1302)] = 55187,
  [SMALL_STATE(1303)] = 55216,
  [SMALL_STATE(1304)] = 55243,
  [SMALL_STATE(1305)] = 55274,
  [SMALL_STATE(1306)] = 55303,
  [SMALL_STATE(1307)] = 55334,
  [SMALL_STATE(1308)] = 55363,
  [SMALL_STATE(1309)] = 55394,
  [SMALL_STATE(1310)] = 55419,
  [SMALL_STATE(1311)] = 55445,
  [SMALL_STATE(1312)] = 55469,
  [SMALL_STATE(1313)] = 55487,
  [SMALL_STATE(1314)] = 55509,
  [SMALL_STATE(1315)] = 55527,
  [SMALL_STATE(1316)] = 55545,
  [SMALL_STATE(1317)] = 55563,
  [SMALL_STATE(1318)] = 55589,
  [SMALL_STATE(1319)] = 55621,
  [SMALL_STATE(1320)] = 55653,
  [SMALL_STATE(1321)] = 55671,
  [SMALL_STATE(1322)] = 55697,
  [SMALL_STATE(1323)] = 55715,
  [SMALL_STATE(1324)] = 55741,
  [SMALL_STATE(1325)] = 55773,
  [SMALL_STATE(1326)] = 55803,
  [SMALL_STATE(1327)] = 55835,
  [SMALL_STATE(1328)] = 55859,
  [SMALL_STATE(1329)] = 55877,
  [SMALL_STATE(1330)] = 55898,
  [SMALL_STATE(1331)] = 55927,
  [SMALL_STATE(1332)] = 55948,
  [SMALL_STATE(1333)] = 55977,
  [SMALL_STATE(1334)] = 55998,
  [SMALL_STATE(1335)] = 56027,
  [SMALL_STATE(1336)] = 56056,
  [SMALL_STATE(1337)] = 56077,
  [SMALL_STATE(1338)] = 56098,
  [SMALL_STATE(1339)] = 56119,
  [SMALL_STATE(1340)] = 56148,
  [SMALL_STATE(1341)] = 56173,
  [SMALL_STATE(1342)] = 56194,
  [SMALL_STATE(1343)] = 56215,
  [SMALL_STATE(1344)] = 56244,
  [SMALL_STATE(1345)] = 56273,
  [SMALL_STATE(1346)] = 56298,
  [SMALL_STATE(1347)] = 56327,
  [SMALL_STATE(1348)] = 56346,
  [SMALL_STATE(1349)] = 56372,
  [SMALL_STATE(1350)] = 56388,
  [SMALL_STATE(1351)] = 56414,
  [SMALL_STATE(1352)] = 56440,
  [SMALL_STATE(1353)] = 56456,
  [SMALL_STATE(1354)] = 56472,
  [SMALL_STATE(1355)] = 56492,
  [SMALL_STATE(1356)] = 56518,
  [SMALL_STATE(1357)] = 56544,
  [SMALL_STATE(1358)] = 56560,
  [SMALL_STATE(1359)] = 56586,
  [SMALL_STATE(1360)] = 56606,
  [SMALL_STATE(1361)] = 56628,
  [SMALL_STATE(1362)] = 56644,
  [SMALL_STATE(1363)] = 56670,
  [SMALL_STATE(1364)] = 56694,
  [SMALL_STATE(1365)] = 56710,
  [SMALL_STATE(1366)] = 56736,
  [SMALL_STATE(1367)] = 56762,
  [SMALL_STATE(1368)] = 56778,
  [SMALL_STATE(1369)] = 56798,
  [SMALL_STATE(1370)] = 56814,
  [SMALL_STATE(1371)] = 56830,
  [SMALL_STATE(1372)] = 56856,
  [SMALL_STATE(1373)] = 56874,
  [SMALL_STATE(1374)] = 56900,
  [SMALL_STATE(1375)] = 56926,
  [SMALL_STATE(1376)] = 56941,
  [SMALL_STATE(1377)] = 56964,
  [SMALL_STATE(1378)] = 56979,
  [SMALL_STATE(1379)] = 56996,
  [SMALL_STATE(1380)] = 57011,
  [SMALL_STATE(1381)] = 57026,
  [SMALL_STATE(1382)] = 57049,
  [SMALL_STATE(1383)] = 57064,
  [SMALL_STATE(1384)] = 57079,
  [SMALL_STATE(1385)] = 57098,
  [SMALL_STATE(1386)] = 57113,
  [SMALL_STATE(1387)] = 57136,
  [SMALL_STATE(1388)] = 57155,
  [SMALL_STATE(1389)] = 57172,
  [SMALL_STATE(1390)] = 57195,
  [SMALL_STATE(1391)] = 57212,
  [SMALL_STATE(1392)] = 57227,
  [SMALL_STATE(1393)] = 57242,
  [SMALL_STATE(1394)] = 57265,
  [SMALL_STATE(1395)] = 57288,
  [SMALL_STATE(1396)] = 57303,
  [SMALL_STATE(1397)] = 57328,
  [SMALL_STATE(1398)] = 57351,
  [SMALL_STATE(1399)] = 57368,
  [SMALL_STATE(1400)] = 57382,
  [SMALL_STATE(1401)] = 57402,
  [SMALL_STATE(1402)] = 57422,
  [SMALL_STATE(1403)] = 57440,
  [SMALL_STATE(1404)] = 57456,
  [SMALL_STATE(1405)] = 57470,
  [SMALL_STATE(1406)] = 57484,
  [SMALL_STATE(1407)] = 57498,
  [SMALL_STATE(1408)] = 57512,
  [SMALL_STATE(1409)] = 57528,
  [SMALL_STATE(1410)] = 57542,
  [SMALL_STATE(1411)] = 57562,
  [SMALL_STATE(1412)] = 57576,
  [SMALL_STATE(1413)] = 57594,
  [SMALL_STATE(1414)] = 57612,
  [SMALL_STATE(1415)] = 57630,
  [SMALL_STATE(1416)] = 57644,
  [SMALL_STATE(1417)] = 57658,
  [SMALL_STATE(1418)] = 57674,
  [SMALL_STATE(1419)] = 57694,
  [SMALL_STATE(1420)] = 57712,
  [SMALL_STATE(1421)] = 57726,
  [SMALL_STATE(1422)] = 57746,
  [SMALL_STATE(1423)] = 57766,
  [SMALL_STATE(1424)] = 57786,
  [SMALL_STATE(1425)] = 57806,
  [SMALL_STATE(1426)] = 57824,
  [SMALL_STATE(1427)] = 57838,
  [SMALL_STATE(1428)] = 57858,
  [SMALL_STATE(1429)] = 57878,
  [SMALL_STATE(1430)] = 57898,
  [SMALL_STATE(1431)] = 57916,
  [SMALL_STATE(1432)] = 57936,
  [SMALL_STATE(1433)] = 57950,
  [SMALL_STATE(1434)] = 57964,
  [SMALL_STATE(1435)] = 57984,
  [SMALL_STATE(1436)] = 57998,
  [SMALL_STATE(1437)] = 58012,
  [SMALL_STATE(1438)] = 58023,
  [SMALL_STATE(1439)] = 58034,
  [SMALL_STATE(1440)] = 58045,
  [SMALL_STATE(1441)] = 58056,
  [SMALL_STATE(1442)] = 58071,
  [SMALL_STATE(1443)] = 58082,
  [SMALL_STATE(1444)] = 58093,
  [SMALL_STATE(1445)] = 58112,
  [SMALL_STATE(1446)] = 58123,
  [SMALL_STATE(1447)] = 58134,
  [SMALL_STATE(1448)] = 58145,
  [SMALL_STATE(1449)] = 58156,
  [SMALL_STATE(1450)] = 58175,
  [SMALL_STATE(1451)] = 58194,
  [SMALL_STATE(1452)] = 58211,
  [SMALL_STATE(1453)] = 58222,
  [SMALL_STATE(1454)] = 58237,
  [SMALL_STATE(1455)] = 58248,
  [SMALL_STATE(1456)] = 58259,
  [SMALL_STATE(1457)] = 58276,
  [SMALL_STATE(1458)] = 58290,
  [SMALL_STATE(1459)] = 58300,
  [SMALL_STATE(1460)] = 58314,
  [SMALL_STATE(1461)] = 58328,
  [SMALL_STATE(1462)] = 58342,
  [SMALL_STATE(1463)] = 58356,
  [SMALL_STATE(1464)] = 58370,
  [SMALL_STATE(1465)] = 58384,
  [SMALL_STATE(1466)] = 58398,
  [SMALL_STATE(1467)] = 58412,
  [SMALL_STATE(1468)] = 58426,
  [SMALL_STATE(1469)] = 58440,
  [SMALL_STATE(1470)] = 58454,
  [SMALL_STATE(1471)] = 58468,
  [SMALL_STATE(1472)] = 58484,
  [SMALL_STATE(1473)] = 58498,
  [SMALL_STATE(1474)] = 58514,
  [SMALL_STATE(1475)] = 58528,
  [SMALL_STATE(1476)] = 58542,
  [SMALL_STATE(1477)] = 58556,
  [SMALL_STATE(1478)] = 58572,
  [SMALL_STATE(1479)] = 58586,
  [SMALL_STATE(1480)] = 58602,
  [SMALL_STATE(1481)] = 58616,
  [SMALL_STATE(1482)] = 58630,
  [SMALL_STATE(1483)] = 58644,
  [SMALL_STATE(1484)] = 58658,
  [SMALL_STATE(1485)] = 58672,
  [SMALL_STATE(1486)] = 58688,
  [SMALL_STATE(1487)] = 58702,
  [SMALL_STATE(1488)] = 58716,
  [SMALL_STATE(1489)] = 58730,
  [SMALL_STATE(1490)] = 58746,
  [SMALL_STATE(1491)] = 58760,
  [SMALL_STATE(1492)] = 58774,
  [SMALL_STATE(1493)] = 58790,
  [SMALL_STATE(1494)] = 58804,
  [SMALL_STATE(1495)] = 58818,
  [SMALL_STATE(1496)] = 58834,
  [SMALL_STATE(1497)] = 58848,
  [SMALL_STATE(1498)] = 58864,
  [SMALL_STATE(1499)] = 58878,
  [SMALL_STATE(1500)] = 58892,
  [SMALL_STATE(1501)] = 58906,
  [SMALL_STATE(1502)] = 58922,
  [SMALL_STATE(1503)] = 58938,
  [SMALL_STATE(1504)] = 58954,
  [SMALL_STATE(1505)] = 58968,
  [SMALL_STATE(1506)] = 58982,
  [SMALL_STATE(1507)] = 58998,
  [SMALL_STATE(1508)] = 59014,
  [SMALL_STATE(1509)] = 59028,
  [SMALL_STATE(1510)] = 59042,
  [SMALL_STATE(1511)] = 59058,
  [SMALL_STATE(1512)] = 59068,
  [SMALL_STATE(1513)] = 59082,
  [SMALL_STATE(1514)] = 59096,
  [SMALL_STATE(1515)] = 59112,
  [SMALL_STATE(1516)] = 59126,
  [SMALL_STATE(1517)] = 59140,
  [SMALL_STATE(1518)] = 59156,
  [SMALL_STATE(1519)] = 59170,
  [SMALL_STATE(1520)] = 59186,
  [SMALL_STATE(1521)] = 59202,
  [SMALL_STATE(1522)] = 59215,
  [SMALL_STATE(1523)] = 59224,
  [SMALL_STATE(1524)] = 59233,
  [SMALL_STATE(1525)] = 59246,
  [SMALL_STATE(1526)] = 59255,
  [SMALL_STATE(1527)] = 59268,
  [SMALL_STATE(1528)] = 59281,
  [SMALL_STATE(1529)] = 59294,
  [SMALL_STATE(1530)] = 59307,
  [SMALL_STATE(1531)] = 59320,
  [SMALL_STATE(1532)] = 59329,
  [SMALL_STATE(1533)] = 59342,
  [SMALL_STATE(1534)] = 59355,
  [SMALL_STATE(1535)] = 59368,
  [SMALL_STATE(1536)] = 59381,
  [SMALL_STATE(1537)] = 59394,
  [SMALL_STATE(1538)] = 59407,
  [SMALL_STATE(1539)] = 59420,
  [SMALL_STATE(1540)] = 59431,
  [SMALL_STATE(1541)] = 59442,
  [SMALL_STATE(1542)] = 59455,
  [SMALL_STATE(1543)] = 59468,
  [SMALL_STATE(1544)] = 59481,
  [SMALL_STATE(1545)] = 59494,
  [SMALL_STATE(1546)] = 59507,
  [SMALL_STATE(1547)] = 59520,
  [SMALL_STATE(1548)] = 59533,
  [SMALL_STATE(1549)] = 59546,
  [SMALL_STATE(1550)] = 59559,
  [SMALL_STATE(1551)] = 59572,
  [SMALL_STATE(1552)] = 59585,
  [SMALL_STATE(1553)] = 59598,
  [SMALL_STATE(1554)] = 59611,
  [SMALL_STATE(1555)] = 59624,
  [SMALL_STATE(1556)] = 59637,
  [SMALL_STATE(1557)] = 59650,
  [SMALL_STATE(1558)] = 59663,
  [SMALL_STATE(1559)] = 59676,
  [SMALL_STATE(1560)] = 59685,
  [SMALL_STATE(1561)] = 59698,
  [SMALL_STATE(1562)] = 59711,
  [SMALL_STATE(1563)] = 59724,
  [SMALL_STATE(1564)] = 59737,
  [SMALL_STATE(1565)] = 59750,
  [SMALL_STATE(1566)] = 59763,
  [SMALL_STATE(1567)] = 59776,
  [SMALL_STATE(1568)] = 59789,
  [SMALL_STATE(1569)] = 59802,
  [SMALL_STATE(1570)] = 59815,
  [SMALL_STATE(1571)] = 59828,
  [SMALL_STATE(1572)] = 59841,
  [SMALL_STATE(1573)] = 59852,
  [SMALL_STATE(1574)] = 59865,
  [SMALL_STATE(1575)] = 59878,
  [SMALL_STATE(1576)] = 59891,
  [SMALL_STATE(1577)] = 59900,
  [SMALL_STATE(1578)] = 59913,
  [SMALL_STATE(1579)] = 59926,
  [SMALL_STATE(1580)] = 59939,
  [SMALL_STATE(1581)] = 59952,
  [SMALL_STATE(1582)] = 59965,
  [SMALL_STATE(1583)] = 59978,
  [SMALL_STATE(1584)] = 59987,
  [SMALL_STATE(1585)] = 60000,
  [SMALL_STATE(1586)] = 60013,
  [SMALL_STATE(1587)] = 60026,
  [SMALL_STATE(1588)] = 60039,
  [SMALL_STATE(1589)] = 60052,
  [SMALL_STATE(1590)] = 60065,
  [SMALL_STATE(1591)] = 60078,
  [SMALL_STATE(1592)] = 60091,
  [SMALL_STATE(1593)] = 60104,
  [SMALL_STATE(1594)] = 60117,
  [SMALL_STATE(1595)] = 60130,
  [SMALL_STATE(1596)] = 60143,
  [SMALL_STATE(1597)] = 60156,
  [SMALL_STATE(1598)] = 60169,
  [SMALL_STATE(1599)] = 60182,
  [SMALL_STATE(1600)] = 60195,
  [SMALL_STATE(1601)] = 60208,
  [SMALL_STATE(1602)] = 60221,
  [SMALL_STATE(1603)] = 60234,
  [SMALL_STATE(1604)] = 60247,
  [SMALL_STATE(1605)] = 60260,
  [SMALL_STATE(1606)] = 60269,
  [SMALL_STATE(1607)] = 60282,
  [SMALL_STATE(1608)] = 60295,
  [SMALL_STATE(1609)] = 60308,
  [SMALL_STATE(1610)] = 60321,
  [SMALL_STATE(1611)] = 60332,
  [SMALL_STATE(1612)] = 60345,
  [SMALL_STATE(1613)] = 60358,
  [SMALL_STATE(1614)] = 60371,
  [SMALL_STATE(1615)] = 60384,
  [SMALL_STATE(1616)] = 60397,
  [SMALL_STATE(1617)] = 60410,
  [SMALL_STATE(1618)] = 60423,
  [SMALL_STATE(1619)] = 60436,
  [SMALL_STATE(1620)] = 60449,
  [SMALL_STATE(1621)] = 60462,
  [SMALL_STATE(1622)] = 60475,
  [SMALL_STATE(1623)] = 60488,
  [SMALL_STATE(1624)] = 60501,
  [SMALL_STATE(1625)] = 60514,
  [SMALL_STATE(1626)] = 60525,
  [SMALL_STATE(1627)] = 60534,
  [SMALL_STATE(1628)] = 60547,
  [SMALL_STATE(1629)] = 60560,
  [SMALL_STATE(1630)] = 60573,
  [SMALL_STATE(1631)] = 60582,
  [SMALL_STATE(1632)] = 60591,
  [SMALL_STATE(1633)] = 60604,
  [SMALL_STATE(1634)] = 60617,
  [SMALL_STATE(1635)] = 60626,
  [SMALL_STATE(1636)] = 60639,
  [SMALL_STATE(1637)] = 60652,
  [SMALL_STATE(1638)] = 60665,
  [SMALL_STATE(1639)] = 60678,
  [SMALL_STATE(1640)] = 60691,
  [SMALL_STATE(1641)] = 60704,
  [SMALL_STATE(1642)] = 60717,
  [SMALL_STATE(1643)] = 60730,
  [SMALL_STATE(1644)] = 60738,
  [SMALL_STATE(1645)] = 60746,
  [SMALL_STATE(1646)] = 60756,
  [SMALL_STATE(1647)] = 60766,
  [SMALL_STATE(1648)] = 60774,
  [SMALL_STATE(1649)] = 60782,
  [SMALL_STATE(1650)] = 60792,
  [SMALL_STATE(1651)] = 60802,
  [SMALL_STATE(1652)] = 60812,
  [SMALL_STATE(1653)] = 60820,
  [SMALL_STATE(1654)] = 60830,
  [SMALL_STATE(1655)] = 60840,
  [SMALL_STATE(1656)] = 60850,
  [SMALL_STATE(1657)] = 60860,
  [SMALL_STATE(1658)] = 60870,
  [SMALL_STATE(1659)] = 60880,
  [SMALL_STATE(1660)] = 60890,
  [SMALL_STATE(1661)] = 60900,
  [SMALL_STATE(1662)] = 60910,
  [SMALL_STATE(1663)] = 60920,
  [SMALL_STATE(1664)] = 60930,
  [SMALL_STATE(1665)] = 60940,
  [SMALL_STATE(1666)] = 60950,
  [SMALL_STATE(1667)] = 60960,
  [SMALL_STATE(1668)] = 60970,
  [SMALL_STATE(1669)] = 60980,
  [SMALL_STATE(1670)] = 60990,
  [SMALL_STATE(1671)] = 61000,
  [SMALL_STATE(1672)] = 61010,
  [SMALL_STATE(1673)] = 61020,
  [SMALL_STATE(1674)] = 61030,
  [SMALL_STATE(1675)] = 61040,
  [SMALL_STATE(1676)] = 61050,
  [SMALL_STATE(1677)] = 61060,
  [SMALL_STATE(1678)] = 61070,
  [SMALL_STATE(1679)] = 61080,
  [SMALL_STATE(1680)] = 61090,
  [SMALL_STATE(1681)] = 61100,
  [SMALL_STATE(1682)] = 61110,
  [SMALL_STATE(1683)] = 61118,
  [SMALL_STATE(1684)] = 61128,
  [SMALL_STATE(1685)] = 61136,
  [SMALL_STATE(1686)] = 61146,
  [SMALL_STATE(1687)] = 61156,
  [SMALL_STATE(1688)] = 61164,
  [SMALL_STATE(1689)] = 61172,
  [SMALL_STATE(1690)] = 61182,
  [SMALL_STATE(1691)] = 61190,
  [SMALL_STATE(1692)] = 61198,
  [SMALL_STATE(1693)] = 61208,
  [SMALL_STATE(1694)] = 61218,
  [SMALL_STATE(1695)] = 61228,
  [SMALL_STATE(1696)] = 61236,
  [SMALL_STATE(1697)] = 61246,
  [SMALL_STATE(1698)] = 61256,
  [SMALL_STATE(1699)] = 61266,
  [SMALL_STATE(1700)] = 61276,
  [SMALL_STATE(1701)] = 61286,
  [SMALL_STATE(1702)] = 61296,
  [SMALL_STATE(1703)] = 61306,
  [SMALL_STATE(1704)] = 61316,
  [SMALL_STATE(1705)] = 61324,
  [SMALL_STATE(1706)] = 61334,
  [SMALL_STATE(1707)] = 61344,
  [SMALL_STATE(1708)] = 61352,
  [SMALL_STATE(1709)] = 61362,
  [SMALL_STATE(1710)] = 61372,
  [SMALL_STATE(1711)] = 61382,
  [SMALL_STATE(1712)] = 61390,
  [SMALL_STATE(1713)] = 61400,
  [SMALL_STATE(1714)] = 61410,
  [SMALL_STATE(1715)] = 61420,
  [SMALL_STATE(1716)] = 61428,
  [SMALL_STATE(1717)] = 61438,
  [SMALL_STATE(1718)] = 61448,
  [SMALL_STATE(1719)] = 61458,
  [SMALL_STATE(1720)] = 61468,
  [SMALL_STATE(1721)] = 61476,
  [SMALL_STATE(1722)] = 61486,
  [SMALL_STATE(1723)] = 61496,
  [SMALL_STATE(1724)] = 61506,
  [SMALL_STATE(1725)] = 61516,
  [SMALL_STATE(1726)] = 61524,
  [SMALL_STATE(1727)] = 61534,
  [SMALL_STATE(1728)] = 61544,
  [SMALL_STATE(1729)] = 61554,
  [SMALL_STATE(1730)] = 61564,
  [SMALL_STATE(1731)] = 61574,
  [SMALL_STATE(1732)] = 61581,
  [SMALL_STATE(1733)] = 61588,
  [SMALL_STATE(1734)] = 61595,
  [SMALL_STATE(1735)] = 61602,
  [SMALL_STATE(1736)] = 61609,
  [SMALL_STATE(1737)] = 61616,
  [SMALL_STATE(1738)] = 61623,
  [SMALL_STATE(1739)] = 61630,
  [SMALL_STATE(1740)] = 61637,
  [SMALL_STATE(1741)] = 61644,
  [SMALL_STATE(1742)] = 61651,
  [SMALL_STATE(1743)] = 61658,
  [SMALL_STATE(1744)] = 61665,
  [SMALL_STATE(1745)] = 61672,
  [SMALL_STATE(1746)] = 61679,
  [SMALL_STATE(1747)] = 61686,
  [SMALL_STATE(1748)] = 61693,
  [SMALL_STATE(1749)] = 61700,
  [SMALL_STATE(1750)] = 61707,
  [SMALL_STATE(1751)] = 61714,
  [SMALL_STATE(1752)] = 61721,
  [SMALL_STATE(1753)] = 61728,
  [SMALL_STATE(1754)] = 61735,
  [SMALL_STATE(1755)] = 61742,
  [SMALL_STATE(1756)] = 61749,
  [SMALL_STATE(1757)] = 61756,
  [SMALL_STATE(1758)] = 61763,
  [SMALL_STATE(1759)] = 61770,
  [SMALL_STATE(1760)] = 61777,
  [SMALL_STATE(1761)] = 61784,
  [SMALL_STATE(1762)] = 61791,
  [SMALL_STATE(1763)] = 61798,
  [SMALL_STATE(1764)] = 61805,
  [SMALL_STATE(1765)] = 61812,
  [SMALL_STATE(1766)] = 61819,
  [SMALL_STATE(1767)] = 61826,
  [SMALL_STATE(1768)] = 61833,
  [SMALL_STATE(1769)] = 61840,
  [SMALL_STATE(1770)] = 61847,
  [SMALL_STATE(1771)] = 61854,
  [SMALL_STATE(1772)] = 61861,
  [SMALL_STATE(1773)] = 61868,
  [SMALL_STATE(1774)] = 61875,
  [SMALL_STATE(1775)] = 61882,
  [SMALL_STATE(1776)] = 61889,
  [SMALL_STATE(1777)] = 61896,
  [SMALL_STATE(1778)] = 61903,
  [SMALL_STATE(1779)] = 61910,
  [SMALL_STATE(1780)] = 61917,
  [SMALL_STATE(1781)] = 61924,
  [SMALL_STATE(1782)] = 61931,
  [SMALL_STATE(1783)] = 61938,
  [SMALL_STATE(1784)] = 61945,
  [SMALL_STATE(1785)] = 61952,
  [SMALL_STATE(1786)] = 61959,
  [SMALL_STATE(1787)] = 61966,
  [SMALL_STATE(1788)] = 61973,
  [SMALL_STATE(1789)] = 61980,
  [SMALL_STATE(1790)] = 61987,
  [SMALL_STATE(1791)] = 61994,
  [SMALL_STATE(1792)] = 62001,
  [SMALL_STATE(1793)] = 62008,
  [SMALL_STATE(1794)] = 62015,
  [SMALL_STATE(1795)] = 62022,
  [SMALL_STATE(1796)] = 62029,
  [SMALL_STATE(1797)] = 62036,
  [SMALL_STATE(1798)] = 62043,
  [SMALL_STATE(1799)] = 62050,
  [SMALL_STATE(1800)] = 62057,
  [SMALL_STATE(1801)] = 62064,
  [SMALL_STATE(1802)] = 62071,
  [SMALL_STATE(1803)] = 62078,
  [SMALL_STATE(1804)] = 62085,
  [SMALL_STATE(1805)] = 62092,
  [SMALL_STATE(1806)] = 62099,
  [SMALL_STATE(1807)] = 62106,
  [SMALL_STATE(1808)] = 62113,
  [SMALL_STATE(1809)] = 62120,
  [SMALL_STATE(1810)] = 62127,
  [SMALL_STATE(1811)] = 62134,
  [SMALL_STATE(1812)] = 62141,
  [SMALL_STATE(1813)] = 62148,
  [SMALL_STATE(1814)] = 62155,
  [SMALL_STATE(1815)] = 62162,
  [SMALL_STATE(1816)] = 62169,
  [SMALL_STATE(1817)] = 62176,
  [SMALL_STATE(1818)] = 62183,
  [SMALL_STATE(1819)] = 62190,
  [SMALL_STATE(1820)] = 62197,
  [SMALL_STATE(1821)] = 62204,
  [SMALL_STATE(1822)] = 62211,
  [SMALL_STATE(1823)] = 62218,
  [SMALL_STATE(1824)] = 62225,
  [SMALL_STATE(1825)] = 62232,
  [SMALL_STATE(1826)] = 62239,
  [SMALL_STATE(1827)] = 62246,
  [SMALL_STATE(1828)] = 62253,
  [SMALL_STATE(1829)] = 62260,
  [SMALL_STATE(1830)] = 62267,
  [SMALL_STATE(1831)] = 62274,
  [SMALL_STATE(1832)] = 62281,
  [SMALL_STATE(1833)] = 62288,
  [SMALL_STATE(1834)] = 62295,
  [SMALL_STATE(1835)] = 62302,
  [SMALL_STATE(1836)] = 62309,
  [SMALL_STATE(1837)] = 62316,
  [SMALL_STATE(1838)] = 62323,
  [SMALL_STATE(1839)] = 62330,
  [SMALL_STATE(1840)] = 62337,
  [SMALL_STATE(1841)] = 62344,
  [SMALL_STATE(1842)] = 62351,
  [SMALL_STATE(1843)] = 62358,
  [SMALL_STATE(1844)] = 62365,
  [SMALL_STATE(1845)] = 62372,
  [SMALL_STATE(1846)] = 62379,
  [SMALL_STATE(1847)] = 62386,
  [SMALL_STATE(1848)] = 62393,
  [SMALL_STATE(1849)] = 62400,
  [SMALL_STATE(1850)] = 62407,
  [SMALL_STATE(1851)] = 62414,
  [SMALL_STATE(1852)] = 62421,
  [SMALL_STATE(1853)] = 62428,
  [SMALL_STATE(1854)] = 62435,
  [SMALL_STATE(1855)] = 62442,
  [SMALL_STATE(1856)] = 62449,
  [SMALL_STATE(1857)] = 62456,
  [SMALL_STATE(1858)] = 62463,
  [SMALL_STATE(1859)] = 62470,
  [SMALL_STATE(1860)] = 62477,
  [SMALL_STATE(1861)] = 62484,
  [SMALL_STATE(1862)] = 62491,
  [SMALL_STATE(1863)] = 62498,
  [SMALL_STATE(1864)] = 62505,
  [SMALL_STATE(1865)] = 62512,
  [SMALL_STATE(1866)] = 62519,
  [SMALL_STATE(1867)] = 62526,
  [SMALL_STATE(1868)] = 62533,
  [SMALL_STATE(1869)] = 62540,
  [SMALL_STATE(1870)] = 62547,
  [SMALL_STATE(1871)] = 62554,
  [SMALL_STATE(1872)] = 62561,
  [SMALL_STATE(1873)] = 62568,
  [SMALL_STATE(1874)] = 62575,
  [SMALL_STATE(1875)] = 62582,
  [SMALL_STATE(1876)] = 62589,
  [SMALL_STATE(1877)] = 62596,
  [SMALL_STATE(1878)] = 62603,
  [SMALL_STATE(1879)] = 62610,
  [SMALL_STATE(1880)] = 62617,
  [SMALL_STATE(1881)] = 62624,
  [SMALL_STATE(1882)] = 62631,
  [SMALL_STATE(1883)] = 62638,
  [SMALL_STATE(1884)] = 62645,
  [SMALL_STATE(1885)] = 62652,
  [SMALL_STATE(1886)] = 62659,
  [SMALL_STATE(1887)] = 62666,
  [SMALL_STATE(1888)] = 62673,
  [SMALL_STATE(1889)] = 62680,
  [SMALL_STATE(1890)] = 62687,
  [SMALL_STATE(1891)] = 62694,
  [SMALL_STATE(1892)] = 62701,
  [SMALL_STATE(1893)] = 62708,
  [SMALL_STATE(1894)] = 62715,
  [SMALL_STATE(1895)] = 62722,
  [SMALL_STATE(1896)] = 62729,
  [SMALL_STATE(1897)] = 62736,
  [SMALL_STATE(1898)] = 62743,
  [SMALL_STATE(1899)] = 62750,
  [SMALL_STATE(1900)] = 62757,
  [SMALL_STATE(1901)] = 62764,
  [SMALL_STATE(1902)] = 62771,
  [SMALL_STATE(1903)] = 62778,
  [SMALL_STATE(1904)] = 62785,
  [SMALL_STATE(1905)] = 62792,
  [SMALL_STATE(1906)] = 62799,
  [SMALL_STATE(1907)] = 62806,
  [SMALL_STATE(1908)] = 62813,
  [SMALL_STATE(1909)] = 62820,
  [SMALL_STATE(1910)] = 62827,
  [SMALL_STATE(1911)] = 62834,
  [SMALL_STATE(1912)] = 62841,
  [SMALL_STATE(1913)] = 62848,
  [SMALL_STATE(1914)] = 62855,
  [SMALL_STATE(1915)] = 62862,
  [SMALL_STATE(1916)] = 62869,
  [SMALL_STATE(1917)] = 62876,
  [SMALL_STATE(1918)] = 62883,
  [SMALL_STATE(1919)] = 62890,
  [SMALL_STATE(1920)] = 62897,
  [SMALL_STATE(1921)] = 62904,
  [SMALL_STATE(1922)] = 62911,
  [SMALL_STATE(1923)] = 62918,
  [SMALL_STATE(1924)] = 62925,
  [SMALL_STATE(1925)] = 62932,
  [SMALL_STATE(1926)] = 62939,
  [SMALL_STATE(1927)] = 62946,
  [SMALL_STATE(1928)] = 62953,
  [SMALL_STATE(1929)] = 62960,
  [SMALL_STATE(1930)] = 62967,
  [SMALL_STATE(1931)] = 62974,
  [SMALL_STATE(1932)] = 62981,
  [SMALL_STATE(1933)] = 62988,
  [SMALL_STATE(1934)] = 62995,
  [SMALL_STATE(1935)] = 63002,
  [SMALL_STATE(1936)] = 63009,
  [SMALL_STATE(1937)] = 63016,
  [SMALL_STATE(1938)] = 63023,
  [SMALL_STATE(1939)] = 63030,
  [SMALL_STATE(1940)] = 63037,
  [SMALL_STATE(1941)] = 63044,
  [SMALL_STATE(1942)] = 63051,
  [SMALL_STATE(1943)] = 63058,
  [SMALL_STATE(1944)] = 63065,
  [SMALL_STATE(1945)] = 63072,
  [SMALL_STATE(1946)] = 63079,
  [SMALL_STATE(1947)] = 63086,
  [SMALL_STATE(1948)] = 63093,
  [SMALL_STATE(1949)] = 63100,
  [SMALL_STATE(1950)] = 63107,
  [SMALL_STATE(1951)] = 63114,
  [SMALL_STATE(1952)] = 63121,
  [SMALL_STATE(1953)] = 63128,
  [SMALL_STATE(1954)] = 63135,
  [SMALL_STATE(1955)] = 63142,
  [SMALL_STATE(1956)] = 63149,
  [SMALL_STATE(1957)] = 63156,
  [SMALL_STATE(1958)] = 63163,
  [SMALL_STATE(1959)] = 63170,
  [SMALL_STATE(1960)] = 63177,
  [SMALL_STATE(1961)] = 63184,
  [SMALL_STATE(1962)] = 63191,
  [SMALL_STATE(1963)] = 63198,
  [SMALL_STATE(1964)] = 63205,
  [SMALL_STATE(1965)] = 63212,
  [SMALL_STATE(1966)] = 63219,
  [SMALL_STATE(1967)] = 63226,
  [SMALL_STATE(1968)] = 63233,
  [SMALL_STATE(1969)] = 63240,
  [SMALL_STATE(1970)] = 63247,
  [SMALL_STATE(1971)] = 63254,
  [SMALL_STATE(1972)] = 63261,
  [SMALL_STATE(1973)] = 63268,
  [SMALL_STATE(1974)] = 63275,
  [SMALL_STATE(1975)] = 63282,
  [SMALL_STATE(1976)] = 63289,
  [SMALL_STATE(1977)] = 63296,
  [SMALL_STATE(1978)] = 63303,
  [SMALL_STATE(1979)] = 63310,
  [SMALL_STATE(1980)] = 63317,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translation_unit, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(410),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1333),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1980),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1148),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1977),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1645),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(545),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(930),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(972),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(832),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1974),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1972),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(899),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(773),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(714),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(708),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1971),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(769),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1556),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1396),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1444),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1649),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1651),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(556),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1961),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1654),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(325),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1958),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(475),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1953),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1952),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1951),
  [81] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(561),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1950),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1947),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1946),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1403),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [97] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1076),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(673),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(403),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1336),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1877),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1184),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(364),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1878),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(36),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1137),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1803),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1709),
  [123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(933),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(971),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(866),
  [131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1701),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1676),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(531),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1829),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1698),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1975),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(479),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1781),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1777),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1886),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1671),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1762),
  [159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(672),
  [163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 2, 0, 17),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(266),
  [167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 4, 0, 40),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(379),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(261),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(295),
  [175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(360),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(294),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(306),
  [181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(255),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(354),
  [185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(114),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(252),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(120),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(124),
  [195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 3, 0, 40),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(133),
  [199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 3, 0, 17),
  [201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(403),
  [204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1336),
  [207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1877),
  [210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1184),
  [213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0),
  [215] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1878),
  [218] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1709),
  [221] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(385),
  [224] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(545),
  [227] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(545),
  [230] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(547),
  [233] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(110),
  [236] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(933),
  [239] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(971),
  [242] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(866),
  [245] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1974),
  [248] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1646),
  [251] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1972),
  [254] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(899),
  [257] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(32),
  [260] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(773),
  [263] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(714),
  [266] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(708),
  [269] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1971),
  [272] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(769),
  [275] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1556),
  [278] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1396),
  [281] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1444),
  [284] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1701),
  [287] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1676),
  [290] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(531),
  [293] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1829),
  [296] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1698),
  [299] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(328),
  [302] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1975),
  [305] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(479),
  [308] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1781),
  [311] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1777),
  [314] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1886),
  [317] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1671),
  [320] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1762),
  [323] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(562),
  [326] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(561),
  [329] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1950),
  [332] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1947),
  [335] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1946),
  [338] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1403),
  [341] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(672),
  [344] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1625),
  [347] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1471),
  [350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(672),
  [353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(673),
  [356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(408),
  [358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1329),
  [360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1796),
  [362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1185),
  [364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1797),
  [366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1718),
  [368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(926),
  [372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(975),
  [374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(865),
  [376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1728),
  [382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1700),
  [384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(514),
  [386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1766),
  [388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1730),
  [390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(332),
  [392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1940),
  [394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(458),
  [396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1772),
  [398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1774),
  [400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1805),
  [402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1680),
  [404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1862),
  [406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1331),
  [414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1928),
  [416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1182),
  [418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 2, 0, 0),
  [420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1908),
  [422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1727),
  [424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(927),
  [428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(974),
  [430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(864),
  [432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1677),
  [436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1667),
  [438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(530),
  [440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1757),
  [442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1675),
  [444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(351),
  [446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1978),
  [448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(465),
  [450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1828),
  [452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1817),
  [454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1913),
  [456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1663),
  [458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1800),
  [460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [468] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(409),
  [471] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1331),
  [474] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1928),
  [477] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1182),
  [480] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1908),
  [483] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1727),
  [486] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(227),
  [489] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(927),
  [492] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(974),
  [495] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(864),
  [498] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(38),
  [501] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1677),
  [504] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1667),
  [507] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(530),
  [510] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1757),
  [513] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1675),
  [516] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(351),
  [519] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1978),
  [522] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(465),
  [525] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1828),
  [528] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1817),
  [531] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1913),
  [534] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1663),
  [537] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1800),
  [540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 1, 0, 0),
  [550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [556] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(408),
  [559] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1329),
  [562] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1796),
  [565] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1185),
  [568] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1797),
  [571] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1718),
  [574] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(177),
  [577] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(926),
  [580] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(975),
  [583] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(865),
  [586] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(30),
  [589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0),
  [591] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1728),
  [594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1700),
  [597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(514),
  [600] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1766),
  [603] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1730),
  [606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(332),
  [609] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1940),
  [612] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(458),
  [615] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1772),
  [618] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1774),
  [621] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1805),
  [624] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1680),
  [627] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1862),
  [630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translation_unit, 1, 0, 0),
  [636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0),
  [638] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(410),
  [641] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1333),
  [644] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1980),
  [647] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1148),
  [650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1977),
  [653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1645),
  [656] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(385),
  [659] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(545),
  [662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(545),
  [665] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(547),
  [668] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(930),
  [671] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(972),
  [674] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(832),
  [677] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1974),
  [680] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1646),
  [683] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1972),
  [686] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(899),
  [689] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(25),
  [692] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(773),
  [695] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(714),
  [698] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(708),
  [701] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1971),
  [704] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(769),
  [707] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1556),
  [710] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1396),
  [713] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1444),
  [716] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1649),
  [719] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1651),
  [722] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(556),
  [725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1961),
  [728] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1654),
  [731] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(325),
  [734] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1958),
  [737] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(475),
  [740] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1953),
  [743] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1952),
  [746] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1951),
  [749] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(562),
  [752] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(561),
  [755] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1950),
  [758] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1947),
  [761] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1946),
  [764] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1403),
  [767] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1076),
  [770] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1625),
  [773] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1471),
  [776] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1076),
  [779] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(673),
  [782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(402),
  [785] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0),
  [787] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(385),
  [790] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(545),
  [793] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(545),
  [796] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(547),
  [799] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(110),
  [802] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(933),
  [805] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(971),
  [808] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(714),
  [811] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1974),
  [814] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1646),
  [817] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1972),
  [820] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(32),
  [823] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(773),
  [826] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(708),
  [829] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1971),
  [832] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(769),
  [835] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1556),
  [838] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1396),
  [841] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1444),
  [844] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1701),
  [847] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1676),
  [850] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1698),
  [853] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(328),
  [856] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1975),
  [859] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(479),
  [862] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1781),
  [865] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1777),
  [868] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1886),
  [871] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1671),
  [874] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1762),
  [877] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(562),
  [880] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(561),
  [883] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1950),
  [886] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1947),
  [889] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1946),
  [892] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1403),
  [895] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(672),
  [898] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1625),
  [901] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1471),
  [904] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(672),
  [907] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(673),
  [910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(402),
  [912] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 0),
  [914] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 9),
  [916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 2, 0, 0),
  [918] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 4, 0, 9),
  [920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(401),
  [922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(404),
  [924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, 0, 9),
  [926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, 0, 0),
  [928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(407),
  [930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1696),
  [934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1825),
  [936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 4, 0, 9),
  [938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0),
  [940] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(407),
  [943] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(164),
  [946] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(930),
  [949] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(972),
  [952] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(25),
  [955] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1649),
  [958] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1651),
  [961] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1654),
  [964] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(325),
  [967] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1958),
  [970] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(475),
  [973] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1953),
  [976] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1952),
  [979] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1951),
  [982] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1696),
  [985] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1825),
  [988] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(401),
  [991] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(227),
  [994] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(927),
  [997] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(974),
  [1000] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(38),
  [1003] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1677),
  [1006] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1667),
  [1009] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1675),
  [1012] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(351),
  [1015] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1978),
  [1018] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(465),
  [1021] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1828),
  [1024] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1817),
  [1027] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1913),
  [1030] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1663),
  [1033] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1800),
  [1036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 2, 0, 0),
  [1038] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(404),
  [1041] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(177),
  [1044] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(926),
  [1047] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(975),
  [1050] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(30),
  [1053] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1728),
  [1056] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1700),
  [1059] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1730),
  [1062] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(332),
  [1065] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1940),
  [1068] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(458),
  [1071] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1772),
  [1074] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1774),
  [1077] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1805),
  [1080] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1680),
  [1083] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1862),
  [1086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(406),
  [1088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1710),
  [1090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1713),
  [1092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1959),
  [1094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1655),
  [1096] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(406),
  [1099] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1710),
  [1102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1713),
  [1105] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1959),
  [1108] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1655),
  [1111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(411),
  [1113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [1115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [1117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 27),
  [1119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 27),
  [1121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(316),
  [1123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_leave_statement, 2, 0, 0),
  [1125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_leave_statement, 2, 0, 0),
  [1127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 5, 0, 91),
  [1133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 5, 0, 91),
  [1135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 5, 0, 90),
  [1137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 5, 0, 90),
  [1139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 5, 0, 85),
  [1141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 5, 0, 85),
  [1143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, 0, 81),
  [1145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, 0, 81),
  [1147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 0),
  [1149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 0),
  [1151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_finally_clause, 2, 0, 8),
  [1153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_finally_clause, 2, 0, 8),
  [1155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, 0, 47),
  [1157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, 0, 47),
  [1159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, 0, 76),
  [1161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, 0, 76),
  [1163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3, 0, 0),
  [1165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3, 0, 0),
  [1167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_except_clause, 3, 0, 100),
  [1173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_except_clause, 3, 0, 100),
  [1175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_statement, 3, 0, 29),
  [1185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_statement, 3, 0, 29),
  [1187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, 0, 31),
  [1189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, 0, 31),
  [1191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 4, 0, 64),
  [1193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 4, 0, 64),
  [1195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, 0, 28),
  [1197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, 0, 28),
  [1199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_statement, 2, 0, 0),
  [1201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_statement, 2, 0, 0),
  [1203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 4, 0, 62),
  [1205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 4, 0, 62),
  [1207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 3, 0, 35),
  [1209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 3, 0, 35),
  [1211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 6, 0, 111),
  [1213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 6, 0, 111),
  [1215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 6, 0, 76),
  [1217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 6, 0, 76),
  [1219] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 55),
  [1221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 55),
  [1223] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_try_statement, 3, 0, 8),
  [1225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_try_statement, 3, 0, 8),
  [1227] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [1229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [1231] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 4, 0, 47),
  [1233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 4, 0, 47),
  [1235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1239] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, 0, 28),
  [1241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, 0, 28),
  [1243] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0),
  [1245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 1, 0, 0),
  [1247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement, 1, 0, 0),
  [1249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 0),
  [1251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, 0, 40),
  [1253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, 0, 40),
  [1255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_linkage_specification, 3, 0, 23),
  [1257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_linkage_specification, 3, 0, 23),
  [1259] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_function_def, 4, 0, 39),
  [1261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_function_def, 4, 0, 39),
  [1263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_def, 4, 0, 38),
  [1265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_def, 4, 0, 38),
  [1267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__old_style_function_definition, 5, 0, 95),
  [1269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__old_style_function_definition, 5, 0, 95),
  [1271] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call, 2, 0, 4),
  [1273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call, 2, 0, 4),
  [1275] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 4, 0, 40),
  [1277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 4, 0, 40),
  [1279] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 6, 0, 97),
  [1281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 6, 0, 97),
  [1283] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__block_item, 1, 0, 2),
  [1285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_item, 1, 0, 2),
  [1287] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__old_style_function_definition, 3, 0, 36),
  [1289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__old_style_function_definition, 3, 0, 36),
  [1291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 4, 0, 17),
  [1293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 4, 0, 17),
  [1295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__empty_declaration, 2, 0, 0),
  [1297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__empty_declaration, 2, 0, 0),
  [1299] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [1301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [1303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, 0, 94),
  [1305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, 0, 94),
  [1307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, 0, 61),
  [1309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, 0, 61),
  [1311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_include, 3, 0, 16),
  [1313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_include, 3, 0, 16),
  [1315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, 0, 33),
  [1317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, 0, 33),
  [1319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__old_style_function_definition, 4, 0, 66),
  [1321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__old_style_function_definition, 4, 0, 66),
  [1323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_def, 3, 0, 17),
  [1325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_def, 3, 0, 17),
  [1327] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 3, 0, 17),
  [1329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 3, 0, 17),
  [1331] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, 0, 67),
  [1333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, 0, 67),
  [1335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call, 3, 0, 18),
  [1337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call, 3, 0, 18),
  [1339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 4, 0, 41),
  [1341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 4, 0, 41),
  [1343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__old_style_function_definition, 4, 0, 68),
  [1345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__old_style_function_definition, 4, 0, 68),
  [1347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_function_def, 5, 0, 71),
  [1349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_function_def, 5, 0, 71),
  [1351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, 0, 72),
  [1353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, 0, 72),
  [1355] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__block_item, 1, 0, 0), REDUCE(sym_statement, 1, 0, 0),
  [1358] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__block_item, 1, 0, 0), REDUCE(sym_statement, 1, 0, 0),
  [1361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 5, 0, 73),
  [1363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 5, 0, 73),
  [1365] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [1367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [1369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(334),
  [1371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(346),
  [1373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(339),
  [1375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(619),
  [1377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 4, 0, 57),
  [1379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(529),
  [1381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [1383] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 4, 0, 57),
  [1385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [1387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(525),
  [1389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(546),
  [1391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [1393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(517),
  [1395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(731),
  [1397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [1399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(534),
  [1401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1783),
  [1403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(720),
  [1405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(725),
  [1407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(733),
  [1409] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(733),
  [1412] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(385),
  [1415] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(545),
  [1418] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(545),
  [1421] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(547),
  [1424] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(227),
  [1427] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1702),
  [1430] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(38),
  [1433] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1677),
  [1436] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1667),
  [1439] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(530),
  [1442] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1757),
  [1445] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1675),
  [1448] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(351),
  [1451] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1978),
  [1454] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(465),
  [1457] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1828),
  [1460] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1817),
  [1463] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1913),
  [1466] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1663),
  [1469] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1800),
  [1472] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(562),
  [1475] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(561),
  [1478] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1950),
  [1481] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1947),
  [1484] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1946),
  [1487] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1403),
  [1490] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(672),
  [1493] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1625),
  [1496] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1471),
  [1499] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(672),
  [1502] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(673),
  [1505] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(731),
  [1508] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(177),
  [1511] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(25),
  [1514] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1710),
  [1517] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1651),
  [1520] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(534),
  [1523] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1783),
  [1526] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1713),
  [1529] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(325),
  [1532] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1959),
  [1535] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(475),
  [1538] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1953),
  [1541] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1952),
  [1544] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1951),
  [1547] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1655),
  [1550] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1862),
  [1553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(727),
  [1555] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(725),
  [1558] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(110),
  [1561] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(32),
  [1564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1701),
  [1567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1676),
  [1570] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(531),
  [1573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1829),
  [1576] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1698),
  [1579] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(328),
  [1582] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1975),
  [1585] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(479),
  [1588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1781),
  [1591] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1777),
  [1594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1886),
  [1597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1671),
  [1600] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1762),
  [1603] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(720),
  [1606] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(164),
  [1609] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1649),
  [1612] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(556),
  [1615] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1961),
  [1618] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1654),
  [1621] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1958),
  [1624] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1696),
  [1627] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1825),
  [1630] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(727),
  [1633] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(30),
  [1636] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1728),
  [1639] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1700),
  [1642] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(514),
  [1645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1766),
  [1648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1730),
  [1651] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(332),
  [1654] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1940),
  [1657] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(458),
  [1660] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1772),
  [1663] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1774),
  [1666] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1805),
  [1669] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1680),
  [1672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__top_level_item, 1, 0, 2),
  [1674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__top_level_item, 1, 0, 2),
  [1676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__top_level_expression_statement, 2, 0, 0),
  [1678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__top_level_expression_statement, 2, 0, 0),
  [1680] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__top_level_item, 1, 0, 0), REDUCE(sym__top_level_statement, 1, 0, 0),
  [1683] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__top_level_item, 1, 0, 0), REDUCE(sym__top_level_statement, 1, 0, 0),
  [1686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(565),
  [1688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [1690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(557),
  [1692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(485),
  [1694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1091),
  [1696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1575),
  [1698] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_declaration, 4, 0, 0),
  [1700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_declaration, 4, 0, 0),
  [1702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_declaration, 3, 0, 0),
  [1704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_declaration, 3, 0, 0),
  [1706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(701),
  [1708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(552),
  [1710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [1712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(564),
  [1714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(340),
  [1716] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 1),
  [1718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [1720] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 1), REDUCE(sym_expression, 1, 0, 0), SHIFT(970),
  [1724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [1726] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 1), REDUCE(sym_expression, 1, 0, 0),
  [1729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 1),
  [1731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(782),
  [1733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(598),
  [1735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [1737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [1739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [1741] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 1), REDUCE(sym_expression, 1, 0, 0),
  [1744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [1746] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declaration_modifiers, 1, 0, 0), REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [1749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [1751] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [1753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_modifiers, 1, 0, 0),
  [1755] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declaration_modifiers, 1, 0, 0), REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [1758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [1760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [1762] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 1), SHIFT(363),
  [1765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(739),
  [1767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(512),
  [1769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [1771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(550),
  [1773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(909),
  [1775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [1777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [1779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [1781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [1783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1694),
  [1785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(416),
  [1787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [1789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [1791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [1793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(700),
  [1795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [1797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [1799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1939),
  [1801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [1803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [1805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(658),
  [1807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [1809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [1811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(418),
  [1813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [1815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [1817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [1819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [1821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [1823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [1825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [1827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [1829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [1831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(421),
  [1833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [1835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [1837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [1839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [1841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [1843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [1845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(415),
  [1847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [1849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(755),
  [1851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1932),
  [1853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1176),
  [1855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(869),
  [1857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1843),
  [1859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(447),
  [1861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1158),
  [1863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1902),
  [1865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1717),
  [1867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(874),
  [1869] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 3, 0, 17),
  [1871] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 4, 0, 40),
  [1873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(886),
  [1875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(862),
  [1877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(853),
  [1879] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 3, 0, 40),
  [1881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(804),
  [1883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(807),
  [1885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(794),
  [1887] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 2, 0, 17),
  [1889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(816),
  [1891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(880),
  [1893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(887),
  [1895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(859),
  [1897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(729),
  [1899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1812),
  [1901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [1903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [1905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1976),
  [1907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [1909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [1911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [1913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [1915] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(755),
  [1918] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1932),
  [1921] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1176),
  [1924] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0),
  [1926] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1843),
  [1929] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1717),
  [1932] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(708),
  [1935] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(714),
  [1938] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1974),
  [1941] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1678),
  [1944] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1972),
  [1947] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(773),
  [1950] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1971),
  [1953] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(769),
  [1956] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1556),
  [1959] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1396),
  [1962] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1444),
  [1965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1907),
  [1967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1164),
  [1969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1964),
  [1971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1693),
  [1973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [1975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1933),
  [1977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1180),
  [1979] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_field_declaration_list, 1, 0, 0),
  [1981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1897),
  [1983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1708),
  [1985] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1933),
  [1988] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1180),
  [1991] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1897),
  [1994] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1708),
  [1997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_field_declaration_list, 2, 0, 0),
  [1999] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1907),
  [2002] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1164),
  [2005] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1964),
  [2008] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1693),
  [2011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0),
  [2013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [2015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [2017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(539),
  [2019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [2021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(603),
  [2023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(519),
  [2025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 0, 40),
  [2027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [2029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [2031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [2033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [2035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [2037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [2039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [2041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [2043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(683),
  [2045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [2047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [2049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [2051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [2053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [2055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [2057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 2, 0, 56),
  [2059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 0, 105),
  [2061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [2063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [2065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [2067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [2069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [2071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 2, 0, 0),
  [2073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [2075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [2077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [2079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 0, 84),
  [2081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 0, 56),
  [2083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [2085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [2087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [2089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [2091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [2093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [2095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [2097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [2099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [2101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [2103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [2105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [2107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [2109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [2111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [2113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [2115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [2117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [2119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [2121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [2123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [2125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(617),
  [2127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 2, 0, 0),
  [2129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 2, 0, 0),
  [2131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(618),
  [2133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 3, 0, 0),
  [2135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 3, 0, 0),
  [2137] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(618),
  [2140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0),
  [2142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0),
  [2144] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1471),
  [2147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 2, 0, 0),
  [2149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 2, 0, 0),
  [2151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 3, 0, 0),
  [2153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 3, 0, 0),
  [2155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 6, 0, 108),
  [2157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 6, 0, 108),
  [2159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 6, 0, 109),
  [2161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 6, 0, 109),
  [2163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 8, 0, 124),
  [2165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 8, 0, 124),
  [2167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 9, 0, 129),
  [2169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 9, 0, 129),
  [2171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0),
  [2173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0),
  [2175] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(708),
  [2178] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(714),
  [2181] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(1974),
  [2184] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(1678),
  [2187] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(1972),
  [2190] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(1971),
  [2193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 8, 0, 125),
  [2195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 8, 0, 125),
  [2197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 7, 0, 119),
  [2199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 7, 0, 119),
  [2201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 5, 0, 87),
  [2203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 5, 0, 87),
  [2205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 7, 0, 120),
  [2207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 7, 0, 120),
  [2209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 5, 0, 88),
  [2211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 5, 0, 88),
  [2213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 4, 0, 58),
  [2215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 4, 0, 58),
  [2217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(900),
  [2219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [2221] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(755),
  [2224] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(708),
  [2227] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(714),
  [2230] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(1974),
  [2233] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(1678),
  [2236] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(1972),
  [2239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0),
  [2241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(773),
  [2244] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(1971),
  [2247] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(769),
  [2250] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(1556),
  [2253] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(1396),
  [2256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(1444),
  [2259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(910),
  [2261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [2263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [2265] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_specifier, 4, 0, 0),
  [2267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_specifier, 4, 0, 0),
  [2269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0),
  [2271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0),
  [2273] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(700),
  [2276] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(658),
  [2279] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(1939),
  [2282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(616),
  [2284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string, 1, 0, 0),
  [2286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string, 1, 0, 0),
  [2288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 5, 0, 0),
  [2290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 5, 0, 0),
  [2292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 2, 0, 0),
  [2294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 2, 0, 0),
  [2296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_expression, 9, 0, 0),
  [2298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_expression, 9, 0, 0),
  [2300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_expression, 3, 0, 37),
  [2302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, 0, 37),
  [2304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 4, 0, 69),
  [2306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 4, 0, 69),
  [2308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alignof_expression, 4, 0, 57),
  [2310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alignof_expression, 4, 0, 57),
  [2312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_expression, 8, 0, 0),
  [2314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_expression, 8, 0, 0),
  [2316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 3, 0, 0),
  [2318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 3, 0, 0),
  [2320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 12),
  [2322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 12),
  [2324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 4, 0, 0),
  [2326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 4, 0, 0),
  [2328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_null, 1, 0, 0),
  [2330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_null, 1, 0, 0),
  [2332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_offsetof_expression, 6, 0, 106),
  [2334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_offsetof_expression, 6, 0, 106),
  [2336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_char_literal, 3, 0, 0),
  [2338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_char_literal, 3, 0, 0),
  [2340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_literal_expression, 4, 0, 45),
  [2342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_literal_expression, 4, 0, 45),
  [2344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, 0, 13),
  [2346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, 0, 13),
  [2348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 4, 0, 45),
  [2350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 4, 0, 45),
  [2352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [2354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [2356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [2358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [2360] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 5, 0, 0),
  [2362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 5, 0, 0),
  [2364] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2, 0, 0),
  [2366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2, 0, 0),
  [2368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(511),
  [2370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [2372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 5),
  [2374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 5),
  [2376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 30),
  [2378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 30),
  [2380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 2, 0, 9),
  [2382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 2, 0, 9),
  [2384] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3, 0, 0),
  [2386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3, 0, 0),
  [2388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 5),
  [2390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 5),
  [2392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4, 0, 0),
  [2394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4, 0, 0),
  [2396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_expression, 2, 0, 5),
  [2398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_expression, 2, 0, 5),
  [2400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alignas_qualifier, 4, 0, 0),
  [2402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alignas_qualifier, 4, 0, 0),
  [2404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0),
  [2406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0),
  [2408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 2, 0, 7),
  [2410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 2, 0, 7),
  [2412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [2414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 3, 0, 25),
  [2416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 3, 0, 25),
  [2418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_declspec_modifier, 4, 0, 0),
  [2420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_declspec_modifier, 4, 0, 0),
  [2422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 4, 0, 53),
  [2424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 4, 0, 53),
  [2426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 2, 0, 7),
  [2428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 2, 0, 7),
  [2430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 3, 0, 25),
  [2432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 3, 0, 25),
  [2434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 2, 0, 3),
  [2436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 2, 0, 3),
  [2438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 3, 0, 14),
  [2440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 3, 0, 14),
  [2442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_storage_class_specifier, 1, 0, 0),
  [2444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_storage_class_specifier, 1, 0, 0),
  [2446] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 2, 0, 14),
  [2448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 2, 0, 14),
  [2450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 1, 0, 3),
  [2452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 1, 0, 3),
  [2454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 3, 0, 24),
  [2456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 3, 0, 24),
  [2458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 3, 0, 26),
  [2460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 3, 0, 26),
  [2462] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 3, 0, 26),
  [2464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 3, 0, 26),
  [2466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [2468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [2470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(721),
  [2473] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 2, 0, 8),
  [2475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 2, 0, 8),
  [2477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 4, 0, 52),
  [2479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 4, 0, 52),
  [2481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 5, 0, 80),
  [2483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 5, 0, 80),
  [2485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 3, 0, 24),
  [2487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 3, 0, 24),
  [2489] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 2, 0, 8),
  [2491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 2, 0, 8),
  [2493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [2495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 4, 0, 52),
  [2497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 4, 0, 52),
  [2499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 4, 0, 54),
  [2501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 4, 0, 54),
  [2503] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 3, 0, 8),
  [2505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 3, 0, 8),
  [2507] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 5, 0, 53),
  [2509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 5, 0, 53),
  [2511] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 4, 0, 24),
  [2513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 4, 0, 24),
  [2515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 4, 0, 25),
  [2517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 4, 0, 25),
  [2519] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 4, 0, 26),
  [2521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 4, 0, 26),
  [2523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(524),
  [2525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [2527] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 4, 0, 24),
  [2529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 4, 0, 24),
  [2531] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 4, 0, 25),
  [2533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 4, 0, 25),
  [2535] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 4, 0, 26),
  [2537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 4, 0, 26),
  [2539] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 4, 0, 0),
  [2541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 4, 0, 0),
  [2543] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, -1, 15),
  [2545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, -1, 15),
  [2547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(721),
  [2549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 30),
  [2551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_expression, 3, 0, 30),
  [2553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(506),
  [2555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(540),
  [2557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [2559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [2561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(560),
  [2563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(553),
  [2565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(548),
  [2567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [2569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(521),
  [2571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [2573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(507),
  [2575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [2577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 24),
  [2579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 24),
  [2581] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 3, 0, 0),
  [2583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 3, 0, 0),
  [2585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, 0, 96),
  [2587] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 5, 0, 96),
  [2589] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 2, 0, 0),
  [2591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 2, 0, 0),
  [2593] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [2596] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [2599] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 15),
  [2601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, -1, 15),
  [2603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(744),
  [2605] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 14),
  [2607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, 0, 14),
  [2609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(774),
  [2611] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 5, 0, 52),
  [2613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 5, 0, 52),
  [2615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 4, 0, 70),
  [2617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 4, 0, 70),
  [2619] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 1), SHIFT(970),
  [2622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 5, 0, 54),
  [2624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 5, 0, 54),
  [2626] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 3, 0, 0),
  [2628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 3, 0, 0),
  [2630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 5, 0, 52),
  [2632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 5, 0, 52),
  [2634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 3, 0, 7),
  [2636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 3, 0, 7),
  [2638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 3, 0, 8),
  [2640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 3, 0, 8),
  [2642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 6, 0, 80),
  [2644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 6, 0, 80),
  [2646] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 7),
  [2648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 7),
  [2650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macro_type_specifier, 4, -1, 59),
  [2652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macro_type_specifier, 4, -1, 59),
  [2654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 0),
  [2656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 0),
  [2658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(783),
  [2660] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 8),
  [2662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 8),
  [2664] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(751),
  [2667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 1, 0, 0),
  [2669] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0),
  [2671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(750),
  [2673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(752),
  [2675] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 14),
  [2677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, 0, 14),
  [2679] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 2, 0, 0),
  [2681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 2, 0, 0),
  [2683] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 3, 0, 7),
  [2685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 3, 0, 7),
  [2687] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 6, 0, 78),
  [2689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 6, 0, 78),
  [2691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 50),
  [2693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 50),
  [2695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 10),
  [2697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, -1, 10),
  [2699] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 3),
  [2701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, 0, 3),
  [2703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(543),
  [2705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(538),
  [2707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(567),
  [2709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [2711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(551),
  [2713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [2715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 2, 0, 42),
  [2717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, 0, 42),
  [2719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [2721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [2723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [2725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 3, 0, 17),
  [2727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 3, 0, 17),
  [2729] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, 0, 42),
  [2731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 42),
  [2733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, 0, 79),
  [2735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 79),
  [2737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [2739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [2741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(606),
  [2743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(607),
  [2745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(611),
  [2747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [2749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [2751] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 6, 0, 97),
  [2753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 6, 0, 97),
  [2755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 4, 0, 40),
  [2757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 4, 0, 40),
  [2759] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 41),
  [2761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 41),
  [2763] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 17),
  [2765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 17),
  [2767] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, 0, 79),
  [2769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, 0, 79),
  [2771] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 72),
  [2773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 72),
  [2775] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 40),
  [2777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 40),
  [2779] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 5, 0, 73),
  [2781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 5, 0, 73),
  [2783] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 2, 0, 7),
  [2785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 2, 0, 7),
  [2787] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 2, 0, 7), SHIFT(1974),
  [2790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [2792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1942),
  [2794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1322),
  [2796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 1, 1, 0),
  [2798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(999),
  [2800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(994),
  [2802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [2804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 2, 1, 0),
  [2806] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_parameter_list, 3, 0, 0), REDUCE(sym__old_style_parameter_list, 3, 0, 0),
  [2809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 3, 0, 0),
  [2811] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__old_style_parameter_list, 3, 0, 0),
  [2813] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_parameter_list, 3, 0, 0), REDUCE(sym__old_style_parameter_list, 3, 0, 0),
  [2816] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 3, 0, 0),
  [2818] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_parameter_list, 2, 0, 0), REDUCE(sym__old_style_parameter_list, 2, 0, 0),
  [2821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 2, 0, 0),
  [2823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__old_style_parameter_list, 2, 0, 0),
  [2825] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_parameter_list, 2, 0, 0), REDUCE(sym__old_style_parameter_list, 2, 0, 0),
  [2828] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 2, 0, 0),
  [2830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 50),
  [2832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 50),
  [2834] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 50), SHIFT(1974),
  [2837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [2839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1815),
  [2841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(591),
  [2843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(575),
  [2845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [2847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [2849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(578),
  [2851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(576),
  [2853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(574),
  [2855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [2857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(609),
  [2859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [2861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(572),
  [2863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [2865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [2867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 2, 0, 8),
  [2869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 2, 0, 8),
  [2871] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 2, 0, 8), SHIFT(1974),
  [2874] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 24),
  [2876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 24),
  [2878] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 24), SHIFT(1974),
  [2881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 78),
  [2883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 78),
  [2885] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 78), SHIFT(1974),
  [2888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1392),
  [2890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [2892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [2894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1375),
  [2896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1382),
  [2898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [2900] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_call_modifier, 1, 0, 0),
  [2902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_call_modifier, 1, 0, 0),
  [2904] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 1), SHIFT(1638),
  [2907] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 1), SHIFT(923),
  [2910] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_type_specifier, 1, 0, 1),
  [2913] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_type_specifier, 1, 0, 1), SHIFT(970),
  [2917] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_type_specifier, 1, 0, 1),
  [2920] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 1), REDUCE(aux_sym__old_style_parameter_list_repeat1, 2, 0, 0),
  [2923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 3, 1, 0),
  [2925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [2927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [2929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [2931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [2933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__old_style_function_declarator, 2, 0, 34),
  [2935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__old_style_function_declarator, 2, 0, 34),
  [2937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__old_style_parameter_list, 3, 0, 0),
  [2939] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__old_style_parameter_list, 4, 0, 0),
  [2941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__old_style_parameter_list, 4, 0, 0),
  [2943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(978),
  [2945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(976),
  [2947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(977),
  [2949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(979),
  [2951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1370),
  [2953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [2955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [2957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(505),
  [2959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [2961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(504),
  [2963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [2965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [2967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(571),
  [2969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [2971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(580),
  [2973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [2975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(583),
  [2977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [2979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [2981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [2983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [2985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [2987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 3, 0, 77),
  [2989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator, 3, 0, 77),
  [2991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [2993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(516),
  [2995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(522),
  [2997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [2999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(602),
  [3001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [3003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(590),
  [3005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [3007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(584),
  [3009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [3011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [3013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [3015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [3017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0),
  [3019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0),
  [3021] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(999),
  [3024] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(994),
  [3027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1104),
  [3029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1121),
  [3031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1128),
  [3033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1552),
  [3035] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 3, 0, 0),
  [3037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 3, 0, 0),
  [3039] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call_expression, 2, 0, 13),
  [3041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call_expression, 2, 0, 13),
  [3043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0),
  [3045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0),
  [3047] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(708),
  [3050] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1971),
  [3053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 2, 0, 0),
  [3055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 2, 0, 0),
  [3057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 4, 0, 0),
  [3059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 4, 0, 0),
  [3061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [3063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comma_expression, 3, 0, 44),
  [3065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [3067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [3069] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_unaligned_ptr_modifier, 1, 0, 0),
  [3071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_unaligned_ptr_modifier, 1, 0, 0),
  [3073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [3075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [3077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [3079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [3081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [3083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [3085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_pointer_modifier, 1, 0, 0),
  [3087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_pointer_modifier, 1, 0, 0),
  [3089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bitfield_clause, 2, 0, 0),
  [3091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [3093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [3095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [3097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [3099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(532),
  [3101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [3103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(537),
  [3105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [3107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [3109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(604),
  [3111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [3113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(615),
  [3115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [3117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(510),
  [3119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [3121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [3123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [3125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_pair, 3, 0, 115),
  [3127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2, 0, 0),
  [3129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [3131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_pair, 3, 0, 114),
  [3133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [3135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [3137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [3139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 3, 0, 0),
  [3141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [3143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [3145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [3147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [3149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [3151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 0, 104),
  [3153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [3155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 0, 83),
  [3157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 0, 103),
  [3159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declarator, 3, 0, 63),
  [3161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 0, 102),
  [3163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [3165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 4, 0, 0),
  [3167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 0, 82),
  [3169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [3171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [3173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [3175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [3177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [3179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 5, 0, 116),
  [3181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [3183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [3185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [3187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0),
  [3189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [3191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [3193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [3195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [3197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [3199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [3201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [3203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [3205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [3207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [3209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [3211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [3213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [3215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 1, 0, 3),
  [3217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, 0, 14),
  [3219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, 0, 3),
  [3221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, 0, 14),
  [3223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(751),
  [3225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1090),
  [3227] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 1, 0, 3),
  [3229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 1, 0, 3),
  [3231] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 2, 0, 14),
  [3233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 2, 0, 14),
  [3235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 3, 0, 14),
  [3237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 3, 0, 14),
  [3239] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 2, 0, 3),
  [3241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 2, 0, 3),
  [3243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__preproc_expression, 1, 0, 0),
  [3245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [3247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__preproc_expression, 1, 0, 0),
  [3249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1347),
  [3251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [3253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [3255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [3257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [3259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1155),
  [3261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [3263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [3265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1169),
  [3267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [3269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1177),
  [3271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [3273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1179),
  [3275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [3277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [3279] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 1), SHIFT(1124),
  [3282] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, -1, 15), SHIFT(721),
  [3285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1097),
  [3287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [3289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [3291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1703),
  [3293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [3295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1165),
  [3297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [3299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [3301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [3303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [3305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [3307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [3309] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT(721),
  [3313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [3315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1110),
  [3317] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [3319] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(1122),
  [3322] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(1114),
  [3325] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(1123),
  [3328] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 15), SHIFT(1105),
  [3331] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 14), SHIFT(1127),
  [3334] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 10), SHIFT(721),
  [3337] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 3), SHIFT(721),
  [3340] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 14), SHIFT(721),
  [3343] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 0), SHIFT(1126),
  [3346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [3348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1117),
  [3350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [3352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1666),
  [3354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [3356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1163),
  [3358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [3360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [3362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [3364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_binary_expression, 3, 0, 30),
  [3366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_binary_expression, 3, 0, 30),
  [3368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [3370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_defined, 2, 0, 0),
  [3372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_defined, 2, 0, 0),
  [3374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 1, 0, 42),
  [3376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [3378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_unary_expression, 2, 0, 5),
  [3380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_unary_expression, 2, 0, 5),
  [3382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_argument_list_repeat1, 2, 0, 0),
  [3384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [3386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [3388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [3390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_parenthesized_expression, 3, 0, 0),
  [3392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_parenthesized_expression, 3, 0, 0),
  [3394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [3396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [3398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [3400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [3402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [3404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [3406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [3408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [3410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [3412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [3414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [3416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [3418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [3420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [3422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [3424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [3426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [3428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [3430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [3432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [3434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [3436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_defined, 4, 0, 0),
  [3438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_defined, 4, 0, 0),
  [3440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [3442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [3444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [3446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [3448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [3450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [3452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [3454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [3456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [3458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [3460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [3462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1170),
  [3464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1168),
  [3466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1151),
  [3468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1147),
  [3470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1142),
  [3472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [3474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1166),
  [3476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1156),
  [3478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1154),
  [3480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1153),
  [3482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1152),
  [3484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [3486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [3488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [3490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [3492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [3494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [3496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [3498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [3500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [3502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [3504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1974),
  [3506] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_enum_specifier, 2, 0, 7), SHIFT(1918),
  [3509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [3511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [3513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [3515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [3517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [3519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1270),
  [3521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declarator, 2, 0, 34),
  [3523] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declarator, 2, 0, 34),
  [3525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declaration_declarator, 2, 0, 34),
  [3527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declaration_declarator, 3, 0, 34),
  [3529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declarator, 3, 0, 34),
  [3531] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declarator, 3, 0, 34),
  [3533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declaration_declarator, 3, 0, 34),
  [3535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [3537] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_function_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(1270),
  [3540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_declarator_repeat1, 2, 0, 0),
  [3542] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_function_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(1974),
  [3545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_function_declarator_repeat1, 2, 0, 0),
  [3547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declarator, 4, 0, 34),
  [3549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declarator, 4, 0, 34),
  [3551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [3553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 3, 0, 40),
  [3555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [3557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1130),
  [3559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [3561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [3563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 2, 0, 17),
  [3565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [3567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [3569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [3571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0),
  [3573] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(1646),
  [3576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0),
  [3578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 2, 1, 32),
  [3580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [3582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(423),
  [3584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 4, 1, 89),
  [3586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [3588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1157),
  [3590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1910),
  [3592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [3594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 5, 1, 110),
  [3596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 3, 1, 60),
  [3598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_function_declarator_repeat1, 1, 0, 0),
  [3600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_declarator_repeat1, 1, 0, 0),
  [3602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [3604] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 4, 0, 0),
  [3606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 4, 0, 0),
  [3608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [3610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declaration_declarator, 1, 0, 22),
  [3612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(417),
  [3614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [3616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_declarator, 2, 0, 0),
  [3618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_declarator, 2, 0, 0),
  [3620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 3, 0, 17),
  [3622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [3624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1174),
  [3626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [3628] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1610),
  [3631] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1160),
  [3634] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1914),
  [3637] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1645),
  [3640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0),
  [3642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 1, 0, 0),
  [3644] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_definition_repeat1, 1, 0, 0), REDUCE(aux_sym_function_declarator_repeat1, 1, 0, 0),
  [3647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_definition_repeat1, 1, 0, 0),
  [3649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [3651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 5, 1, 110),
  [3653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 2, 1, 32),
  [3655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 3, 0, 40),
  [3657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [3659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1175),
  [3661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [3663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 4, 0, 40),
  [3665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 3, 1, 60),
  [3667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 4, 0, 40),
  [3669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__field_declaration_declarator_repeat1, 2, 0, 32),
  [3671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [3673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [3675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 3, 0, 17),
  [3677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 4, 1, 89),
  [3679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [3681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [3683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 2, 0, 17),
  [3685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [3687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1406),
  [3689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 1, 0, 0),
  [3691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 3, 1, 60),
  [3693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [3695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 1, 0, 0),
  [3697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [3699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 5, 0, 112),
  [3701] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 5, 0, 112),
  [3703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_field_declarator, 2, 0, 0),
  [3705] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_field_declarator, 2, 0, 0),
  [3707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_declarator, 4, -10, 0),
  [3709] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_declarator, 4, -10, 0),
  [3711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 4, 0, 92),
  [3713] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 4, 0, 92),
  [3715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 4, 0, 22),
  [3717] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 4, 0, 22),
  [3719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 2, 1, 32),
  [3721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [3723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [3725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_declarator, 3, -10, 0),
  [3727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_declarator, 3, -10, 0),
  [3729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 5, 1, 110),
  [3731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0),
  [3733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declarator, 1, 0, 0),
  [3735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 4, 1, 89),
  [3737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [3739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_declarators, 1, 0, 22),
  [3741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 1, 0, 0),
  [3743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [3745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 3, 0, 22),
  [3747] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 3, 0, 22),
  [3749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1544),
  [3751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [3753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [3755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1550),
  [3757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [3759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1607),
  [3761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [3763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1565),
  [3765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [3767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_type_declarator, 2, 0, 0),
  [3769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_type_declarator, 2, 0, 0),
  [3771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 32),
  [3773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_declarator, 1, 0, 0),
  [3775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declarator, 1, 0, 0),
  [3777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declarator, 1, 0, 0),
  [3779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_field_declarator, 2, 0, 34),
  [3781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_field_declarator, 2, 0, 34),
  [3783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_field_declarator, 3, -10, 0),
  [3785] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_field_declarator, 3, -10, 0),
  [3787] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2, 0, 0), SHIFT_REPEAT(1372),
  [3790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2, 0, 0),
  [3792] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2, 0, 0),
  [3794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 4, 0, 22),
  [3796] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 4, 0, 22),
  [3798] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1610),
  [3801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2, 0, 0),
  [3803] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2, 0, 0),
  [3805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 3, 0, 22),
  [3807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 3, 0, 22),
  [3809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 2, 0, 35),
  [3811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 4, 0, 92),
  [3813] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 4, 0, 92),
  [3815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_field_declarator, 4, -10, 0),
  [3817] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_field_declarator, 4, -10, 0),
  [3819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 5, 0, 112),
  [3821] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 5, 0, 112),
  [3823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declarator, 1, 0, 51),
  [3825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declarator, 1, 0, 51),
  [3827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 1, 0, 6),
  [3829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator, 1, 0, 6),
  [3831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [3833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 21),
  [3835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 21),
  [3837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [3839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type_declarator, 3, -10, 0),
  [3841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type_declarator, 3, -10, 0),
  [3843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0),
  [3845] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(1974),
  [3848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 3, 0, 22),
  [3850] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 3, 0, 22),
  [3852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 4, 0, 92),
  [3854] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 4, 0, 92),
  [3856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [3858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 0),
  [3860] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 0),
  [3862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type_declarator, 4, -10, 0),
  [3864] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type_declarator, 4, -10, 0),
  [3866] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2, 0, 0), SHIFT_REPEAT(593),
  [3869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2, 0, 0),
  [3871] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2, 0, 0), SHIFT_REPEAT(1976),
  [3874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 4, 0, 22),
  [3876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 4, 0, 22),
  [3878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [3880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [3882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1976),
  [3884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 1, 0, 0),
  [3886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [3888] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 1, 0, 0),
  [3890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [3892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declaration_declarator, 4, 0, 34),
  [3894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type_declarator, 2, 0, 34),
  [3896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type_declarator, 2, 0, 34),
  [3898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 1),
  [3900] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 1),
  [3902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [3904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [3906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 5, 0, 112),
  [3908] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 5, 0, 112),
  [3910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(702),
  [3912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 3, 0, 17),
  [3914] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 3, 0, 17),
  [3916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [3918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [3920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [3922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [3924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 2, 1, 32),
  [3926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [3928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [3930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [3932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 4, 0, 40),
  [3934] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 4, 0, 40),
  [3936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 6, 0, 97),
  [3938] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 6, 0, 97),
  [3940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_expression_repeat1, 2, 0, 0),
  [3942] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(1458),
  [3945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [3947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 5, 0, 73),
  [3949] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 5, 0, 73),
  [3951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, 0, 43),
  [3953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, 0, 46),
  [3955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 3, 1, 60),
  [3957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 40),
  [3959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 40),
  [3961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 72),
  [3963] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 72),
  [3965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [3967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [3969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 4, 0, 75),
  [3971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [3973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [3975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [3977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, 0, 19),
  [3979] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0),
  [3981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [3983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [3985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [3987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 4, 1, 89),
  [3989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [3991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 17),
  [3993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 17),
  [3995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [3997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 41),
  [3999] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 41),
  [4001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, 0, 22),
  [4003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, 0, 92),
  [4005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, 0, 98),
  [4007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_parenthesized_declarator, 4, 0, 0),
  [4009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 3, 0, 93),
  [4011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__abstract_declarator, 1, 0, 0),
  [4013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_function_declarator, 1, 0, 20),
  [4015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(706),
  [4017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, 0, 22),
  [4019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 5, 0, 112),
  [4021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, 0, 0),
  [4023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, 0, 74),
  [4025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(709),
  [4027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list, 1, 0, 0),
  [4029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, 0, 6),
  [4031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [4033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_function_declarator, 2, 0, 34),
  [4035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 32),
  [4037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_parenthesized_declarator, 3, 0, 0),
  [4039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 2, 0, 0),
  [4041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [4043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_qualifier, 1, 0, 0),
  [4045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [4047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [4049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [4051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [4053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [4055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declaration_declarator, 2, 0, 22),
  [4057] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, 0, 127), SHIFT_REPEAT(1338),
  [4060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, 0, 127),
  [4062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [4064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 3, 0, 49),
  [4066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declaration_declarator, 2, 0, 48),
  [4068] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 65), SHIFT_REPEAT(1243),
  [4071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 65),
  [4073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [4075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [4077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(620),
  [4079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [4081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1510),
  [4083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [4085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [4087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [4089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1785),
  [4091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [4093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 2, 0, 86),
  [4095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [4097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [4099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [4101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [4103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_declarators, 2, 0, 48),
  [4105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [4107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1810),
  [4109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [4111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1726),
  [4113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [4115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [4117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 3, 0, 122),
  [4119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [4121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_char_literal_repeat1, 2, 0, 0),
  [4123] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_char_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(1484),
  [4126] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0),
  [4128] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(1485),
  [4131] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(1485),
  [4134] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, 0, 117), SHIFT_REPEAT(1359),
  [4137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, 0, 117),
  [4139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [4141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [4143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1662),
  [4145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(826),
  [4147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [4149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1485),
  [4151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1183),
  [4153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1484),
  [4155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [4157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list, 2, 0, 0),
  [4159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list_no_comma, 2, 0, 0),
  [4161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [4163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [4165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [4167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1763),
  [4169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [4171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list_no_comma, 1, 0, 0),
  [4173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 2, 0, 118),
  [4175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [4177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1747),
  [4179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(827),
  [4181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [4183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1489),
  [4185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1979),
  [4187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [4189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1520),
  [4191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [4193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 3, 0, 107),
  [4195] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, 0, 117), SHIFT_REPEAT(1368),
  [4198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, 0, 117),
  [4200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [4202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1778),
  [4204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [4206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [4208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(675),
  [4210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1200),
  [4212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(621),
  [4214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_declarator, 1, 0, 11),
  [4216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declaration_declarator, 3, 0, 101),
  [4218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 3, 0, 107),
  [4220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [4222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1875),
  [4224] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__field_declaration_declarator_repeat1, 2, 0, 65), SHIFT_REPEAT(1289),
  [4227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__field_declaration_declarator_repeat1, 2, 0, 65),
  [4229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 2, 0, 86),
  [4231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [4233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [4235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [4237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [4239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1792),
  [4241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1923),
  [4243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [4245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand, 4, 0, 121),
  [4247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [4249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand, 7, 0, 131),
  [4251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [4253] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2, 0, 0), SHIFT_REPEAT(445),
  [4256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [4258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [4260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [4262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_designator, 3, 0, 0),
  [4264] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__old_style_parameter_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1638),
  [4267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__old_style_parameter_list_repeat1, 2, 0, 0),
  [4269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [4271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [4273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [4275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [4277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [4279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [4281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [4283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [4285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [4287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [4289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [4291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [4293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [4295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1509),
  [4297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [4299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [4301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [4303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [4305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [4307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1113),
  [4309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [4311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [4313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [4315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [4317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [4319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [4321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [4323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [4325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [4327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [4329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [4331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [4333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [4335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__field_declaration_declarator_repeat1, 3, 0, 32),
  [4337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [4339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [4341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [4343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [4345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [4347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [4349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [4351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [4353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [4355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [4357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [4359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [4361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1490),
  [4363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [4365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [4367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [4369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, 0, 86),
  [4371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [4373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [4375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [4377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [4379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [4381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [4383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, 0, 86),
  [4385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [4387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [4389] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 65), SHIFT_REPEAT(1112),
  [4392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 65),
  [4394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [4396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [4398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [4400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [4402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [4404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [4406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [4408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [4410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [4412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [4414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [4416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [4418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [4420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [4422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [4424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 2, 0, 123),
  [4426] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2, 0, 0), SHIFT_REPEAT(652),
  [4429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2, 0, 0),
  [4431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_range_designator, 5, 0, 126),
  [4433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [4435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [4437] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_params_repeat1, 2, 0, 0), SHIFT_REPEAT(1715),
  [4440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_params_repeat1, 2, 0, 0),
  [4442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [4444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [4446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [4448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [4450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [4452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [4454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [4456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [4458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [4460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [4462] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1131),
  [4465] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(980),
  [4468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 2, 0, 0),
  [4470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [4472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [4474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [4476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1508),
  [4478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand, 4, 0, 121),
  [4480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [4482] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(454),
  [4485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [4487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_designator, 2, 0, 99),
  [4489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, 0, 118),
  [4491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 3, 0, 128),
  [4493] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, 0, 130), SHIFT_REPEAT(1955),
  [4496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, 0, 130),
  [4498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand, 7, 0, 131),
  [4500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [4502] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1681),
  [4505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_declaration_repeat1, 2, 0, 0),
  [4507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [4509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [4511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [4513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [4515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [4517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [4519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [4521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [4523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1892),
  [4525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [4527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, 0, 123),
  [4529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [4531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [4533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 4, 0, 49),
  [4535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [4537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [4539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [4541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [4543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [4545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 1, 0, 0),
  [4547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [4549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1967),
  [4551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 2, 0, 6),
  [4553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 1, 0, 0),
  [4555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 4, 0, 113),
  [4557] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2, 0, 0), REDUCE(aux_sym__old_style_parameter_list_repeat1, 2, 0, 0),
  [4560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 3, 0, 0),
  [4562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 3, 0, 0),
  [4564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [4566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1802),
  [4568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 2, 0, 0),
  [4570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 2, 0, 0),
  [4572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [4574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1807),
  [4576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [4578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [4580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [4582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1794),
  [4584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [4586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1791),
  [4588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [4590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1768),
  [4592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 4, 0, 0),
  [4594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 4, 0, 0),
  [4596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [4598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1743),
  [4600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [4602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [4604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1784),
  [4606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [4608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1775),
  [4610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [4612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1731),
  [4614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [4616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1769),
  [4618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [4620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1760),
  [4622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [4624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1948),
  [4626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [4628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [4630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 4, 0, 73),
  [4632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [4634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [4636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [4638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 5, 0, 72),
  [4640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 3, 0, 41),
  [4642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [4644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [4646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [4648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [4650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [4652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [4654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [4656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [4658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [4660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [4662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [4664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [4666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [4668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [4670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [4672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [4674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [4676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [4678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 4, 0, 17),
  [4680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [4682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [4684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [4686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [4688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [4690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [4692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [4694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [4696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_based_modifier, 2, 0, 0),
  [4698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [4700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [4702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [4704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [4706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [4708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [4710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [4712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 4, 0, 72),
  [4714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [4716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [4718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [4720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [4722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [4724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [4726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [4728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [4730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [4732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [4734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [4736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [4738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [4740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [4742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [4744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [4746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [4748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [4750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [4752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [4754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [4756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [4758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [4760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [4762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [4764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [4766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [4768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [4770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [4772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [4774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [4776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [4778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [4780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [4782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [4784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [4786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [4788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [4790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [4792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [4794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [4796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [4798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [4800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 5, 0, 97),
  [4802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [4804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [4806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [4808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [4810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [4812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [4814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [4816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 5, 0, 40),
  [4818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [4820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [4822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [4824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [4826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [4828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [4830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 3, 0, 41),
  [4832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 3, 0, 41),
  [4834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [4836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [4838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [4840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [4842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 5, 0, 73),
  [4844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [4846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [4848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 3, 0, 41),
  [4850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [4852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [4854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 4, 0, 41),
  [4856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [4858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [4860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [4862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [4864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [4866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [4868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [4870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [4872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [4874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [4876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [4878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [4880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [4882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [4884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [4886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [4888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 6, 0, 97),
  [4890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 4, 0, 72),
  [4892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 4, 0, 72),
  [4894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [4896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [4898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [4900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [4902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 4, 0, 73),
  [4904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [4906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 4, 0, 73),
  [4908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 4, 0, 72),
  [4910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 4, 0, 73),
  [4912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [4914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [4916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [4918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [4920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [4922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [4924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [4926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [4928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [4930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [4932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [4934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [4936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 5, 0, 97),
  [4938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 5, 0, 97),
  [4940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1873),
  [4942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 5, 0, 97),
  [4944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [4946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [4948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [4950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [4952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [4954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [4956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [4958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [4960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [4962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [4964] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [4966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [4968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [4970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [4972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [4974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [4976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [4978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [4980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [4982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [4984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [4986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [4988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [4990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [4992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [4994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [4996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [4998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [5000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [5002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [5004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [5006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [5008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [5010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [5012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [5014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [5016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [5018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [5020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [5022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [5024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [5026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [5028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [5030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [5032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [5034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [5036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [5038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_c(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
